/*! For license information please see view-file.js.LICENSE.txt */
!function(){var e={2086:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,"\n.render-container[data-v-b32707c4] {\n  border: 1px solid #ced4da;\n  cursor: pointer;\n}\n.toolbar[data-v-b32707c4] {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/previews/ModelViewer.vue"],names:[],mappings:";AA6DA;EACA,yBAAA;EACA,eAAA;AACA;AAEA;EACA,8BAAA;EACA,+BAAA;EACA,qBAAA;EACA,mBAAA;AACA",sourcesContent:['\x3c!-- Copyright 2021 Karlsruhe Institute of Technology\n   -\n   - Licensed under the Apache License, Version 2.0 (the "License");\n   - you may not use this file except in compliance with the License.\n   - You may obtain a copy of the License at\n   -\n   -     http://www.apache.org/licenses/LICENSE-2.0\n   -\n   - Unless required by applicable law or agreed to in writing, software\n   - distributed under the License is distributed on an "AS IS" BASIS,\n   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   - See the License for the specific language governing permissions and\n   - limitations under the License. --\x3e\n\n<template>\n  <div>\n    <div v-if="fileSize > maxFileSize && !forceLoad">\n      <button type="button" class="btn btn-sm btn-light mb-2" @click="loadFile">\n        <i class="fa-solid fa-eye"></i> {{ $t(\'Load preview\') }}\n      </button>\n    </div>\n    <div v-else ref="container">\n      <div ref="toolbar" class="card toolbar">\n        <div class="card-body px-1 py-0">\n          <button v-if="material !== null"\n                  type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Toggle wireframe\')"\n                  @click="toggleWireframe">\n            <i class="fa-solid fa-cube"></i>\n          </button>\n          <button type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Reset view\')"\n                  @click="resetView">\n            <i class="fa-solid fa-eye"></i>\n          </button>\n          <button type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Toggle fullscreen\')"\n                  @click="toggleFullscreen">\n            <i class="fa-solid fa-expand"></i>\n          </button>\n        </div>\n      </div>\n      <div ref="renderContainer" class="render-container bg-light">\n        <div v-if="error" class="text-muted ml-3 my-2">\n          <i class="fa-solid fa-triangle-exclamation mr-1"></i> {{ error }}\n        </div>\n        <div v-else-if="loading" class="text-muted ml-3 my-2">\n          <i class="fa-solid fa-circle-notch fa-spin mr-1"></i> {{ $t(\'Loading model...\') }}\n        </div>\n      </div>\n    </div>\n  </div>\n</template>\n\n<style scoped>\n.render-container {\n  border: 1px solid #ced4da;\n  cursor: pointer;\n}\n\n.toolbar {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n</style>\n\n<script>\nimport * as THREE from \'three\';\nimport {OBJLoader} from \'three/examples/jsm/loaders/OBJLoader.js\';\nimport {STLLoader} from \'three/examples/jsm/loaders/STLLoader.js\';\nimport {TrackballControls} from \'three/examples/jsm/controls/TrackballControls.js\';\nimport WebGLUtil from \'three/examples/jsm/capabilities/WebGL.js\';\nimport {XYZLoader} from \'three/examples/jsm/loaders/XYZLoader.js\';\n\nexport default {\n  props: {\n    type: String,\n    modelUrl: String,\n    fileSize: Number,\n    maxFileSize: Number,\n  },\n  data() {\n    return {\n      loaders: {\n        \'obj\': OBJLoader,\n        \'stl\': STLLoader,\n        \'xyz\': XYZLoader,\n      },\n      renderer: null,\n      scene: null,\n      camera: null,\n      controls: null,\n      material: null,\n      distance: 0,\n      loading: true,\n      forceLoad: false,\n      error: \'\',\n    };\n  },\n  computed: {\n    toolbarBtnClasses() {\n      return \'btn btn-link text-primary my-1\';\n    },\n  },\n  mounted() {\n    if (!(this.type in this.loaders)) {\n      this.error = \'Invalid object type.\';\n      return;\n    }\n\n    if (!WebGLUtil.isWebGLAvailable()) {\n      this.error = $t(\'WebGL not available.\');\n      return;\n    }\n\n    if (this.fileSize <= this.maxFileSize) {\n      this.loadFile();\n    }\n  },\n  beforeDestroy() {\n    window.removeEventListener(\'resize\', this.resizeView);\n  },\n  methods: {\n    toggleWireframe() {\n      this.material.wireframe = !this.material.wireframe;\n    },\n    resetView() {\n      this.controls.reset();\n      this.camera.position.set(0, 0, this.distance);\n      this.camera.updateProjectionMatrix();\n    },\n    toggleFullscreen() {\n      kadi.utils.toggleFullscreen(this.$refs.container);\n    },\n    resizeView() {\n      const toolbar = this.$refs.toolbar;\n      const container = this.$refs.container;\n\n      const canvasWidth = Math.round(container.getBoundingClientRect().width) - 2;\n      let canvasHeight = 1;\n\n      if (kadi.utils.isFullscreen()) {\n        const containerHeight = Math.round(container.getBoundingClientRect().height);\n        const toolbarHeight = Math.round(toolbar.getBoundingClientRect().height);\n\n        canvasHeight = Math.max(containerHeight - toolbarHeight - 1, canvasHeight);\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0\';\n      } else {\n        canvasHeight = Math.round(window.innerHeight / window.innerWidth * canvasWidth);\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0.25rem\';\n      }\n\n      this.camera.aspect = canvasWidth / canvasHeight;\n      this.camera.updateProjectionMatrix();\n      this.renderer.setSize(canvasWidth, canvasHeight);\n    },\n    animate() {\n      window.requestAnimationFrame(this.animate);\n      this.renderer.render(this.scene, this.camera);\n      this.controls.update();\n    },\n    onLoad(data) {\n      this.renderer = new THREE.WebGLRenderer({antialias: true});\n      this.renderer.setPixelRatio(window.devicePixelRatio);\n      this.$refs.renderContainer.appendChild(this.renderer.domElement);\n\n      this.scene = new THREE.Scene();\n      this.scene.background = new THREE.Color(0xf7f7f7);\n\n      this.camera = new THREE.PerspectiveCamera();\n      this.scene.add(this.camera);\n\n      this.controls = new TrackballControls(this.camera, this.renderer.domElement);\n      this.controls.staticMoving = true;\n\n      let object = null;\n\n      switch (this.type) {\n        case \'obj\':\n          this.material = new THREE.MeshNormalMaterial();\n          object = data;\n\n          object.traverse((child) => {\n            if (child instanceof THREE.Mesh) {\n              child.material = this.material;\n            }\n          });\n\n          break;\n        case \'stl\':\n          this.material = new THREE.MeshNormalMaterial();\n          object = new THREE.Mesh(data, this.material);\n          object.geometry.center();\n          break;\n\n        case \'xyz\':\n          object = new THREE.Points(data, new THREE.PointsMaterial({size: 0.1, color: 0}));\n\n          break;\n        default:\n          return;\n      }\n\n      this.scene.add(object);\n\n      // Calculate a good default distance along the z-axis for the camera relative to the size of the object.\n      const boundingBox = new THREE.Box3().setFromObject(object);\n      const length = boundingBox.getSize(new THREE.Vector3()).length();\n      const fov = this.camera.fov / 2 * (Math.PI / 180);\n\n      this.distance = length / 2 / Math.tan(fov);\n\n      // Check if the object would be even visible using the calculated distance. If not, attempt to calculate a new\n      // distance where at least part of the object should be visible.\n      if (this.distance - this.camera.far > boundingBox.max.z) {\n        this.distance = this.camera.far + boundingBox.max.z - (boundingBox.max.z / 10);\n      }\n\n      this.resizeView();\n      this.resetView();\n      this.animate();\n\n      this.loading = false;\n\n      window.addEventListener(\'resize\', this.resizeView);\n    },\n    onError(error) {\n      this.error = $t(\'Error loading model.\');\n      console.error(error);\n    },\n    async loadFile() {\n      this.forceLoad = true;\n\n      await this.$nextTick();\n\n      const loader = new this.loaders[this.type]();\n      loader.load(this.modelUrl, this.onLoad, null, this.onError);\n    },\n  },\n};\n<\/script>\n'],sourceRoot:""}]),e.exports=i},2350:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,"\n.render-container[data-v-145f98a3] {\n  border: 1px solid #ced4da;\n  cursor: pointer;\n}\n.toolbar[data-v-145f98a3] {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/previews/VtpViewer.vue"],names:[],mappings:";AAuFA;EACA,yBAAA;EACA,eAAA;AACA;AAEA;EACA,8BAAA;EACA,+BAAA;EACA,qBAAA;EACA,mBAAA;AACA",sourcesContent:['\x3c!-- Copyright 2023 Karlsruhe Institute of Technology\n   -\n   - Licensed under the Apache License, Version 2.0 (the "License");\n   - you may not use this file except in compliance with the License.\n   - You may obtain a copy of the License at\n   -\n   -     http://www.apache.org/licenses/LICENSE-2.0\n   -\n   - Unless required by applicable law or agreed to in writing, software\n   - distributed under the License is distributed on an "AS IS" BASIS,\n   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   - See the License for the specific language governing permissions and\n   - limitations under the License. --\x3e\n\n<template>\n  <div>\n    <div v-if="fileSize > maxFileSize && !forceLoad">\n      <button type="button" class="btn btn-sm btn-light mb-2" @click="loadFile">\n        <i class="fa-solid fa-eye"></i> {{ $t(\'Load preview\') }}\n      </button>\n    </div>\n    <div v-else ref="container">\n      <div ref="toolbar" class="card toolbar">\n        <div class="card-body px-1 py-0">\n          <button type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Toggle wireframe\')"\n                  @click="toggleWireframe">\n            <i class="fa-solid fa-cube"></i>\n          </button>\n          <button type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Reset view\')"\n                  @click="resetView">\n            <i class="fa-solid fa-eye"></i>\n          </button>\n          <button type="button"\n                  :class="toolbarBtnClasses"\n                  :disabled="loading"\n                  :title="$t(\'Toggle fullscreen\')"\n                  @click="toggleFullscreen">\n            <i class="fa-solid fa-expand"></i>\n          </button>\n          <input v-model.number="opacity"\n                 type="range"\n                 class="align-middle mx-3"\n                 :disabled="loading"\n                 :title="$t(\'Opacity\')">\n          <div v-if="colorByOptions.length > 1"\n               class="input-group input-group-sm d-md-inline-flex w-auto my-1 mr-0 mr-md-2">\n            <div class="input-group-prepend">\n              <span class="input-group-text">{{ $t(\'Field data\') }}</span>\n            </div>\n            <select v-model="selectedColor" class="custom-select">\n              <option v-for="option in colorByOptions" :key="option.value" :value="option.value">\n                {{ option.label }}\n              </option>\n            </select>\n          </div>\n          <div v-if="componentOptions.length > 0"\n               class="input-group input-group-sm d-md-inline-flex w-auto my-1">\n            <div class="input-group-prepend">\n              <span class="input-group-text">{{ $t(\'Components\') }}</span>\n            </div>\n            <select v-model="selectedComponent" class="custom-select">\n              <option v-for="option in componentOptions" :key="option.value" :value="option.value">\n                {{ option.label }}\n              </option>\n            </select>\n          </div>\n        </div>\n      </div>\n      <div ref="renderContainer" class="render-container bg-light">\n        <div v-if="error" class="text-muted ml-3 my-2">\n          <i class="fa-solid fa-triangle-exclamation mr-1"></i> {{ error }}\n        </div>\n        <div v-else-if="loading" class="text-muted ml-3 my-2">\n          <i class="fa-solid fa-circle-notch fa-spin mr-1"></i> {{ $t(\'Loading model...\') }}\n        </div>\n      </div>\n    </div>\n  </div>\n</template>\n\n<style scoped>\n.render-container {\n  border: 1px solid #ced4da;\n  cursor: pointer;\n}\n\n.toolbar {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n</style>\n\n<script>\nimport \'@kitware/vtk.js/Rendering/Profiles/Geometry\';\nimport {ColorMode, ScalarMode} from \'@kitware/vtk.js/Rendering/Core/Mapper/Constants\';\nimport HttpDataAccessHelper from \'@kitware/vtk.js/IO/Core/DataAccessHelper/HttpDataAccessHelper\';\nimport WebGLUtil from \'three/examples/jsm/capabilities/WebGL.js\';\nimport vtkActor from \'@kitware/vtk.js/Rendering/Core/Actor\';\nimport vtkColorMaps from \'@kitware/vtk.js/Rendering/Core/ColorTransferFunction/ColorMaps\';\nimport vtkColorTransferFunction from \'@kitware/vtk.js/Rendering/Core/ColorTransferFunction\';\nimport vtkFullScreenRenderWindow from \'@kitware/vtk.js/Rendering/Misc/FullScreenRenderWindow\';\nimport vtkMapper from \'@kitware/vtk.js/Rendering/Core/Mapper\';\nimport vtkScalarBarActor from \'@kitware/vtk.js/Rendering/Core/ScalarBarActor\';\nimport vtkXMLPolyDataReader from \'@kitware/vtk.js/IO/XML/XMLPolyDataReader\';\n\nexport default {\n  props: {\n    url: String,\n    fileSize: Number,\n    maxFileSize: Number,\n  },\n  data() {\n    return {\n      outputData: null,\n      fullScreenRenderWindow: null,\n      modelActor: null,\n      scalarBarActor: null,\n      activeArray: null,\n      cameraPosition: null,\n      cameraViewUp: null,\n      colorByOptions: [],\n      selectedColor: null,\n      componentOptions: [],\n      selectedComponent: null,\n      opacity: 100,\n      loading: true,\n      forceLoad: false,\n      error: \'\',\n    };\n  },\n  computed: {\n    toolbarBtnClasses() {\n      return \'btn btn-link text-primary my-1\';\n    },\n  },\n  watch: {\n    selectedColor() {\n      this.updateColorBy();\n    },\n    selectedComponent() {\n      this.updateColorByComponent();\n    },\n    opacity() {\n      this.modelActor.getProperty().setOpacity(this.opacity / 100);\n      this.renderView();\n    },\n  },\n  mounted() {\n    if (!WebGLUtil.isWebGLAvailable()) {\n      this.error = $t(\'WebGL not available.\');\n      return;\n    }\n\n    if (this.fileSize <= this.maxFileSize) {\n      this.loadFile();\n    }\n  },\n  beforeDestroy() {\n    window.removeEventListener(\'resize\', this.resizeView);\n  },\n  methods: {\n    toggleWireframe() {\n      const property = this.modelActor.getProperty();\n      const representation = property.getRepresentation() === 2 ? 1 : 2;\n      const edgeVisibility = property.getEdgeVisibility();\n\n      property.set({representation, edgeVisibility});\n      this.renderView();\n    },\n    resetView() {\n      const renderer = this.fullScreenRenderWindow.getRenderer();\n      const camera = renderer.getActiveCamera();\n\n      camera.setPosition(...this.cameraPosition);\n      camera.setViewUp(...this.cameraViewUp);\n      renderer.resetCamera();\n\n      this.renderView();\n    },\n    toggleFullscreen() {\n      kadi.utils.toggleFullscreen(this.$refs.container);\n    },\n    resizeView() {\n      const toolbar = this.$refs.toolbar;\n      const renderContainer = this.$refs.renderContainer;\n\n      if (kadi.utils.isFullscreen()) {\n        const toolbarHeight = Math.round(toolbar.getBoundingClientRect().height);\n\n        renderContainer.style.height = `calc(100vh - ${toolbarHeight - 1}px)`;\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0\';\n      } else {\n        const containerWidth = Math.round(renderContainer.getBoundingClientRect().width);\n        const containerHeight = Math.round(window.innerHeight / window.innerWidth * containerWidth);\n\n        renderContainer.style.height = `${containerHeight}px`;\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0.25rem\';\n      }\n\n      this.fullScreenRenderWindow.resize();\n    },\n    renderView() {\n      const renderWindow = this.fullScreenRenderWindow.getRenderWindow();\n      renderWindow.render();\n    },\n    updateColorBy() {\n      const mapper = this.modelActor.getMapper();\n      const [fieldType, colorByArrayName] = this.selectedColor.split(\':\');\n      const showFieldData = fieldType.length > 0;\n      const isPointData = fieldType === \'PointData\';\n\n      let colorMode = ColorMode.DEFAULT;\n      let scalarMode = ScalarMode.DEFAULT;\n\n      this.componentOptions = [];\n\n      if (showFieldData) {\n        const lookupTable = mapper.getLookupTable();\n\n        colorMode = ColorMode.MAP_SCALARS;\n        scalarMode = isPointData ? ScalarMode.USE_POINT_FIELD_DATA : ScalarMode.USE_CELL_FIELD_DATA;\n\n        this.activeArray = this.outputData[`get${fieldType}`]().getArrayByName(colorByArrayName);\n        const numberOfComponents = this.activeArray.getNumberOfComponents();\n\n        if (numberOfComponents > 1) {\n          lookupTable.setVectorModeToMagnitude();\n\n          // Initialize the options for the component selection.\n          this.componentOptions = [{value: -1, label: $t(\'Magnitude\')}];\n          this.selectedComponent = -1;\n\n          for (let i = 0; i < numberOfComponents; i++) {\n            this.componentOptions.push({value: i, label: `${$t(\'Component\')} ${i + 1}`});\n          }\n          if (numberOfComponents === 3 || numberOfComponents === 4) {\n            this.componentOptions.push({value: -2, label: $t(\'Direct mapping\')});\n          }\n        }\n\n        this.scalarBarActor.setAxisLabel(colorByArrayName);\n        this.scalarBarActor.setVisibility(true);\n\n        const preset = vtkColorMaps.getPresetByName(\'jet\');\n        const dataRange = this.activeArray.getRange();\n\n        lookupTable.applyColorMap(preset);\n        lookupTable.setMappingRange(dataRange[0], dataRange[1]);\n        lookupTable.updateRange();\n      } else {\n        this.scalarBarActor.setVisibility(false);\n      }\n\n      mapper.set({\n        colorByArrayName,\n        colorMode,\n        interpolateScalarsBeforeMapping: isPointData,\n        scalarMode,\n        scalarVisibility: showFieldData,\n      });\n\n      this.renderView();\n    },\n    updateColorByComponent() {\n      const mapper = this.modelActor.getMapper();\n      mapper.setColorModeToMapScalars();\n\n      const lookupTable = mapper.getLookupTable();\n      const selectedComponent = Number(this.selectedComponent);\n      const dataRange = this.activeArray.getRange(selectedComponent);\n\n      if (selectedComponent === -2) {\n        mapper.setColorModeToDirectScalars();\n      } else if (selectedComponent === -1) {\n        lookupTable.setVectorModeToMagnitude();\n        lookupTable.setMappingRange(dataRange[0], dataRange[1]);\n        lookupTable.updateRange();\n      } else {\n        lookupTable.setVectorModeToComponent();\n        lookupTable.setVectorComponent(selectedComponent);\n        lookupTable.setMappingRange(dataRange[0], dataRange[1]);\n        lookupTable.updateRange();\n      }\n\n      this.renderView();\n    },\n    initializeViewer() {\n      // Initialize the options for the field data selection.\n      this.colorByOptions.push({label: \'\', value: \':\'});\n\n      for (const pointDataArray of this.outputData.getPointData().getArrays()) {\n        this.colorByOptions.push({\n          label: `(p) ${pointDataArray.getName()}`,\n          value: `PointData:${pointDataArray.getName()}`,\n        });\n      }\n\n      for (const cellDataArray of this.outputData.getCellData().getArrays()) {\n        this.colorByOptions.push({\n          label: `(c) ${cellDataArray.getName()}`,\n          value: `CellData:${cellDataArray.getName()}`,\n        });\n      }\n\n      this.selectedColor = this.colorByOptions[0].value;\n\n      // Initialize all rendering components.\n      const bgColor = 0.9686274509803922;\n      this.fullScreenRenderWindow = vtkFullScreenRenderWindow.newInstance({\n        background: [bgColor, bgColor, bgColor],\n        containerStyle: {height: \'100%\', width: \'100%\'},\n        rootContainer: this.$refs.renderContainer,\n      });\n\n      const lookupTable = vtkColorTransferFunction.newInstance();\n      const mapper = vtkMapper.newInstance({\n        interpolateScalarsBeforeMapping: false,\n        lookupTable,\n        scalarVisibility: false,\n        useLookupTableScalarRange: true,\n      });\n      mapper.setInputData(this.outputData);\n\n      this.modelActor = vtkActor.newInstance();\n      this.modelActor.setMapper(mapper);\n      this.modelActor.getProperty().setColor([0.8, 0.8, 0.8]);\n\n      this.scalarBarActor = vtkScalarBarActor.newInstance();\n      this.scalarBarActor.setScalarsToColors(lookupTable);\n      this.scalarBarActor.setVisibility(false);\n\n      const fontStyle = {fontFamily: \'Arial, sans-serif\', fontColor: \'black\'};\n      this.scalarBarActor.setAxisTextStyle(fontStyle);\n      this.scalarBarActor.setTickTextStyle(fontStyle);\n\n      const renderer = this.fullScreenRenderWindow.getRenderer();\n      renderer.addActor(this.modelActor);\n      renderer.addActor(this.scalarBarActor);\n      renderer.resetCamera();\n\n      const camera = renderer.getActiveCamera();\n      this.cameraPosition = camera.getPosition();\n      this.cameraViewUp = camera.getViewUp();\n\n      const renderWindow = this.fullScreenRenderWindow.getRenderWindow();\n      renderWindow.getInteractor().setDesiredUpdateRate(15);\n\n      this.renderView();\n    },\n    async loadFile() {\n      this.forceLoad = true;\n\n      await this.$nextTick();\n\n      try {\n        const data = await HttpDataAccessHelper.fetchBinary(this.url);\n        const vtpReader = vtkXMLPolyDataReader.newInstance();\n        vtpReader.parseAsArrayBuffer(data);\n\n        this.outputData = vtpReader.getOutputData(0);\n        this.initializeViewer();\n      } catch (error) {\n        this.error = $t(\'Error loading model.\');\n        console.error(error);\n        return;\n      }\n\n      this.resizeView();\n      this.loading = false;\n\n      window.addEventListener(\'resize\', this.resizeView);\n    },\n  },\n};\n<\/script>\n'],sourceRoot:""}]),e.exports=i},8868:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,"\n.editor-container[data-v-40fb82d8] {\n  border: 1px solid #ced4da;\n  border-radius: 0px;\n}\n.toolbar[data-v-40fb82d8] {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/workflows/WorkflowEditor.vue"],names:[],mappings:";AAsGA;EACA,yBAAA;EACA,kBAAA;AACA;AAEA;EACA,8BAAA;EACA,+BAAA;EACA,qBAAA;EACA,mBAAA;AACA",sourcesContent:['\x3c!-- Copyright 2020 Karlsruhe Institute of Technology\n   -\n   - Licensed under the Apache License, Version 2.0 (the "License");\n   - you may not use this file except in compliance with the License.\n   - You may obtain a copy of the License at\n   -\n   -     http://www.apache.org/licenses/LICENSE-2.0\n   -\n   - Unless required by applicable law or agreed to in writing, software\n   - distributed under the License is distributed on an "AS IS" BASIS,\n   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   - See the License for the specific language governing permissions and\n   - limitations under the License. --\x3e\n\n<template>\n  <div ref="container">\n    <confirm-dialog ref="dialog"></confirm-dialog>\n    <div v-if="toolsEndpoint">\n      <div ref="toolDialog" class="modal" tabindex="-1">\n        <div class="modal-dialog modal-dialog-centered modal-xl">\n          <div class="modal-content">\n            <div class="modal-header">\n              <strong class="modal-title">Add tools</strong>\n              <button type="button" class="close" data-dismiss="modal">\n                <i class="fa-solid fa-xmark fa-xs"></i>\n              </button>\n            </div>\n            <div class="modal-body">\n              <dynamic-pagination placeholder="No tools."\n                                  filter-placeholder="Filter by filename or record identifier"\n                                  :endpoint="toolsEndpoint"\n                                  :per-page="5"\n                                  :enable-filter="true">\n                <template #default="props">\n                  <ul v-if="props.total > 0" class="list-group">\n                    <li class="list-group-item bg-light py-2">\n                      <div class="row">\n                        <div class="col-lg-5">Tool</div>\n                        <div class="col-lg-5">File</div>\n                      </div>\n                    </li>\n                    <li v-for="item in props.items" :key="item.id" class="list-group-item py-2">\n                      <div class="row align-items-center">\n                        <div class="col-lg-5 mb-2 mb-lg-0">\n                          <div v-if="item.tool">\n                            <strong>{{ item.tool.name }}</strong>\n                            <small>[{{ item.tool.type }}]</small>\n                            <span v-if="item.tool.version">\n                              <br>\n                              Version {{ item.tool.version }}\n                            </span>\n                          </div>\n                          <div v-else>\n                            <em class="text-muted">Invalid tool description.</em>\n                          </div>\n                        </div>\n                        <div class="col-lg-5 mb-2 mb-lg-0">\n                          <strong>{{ item.file }}</strong>\n                          <br>\n                          @{{ item.record }}\n                        </div>\n                        <div class="col-lg-2 d-lg-flex justify-content-end">\n                          <div>\n                            <button type="button"\n                                    class="btn btn-light btn-sm"\n                                    :disabled="!item.tool"\n                                    @click="addTool(item.tool)">\n                              <i class="fa-solid fa-plus"></i>\n                            </button>\n                          </div>\n                        </div>\n                      </div>\n                    </li>\n                  </ul>\n                </template>\n              </dynamic-pagination>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n    <div ref="toolbar" class="card toolbar">\n      <div class="card-body px-1 py-0">\n        <button type="button" title="Reset view" :class="toolbarBtnClasses" @click="resetView">\n          <i class="fa-solid fa-eye"></i>\n        </button>\n        <button type="button" title="Toggle fullscreen" :class="toolbarBtnClasses" @click="toggleFullscreen">\n          <i class="fa-solid fa-expand"></i>\n        </button>\n        <button v-if="editable" type="button" title="Reset editor" :class="toolbarBtnClasses" @click="resetEditor">\n          <i class="fa-solid fa-broom"></i>\n        </button>\n      </div>\n    </div>\n    <div ref="editorContainer" class="card editor-container" :class="{\'bg-light\': !editable}">\n      <div ref="editor"></div>\n    </div>\n    <slot :editor="editor"></slot>\n  </div>\n</template>\n\n<style scoped>\n.editor-container {\n  border: 1px solid #ced4da;\n  border-radius: 0px;\n}\n\n.toolbar {\n  border-bottom-left-radius: 0px;\n  border-bottom-right-radius: 0px;\n  border-color: #ced4da;\n  margin-bottom: -1px;\n}\n</style>\n\n<script>\nimport \'regenerator-runtime\';\nimport \'styles/workflows/workflow-editor.scss\';\n\nimport AreaPlugin from \'rete-area-plugin\';\nimport ConnectionPlugin from \'rete-connection-plugin\';\nimport ContextMenuPlugin from \'rete-context-menu-plugin\';\nimport VueRenderPlugin from \'rete-vue-render-plugin\';\n\nimport {ToolComponent} from \'scripts/lib/workflows/components/core\';\nimport VueMenu from \'scripts/components/lib/workflows/view/Menu.vue\';\nimport WorkflowEditor from \'scripts/lib/workflows/editor\';\n\nimport annotationComponents from \'scripts/lib/workflows/components/annotation-components\';\nimport controlComponents from \'scripts/lib/workflows/components/control-components\';\nimport fileIoComponents from \'scripts/lib/workflows/components/file-io-components\';\nimport miscComponents from \'scripts/lib/workflows/components/misc-components\';\nimport sourceComponents from \'scripts/lib/workflows/components/source-components\';\nimport userInputComponents from \'scripts/lib/workflows/components/user-input-components\';\nimport userOutputComponents from \'scripts/lib/workflows/components/user-output-components\';\n\nexport default {\n  props: {\n    editable: {\n      type: Boolean,\n      default: true,\n    },\n    workflowUrl: {\n      type: String,\n      default: null,\n    },\n    toolsEndpoint: {\n      type: String,\n      default: null,\n    },\n    unsavedChanges: {\n      type: Boolean,\n      default: false,\n    },\n    isRendered: {\n      type: Boolean,\n      default: true,\n    },\n  },\n  data() {\n    return {\n      version: \'kadi@0.1.0\',\n      editor: null,\n      area: null,\n      unsavedChanges_: false,\n      menuItems: {},\n      currX: 0,\n      currY: 0,\n    };\n  },\n  computed: {\n    toolbarBtnClasses() {\n      return \'btn btn-link text-primary my-1\';\n    },\n  },\n  watch: {\n    workflowUrl() {\n      this.loadWorkflow(this.workflowUrl);\n    },\n    unsavedChanges() {\n      this.unsavedChanges_ = this.unsavedChanges;\n    },\n    unsavedChanges_() {\n      this.$emit(\'unsaved-changes\', this.unsavedChanges_);\n    },\n    isRendered() {\n      this.resizeView(false);\n    },\n  },\n  mounted() {\n    this.editor = new WorkflowEditor(this.version, this.$refs.editor);\n    this.area = AreaPlugin;\n\n    // Disable some events if the editor is not editable.\n    if (!this.editable) {\n      const clickHandler = (e) => {\n        e.preventDefault();\n        e.stopPropagation();\n      };\n\n      for (const event of [\'click\', \'dblclick\', \'contextmenu\']) {\n        this.$refs.editorContainer.addEventListener(event, clickHandler, {capture: true});\n      }\n\n      const dragHandler = (e) => {\n        // Always allow moving the viewport.\n        if (e.target !== this.$refs.editor) {\n          e.preventDefault();\n          e.stopPropagation();\n        }\n      };\n\n      for (const event of [\'pointerdown\', \'pointerup\']) {\n        this.$refs.editorContainer.addEventListener(event, dragHandler, {capture: true});\n      }\n    }\n\n    // Register all plugins.\n    this.editor.use(AreaPlugin, {snap: {size: 16, dynamic: true}});\n    this.editor.use(ConnectionPlugin);\n    this.editor.use(VueRenderPlugin);\n    this.editor.use(ContextMenuPlugin, {\n      vueComponent: VueMenu,\n      searchBar: true,\n      delay: 0,\n      items: this.menuItems,\n      allocate: () => null,\n    });\n\n    // Register all builtin components.\n    [\n      ...annotationComponents,\n      ...controlComponents,\n      ...fileIoComponents,\n      ...sourceComponents,\n      ...userInputComponents,\n      ...userOutputComponents,\n      ...miscComponents,\n    ].forEach((c) => this.editor.register(c));\n\n    // Setup the context menu with the tool selection and all previously registered components.\n    if (this.toolsEndpoint) {\n      this.menuItems[\'Select tools...\'] = () => $(this.$refs.toolDialog).modal();\n    }\n\n    for (const component of this.editor.components.values()) {\n      // Skip components that do not specify a menu item.\n      if (!component.menu) {\n        continue;\n      }\n\n      if (!this.menuItems[component.menu]) {\n        this.menuItems[component.menu] = {};\n      }\n      this.menuItems[component.menu][component.name] = () => this.addNode(component);\n    }\n\n    if (kadi.globals.environment === \'development\') {\n      this.menuItems.Debug = {\n        /* eslint-disable no-console */\n        \'Dump Flow\': () => console.info(this.editor.toFlow()),\n        \'Dump JSON\': () => console.info(this.editor.toJSON()),\n        /* eslint-enable no-console */\n      };\n    }\n\n    this.editor.on(\'showcontextmenu\', ({e}) => {\n      const area = this.editor.view.area;\n      const rect = area.el.getBoundingClientRect();\n\n      // Store the mouse position at the time the context menu was opened.\n      this.currX = (e.clientX - rect.left) / area.transform.k;\n      this.currY = (e.clientY - rect.top) / area.transform.k;\n    });\n\n    // Handle unsaved changes on all relevant events.\n    const events = [\n      \'nodecreated\',\n      \'noderemoved\',\n      \'nodetranslated\',\n      \'connectioncreated\',\n      \'connectionremoved\',\n      \'controlchanged\',\n      \'unsavedchanges\',\n    ];\n    this.editor.on(events.join(\' \'), () => {\n      if (!this.editor.silent) {\n        this.unsavedChanges_ = true;\n      }\n    });\n\n    // Finish initializion.\n    this.resizeView();\n\n    if (this.workflowUrl) {\n      this.loadWorkflow(this.workflowUrl);\n    }\n\n    window.addEventListener(\'resize\', this.resizeView);\n    window.addEventListener(\'beforeunload\', this.beforeUnload);\n  },\n  beforeDestroy() {\n    window.removeEventListener(\'resize\', this.resizeView);\n    window.removeEventListener(\'beforeunload\', this.beforeUnload);\n\n    $(this.$refs.toolDialog).modal(\'dispose\');\n  },\n  methods: {\n    resetView() {\n      this.area.zoomAt(this.editor);\n    },\n    toggleFullscreen() {\n      kadi.utils.toggleFullscreen(this.$refs.container);\n    },\n    async resetEditor() {\n      const input = await this.$refs.dialog.open(\'Are you sure you want to reset the editor?\');\n\n      if (!input.status) {\n        return;\n      }\n\n      this.editor.clear();\n      this.unsavedChanges_ = false;\n    },\n    resizeView(resetView = true) {\n      if (!this.isRendered) {\n        return;\n      }\n\n      const toolbar = this.$refs.toolbar;\n      const editorContainer = this.$refs.editorContainer;\n\n      if (kadi.utils.isFullscreen()) {\n        const toolbarHeight = Math.round(toolbar.getBoundingClientRect().height);\n\n        editorContainer.style.height = `calc(100vh - ${toolbarHeight - 1}px)`;\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0\';\n      } else {\n        const containerWidth = Math.round(editorContainer.getBoundingClientRect().width);\n        const containerHeight = Math.round(window.innerHeight / window.innerWidth * containerWidth);\n\n        editorContainer.style.height = `${containerHeight}px`;\n        toolbar.style.borderTopLeftRadius = toolbar.style.borderTopRightRadius = \'0.25rem\';\n      }\n\n      this.editor.view.resize();\n\n      if (resetView) {\n        this.resetView();\n      }\n    },\n    async loadWorkflow(url) {\n      try {\n        const response = await axios.get(url);\n\n        try {\n          if (!await this.editor.fromFlow(response.data)) {\n            kadi.base.flashWarning(\'Could not fully reconstruct workflow.\');\n          }\n        } catch (error) {\n          console.error(error);\n          kadi.base.flashDanger(\'Error parsing workflow data.\');\n        } finally {\n          this.resetView();\n        }\n      } catch (error) {\n        kadi.base.flashDanger(\'Error loading workflow.\', {request: error.request});\n      }\n    },\n    addTool(tool) {\n      const componentName = ToolComponent.nameFromTool(tool);\n\n      // Register the tool node if it is missing.\n      if (!this.editor.components.has(componentName)) {\n        this.editor.register(new ToolComponent(tool));\n      }\n\n      this.addNode(this.editor.components.get(componentName));\n    },\n    async addNode(component) {\n      const node = await component.createNode();\n\n      node.position[0] = this.currX;\n      node.position[1] = this.currY;\n\n      this.editor.addNode(node);\n    },\n    beforeUnload(e) {\n      if (this.unsavedChanges_) {\n        e.preventDefault();\n        return \'\';\n      }\n      return null;\n    },\n  },\n};\n<\/script>\n'],sourceRoot:""}]),e.exports=i},9693:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,"\n.input[data-v-33241005] {\n  width: 160px;\n}\n","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/workflows/controls/FormatControl.vue"],names:[],mappings:";AA0BA;EACA,YAAA;AACA",sourcesContent:['\x3c!-- Copyright 2022 Karlsruhe Institute of Technology\n   -\n   - Licensed under the Apache License, Version 2.0 (the "License");\n   - you may not use this file except in compliance with the License.\n   - You may obtain a copy of the License at\n   -\n   -     http://www.apache.org/licenses/LICENSE-2.0\n   -\n   - Unless required by applicable law or agreed to in writing, software\n   - distributed under the License is distributed on an "AS IS" BASIS,\n   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   - See the License for the specific language governing permissions and\n   - limitations under the License. --\x3e\n\n<template>\n  <div class="input-group" @pointerdown.stop>\n    <input v-model="value" class="form-control input" :title="value">\n    <div class="input-group-append">\n      <button type="button" class="btn btn-light" title="Revert to default" @click="value = defaultFormat">\n        <i class="fa-solid fa-rotate"></i>\n      </button>\n    </div>\n  </div>\n</template>\n\n<style scoped>\n.input {\n  width: 160px;\n}\n</style>\n\n<script>\nimport workflowControlMixn from \'scripts/components/mixins/workflow-control-mixin\';\n\nexport default {\n  mixins: [workflowControlMixn],\n  props: {\n    defaultValue: String,\n  },\n  data() {\n    return {\n      defaultFormat: \'\',\n    };\n  },\n  methods: {\n    updateDefaultFormat(defaultFormat) {\n      this.defaultFormat = defaultFormat;\n    },\n  },\n};\n<\/script>\n'],sourceRoot:""}]),e.exports=i},293:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,"\n.input[data-v-161a2d4c] {\n  width: 45px;\n}\n","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/workflows/controls/PortControl.vue"],names:[],mappings:";AA6BA;EACA,WAAA;AACA",sourcesContent:['\x3c!-- Copyright 2021 Karlsruhe Institute of Technology\n   -\n   - Licensed under the Apache License, Version 2.0 (the "License");\n   - you may not use this file except in compliance with the License.\n   - You may obtain a copy of the License at\n   -\n   -     http://www.apache.org/licenses/LICENSE-2.0\n   -\n   - Unless required by applicable law or agreed to in writing, software\n   - distributed under the License is distributed on an "AS IS" BASIS,\n   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   - See the License for the specific language governing permissions and\n   - limitations under the License. --\x3e\n\n<template>\n  <div class="input-group" @pointerdown.stop>\n    <input v-model.number="value" class="form-control input" :title="value">\n    <div class="input-group-append">\n      <button type="button" class="btn btn-light" title="Remove port" @click="value--">\n        <i class="fa-solid fa-minus"></i>\n      </button>\n      <button type="button" class="btn btn-light" title="Add port" @click="value++">\n        <i class="fa-solid fa-plus"></i>\n      </button>\n    </div>\n  </div>\n</template>\n\n<style scoped>\n.input {\n  width: 45px;\n}\n</style>\n\n<script>\nimport workflowControlMixn from \'scripts/components/mixins/workflow-control-mixin\';\n\nexport default {\n  mixins: [workflowControlMixn],\n  props: {\n    defaultValue: Number,\n  },\n  methods: {\n    convertValue() {\n      const value = Number(this.value);\n\n      if (window.isNaN(value)) {\n        this.value = this.defaultValue;\n      } else if (value > 99) {\n        this.value = 99;\n      } else if (value < 0) {\n        this.value = 0;\n      } else {\n        this.value = Math.floor(value);\n      }\n    },\n  },\n};\n<\/script>\n'],sourceRoot:""}]),e.exports=i},6409:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".connection{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*{pointer-events:all}.item{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item:hover{background-color:#e3e3e3}.item:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path{stroke-width:4px;stroke:#6d6d6d}","",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss"],names:[],mappings:"AAyBA,YACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,uBACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,6BACE,gBAAA,CACA,cAAA,CAIJ,cACE,kBAAA,CAIJ,MACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,YACE,wBAAA,CAGF,kBACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,iBACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,8BACE,gBAAA,CACA,cAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n'],sourceRoot:""}]),e.exports=i},8382:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".sheet-nav[data-v-1cde7181]{border-color:#dee2e6;border-radius:0}.sheet-nav[data-v-1cde7181]:not(:first-child){margin-left:-1px}.sheet-nav.active[data-v-1cde7181]{background-color:#dbdbdb}.sheet-table[data-v-1cde7181]{font-size:.825rem}","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/previews/ExcelViewer.vue"],names:[],mappings:"AACA,4BACE,oBAAA,CACA,eAAA,CAEA,8CACE,gBAAA,CAGF,mCACE,wBAAA,CAIJ,8BACE,iBAAA",sourcesContent:["\n.sheet-nav {\n  border-color: #dee2e6;\n  border-radius: 0;\n\n  &:not(:first-child) {\n    margin-left: -1px;\n  }\n\n  &.active {\n    background-color: #dbdbdb;\n  }\n}\n\n.sheet-table {\n  font-size: 0.825rem;\n}\n"],sourceRoot:""}]),e.exports=i},6666:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,'.connection[data-v-53035494]{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path[data-v-53035494]{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path[data-v-53035494]:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*[data-v-53035494]{pointer-events:all}.item[data-v-53035494]{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item[data-v-53035494]:hover{background-color:#e3e3e3}.item[data-v-53035494]:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item[data-v-53035494]:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path[data-v-53035494]{stroke-width:4px;stroke:#6d6d6d}.item[data-v-53035494]{width:215px}.item.hasSubitems[data-v-53035494]:after{content:">";opacity:.6;position:absolute;right:5px;top:5px}.item .subitems[data-v-53035494]{border:1px solid #c9c9c9;left:100%;max-height:155px;overflow-x:hidden;overflow-y:auto;position:absolute;top:0}.item .subitems .item[data-v-53035494]{border:0;border-radius:0}',"",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss","webpack://./kadi/assets/scripts/components/lib/workflows/view/Item.vue"],names:[],mappings:"AAyBA,6BACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,wCACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,8CACE,gBAAA,CACA,cAAA,CAIJ,+BACE,kBAAA,CAIJ,uBACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,6BACE,wBAAA,CAGF,mCACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,kCACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,+CACE,gBAAA,CACA,cAAA,CC1EF,uBACE,WDcmB,CCZnB,yCACE,WAAA,CACA,UAAA,CACA,iBAAA,CACA,SAAA,CACA,OAAA,CAGF,iCACE,wBAAA,CACA,SAAA,CACA,gBAAA,CACA,iBAAA,CACA,eAAA,CACA,iBAAA,CACA,KAAA,CAEA,uCACE,QAAA,CACA,eAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n',"\n@import 'styles/workflows/workflow-editor.scss';\n\n.item {\n  width: $context-menu-width;\n\n  &.hasSubitems:after {\n    content: '>';\n    opacity: 0.6;\n    position: absolute;\n    right: 5px;\n    top: 5px;\n  }\n\n  .subitems {\n    border: 1px solid $context-menu-accent-color;\n    left: 100%;\n    max-height: 155px;\n    overflow-x: hidden;\n    overflow-y: auto;\n    position: absolute;\n    top: 0;\n\n    .item {\n      border: 0;\n      border-radius: 0;\n    }\n  }\n}\n"],sourceRoot:""}]),e.exports=i},1341:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".connection[data-v-0518a99a]{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path[data-v-0518a99a]{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path[data-v-0518a99a]:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*[data-v-0518a99a]{pointer-events:all}.item[data-v-0518a99a]{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item[data-v-0518a99a]:hover{background-color:#e3e3e3}.item[data-v-0518a99a]:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item[data-v-0518a99a]:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path[data-v-0518a99a]{stroke-width:4px;stroke:#6d6d6d}.context-menu[data-v-0518a99a]{left:0;margin-left:-107.5px;margin-top:-20px;padding:10px;position:fixed;top:0;width:215px;z-index:1000}","",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss","webpack://./kadi/assets/scripts/components/lib/workflows/view/Menu.vue"],names:[],mappings:"AAyBA,6BACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,wCACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,8CACE,gBAAA,CACA,cAAA,CAIJ,+BACE,kBAAA,CAIJ,uBACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,6BACE,wBAAA,CAGF,mCACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,kCACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,+CACE,gBAAA,CACA,cAAA,CC1EF,+BACE,MAAA,CACA,oBAAA,CACA,gBAAA,CACA,YAAA,CACA,cAAA,CACA,KAAA,CACA,WDQmB,CCPnB,YAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n',"\n@import 'styles/workflows/workflow-editor.scss';\n\n.context-menu {\n  left: 0;\n  margin-left: -$context-menu-width * 0.5;\n  margin-top: -20px;\n  padding: 10px;\n  position: fixed;\n  top: 0;\n  width: $context-menu-width;\n  z-index: 1000;\n}\n"],sourceRoot:""}]),e.exports=i},3906:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".connection[data-v-9f2aa2e4]{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path[data-v-9f2aa2e4]{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path[data-v-9f2aa2e4]:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*[data-v-9f2aa2e4]{pointer-events:all}.item[data-v-9f2aa2e4]{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item[data-v-9f2aa2e4]:hover{background-color:#e3e3e3}.item[data-v-9f2aa2e4]:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item[data-v-9f2aa2e4]:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path[data-v-9f2aa2e4]{stroke-width:4px;stroke:#6d6d6d}.dropdown-menu[data-v-9f2aa2e4]{min-width:0}.node[data-v-9f2aa2e4]{background:rgba(247,247,247,.85);border:2px solid #2e2e2e;border-radius:.75rem;box-sizing:border-box;color:#2e2e2e;cursor:pointer;height:auto;min-width:150px;padding-bottom:10px;padding-top:10px;position:relative;-webkit-user-select:none;-moz-user-select:none;user-select:none}.node .content[data-v-9f2aa2e4]{display:table;width:100%}.node .content .column[data-v-9f2aa2e4]{display:table-cell;white-space:nowrap}.node .content .column[data-v-9f2aa2e4]:not(:last-child){padding-right:20px}.node .control[data-v-9f2aa2e4]{max-width:325px;padding:5px 15px}.node .control .title[data-v-9f2aa2e4]{min-width:75px}.node .dropdown-btn[data-v-9f2aa2e4]{border:1px solid rgba(0,0,0,.3)}.node .input[data-v-9f2aa2e4]{margin-bottom:5px;margin-top:5px;text-align:left}.node .output[data-v-9f2aa2e4]{margin-bottom:5px;margin-top:5px;text-align:right}.node .validation[data-v-9f2aa2e4]{color:#fff;padding:5px;font-size:85%}.node.env[data-v-9f2aa2e4]{background:rgba(71,142,89,.85);color:#fff}.node.env .dropdown-btn[data-v-9f2aa2e4]{border:1px solid rgba(255,255,255,.3);color:#fff}.node.program[data-v-9f2aa2e4]{background:rgba(44,62,80,.85);color:#fff}.node.program .dropdown-btn[data-v-9f2aa2e4]{border:1px solid rgba(255,255,255,.3);color:#fff}.node[data-v-9f2aa2e4]:hover,.node.selected[data-v-9f2aa2e4]{background:rgba(222,222,222,.85)}.node:hover.env[data-v-9f2aa2e4],.node.selected.env[data-v-9f2aa2e4]{background:rgba(54,108,68,.85)}.node:hover.program[data-v-9f2aa2e4],.node.selected.program[data-v-9f2aa2e4]{background:rgba(26,37,47,.85)}","",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss","webpack://./kadi/assets/scripts/components/lib/workflows/view/Node.vue"],names:[],mappings:"AAyBA,6BACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,wCACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,8CACE,gBAAA,CACA,cAAA,CAIJ,+BACE,kBAAA,CAIJ,uBACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,6BACE,wBAAA,CAGF,mCACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,kCACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,+CACE,gBAAA,CACA,cAAA,CCpEF,gCACE,WAAA,CAGF,uBACE,gCAAA,CACA,wBAAA,CACA,oBAAA,CACA,qBAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,eAAA,CACA,mBAAA,CACA,gBAAA,CACA,iBAAA,CACA,wBAAA,CAAA,qBAAA,CAAA,gBAAA,CAEA,gCACE,aAAA,CACA,UAAA,CAEA,wCACE,kBAAA,CACA,kBAAA,CAEA,yDACE,kBAAA,CAKN,gCACE,eAAA,CACA,gBAAA,CAEA,uCACE,cAAA,CAIJ,qCACE,+BAAA,CAGF,8BACE,iBAhDQ,CAiDR,cAjDQ,CAkDR,eAAA,CAGF,+BACE,iBAtDQ,CAuDR,cAvDQ,CAwDR,gBAAA,CAGF,mCACE,UAAA,CACA,WAAA,CACA,aAAA,CAGF,2BACE,8BAAA,CACA,UAAA,CAEA,yCACE,qCAAA,CACA,UAAA,CAIJ,+BACE,6BAAA,CACA,UAAA,CAEA,6CACE,qCAAA,CACA,UAAA,CAIJ,6DACE,gCAAA,CAEA,qEACE,8BAAA,CAGF,6EACE,6BAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n',"\n@import 'styles/workflows/workflow-editor.scss';\n\n$bg-builtin: #f7f7f7;\n$bg-env: #478e59;\n$bg-program: #2c3e50;\n\n$io-margin: 5px;\n\n.dropdown-menu {\n  min-width: 0;\n}\n\n.node {\n  background: rgba($bg-builtin, 0.85);\n  border: 2px solid #2e2e2e;\n  border-radius: 0.75rem;\n  box-sizing: border-box;\n  color: #2e2e2e;\n  cursor: pointer;\n  height: auto;\n  min-width: 150px;\n  padding-bottom: 10px;\n  padding-top: 10px;\n  position: relative;\n  user-select: none;\n\n  .content {\n    display: table;\n    width: 100%;\n\n    .column {\n      display: table-cell;\n      white-space: nowrap;\n\n      &:not(:last-child) {\n        padding-right: 20px;\n      }\n    }\n  }\n\n  .control {\n    max-width: 325px;\n    padding: $socket-margin $socket-size * 0.5 + $socket-margin;\n\n    .title {\n      min-width: 75px;\n    }\n  }\n\n  .dropdown-btn {\n    border: 1px solid rgba(black, 0.3);\n  }\n\n  .input {\n    margin-bottom: $io-margin;\n    margin-top: $io-margin;\n    text-align: left;\n  }\n\n  .output {\n    margin-bottom: $io-margin;\n    margin-top: $io-margin;\n    text-align: right;\n  }\n\n  .validation {\n    color: white;\n    padding: 5px;\n    font-size: 85%;\n  }\n\n  &.env {\n    background: rgba($bg-env, 0.85);\n    color: white;\n\n    .dropdown-btn {\n      border: 1px solid rgba(white, 0.3);\n      color: white;\n    }\n  }\n\n  &.program {\n    background: rgba($bg-program, 0.85);\n    color: white;\n\n    .dropdown-btn {\n      border: 1px solid rgba(white, 0.3);\n      color: white;\n    }\n  }\n\n  &:hover, &.selected {\n    background: rgba(darken($bg-builtin, 10%), 0.85);\n\n    &.env {\n      background: rgba(darken($bg-env, 10%), 0.85);\n    }\n\n    &.program {\n      background: rgba(darken($bg-program, 10%), 0.85);\n    }\n  }\n}\n"],sourceRoot:""}]),e.exports=i},9100:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".node[data-v-6370a337]{background:rgba(245,236,154,.85);border:2px solid #f5ec9a;cursor:pointer;padding-top:30px;width:350px}.node[data-v-6370a337]:hover,.node.selected[data-v-6370a337]{background:rgba(240,227,108,.85)}.node .content[data-v-6370a337]{background:rgba(252,249,224,.85);border:0;border-radius:0;box-shadow:none;color:#000;height:35px;min-height:35px;overflow:hidden;padding:5px;resize:none}","",{version:3,sources:["webpack://./kadi/assets/scripts/components/lib/workflows/view/Note.vue"],names:[],mappings:"AAGA,uBACE,gCAAA,CACA,wBAAA,CACA,cAAA,CACA,gBAAA,CACA,WAAA,CAEA,6DACE,gCAAA,CAGF,gCACE,gCAAA,CACA,QAAA,CACA,eAAA,CACA,eAAA,CACA,UAAA,CACA,WAAA,CACA,eAAA,CACA,eAAA,CACA,WAAA,CACA,WAAA",sourcesContent:["\n$bg-note: #f5ec9a;\n\n.node {\n  background: rgba($bg-note, 0.85);\n  border: 2px solid $bg-note;\n  cursor: pointer;\n  padding-top: 30px;\n  width: 350px;\n\n  &:hover, &.selected {\n    background: rgba(darken($bg-note, 10%), 0.85);\n  }\n\n  .content {\n    background: rgba(lighten($bg-note, 15%), 0.85);\n    border: 0;\n    border-radius: 0;\n    box-shadow: none;\n    color: black;\n    height: 35px;\n    min-height: 35px;\n    overflow: hidden;\n    padding: 5px;\n    resize: none;\n  }\n}\n"],sourceRoot:""}]),e.exports=i},3806:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".connection[data-v-69e0aebd]{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path[data-v-69e0aebd]{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path[data-v-69e0aebd]:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*[data-v-69e0aebd]{pointer-events:all}.item[data-v-69e0aebd],.search[data-v-69e0aebd]{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item[data-v-69e0aebd]:hover,.search[data-v-69e0aebd]:hover{background-color:#e3e3e3}.item[data-v-69e0aebd]:first-child,.search[data-v-69e0aebd]:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item[data-v-69e0aebd]:last-child,.search[data-v-69e0aebd]:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path[data-v-69e0aebd]{stroke-width:4px;stroke:#6d6d6d}.search[data-v-69e0aebd]{border-bottom:1px solid #c9c9c9;padding:7px}.search[data-v-69e0aebd]:hover{background-color:#f8f8f8;cursor:default}","",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss","webpack://./kadi/assets/scripts/components/lib/workflows/view/Search.vue"],names:[],mappings:"AAyBA,6BACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,wCACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,8CACE,gBAAA,CACA,cAAA,CAIJ,+BACE,kBAAA,CAIJ,gDACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,4DACE,wBAAA,CAGF,wEACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,sEACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,+CACE,gBAAA,CACA,cAAA,CC1EF,yBAEE,+BAAA,CACA,WAAA,CAEA,+BACE,wBDWY,CCVZ,cAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n',"\n@import 'styles/workflows/workflow-editor.scss';\n\n.search {\n  @extend .item;\n  border-bottom: 1px solid $context-menu-accent-color;\n  padding: 7px;\n\n  &:hover {\n    background-color: $item-bg-color;\n    cursor: default;\n  }\n}\n"],sourceRoot:""}]),e.exports=i},4867:function(e,t,n){var r=n(1354),i=n(6314)(r);i.push([e.id,".connection[data-v-174d237b]{overflow:visible !important;pointer-events:none;position:absolute;z-index:-1}.connection .main-path[data-v-174d237b]{fill:none;stroke:#adadad;stroke-width:3px}.connection .main-path[data-v-174d237b]:hover{stroke-width:4px;stroke:#6d6d6d}.connection>*[data-v-174d237b]{pointer-events:all}.item[data-v-174d237b]{background-color:#f8f8f8;border-left:1px solid #c9c9c9;border-right:1px solid #c9c9c9;color:#2e2e2e;cursor:pointer;padding:4px;position:relative;width:215px}.item[data-v-174d237b]:hover{background-color:#e3e3e3}.item[data-v-174d237b]:first-child{border-top:1px solid #c9c9c9;border-top-left-radius:3px;border-top-right-radius:3px}.item[data-v-174d237b]:last-child{border-bottom:1px solid #c9c9c9;border-bottom-left-radius:3px;border-bottom-right-radius:3px}[class=connection] .main-path[data-v-174d237b]{stroke-width:4px;stroke:#6d6d6d}.socket[data-v-174d237b]{align-items:center;background:#fff;border:2px solid #d3d3d3;border-radius:10px;box-sizing:border-box;cursor:pointer;display:inline-flex;height:20px;justify-content:center;margin:5px;position:relative;vertical-align:middle;width:20px;z-index:2}.socket.incompatible[data-v-174d237b]{opacity:.2;transition:opacity .25s}.socket.input[data-v-174d237b]{margin-left:-10px}.socket.output[data-v-174d237b]{margin-right:-10px}.socket.used[data-v-174d237b]{border:2px solid #adadad}.socket[data-v-174d237b]:hover{border-width:4px;border:2px solid #6d6d6d}.socket[data-v-174d237b]:not(.incompatible){opacity:1;transition:opacity .5s}.socket.bool[data-v-174d237b]{background:#fa5a5a;color:#ce0606}.socket.dep[data-v-174d237b]{background:#72de6d;color:#2ba626}.socket.env[data-v-174d237b]{background:#636363;color:#232323}.socket.float[data-v-174d237b]{background:#77dfed;color:#1bb5ca}.socket.int[data-v-174d237b]{background:#c660fc;color:#8f04d8}.socket.pipe[data-v-174d237b]{background:#ebe836;color:#93910f}.socket.str[data-v-174d237b]{background:#6b9fff;color:#0052eb}","",{version:3,sources:["webpack://./kadi/assets/styles/workflows/workflow-editor.scss","webpack://./kadi/assets/scripts/components/lib/workflows/view/Socket.vue"],names:[],mappings:"AAyBA,6BACE,2BAAA,CACA,mBAAA,CACA,iBAAA,CACA,UAAA,CAEA,wCACE,SAAA,CACA,cAnBe,CAoBf,gBAAA,CAEA,8CACE,gBAAA,CACA,cAAA,CAIJ,+BACE,kBAAA,CAIJ,uBACE,wBA5Bc,CA6Bd,6BAAA,CACA,8BAAA,CACA,aAAA,CACA,cAAA,CACA,WAAA,CACA,iBAAA,CACA,WArCmB,CAuCnB,6BACE,wBAAA,CAGF,mCACE,4BAAA,CACA,0BA9CiB,CA+CjB,2BA/CiB,CAkDnB,kCACE,+BAAA,CACA,6BApDiB,CAqDjB,8BArDiB,CA0DrB,+CACE,gBAAA,CACA,cAAA,CClEF,yBACE,kBAAA,CACA,eAAA,CACA,wBAAA,CACA,kBAAA,CACA,qBAAA,CACA,cAAA,CACA,mBAAA,CACA,WDIY,CCHZ,sBAAA,CACA,UDCc,CAAA,iBAAA,CCCd,qBAAA,CACA,UDDY,CCEZ,SAAA,CAEA,sCACE,UAAA,CACA,uBAAA,CAGF,+BACE,iBAAA,CAGF,gCACE,kBAAA,CAGF,8BACE,wBAAA,CAGF,+BACE,gBAAA,CACA,wBAAA,CAGF,4CACE,SAAA,CACA,sBAAA,CAKF,8BACE,kBAtDM,CAuDN,aAAA,CAGF,6BACE,kBA1DK,CA2DL,aAAA,CAGF,6BACE,kBA9DK,CA+DL,aAAA,CAGF,+BACE,kBAlEO,CAmEP,aAAA,CAGF,6BACE,kBAtEK,CAuEL,aAAA,CAGF,8BACE,kBA1EM,CA2EN,aAAA,CAGF,6BACE,kBA9EK,CA+EL,aAAA",sourcesContent:['/* Copyright 2020 Karlsruhe Institute of Technology\n *\n * Licensed under the Apache License, Version 2.0 (the "License");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n *     http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an "AS IS" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License. */\n\n$connection-color: #adadad;\n\n$context-menu-accent-color: #c9c9c9;\n$context-menu-round: 3px;\n$context-menu-width: 215px;\n\n$item-bg-color: #f8f8f8;\n\n$socket-margin: 5px;\n$socket-size: 20px;\n\n.connection {\n  overflow: visible !important;\n  pointer-events: none;\n  position: absolute;\n  z-index: -1;\n\n  .main-path {\n    fill: none;\n    stroke: $connection-color;\n    stroke-width: 3px;\n\n    &:hover {\n      stroke-width: 4px;\n      stroke: darken($connection-color, 25%);\n    }\n  }\n\n  > * {\n    pointer-events: all;\n  }\n}\n\n.item {\n  background-color: $item-bg-color;\n  border-left: 1px solid $context-menu-accent-color;\n  border-right: 1px solid $context-menu-accent-color;\n  color: #2e2e2e;\n  cursor: pointer;\n  padding: 4px;\n  position: relative;\n  width: $context-menu-width;\n\n  &:hover {\n    background-color: #e3e3e3;\n  }\n\n  &:first-child {\n    border-top: 1px solid $context-menu-accent-color;\n    border-top-left-radius: $context-menu-round;\n    border-top-right-radius: $context-menu-round;\n  }\n\n  &:last-child {\n    border-bottom: 1px solid $context-menu-accent-color;\n    border-bottom-left-radius: $context-menu-round;\n    border-bottom-right-radius: $context-menu-round;\n  }\n}\n\n// Currently drawn connections only have a single class applied.\n[class=\'connection\'] .main-path {\n  stroke-width: 4px;\n  stroke: darken($connection-color, 25%);\n}\n',"\n@import 'styles/workflows/workflow-editor.scss';\n\n$bg-bool: #fa5a5a;\n$bg-dep: #72de6d;\n$bg-env: #636363;\n$bg-float: #77dfed;\n$bg-int: #c660fc;\n$bg-pipe: #ebe836;\n$bg-str: #6b9fff;\n\n.socket {\n  align-items: center;\n  background: white;\n  border: 2px solid lighten($connection-color, 15%);\n  border-radius: $socket-size * 0.5;\n  box-sizing: border-box;\n  cursor: pointer;\n  display: inline-flex;\n  height: $socket-size;\n  justify-content: center;\n  margin: $socket-margin;\n  position: relative;\n  vertical-align: middle;\n  width: $socket-size;\n  z-index: 2;\n\n  &.incompatible {\n    opacity: 0.2;\n    transition: opacity 0.25s;\n  }\n\n  &.input {\n    margin-left: -$socket-size * 0.5;\n  }\n\n  &.output {\n    margin-right: -$socket-size * 0.5;\n  }\n\n  &.used {\n    border: 2px solid $connection-color;\n  }\n\n  &:hover {\n    border-width: 4px;\n    border: 2px solid darken($connection-color, 25%);\n  }\n\n  &:not(.incompatible) {\n    opacity: 1;\n    transition: opacity 0.5s;\n  }\n\n  /* Socket types. */\n\n  &.bool {\n    background: $bg-bool;\n    color: darken($bg-bool, 25%);\n  }\n\n  &.dep {\n    background: $bg-dep;\n    color: darken($bg-dep, 25%);\n  }\n\n  &.env {\n    background: $bg-env;\n    color: darken($bg-env, 25%);\n  }\n\n  &.float {\n    background: $bg-float;\n    color: darken($bg-float, 25%);\n  }\n\n  &.int {\n    background: $bg-int;\n    color: darken($bg-int, 25%);\n  }\n\n  &.pipe {\n    background: $bg-pipe;\n    color: darken($bg-pipe, 25%);\n  }\n\n  &.str {\n    background: $bg-str;\n    color: darken($bg-str, 25%);\n  }\n}\n"],sourceRoot:""}]),e.exports=i},6314:function(e){"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n="",r=void 0!==t[5];return t[4]&&(n+="@supports (".concat(t[4],") {")),t[2]&&(n+="@media ".concat(t[2]," {")),r&&(n+="@layer".concat(t[5].length>0?" ".concat(t[5]):""," {")),n+=e(t),r&&(n+="}"),t[2]&&(n+="}"),t[4]&&(n+="}"),n})).join("")},t.i=function(e,n,r,i,a){"string"==typeof e&&(e=[[null,e,void 0]]);var o={};if(r)for(var s=0;s<this.length;s++){var l=this[s][0];null!=l&&(o[l]=!0)}for(var c=0;c<e.length;c++){var u=[].concat(e[c]);r&&o[u[0]]||(void 0!==a&&(void 0===u[5]||(u[1]="@layer".concat(u[5].length>0?" ".concat(u[5]):""," {").concat(u[1],"}")),u[5]=a),n&&(u[2]?(u[1]="@media ".concat(u[2]," {").concat(u[1],"}"),u[2]=n):u[2]=n),i&&(u[4]?(u[1]="@supports (".concat(u[4],") {").concat(u[1],"}"),u[4]=i):u[4]="".concat(i)),t.push(u))}},t}},1354:function(e){"use strict";e.exports=function(e){var t=e[1],n=e[3];if(!n)return t;if("function"==typeof btoa){var r=btoa(unescape(encodeURIComponent(JSON.stringify(n)))),i="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(r),a="/*# ".concat(i," */");return[t].concat([a]).join("\n")}return[t].join("\n")}},41:function(e,t,n){"use strict";var r=n(655),i=n(8068),a=n(9675),o=n(5795);e.exports=function(e,t,n){if(!e||"object"!=typeof e&&"function"!=typeof e)throw new a("`obj` must be an object or a function`");if("string"!=typeof t&&"symbol"!=typeof t)throw new a("`property` must be a string or a symbol`");if(arguments.length>3&&"boolean"!=typeof arguments[3]&&null!==arguments[3])throw new a("`nonEnumerable`, if provided, must be a boolean or null");if(arguments.length>4&&"boolean"!=typeof arguments[4]&&null!==arguments[4])throw new a("`nonWritable`, if provided, must be a boolean or null");if(arguments.length>5&&"boolean"!=typeof arguments[5]&&null!==arguments[5])throw new a("`nonConfigurable`, if provided, must be a boolean or null");if(arguments.length>6&&"boolean"!=typeof arguments[6])throw new a("`loose`, if provided, must be a boolean");var s=arguments.length>3?arguments[3]:null,l=arguments.length>4?arguments[4]:null,c=arguments.length>5?arguments[5]:null,u=arguments.length>6&&arguments[6],d=!!o&&o(e,t);if(r)r(e,t,{configurable:null===c&&d?d.configurable:!c,enumerable:null===s&&d?d.enumerable:!s,value:n,writable:null===l&&d?d.writable:!l});else{if(!u&&(s||l||c))throw new i("This environment does not support defining a property as non-configurable, non-writable, or non-enumerable.");e[t]=n}}},8452:function(e,t,n){"use strict";var r=n(1189),i="function"==typeof Symbol&&"symbol"==typeof Symbol("foo"),a=Object.prototype.toString,o=Array.prototype.concat,s=n(41),l=n(592)(),c=function(e,t,n,r){if(t in e)if(!0===r){if(e[t]===n)return}else if("function"!=typeof(i=r)||"[object Function]"!==a.call(i)||!r())return;var i;l?s(e,t,n,!0):s(e,t,n)},u=function(e,t){var n=arguments.length>2?arguments[2]:{},a=r(t);i&&(a=o.call(a,Object.getOwnPropertySymbols(t)));for(var s=0;s<a.length;s+=1)c(e,a[s],t[a[s]],n[a[s]])};u.supportsDescriptors=!!l,e.exports=u},655:function(e,t,n){"use strict";var r=n(453)("%Object.defineProperty%",!0)||!1;if(r)try{r({},"a",{value:1})}catch(e){r=!1}e.exports=r},1237:function(e){"use strict";e.exports=EvalError},9383:function(e){"use strict";e.exports=Error},9290:function(e){"use strict";e.exports=RangeError},9538:function(e){"use strict";e.exports=ReferenceError},8068:function(e){"use strict";e.exports=SyntaxError},9675:function(e){"use strict";e.exports=TypeError},5345:function(e){"use strict";e.exports=URIError},2017:function(e){"use strict";e.exports=function e(t,n){if(t===n)return!0;if(t&&n&&"object"==typeof t&&"object"==typeof n){if(t.constructor!==n.constructor)return!1;var r,i,a;if(Array.isArray(t)){if((r=t.length)!=n.length)return!1;for(i=r;0!=i--;)if(!e(t[i],n[i]))return!1;return!0}if(t.constructor===RegExp)return t.source===n.source&&t.flags===n.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===n.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===n.toString();if((r=(a=Object.keys(t)).length)!==Object.keys(n).length)return!1;for(i=r;0!=i--;)if(!Object.prototype.hasOwnProperty.call(n,a[i]))return!1;for(i=r;0!=i--;){var o=a[i];if(!e(t[o],n[o]))return!1}return!0}return t!=t&&n!=n}},9353:function(e){"use strict";var t=Object.prototype.toString,n=Math.max,r=function(e,t){for(var n=[],r=0;r<e.length;r+=1)n[r]=e[r];for(var i=0;i<t.length;i+=1)n[i+e.length]=t[i];return n};e.exports=function(e){var i=this;if("function"!=typeof i||"[object Function]"!==t.apply(i))throw new TypeError("Function.prototype.bind called on incompatible "+i);for(var a,o=function(e,t){for(var n=[],r=1,i=0;r<e.length;r+=1,i+=1)n[i]=e[r];return n}(arguments),s=n(0,i.length-o.length),l=[],c=0;c<s;c++)l[c]="$"+c;if(a=Function("binder","return function ("+function(e,t){for(var n="",r=0;r<e.length;r+=1)n+=e[r],r+1<e.length&&(n+=",");return n}(l)+"){ return binder.apply(this,arguments); }")((function(){if(this instanceof a){var t=i.apply(this,r(o,arguments));return Object(t)===t?t:this}return i.apply(e,r(o,arguments))})),i.prototype){var u=function(){};u.prototype=i.prototype,a.prototype=new u,u.prototype=null}return a}},6743:function(e,t,n){"use strict";var r=n(9353);e.exports=Function.prototype.bind||r},453:function(e,t,n){"use strict";var r,i=n(9383),a=n(1237),o=n(9290),s=n(9538),l=n(8068),c=n(9675),u=n(5345),d=Function,f=function(e){try{return d('"use strict"; return ('+e+").constructor;")()}catch(e){}},p=Object.getOwnPropertyDescriptor;if(p)try{p({},"")}catch(e){p=null}var h=function(){throw new c},m=p?function(){try{return h}catch(e){try{return p(arguments,"callee").get}catch(e){return h}}}():h,g=n(6420)(),v=n(24)(),y=Object.getPrototypeOf||(v?function(e){return e.__proto__}:null),b={},_="undefined"!=typeof Uint8Array&&y?y(Uint8Array):r,x={__proto__:null,"%AggregateError%":"undefined"==typeof AggregateError?r:AggregateError,"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?r:ArrayBuffer,"%ArrayIteratorPrototype%":g&&y?y([][Symbol.iterator]()):r,"%AsyncFromSyncIteratorPrototype%":r,"%AsyncFunction%":b,"%AsyncGenerator%":b,"%AsyncGeneratorFunction%":b,"%AsyncIteratorPrototype%":b,"%Atomics%":"undefined"==typeof Atomics?r:Atomics,"%BigInt%":"undefined"==typeof BigInt?r:BigInt,"%BigInt64Array%":"undefined"==typeof BigInt64Array?r:BigInt64Array,"%BigUint64Array%":"undefined"==typeof BigUint64Array?r:BigUint64Array,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?r:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":i,"%eval%":eval,"%EvalError%":a,"%Float32Array%":"undefined"==typeof Float32Array?r:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?r:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?r:FinalizationRegistry,"%Function%":d,"%GeneratorFunction%":b,"%Int8Array%":"undefined"==typeof Int8Array?r:Int8Array,"%Int16Array%":"undefined"==typeof Int16Array?r:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?r:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":g&&y?y(y([][Symbol.iterator]())):r,"%JSON%":"object"==typeof JSON?JSON:r,"%Map%":"undefined"==typeof Map?r:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&g&&y?y((new Map)[Symbol.iterator]()):r,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?r:Promise,"%Proxy%":"undefined"==typeof Proxy?r:Proxy,"%RangeError%":o,"%ReferenceError%":s,"%Reflect%":"undefined"==typeof Reflect?r:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?r:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&g&&y?y((new Set)[Symbol.iterator]()):r,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?r:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":g&&y?y(""[Symbol.iterator]()):r,"%Symbol%":g?Symbol:r,"%SyntaxError%":l,"%ThrowTypeError%":m,"%TypedArray%":_,"%TypeError%":c,"%Uint8Array%":"undefined"==typeof Uint8Array?r:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?r:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?r:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?r:Uint32Array,"%URIError%":u,"%WeakMap%":"undefined"==typeof WeakMap?r:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?r:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?r:WeakSet};if(y)try{null.error}catch(e){var w=y(y(e));x["%Error.prototype%"]=w}var A=function e(t){var n;if("%AsyncFunction%"===t)n=f("async function () {}");else if("%GeneratorFunction%"===t)n=f("function* () {}");else if("%AsyncGeneratorFunction%"===t)n=f("async function* () {}");else if("%AsyncGenerator%"===t){var r=e("%AsyncGeneratorFunction%");r&&(n=r.prototype)}else if("%AsyncIteratorPrototype%"===t){var i=e("%AsyncGenerator%");i&&y&&(n=y(i.prototype))}return x[t]=n,n},S={__proto__:null,"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},T=n(6743),C=n(9957),E=T.call(Function.call,Array.prototype.concat),M=T.call(Function.apply,Array.prototype.splice),D=T.call(Function.call,String.prototype.replace),P=T.call(Function.call,String.prototype.slice),I=T.call(Function.call,RegExp.prototype.exec),O=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,N=/\\(\\)?/g,k=function(e,t){var n,r=e;if(C(S,r)&&(r="%"+(n=S[r])[0]+"%"),C(x,r)){var i=x[r];if(i===b&&(i=A(r)),void 0===i&&!t)throw new c("intrinsic "+e+" exists, but is not available. Please file an issue!");return{alias:n,name:r,value:i}}throw new l("intrinsic "+e+" does not exist!")};e.exports=function(e,t){if("string"!=typeof e||0===e.length)throw new c("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof t)throw new c('"allowMissing" argument must be a boolean');if(null===I(/^%?[^%]*%?$/,e))throw new l("`%` may not be present anywhere but at the beginning and end of the intrinsic name");var n=function(e){var t=P(e,0,1),n=P(e,-1);if("%"===t&&"%"!==n)throw new l("invalid intrinsic syntax, expected closing `%`");if("%"===n&&"%"!==t)throw new l("invalid intrinsic syntax, expected opening `%`");var r=[];return D(e,O,(function(e,t,n,i){r[r.length]=n?D(i,N,"$1"):t||e})),r}(e),r=n.length>0?n[0]:"",i=k("%"+r+"%",t),a=i.name,o=i.value,s=!1,u=i.alias;u&&(r=u[0],M(n,E([0,1],u)));for(var d=1,f=!0;d<n.length;d+=1){var h=n[d],m=P(h,0,1),g=P(h,-1);if(('"'===m||"'"===m||"`"===m||'"'===g||"'"===g||"`"===g)&&m!==g)throw new l("property names with quotes must have matching quotes");if("constructor"!==h&&f||(s=!0),C(x,a="%"+(r+="."+h)+"%"))o=x[a];else if(null!=o){if(!(h in o)){if(!t)throw new c("base intrinsic for "+e+" exists, but the property is not available.");return}if(p&&d+1>=n.length){var v=p(o,h);o=(f=!!v)&&"get"in v&&!("originalValue"in v.get)?v.get:o[h]}else f=C(o,h),o=o[h];f&&!s&&(x[a]=o)}}return o}},7820:function(e){"use strict";"undefined"!=typeof self?e.exports=self:"undefined"!=typeof window?e.exports=window:e.exports=Function("return this")()},170:function(e,t,n){"use strict";var r=n(8452),i=n(7820),a=n(5323),o=n(6061),s=a(),l=function(){return s};r(l,{getPolyfill:a,implementation:i,shim:o}),e.exports=l},5323:function(e,t,n){"use strict";var r=n(7820);e.exports=function(){return"object"==typeof n.g&&n.g&&n.g.Math===Math&&n.g.Array===Array?n.g:r}},6061:function(e,t,n){"use strict";var r=n(8452),i=n(5323);e.exports=function(){var e=i();if(r.supportsDescriptors){var t=Object.getOwnPropertyDescriptor(e,"globalThis");t&&(!t.configurable||!t.enumerable&&t.writable&&globalThis===e)||Object.defineProperty(e,"globalThis",{configurable:!0,enumerable:!1,value:e,writable:!0})}else"object"==typeof globalThis&&globalThis===e||(e.globalThis=e);return e}},5795:function(e,t,n){"use strict";var r=n(453)("%Object.getOwnPropertyDescriptor%",!0);if(r)try{r([],"length")}catch(e){r=null}e.exports=r},592:function(e,t,n){"use strict";var r=n(655),i=function(){return!!r};i.hasArrayLengthDefineBug=function(){if(!r)return null;try{return 1!==r([],"length",{value:1}).length}catch(e){return!0}},e.exports=i},24:function(e){"use strict";var t={__proto__:null,foo:{}},n=Object;e.exports=function(){return{__proto__:t}.foo===t.foo&&!(t instanceof n)}},6420:function(e,t,n){"use strict";var r="undefined"!=typeof Symbol&&Symbol,i=n(1333);e.exports=function(){return"function"==typeof r&&"function"==typeof Symbol&&"symbol"==typeof r("foo")&&"symbol"==typeof Symbol("bar")&&i()}},1333:function(e){"use strict";e.exports=function(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var e={},t=Symbol("test"),n=Object(t);if("string"==typeof t)return!1;if("[object Symbol]"!==Object.prototype.toString.call(t))return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;for(t in e[t]=42,e)return!1;if("function"==typeof Object.keys&&0!==Object.keys(e).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(e).length)return!1;var r=Object.getOwnPropertySymbols(e);if(1!==r.length||r[0]!==t)return!1;if(!Object.prototype.propertyIsEnumerable.call(e,t))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var i=Object.getOwnPropertyDescriptor(e,t);if(42!==i.value||!0!==i.enumerable)return!1}return!0}},9957:function(e,t,n){"use strict";var r=Function.prototype.call,i=Object.prototype.hasOwnProperty,a=n(6743);e.exports=a.call(r,i)},8875:function(e,t,n){"use strict";var r;if(!Object.keys){var i=Object.prototype.hasOwnProperty,a=Object.prototype.toString,o=n(1093),s=Object.prototype.propertyIsEnumerable,l=!s.call({toString:null},"toString"),c=s.call((function(){}),"prototype"),u=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],d=function(e){var t=e.constructor;return t&&t.prototype===e},f={$applicationCache:!0,$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$onmozfullscreenchange:!0,$onmozfullscreenerror:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},p=function(){if("undefined"==typeof window)return!1;for(var e in window)try{if(!f["$"+e]&&i.call(window,e)&&null!==window[e]&&"object"==typeof window[e])try{d(window[e])}catch(e){return!0}}catch(e){return!0}return!1}();r=function(e){var t=null!==e&&"object"==typeof e,n="[object Function]"===a.call(e),r=o(e),s=t&&"[object String]"===a.call(e),f=[];if(!t&&!n&&!r)throw new TypeError("Object.keys called on a non-object");var h=c&&n;if(s&&e.length>0&&!i.call(e,0))for(var m=0;m<e.length;++m)f.push(String(m));if(r&&e.length>0)for(var g=0;g<e.length;++g)f.push(String(g));else for(var v in e)h&&"prototype"===v||!i.call(e,v)||f.push(String(v));if(l)for(var y=function(e){if("undefined"==typeof window||!p)return d(e);try{return d(e)}catch(e){return!1}}(e),b=0;b<u.length;++b)y&&"constructor"===u[b]||!i.call(e,u[b])||f.push(u[b]);return f}}e.exports=r},1189:function(e,t,n){"use strict";var r=Array.prototype.slice,i=n(1093),a=Object.keys,o=a?function(e){return a(e)}:n(8875),s=Object.keys;o.shim=function(){if(Object.keys){var e=function(){var e=Object.keys(arguments);return e&&e.length===arguments.length}(1,2);e||(Object.keys=function(e){return i(e)?s(r.call(e)):s(e)})}else Object.keys=o;return Object.keys||o},e.exports=o},1093:function(e){"use strict";var t=Object.prototype.toString;e.exports=function(e){var n=t.call(e),r="[object Arguments]"===n;return r||(r="[object Array]"!==n&&null!==e&&"object"==typeof e&&"number"==typeof e.length&&e.length>=0&&"[object Function]"===t.call(e.callee)),r}},7452:function(e){var t=function(e){"use strict";var t,n=Object.prototype,r=n.hasOwnProperty,i=Object.defineProperty||function(e,t,n){e[t]=n.value},a="function"==typeof Symbol?Symbol:{},o=a.iterator||"@@iterator",s=a.asyncIterator||"@@asyncIterator",l=a.toStringTag||"@@toStringTag";function c(e,t,n){return Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{c({},"")}catch(e){c=function(e,t,n){return e[t]=n}}function u(e,t,n,r){var a=t&&t.prototype instanceof v?t:v,o=Object.create(a.prototype),s=new P(r||[]);return i(o,"_invoke",{value:C(e,n,s)}),o}function d(e,t,n){try{return{type:"normal",arg:e.call(t,n)}}catch(e){return{type:"throw",arg:e}}}e.wrap=u;var f="suspendedStart",p="suspendedYield",h="executing",m="completed",g={};function v(){}function y(){}function b(){}var _={};c(_,o,(function(){return this}));var x=Object.getPrototypeOf,w=x&&x(x(I([])));w&&w!==n&&r.call(w,o)&&(_=w);var A=b.prototype=v.prototype=Object.create(_);function S(e){["next","throw","return"].forEach((function(t){c(e,t,(function(e){return this._invoke(t,e)}))}))}function T(e,t){function n(i,a,o,s){var l=d(e[i],e,a);if("throw"!==l.type){var c=l.arg,u=c.value;return u&&"object"==typeof u&&r.call(u,"__await")?t.resolve(u.__await).then((function(e){n("next",e,o,s)}),(function(e){n("throw",e,o,s)})):t.resolve(u).then((function(e){c.value=e,o(c)}),(function(e){return n("throw",e,o,s)}))}s(l.arg)}var a;i(this,"_invoke",{value:function(e,r){function i(){return new t((function(t,i){n(e,r,t,i)}))}return a=a?a.then(i,i):i()}})}function C(e,n,r){var i=f;return function(a,o){if(i===h)throw new Error("Generator is already running");if(i===m){if("throw"===a)throw o;return{value:t,done:!0}}for(r.method=a,r.arg=o;;){var s=r.delegate;if(s){var l=E(s,r);if(l){if(l===g)continue;return l}}if("next"===r.method)r.sent=r._sent=r.arg;else if("throw"===r.method){if(i===f)throw i=m,r.arg;r.dispatchException(r.arg)}else"return"===r.method&&r.abrupt("return",r.arg);i=h;var c=d(e,n,r);if("normal"===c.type){if(i=r.done?m:p,c.arg===g)continue;return{value:c.arg,done:r.done}}"throw"===c.type&&(i=m,r.method="throw",r.arg=c.arg)}}}function E(e,n){var r=n.method,i=e.iterator[r];if(i===t)return n.delegate=null,"throw"===r&&e.iterator.return&&(n.method="return",n.arg=t,E(e,n),"throw"===n.method)||"return"!==r&&(n.method="throw",n.arg=new TypeError("The iterator does not provide a '"+r+"' method")),g;var a=d(i,e.iterator,n.arg);if("throw"===a.type)return n.method="throw",n.arg=a.arg,n.delegate=null,g;var o=a.arg;return o?o.done?(n[e.resultName]=o.value,n.next=e.nextLoc,"return"!==n.method&&(n.method="next",n.arg=t),n.delegate=null,g):o:(n.method="throw",n.arg=new TypeError("iterator result is not an object"),n.delegate=null,g)}function M(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function D(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function P(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(M,this),this.reset(!0)}function I(e){if(null!=e){var n=e[o];if(n)return n.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var i=-1,a=function n(){for(;++i<e.length;)if(r.call(e,i))return n.value=e[i],n.done=!1,n;return n.value=t,n.done=!0,n};return a.next=a}}throw new TypeError(typeof e+" is not iterable")}return y.prototype=b,i(A,"constructor",{value:b,configurable:!0}),i(b,"constructor",{value:y,configurable:!0}),y.displayName=c(b,l,"GeneratorFunction"),e.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===y||"GeneratorFunction"===(t.displayName||t.name))},e.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,b):(e.__proto__=b,c(e,l,"GeneratorFunction")),e.prototype=Object.create(A),e},e.awrap=function(e){return{__await:e}},S(T.prototype),c(T.prototype,s,(function(){return this})),e.AsyncIterator=T,e.async=function(t,n,r,i,a){void 0===a&&(a=Promise);var o=new T(u(t,n,r,i),a);return e.isGeneratorFunction(n)?o:o.next().then((function(e){return e.done?e.value:o.next()}))},S(A),c(A,l,"Generator"),c(A,o,(function(){return this})),c(A,"toString",(function(){return"[object Generator]"})),e.keys=function(e){var t=Object(e),n=[];for(var r in t)n.push(r);return n.reverse(),function e(){for(;n.length;){var r=n.pop();if(r in t)return e.value=r,e.done=!1,e}return e.done=!0,e}},e.values=I,P.prototype={constructor:P,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=t,this.done=!1,this.delegate=null,this.method="next",this.arg=t,this.tryEntries.forEach(D),!e)for(var n in this)"t"===n.charAt(0)&&r.call(this,n)&&!isNaN(+n.slice(1))&&(this[n]=t)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var n=this;function i(r,i){return s.type="throw",s.arg=e,n.next=r,i&&(n.method="next",n.arg=t),!!i}for(var a=this.tryEntries.length-1;a>=0;--a){var o=this.tryEntries[a],s=o.completion;if("root"===o.tryLoc)return i("end");if(o.tryLoc<=this.prev){var l=r.call(o,"catchLoc"),c=r.call(o,"finallyLoc");if(l&&c){if(this.prev<o.catchLoc)return i(o.catchLoc,!0);if(this.prev<o.finallyLoc)return i(o.finallyLoc)}else if(l){if(this.prev<o.catchLoc)return i(o.catchLoc,!0)}else{if(!c)throw new Error("try statement without catch or finally");if(this.prev<o.finallyLoc)return i(o.finallyLoc)}}}},abrupt:function(e,t){for(var n=this.tryEntries.length-1;n>=0;--n){var i=this.tryEntries[n];if(i.tryLoc<=this.prev&&r.call(i,"finallyLoc")&&this.prev<i.finallyLoc){var a=i;break}}a&&("break"===e||"continue"===e)&&a.tryLoc<=t&&t<=a.finallyLoc&&(a=null);var o=a?a.completion:{};return o.type=e,o.arg=t,a?(this.method="next",this.next=a.finallyLoc,g):this.complete(o)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),g},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.finallyLoc===e)return this.complete(n.completion,n.afterLoc),D(n),g}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.tryLoc===e){var r=n.completion;if("throw"===r.type){var i=r.arg;D(n)}return i}}throw new Error("illegal catch attempt")},delegateYield:function(e,n,r){return this.delegate={iterator:I(e),resultName:n,nextLoc:r},"next"===this.method&&(this.arg=t),g}},e}(e.exports);try{regeneratorRuntime=t}catch(e){"object"==typeof globalThis?globalThis.regeneratorRuntime=t:Function("r","regeneratorRuntime = r")(t)}},7391:function(e,t,n){var r=n(7180),i=n(3181),a=n(3031),o=n(9067),s=n(6833),l=n(3717),c=n(4801);c.alea=r,c.xor128=i,c.xorwow=a,c.xorshift7=o,c.xor4096=s,c.tychei=l,e.exports=c},7180:function(e,t,n){var r;!function(e,i,a){function o(e){var t,n=this,r=(t=4022871197,function(e){e=String(e);for(var n=0;n<e.length;n++){var r=.02519603282416938*(t+=e.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)});n.next=function(){var e=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=e-(n.c=0|e)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(e),n.s0<0&&(n.s0+=1),n.s1-=r(e),n.s1<0&&(n.s1+=1),n.s2-=r(e),n.s2<0&&(n.s2+=1),r=null}function s(e,t){return t.c=e.c,t.s0=e.s0,t.s1=e.s1,t.s2=e.s2,t}function l(e,t){var n=new o(e),r=t&&t.state,i=n.next;return i.int32=function(){return 4294967296*n.next()|0},i.double=function(){return i()+11102230246251565e-32*(2097152*i()|0)},i.quick=i,r&&("object"==typeof r&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.alea=l}(0,e=n.nmd(e),n.amdD)},3717:function(e,t,n){var r;!function(e,i,a){function o(e){var t=this,n="";t.next=function(){var e=t.b,n=t.c,r=t.d,i=t.a;return e=e<<25^e>>>7^n,n=n-r|0,r=r<<24^r>>>8^i,i=i-e|0,t.b=e=e<<20^e>>>12^n,t.c=n=n-r|0,t.d=r<<16^n>>>16^i,t.a=i-e|0},t.a=0,t.b=0,t.c=-1640531527,t.d=1367130551,e===Math.floor(e)?(t.a=e/4294967296|0,t.b=0|e):n+=e;for(var r=0;r<n.length+20;r++)t.b^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.a=e.a,t.b=e.b,t.c=e.c,t.d=e.d,t}function l(e,t){var n=new o(e),r=t&&t.state,i=function(){return(n.next()>>>0)/4294967296};return i.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},i.int32=n.next,i.quick=i,r&&("object"==typeof r&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.tychei=l}(0,e=n.nmd(e),n.amdD)},3181:function(e,t,n){var r;!function(e,i,a){function o(e){var t=this,n="";t.x=0,t.y=0,t.z=0,t.w=0,t.next=function(){var e=t.x^t.x<<11;return t.x=t.y,t.y=t.z,t.z=t.w,t.w^=t.w>>>19^e^e>>>8},e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t}function l(e,t){var n=new o(e),r=t&&t.state,i=function(){return(n.next()>>>0)/4294967296};return i.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},i.int32=n.next,i.quick=i,r&&("object"==typeof r&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.xor128=l}(0,e=n.nmd(e),n.amdD)},6833:function(e,t,n){var r;!function(e,i,a){function o(e){var t=this;t.next=function(){var e,n,r=t.w,i=t.X,a=t.i;return t.w=r=r+1640531527|0,n=i[a+34&127],e=i[a=a+1&127],n^=n<<13,e^=e<<17,n^=n>>>15,e^=e>>>12,n=i[a]=n^e,t.i=a,n+(r^r>>>16)|0},function(e,t){var n,r,i,a,o,s=[],l=128;for(t===(0|t)?(r=t,t=null):(t+="\0",r=0,l=Math.max(l,t.length)),i=0,a=-32;a<l;++a)t&&(r^=t.charCodeAt((a+32)%t.length)),0===a&&(o=r),r^=r<<10,r^=r>>>15,r^=r<<4,r^=r>>>13,a>=0&&(o=o+1640531527|0,i=0==(n=s[127&a]^=r+o)?i+1:0);for(i>=128&&(s[127&(t&&t.length||0)]=-1),i=127,a=512;a>0;--a)r=s[i+34&127],n=s[i=i+1&127],r^=r<<13,n^=n<<17,r^=r>>>15,n^=n>>>12,s[i]=r^n;e.w=o,e.X=s,e.i=i}(t,e)}function s(e,t){return t.i=e.i,t.w=e.w,t.X=e.X.slice(),t}function l(e,t){null==e&&(e=+new Date);var n=new o(e),r=t&&t.state,i=function(){return(n.next()>>>0)/4294967296};return i.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},i.int32=n.next,i.quick=i,r&&(r.X&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.xor4096=l}(0,e=n.nmd(e),n.amdD)},9067:function(e,t,n){var r;!function(e,i,a){function o(e){var t=this;t.next=function(){var e,n,r=t.x,i=t.i;return e=r[i],n=(e^=e>>>7)^e<<24,n^=(e=r[i+1&7])^e>>>10,n^=(e=r[i+3&7])^e>>>3,n^=(e=r[i+4&7])^e<<7,e=r[i+7&7],n^=(e^=e<<13)^e<<9,r[i]=n,t.i=i+1&7,n},function(e,t){var n,r=[];if(t===(0|t))r[0]=t;else for(t=""+t,n=0;n<t.length;++n)r[7&n]=r[7&n]<<15^t.charCodeAt(n)+r[n+1&7]<<13;for(;r.length<8;)r.push(0);for(n=0;n<8&&0===r[n];++n);for(8==n?r[7]=-1:r[n],e.x=r,e.i=0,n=256;n>0;--n)e.next()}(t,e)}function s(e,t){return t.x=e.x.slice(),t.i=e.i,t}function l(e,t){null==e&&(e=+new Date);var n=new o(e),r=t&&t.state,i=function(){return(n.next()>>>0)/4294967296};return i.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},i.int32=n.next,i.quick=i,r&&(r.x&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.xorshift7=l}(0,e=n.nmd(e),n.amdD)},3031:function(e,t,n){var r;!function(e,i,a){function o(e){var t=this,n="";t.next=function(){var e=t.x^t.x>>>2;return t.x=t.y,t.y=t.z,t.z=t.w,t.w=t.v,(t.d=t.d+362437|0)+(t.v=t.v^t.v<<4^e^e<<1)|0},t.x=0,t.y=0,t.z=0,t.w=0,t.v=0,e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),r==n.length&&(t.d=t.x<<10^t.x>>>4),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t.v=e.v,t.d=e.d,t}function l(e,t){var n=new o(e),r=t&&t.state,i=function(){return(n.next()>>>0)/4294967296};return i.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},i.int32=n.next,i.quick=i,r&&("object"==typeof r&&s(r,n),i.state=function(){return s(n,{})}),i}i&&i.exports?i.exports=l:n.amdD&&n.amdO?void 0===(r=function(){return l}.call(t,n,t,i))||(i.exports=r):this.xorwow=l}(0,e=n.nmd(e),n.amdD)},4801:function(e,t,n){var r;!function(i,a,o){var s,l=256,c=o.pow(l,6),u=o.pow(2,52),d=2*u,f=l-1;function p(e,t,n){var r=[],f=v(g((t=1==t?{entropy:!0}:t||{}).entropy?[e,y(a)]:null==e?function(){try{var e;return s&&(e=s.randomBytes)?e=e(l):(e=new Uint8Array(l),(i.crypto||i.msCrypto).getRandomValues(e)),y(e)}catch(e){var t=i.navigator,n=t&&t.plugins;return[+new Date,i,n,i.screen,y(a)]}}():e,3),r),p=new h(r),b=function(){for(var e=p.g(6),t=c,n=0;e<u;)e=(e+n)*l,t*=l,n=p.g(1);for(;e>=d;)e/=2,t/=2,n>>>=1;return(e+n)/t};return b.int32=function(){return 0|p.g(4)},b.quick=function(){return p.g(4)/4294967296},b.double=b,v(y(p.S),a),(t.pass||n||function(e,t,n,r){return r&&(r.S&&m(r,p),e.state=function(){return m(p,{})}),n?(o.random=e,t):e})(b,f,"global"in t?t.global:this==o,t.state)}function h(e){var t,n=e.length,r=this,i=0,a=r.i=r.j=0,o=r.S=[];for(n||(e=[n++]);i<l;)o[i]=i++;for(i=0;i<l;i++)o[i]=o[a=f&a+e[i%n]+(t=o[i])],o[a]=t;(r.g=function(e){for(var t,n=0,i=r.i,a=r.j,o=r.S;e--;)t=o[i=f&i+1],n=n*l+o[f&(o[i]=o[a=f&a+t])+(o[a]=t)];return r.i=i,r.j=a,n})(l)}function m(e,t){return t.i=e.i,t.j=e.j,t.S=e.S.slice(),t}function g(e,t){var n,r=[],i=typeof e;if(t&&"object"==i)for(n in e)try{r.push(g(e[n],t-1))}catch(e){}return r.length?r:"string"==i?e:e+"\0"}function v(e,t){for(var n,r=e+"",i=0;i<r.length;)t[f&i]=f&(n^=19*t[f&i])+r.charCodeAt(i++);return y(t)}function y(e){return String.fromCharCode.apply(0,e)}if(v(o.random(),a),e.exports){e.exports=p;try{s=n(1234)}catch(e){}}else void 0===(r=function(){return p}.call(t,n,t,e))||(e.exports=r)}("undefined"!=typeof self?self:this,[],Math)},5735:function(e){e.exports=function(e){"use strict";var t=["0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f"];function n(e,t){var n=e[0],r=e[1],i=e[2],a=e[3];r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&i|~r&a)+t[0]-680876936|0)<<7|n>>>25)+r|0)&r|~n&i)+t[1]-389564586|0)<<12|a>>>20)+n|0)&n|~a&r)+t[2]+606105819|0)<<17|i>>>15)+a|0)&a|~i&n)+t[3]-1044525330|0)<<22|r>>>10)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&i|~r&a)+t[4]-176418897|0)<<7|n>>>25)+r|0)&r|~n&i)+t[5]+1200080426|0)<<12|a>>>20)+n|0)&n|~a&r)+t[6]-1473231341|0)<<17|i>>>15)+a|0)&a|~i&n)+t[7]-45705983|0)<<22|r>>>10)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&i|~r&a)+t[8]+1770035416|0)<<7|n>>>25)+r|0)&r|~n&i)+t[9]-1958414417|0)<<12|a>>>20)+n|0)&n|~a&r)+t[10]-42063|0)<<17|i>>>15)+a|0)&a|~i&n)+t[11]-1990404162|0)<<22|r>>>10)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&i|~r&a)+t[12]+1804603682|0)<<7|n>>>25)+r|0)&r|~n&i)+t[13]-40341101|0)<<12|a>>>20)+n|0)&n|~a&r)+t[14]-1502002290|0)<<17|i>>>15)+a|0)&a|~i&n)+t[15]+1236535329|0)<<22|r>>>10)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&a|i&~a)+t[1]-165796510|0)<<5|n>>>27)+r|0)&i|r&~i)+t[6]-1069501632|0)<<9|a>>>23)+n|0)&r|n&~r)+t[11]+643717713|0)<<14|i>>>18)+a|0)&n|a&~n)+t[0]-373897302|0)<<20|r>>>12)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&a|i&~a)+t[5]-701558691|0)<<5|n>>>27)+r|0)&i|r&~i)+t[10]+38016083|0)<<9|a>>>23)+n|0)&r|n&~r)+t[15]-660478335|0)<<14|i>>>18)+a|0)&n|a&~n)+t[4]-405537848|0)<<20|r>>>12)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&a|i&~a)+t[9]+568446438|0)<<5|n>>>27)+r|0)&i|r&~i)+t[14]-1019803690|0)<<9|a>>>23)+n|0)&r|n&~r)+t[3]-187363961|0)<<14|i>>>18)+a|0)&n|a&~n)+t[8]+1163531501|0)<<20|r>>>12)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r&a|i&~a)+t[13]-1444681467|0)<<5|n>>>27)+r|0)&i|r&~i)+t[2]-51403784|0)<<9|a>>>23)+n|0)&r|n&~r)+t[7]+1735328473|0)<<14|i>>>18)+a|0)&n|a&~n)+t[12]-1926607734|0)<<20|r>>>12)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r^i^a)+t[5]-378558|0)<<4|n>>>28)+r|0)^r^i)+t[8]-2022574463|0)<<11|a>>>21)+n|0)^n^r)+t[11]+1839030562|0)<<16|i>>>16)+a|0)^a^n)+t[14]-35309556|0)<<23|r>>>9)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r^i^a)+t[1]-1530992060|0)<<4|n>>>28)+r|0)^r^i)+t[4]+1272893353|0)<<11|a>>>21)+n|0)^n^r)+t[7]-155497632|0)<<16|i>>>16)+a|0)^a^n)+t[10]-1094730640|0)<<23|r>>>9)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r^i^a)+t[13]+681279174|0)<<4|n>>>28)+r|0)^r^i)+t[0]-358537222|0)<<11|a>>>21)+n|0)^n^r)+t[3]-722521979|0)<<16|i>>>16)+a|0)^a^n)+t[6]+76029189|0)<<23|r>>>9)+i|0,r=((r+=((i=((i+=((a=((a+=((n=((n+=(r^i^a)+t[9]-640364487|0)<<4|n>>>28)+r|0)^r^i)+t[12]-421815835|0)<<11|a>>>21)+n|0)^n^r)+t[15]+530742520|0)<<16|i>>>16)+a|0)^a^n)+t[2]-995338651|0)<<23|r>>>9)+i|0,r=((r+=((a=((a+=(r^((n=((n+=(i^(r|~a))+t[0]-198630844|0)<<6|n>>>26)+r|0)|~i))+t[7]+1126891415|0)<<10|a>>>22)+n|0)^((i=((i+=(n^(a|~r))+t[14]-1416354905|0)<<15|i>>>17)+a|0)|~n))+t[5]-57434055|0)<<21|r>>>11)+i|0,r=((r+=((a=((a+=(r^((n=((n+=(i^(r|~a))+t[12]+1700485571|0)<<6|n>>>26)+r|0)|~i))+t[3]-1894986606|0)<<10|a>>>22)+n|0)^((i=((i+=(n^(a|~r))+t[10]-1051523|0)<<15|i>>>17)+a|0)|~n))+t[1]-2054922799|0)<<21|r>>>11)+i|0,r=((r+=((a=((a+=(r^((n=((n+=(i^(r|~a))+t[8]+1873313359|0)<<6|n>>>26)+r|0)|~i))+t[15]-30611744|0)<<10|a>>>22)+n|0)^((i=((i+=(n^(a|~r))+t[6]-1560198380|0)<<15|i>>>17)+a|0)|~n))+t[13]+1309151649|0)<<21|r>>>11)+i|0,r=((r+=((a=((a+=(r^((n=((n+=(i^(r|~a))+t[4]-145523070|0)<<6|n>>>26)+r|0)|~i))+t[11]-1120210379|0)<<10|a>>>22)+n|0)^((i=((i+=(n^(a|~r))+t[2]+718787259|0)<<15|i>>>17)+a|0)|~n))+t[9]-343485551|0)<<21|r>>>11)+i|0,e[0]=n+e[0]|0,e[1]=r+e[1]|0,e[2]=i+e[2]|0,e[3]=a+e[3]|0}function r(e){var t,n=[];for(t=0;t<64;t+=4)n[t>>2]=e.charCodeAt(t)+(e.charCodeAt(t+1)<<8)+(e.charCodeAt(t+2)<<16)+(e.charCodeAt(t+3)<<24);return n}function i(e){var t,n=[];for(t=0;t<64;t+=4)n[t>>2]=e[t]+(e[t+1]<<8)+(e[t+2]<<16)+(e[t+3]<<24);return n}function a(e){var t,i,a,o,s,l,c=e.length,u=[1732584193,-271733879,-1732584194,271733878];for(t=64;t<=c;t+=64)n(u,r(e.substring(t-64,t)));for(i=(e=e.substring(t-64)).length,a=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],t=0;t<i;t+=1)a[t>>2]|=e.charCodeAt(t)<<(t%4<<3);if(a[t>>2]|=128<<(t%4<<3),t>55)for(n(u,a),t=0;t<16;t+=1)a[t]=0;return o=(o=8*c).toString(16).match(/(.*?)(.{0,8})$/),s=parseInt(o[2],16),l=parseInt(o[1],16)||0,a[14]=s,a[15]=l,n(u,a),u}function o(e){var n,r="";for(n=0;n<4;n+=1)r+=t[e>>8*n+4&15]+t[e>>8*n&15];return r}function s(e){var t;for(t=0;t<e.length;t+=1)e[t]=o(e[t]);return e.join("")}function l(e){return/[\u0080-\uFFFF]/.test(e)&&(e=unescape(encodeURIComponent(e))),e}function c(e){var t,n=[],r=e.length;for(t=0;t<r-1;t+=2)n.push(parseInt(e.substr(t,2),16));return String.fromCharCode.apply(String,n)}function u(){this.reset()}return s(a("hello")),"undefined"==typeof ArrayBuffer||ArrayBuffer.prototype.slice||function(){function e(e,t){return(e=0|e||0)<0?Math.max(e+t,0):Math.min(e,t)}ArrayBuffer.prototype.slice=function(t,n){var r,i,a,o,s=this.byteLength,l=e(t,s),c=s;return undefined!==n&&(c=e(n,s)),l>c?new ArrayBuffer(0):(r=c-l,i=new ArrayBuffer(r),a=new Uint8Array(i),o=new Uint8Array(this,l,r),a.set(o),i)}}(),u.prototype.append=function(e){return this.appendBinary(l(e)),this},u.prototype.appendBinary=function(e){this._buff+=e,this._length+=e.length;var t,i=this._buff.length;for(t=64;t<=i;t+=64)n(this._hash,r(this._buff.substring(t-64,t)));return this._buff=this._buff.substring(t-64),this},u.prototype.end=function(e){var t,n,r=this._buff,i=r.length,a=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];for(t=0;t<i;t+=1)a[t>>2]|=r.charCodeAt(t)<<(t%4<<3);return this._finish(a,i),n=s(this._hash),e&&(n=c(n)),this.reset(),n},u.prototype.reset=function(){return this._buff="",this._length=0,this._hash=[1732584193,-271733879,-1732584194,271733878],this},u.prototype.getState=function(){return{buff:this._buff,length:this._length,hash:this._hash.slice()}},u.prototype.setState=function(e){return this._buff=e.buff,this._length=e.length,this._hash=e.hash,this},u.prototype.destroy=function(){delete this._hash,delete this._buff,delete this._length},u.prototype._finish=function(e,t){var r,i,a,o=t;if(e[o>>2]|=128<<(o%4<<3),o>55)for(n(this._hash,e),o=0;o<16;o+=1)e[o]=0;r=(r=8*this._length).toString(16).match(/(.*?)(.{0,8})$/),i=parseInt(r[2],16),a=parseInt(r[1],16)||0,e[14]=i,e[15]=a,n(this._hash,e)},u.hash=function(e,t){return u.hashBinary(l(e),t)},u.hashBinary=function(e,t){var n=s(a(e));return t?c(n):n},u.ArrayBuffer=function(){this.reset()},u.ArrayBuffer.prototype.append=function(e){var t,r,a,o,s,l=(r=this._buff.buffer,a=e,o=!0,(s=new Uint8Array(r.byteLength+a.byteLength)).set(new Uint8Array(r)),s.set(new Uint8Array(a),r.byteLength),o?s:s.buffer),c=l.length;for(this._length+=e.byteLength,t=64;t<=c;t+=64)n(this._hash,i(l.subarray(t-64,t)));return this._buff=t-64<c?new Uint8Array(l.buffer.slice(t-64)):new Uint8Array(0),this},u.ArrayBuffer.prototype.end=function(e){var t,n,r=this._buff,i=r.length,a=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0];for(t=0;t<i;t+=1)a[t>>2]|=r[t]<<(t%4<<3);return this._finish(a,i),n=s(this._hash),e&&(n=c(n)),this.reset(),n},u.ArrayBuffer.prototype.reset=function(){return this._buff=new Uint8Array(0),this._length=0,this._hash=[1732584193,-271733879,-1732584194,271733878],this},u.ArrayBuffer.prototype.getState=function(){var e,t=u.prototype.getState.call(this);return t.buff=(e=t.buff,String.fromCharCode.apply(null,new Uint8Array(e))),t},u.ArrayBuffer.prototype.setState=function(e){return e.buff=function(e,t){var n,r=e.length,i=new ArrayBuffer(r),a=new Uint8Array(i);for(n=0;n<r;n+=1)a[n]=e.charCodeAt(n);return t?a:i}(e.buff,!0),u.prototype.setState.call(this,e)},u.ArrayBuffer.prototype.destroy=u.prototype.destroy,u.ArrayBuffer.prototype._finish=u.prototype._finish,u.ArrayBuffer.hash=function(e,t){var r=s(function(e){var t,r,a,o,s,l,c=e.length,u=[1732584193,-271733879,-1732584194,271733878];for(t=64;t<=c;t+=64)n(u,i(e.subarray(t-64,t)));for(r=(e=t-64<c?e.subarray(t-64):new Uint8Array(0)).length,a=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],t=0;t<r;t+=1)a[t>>2]|=e[t]<<(t%4<<3);if(a[t>>2]|=128<<(t%4<<3),t>55)for(n(u,a),t=0;t<16;t+=1)a[t]=0;return o=(o=8*c).toString(16).match(/(.*?)(.{0,8})$/),s=parseInt(o[2],16),l=parseInt(o[1],16)||0,a[14]=s,a[15]=l,n(u,a),u}(new Uint8Array(e)));return t?c(r):r},u}()},7107:function(e,t,n){var r=n(2086);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("62ad44a0",r,!1,{})},1195:function(e,t,n){var r=n(2350);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("0b41bdc7",r,!1,{})},1537:function(e,t,n){var r=n(8868);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("13d7d6df",r,!1,{})},7484:function(e,t,n){var r=n(9693);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("f52cdab8",r,!1,{})},6160:function(e,t,n){var r=n(293);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("1e6858b4",r,!1,{})},8948:function(e,t,n){var r=n(6409);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("19a3e2e4",r,!1,{})},7627:function(e,t,n){var r=n(8382);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("7db301d1",r,!1,{})},3121:function(e,t,n){var r=n(6666);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("7d7bde5c",r,!1,{})},7298:function(e,t,n){var r=n(1341);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("6a807e26",r,!1,{})},2813:function(e,t,n){var r=n(3906);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("0966eafd",r,!1,{})},7543:function(e,t,n){var r=n(9100);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("de414ce6",r,!1,{})},8549:function(e,t,n){var r=n(3806);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("53596d75",r,!1,{})},7860:function(e,t,n){var r=n(4867);r.__esModule&&(r=r.default),"string"==typeof r&&(r=[[e.id,r,""]]),r.locals&&(e.exports=r.locals),(0,n(7589).A)("b3d8b63a",r,!1,{})},7589:function(e,t,n){"use strict";function r(e,t){for(var n=[],r={},i=0;i<t.length;i++){var a=t[i],o=a[0],s={id:e+":"+i,css:a[1],media:a[2],sourceMap:a[3]};r[o]?r[o].parts.push(s):n.push(r[o]={id:o,parts:[s]})}return n}n.d(t,{A:function(){return h}});var i="undefined"!=typeof document;if("undefined"!=typeof DEBUG&&DEBUG&&!i)throw new Error("vue-style-loader cannot be used in a non-browser environment. Use { target: 'node' } in your Webpack config to indicate a server-rendering environment.");var a={},o=i&&(document.head||document.getElementsByTagName("head")[0]),s=null,l=0,c=!1,u=function(){},d=null,f="data-vue-ssr-id",p="undefined"!=typeof navigator&&/msie [6-9]\b/.test(navigator.userAgent.toLowerCase());function h(e,t,n,i){c=n,d=i||{};var o=r(e,t);return m(o),function(t){for(var n=[],i=0;i<o.length;i++){var s=o[i];(l=a[s.id]).refs--,n.push(l)}for(t?m(o=r(e,t)):o=[],i=0;i<n.length;i++){var l;if(0===(l=n[i]).refs){for(var c=0;c<l.parts.length;c++)l.parts[c]();delete a[l.id]}}}}function m(e){for(var t=0;t<e.length;t++){var n=e[t],r=a[n.id];if(r){r.refs++;for(var i=0;i<r.parts.length;i++)r.parts[i](n.parts[i]);for(;i<n.parts.length;i++)r.parts.push(v(n.parts[i]));r.parts.length>n.parts.length&&(r.parts.length=n.parts.length)}else{var o=[];for(i=0;i<n.parts.length;i++)o.push(v(n.parts[i]));a[n.id]={id:n.id,refs:1,parts:o}}}}function g(){var e=document.createElement("style");return e.type="text/css",o.appendChild(e),e}function v(e){var t,n,r=document.querySelector("style["+f+'~="'+e.id+'"]');if(r){if(c)return u;r.parentNode.removeChild(r)}if(p){var i=l++;r=s||(s=g()),t=_.bind(null,r,i,!1),n=_.bind(null,r,i,!0)}else r=g(),t=x.bind(null,r),n=function(){r.parentNode.removeChild(r)};return t(e),function(r){if(r){if(r.css===e.css&&r.media===e.media&&r.sourceMap===e.sourceMap)return;t(e=r)}else n()}}var y,b=(y=[],function(e,t){return y[e]=t,y.filter(Boolean).join("\n")});function _(e,t,n,r){var i=n?"":r.css;if(e.styleSheet)e.styleSheet.cssText=b(t,i);else{var a=document.createTextNode(i),o=e.childNodes;o[t]&&e.removeChild(o[t]),o.length?e.insertBefore(a,o[t]):e.appendChild(a)}}function x(e,t){var n=t.css,r=t.media,i=t.sourceMap;if(r&&e.setAttribute("media",r),d.ssrId&&e.setAttribute(f,t.id),i&&(n+="\n/*# sourceURL="+i.sources[0]+" */",n+="\n/*# sourceMappingURL=data:application/json;base64,"+btoa(unescape(encodeURIComponent(JSON.stringify(i))))+" */"),e.styleSheet)e.styleSheet.cssText=n;else{for(;e.firstChild;)e.removeChild(e.firstChild);e.appendChild(document.createTextNode(n))}}},9189:function(e){e.exports=function(e){var t={};function n(r){if(t[r])return t[r].exports;var i=t[r]={i:r,l:!1,exports:{}};return e[r].call(i.exports,i,i.exports,n),i.l=!0,i.exports}return n.m=e,n.c=t,n.d=function(e,t,r){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:r})},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},n.t=function(e,t){if(1&t&&(e=n(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var r=Object.create(null);if(n.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var i in e)n.d(r,i,function(t){return e[t]}.bind(null,i));return r},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.p="",n(n.s=184)}([function(e,t,n){"use strict";function r(e){for(var n in e)t.hasOwnProperty(n)||(t[n]=e[n])}Object.defineProperty(t,"__esModule",{value:!0}),r(n(240)),r(n(251)),r(n(175)),r(n(107)),r(n(29)),r(n(73)),r(n(106)),r(n(30)),r(n(252)),r(n(52)),r(n(97)),r(n(253)),r(n(37)),r(n(51)),r(n(173)),r(n(176)),r(n(172)),r(n(108)),r(n(254)),r(n(255)),r(n(256)),r(n(72)),r(n(177)),r(n(105)),r(n(17)),r(n(257)),r(n(12)),r(n(174))},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(212);t.FixedSizeSet=i.FixedSizeSet;var a=n(213);t.ObjectCache=a.ObjectCache;var o=n(214);t.CompareCache=o.CompareCache;var s=n(215);t.Lazy=s.Lazy;var l=n(216);function c(e,t,n){if(m(e))e.forEach((function(e,r){return t.call(n,r,e)}));else for(var r in e)e.hasOwnProperty(r)&&t.call(n,r,e[r])}function u(e){var t,n;if(d(e))return e;if(p(e)){var i=[];try{for(var a=r(e),o=a.next();!o.done;o=a.next()){var s=o.value;i.push(u(s))}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return i}if(f(e)){for(var l in i={},e)if(e.hasOwnProperty(l)){var c=e[l];i[l]=u(c)}return i}return e}function d(e){return!!e&&"[object Function]"===Object.prototype.toString.call(e)}function f(e){var t=typeof e;return!!e&&("function"===t||"object"===t)}function p(e){return Array.isArray(e)}function h(e){return e instanceof Set}function m(e){return e instanceof Map}function g(e){if(f(e)){var t=Object.getPrototypeOf(e),n=t.constructor;return t&&n&&"function"==typeof n&&n instanceof n&&Function.prototype.toString.call(n)===Function.prototype.toString.call(Object)}return!1}t.StringWalker=l.StringWalker,t.applyMixin=function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];Object.getOwnPropertyNames(t.prototype).forEach((function(r){if("constructor"!==r){if(-1!==n.indexOf(r)){var i=Object.getOwnPropertyDescriptor(e.prototype,r);i&&Object.defineProperty(e.prototype,"_"+r,i)}var a=Object.getOwnPropertyDescriptor(t.prototype,r);a&&Object.defineProperty(e.prototype,r,a)}}))},t.applyDefaults=function e(t,n,r){void 0===r&&(r=!1);var i=u(t||{});return c(n,(function(t,n){g(n)?i[t]=e(i[t],n,r):(r||void 0===i[t])&&(i[t]=n)})),i},t.forEachArray=function(e,t,n){e.forEach(t,n)},t.forEachObject=c,t.arrayLength=function(e){return h(e)?e.size:e.length},t.objectLength=function(e){return m(e)?e.size:Object.keys(e).length},t.getObjectValue=function(e,t){return m(e)?e.get(t):e[t]},t.removeObjectValue=function(e,t){m(e)?e.delete(t):delete e[t]},t.clone=u,t.isBoolean=function(e){return"boolean"==typeof e},t.isNumber=function(e){return"number"==typeof e},t.isString=function(e){return"string"==typeof e},t.isFunction=d,t.isObject=f,t.isArray=p,t.isSet=h,t.isMap=m,t.isEmpty=function(e){if(p(e))return!e.length;if(h(e))return!e.size;if(m(e))return!e.size;if(f(e)){for(var t in e)if(e.hasOwnProperty(t))return!1;return!0}return!1},t.isPlainObject=g,t.isIterable=function(e){return e&&"function"==typeof e[Symbol.iterator]},t.getValue=function(e){return d(e.valueOf)?e.valueOf():e},t.utf8Encode=function(e){for(var t=new Uint8Array(4*e.length),n=0,r=0;r<e.length;r++){var i=e.charCodeAt(r);if(i<128)t[n++]=i;else{if(i<2048)t[n++]=i>>6|192;else{if(i>55295&&i<56320){if(++r>=e.length)throw new Error("Incomplete surrogate pair.");var a=e.charCodeAt(r);if(a<56320||a>57343)throw new Error("Invalid surrogate character.");i=65536+((1023&i)<<10)+(1023&a),t[n++]=i>>18|240,t[n++]=i>>12&63|128}else t[n++]=i>>12|224;t[n++]=i>>6&63|128}t[n++]=63&i|128}}return t.subarray(0,n)},t.utf8Decode=function(e){for(var t="",n=0;n<e.length;){var r=e[n++];if(r>127)if(r>191&&r<224){if(n>=e.length)throw new Error("Incomplete 2-byte sequence.");r=(31&r)<<6|63&e[n++]}else if(r>223&&r<240){if(n+1>=e.length)throw new Error("Incomplete 3-byte sequence.");r=(15&r)<<12|(63&e[n++])<<6|63&e[n++]}else{if(!(r>239&&r<248))throw new Error("Unknown multi-byte start.");if(n+2>=e.length)throw new Error("Incomplete 4-byte sequence.");r=(7&r)<<18|(63&e[n++])<<12|(63&e[n++])<<6|63&e[n++]}if(r<=65535)t+=String.fromCharCode(r);else{if(!(r<=1114111))throw new Error("Code point exceeds UTF-16 limit.");r-=65536,t+=String.fromCharCode(r>>10|55296),t+=String.fromCharCode(1023&r|56320)}}return t}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.Before=0]="Before",e[e.Equal=1]="Equal",e[e.After=2]="After"}(t.BoundaryPosition||(t.BoundaryPosition={})),function(e){e[e.None=0]="None",e[e.Capturing=1]="Capturing",e[e.AtTarget=2]="AtTarget",e[e.Bubbling=3]="Bubbling"}(t.EventPhase||(t.EventPhase={})),function(e){e[e.Element=1]="Element",e[e.Attribute=2]="Attribute",e[e.Text=3]="Text",e[e.CData=4]="CData",e[e.EntityReference=5]="EntityReference",e[e.Entity=6]="Entity",e[e.ProcessingInstruction=7]="ProcessingInstruction",e[e.Comment=8]="Comment",e[e.Document=9]="Document",e[e.DocumentType=10]="DocumentType",e[e.DocumentFragment=11]="DocumentFragment",e[e.Notation=12]="Notation"}(t.NodeType||(t.NodeType={})),function(e){e[e.Disconnected=1]="Disconnected",e[e.Preceding=2]="Preceding",e[e.Following=4]="Following",e[e.Contains=8]="Contains",e[e.ContainedBy=16]="ContainedBy",e[e.ImplementationSpecific=32]="ImplementationSpecific"}(t.Position||(t.Position={})),function(e){e[e.Accept=1]="Accept",e[e.Reject=2]="Reject",e[e.Skip=3]="Skip"}(t.FilterResult||(t.FilterResult={})),function(e){e[e.All=4294967295]="All",e[e.Element=1]="Element",e[e.Attribute=2]="Attribute",e[e.Text=4]="Text",e[e.CDataSection=8]="CDataSection",e[e.EntityReference=16]="EntityReference",e[e.Entity=32]="Entity",e[e.ProcessingInstruction=64]="ProcessingInstruction",e[e.Comment=128]="Comment",e[e.Document=256]="Document",e[e.DocumentType=512]="DocumentType",e[e.DocumentFragment=1024]="DocumentFragment",e[e.Notation=2048]="Notation"}(t.WhatToShow||(t.WhatToShow={})),function(e){e[e.StartToStart=0]="StartToStart",e[e.StartToEnd=1]="StartToEnd",e[e.EndToEnd=2]="EndToEnd",e[e.EndToStart=3]="EndToStart"}(t.HowToCompare||(t.HowToCompare={}))},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(241);t.Cast=r.Cast;var i=n(150);t.Guard=i.Guard;var a=n(242);t.EmptySet=a.EmptySet},function(e,t,n){var r=n(11),i=n(55).f,a=n(21),o=n(25),s=n(80),l=n(119),c=n(123);e.exports=function(e,t){var n,u,d,f,p,h=e.target,m=e.global,g=e.stat;if(n=m?r:g?r[h]||s(h,{}):(r[h]||{}).prototype)for(u in t){if(f=t[u],d=e.noTargetGet?(p=i(n,u))&&p.value:n[u],!c(m?u:h+(g?".":"#")+u,e.forced)&&void 0!==d){if(typeof f==typeof d)continue;l(f,d)}(e.sham||d&&d.sham)&&a(f,"sham",!0),o(n,u,f,e)}}},function(e,t,n){var r=n(11),i=n(81),a=n(14),o=n(58),s=n(86),l=n(124),c=i("wks"),u=r.Symbol,d=l?u:u&&u.withoutSetter||o;e.exports=function(e){return a(c,e)||(s&&a(u,e)?c[e]=u[e]:c[e]=d("Symbol."+e)),c[e]}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(1),i=n(29),a=function(){function e(){this._features={mutationObservers:!0,customElements:!0,slots:!0,steps:!0},this._window=null,this._compareCache=new r.CompareCache,this._rangeList=new r.FixedSizeSet}return e.prototype.setFeatures=function(e){if(void 0===e&&(e=!0),r.isObject(e))for(var t in e)this._features[t]=e[t]||!1;else for(var t in this._features)this._features[t]=e},Object.defineProperty(e.prototype,"features",{get:function(){return this._features},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"window",{get:function(){return null===this._window&&(this._window=i.create_window()),this._window},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"compareCache",{get:function(){return this._compareCache},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"rangeList",{get:function(){return this._rangeList},enumerable:!0,configurable:!0}),Object.defineProperty(e,"instance",{get:function(){return e._instance||(e._instance=new e),e._instance},enumerable:!0,configurable:!0}),e}();t.dom=a.instance},function(e,t,n){"use strict";var r=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n in e)Object.hasOwnProperty.call(e,n)&&(t[n]=e[n]);return t.default=e,t};Object.defineProperty(t,"__esModule",{value:!0});var i=r(n(228));t.base64=i;var a=r(n(146));t.byte=a;var o=r(n(147));t.byteSequence=o;var s=r(n(96));t.codePoint=s;var l=r(n(232));t.json=l;var c=r(n(233));t.list=c;var u=r(n(234));t.map=u;var d=r(n(235));t.namespace=d;var f=r(n(236));t.queue=f;var p=r(n(237));t.set=p;var h=r(n(238));t.stack=h;var m=r(n(239));t.string=m},function(e,t){e.exports=function(e){try{return!!e()}catch(e){return!0}}},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n){void 0===n&&(n="");var r=e.call(this,n)||this;return r.name=t,r}return i(t,e),t}(Error);t.DOMException=a;var o=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"DOMStringSizeError",t)||this}return i(t,e),t}(a);t.DOMStringSizeError=o;var s=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"WrongDocumentError","The object is in the wrong document. "+t)||this}return i(t,e),t}(a);t.WrongDocumentError=s;var l=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NoDataAllowedError",t)||this}return i(t,e),t}(a);t.NoDataAllowedError=l;var c=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NoModificationAllowedError","The object can not be modified. "+t)||this}return i(t,e),t}(a);t.NoModificationAllowedError=c;var u=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NotSupportedError","The operation is not supported. "+t)||this}return i(t,e),t}(a);t.NotSupportedError=u;var d=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InUseAttributeError",t)||this}return i(t,e),t}(a);t.InUseAttributeError=d;var f=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InvalidStateError","The object is in an invalid state. "+t)||this}return i(t,e),t}(a);t.InvalidStateError=f;var p=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InvalidModificationError","The object can not be modified in this way. "+t)||this}return i(t,e),t}(a);t.InvalidModificationError=p;var h=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NamespaceError","The operation is not allowed by Namespaces in XML. [XMLNS] "+t)||this}return i(t,e),t}(a);t.NamespaceError=h;var m=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InvalidAccessError","The object does not support the operation or argument. "+t)||this}return i(t,e),t}(a);t.InvalidAccessError=m;var g=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"ValidationError",t)||this}return i(t,e),t}(a);t.ValidationError=g;var v=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"TypeMismatchError",t)||this}return i(t,e),t}(a);t.TypeMismatchError=v;var y=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"SecurityError","The operation is insecure. "+t)||this}return i(t,e),t}(a);t.SecurityError=y;var b=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NetworkError","A network error occurred. "+t)||this}return i(t,e),t}(a);t.NetworkError=b;var _=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"AbortError","The operation was aborted. "+t)||this}return i(t,e),t}(a);t.AbortError=_;var x=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"URLMismatchError","The given URL does not match another URL. "+t)||this}return i(t,e),t}(a);t.URLMismatchError=x;var w=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"QuotaExceededError","The quota has been exceeded. "+t)||this}return i(t,e),t}(a);t.QuotaExceededError=w;var A=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"TimeoutError","The operation timed out. "+t)||this}return i(t,e),t}(a);t.TimeoutError=A;var S=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InvalidNodeTypeError","The supplied node is incorrect or has an incorrect ancestor for this operation. "+t)||this}return i(t,e),t}(a);t.InvalidNodeTypeError=S;var T=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"DataCloneError","The object can not be cloned. "+t)||this}return i(t,e),t}(a);t.DataCloneError=T;var C=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NotImplementedError","The DOM method is not implemented by this module. "+t)||this}return i(t,e),t}(a);t.NotImplementedError=C;var E=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"HierarchyRequestError","The operation would yield an incorrect node tree. "+t)||this}return i(t,e),t}(a);t.HierarchyRequestError=E;var M=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"NotFoundError","The object can not be found here. "+t)||this}return i(t,e),t}(a);t.NotFoundError=M;var D=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"IndexSizeError","The index is not in the allowed range. "+t)||this}return i(t,e),t}(a);t.IndexSizeError=D;var P=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"SyntaxError","The string did not match the expected pattern. "+t)||this}return i(t,e),t}(a);t.SyntaxError=P;var I=function(e){function t(t){return void 0===t&&(t=""),e.call(this,"InvalidCharacterError","The string contains invalid characters. "+t)||this}return i(t,e),t}(a);t.InvalidCharacterError=I},function(e,t,n){"use strict";var r=n(53),i=["kind","resolve","construct","instanceOf","predicate","represent","defaultStyle","styleAliases"],a=["scalar","sequence","mapping"];e.exports=function(e,t){var n,o;if(t=t||{},Object.keys(t).forEach((function(t){if(-1===i.indexOf(t))throw new r('Unknown option "'+t+'" is met in definition of "'+e+'" YAML type.')})),this.tag=e,this.kind=t.kind||null,this.resolve=t.resolve||function(){return!0},this.construct=t.construct||function(e){return e},this.instanceOf=t.instanceOf||null,this.predicate=t.predicate||null,this.represent=t.represent||null,this.defaultStyle=t.defaultStyle||null,this.styleAliases=(n=t.styleAliases||null,o={},null!==n&&Object.keys(n).forEach((function(e){n[e].forEach((function(t){o[String(t)]=e}))})),o),-1===a.indexOf(this.kind))throw new r('Unknown kind "'+this.kind+'" is specified for "'+e+'" YAML type.')}},function(e,t,n){(function(t){var n=function(e){return e&&e.Math==Math&&e};e.exports=n("object"==typeof globalThis&&globalThis)||n("object"==typeof window&&window)||n("object"==typeof self&&self)||n("object"==typeof t&&t)||Function("return this")()}).call(this,n(78))},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.idl_defineConst=function(e,t,n){Object.defineProperty(e,t,{writable:!1,enumerable:!0,configurable:!1,value:n})}},function(e,t){e.exports=function(e){return"object"==typeof e?null!==e:"function"==typeof e}},function(e,t){var n={}.hasOwnProperty;e.exports=function(e,t){return n.call(e,t)}},function(e,t,n){var r=n(16),i=n(115),a=n(18),o=n(56),s=Object.defineProperty;t.f=r?s:function(e,t,n){if(a(e),t=o(t,!0),a(n),i)try{return s(e,t,n)}catch(e){}if("get"in n||"set"in n)throw TypeError("Accessors not supported");return"value"in n&&(e[t]=n.value),e}},function(e,t,n){var r=n(8);e.exports=!r((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]}))},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(3),a=n(2);function o(e,t,n){if(void 0===n&&(n=!1),n&&i.Guard.isElementNode(t)&&i.Guard.isShadowRoot(t.shadowRoot)&&t.shadowRoot._firstChild)return t.shadowRoot._firstChild;if(t._firstChild)return t._firstChild;if(t===e)return null;if(t._nextSibling)return t._nextSibling;for(var r=t._parent;r&&r!==e;){if(r._nextSibling)return r._nextSibling;r=r._parent}return null}function s(){var e;return(e={})[Symbol.iterator]=function(){return{next:function(){return{done:!0,value:null}}}},e}function l(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);for(var i=t?e:o(e,e,n);i&&r&&!r(i);)i=o(e,i,n);return i}function c(e,t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=o(e,t,r);a&&i&&!i(a);)a=o(e,a,r);return a}function u(e,t,n,r){var i;return void 0===t&&(t=!1),void 0===n&&(n=!1),t||0!==e._children.size?((i={})[Symbol.iterator]=function(){var i=t?e:o(e,e,n);return{next:function(){for(;i&&r&&!r(i);)i=o(e,i,n);if(null===i)return{done:!0,value:null};var t={done:!1,value:i};return i=o(e,i,n),t}}},i):s()}function d(e,t,n){void 0===t&&(t=!1);for(var r=t?e:e._parent;r&&n&&!n(r);)r=r._parent;return r}function f(e,t,n,r){void 0===n&&(n=!1);for(var i=t._parent;i&&r&&!r(i);)i=i._parent;return i}function p(e){return i.Guard.isDocumentTypeNode(e)?0:i.Guard.isCharacterDataNode(e)?e._data.length:e._children.size}function h(e,t){if(void 0===t&&(t=!1),t){var n=h(e,!1);return i.Guard.isShadowRoot(n)?h(n._host,!0):n}return e._parent?h(e._parent):e}function m(e,t,n,r){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=n?e:r&&i.Guard.isShadowRoot(e)?e._host:e._parent;null!==a;){if(a===t)return!0;a=r&&i.Guard.isShadowRoot(a)?a._host:a._parent}return!1}function g(e){for(var t=h(e),n=0,r=l(t);null!==r;){if(n++,r===e)return n;r=c(t,r)}return-1}t.tree_getFirstDescendantNode=l,t.tree_getNextDescendantNode=c,t.tree_getDescendantNodes=u,t.tree_getDescendantElements=function(e,t,n,r){var a;return void 0===t&&(t=!1),void 0===n&&(n=!1),t||0!==e._children.size?((a={})[Symbol.iterator]=function(){var a=u(e,t,n,(function(e){return i.Guard.isElementNode(e)}))[Symbol.iterator](),o=a.next().value;return{next:function(){for(;o&&r&&!r(o);)o=a.next().value;if(null===o)return{done:!0,value:null};var e={done:!1,value:o};return o=a.next().value,e}}},a):s()},t.tree_getSiblingNodes=function(e,t,n){var r;return void 0===t&&(t=!1),e._parent&&0!==e._parent._children.size?((r={})[Symbol.iterator]=function(){var r=e._parent?e._parent._firstChild:null;return{next:function(){for(;r&&(n&&!n(r)||!t&&r===e);)r=r._nextSibling;if(null===r)return{done:!0,value:null};var i={done:!1,value:r};return r=r._nextSibling,i}}},r):s()},t.tree_getFirstAncestorNode=d,t.tree_getNextAncestorNode=f,t.tree_getAncestorNodes=function(e,t,n){var r;return void 0===t&&(t=!1),t||e._parent?((r={})[Symbol.iterator]=function(){var r=d(e,t,n);return{next:function(){if(null===r)return{done:!0,value:null};var e={done:!1,value:r};return r=f(0,r,t,n),e}}},r):s()},t.tree_getCommonAncestor=function(e,t){if(e===t)return e._parent;for(var n=[],r=[],i=d(e,!0);null!==i;)n.push(i),i=f(0,i,!0);for(var a=d(t,!0);null!==a;)r.push(a),a=f(0,a,!0);for(var o=n.length,s=r.length,l=null,c=Math.min(o,s);c>0;c--){var u=n[--o];if(u!==r[--s])break;l=u}return l},t.tree_getFollowingNode=function(e,t){if(t._firstChild)return t._firstChild;if(t._nextSibling)return t._nextSibling;for(;;){var n=t._parent;if(null===n||n===e)return null;if(n._nextSibling)return n._nextSibling;t=n}},t.tree_getPrecedingNode=function(e,t){return t===e?null:t._previousSibling?(t=t._previousSibling)._lastChild?t._lastChild:t:t._parent},t.tree_isConstrained=function e(t){var n,i,o,s,l,c;switch(t._nodeType){case a.NodeType.Document:var u=!1,d=!1;try{for(var f=r(t._children),p=f.next();!p.done;p=f.next())switch(p.value._nodeType){case a.NodeType.ProcessingInstruction:case a.NodeType.Comment:break;case a.NodeType.DocumentType:if(u||d)return!1;u=!0;break;case a.NodeType.Element:if(d)return!1;d=!0;break;default:return!1}}catch(e){n={error:e}}finally{try{p&&!p.done&&(i=f.return)&&i.call(f)}finally{if(n)throw n.error}}break;case a.NodeType.DocumentFragment:case a.NodeType.Element:try{for(var h=r(t._children),m=h.next();!m.done;m=h.next())switch(m.value._nodeType){case a.NodeType.Element:case a.NodeType.Text:case a.NodeType.ProcessingInstruction:case a.NodeType.CData:case a.NodeType.Comment:break;default:return!1}}catch(e){o={error:e}}finally{try{m&&!m.done&&(s=h.return)&&s.call(h)}finally{if(o)throw o.error}}break;case a.NodeType.DocumentType:case a.NodeType.Text:case a.NodeType.ProcessingInstruction:case a.NodeType.CData:case a.NodeType.Comment:return!t.hasChildNodes()}try{for(var g=r(t._children),v=g.next();!v.done;v=g.next())if(!e(v.value))return!1}catch(e){l={error:e}}finally{try{v&&!v.done&&(c=g.return)&&c.call(g)}finally{if(l)throw l.error}}return!0},t.tree_nodeLength=p,t.tree_isEmpty=function(e){return 0===p(e)},t.tree_rootNode=h,t.tree_isDescendantOf=function(e,t,n,r){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var i=l(e,n,r);null!==i;){if(i===t)return!0;i=c(e,i,n,r)}return!1},t.tree_isAncestorOf=m,t.tree_isHostIncludingAncestorOf=function e(t,n,r){if(void 0===r&&(r=!1),m(t,n,r))return!0;var a=h(t);return!(!i.Guard.isDocumentFragmentNode(a)||null===a._host||!e(a._host,n,r))},t.tree_isSiblingOf=function(e,t,n){return void 0===n&&(n=!1),e!==t?null!==e._parent&&e._parent===t._parent:!!n},t.tree_isPreceding=function(e,t){var n=g(e),r=g(t);return-1!==n&&-1!==r&&h(e)===h(t)&&r<n},t.tree_isFollowing=function(e,t){var n=g(e),r=g(t);return-1!==n&&-1!==r&&h(e)===h(t)&&r>n},t.tree_isParentOf=function(e,t){return e._parent===t},t.tree_isChildOf=function(e,t){return t._parent===e},t.tree_previousSibling=function(e){return e._previousSibling},t.tree_nextSibling=function(e){return e._nextSibling},t.tree_firstChild=function(e){return e._firstChild},t.tree_lastChild=function(e){return e._lastChild},t.tree_treePosition=g,t.tree_index=function(e){for(var t=0;null!==e._previousSibling;)t++,e=e._previousSibling;return t},t.tree_retarget=function(e,t){for(;;){if(!e||!i.Guard.isNode(e))return e;var n=h(e);if(!i.Guard.isShadowRoot(n))return e;if(t&&i.Guard.isNode(t)&&m(n,t,!0,!0))return e;e=n.host}}},function(e,t,n){var r=n(13);e.exports=function(e){if(!r(e))throw TypeError(String(e)+" is not an object");return e}},function(e,t,n){"use strict";var r=n(24),i=n(130),a=n(49),o=n(43),s=n(88),l=o.set,c=o.getterFor("Array Iterator");e.exports=s(Array,"Array",(function(e,t){l(this,{type:"Array Iterator",target:r(e),index:0,kind:t})}),(function(){var e=c(this),t=e.target,n=e.kind,r=e.index++;return!t||r>=t.length?(e.target=void 0,{value:void 0,done:!0}):"keys"==n?{value:r,done:!1}:"values"==n?{value:t[r],done:!1}:{value:[r,t[r]],done:!1}}),"values"),a.Arguments=a.Array,i("keys"),i("values"),i("entries")},function(e,t,n){var r=n(90),i=n(25),a=n(202);r||i(Object.prototype,"toString",a,{unsafe:!0})},function(e,t,n){var r=n(16),i=n(15),a=n(40);e.exports=r?function(e,t,n){return i.f(e,t,a(1,n))}:function(e,t,n){return e[t]=n,e}},function(e,t,n){"use strict";var r=n(137).charAt,i=n(43),a=n(88),o=i.set,s=i.getterFor("String Iterator");a(String,"String",(function(e){o(this,{type:"String Iterator",string:String(e),index:0})}),(function(){var e,t=s(this),n=t.string,i=t.index;return i>=n.length?{value:void 0,done:!0}:(e=r(n,i),t.index+=e.length,{value:e,done:!1})}))},function(e,t,n){var r=n(11),i=n(203),a=n(19),o=n(21),s=n(5),l=s("iterator"),c=s("toStringTag"),u=a.values;for(var d in i){var f=r[d],p=f&&f.prototype;if(p){if(p[l]!==u)try{o(p,l,u)}catch(e){p[l]=u}if(p[c]||o(p,c,d),i[d])for(var h in a)if(p[h]!==a[h])try{o(p,h,a[h])}catch(e){p[h]=a[h]}}}},function(e,t,n){var r=n(41),i=n(35);e.exports=function(e){return r(i(e))}},function(e,t,n){var r=n(11),i=n(21),a=n(14),o=n(80),s=n(117),l=n(43),c=l.get,u=l.enforce,d=String(String).split("String");(e.exports=function(e,t,n,s){var l=!!s&&!!s.unsafe,c=!!s&&!!s.enumerable,f=!!s&&!!s.noTargetGet;"function"==typeof n&&("string"!=typeof t||a(n,"name")||i(n,"name",t),u(n).source=d.join("string"==typeof t?t:"")),e!==r?(l?!f&&e[t]&&(c=!0):delete e[t],c?e[t]=n:i(e,t,n)):c?e[t]=n:o(t,n)})(Function.prototype,"toString",(function(){return"function"==typeof this&&c(this).source||s(this)}))},function(e,t,n){var r=n(47),i=Math.min;e.exports=function(e){return e>0?i(r(e),9007199254740991):0}},function(e,t,n){var r=n(35);e.exports=function(e){return Object(r(e))}},function(e,t,n){var r=n(16),i=n(8),a=n(14),o=Object.defineProperty,s={},l=function(e){throw e};e.exports=function(e,t){if(a(s,e))return s[e];t||(t={});var n=[][e],c=!!a(t,"ACCESSORS")&&t.ACCESSORS,u=a(t,0)?t[0]:l,d=a(t,1)?t[1]:void 0;return s[e]=!!n&&!i((function(){if(c&&!r)return!0;var e={length:-1};c?o(e,1,{enumerable:!0,get:l}):e[1]=1,n.call(e,u,d)}))}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(148),i=n(149),a=n(151),o=n(98),s=n(153),l=n(154),c=n(155),u=n(99),d=n(100),f=n(156),p=n(157),h=n(101),m=n(158),g=n(159),v=n(160),y=n(161),b=n(162),_=n(163),x=n(164),w=n(165),A=n(166),S=n(167),T=n(168),C=n(169),E=n(170);t.create_domImplementation=function(e){return r.DOMImplementationImpl._create(e)},t.create_window=function(){return i.WindowImpl._create()},t.create_xmlDocument=function(){return new a.XMLDocumentImpl},t.create_document=function(){return new o.DocumentImpl},t.create_abortController=function(){return new s.AbortControllerImpl},t.create_abortSignal=function(){return l.AbortSignalImpl._create()},t.create_documentType=function(e,t,n,r){return c.DocumentTypeImpl._create(e,t,n,r)},t.create_element=function(e,t,n,r){return u.ElementImpl._create(e,t,n,r)},t.create_htmlElement=function(e,t,n,r){return u.ElementImpl._create(e,t,n,r)},t.create_htmlUnknownElement=function(e,t,n,r){return u.ElementImpl._create(e,t,n,r)},t.create_documentFragment=function(e){return d.DocumentFragmentImpl._create(e)},t.create_shadowRoot=function(e,t){return f.ShadowRootImpl._create(e,t)},t.create_attr=function(e,t){return p.AttrImpl._create(e,t)},t.create_text=function(e,t){return h.TextImpl._create(e,t)},t.create_cdataSection=function(e,t){return m.CDATASectionImpl._create(e,t)},t.create_comment=function(e,t){return g.CommentImpl._create(e,t)},t.create_processingInstruction=function(e,t,n){return v.ProcessingInstructionImpl._create(e,t,n)},t.create_htmlCollection=function(e,t){return void 0===t&&(t=function(){return!0}),y.HTMLCollectionImpl._create(e,t)},t.create_nodeList=function(e){return b.NodeListImpl._create(e)},t.create_nodeListStatic=function(e,t){return _.NodeListStaticImpl._create(e,t)},t.create_namedNodeMap=function(e){return x.NamedNodeMapImpl._create(e)},t.create_range=function(e,t){return w.RangeImpl._create(e,t)},t.create_nodeIterator=function(e,t,n){return A.NodeIteratorImpl._create(e,t,n)},t.create_treeWalker=function(e,t){return S.TreeWalkerImpl._create(e,t)},t.create_nodeFilter=function(){return T.NodeFilterImpl._create()},t.create_mutationRecord=function(e,t,n,r,i,a,o,s,l){return C.MutationRecordImpl._create(e,t,n,r,i,a,o,s,l)},t.create_domTokenList=function(e,t){return E.DOMTokenListImpl._create(e,t)}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(17),o=n(3),s=n(72),l=new Map;function c(e,t){if(t!==e._root&&a.tree_isAncestorOf(e._reference,t,!0)){if(e._pointerBeforeReference)for(;;){var n=a.tree_getFollowingNode(e._root,t);if(null!==n&&a.tree_isDescendantOf(e._root,n,!0)&&!a.tree_isDescendantOf(t,n,!0))return void(e._reference=n);if(null===n)return void(e._pointerBeforeReference=!1)}if(null===t._previousSibling)null!==t._parent&&(e._reference=t._parent);else{for(var r=t._previousSibling,i=a.tree_getFirstDescendantNode(t._previousSibling,!0,!1);null!==i;)null!==i&&(r=i),i=a.tree_getNextDescendantNode(t._previousSibling,i,!0,!1);e._reference=r}}}function u(e,t,n,r,i){if(o.Guard.isSlot(e)&&"name"===t&&null===i){if(r===n)return;if(null===r&&""===n)return;if(""===r&&null===n)return;e._name=null===r||""===r?"":r,s.shadowTree_assignSlotablesForATree(a.tree_rootNode(e))}}function d(e,t,n,r,i){if(o.Guard.isSlotable(e)&&"slot"===t&&null===i){if(r===n)return;if(null===r&&""===n)return;if(""===r&&null===n)return;e._name=null===r||""===r?"":r,s.shadowTree_isAssigned(e)&&s.shadowTree_assignSlotables(e._assignedSlot),s.shadowTree_assignASlot(e)}}function f(e,t,n,r){"id"===t&&null===r&&(e._uniqueIdentifier=n||void 0)}t.dom_runRemovingSteps=function(e,t){},t.dom_runCloningSteps=function(e,t,n,r){},t.dom_runAdoptingSteps=function(e,t){},t.dom_runAttributeChangeSteps=function(e,t,n,a,o){var s,l;i.dom.features.slots&&(d.call(e,e,t,n,a,o),u.call(e,e,t,n,a,o)),f.call(e,e,t,a,o);try{for(var c=r(e._attributeChangeSteps),p=c.next();!p.done;p=c.next())p.value.call(e,e,t,n,a,o)}catch(e){s={error:e}}finally{try{p&&!p.done&&(l=c.return)&&l.call(c)}finally{if(s)throw s.error}}},t.dom_runInsertionSteps=function(e){},t.dom_runNodeIteratorPreRemovingSteps=function(e,t){c.call(e,e,t)},t.dom_hasSupportedTokens=function(e){return l.has(e)},t.dom_getSupportedTokens=function(e){return l.get(e)||new Set},t.dom_runEventConstructingSteps=function(e){},t.dom_runChildTextContentChangeSteps=function(e){}},function(e,t,n){"use strict";var r=n(4),i=n(11),a=n(46),o=n(44),s=n(16),l=n(86),c=n(124),u=n(8),d=n(14),f=n(59),p=n(13),h=n(18),m=n(27),g=n(24),v=n(56),y=n(40),b=n(60),_=n(61),x=n(82),w=n(190),A=n(85),S=n(55),T=n(15),C=n(79),E=n(21),M=n(25),D=n(81),P=n(57),I=n(45),O=n(58),N=n(5),k=n(125),R=n(126),L=n(62),F=n(43),B=n(36).forEach,U=P("hidden"),V=N("toPrimitive"),G=F.set,z=F.getterFor("Symbol"),j=Object.prototype,W=i.Symbol,H=a("JSON","stringify"),$=S.f,X=T.f,q=w.f,K=C.f,Y=D("symbols"),J=D("op-symbols"),Z=D("string-to-symbol-registry"),Q=D("symbol-to-string-registry"),ee=D("wks"),te=i.QObject,ne=!te||!te.prototype||!te.prototype.findChild,re=s&&u((function(){return 7!=b(X({},"a",{get:function(){return X(this,"a",{value:7}).a}})).a}))?function(e,t,n){var r=$(j,t);r&&delete j[t],X(e,t,n),r&&e!==j&&X(j,t,r)}:X,ie=function(e,t){var n=Y[e]=b(W.prototype);return G(n,{type:"Symbol",tag:e,description:t}),s||(n.description=t),n},ae=c?function(e){return"symbol"==typeof e}:function(e){return Object(e)instanceof W},oe=function(e,t,n){e===j&&oe(J,t,n),h(e);var r=v(t,!0);return h(n),d(Y,r)?(n.enumerable?(d(e,U)&&e[U][r]&&(e[U][r]=!1),n=b(n,{enumerable:y(0,!1)})):(d(e,U)||X(e,U,y(1,{})),e[U][r]=!0),re(e,r,n)):X(e,r,n)},se=function(e,t){h(e);var n=g(t),r=_(n).concat(de(n));return B(r,(function(t){s&&!le.call(n,t)||oe(e,t,n[t])})),e},le=function(e){var t=v(e,!0),n=K.call(this,t);return!(this===j&&d(Y,t)&&!d(J,t))&&(!(n||!d(this,t)||!d(Y,t)||d(this,U)&&this[U][t])||n)},ce=function(e,t){var n=g(e),r=v(t,!0);if(n!==j||!d(Y,r)||d(J,r)){var i=$(n,r);return!i||!d(Y,r)||d(n,U)&&n[U][r]||(i.enumerable=!0),i}},ue=function(e){var t=q(g(e)),n=[];return B(t,(function(e){d(Y,e)||d(I,e)||n.push(e)})),n},de=function(e){var t=e===j,n=q(t?J:g(e)),r=[];return B(n,(function(e){!d(Y,e)||t&&!d(j,e)||r.push(Y[e])})),r};l||(M((W=function(){if(this instanceof W)throw TypeError("Symbol is not a constructor");var e=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,t=O(e),n=function(e){this===j&&n.call(J,e),d(this,U)&&d(this[U],t)&&(this[U][t]=!1),re(this,t,y(1,e))};return s&&ne&&re(j,t,{configurable:!0,set:n}),ie(t,e)}).prototype,"toString",(function(){return z(this).tag})),M(W,"withoutSetter",(function(e){return ie(O(e),e)})),C.f=le,T.f=oe,S.f=ce,x.f=w.f=ue,A.f=de,k.f=function(e){return ie(N(e),e)},s&&(X(W.prototype,"description",{configurable:!0,get:function(){return z(this).description}}),o||M(j,"propertyIsEnumerable",le,{unsafe:!0}))),r({global:!0,wrap:!0,forced:!l,sham:!l},{Symbol:W}),B(_(ee),(function(e){R(e)})),r({target:"Symbol",stat:!0,forced:!l},{for:function(e){var t=String(e);if(d(Z,t))return Z[t];var n=W(t);return Z[t]=n,Q[n]=t,n},keyFor:function(e){if(!ae(e))throw TypeError(e+" is not a symbol");if(d(Q,e))return Q[e]},useSetter:function(){ne=!0},useSimple:function(){ne=!1}}),r({target:"Object",stat:!0,forced:!l,sham:!s},{create:function(e,t){return void 0===t?b(e):se(b(e),t)},defineProperty:oe,defineProperties:se,getOwnPropertyDescriptor:ce}),r({target:"Object",stat:!0,forced:!l},{getOwnPropertyNames:ue,getOwnPropertySymbols:de}),r({target:"Object",stat:!0,forced:u((function(){A.f(1)}))},{getOwnPropertySymbols:function(e){return A.f(m(e))}}),H&&r({target:"JSON",stat:!0,forced:!l||u((function(){var e=W();return"[null]"!=H([e])||"{}"!=H({a:e})||"{}"!=H(Object(e))}))},{stringify:function(e,t,n){for(var r,i=[e],a=1;arguments.length>a;)i.push(arguments[a++]);if(r=t,(p(t)||void 0!==e)&&!ae(e))return f(t)||(t=function(e,t){if("function"==typeof r&&(t=r.call(this,e,t)),!ae(t))return t}),i[1]=t,H.apply(null,i)}}),W.prototype[V]||E(W.prototype,V,W.prototype.valueOf),L(W,"Symbol"),I[U]=!0},function(e,t,n){"use strict";var r=n(4),i=n(16),a=n(11),o=n(14),s=n(13),l=n(15).f,c=n(119),u=a.Symbol;if(i&&"function"==typeof u&&(!("description"in u.prototype)||void 0!==u().description)){var d={},f=function(){var e=arguments.length<1||void 0===arguments[0]?void 0:String(arguments[0]),t=this instanceof f?new u(e):void 0===e?u():u(e);return""===e&&(d[t]=!0),t};c(f,u);var p=f.prototype=u.prototype;p.constructor=f;var h=p.toString,m="Symbol(test)"==String(u("test")),g=/^Symbol\((.*)\)[^)]+$/;l(p,"description",{configurable:!0,get:function(){var e=s(this)?this.valueOf():this,t=h.call(e);if(o(d,e))return"";var n=m?t.slice(7,-1):t.replace(g,"$1");return""===n?void 0:n}}),r({global:!0,forced:!0},{Symbol:f})}},function(e,t,n){n(126)("iterator")},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),s=n(2),l=n(70),c=n(3),u=n(9),d=n(0),f=n(152),p=n(12),h=function(e){function t(){var t=e.call(this)||this;return t._parent=null,t._firstChild=null,t._lastChild=null,t._previousSibling=null,t._nextSibling=null,t}return i(t,e),Object.defineProperty(t.prototype,"_childNodes",{get:function(){return this.__childNodes||(this.__childNodes=d.create_nodeList(this))},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"_nodeDocument",{get:function(){return this._nodeDocumentOverride||o.dom.window._associatedDocument},set:function(e){this._nodeDocumentOverride=e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"_registeredObserverList",{get:function(){return this.__registeredObserverList||(this.__registeredObserverList=[])},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nodeType",{get:function(){return this._nodeType},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nodeName",{get:function(){return c.Guard.isElementNode(this)?this._htmlUppercasedQualifiedName:c.Guard.isAttrNode(this)?this._qualifiedName:c.Guard.isExclusiveTextNode(this)?"#text":c.Guard.isCDATASectionNode(this)?"#cdata-section":c.Guard.isProcessingInstructionNode(this)?this._target:c.Guard.isCommentNode(this)?"#comment":c.Guard.isDocumentNode(this)?"#document":c.Guard.isDocumentTypeNode(this)?this._name:c.Guard.isDocumentFragmentNode(this)?"#document-fragment":""},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"baseURI",{get:function(){return f.urlSerializer(this._nodeDocument._URL)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"isConnected",{get:function(){return c.Guard.isElementNode(this)&&d.shadowTree_isConnected(this)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"ownerDocument",{get:function(){return this._nodeType===s.NodeType.Document?null:this._nodeDocument},enumerable:!0,configurable:!0}),t.prototype.getRootNode=function(e){return d.tree_rootNode(this,!!e&&e.composed)},Object.defineProperty(t.prototype,"parentNode",{get:function(){return this._nodeType===s.NodeType.Attribute?null:this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"parentElement",{get:function(){return this._parent&&c.Guard.isElementNode(this._parent)?this._parent:null},enumerable:!0,configurable:!0}),t.prototype.hasChildNodes=function(){return null!==this._firstChild},Object.defineProperty(t.prototype,"childNodes",{get:function(){return this._childNodes},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"firstChild",{get:function(){return this._firstChild},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"lastChild",{get:function(){return this._lastChild},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"previousSibling",{get:function(){return this._previousSibling},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nextSibling",{get:function(){return this._nextSibling},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nodeValue",{get:function(){return c.Guard.isAttrNode(this)?this._value:c.Guard.isCharacterDataNode(this)?this._data:null},set:function(e){null===e&&(e=""),c.Guard.isAttrNode(this)?d.attr_setAnExistingAttributeValue(this,e):c.Guard.isCharacterDataNode(this)&&d.characterData_replaceData(this,0,this._data.length,e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"textContent",{get:function(){return c.Guard.isDocumentFragmentNode(this)||c.Guard.isElementNode(this)?d.text_descendantTextContent(this):c.Guard.isAttrNode(this)?this._value:c.Guard.isCharacterDataNode(this)?this._data:null},set:function(e){null===e&&(e=""),c.Guard.isDocumentFragmentNode(this)||c.Guard.isElementNode(this)?d.node_stringReplaceAll(e,this):c.Guard.isAttrNode(this)?d.attr_setAnExistingAttributeValue(this,e):c.Guard.isCharacterDataNode(this)&&d.characterData_replaceData(this,0,d.tree_nodeLength(this),e)},enumerable:!0,configurable:!0}),t.prototype.normalize=function(){for(var e,t,n,r,i=[],s=d.tree_getFirstDescendantNode(this,!1,!1,(function(e){return c.Guard.isExclusiveTextNode(e)}));null!==s;)i.push(s),s=d.tree_getNextDescendantNode(this,s,!1,!1,(function(e){return c.Guard.isExclusiveTextNode(e)}));for(var l=0;l<i.length;l++){var u=i[l];if(null!==u._parent){var f=d.tree_nodeLength(u);if(0!==f){var p=[],h="";try{for(var m=(e=void 0,a(d.text_contiguousExclusiveTextNodes(u))),g=m.next();!g.done;g=m.next()){var v=g.value;p.push(v),h+=v._data}}catch(t){e={error:t}}finally{try{g&&!g.done&&(t=m.return)&&t.call(m)}finally{if(e)throw e.error}}if(d.characterData_replaceData(u,f,0,h),0!==o.dom.rangeList.size)for(var y=u._nextSibling;null!==y&&c.Guard.isExclusiveTextNode(y);){var b=y,_=d.tree_index(b);try{for(var x=(n=void 0,a(o.dom.rangeList)),w=x.next();!w.done;w=x.next()){var A=w.value;A._start[0]===b&&(A._start[0]=u,A._start[1]+=f),A._end[0]===b&&(A._end[0]=u,A._end[1]+=f),A._start[0]===b._parent&&A._start[1]===_&&(A._start[0]=u,A._start[1]=f),A._end[0]===b._parent&&A._end[1]===_&&(A._end[0]=u,A._end[1]=f)}}catch(e){n={error:e}}finally{try{w&&!w.done&&(r=x.return)&&r.call(x)}finally{if(n)throw n.error}}f+=d.tree_nodeLength(y),y=y._nextSibling}for(var S=0;S<p.length;S++)null!==(v=p[S])._parent&&d.mutation_remove(v,v._parent)}else d.mutation_remove(u,u._parent)}}},t.prototype.cloneNode=function(e){if(void 0===e&&(e=!1),c.Guard.isShadowRoot(this))throw new u.NotSupportedError;return d.node_clone(this,null,e)},t.prototype.isEqualNode=function(e){return void 0===e&&(e=null),null!==e&&d.node_equals(this,e)},t.prototype.isSameNode=function(e){return void 0===e&&(e=null),this===e},t.prototype.compareDocumentPosition=function(e){if(e===this)return 0;var t=e,n=this,r=null,i=null;if(c.Guard.isAttrNode(t)&&(t=(r=t)._element),c.Guard.isAttrNode(n)&&(n=(i=n)._element,r&&t&&t===n))for(var a=0;a<n._attributeList.length;a++){var l=n._attributeList[a];if(d.node_equals(l,r))return s.Position.ImplementationSpecific|s.Position.Preceding;if(d.node_equals(l,i))return s.Position.ImplementationSpecific|s.Position.Following}return null===t||null===n||d.tree_rootNode(t)!==d.tree_rootNode(n)?s.Position.Disconnected|s.Position.ImplementationSpecific|(o.dom.compareCache.check(this,e)?s.Position.Preceding:s.Position.Following):!r&&d.tree_isAncestorOf(n,t)||i&&t===n?s.Position.Contains|s.Position.Preceding:!i&&d.tree_isDescendantOf(n,t)||r&&t===n?s.Position.ContainedBy|s.Position.Following:d.tree_isPreceding(n,t)?s.Position.Preceding:s.Position.Following},t.prototype.contains=function(e){return null!==e&&d.tree_isDescendantOf(this,e,!0)},t.prototype.lookupPrefix=function(e){return e?c.Guard.isElementNode(this)?d.node_locateANamespacePrefix(this,e):c.Guard.isDocumentNode(this)?null===this.documentElement?null:d.node_locateANamespacePrefix(this.documentElement,e):c.Guard.isDocumentTypeNode(this)||c.Guard.isDocumentFragmentNode(this)?null:c.Guard.isAttrNode(this)?null===this._element?null:d.node_locateANamespacePrefix(this._element,e):null!==this._parent&&c.Guard.isElementNode(this._parent)?d.node_locateANamespacePrefix(this._parent,e):null:null},t.prototype.lookupNamespaceURI=function(e){return d.node_locateANamespace(this,e||null)},t.prototype.isDefaultNamespace=function(e){return e||(e=null),d.node_locateANamespace(this,null)===e},t.prototype.insertBefore=function(e,t){return d.mutation_preInsert(e,this,t)},t.prototype.appendChild=function(e){return d.mutation_append(e,this)},t.prototype.replaceChild=function(e,t){return d.mutation_replace(t,e,this)},t.prototype.removeChild=function(e){return d.mutation_preRemove(e,this)},t.prototype._getTheParent=function(e){return c.Guard.isSlotable(this)&&d.shadowTree_isAssigned(this)?this._assignedSlot:this._parent},t.ELEMENT_NODE=1,t.ATTRIBUTE_NODE=2,t.TEXT_NODE=3,t.CDATA_SECTION_NODE=4,t.ENTITY_REFERENCE_NODE=5,t.ENTITY_NODE=6,t.PROCESSING_INSTRUCTION_NODE=7,t.COMMENT_NODE=8,t.DOCUMENT_NODE=9,t.DOCUMENT_TYPE_NODE=10,t.DOCUMENT_FRAGMENT_NODE=11,t.NOTATION_NODE=12,t.DOCUMENT_POSITION_DISCONNECTED=1,t.DOCUMENT_POSITION_PRECEDING=2,t.DOCUMENT_POSITION_FOLLOWING=4,t.DOCUMENT_POSITION_CONTAINS=8,t.DOCUMENT_POSITION_CONTAINED_BY=16,t.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC=32,t}(l.EventTargetImpl);t.NodeImpl=h,h.prototype._children=new c.EmptySet,p.idl_defineConst(h.prototype,"ELEMENT_NODE",1),p.idl_defineConst(h.prototype,"ATTRIBUTE_NODE",2),p.idl_defineConst(h.prototype,"TEXT_NODE",3),p.idl_defineConst(h.prototype,"CDATA_SECTION_NODE",4),p.idl_defineConst(h.prototype,"ENTITY_REFERENCE_NODE",5),p.idl_defineConst(h.prototype,"ENTITY_NODE",6),p.idl_defineConst(h.prototype,"PROCESSING_INSTRUCTION_NODE",7),p.idl_defineConst(h.prototype,"COMMENT_NODE",8),p.idl_defineConst(h.prototype,"DOCUMENT_NODE",9),p.idl_defineConst(h.prototype,"DOCUMENT_TYPE_NODE",10),p.idl_defineConst(h.prototype,"DOCUMENT_FRAGMENT_NODE",11),p.idl_defineConst(h.prototype,"NOTATION_NODE",12),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_DISCONNECTED",1),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_PRECEDING",2),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_FOLLOWING",4),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_CONTAINS",8),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_CONTAINED_BY",16),p.idl_defineConst(h.prototype,"DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC",32)},function(e,t){e.exports=function(e){if(null==e)throw TypeError("Can't call method on "+e);return e}},function(e,t,n){var r=n(87),i=n(41),a=n(27),o=n(26),s=n(128),l=[].push,c=function(e){var t=1==e,n=2==e,c=3==e,u=4==e,d=6==e,f=5==e||d;return function(p,h,m,g){for(var v,y,b=a(p),_=i(b),x=r(h,m,3),w=o(_.length),A=0,S=g||s,T=t?S(p,w):n?S(p,0):void 0;w>A;A++)if((f||A in _)&&(y=x(v=_[A],A,b),e))if(t)T[A]=y;else if(y)switch(e){case 3:return!0;case 5:return v;case 6:return A;case 2:l.call(T,v)}else if(u)return!1;return d?-1:c||u?u:T}};e.exports={forEach:c(0),map:c(1),filter:c(2),some:c(3),every:c(4),find:c(5),findIndex:c(6)}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),s=n(9),l=n(2),c=n(3),u=n(1),d=n(7),f=n(73),p=n(17),h=n(172),m=n(72),g=n(51),v=n(30),y=n(106);function b(e,t,n){var i,a,o,c,u,d,f,h,m=t._nodeType,g=e._nodeType,v=n?n._nodeType:null;if(m!==l.NodeType.Document&&m!==l.NodeType.DocumentFragment&&m!==l.NodeType.Element)throw new s.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is "+t.nodeName+".");if(p.tree_isHostIncludingAncestorOf(t,e,!0))throw new s.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is "+e.nodeName+", parent node is "+t.nodeName+".");if(null!==n&&n._parent!==t)throw new s.NotFoundError("The reference child node cannot be found under parent node. Child node is "+n.nodeName+", parent node is "+t.nodeName+".");if(g!==l.NodeType.DocumentFragment&&g!==l.NodeType.DocumentType&&g!==l.NodeType.Element&&g!==l.NodeType.Text&&g!==l.NodeType.ProcessingInstruction&&g!==l.NodeType.CData&&g!==l.NodeType.Comment)throw new s.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is "+e.nodeName+".");if(g===l.NodeType.Text&&m===l.NodeType.Document)throw new s.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is "+e.nodeName+".");if(g===l.NodeType.DocumentType&&m!==l.NodeType.Document)throw new s.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is "+t.nodeName+".");if(m===l.NodeType.Document)if(g===l.NodeType.DocumentFragment){var y=0;try{for(var b=r(e._children),_=b.next();!_.done;_=b.next()){var x=_.value;if(x._nodeType===l.NodeType.Element)y++;else if(x._nodeType===l.NodeType.Text)throw new s.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is "+x.nodeName+".")}}catch(e){i={error:e}}finally{try{_&&!_.done&&(a=b.return)&&a.call(b)}finally{if(i)throw i.error}}if(y>1)throw new s.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has "+y+" element nodes.");if(1===y){try{for(var w=r(t._children),A=w.next();!A.done;A=w.next())if(A.value._nodeType===l.NodeType.Element)throw new s.HierarchyRequestError("The document node already has a document element node.")}catch(e){o={error:e}}finally{try{A&&!A.done&&(c=w.return)&&c.call(w)}finally{if(o)throw o.error}}if(n){if(v===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node.");for(var S=n._nextSibling;S;){if(S._nodeType===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node.");S=S._nextSibling}}}}else if(g===l.NodeType.Element){try{for(var T=r(t._children),C=T.next();!C.done;C=T.next())if(C.value._nodeType===l.NodeType.Element)throw new s.HierarchyRequestError("Document already has a document element node. Node is "+e.nodeName+".")}catch(e){u={error:e}}finally{try{C&&!C.done&&(d=T.return)&&d.call(T)}finally{if(u)throw u.error}}if(n){if(v===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node. Node is "+e.nodeName+".");for(S=n._nextSibling;S;){if(S._nodeType===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node. Node is "+e.nodeName+".");S=S._nextSibling}}}else if(g===l.NodeType.DocumentType){try{for(var E=r(t._children),M=E.next();!M.done;M=E.next())if(M.value._nodeType===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Document already has a document type node. Node is "+e.nodeName+".")}catch(e){f={error:e}}finally{try{M&&!M.done&&(h=E.return)&&h.call(E)}finally{if(f)throw f.error}}if(n)for(var D=n._previousSibling;D;){if(D._nodeType===l.NodeType.Element)throw new s.HierarchyRequestError("Cannot insert a document type node before an element node. Node is "+e.nodeName+".");D=D._previousSibling}else for(D=t._firstChild;D;){if(D._nodeType===l.NodeType.Element)throw new s.HierarchyRequestError("Cannot insert a document type node before an element node. Node is "+e.nodeName+".");D=D._nextSibling}}}function _(e,t,n){b(e,t,n);var r=n;return r===e&&(r=e._nextSibling),y.document_adopt(e,t._nodeDocument),x(e,t,r),e}function x(e,t,n,i){var s,h;if(null!==n||e._nodeType===l.NodeType.DocumentFragment){var y=e._nodeType===l.NodeType.DocumentFragment?e._children.size:1;if(null!==n&&0!==o.dom.rangeList.size){var b=p.tree_index(n);try{for(var _=r(o.dom.rangeList),x=_.next();!x.done;x=_.next()){var A=x.value;A._start[0]===t&&A._start[1]>b&&(A._start[1]+=y),A._end[0]===t&&A._end[1]>b&&(A._end[1]+=y)}}catch(e){s={error:e}}finally{try{x&&!x.done&&(h=_.return)&&h.call(_)}finally{if(s)throw s.error}}}var S=e._nodeType===l.NodeType.DocumentFragment?new(Array.bind.apply(Array,a([void 0],e._children))):[e];if(e._nodeType===l.NodeType.DocumentFragment)for(;e._firstChild;)w(e._firstChild,e,!0);o.dom.features.mutationObservers&&e._nodeType===l.NodeType.DocumentFragment&&g.observer_queueTreeMutationRecord(e,[],S,null,null);for(var T=n?n._previousSibling:t._lastChild,C=null===n?-1:p.tree_index(n),E=0;E<S.length;E++){var M=S[E];if(c.Guard.isElementNode(M)&&(c.Guard.isDocumentNode(t)&&(t._documentElement=M),M._nodeDocument._hasNamespaces||null===M._namespace&&null===M._namespacePrefix||(M._nodeDocument._hasNamespaces=!0)),M._parent=t,null===n?d.set.append(t._children,M):(d.set.insert(t._children,M,C),C++),null===t._firstChild)M._previousSibling=null,M._nextSibling=null,t._firstChild=M,t._lastChild=M;else{var D=n?n._previousSibling:t._lastChild,P=n||null;M._previousSibling=D,M._nextSibling=P,D&&(D._nextSibling=M),P&&(P._previousSibling=M),D||(t._firstChild=M),P||(t._lastChild=M)}o.dom.features.slots&&null!==t._shadowRoot&&c.Guard.isSlotable(M)&&m.shadowTree_assignASlot(M),o.dom.features.steps&&c.Guard.isTextNode(M)&&v.dom_runChildTextContentChangeSteps(t),o.dom.features.slots&&c.Guard.isShadowRoot(p.tree_rootNode(t))&&c.Guard.isSlot(t)&&u.isEmpty(t._assignedNodes)&&m.shadowTree_signalASlotChange(t),o.dom.features.slots&&m.shadowTree_assignSlotablesForATree(p.tree_rootNode(M));for(var I=p.tree_getFirstDescendantNode(M,!0,!0);null!==I;)o.dom.features.steps&&v.dom_runInsertionSteps(I),o.dom.features.customElements&&c.Guard.isElementNode(I)&&m.shadowTree_isConnected(I)&&(c.Guard.isCustomElementNode(I)?f.customElement_enqueueACustomElementCallbackReaction(I,"connectedCallback",[]):f.customElement_tryToUpgrade(I)),I=p.tree_getNextDescendantNode(M,I,!0,!0)}o.dom.features.mutationObservers&&(i||g.observer_queueTreeMutationRecord(t,S,[],T,n))}else!function(e,t,n){var r=t._lastChild;if(c.Guard.isElementNode(e)&&(c.Guard.isDocumentNode(t)&&(t._documentElement=e),e._nodeDocument._hasNamespaces||null===e._namespace&&null===e._namespacePrefix||(e._nodeDocument._hasNamespaces=!0)),e._parent=t,t._children.add(e),null===t._firstChild)e._previousSibling=null,e._nextSibling=null,t._firstChild=e,t._lastChild=e;else{var i=t._lastChild;e._previousSibling=i,e._nextSibling=null,i&&(i._nextSibling=e),i||(t._firstChild=e),t._lastChild=e}o.dom.features.slots&&null!==t._shadowRoot&&c.Guard.isSlotable(e)&&m.shadowTree_assignASlot(e),o.dom.features.steps&&c.Guard.isTextNode(e)&&v.dom_runChildTextContentChangeSteps(t),o.dom.features.slots&&c.Guard.isShadowRoot(p.tree_rootNode(t))&&c.Guard.isSlot(t)&&u.isEmpty(t._assignedNodes)&&m.shadowTree_signalASlotChange(t),o.dom.features.slots&&m.shadowTree_assignSlotablesForATree(p.tree_rootNode(e)),o.dom.features.steps&&v.dom_runInsertionSteps(e),o.dom.features.customElements&&c.Guard.isElementNode(e)&&m.shadowTree_isConnected(e)&&(c.Guard.isCustomElementNode(e)?f.customElement_enqueueACustomElementCallbackReaction(e,"connectedCallback",[]):f.customElement_tryToUpgrade(e)),o.dom.features.mutationObservers&&(n||g.observer_queueTreeMutationRecord(t,[e],[],r,null))}(e,t,i)}function w(e,t,n){var i,a,s,l,d,y,b,_;if(0!==o.dom.rangeList.size){var x=p.tree_index(e);try{for(var w=r(o.dom.rangeList),A=w.next();!A.done;A=w.next()){var S=A.value;p.tree_isDescendantOf(e,S._start[0],!0)&&(S._start=[t,x]),p.tree_isDescendantOf(e,S._end[0],!0)&&(S._end=[t,x]),S._start[0]===t&&S._start[1]>x&&S._start[1]--,S._end[0]===t&&S._end[1]>x&&S._end[1]--}}catch(e){i={error:e}}finally{try{A&&!A.done&&(a=w.return)&&a.call(w)}finally{if(i)throw i.error}}try{for(var T=r(o.dom.rangeList),C=T.next();!C.done;C=T.next())(S=C.value)._start[0]===t&&S._start[1]>x&&(S._start[1]-=1),S._end[0]===t&&S._end[1]>x&&(S._end[1]-=1)}catch(e){s={error:e}}finally{try{C&&!C.done&&(l=T.return)&&l.call(T)}finally{if(s)throw s.error}}}if(o.dom.features.steps)try{for(var E=r(h.nodeIterator_iteratorList()),M=E.next();!M.done;M=E.next()){var D=M.value;D._root._nodeDocument===e._nodeDocument&&v.dom_runNodeIteratorPreRemovingSteps(D,e)}}catch(e){d={error:e}}finally{try{M&&!M.done&&(y=E.return)&&y.call(E)}finally{if(d)throw d.error}}var P=e._previousSibling,I=e._nextSibling;c.Guard.isDocumentNode(t)&&c.Guard.isElementNode(e)&&(t._documentElement=null),e._parent=null,t._children.delete(e);var O=e._previousSibling,N=e._nextSibling;e._previousSibling=null,e._nextSibling=null,O&&(O._nextSibling=N),N&&(N._previousSibling=O),O||(t._firstChild=N),N||(t._lastChild=O),o.dom.features.slots&&c.Guard.isSlotable(e)&&null!==e._assignedSlot&&m.shadowTree_isAssigned(e)&&m.shadowTree_assignSlotables(e._assignedSlot),o.dom.features.slots&&c.Guard.isShadowRoot(p.tree_rootNode(t))&&c.Guard.isSlot(t)&&u.isEmpty(t._assignedNodes)&&m.shadowTree_signalASlotChange(t),o.dom.features.slots&&null!==p.tree_getFirstDescendantNode(e,!0,!1,(function(e){return c.Guard.isSlot(e)}))&&(m.shadowTree_assignSlotablesForATree(p.tree_rootNode(t)),m.shadowTree_assignSlotablesForATree(e)),o.dom.features.steps&&v.dom_runRemovingSteps(e,t),o.dom.features.customElements&&c.Guard.isCustomElementNode(e)&&f.customElement_enqueueACustomElementCallbackReaction(e,"disconnectedCallback",[]);for(var k=p.tree_getFirstDescendantNode(e,!1,!0);null!==k;)o.dom.features.steps&&v.dom_runRemovingSteps(k,e),o.dom.features.customElements&&c.Guard.isCustomElementNode(k)&&f.customElement_enqueueACustomElementCallbackReaction(k,"disconnectedCallback",[]),k=p.tree_getNextDescendantNode(e,k,!1,!0);if(o.dom.features.mutationObservers)for(var R=p.tree_getFirstAncestorNode(t,!0);null!==R;){try{for(var L=(b=void 0,r(R._registeredObserverList)),F=L.next();!F.done;F=L.next()){var B=F.value;B.options.subtree&&e._registeredObserverList.push({observer:B.observer,options:B.options,source:B})}}catch(e){b={error:e}}finally{try{F&&!F.done&&(_=L.return)&&_.call(L)}finally{if(b)throw b.error}}R=p.tree_getNextAncestorNode(t,R,!0)}o.dom.features.mutationObservers&&(n||g.observer_queueTreeMutationRecord(t,[],[e],P,I)),o.dom.features.steps&&c.Guard.isTextNode(e)&&v.dom_runChildTextContentChangeSteps(t)}t.mutation_ensurePreInsertionValidity=b,t.mutation_preInsert=_,t.mutation_insert=x,t.mutation_append=function(e,t){return _(e,t,null)},t.mutation_replace=function(e,t,n){var i,a,c,u,d,f,h,m;if(n._nodeType!==l.NodeType.Document&&n._nodeType!==l.NodeType.DocumentFragment&&n._nodeType!==l.NodeType.Element)throw new s.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is "+n.nodeName+".");if(p.tree_isHostIncludingAncestorOf(n,t,!0))throw new s.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is "+t.nodeName+", parent node is "+n.nodeName+".");if(e._parent!==n)throw new s.NotFoundError("The reference child node cannot be found under parent node. Child node is "+e.nodeName+", parent node is "+n.nodeName+".");if(t._nodeType!==l.NodeType.DocumentFragment&&t._nodeType!==l.NodeType.DocumentType&&t._nodeType!==l.NodeType.Element&&t._nodeType!==l.NodeType.Text&&t._nodeType!==l.NodeType.ProcessingInstruction&&t._nodeType!==l.NodeType.CData&&t._nodeType!==l.NodeType.Comment)throw new s.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is "+t.nodeName+".");if(t._nodeType===l.NodeType.Text&&n._nodeType===l.NodeType.Document)throw new s.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is "+t.nodeName+".");if(t._nodeType===l.NodeType.DocumentType&&n._nodeType!==l.NodeType.Document)throw new s.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is "+n.nodeName+".");if(n._nodeType===l.NodeType.Document)if(t._nodeType===l.NodeType.DocumentFragment){var v=0;try{for(var b=r(t._children),_=b.next();!_.done;_=b.next()){var A=_.value;if(A._nodeType===l.NodeType.Element)v++;else if(A._nodeType===l.NodeType.Text)throw new s.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is "+A.nodeName+".")}}catch(e){i={error:e}}finally{try{_&&!_.done&&(a=b.return)&&a.call(b)}finally{if(i)throw i.error}}if(v>1)throw new s.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has "+v+" element nodes.");if(1===v){try{for(var S=r(n._children),T=S.next();!T.done;T=S.next())if((I=T.value)._nodeType===l.NodeType.Element&&I!==e)throw new s.HierarchyRequestError("The document node already has a document element node.")}catch(e){c={error:e}}finally{try{T&&!T.done&&(u=S.return)&&u.call(S)}finally{if(c)throw c.error}}for(var C=e._nextSibling;C;){if(C._nodeType===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node.");C=C._nextSibling}}}else if(t._nodeType===l.NodeType.Element){try{for(var E=r(n._children),M=E.next();!M.done;M=E.next())if((I=M.value)._nodeType===l.NodeType.Element&&I!==e)throw new s.HierarchyRequestError("Document already has a document element node. Node is "+t.nodeName+".")}catch(e){d={error:e}}finally{try{M&&!M.done&&(f=E.return)&&f.call(E)}finally{if(d)throw d.error}}for(C=e._nextSibling;C;){if(C._nodeType===l.NodeType.DocumentType)throw new s.HierarchyRequestError("Cannot insert an element node before a document type node. Node is "+t.nodeName+".");C=C._nextSibling}}else if(t._nodeType===l.NodeType.DocumentType){try{for(var D=r(n._children),P=D.next();!P.done;P=D.next()){var I;if((I=P.value)._nodeType===l.NodeType.DocumentType&&I!==e)throw new s.HierarchyRequestError("Document already has a document type node. Node is "+t.nodeName+".")}}catch(e){h={error:e}}finally{try{P&&!P.done&&(m=D.return)&&m.call(D)}finally{if(h)throw h.error}}for(var O=e._previousSibling;O;){if(O._nodeType===l.NodeType.Element)throw new s.HierarchyRequestError("Cannot insert a document type node before an element node. Node is "+t.nodeName+".");O=O._previousSibling}}var N=e._nextSibling;N===t&&(N=t._nextSibling);var k=e._previousSibling;y.document_adopt(t,n._nodeDocument);var R=[];null!==e._parent&&(R.push(e),w(e,e._parent,!0));var L=[];return t._nodeType===l.NodeType.DocumentFragment?L=Array.from(t._children):L.push(t),x(t,n,N,!0),o.dom.features.mutationObservers&&g.observer_queueTreeMutationRecord(n,L,R,k,N),e},t.mutation_replaceAll=function(e,t){var n,i;null!==e&&y.document_adopt(e,t._nodeDocument);var a=Array.from(t._children),s=[];e&&e._nodeType===l.NodeType.DocumentFragment?s=Array.from(e._children):null!==e&&s.push(e);try{for(var c=r(a),u=c.next();!u.done;u=c.next())w(u.value,t,!0)}catch(e){n={error:e}}finally{try{u&&!u.done&&(i=c.return)&&i.call(c)}finally{if(n)throw n.error}}null!==e&&x(e,t,null,!0),o.dom.features.mutationObservers&&g.observer_queueTreeMutationRecord(t,s,a,null,null)},t.mutation_preRemove=function(e,t){if(e._parent!==t)throw new s.NotFoundError("The child node cannot be found under parent node. Child node is "+e.nodeName+", parent node is "+t.nodeName+".");return w(e,t),e},t.mutation_remove=w},function(e,t,n){"use strict";function r(e){return null==e}e.exports.isNothing=r,e.exports.isObject=function(e){return"object"==typeof e&&null!==e},e.exports.toArray=function(e){return Array.isArray(e)?e:r(e)?[]:[e]},e.exports.repeat=function(e,t){var n,r="";for(n=0;n<t;n+=1)r+=e;return r},e.exports.isNegativeZero=function(e){return 0===e&&Number.NEGATIVE_INFINITY===1/e},e.exports.extend=function(e,t){var n,r,i,a;if(t)for(n=0,r=(a=Object.keys(t)).length;n<r;n+=1)e[i=a[n]]=t[i];return e}},function(e,t,n){"use strict";var r=n(38),i=n(53),a=n(10);function o(e,t,n){var r=[];return e.include.forEach((function(e){n=o(e,t,n)})),e[t].forEach((function(e){n.forEach((function(t,n){t.tag===e.tag&&t.kind===e.kind&&r.push(n)})),n.push(e)})),n.filter((function(e,t){return-1===r.indexOf(t)}))}function s(e){this.include=e.include||[],this.implicit=e.implicit||[],this.explicit=e.explicit||[],this.implicit.forEach((function(e){if(e.loadKind&&"scalar"!==e.loadKind)throw new i("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.")})),this.compiledImplicit=o(this,"implicit",[]),this.compiledExplicit=o(this,"explicit",[]),this.compiledTypeMap=function(){var e,t,n={scalar:{},sequence:{},mapping:{},fallback:{}};function r(e){n[e.kind][e.tag]=n.fallback[e.tag]=e}for(e=0,t=arguments.length;e<t;e+=1)arguments[e].forEach(r);return n}(this.compiledImplicit,this.compiledExplicit)}s.DEFAULT=null,s.create=function(){var e,t;switch(arguments.length){case 1:e=s.DEFAULT,t=arguments[0];break;case 2:e=arguments[0],t=arguments[1];break;default:throw new i("Wrong number of arguments for Schema.create function")}if(e=r.toArray(e),t=r.toArray(t),!e.every((function(e){return e instanceof s})))throw new i("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");if(!t.every((function(e){return e instanceof a})))throw new i("Specified list of YAML types (or a single Type object) contains a non-Type object.");return new s({include:e,explicit:t})},e.exports=s},function(e,t){e.exports=function(e,t){return{enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}}},function(e,t,n){var r=n(8),i=n(42),a="".split;e.exports=r((function(){return!Object("z").propertyIsEnumerable(0)}))?function(e){return"String"==i(e)?a.call(e,""):Object(e)}:Object},function(e,t){var n={}.toString;e.exports=function(e){return n.call(e).slice(8,-1)}},function(e,t,n){var r,i,a,o=n(186),s=n(11),l=n(13),c=n(21),u=n(14),d=n(57),f=n(45),p=s.WeakMap;if(o){var h=new p,m=h.get,g=h.has,v=h.set;r=function(e,t){return v.call(h,e,t),t},i=function(e){return m.call(h,e)||{}},a=function(e){return g.call(h,e)}}else{var y=d("state");f[y]=!0,r=function(e,t){return c(e,y,t),t},i=function(e){return u(e,y)?e[y]:{}},a=function(e){return u(e,y)}}e.exports={set:r,get:i,has:a,enforce:function(e){return a(e)?i(e):r(e,{})},getterFor:function(e){return function(t){var n;if(!l(t)||(n=i(t)).type!==e)throw TypeError("Incompatible receiver, "+e+" required");return n}}}},function(e,t){e.exports=!1},function(e,t){e.exports={}},function(e,t,n){var r=n(120),i=n(11),a=function(e){return"function"==typeof e?e:void 0};e.exports=function(e,t){return arguments.length<2?a(r[e])||a(i[e]):r[e]&&r[e][t]||i[e]&&i[e][t]}},function(e,t){var n=Math.ceil,r=Math.floor;e.exports=function(e){return isNaN(e=+e)?0:(e>0?r:n)(e)}},function(e,t,n){"use strict";var r=n(8);e.exports=function(e,t){var n=[][e];return!!n&&r((function(){n.call(null,t||function(){throw 1},1)}))}},function(e,t){e.exports={}},function(e,t,n){"use strict";n(31),n(32),n(33),n(220),n(64),n(19),n(65),n(20),n(68),n(66),n(92),n(144),n(22),n(94),n(23);var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var o=n(2),s=n(69),l=n(95),c=n(7),u=n(0),d=function(){function e(e){this.level=0,this._builderOptions=e}return e.prototype.declaration=function(e,t,n){},e.prototype.docType=function(e,t,n){},e.prototype.comment=function(e){},e.prototype.text=function(e){},e.prototype.instruction=function(e,t){},e.prototype.cdata=function(e){},e.prototype.openTagBegin=function(e){},e.prototype.openTagEnd=function(e,t,n){},e.prototype.closeTag=function(e){},e.prototype.attributes=function(e){var t,n;try{for(var i=r(e),a=i.next();!a.done;a=i.next()){var o=a.value;this.attribute(null===o[1]?o[2]:o[1]+":"+o[2],o[3])}}catch(e){t={error:e}}finally{try{a&&!a.done&&(n=i.return)&&n.call(i)}finally{if(t)throw t.error}}},e.prototype.attribute=function(e,t){},e.prototype.beginElement=function(e){},e.prototype.endElement=function(e){},e.prototype.serializeNode=function(e,t){var n=void 0!==e._nodeDocument&&e._nodeDocument._hasNamespaces;if(this.level=0,this.currentNode=e,n){var r=new l.NamespacePrefixMap;r.set("xml",c.namespace.XML),this._serializeNodeNS(e,null,r,{value:1},t)}else this._serializeNode(e,t)},e.prototype._serializeNodeNS=function(e,t,n,r,i){switch(this.currentNode=e,e.nodeType){case o.NodeType.Element:this._serializeElementNS(e,t,n,r,i);break;case o.NodeType.Document:this._serializeDocumentNS(e,t,n,r,i);break;case o.NodeType.Comment:this._serializeComment(e,i);break;case o.NodeType.Text:this._serializeText(e,i);break;case o.NodeType.DocumentFragment:this._serializeDocumentFragmentNS(e,t,n,r,i);break;case o.NodeType.DocumentType:this._serializeDocumentType(e,i);break;case o.NodeType.ProcessingInstruction:this._serializeProcessingInstruction(e,i);break;case o.NodeType.CData:this._serializeCData(e,i);break;default:throw new Error("Unknown node type: "+e.nodeType)}},e.prototype._serializeNode=function(e,t){switch(this.currentNode=e,e.nodeType){case o.NodeType.Element:this._serializeElement(e,t);break;case o.NodeType.Document:this._serializeDocument(e,t);break;case o.NodeType.Comment:this._serializeComment(e,t);break;case o.NodeType.Text:this._serializeText(e,t);break;case o.NodeType.DocumentFragment:this._serializeDocumentFragment(e,t);break;case o.NodeType.DocumentType:this._serializeDocumentType(e,t);break;case o.NodeType.ProcessingInstruction:this._serializeProcessingInstruction(e,t);break;case o.NodeType.CData:this._serializeCData(e,t);break;default:throw new Error("Unknown node type: "+e.nodeType)}},e.prototype._serializeElementNS=function(t,n,i,o,s){var l,d,f=[];if(s&&(-1!==t.localName.indexOf(":")||!u.xml_isName(t.localName)))throw new Error("Node local name contains invalid characters (well-formed required).");var p="",h=!1,m=!1,g=i.copy(),v={},y=this._recordNamespaceInformation(t,g,v),b=n,_=t.namespaceURI;if(b===_)null!==y&&(m=!0),p=_===c.namespace.XML?"xml:"+t.localName:t.localName,this.beginElement(p),this.openTagBegin(p);else{var x=t.prefix,w=null;if(null===x&&_===y||(w=g.get(x,_)),"xmlns"===x){if(s)throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");w=x}null!==w?(p=w+":"+t.localName,null!==y&&y!==c.namespace.XML&&(b=y||null),this.beginElement(p),this.openTagBegin(p)):null!==x?(x in v&&(x=this._generatePrefix(_,g,o)),g.set(x,_),p+=x+":"+t.localName,this.beginElement(p),this.openTagBegin(p),f.push([null,"xmlns",x,this._serializeAttributeValue(_,s)]),null!==y&&(b=y||null)):null===y||null!==y&&y!==_?(m=!0,p+=t.localName,b=_,this.beginElement(p),this.openTagBegin(p),f.push([null,null,"xmlns",this._serializeAttributeValue(_,s)])):(p+=t.localName,b=_,this.beginElement(p),this.openTagBegin(p))}f.push.apply(f,a(this._serializeAttributesNS(t,g,o,v,m,s))),this.attributes(f);var A=_===c.namespace.HTML;if(A&&0===t.childNodes.length&&e._VoidElementNames.has(t.localName)?(this.openTagEnd(p,!0,!0),this.endElement(p),h=!0):A||0!==t.childNodes.length?this.openTagEnd(p,!1,!1):(this.openTagEnd(p,!0,!1),this.endElement(p),h=!0),!h){if(A&&"template"===t.localName);else try{for(var S=r(t.childNodes),T=S.next();!T.done;T=S.next()){var C=T.value;this.level++,this._serializeNodeNS(C,b,g,o,s),this.level--}}catch(e){l={error:e}}finally{try{T&&!T.done&&(d=S.return)&&d.call(S)}finally{if(l)throw l.error}}this.closeTag(p),this.endElement(p)}},e.prototype._serializeElement=function(e,t){var n,i;if(t&&(-1!==e.localName.indexOf(":")||!u.xml_isName(e.localName)))throw new Error("Node local name contains invalid characters (well-formed required).");var a=!1,o=e.localName;this.beginElement(o),this.openTagBegin(o);var s=this._serializeAttributes(e,t);if(this.attributes(s),e.hasChildNodes()?this.openTagEnd(o,!1,!1):(this.openTagEnd(o,!0,!1),this.endElement(o),a=!0),!a){try{for(var l=r(e._children),c=l.next();!c.done;c=l.next()){var d=c.value;this.level++,this._serializeNode(d,t),this.level--}}catch(e){n={error:e}}finally{try{c&&!c.done&&(i=l.return)&&i.call(l)}finally{if(n)throw n.error}}this.closeTag(o),this.endElement(o)}},e.prototype._serializeDocumentNS=function(e,t,n,i,a){var o,s;if(a&&null===e.documentElement)throw new Error("Missing document element (well-formed required).");try{for(var l=r(e.childNodes),c=l.next();!c.done;c=l.next()){var u=c.value;this._serializeNodeNS(u,t,n,i,a)}}catch(e){o={error:e}}finally{try{c&&!c.done&&(s=l.return)&&s.call(l)}finally{if(o)throw o.error}}},e.prototype._serializeDocument=function(e,t){var n,i;if(t&&null===e.documentElement)throw new Error("Missing document element (well-formed required).");try{for(var a=r(e._children),o=a.next();!o.done;o=a.next()){var s=o.value;this._serializeNode(s,t)}}catch(e){n={error:e}}finally{try{o&&!o.done&&(i=a.return)&&i.call(a)}finally{if(n)throw n.error}}},e.prototype._serializeComment=function(e,t){if(t&&(!u.xml_isLegalChar(e.data)||-1!==e.data.indexOf("--")||e.data.endsWith("-")))throw new Error("Comment data contains invalid characters (well-formed required).");this.comment(e.data)},e.prototype._serializeText=function(e,t){if(t&&!u.xml_isLegalChar(e.data))throw new Error("Text data contains invalid characters (well-formed required).");var n=e.data.replace(/(?!&([^&;]*);)&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");this.text(n)},e.prototype._serializeDocumentFragmentNS=function(e,t,n,i,a){var o,s;try{for(var l=r(e.childNodes),c=l.next();!c.done;c=l.next()){var u=c.value;this._serializeNodeNS(u,t,n,i,a)}}catch(e){o={error:e}}finally{try{c&&!c.done&&(s=l.return)&&s.call(l)}finally{if(o)throw o.error}}},e.prototype._serializeDocumentFragment=function(e,t){var n,i;try{for(var a=r(e._children),o=a.next();!o.done;o=a.next()){var s=o.value;this._serializeNode(s,t)}}catch(e){n={error:e}}finally{try{o&&!o.done&&(i=a.return)&&i.call(a)}finally{if(n)throw n.error}}},e.prototype._serializeDocumentType=function(e,t){if(t&&!u.xml_isPubidChar(e.publicId))throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");if(t&&(!u.xml_isLegalChar(e.systemId)||-1!==e.systemId.indexOf('"')&&-1!==e.systemId.indexOf("'")))throw new Error("DocType system identifier contains invalid characters (well-formed required).");this.docType(e.name,e.publicId,e.systemId)},e.prototype._serializeProcessingInstruction=function(e,t){if(t&&(-1!==e.target.indexOf(":")||/^xml$/i.test(e.target)))throw new Error("Processing instruction target contains invalid characters (well-formed required).");if(t&&(!u.xml_isLegalChar(e.data)||-1!==e.data.indexOf("?>")))throw new Error("Processing instruction data contains invalid characters (well-formed required).");this.instruction(e.target,e.data)},e.prototype._serializeCData=function(e,t){if(t&&-1!==e.data.indexOf("]]>"))throw new Error("CDATA contains invalid characters (well-formed required).");this.cdata(e.data)},e.prototype._serializeAttributesNS=function(e,t,n,i,a,o){var l,d,f=[],p=o?new s.LocalNameSet:void 0;try{for(var h=r(e.attributes),m=h.next();!m.done;m=h.next()){var g=m.value;if(o||a||null!==g.namespaceURI){if(o&&p&&p.has(g.namespaceURI,g.localName))throw new Error("Element contains duplicate attributes (well-formed required).");o&&p&&p.set(g.namespaceURI,g.localName);var v=g.namespaceURI,y=null;if(null!==v)if(y=t.get(g.prefix,v),v===c.namespace.XMLNS){if(g.value===c.namespace.XML||null===g.prefix&&a||null!==g.prefix&&(!(g.localName in i)||i[g.localName]!==g.value)&&t.has(g.localName,g.value))continue;if(o&&g.value===c.namespace.XMLNS)throw new Error("XMLNS namespace is reserved (well-formed required).");if(o&&""===g.value)throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");"xmlns"===g.prefix&&(y="xmlns")}else null===y&&(y=null===g.prefix||t.hasPrefix(g.prefix)&&!t.has(g.prefix,v)?this._generatePrefix(v,t,n):g.prefix,f.push([null,"xmlns",y,this._serializeAttributeValue(v,o)]));if(o&&(-1!==g.localName.indexOf(":")||!u.xml_isName(g.localName)||"xmlns"===g.localName&&null===v))throw new Error("Attribute local name contains invalid characters (well-formed required).");f.push([v,y,g.localName,this._serializeAttributeValue(g.value,o)])}else f.push([null,null,g.localName,this._serializeAttributeValue(g.value,o)])}}catch(e){l={error:e}}finally{try{m&&!m.done&&(d=h.return)&&d.call(h)}finally{if(l)throw l.error}}return f},e.prototype._serializeAttributes=function(e,t){var n,i,a=[],o=t?{}:void 0;try{for(var s=r(e.attributes),l=s.next();!l.done;l=s.next()){var c=l.value;if(t){if(t&&o&&c.localName in o)throw new Error("Element contains duplicate attributes (well-formed required).");if(t&&o&&(o[c.localName]=!0),t&&(-1!==c.localName.indexOf(":")||!u.xml_isName(c.localName)))throw new Error("Attribute local name contains invalid characters (well-formed required).");a.push([null,null,c.localName,this._serializeAttributeValue(c.value,t)])}else a.push([null,null,c.localName,this._serializeAttributeValue(c.value,t)])}}catch(e){n={error:e}}finally{try{l&&!l.done&&(i=s.return)&&i.call(s)}finally{if(n)throw n.error}}return a},e.prototype._recordNamespaceInformation=function(e,t,n){var i,a,o=null;try{for(var s=r(e.attributes),l=s.next();!l.done;l=s.next()){var u=l.value,d=u.namespaceURI,f=u.prefix;if(d===c.namespace.XMLNS){if(null===f){o=u.value;continue}var p=u.localName,h=u.value;if(h===c.namespace.XML)continue;if(""===h&&(h=null),t.has(p,h))continue;t.set(p,h),n[p]=h||""}}}catch(e){i={error:e}}finally{try{l&&!l.done&&(a=s.return)&&a.call(s)}finally{if(i)throw i.error}}return o},e.prototype._generatePrefix=function(e,t,n){var r="ns"+n.value.toString();return n.value++,t.set(r,e),r},e.prototype._serializeAttributeValue=function(e,t){if(t&&null!==e&&!u.xml_isLegalChar(e))throw new Error("Invalid characters in attribute value.");return null===e?"":e.replace(/(?!&([^&;]*);)&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;")},e._VoidElementNames=new Set(["area","base","basefont","bgsound","br","col","embed","frame","hr","img","input","keygen","link","menuitem","meta","param","source","track","wbr"]),e}();t.BaseWriter=d},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var a=n(6),o=n(3),s=n(7),l=n(29),c=n(17),u=n(97);function d(){var e=a.dom.window;e._mutationObserverMicrotaskQueued||(e._mutationObserverMicrotaskQueued=!0,Promise.resolve().then((function(){f()})))}function f(){var e,t,n,i,l=a.dom.window;l._mutationObserverMicrotaskQueued=!1;var c=s.set.clone(l._mutationObservers),d=s.set.clone(l._signalSlots);s.set.empty(l._signalSlots);var f=function(e){var t=s.list.clone(e._recordQueue);s.list.empty(e._recordQueue);for(var n=0;n<e._nodeList.length;n++){var r=e._nodeList[n];s.list.remove(r._registeredObserverList,(function(t){return o.Guard.isTransientRegisteredObserver(t)&&t.observer===e}))}if(!s.list.isEmpty(t))try{e._callback.call(e,t,e)}catch(e){}};try{for(var p=r(c),h=p.next();!h.done;h=p.next())f(h.value)}catch(t){e={error:t}}finally{try{h&&!h.done&&(t=p.return)&&t.call(p)}finally{if(e)throw e.error}}if(a.dom.features.slots)try{for(var m=r(d),g=m.next();!g.done;g=m.next()){var v=g.value;u.event_fireAnEvent("slotchange",v,void 0,{bubbles:!0})}}catch(e){n={error:e}}finally{try{g&&!g.done&&(i=m.return)&&i.call(m)}finally{if(n)throw n.error}}}function p(e,t,n,a,o,s,u,f,p){for(var h,m,g=new Map,v=c.tree_getFirstAncestorNode(t,!0);null!==v;){for(var y=0;y<v._registeredObserverList.length;y++){var b=v._registeredObserverList[y],_=b.options;if((v===t||_.subtree)&&("attributes"!==e||_.attributes)&&("attributes"!==e||!_.attributeFilter||_.attributeFilter.indexOf(n||"")&&null===a)&&("characterData"!==e||_.characterData)&&("childList"!==e||_.childList)){var x=b.observer;g.has(x)||g.set(x,null),("attributes"===e&&_.attributeOldValue||"characterData"===e&&_.characterDataOldValue)&&g.set(x,o)}}v=c.tree_getNextAncestorNode(t,v,!0)}try{for(var w=r(g),A=w.next();!A.done;A=w.next()){var S=i(A.value,2),T=S[0],C=S[1],E=l.create_mutationRecord(e,t,l.create_nodeListStatic(t,s),l.create_nodeListStatic(t,u),f,p,n,a,C);T._recordQueue.push(E)}}catch(e){h={error:e}}finally{try{A&&!A.done&&(m=w.return)&&m.call(w)}finally{if(h)throw h.error}}d()}t.observer_queueAMutationObserverMicrotask=d,t.observer_notifyMutationObservers=f,t.observer_queueMutationRecord=p,t.observer_queueTreeMutationRecord=function(e,t,n,r,i){p("childList",e,null,null,null,t,n,r,i)},t.observer_queueAttributeMutationRecord=function(e,t,n,r){p("attributes",e,t,n,r,[],[],null,null)}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(6),i=n(7),a=n(3),o=n(9),s=n(29),l=n(73),c=n(51),u=n(30),d=n(37),f=n(106);function p(e,t,n){r.dom.features.mutationObservers&&c.observer_queueAttributeMutationRecord(t,e._localName,e._namespace,e._value),r.dom.features.customElements&&a.Guard.isCustomElementNode(t)&&l.customElement_enqueueACustomElementCallbackReaction(t,"attributeChangedCallback",[e._localName,e._value,n,e._namespace]),r.dom.features.steps&&u.dom_runAttributeChangeSteps(t,e._localName,e._value,n,e._namespace),e._value=n}function h(e,t){r.dom.features.mutationObservers&&c.observer_queueAttributeMutationRecord(t,e._localName,e._namespace,null),r.dom.features.customElements&&a.Guard.isCustomElementNode(t)&&l.customElement_enqueueACustomElementCallbackReaction(t,"attributeChangedCallback",[e._localName,null,e._value,e._namespace]),r.dom.features.steps&&u.dom_runAttributeChangeSteps(t,e._localName,null,e._value,e._namespace),t._attributeList._asArray().push(e),e._element=t,t._nodeDocument._hasNamespaces||null===e._namespace&&null===e._namespacePrefix&&"xmlns"!==e._localName||(t._nodeDocument._hasNamespaces=!0)}function m(e,t){r.dom.features.mutationObservers&&c.observer_queueAttributeMutationRecord(t,e._localName,e._namespace,e._value),r.dom.features.customElements&&a.Guard.isCustomElementNode(t)&&l.customElement_enqueueACustomElementCallbackReaction(t,"attributeChangedCallback",[e._localName,e._value,null,e._namespace]),r.dom.features.steps&&u.dom_runAttributeChangeSteps(t,e._localName,e._value,null,e._namespace);var n=t._attributeList._asArray().indexOf(e);t._attributeList._asArray().splice(n,1),e._element=null}function g(e,t,n){r.dom.features.mutationObservers&&c.observer_queueAttributeMutationRecord(n,e._localName,e._namespace,e._value),r.dom.features.customElements&&a.Guard.isCustomElementNode(n)&&l.customElement_enqueueACustomElementCallbackReaction(n,"attributeChangedCallback",[e._localName,e._value,t._value,e._namespace]),r.dom.features.steps&&u.dom_runAttributeChangeSteps(n,e._localName,e._value,t._value,e._namespace);var i=n._attributeList._asArray().indexOf(e);-1!==i&&(n._attributeList._asArray()[i]=t),e._element=null,t._element=n,n._nodeDocument._hasNamespaces||null===t._namespace&&null===t._namespacePrefix&&"xmlns"!==t._localName||(n._nodeDocument._hasNamespaces=!0)}function v(e,t){return t._namespace===i.namespace.HTML&&"html"===t._nodeDocument._type&&(e=e.toLowerCase()),t._attributeList._asArray().find((function(t){return t._qualifiedName===e}))||null}function y(e,t,n){var r=e||null;return n._attributeList._asArray().find((function(e){return e._namespace===r&&e._localName===t}))||null}t.element_has=function(e,t){return-1!==t._attributeList._asArray().indexOf(e)},t.element_change=p,t.element_append=h,t.element_remove=m,t.element_replace=g,t.element_getAnAttributeByName=v,t.element_getAnAttributeByNamespaceAndLocalName=y,t.element_getAnAttributeValue=function(e,t,n){void 0===n&&(n="");var r=y(n,t,e);return null===r?"":r._value},t.element_setAnAttribute=function(e,t){if(null!==e._element&&e._element!==t)throw new o.InUseAttributeError("This attribute already exists in the document: "+e._qualifiedName+" as a child of "+e._element._qualifiedName+".");var n=y(e._namespace||"",e._localName,t);return n===e?e:(null!==n?g(n,e,t):h(e,t),n)},t.element_setAnAttributeValue=function(e,t,n,r,i){void 0===r&&(r=null),void 0===i&&(i=null);var a=y(i||"",t,e);if(null===a){var o=s.create_attr(e._nodeDocument,t);return o._namespace=i,o._namespacePrefix=r,o._value=n,void h(o,e)}p(a,e,n)},t.element_removeAnAttributeByName=function(e,t){var n=v(e,t);return null!==n&&m(n,t),n},t.element_removeAnAttributeByNamespaceAndLocalName=function(e,t,n){var r=y(e,t,n);return null!==r&&m(r,n),r},t.element_createAnElement=function(e,t,n,a,c,u){void 0===a&&(a=null),void 0===c&&(c=null),void 0===u&&(u=!1);var d=null;if(!r.dom.features.customElements)return(d=s.create_element(e,t,n,a))._customElementState="uncustomized",d._customElementDefinition=null,d._is=c,d;var p=l.customElement_lookUpACustomElementDefinition(e,n,t,c);if(null!==p&&p.name!==p.localName)(d=new(f.document_elementInterface(t,i.namespace.HTML)))._localName=t,d._namespace=i.namespace.HTML,d._namespacePrefix=a,d._customElementState="undefined",d._customElementDefinition=null,d._is=c,d._nodeDocument=e,u?l.customElement_upgrade(p,d):l.customElement_enqueueACustomElementUpgradeReaction(d,p);else if(null!==p)if(u)try{var h=new(0,p.constructor);if(console.assert(void 0!==h._customElementState),console.assert(void 0!==h._customElementDefinition),console.assert(h._namespace===i.namespace.HTML),0!==h._attributeList.length)throw new o.NotSupportedError("Custom element already has attributes.");if(0!==h._children.size)throw new o.NotSupportedError("Custom element already has child nodes.");if(null!==h._parent)throw new o.NotSupportedError("Custom element already has a parent node.");if(h._nodeDocument!==e)throw new o.NotSupportedError("Custom element is already in a document.");if(h._localName!==t)throw new o.NotSupportedError("Custom element has a different local name.");h._namespacePrefix=a,h._is=null}catch(n){(d=s.create_htmlUnknownElement(e,t,i.namespace.HTML,a))._customElementState="failed",d._customElementDefinition=null,d._is=null}else(d=s.create_htmlElement(e,t,i.namespace.HTML,a))._customElementState="undefined",d._customElementDefinition=null,d._is=null,l.customElement_enqueueACustomElementUpgradeReaction(d,p);else(d=new(f.document_elementInterface(t,n)))._localName=t,d._namespace=n,d._namespacePrefix=a,d._customElementState="uncustomized",d._customElementDefinition=null,d._is=c,d._nodeDocument=e,n!==i.namespace.HTML||null===c&&!l.customElement_isValidCustomElementName(t)||(d._customElementState="undefined");if(null===d)throw new Error("Unable to create element.");return d},t.element_insertAdjacent=function(e,t,n){switch(t.toLowerCase()){case"beforebegin":return null===e._parent?null:d.mutation_preInsert(n,e._parent,e);case"afterbegin":return d.mutation_preInsert(n,e,e._firstChild);case"beforeend":return d.mutation_preInsert(n,e,null);case"afterend":return null===e._parent?null:d.mutation_preInsert(n,e._parent,e._nextSibling);default:throw new o.SyntaxError('Invalid \'where\' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected')}}},function(e,t,n){"use strict";function r(e,t){Error.call(this),this.name="YAMLException",this.reason=e,this.mark=t,this.message=(this.reason||"(unknown reason)")+(this.mark?" "+this.mark.toString():""),Error.captureStackTrace?Error.captureStackTrace(this,this.constructor):this.stack=(new Error).stack||""}r.prototype=Object.create(Error.prototype),r.prototype.constructor=r,r.prototype.toString=function(e){var t=this.name+": ";return t+=this.reason||"(unknown reason)",!e&&this.mark&&(t+=" "+this.mark.toString()),t},e.exports=r},function(e,t,n){"use strict";var r=n(39);e.exports=new r({include:[n(181)],implicit:[n(293),n(294)],explicit:[n(295),n(296),n(297),n(298)]})},function(e,t,n){var r=n(16),i=n(79),a=n(40),o=n(24),s=n(56),l=n(14),c=n(115),u=Object.getOwnPropertyDescriptor;t.f=r?u:function(e,t){if(e=o(e),t=s(t,!0),c)try{return u(e,t)}catch(e){}if(l(e,t))return a(!i.f.call(e,t),e[t])}},function(e,t,n){var r=n(13);e.exports=function(e,t){if(!r(e))return e;var n,i;if(t&&"function"==typeof(n=e.toString)&&!r(i=n.call(e)))return i;if("function"==typeof(n=e.valueOf)&&!r(i=n.call(e)))return i;if(!t&&"function"==typeof(n=e.toString)&&!r(i=n.call(e)))return i;throw TypeError("Can't convert object to primitive value")}},function(e,t,n){var r=n(81),i=n(58),a=r("keys");e.exports=function(e){return a[e]||(a[e]=i(e))}},function(e,t){var n=0,r=Math.random();e.exports=function(e){return"Symbol("+String(void 0===e?"":e)+")_"+(++n+r).toString(36)}},function(e,t,n){var r=n(42);e.exports=Array.isArray||function(e){return"Array"==r(e)}},function(e,t,n){var r,i=n(18),a=n(188),o=n(84),s=n(45),l=n(189),c=n(116),u=n(57)("IE_PROTO"),d=function(){},f=function(e){return"<script>"+e+"<\/script>"},p=function(){try{r=document.domain&&new ActiveXObject("htmlfile")}catch(e){}var e,t;p=r?function(e){e.write(f("")),e.close();var t=e.parentWindow.Object;return e=null,t}(r):((t=c("iframe")).style.display="none",l.appendChild(t),t.src=String("javascript:"),(e=t.contentWindow.document).open(),e.write(f("document.F=Object")),e.close(),e.F);for(var n=o.length;n--;)delete p.prototype[o[n]];return p()};s[u]=!0,e.exports=Object.create||function(e,t){var n;return null!==e?(d.prototype=i(e),n=new d,d.prototype=null,n[u]=e):n=p(),void 0===t?n:a(n,t)}},function(e,t,n){var r=n(121),i=n(84);e.exports=Object.keys||function(e){return r(e,i)}},function(e,t,n){var r=n(15).f,i=n(14),a=n(5)("toStringTag");e.exports=function(e,t,n){e&&!i(e=n?e:e.prototype,a)&&r(e,a,{configurable:!0,value:t})}},function(e,t,n){var r=n(8),i=n(5),a=n(129),o=i("species");e.exports=function(e){return a>=51||!r((function(){var t=[];return(t.constructor={})[o]=function(){return{foo:1}},1!==t[e](Boolean).foo}))}},function(e,t,n){"use strict";var r=n(4),i=n(122).indexOf,a=n(48),o=n(28),s=[].indexOf,l=!!s&&1/[1].indexOf(1,-0)<0,c=a("indexOf"),u=o("indexOf",{ACCESSORS:!0,1:0});r({target:"Array",proto:!0,forced:l||!c||!u},{indexOf:function(e){return l?s.apply(this,arguments)||0:i(this,e,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){var r=n(16),i=n(15).f,a=Function.prototype,o=a.toString,s=/^\s*function ([^ (]*)/;r&&!("name"in a)&&i(a,"name",{configurable:!0,get:function(){try{return o.call(this).match(s)[1]}catch(e){return""}}})},function(e,t,n){"use strict";var r=n(25),i=n(18),a=n(8),o=n(136),s=RegExp.prototype,l=s.toString,c=a((function(){return"/a/b"!=l.call({source:"a",flags:"b"})})),u="toString"!=l.name;(c||u)&&r(RegExp.prototype,"toString",(function(){var e=i(this),t=String(e.source),n=e.flags;return"/"+t+"/"+String(void 0===n&&e instanceof RegExp&&!("flags"in s)?o.call(e):n)}),{unsafe:!0})},function(e,t,n){"use strict";n(31),n(32),n(33),n(19),n(138),n(20),n(66),n(22),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(1),s=n(2),l=function(e){function t(t,n){var r=e.call(this,t)||this;return r._writerOptions=o.applyDefaults(n,{format:"object",wellFormed:!1,group:!1,verbose:!1}),r}return i(t,e),t.prototype.serialize=function(e){return this._currentList=[],this._currentIndex=0,this._listRegister=[this._currentList],this.serializeNode(e,this._writerOptions.wellFormed),this._process(this._currentList,this._writerOptions)},t.prototype._process=function(e,t){var n,r,i,a,l,c,u;if(0===e.length)return{};for(var d={},f=!1,p=0,h=0,m=0,g=0,v=0;v<e.length;v++){var y=e[v];switch(k=Object.keys(y)[0]){case"@":continue;case"#":p++;break;case"!":h++;break;case"?":m++;break;case"$":g++;break;default:d[k]?f=!0:d[k]=!0}}var b=this._getAttrKey(),_=this._getNodeKey(s.NodeType.Text),x=this._getNodeKey(s.NodeType.Comment),w=this._getNodeKey(s.NodeType.ProcessingInstruction),A=this._getNodeKey(s.NodeType.CData);if(1===p&&1===e.length&&o.isString(e[0]["#"]))return e[0]["#"];if(f){var S={};for(v=0;v<e.length;v++)if(y=e[v],"@"===(k=Object.keys(y)[0])){var T=y["@"];1===(R=Object.keys(T)).length?S[b+R[0]]=T[R[0]]:S[b]=y["@"]}var C=[];for(v=0;v<e.length;v++)switch(y=e[v],k=Object.keys(y)[0]){case"@":break;case"#":C.push(((n={})[_]=y["#"],n));break;case"!":C.push(((r={})[x]=y["!"],r));break;case"?":C.push(((i={})[w]=y["?"],i));break;case"$":C.push(((a={})[A]=y.$,a));break;default:if(0!==(F=y)[k].length&&o.isArray(F[k][0])){for(var E=[],M=F[k],D=0;D<M.length;D++)E.push(this._process(M[D],t));C.push(((l={})[k]=E,l))}else t.verbose?C.push(((c={})[k]=[this._process(F[k],t)],c)):C.push(((u={})[k]=this._process(F[k],t),u))}return S[_]=C,S}var P=1,I=1,O=1,N=1;for(S={},v=0;v<e.length;v++){var k;switch(y=e[v],k=Object.keys(y)[0]){case"@":T=y["@"];var R=Object.keys(T);if(t.group&&1!==R.length)S[b]=T;else for(var L in T)S[b+L]=T[L];break;case"#":P=this._processSpecItem(y["#"],S,t.group,_,p,P);break;case"!":I=this._processSpecItem(y["!"],S,t.group,x,h,I);break;case"?":O=this._processSpecItem(y["?"],S,t.group,w,m,O);break;case"$":N=this._processSpecItem(y.$,S,t.group,A,g,N);break;default:var F;if(0!==(F=y)[k].length&&o.isArray(F[k][0])){E=[],M=F[k];for(var B=0;B<M.length;B++)E.push(this._process(M[B],t));S[k]=E}else t.verbose?S[k]=[this._process(F[k],t)]:S[k]=this._process(F[k],t)}}return S},t.prototype._processSpecItem=function(e,t,n,r,i,s){var l,c;if(!n&&o.isArray(e)&&i+e.length>2)try{for(var u=a(e),d=u.next();!d.done;d=u.next()){var f=d.value;t[r+(s++).toString()]=f}}catch(e){l={error:e}}finally{try{d&&!d.done&&(c=u.return)&&c.call(u)}finally{if(l)throw l.error}}else t[i>1?r+(s++).toString():r]=e;return s},t.prototype.beginElement=function(e){var t,n,r=[];if(0===this._currentList.length)this._currentList.push(((t={})[e]=r,t));else{var i=this._currentList[this._currentList.length-1];this._isElementNode(i,e)?0!==i[e].length&&o.isArray(i[e][0])?i[e].push(r):i[e]=[i[e],r]:this._currentList.push(((n={})[e]=r,n))}this._currentIndex++,this._listRegister.length>this._currentIndex?this._listRegister[this._currentIndex]=r:this._listRegister.push(r),this._currentList=r},t.prototype.endElement=function(){this._currentList=this._listRegister[--this._currentIndex]},t.prototype.attribute=function(e,t){var n,r;if(0===this._currentList.length)this._currentList.push({"@":(n={},n[e]=t,n)});else{var i=this._currentList[this._currentList.length-1];this._isAttrNode(i)?i["@"][e]=t:this._currentList.push({"@":(r={},r[e]=t,r)})}},t.prototype.comment=function(e){if(0===this._currentList.length)this._currentList.push({"!":e});else{var t=this._currentList[this._currentList.length-1];this._isCommentNode(t)?o.isArray(t["!"])?t["!"].push(e):t["!"]=[t["!"],e]:this._currentList.push({"!":e})}},t.prototype.text=function(e){if(0===this._currentList.length)this._currentList.push({"#":e});else{var t=this._currentList[this._currentList.length-1];this._isTextNode(t)?o.isArray(t["#"])?t["#"].push(e):t["#"]=[t["#"],e]:this._currentList.push({"#":e})}},t.prototype.instruction=function(e,t){var n=""===t?e:e+" "+t;if(0===this._currentList.length)this._currentList.push({"?":n});else{var r=this._currentList[this._currentList.length-1];this._isInstructionNode(r)?o.isArray(r["?"])?r["?"].push(n):r["?"]=[r["?"],n]:this._currentList.push({"?":n})}},t.prototype.cdata=function(e){if(0===this._currentList.length)this._currentList.push({$:e});else{var t=this._currentList[this._currentList.length-1];this._isCDATANode(t)?o.isArray(t.$)?t.$.push(e):t.$=[t.$,e]:this._currentList.push({$:e})}},t.prototype._isAttrNode=function(e){return"@"in e},t.prototype._isTextNode=function(e){return"#"in e},t.prototype._isCommentNode=function(e){return"!"in e},t.prototype._isInstructionNode=function(e){return"?"in e},t.prototype._isCDATANode=function(e){return"$"in e},t.prototype._isElementNode=function(e,t){return t in e},t.prototype._getAttrKey=function(){return this._builderOptions.convert.att},t.prototype._getNodeKey=function(e){switch(e){case s.NodeType.Comment:return this._builderOptions.convert.comment;case s.NodeType.Text:return this._builderOptions.convert.text;case s.NodeType.ProcessingInstruction:return this._builderOptions.convert.ins;case s.NodeType.CData:return this._builderOptions.convert.cdata;default:throw new Error("Invalid node type.")}},t}(n(50).BaseWriter);t.ObjectWriter=l},function(e,t,n){"use strict";var r=n(4),i=n(93);r({target:"RegExp",proto:!0,forced:/./.exec!==i},{exec:i})},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){this._items={},this._nullItems={}}return e.prototype.set=function(e,t){null===e?this._nullItems[t]=!0:(this._items[e]||(this._items[e]={}),this._items[e][t]=!0)},e.prototype.has=function(e,t){return null===e?!0===this._nullItems[t]:!!this._items[e]&&!0===this._items[e][t]},e}();t.LocalNameSet=r},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var i=n(9),a=n(3),o=n(0),s=function(){function e(){}return Object.defineProperty(e.prototype,"_eventListenerList",{get:function(){return this.__eventListenerList||(this.__eventListenerList=[])},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_eventHandlerMap",{get:function(){return this.__eventHandlerMap||(this.__eventHandlerMap={})},enumerable:!0,configurable:!0}),e.prototype.addEventListener=function(e,t,n){void 0===n&&(n={passive:!1,once:!1,capture:!1});var i,s=r(o.eventTarget_flattenMore(n),3),l=s[0],c=s[1],u=s[2];t&&(i=a.Guard.isEventListener(t)?t:{handleEvent:t},o.eventTarget_addEventListener(this,{type:e,callback:i,capture:l,passive:c,once:u,removed:!1}))},e.prototype.removeEventListener=function(e,t,n){void 0===n&&(n={capture:!1});var r=o.eventTarget_flatten(n);if(t)for(var i=0;i<this._eventListenerList.length;i++){var s=this._eventListenerList[i];if(s.type===e&&s.capture===r){if(a.Guard.isEventListener(t)&&s.callback===t){o.eventTarget_removeEventListener(this,s,i);break}if(t&&s.callback.handleEvent===t){o.eventTarget_removeEventListener(this,s,i);break}}}},e.prototype.dispatchEvent=function(e){if(e._dispatchFlag||!e._initializedFlag)throw new i.InvalidStateError;return e._isTrusted=!1,o.event_dispatch(e,this)},e.prototype._getTheParent=function(e){return null},e}();t.EventTargetImpl=s},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(34),o=n(0),s=function(e){function t(t){var n=e.call(this)||this;return n._data=t,n}return i(t,e),Object.defineProperty(t.prototype,"data",{get:function(){return this._data},set:function(e){o.characterData_replaceData(this,0,this._data.length,e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"length",{get:function(){return this._data.length},enumerable:!0,configurable:!0}),t.prototype.substringData=function(e,t){return o.characterData_substringData(this,e,t)},t.prototype.appendData=function(e){return o.characterData_replaceData(this,this._data.length,0,e)},t.prototype.insertData=function(e,t){o.characterData_replaceData(this,e,0,t)},t.prototype.deleteData=function(e,t){o.characterData_replaceData(this,e,t,"")},t.prototype.replaceData=function(e,t,n){o.characterData_replaceData(this,e,t,n)},Object.defineProperty(t.prototype,"previousElementSibling",{get:function(){throw new Error("Mixin: NonDocumentTypeChildNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nextElementSibling",{get:function(){throw new Error("Mixin: NonDocumentTypeChildNode not implemented.")},enumerable:!0,configurable:!0}),t.prototype.before=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.after=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.replaceWith=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.remove=function(){throw new Error("Mixin: ChildNode not implemented.")},t}(a.NodeImpl);t.CharacterDataImpl=s},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),s=n(3),l=n(1),c=n(17),u=n(51);function d(e){o.dom.window._signalSlots.add(e),u.observer_queueAMutationObserverMicrotask()}function f(e,t){void 0===t&&(t=!1);var n=s.Cast.asNode(e)._parent;if(null===n)return null;var r=n._shadowRoot||null;if(null===r)return null;if(t&&"open"!==r._mode)return null;for(var i=c.tree_getFirstDescendantNode(r,!1,!0,(function(e){return s.Guard.isSlot(e)}));null!==i;){if(i._name===e._name)return i;i=c.tree_getNextDescendantNode(r,i,!1,!0,(function(e){return s.Guard.isSlot(e)}))}return null}function p(e){var t,n,i=[],a=c.tree_rootNode(e);if(!s.Guard.isShadowRoot(a))return i;var o=a._host;try{for(var l=r(o._children),u=l.next();!u.done;u=l.next()){var d=u.value;s.Guard.isSlotable(d)&&f(d)===e&&i.push(d)}}catch(e){t={error:e}}finally{try{u&&!u.done&&(n=l.return)&&n.call(l)}finally{if(t)throw t.error}}return i}function h(e){var t,n,i=p(e);if(i.length===e._assignedNodes.length){for(var a=!0,o=0;o<i.length;o++)if(i[o]!==e._assignedNodes[o]){a=!1;break}a||d(e)}e._assignedNodes=i;try{for(var s=r(i),l=s.next();!l.done;l=s.next())l.value._assignedSlot=e}catch(e){t={error:e}}finally{try{l&&!l.done&&(n=s.return)&&n.call(s)}finally{if(t)throw t.error}}}t.shadowTree_signalASlotChange=d,t.shadowTree_isConnected=function(e){return s.Guard.isDocumentNode(c.tree_rootNode(e,!0))},t.shadowTree_isAssigned=function(e){return null!==e._assignedSlot},t.shadowTree_findASlot=f,t.shadowTree_findSlotables=p,t.shadowTree_findFlattenedSlotables=function e(t){var n,i,o,u,d=[],f=c.tree_rootNode(t);if(!s.Guard.isShadowRoot(f))return d;var h=p(t);if(l.isEmpty(h))try{for(var m=r(t._children),g=m.next();!g.done;g=m.next()){var v=g.value;s.Guard.isSlotable(v)&&h.push(v)}}catch(e){n={error:e}}finally{try{g&&!g.done&&(i=m.return)&&i.call(m)}finally{if(n)throw n.error}}try{for(var y=r(h),b=y.next();!b.done;b=y.next()){var _=b.value;if(s.Guard.isSlot(_)&&s.Guard.isShadowRoot(c.tree_rootNode(_))){var x=e(_);d.push.apply(d,a(x))}else d.push(_)}}catch(e){o={error:e}}finally{try{b&&!b.done&&(u=y.return)&&u.call(y)}finally{if(o)throw o.error}}return d},t.shadowTree_assignSlotables=h,t.shadowTree_assignSlotablesForATree=function(e){for(var t=c.tree_getFirstDescendantNode(e,!0,!1,(function(e){return s.Guard.isSlot(e)}));null!==t;)h(t),t=c.tree_getNextDescendantNode(e,t,!0,!1,(function(e){return s.Guard.isSlot(e)}))},t.shadowTree_assignASlot=function(e){var t=f(e);null!==t&&h(t)}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=/[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/,i=new Set(["annotation-xml","color-profile","font-face","font-face-src","font-face-uri","font-face-format","font-face-name","missing-glyph"]),a=new Set(["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"]),o=new Set(["area","base","basefont","bgsound","br","col","embed","frame","hr","img","input","keygen","link","menuitem","meta","param","source","track","wbr"]),s=new Set(["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"]);t.customElement_isValidCustomElementName=function(e){return!!r.test(e)&&!i.has(e)},t.customElement_isValidElementName=function(e){return a.has(e)},t.customElement_isVoidElementName=function(e){return o.has(e)},t.customElement_isValidShadowHostName=function(e){return s.has(e)},t.customElement_enqueueACustomElementUpgradeReaction=function(e,t){},t.customElement_enqueueACustomElementCallbackReaction=function(e,t,n){},t.customElement_upgrade=function(e,t){},t.customElement_tryToUpgrade=function(e){},t.customElement_lookUpACustomElementDefinition=function(e,t,n,r){return null}},function(e,t,n){n(4)({target:"String",proto:!0},{repeat:n(259)})},function(e,t,n){"use strict";n(278),n(68),n(179),n(94),Object.defineProperty(t,"__esModule",{value:!0});var r=n(109),i=function(){function e(e){this._builderOptions=e,e.parser&&Object.assign(this,e.parser)}return e.prototype._docType=function(e,t,n,r){return e.dtd({name:t,pubID:n,sysID:r})},e.prototype._comment=function(e,t){return e.com(t)},e.prototype._text=function(e,t){return e.txt(t)},e.prototype._instruction=function(e,t,n){return e.ins(t,n)},e.prototype._cdata=function(e,t){return e.dat(t)},e.prototype._element=function(e,t,n){return void 0===t?e.ele(n):e.ele(t,n)},e.prototype._attribute=function(e,t,n,r){return void 0===t?e.att(n,r):e.att(t,n,r)},e.prototype._sanitize=function(e){return r.sanitizeInput(e,this._builderOptions.invalidCharReplacement)},e.prototype._decodeText=function(t){return null==t?t:t.replace(/&(quot|amp|apos|lt|gt);/g,(function(t,n){return e._entityTable[n]})).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g,(function(e,t,n){return String.fromCodePoint(parseInt(t||n,t?16:10))}))},e.prototype._decodeAttributeValue=function(e){return this._decodeText(e)},e.prototype.parse=function(e,t){return this._parse(e,t)},e.prototype.docType=function(e,t,n,r){return this._docType(e,t,n,r)},e.prototype.comment=function(e,t){return this._comment(e,t)},e.prototype.text=function(e,t){return this._text(e,t)},e.prototype.instruction=function(e,t,n){return this._instruction(e,t,n)},e.prototype.cdata=function(e,t){return this._cdata(e,t)},e.prototype.element=function(e,t,n){return this._element(e,t,n)},e.prototype.attribute=function(e,t,n,r){return this._attribute(e,t,n,r)},e.prototype.sanitize=function(e){return this._sanitize(e)},e._entityTable={lt:"<",gt:">",amp:"&",quot:'"',apos:"'"},e}();t.BaseReader=i},function(e,t,n){"use strict";var r=n(39);e.exports=r.DEFAULT=new r({include:[n(54)],explicit:[n(299),n(300),n(301)]})},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(185);t.XMLBuilderImpl=r.XMLBuilderImpl;var i=n(304);t.XMLBuilderCBImpl=i.XMLBuilderCBImpl;var a=n(183);t.builder=a.builder,t.create=a.create,t.fragment=a.fragment,t.convert=a.convert;var o=n(309);t.createCB=o.createCB,t.fragmentCB=o.fragmentCB},function(e,t){var n;n=function(){return this}();try{n=n||new Function("return this")()}catch(e){"object"==typeof window&&(n=window)}e.exports=n},function(e,t,n){"use strict";var r={}.propertyIsEnumerable,i=Object.getOwnPropertyDescriptor,a=i&&!r.call({1:2},1);t.f=a?function(e){var t=i(this,e);return!!t&&t.enumerable}:r},function(e,t,n){var r=n(11),i=n(21);e.exports=function(e,t){try{i(r,e,t)}catch(n){r[e]=t}return t}},function(e,t,n){var r=n(44),i=n(118);(e.exports=function(e,t){return i[e]||(i[e]=void 0!==t?t:{})})("versions",[]).push({version:"3.6.5",mode:r?"pure":"global",copyright:"© 2020 Denis Pushkarev (zloirock.ru)"})},function(e,t,n){var r=n(121),i=n(84).concat("length","prototype");t.f=Object.getOwnPropertyNames||function(e){return r(e,i)}},function(e,t,n){var r=n(47),i=Math.max,a=Math.min;e.exports=function(e,t){var n=r(e);return n<0?i(n+t,0):a(n,t)}},function(e,t){e.exports=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"]},function(e,t){t.f=Object.getOwnPropertySymbols},function(e,t,n){var r=n(8);e.exports=!!Object.getOwnPropertySymbols&&!r((function(){return!String(Symbol())}))},function(e,t,n){var r=n(127);e.exports=function(e,t,n){if(r(e),void 0===t)return e;switch(n){case 0:return function(){return e.call(t)};case 1:return function(n){return e.call(t,n)};case 2:return function(n,r){return e.call(t,n,r)};case 3:return function(n,r,i){return e.call(t,n,r,i)}}return function(){return e.apply(t,arguments)}}},function(e,t,n){"use strict";var r=n(4),i=n(195),a=n(132),o=n(133),s=n(62),l=n(21),c=n(25),u=n(5),d=n(44),f=n(49),p=n(131),h=p.IteratorPrototype,m=p.BUGGY_SAFARI_ITERATORS,g=u("iterator"),v=function(){return this};e.exports=function(e,t,n,u,p,y,b){i(n,t,u);var _,x,w,A=function(e){if(e===p&&M)return M;if(!m&&e in C)return C[e];switch(e){case"keys":case"values":case"entries":return function(){return new n(this,e)}}return function(){return new n(this)}},S=t+" Iterator",T=!1,C=e.prototype,E=C[g]||C["@@iterator"]||p&&C[p],M=!m&&E||A(p),D="Array"==t&&C.entries||E;if(D&&(_=a(D.call(new e)),h!==Object.prototype&&_.next&&(d||a(_)===h||(o?o(_,h):"function"!=typeof _[g]&&l(_,g,v)),s(_,S,!0,!0),d&&(f[S]=v))),"values"==p&&E&&"values"!==E.name&&(T=!0,M=function(){return E.call(this)}),d&&!b||C[g]===M||l(C,g,M),f[t]=M,p)if(x={values:A("values"),keys:y?M:A("keys"),entries:A("entries")},b)for(w in x)(m||T||!(w in C))&&c(C,w,x[w]);else r({target:t,proto:!0,forced:m||T},x);return x}},function(e,t,n){"use strict";var r=n(4),i=n(13),a=n(59),o=n(83),s=n(26),l=n(24),c=n(134),u=n(5),d=n(63),f=n(28),p=d("slice"),h=f("slice",{ACCESSORS:!0,0:0,1:2}),m=u("species"),g=[].slice,v=Math.max;r({target:"Array",proto:!0,forced:!p||!h},{slice:function(e,t){var n,r,u,d=l(this),f=s(d.length),p=o(e,f),h=o(void 0===t?f:t,f);if(a(d)&&("function"!=typeof(n=d.constructor)||n!==Array&&!a(n.prototype)?i(n)&&null===(n=n[m])&&(n=void 0):n=void 0,n===Array||void 0===n))return g.call(d,p,h);for(r=new(void 0===n?Array:n)(v(h-p,0)),u=0;p<h;p++,u++)p in d&&c(r,u,d[p]);return r.length=u,r}})},function(e,t,n){var r={};r[n(5)("toStringTag")]="z",e.exports="[object z]"===String(r)},function(e,t,n){"use strict";n(19),n(138),n(20),n(92),n(22),n(23),Object.defineProperty(t,"__esModule",{value:!0}),t.DefaultBuilderOptions={version:"1.0",encoding:void 0,standalone:void 0,keepNullNodes:!1,keepNullAttributes:!1,ignoreConverters:!1,convert:{att:"@",ins:"?",text:"#",cdata:"$",comment:"!"},defaultNamespace:{ele:void 0,att:void 0},namespaceAlias:{html:"http://www.w3.org/1999/xhtml",xml:"http://www.w3.org/XML/1998/namespace",xmlns:"http://www.w3.org/2000/xmlns/",mathml:"http://www.w3.org/1998/Math/MathML",svg:"http://www.w3.org/2000/svg",xlink:"http://www.w3.org/1999/xlink"},invalidCharReplacement:void 0,parser:void 0},t.XMLBuilderOptionKeys=new Set(Object.keys(t.DefaultBuilderOptions)),t.DefaultXMLBuilderCBOptions={format:"xml",wellFormed:!1,prettyPrint:!1,indent:"  ",newline:"\n",offset:0,width:0,allowEmptyTags:!1,spaceBeforeSlash:!1,keepNullNodes:!1,keepNullAttributes:!1,ignoreConverters:!1,convert:{att:"@",ins:"?",text:"#",cdata:"$",comment:"!"},defaultNamespace:{ele:void 0,att:void 0},namespaceAlias:{html:"http://www.w3.org/1999/xhtml",xml:"http://www.w3.org/XML/1998/namespace",xmlns:"http://www.w3.org/2000/xmlns/",mathml:"http://www.w3.org/1998/Math/MathML",svg:"http://www.w3.org/2000/svg",xlink:"http://www.w3.org/1999/xlink"}}},function(e,t,n){"use strict";var r=n(139),i=n(143);e.exports=r("Set",(function(e){return function(){return e(this,arguments.length?arguments[0]:void 0)}}),i)},function(e,t,n){"use strict";var r,i,a=n(136),o=n(221),s=RegExp.prototype.exec,l=String.prototype.replace,c=s,u=(r=/a/,i=/b*/g,s.call(r,"a"),s.call(i,"a"),0!==r.lastIndex||0!==i.lastIndex),d=o.UNSUPPORTED_Y||o.BROKEN_CARET,f=void 0!==/()??/.exec("")[1];(u||f||d)&&(c=function(e){var t,n,r,i,o=this,c=d&&o.sticky,p=a.call(o),h=o.source,m=0,g=e;return c&&(-1===(p=p.replace("y","")).indexOf("g")&&(p+="g"),g=String(e).slice(o.lastIndex),o.lastIndex>0&&(!o.multiline||o.multiline&&"\n"!==e[o.lastIndex-1])&&(h="(?: "+h+")",g=" "+g,m++),n=new RegExp("^(?:"+h+")",p)),f&&(n=new RegExp("^"+h+"$(?!\\s)",p)),u&&(t=o.lastIndex),r=s.call(c?n:o,g),c?r?(r.input=r.input.slice(m),r[0]=r[0].slice(m),r.index=o.lastIndex,o.lastIndex+=r[0].length):o.lastIndex=0:u&&r&&(o.lastIndex=o.global?r.index+r[0].length:t),f&&r&&r.length>1&&l.call(r[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(r[i]=void 0)})),r}),e.exports=c},function(e,t,n){"use strict";var r=n(225),i=n(18),a=n(27),o=n(26),s=n(47),l=n(35),c=n(226),u=n(227),d=Math.max,f=Math.min,p=Math.floor,h=/\$([$&'`]|\d\d?|<[^>]*>)/g,m=/\$([$&'`]|\d\d?)/g;r("replace",2,(function(e,t,n,r){var g=r.REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE,v=r.REPLACE_KEEPS_$0,y=g?"$":"$0";return[function(n,r){var i=l(this),a=null==n?void 0:n[e];return void 0!==a?a.call(n,i,r):t.call(String(i),n,r)},function(e,r){if(!g&&v||"string"==typeof r&&-1===r.indexOf(y)){var a=n(t,e,this,r);if(a.done)return a.value}var l=i(e),p=String(this),h="function"==typeof r;h||(r=String(r));var m=l.global;if(m){var _=l.unicode;l.lastIndex=0}for(var x=[];;){var w=u(l,p);if(null===w)break;if(x.push(w),!m)break;""===String(w[0])&&(l.lastIndex=c(p,o(l.lastIndex),_))}for(var A,S="",T=0,C=0;C<x.length;C++){w=x[C];for(var E=String(w[0]),M=d(f(s(w.index),p.length),0),D=[],P=1;P<w.length;P++)D.push(void 0===(A=w[P])?A:String(A));var I=w.groups;if(h){var O=[E].concat(D,M,p);void 0!==I&&O.push(I);var N=String(r.apply(void 0,O))}else N=b(E,p,M,D,I,r);M>=T&&(S+=p.slice(T,M)+N,T=M+E.length)}return S+p.slice(T)}];function b(e,n,r,i,o,s){var l=r+e.length,c=i.length,u=m;return void 0!==o&&(o=a(o),u=h),t.call(s,u,(function(t,a){var s;switch(a.charAt(0)){case"$":return"$";case"&":return e;case"`":return n.slice(0,r);case"'":return n.slice(l);case"<":s=o[a.slice(1,-1)];break;default:var u=+a;if(0===u)return t;if(u>c){var d=p(u/10);return 0===d?t:d<=c?void 0===i[d-1]?a.charAt(1):i[d-1]+a.charAt(1):t}s=i[u-1]}return void 0===s?"":s}))}}))},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){this._items={},this._nullItems=[]}return e.prototype.copy=function(){var t=new e;for(var n in this._items)t._items[n]=this._items[n].slice(0);return t._nullItems=this._nullItems.slice(0),t},e.prototype.get=function(e,t){var n=null===t?this._nullItems:this._items[t]||null;if(null===n)return null;for(var r=null,i=0;i<n.length;i++)if((r=n[i])===e)return r;return r},e.prototype.has=function(e,t){var n=null===t?this._nullItems:this._items[t]||null;return null!==n&&-1!==n.indexOf(e)},e.prototype.hasPrefix=function(e){if(-1!==this._nullItems.indexOf(e))return!0;for(var t in this._items)if(-1!==this._items[t].indexOf(e))return!0;return!1},e.prototype.set=function(e,t){var n=null===t?this._nullItems:this._items[t]||null;null!==t&&null===n?this._items[t]=[e]:n.push(e)},e}();t.NamespacePrefixMap=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Surrogate=/[\uD800-\uDFFF]/,t.ScalarValue=/[\uD800-\uDFFF]/,t.NonCharacter=/[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/,t.ASCIICodePoint=/[\u0000-\u007F]/,t.ASCIITabOrNewLine=/[\t\n\r]/,t.ASCIIWhiteSpace=/[\t\n\f\r ]/,t.C0Control=/[\u0000-\u001F]/,t.C0ControlOrSpace=/[\u0000-\u001F ]/,t.Control=/[\u0000-\u001F\u007F-\u009F]/,t.ASCIIDigit=/[0-9]/,t.ASCIIUpperHexDigit=/[0-9A-F]/,t.ASCIILowerHexDigit=/[0-9a-f]/,t.ASCIIHexDigit=/[0-9A-Fa-f]/,t.ASCIIUpperAlpha=/[A-Z]/,t.ASCIILowerAlpha=/[a-z]/,t.ASCIIAlpha=/[A-Za-z]/,t.ASCIIAlphanumeric=/[0-9A-Za-z]/},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),s=n(2),l=n(3),c=n(171),u=n(104),d=n(9),f=n(17),p=n(72),h=n(30);function m(e,t){void 0===t&&(t=void 0),void 0===t&&(t=null);var n=g(e,0,new Date,{});return n._isTrusted=!0,n}function g(e,t,n,r){var i=new e("");return i._initializedFlag=!0,i._timeStamp=n.getTime(),Object.assign(i,r),o.dom.features.steps&&h.dom_runEventConstructingSteps(i),i}function v(e,t,n,i){var a,o,c,u;void 0===n&&(n=!1),void 0===i&&(i={value:!1});var d=!1;e._dispatchFlag=!0;var h=t;if(n){var m=t._associatedDocument;l.Guard.isDocumentNode(m)&&(h=m)}var g=null,v=f.tree_retarget(e._relatedTarget,t);if(t!==v||t===e._relatedTarget){var _=[];try{for(var x=r(e._touchTargetList),w=x.next();!w.done;w=x.next()){var A=w.value;_.push(f.tree_retarget(A,t))}}catch(e){a={error:e}}finally{try{w&&!w.done&&(o=x.return)&&o.call(x)}finally{if(a)throw a.error}}y(e,t,h,v,_,!1);var S=l.Guard.isMouseEvent(e)&&"click"===e._type;S&&void 0!==t._activationBehavior&&(g=t);for(var T=l.Guard.isSlotable(t)&&p.shadowTree_isAssigned(t)?t:null,C=!1,E=t._getTheParent(e);null!==E&&l.Guard.isNode(E);){if(null!==T){if(!l.Guard.isSlot(E))throw new Error("Parent node of a slotable should be a slot.");T=null;var M=f.tree_rootNode(E,!0);l.Guard.isShadowRoot(M)&&"closed"===M._mode&&(C=!0)}l.Guard.isSlotable(E)&&p.shadowTree_isAssigned(E)&&(T=E),v=f.tree_retarget(e._relatedTarget,E),_=[];try{for(var D=(c=void 0,r(e._touchTargetList)),P=D.next();!P.done;P=D.next())A=P.value,_.push(f.tree_retarget(A,E))}catch(e){c={error:e}}finally{try{P&&!P.done&&(u=D.return)&&u.call(D)}finally{if(c)throw c.error}}l.Guard.isWindow(E)||l.Guard.isNode(E)&&l.Guard.isNode(t)&&f.tree_isAncestorOf(f.tree_rootNode(t,!0),E,!0,!0)?(S&&e._bubbles&&null===g&&E._activationBehavior&&(g=E),y(e,E,null,v,_,C)):E===v?E=null:(t=E,S&&null===g&&t._activationBehavior&&(g=t),y(e,E,t,v,_,C)),null!==E&&(E=E._getTheParent(e)),C=!1}for(var I=null,O=e._path,N=O.length-1;N>=0;N--)if(null!==(R=O[N]).shadowAdjustedTarget){I=R;break}if(null!==I)if(l.Guard.isNode(I.shadowAdjustedTarget)&&l.Guard.isShadowRoot(f.tree_rootNode(I.shadowAdjustedTarget,!0)))d=!0;else if(l.Guard.isNode(I.relatedTarget)&&l.Guard.isShadowRoot(f.tree_rootNode(I.relatedTarget,!0)))d=!0;else for(var k=0;k<I.touchTargetList.length;k++){var R=I.touchTargetList[k];if(l.Guard.isNode(R)&&l.Guard.isShadowRoot(f.tree_rootNode(R,!0))){d=!0;break}}for(null!==g&&void 0!==g._legacyPreActivationBehavior&&g._legacyPreActivationBehavior(e),N=O.length-1;N>=0;N--)null!==(R=O[N]).shadowAdjustedTarget?e._eventPhase=s.EventPhase.AtTarget:e._eventPhase=s.EventPhase.Capturing,b(R,e,"capturing",i);for(N=0;N<O.length;N++){if(null!==(R=O[N]).shadowAdjustedTarget)e._eventPhase=s.EventPhase.AtTarget;else{if(!e._bubbles)continue;e._eventPhase=s.EventPhase.Bubbling}b(R,e,"bubbling",i)}}return e._eventPhase=s.EventPhase.None,e._currentTarget=null,e._path=[],e._dispatchFlag=!1,e._stopPropagationFlag=!1,e._stopImmediatePropagationFlag=!1,d&&(e._target=null,e._relatedTarget=null,e._touchTargetList=[]),null!==g&&(e._canceledFlag||void 0===g._activationBehavior?void 0!==g._legacyCanceledActivationBehavior&&g._legacyCanceledActivationBehavior(e):g._activationBehavior(e)),!e._canceledFlag}function y(e,t,n,r,i,a){var o=!1;l.Guard.isNode(t)&&l.Guard.isShadowRoot(f.tree_rootNode(t))&&(o=!0);var s=!1;l.Guard.isShadowRoot(t)&&"closed"===t._mode&&(s=!0),e._path.push({invocationTarget:t,invocationTargetInShadowTree:o,shadowAdjustedTarget:n,relatedTarget:r,touchTargetList:i,rootOfClosedTree:s,slotInClosedTree:a})}function b(e,t,n,r){void 0===r&&(r={value:!1});for(var i=t._path,o=-1,s=0;s<i.length;s++)if(i[s]===e){o=s;break}if(-1!==o){var l=i[o];(null!==l.shadowAdjustedTarget||o>0&&null!==(l=i[o-1]).shadowAdjustedTarget)&&(t._target=l.shadowAdjustedTarget)}if(t._relatedTarget=e.relatedTarget,t._touchTargetList=e.touchTargetList,!t._stopPropagationFlag){t._currentTarget=e.invocationTarget;var c=t._currentTarget._eventListenerList,u=new(Array.bind.apply(Array,a([void 0],c)));if(!_(t,u,n,e,r)&&t._isTrusted){var d=t._type;"animationend"===d?t._type="webkitAnimationEnd":"animationiteration"===d?t._type="webkitAnimationIteration":"animationstart"===d?t._type="webkitAnimationStart":"transitionend"===d&&(t._type="webkitTransitionEnd"),_(t,u,n,e,r),t._type=d}}}function _(e,t,n,r,i){void 0===i&&(i={value:!1});for(var a=!1,o=0;o<t.length;o++){var s=t[o];if(!s.removed){if(e._type!==s.type)continue;if(a=!0,"capturing"===n&&!s.capture)continue;if("bubbling"===n&&s.capture)continue;if(s.once&&null!==e._currentTarget){for(var c=e._currentTarget,u=-1,d=0;d<c._eventListenerList.length;d++)if(c._eventListenerList[d]===s){u=d;break}-1!==u&&c._eventListenerList.splice(u,1)}var f=void 0,p=void 0;l.Guard.isWindow(f)&&(p=f._currentEvent,!1===r.invocationTargetInShadowTree&&(f._currentEvent=e)),s.passive&&(e._inPassiveListenerFlag=!0);try{s.callback.handleEvent.call(e._currentTarget,e)}catch(e){i.value=!0}if(s.passive&&(e._inPassiveListenerFlag=!1),l.Guard.isWindow(f)&&(f._currentEvent=p),e._stopImmediatePropagationFlag)return a}}return a}t.event_setTheCanceledFlag=function(e){e._cancelable&&!e._inPassiveListenerFlag&&(e._canceledFlag=!0)},t.event_initialize=function(e,t,n,r){e._initializedFlag=!0,e._stopPropagationFlag=!1,e._stopImmediatePropagationFlag=!1,e._canceledFlag=!1,e._isTrusted=!1,e._target=null,e._type=t,e._bubbles=n,e._cancelable=r},t.event_createAnEvent=m,t.event_innerEventCreationSteps=g,t.event_dispatch=v,t.event_appendToAnEventPath=y,t.event_invoke=b,t.event_innerInvoke=_,t.event_fireAnEvent=function(e,t,n,r,i){void 0===n&&(n=u.EventImpl);var a=m(n);if(a._type=e,r)for(var o in r)a[o]=r[o];return v(a,t,i)},t.event_createLegacyEvent=function(e){var t=null;switch(e.toLowerCase()){case"beforeunloadevent":case"compositionevent":case"devicemotionevent":case"deviceorientationevent":case"dragevent":break;case"customevent":t=c.CustomEventImpl;break;case"event":case"events":t=u.EventImpl}if(null===t)throw new d.NotSupportedError("Event constructor not found for interface "+e+".");var n=new t("");return n._type="",n._timeStamp=(new Date).getTime(),n._isTrusted=!1,n._initializedFlag=!1,n},t.event_getterEventHandlerIDLAttribute=function(e,t){return null},t.event_setterEventHandlerIDLAttribute=function(e,t,n){},t.event_determineTheTargetOfAnEventHandler=function(e,t){return null},t.event_getTheCurrentValueOfAnEventHandler=function(e,t){return null},t.event_activateAnEventHandler=function(e,t){},t.event_deactivateAnEventHandler=function(e,t){}},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},o=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var s=n(6),l=n(2),c=n(9),u=n(34),d=n(3),f=n(1),p=n(7),h=n(152),m=n(0),g=n(12),v=function(e){function t(){var t=e.call(this)||this;return t._children=new Set,t._encoding={name:"UTF-8",labels:["unicode-1-1-utf-8","utf-8","utf8"]},t._contentType="application/xml",t._URL={scheme:"about",username:"",password:"",host:null,port:null,path:["blank"],query:null,fragment:null,_cannotBeABaseURLFlag:!0,_blobURLEntry:null},t._origin=null,t._type="xml",t._mode="no-quirks",t._documentElement=null,t._hasNamespaces=!1,t._nodeDocumentOverwrite=null,t}return i(t,e),Object.defineProperty(t.prototype,"_nodeDocument",{get:function(){return this._nodeDocumentOverwrite||this},set:function(e){this._nodeDocumentOverwrite=e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"implementation",{get:function(){return this._implementation||(this._implementation=m.create_domImplementation(this))},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"URL",{get:function(){return h.urlSerializer(this._URL)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"documentURI",{get:function(){return this.URL},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"origin",{get:function(){return"null"},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"compatMode",{get:function(){return"quirks"===this._mode?"BackCompat":"CSS1Compat"},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"characterSet",{get:function(){return this._encoding.name},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"charset",{get:function(){return this._encoding.name},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"inputEncoding",{get:function(){return this._encoding.name},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"contentType",{get:function(){return this._contentType},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"doctype",{get:function(){var e,t;try{for(var n=a(this._children),r=n.next();!r.done;r=n.next()){var i=r.value;if(d.Guard.isDocumentTypeNode(i))return i}}catch(t){e={error:t}}finally{try{r&&!r.done&&(t=n.return)&&t.call(n)}finally{if(e)throw e.error}}return null},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"documentElement",{get:function(){return this._documentElement},enumerable:!0,configurable:!0}),t.prototype.getElementsByTagName=function(e){return m.node_listOfElementsWithQualifiedName(e,this)},t.prototype.getElementsByTagNameNS=function(e,t){return m.node_listOfElementsWithNamespace(e,t,this)},t.prototype.getElementsByClassName=function(e){return m.node_listOfElementsWithClassNames(e,this)},t.prototype.createElement=function(e,t){if(!m.xml_isName(e))throw new c.InvalidCharacterError;"html"===this._type&&(e=e.toLowerCase());var n=null;void 0!==t&&(n=f.isString(t)?t:t.is);var r="html"===this._type||"application/xhtml+xml"===this._contentType?p.namespace.HTML:null;return m.element_createAnElement(this,e,r,null,n,!0)},t.prototype.createElementNS=function(e,t,n){return m.document_internalCreateElementNS(this,e,t,n)},t.prototype.createDocumentFragment=function(){return m.create_documentFragment(this)},t.prototype.createTextNode=function(e){return m.create_text(this,e)},t.prototype.createCDATASection=function(e){if("html"===this._type)throw new c.NotSupportedError;if(-1!==e.indexOf("]]>"))throw new c.InvalidCharacterError;return m.create_cdataSection(this,e)},t.prototype.createComment=function(e){return m.create_comment(this,e)},t.prototype.createProcessingInstruction=function(e,t){if(!m.xml_isName(e))throw new c.InvalidCharacterError;if(-1!==t.indexOf("?>"))throw new c.InvalidCharacterError;return m.create_processingInstruction(this,e,t)},t.prototype.importNode=function(e,t){if(void 0===t&&(t=!1),d.Guard.isDocumentNode(e)||d.Guard.isShadowRoot(e))throw new c.NotSupportedError;return m.node_clone(e,this,t)},t.prototype.adoptNode=function(e){if(d.Guard.isDocumentNode(e))throw new c.NotSupportedError;if(d.Guard.isShadowRoot(e))throw new c.HierarchyRequestError;return m.document_adopt(e,this),e},t.prototype.createAttribute=function(e){if(!m.xml_isName(e))throw new c.InvalidCharacterError;return"html"===this._type&&(e=e.toLowerCase()),m.create_attr(this,e)},t.prototype.createAttributeNS=function(e,t){var n=o(m.namespace_validateAndExtract(e,t),3),r=n[0],i=n[1],a=n[2],s=m.create_attr(this,a);return s._namespace=r,s._namespacePrefix=i,s},t.prototype.createEvent=function(e){return m.event_createLegacyEvent(e)},t.prototype.createRange=function(){var e=m.create_range();return e._start=[this,0],e._end=[this,0],e},t.prototype.createNodeIterator=function(e,t,n){void 0===t&&(t=l.WhatToShow.All),void 0===n&&(n=null);var r=m.create_nodeIterator(e,e,!0);return r._whatToShow=t,r._iteratorCollection=m.create_nodeList(e),f.isFunction(n)?(r._filter=m.create_nodeFilter(),r._filter.acceptNode=n):r._filter=n,r},t.prototype.createTreeWalker=function(e,t,n){void 0===t&&(t=l.WhatToShow.All),void 0===n&&(n=null);var r=m.create_treeWalker(e,e);return r._whatToShow=t,f.isFunction(n)?(r._filter=m.create_nodeFilter(),r._filter.acceptNode=n):r._filter=n,r},t.prototype._getTheParent=function(e){return"load"===e._type?null:s.dom.window},t.prototype.getElementById=function(e){throw new Error("Mixin: NonElementParentNode not implemented.")},Object.defineProperty(t.prototype,"children",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"firstElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"lastElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"childElementCount",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),t.prototype.prepend=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.append=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelector=function(e){throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelectorAll=function(e){throw new Error("Mixin: ParentNode not implemented.")},t}(u.NodeImpl);t.DocumentImpl=v,g.idl_defineConst(v.prototype,"_nodeType",l.NodeType.Document)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},o=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var s=n(2),l=n(34),c=n(9),u=n(7),d=n(0),f=n(12),p=function(e){function t(){var t=e.call(this)||this;return t._children=new Set,t._namespace=null,t._namespacePrefix=null,t._localName="",t._customElementState="undefined",t._customElementDefinition=null,t._is=null,t._shadowRoot=null,t._attributeList=d.create_namedNodeMap(t),t._attributeChangeSteps=[],t._name="",t._assignedSlot=null,t}return i(t,e),Object.defineProperty(t.prototype,"namespaceURI",{get:function(){return this._namespace},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"prefix",{get:function(){return this._namespacePrefix},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"localName",{get:function(){return this._localName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"tagName",{get:function(){return this._htmlUppercasedQualifiedName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"id",{get:function(){return d.element_getAnAttributeValue(this,"id")},set:function(e){d.element_setAnAttributeValue(this,"id",e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"className",{get:function(){return d.element_getAnAttributeValue(this,"class")},set:function(e){d.element_setAnAttributeValue(this,"class",e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"classList",{get:function(){var e=d.element_getAnAttributeByName("class",this);return null===e&&(e=d.create_attr(this._nodeDocument,"class")),d.create_domTokenList(this,e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"slot",{get:function(){return d.element_getAnAttributeValue(this,"slot")},set:function(e){d.element_setAnAttributeValue(this,"slot",e)},enumerable:!0,configurable:!0}),t.prototype.hasAttributes=function(){return 0!==this._attributeList.length},Object.defineProperty(t.prototype,"attributes",{get:function(){return this._attributeList},enumerable:!0,configurable:!0}),t.prototype.getAttributeNames=function(){var e,t,n=[];try{for(var r=a(this._attributeList),i=r.next();!i.done;i=r.next()){var o=i.value;n.push(o._qualifiedName)}}catch(t){e={error:t}}finally{try{i&&!i.done&&(t=r.return)&&t.call(r)}finally{if(e)throw e.error}}return n},t.prototype.getAttribute=function(e){var t=d.element_getAnAttributeByName(e,this);return t?t._value:null},t.prototype.getAttributeNS=function(e,t){var n=d.element_getAnAttributeByNamespaceAndLocalName(e,t,this);return n?n._value:null},t.prototype.setAttribute=function(e,t){if(!d.xml_isName(e))throw new c.InvalidCharacterError;this._namespace===u.namespace.HTML&&"html"===this._nodeDocument._type&&(e=e.toLowerCase());for(var n=null,r=0;r<this._attributeList.length;r++){var i=this._attributeList[r];if(i._qualifiedName===e){n=i;break}}if(null===n)return(n=d.create_attr(this._nodeDocument,e))._value=t,void d.element_append(n,this);d.element_change(n,this,t)},t.prototype.setAttributeNS=function(e,t,n){var r=o(d.namespace_validateAndExtract(e,t),3),i=r[0],a=r[1],s=r[2];d.element_setAnAttributeValue(this,s,n,a,i)},t.prototype.removeAttribute=function(e){d.element_removeAnAttributeByName(e,this)},t.prototype.removeAttributeNS=function(e,t){d.element_removeAnAttributeByNamespaceAndLocalName(e,t,this)},t.prototype.hasAttribute=function(e){this._namespace===u.namespace.HTML&&"html"===this._nodeDocument._type&&(e=e.toLowerCase());for(var t=0;t<this._attributeList.length;t++)if(this._attributeList[t]._qualifiedName===e)return!0;return!1},t.prototype.toggleAttribute=function(e,t){if(!d.xml_isName(e))throw new c.InvalidCharacterError;this._namespace===u.namespace.HTML&&"html"===this._nodeDocument._type&&(e=e.toLowerCase());for(var n=null,r=0;r<this._attributeList.length;r++){var i=this._attributeList[r];if(i._qualifiedName===e){n=i;break}}return null===n?(void 0===t||!0===t)&&((n=d.create_attr(this._nodeDocument,e))._value="",d.element_append(n,this),!0):void 0!==t&&!1!==t||(d.element_removeAnAttributeByName(e,this),!1)},t.prototype.hasAttributeNS=function(e,t){for(var n=e||null,r=0;r<this._attributeList.length;r++){var i=this._attributeList[r];if(i._namespace===n&&i._localName===t)return!0}return!1},t.prototype.getAttributeNode=function(e){return d.element_getAnAttributeByName(e,this)},t.prototype.getAttributeNodeNS=function(e,t){return d.element_getAnAttributeByNamespaceAndLocalName(e,t,this)},t.prototype.setAttributeNode=function(e){return d.element_setAnAttribute(e,this)},t.prototype.setAttributeNodeNS=function(e){return d.element_setAnAttribute(e,this)},t.prototype.removeAttributeNode=function(e){for(var t=!1,n=0;n<this._attributeList.length;n++)if(this._attributeList[n]===e){t=!0;break}if(!t)throw new c.NotFoundError;return d.element_remove(e,this),e},t.prototype.attachShadow=function(e){if(this._namespace!==u.namespace.HTML)throw new c.NotSupportedError;if(!d.customElement_isValidCustomElementName(this._localName)&&!d.customElement_isValidShadowHostName(this._localName))throw new c.NotSupportedError;if(d.customElement_isValidCustomElementName(this._localName)||null!==this._is){var t=d.customElement_lookUpACustomElementDefinition(this._nodeDocument,this._namespace,this._localName,this._is);if(null!==t&&!0===t.disableShadow)throw new c.NotSupportedError}if(null!==this._shadowRoot)throw new c.NotSupportedError;var n=d.create_shadowRoot(this._nodeDocument,this);return n._mode=e.mode,this._shadowRoot=n,n},Object.defineProperty(t.prototype,"shadowRoot",{get:function(){var e=this._shadowRoot;return null===e||"closed"===e.mode?null:e},enumerable:!0,configurable:!0}),t.prototype.closest=function(e){throw new c.NotImplementedError},t.prototype.matches=function(e){throw new c.NotImplementedError},t.prototype.webkitMatchesSelector=function(e){return this.matches(e)},t.prototype.getElementsByTagName=function(e){return d.node_listOfElementsWithQualifiedName(e,this)},t.prototype.getElementsByTagNameNS=function(e,t){return d.node_listOfElementsWithNamespace(e,t,this)},t.prototype.getElementsByClassName=function(e){return d.node_listOfElementsWithClassNames(e,this)},t.prototype.insertAdjacentElement=function(e,t){return d.element_insertAdjacent(this,e,t)},t.prototype.insertAdjacentText=function(e,t){var n=d.create_text(this._nodeDocument,t);d.element_insertAdjacent(this,e,n)},Object.defineProperty(t.prototype,"_qualifiedName",{get:function(){return this._namespacePrefix?this._namespacePrefix+":"+this._localName:this._localName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"_htmlUppercasedQualifiedName",{get:function(){var e=this._qualifiedName;return this._namespace===u.namespace.HTML&&"html"===this._nodeDocument._type&&(e=e.toUpperCase()),e},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"children",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"firstElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"lastElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"childElementCount",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),t.prototype.prepend=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.append=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelector=function(e){throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelectorAll=function(e){throw new Error("Mixin: ParentNode not implemented.")},Object.defineProperty(t.prototype,"previousElementSibling",{get:function(){throw new Error("Mixin: NonDocumentTypeChildNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"nextElementSibling",{get:function(){throw new Error("Mixin: NonDocumentTypeChildNode not implemented.")},enumerable:!0,configurable:!0}),t.prototype.before=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.after=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.replaceWith=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.remove=function(){throw new Error("Mixin: ChildNode not implemented.")},Object.defineProperty(t.prototype,"assignedSlot",{get:function(){throw new Error("Mixin: Slotable not implemented.")},enumerable:!0,configurable:!0}),t._create=function(e,n,r,i){void 0===r&&(r=null),void 0===i&&(i=null);var a=new t;return a._localName=n,a._namespace=r,a._namespacePrefix=i,a._nodeDocument=e,a},t}(l.NodeImpl);t.ElementImpl=p,f.idl_defineConst(p.prototype,"_nodeType",s.NodeType.Element)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(34),s=n(12),l=function(e){function t(t){void 0===t&&(t=null);var n=e.call(this)||this;return n._children=new Set,n._host=t,n}return i(t,e),t.prototype.getElementById=function(e){throw new Error("Mixin: NonElementParentNode not implemented.")},Object.defineProperty(t.prototype,"children",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"firstElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"lastElementChild",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"childElementCount",{get:function(){throw new Error("Mixin: ParentNode not implemented.")},enumerable:!0,configurable:!0}),t.prototype.prepend=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.append=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelector=function(e){throw new Error("Mixin: ParentNode not implemented.")},t.prototype.querySelectorAll=function(e){throw new Error("Mixin: ParentNode not implemented.")},t._create=function(e,n){void 0===n&&(n=null);var r=new t(n);return r._nodeDocument=e,r},t}(o.NodeImpl);t.DocumentFragmentImpl=l,s.idl_defineConst(l.prototype,"_nodeType",a.NodeType.DocumentFragment)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(2),s=n(71),l=n(0),c=n(12),u=function(e){function t(t){void 0===t&&(t="");var n=e.call(this,t)||this;return n._name="",n._assignedSlot=null,n}return i(t,e),Object.defineProperty(t.prototype,"wholeText",{get:function(){var e,t,n="";try{for(var r=a(l.text_contiguousTextNodes(this,!0)),i=r.next();!i.done;i=r.next())n+=i.value._data}catch(t){e={error:t}}finally{try{i&&!i.done&&(t=r.return)&&t.call(r)}finally{if(e)throw e.error}}return n},enumerable:!0,configurable:!0}),t.prototype.splitText=function(e){return l.text_split(this,e)},Object.defineProperty(t.prototype,"assignedSlot",{get:function(){throw new Error("Mixin: Slotable not implemented.")},enumerable:!0,configurable:!0}),t._create=function(e,n){void 0===n&&(n="");var r=new t(n);return r._nodeDocument=e,r},t}(s.CharacterDataImpl);t.TextImpl=u,c.idl_defineConst(u.prototype,"_nodeType",o.NodeType.Text)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){}return Object.defineProperty(e.prototype,"_startNode",{get:function(){return this._start[0]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_startOffset",{get:function(){return this._start[1]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_endNode",{get:function(){return this._end[0]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_endOffset",{get:function(){return this._end[1]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_collapsed",{get:function(){return this._start[0]===this._end[0]&&this._start[1]===this._end[1]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"startContainer",{get:function(){return this._startNode},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"startOffset",{get:function(){return this._startOffset},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"endContainer",{get:function(){return this._endNode},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"endOffset",{get:function(){return this._endOffset},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"collapsed",{get:function(){return this._collapsed},enumerable:!0,configurable:!0}),e}();t.AbstractRangeImpl=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=function(){function e(e){this._activeFlag=!1,this._root=e,this._whatToShow=r.WhatToShow.All,this._filter=null}return Object.defineProperty(e.prototype,"root",{get:function(){return this._root},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"whatToShow",{get:function(){return this._whatToShow},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return this._filter},enumerable:!0,configurable:!0}),e}();t.TraverserImpl=i},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=n(0),a=n(12),o=function(){function e(e,t){this._target=null,this._relatedTarget=null,this._touchTargetList=[],this._path=[],this._currentTarget=null,this._eventPhase=r.EventPhase.None,this._stopPropagationFlag=!1,this._stopImmediatePropagationFlag=!1,this._canceledFlag=!1,this._inPassiveListenerFlag=!1,this._composedFlag=!1,this._initializedFlag=!1,this._dispatchFlag=!1,this._isTrusted=!1,this._bubbles=!1,this._cancelable=!1,this._type=e,t&&(this._bubbles=t.bubbles||!1,this._cancelable=t.cancelable||!1,this._composedFlag=t.composed||!1),this._initializedFlag=!0,this._timeStamp=(new Date).getTime()}return Object.defineProperty(e.prototype,"type",{get:function(){return this._type},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"srcElement",{get:function(){return this._target},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"currentTarget",{get:function(){return this._currentTarget},enumerable:!0,configurable:!0}),e.prototype.composedPath=function(){var e=[],t=this._path;if(0===t.length)return e;var n=this._currentTarget;if(null===n)throw new Error("Event currentTarget is null.");e.push(n);for(var r=0,i=0,a=t.length-1;a>=0;){if(t[a].rootOfClosedTree&&i++,t[a].invocationTarget===n){r=a;break}t[a].slotInClosedTree&&i--,a--}var o=i,s=i;for(a=r-1;a>=0;)t[a].rootOfClosedTree&&o++,o<=s&&e.unshift(t[a].invocationTarget),t[a].slotInClosedTree&&--o<s&&(s=o),a--;for(o=i,s=i,a=r+1;a<t.length;)t[a].slotInClosedTree&&o++,o<=s&&e.push(t[a].invocationTarget),t[a].rootOfClosedTree&&--o<s&&(s=o),a++;return e},Object.defineProperty(e.prototype,"eventPhase",{get:function(){return this._eventPhase},enumerable:!0,configurable:!0}),e.prototype.stopPropagation=function(){this._stopPropagationFlag=!0},Object.defineProperty(e.prototype,"cancelBubble",{get:function(){return this._stopPropagationFlag},set:function(e){e&&this.stopPropagation()},enumerable:!0,configurable:!0}),e.prototype.stopImmediatePropagation=function(){this._stopPropagationFlag=!0,this._stopImmediatePropagationFlag=!0},Object.defineProperty(e.prototype,"bubbles",{get:function(){return this._bubbles},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"cancelable",{get:function(){return this._cancelable},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"returnValue",{get:function(){return!this._canceledFlag},set:function(e){e||i.event_setTheCanceledFlag(this)},enumerable:!0,configurable:!0}),e.prototype.preventDefault=function(){i.event_setTheCanceledFlag(this)},Object.defineProperty(e.prototype,"defaultPrevented",{get:function(){return this._canceledFlag},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"composed",{get:function(){return this._composedFlag},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isTrusted",{get:function(){return this._isTrusted},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"timeStamp",{get:function(){return this._timeStamp},enumerable:!0,configurable:!0}),e.prototype.initEvent=function(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1),this._dispatchFlag||i.event_initialize(this,e,t,n)},e.NONE=0,e.CAPTURING_PHASE=1,e.AT_TARGET=2,e.BUBBLING_PHASE=3,e}();t.EventImpl=o,a.idl_defineConst(o.prototype,"NONE",0),a.idl_defineConst(o.prototype,"CAPTURING_PHASE",1),a.idl_defineConst(o.prototype,"AT_TARGET",2),a.idl_defineConst(o.prototype,"BUBBLING_PHASE",3)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=n(9);t.traversal_filter=function(e,t){if(e._activeFlag)throw new i.InvalidStateError;var n=1<<t._nodeType-1;if(!(e.whatToShow&n))return r.FilterResult.Skip;if(!e.filter)return r.FilterResult.Accept;e._activeFlag=!0;var a=r.FilterResult.Reject;try{a=e.filter.acceptNode(t)}catch(t){throw e._activeFlag=!1,t}return e._activeFlag=!1,a}},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var a=n(6),o=n(3),s=n(1),l=n(99),c=n(73),u=n(17),d=n(173),f=n(30),p=n(52),h=n(37);t.document_elementInterface=function(e,t){return l.ElementImpl},t.document_internalCreateElementNS=function(e,t,n,i){var a=r(d.namespace_validateAndExtract(t,n),3),o=a[0],l=a[1],c=a[2],u=null;return void 0!==i&&(u=s.isString(i)?i:i.is),p.element_createAnElement(e,c,o,l,u,!0)},t.document_adopt=function(e,t){var n,r;if(e._nodeDocument!==t||null!==e._parent){var s=e._nodeDocument;if(e._parent&&h.mutation_remove(e,e._parent),t!==s)for(var l=u.tree_getFirstDescendantNode(e,!0,!0);null!==l;){if(l._nodeDocument=t,o.Guard.isElementNode(l))try{for(var d=(n=void 0,i(l._attributeList._asArray())),p=d.next();!p.done;p=d.next())p.value._nodeDocument=t}catch(e){n={error:e}}finally{try{p&&!p.done&&(r=d.return)&&r.call(d)}finally{if(n)throw n.error}}a.dom.features.customElements&&o.Guard.isElementNode(l)&&"custom"===l._customElementState&&c.customElement_enqueueACustomElementCallbackReaction(l,"adoptedCallback",[s,t]),a.dom.features.steps&&f.dom_runAdoptingSteps(l,s),l=u.tree_getNextDescendantNode(e,l,!0,!0)}}}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(3),o=n(9),s=n(17),l=n(51),c=n(30);t.characterData_replaceData=function(e,t,n,u){var d,f,p=s.tree_nodeLength(e);if(t>p)throw new o.IndexSizeError("Offset exceeds character data length. Offset: "+t+", Length: "+p+", Node is "+e.nodeName+".");t+n>p&&(n=p-t),i.dom.features.mutationObservers&&l.observer_queueMutationRecord("characterData",e,null,null,e._data,[],[],null,null);var h=e._data.substring(0,t)+u+e._data.substring(t+n);e._data=h;try{for(var m=r(i.dom.rangeList),g=m.next();!g.done;g=m.next()){var v=g.value;v._start[0]===e&&v._start[1]>t&&v._start[1]<=t+n&&(v._start[1]=t),v._end[0]===e&&v._end[1]>t&&v._end[1]<=t+n&&(v._end[1]=t),v._start[0]===e&&v._start[1]>t+n&&(v._start[1]+=u.length-n),v._end[0]===e&&v._end[1]>t+n&&(v._end[1]+=u.length-n)}}catch(e){d={error:e}}finally{try{g&&!g.done&&(f=m.return)&&f.call(m)}finally{if(d)throw d.error}}i.dom.features.steps&&a.Guard.isTextNode(e)&&null!==e._parent&&c.dom_runChildTextContentChangeSteps(e._parent)},t.characterData_substringData=function(e,t,n){var r=s.tree_nodeLength(e);if(t>r)throw new o.IndexSizeError("Offset exceeds character data length. Offset: "+t+", Length: "+r+", Node is "+e.nodeName+".");return t+n>r?e._data.substr(t):e._data.substr(t,n)}},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},i=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(r(arguments[t]));return e},a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(7);function s(e){var t=o.string.splitAStringOnASCIIWhitespace(e);return new Set(t)}function l(e){return i(e).join(" ")}t.orderedSet_parse=s,t.orderedSet_serialize=l,t.orderedSet_sanitize=function(e){return l(s(e))},t.orderedSet_contains=function(e,t,n){var r,i,o,s;try{for(var l=a(t),c=l.next();!c.done;c=l.next()){var u=c.value,d=!1;try{for(var f=(o=void 0,a(e)),p=f.next();!p.done;p=f.next()){var h=p.value;if(n){if(h===u){d=!0;break}}else if(h.toUpperCase()===u.toUpperCase()){d=!0;break}}}catch(e){o={error:e}}finally{try{p&&!p.done&&(s=f.return)&&s.call(f)}finally{if(o)throw o.error}}if(!d)return!1}}catch(e){r={error:e}}finally{try{c&&!c.done&&(i=l.return)&&i.call(l)}finally{if(r)throw r.error}}return!0}},function(e,t,n){"use strict";n(179),Object.defineProperty(t,"__esModule",{value:!0});var r=n(262),i=n(110),a=n(1);i.dom.setFeatures(!1),t.createDocument=function(){var e=(new r.DOMImplementation).createDocument(null,"root",null);return e.documentElement&&e.removeChild(e.documentElement),e},t.sanitizeInput=function(e,t){if(null==e)return e;if(void 0===t)return e+"";var n="";e+="";for(var r=0;r<e.length;r++){var i=e.charCodeAt(r);if(9===i||10===i||13===i||i>=32&&i<=55295||i>=57344&&i<=65533)n+=e.charAt(r);else if(i>=55296&&i<=56319&&r<e.length-1){var o=e.charCodeAt(r+1);o>=56320&&o<=57343?(i=1024*(i-55296)+o-56320+65536,n+=String.fromCodePoint(i),r++):n+=a.isString(t)?t:t(e.charAt(r),r,e)}else n+=a.isString(t)?t:t(e.charAt(r),r,e)}return n}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(1),i=n(153);t.AbortController=i.AbortControllerImpl;var a=n(154);t.AbortSignal=a.AbortSignalImpl;var o=n(102);t.AbstractRange=o.AbstractRangeImpl;var s=n(157);t.Attr=s.AttrImpl;var l=n(158);t.CDATASection=l.CDATASectionImpl;var c=n(71);t.CharacterData=c.CharacterDataImpl;var u=n(263),d=n(159);t.Comment=d.CommentImpl;var f=n(171);t.CustomEvent=f.CustomEventImpl;var p=n(100);t.DocumentFragment=p.DocumentFragmentImpl;var h=n(98);t.Document=h.DocumentImpl;var m=n(264),g=n(155);t.DocumentType=g.DocumentTypeImpl;var v=n(6);t.dom=v.dom;var y=n(148);t.DOMImplementation=y.DOMImplementationImpl;var b=n(170);t.DOMTokenList=b.DOMTokenListImpl;var _=n(99);t.Element=_.ElementImpl;var x=n(104);t.Event=x.EventImpl;var w=n(70);t.EventTarget=w.EventTargetImpl;var A=n(161);t.HTMLCollection=A.HTMLCollectionImpl;var S=n(265);t.MutationObserver=S.MutationObserverImpl;var T=n(169);t.MutationRecord=T.MutationRecordImpl;var C=n(164);t.NamedNodeMap=C.NamedNodeMapImpl;var E=n(168);t.NodeFilter=E.NodeFilterImpl;var M=n(34);t.Node=M.NodeImpl;var D=n(166);t.NodeIterator=D.NodeIteratorImpl;var P=n(162);t.NodeList=P.NodeListImpl;var I=n(163);t.NodeListStatic=I.NodeListStaticImpl;var O=n(266),N=n(267),k=n(268),R=n(160);t.ProcessingInstruction=R.ProcessingInstructionImpl;var L=n(165);t.Range=L.RangeImpl;var F=n(156);t.ShadowRoot=F.ShadowRootImpl;var B=n(269),U=n(270);t.StaticRange=U.StaticRangeImpl;var V=n(101);t.Text=V.TextImpl;var G=n(103);t.Traverser=G.TraverserImpl;var z=n(167);t.TreeWalker=z.TreeWalkerImpl;var j=n(149);t.Window=j.WindowImpl;var W=n(151);t.XMLDocument=W.XMLDocumentImpl,r.applyMixin(_.ElementImpl,u.ChildNodeImpl),r.applyMixin(c.CharacterDataImpl,u.ChildNodeImpl),r.applyMixin(g.DocumentTypeImpl,u.ChildNodeImpl),r.applyMixin(h.DocumentImpl,m.DocumentOrShadowRootImpl),r.applyMixin(F.ShadowRootImpl,m.DocumentOrShadowRootImpl),r.applyMixin(_.ElementImpl,O.NonDocumentTypeChildNodeImpl),r.applyMixin(c.CharacterDataImpl,O.NonDocumentTypeChildNodeImpl),r.applyMixin(h.DocumentImpl,N.NonElementParentNodeImpl),r.applyMixin(p.DocumentFragmentImpl,N.NonElementParentNodeImpl),r.applyMixin(h.DocumentImpl,k.ParentNodeImpl),r.applyMixin(p.DocumentFragmentImpl,k.ParentNodeImpl),r.applyMixin(_.ElementImpl,k.ParentNodeImpl),r.applyMixin(V.TextImpl,B.SlotableImpl),r.applyMixin(_.ElementImpl,B.SlotableImpl)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.EOF=0]="EOF",e[e.Declaration=1]="Declaration",e[e.DocType=2]="DocType",e[e.Element=3]="Element",e[e.Text=4]="Text",e[e.CDATA=5]="CDATA",e[e.PI=6]="PI",e[e.Comment=7]="Comment",e[e.ClosingTag=8]="ClosingTag"}(t.TokenType||(t.TokenType={}))},function(e,t,n){"use strict";n(64),n(20),n(66);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(1),o=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return i(t,e),t.prototype._parse=function(e,t){var n=this,r=this._builderOptions,i=null;return a.isFunction(t)?i=this.parse(e,t.apply(this)):a.isArray(t)||a.isSet(t)?a.forEachArray(t,(function(t){return i=n.parse(e,t)}),this):a.isMap(t)||a.isObject(t)?a.forEachObject(t,(function(t,o){if(a.isFunction(o)&&(o=o.apply(n)),r.ignoreConverters||0!==t.indexOf(r.convert.att))if(r.ignoreConverters||0!==t.indexOf(r.convert.text))if(r.ignoreConverters||0!==t.indexOf(r.convert.cdata))if(r.ignoreConverters||0!==t.indexOf(r.convert.comment))if(r.ignoreConverters||0!==t.indexOf(r.convert.ins)){if((a.isArray(o)||a.isSet(o))&&a.isEmpty(o));else if((a.isMap(o)||a.isObject(o))&&a.isEmpty(o))i=n.element(e,void 0,n.sanitize(t))||i;else if(r.keepNullNodes||null!=o)if(a.isArray(o)||a.isSet(o))a.forEachArray(o,(function(r){var a={};a[t]=r,i=n.parse(e,a)}),n);else if(a.isMap(o)||a.isObject(o))(s=n.element(e,void 0,n.sanitize(t)))&&(i=s,n.parse(s,o));else if(null!=o&&""!==o){var s;(s=n.element(e,void 0,n.sanitize(t)))&&(i=s,n.text(s,n._decodeText(n.sanitize(o))))}else i=n.element(e,void 0,n.sanitize(t))||i}else if(a.isString(o)){var l=o.indexOf(" "),c=-1===l?o:o.substr(0,l),u=-1===l?"":o.substr(l+1);i=n.instruction(e,n.sanitize(c),n.sanitize(u))||i}else a.isArray(o)||a.isSet(o)?a.forEachArray(o,(function(t){var r=t.indexOf(" "),a=-1===r?t:t.substr(0,r),o=-1===r?"":t.substr(r+1);i=n.instruction(e,n.sanitize(a),n.sanitize(o))||i}),n):a.forEachObject(o,(function(t,r){return i=n.instruction(e,n.sanitize(t),n.sanitize(r))||i}),n);else a.isArray(o)||a.isSet(o)?a.forEachArray(o,(function(t){return i=n.comment(e,n.sanitize(t))||i}),n):i=n.comment(e,n.sanitize(o))||i;else a.isArray(o)||a.isSet(o)?a.forEachArray(o,(function(t){return i=n.cdata(e,n.sanitize(t))||i}),n):i=n.cdata(e,n.sanitize(o))||i;else i=a.isMap(o)||a.isObject(o)?n.parse(e,o):n.text(e,n._decodeText(n.sanitize(o)))||i;else if(t===r.convert.att){if(a.isArray(o)||a.isSet(o))throw new Error("Invalid attribute: "+o.toString()+". "+e._debugInfo());a.forEachObject(o,(function(t,r){i=n.attribute(e,void 0,n.sanitize(t),n._decodeAttributeValue(n.sanitize(r)))||i}))}else i=n.attribute(e,void 0,n.sanitize(t.substr(r.convert.att.length)),n._decodeAttributeValue(n.sanitize(o)))||i}),this):(r.keepNullNodes||null!=t)&&(i=this.text(e,this._decodeText(this.sanitize(t)))||i),i||e},t}(n(75).BaseReader);t.ObjectReader=o},function(e,t,n){"use strict";var r=n(39);e.exports=new r({explicit:[n(286),n(287),n(288)]})},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.BaseCBWriter=function(e){this.level=0,this._builderOptions=e,this._writerOptions=e}},function(e,t,n){var r=n(16),i=n(8),a=n(116);e.exports=!r&&!i((function(){return 7!=Object.defineProperty(a("div"),"a",{get:function(){return 7}}).a}))},function(e,t,n){var r=n(11),i=n(13),a=r.document,o=i(a)&&i(a.createElement);e.exports=function(e){return o?a.createElement(e):{}}},function(e,t,n){var r=n(118),i=Function.toString;"function"!=typeof r.inspectSource&&(r.inspectSource=function(e){return i.call(e)}),e.exports=r.inspectSource},function(e,t,n){var r=n(11),i=n(80),a=r["__core-js_shared__"]||i("__core-js_shared__",{});e.exports=a},function(e,t,n){var r=n(14),i=n(187),a=n(55),o=n(15);e.exports=function(e,t){for(var n=i(t),s=o.f,l=a.f,c=0;c<n.length;c++){var u=n[c];r(e,u)||s(e,u,l(t,u))}}},function(e,t,n){var r=n(11);e.exports=r},function(e,t,n){var r=n(14),i=n(24),a=n(122).indexOf,o=n(45);e.exports=function(e,t){var n,s=i(e),l=0,c=[];for(n in s)!r(o,n)&&r(s,n)&&c.push(n);for(;t.length>l;)r(s,n=t[l++])&&(~a(c,n)||c.push(n));return c}},function(e,t,n){var r=n(24),i=n(26),a=n(83),o=function(e){return function(t,n,o){var s,l=r(t),c=i(l.length),u=a(o,c);if(e&&n!=n){for(;c>u;)if((s=l[u++])!=s)return!0}else for(;c>u;u++)if((e||u in l)&&l[u]===n)return e||u||0;return!e&&-1}};e.exports={includes:o(!0),indexOf:o(!1)}},function(e,t,n){var r=n(8),i=/#|\.prototype\./,a=function(e,t){var n=s[o(e)];return n==c||n!=l&&("function"==typeof t?r(t):!!t)},o=a.normalize=function(e){return String(e).replace(i,".").toLowerCase()},s=a.data={},l=a.NATIVE="N",c=a.POLYFILL="P";e.exports=a},function(e,t,n){var r=n(86);e.exports=r&&!Symbol.sham&&"symbol"==typeof Symbol.iterator},function(e,t,n){var r=n(5);t.f=r},function(e,t,n){var r=n(120),i=n(14),a=n(125),o=n(15).f;e.exports=function(e){var t=r.Symbol||(r.Symbol={});i(t,e)||o(t,e,{value:a.f(e)})}},function(e,t){e.exports=function(e){if("function"!=typeof e)throw TypeError(String(e)+" is not a function");return e}},function(e,t,n){var r=n(13),i=n(59),a=n(5)("species");e.exports=function(e,t){var n;return i(e)&&("function"!=typeof(n=e.constructor)||n!==Array&&!i(n.prototype)?r(n)&&null===(n=n[a])&&(n=void 0):n=void 0),new(void 0===n?Array:n)(0===t?0:t)}},function(e,t,n){var r,i,a=n(11),o=n(193),s=a.process,l=s&&s.versions,c=l&&l.v8;c?i=(r=c.split("."))[0]+r[1]:o&&(!(r=o.match(/Edge\/(\d+)/))||r[1]>=74)&&(r=o.match(/Chrome\/(\d+)/))&&(i=r[1]),e.exports=i&&+i},function(e,t,n){var r=n(5),i=n(60),a=n(15),o=r("unscopables"),s=Array.prototype;null==s[o]&&a.f(s,o,{configurable:!0,value:i(null)}),e.exports=function(e){s[o][e]=!0}},function(e,t,n){"use strict";var r,i,a,o=n(132),s=n(21),l=n(14),c=n(5),u=n(44),d=c("iterator"),f=!1;[].keys&&("next"in(a=[].keys())?(i=o(o(a)))!==Object.prototype&&(r=i):f=!0),null==r&&(r={}),u||l(r,d)||s(r,d,(function(){return this})),e.exports={IteratorPrototype:r,BUGGY_SAFARI_ITERATORS:f}},function(e,t,n){var r=n(14),i=n(27),a=n(57),o=n(196),s=a("IE_PROTO"),l=Object.prototype;e.exports=o?Object.getPrototypeOf:function(e){return e=i(e),r(e,s)?e[s]:"function"==typeof e.constructor&&e instanceof e.constructor?e.constructor.prototype:e instanceof Object?l:null}},function(e,t,n){var r=n(18),i=n(197);e.exports=Object.setPrototypeOf||("__proto__"in{}?function(){var e,t=!1,n={};try{(e=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(n,[]),t=n instanceof Array}catch(e){}return function(n,a){return r(n),i(a),t?e.call(n,a):n.__proto__=a,n}}():void 0)},function(e,t,n){"use strict";var r=n(56),i=n(15),a=n(40);e.exports=function(e,t,n){var o=r(t);o in e?i.f(e,o,a(0,n)):e[o]=n}},function(e,t,n){var r=n(90),i=n(42),a=n(5)("toStringTag"),o="Arguments"==i(function(){return arguments}());e.exports=r?i:function(e){var t,n,r;return void 0===e?"Undefined":null===e?"Null":"string"==typeof(n=function(e,t){try{return e[t]}catch(e){}}(t=Object(e),a))?n:o?i(t):"Object"==(r=i(t))&&"function"==typeof t.callee?"Arguments":r}},function(e,t,n){"use strict";var r=n(18);e.exports=function(){var e=r(this),t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.dotAll&&(t+="s"),e.unicode&&(t+="u"),e.sticky&&(t+="y"),t}},function(e,t,n){var r=n(47),i=n(35),a=function(e){return function(t,n){var a,o,s=String(i(t)),l=r(n),c=s.length;return l<0||l>=c?e?"":void 0:(a=s.charCodeAt(l))<55296||a>56319||l+1===c||(o=s.charCodeAt(l+1))<56320||o>57343?e?s.charAt(l):a:e?s.slice(l,l+2):o-56320+(a-55296<<10)+65536}};e.exports={codeAt:a(!1),charAt:a(!0)}},function(e,t,n){var r=n(4),i=n(27),a=n(61);r({target:"Object",stat:!0,forced:n(8)((function(){a(1)}))},{keys:function(e){return a(i(e))}})},function(e,t,n){"use strict";var r=n(4),i=n(11),a=n(123),o=n(25),s=n(140),l=n(141),c=n(142),u=n(13),d=n(8),f=n(208),p=n(62),h=n(209);e.exports=function(e,t,n){var m=-1!==e.indexOf("Map"),g=-1!==e.indexOf("Weak"),v=m?"set":"add",y=i[e],b=y&&y.prototype,_=y,x={},w=function(e){var t=b[e];o(b,e,"add"==e?function(e){return t.call(this,0===e?0:e),this}:"delete"==e?function(e){return!(g&&!u(e))&&t.call(this,0===e?0:e)}:"get"==e?function(e){return g&&!u(e)?void 0:t.call(this,0===e?0:e)}:"has"==e?function(e){return!(g&&!u(e))&&t.call(this,0===e?0:e)}:function(e,n){return t.call(this,0===e?0:e,n),this})};if(a(e,"function"!=typeof y||!(g||b.forEach&&!d((function(){(new y).entries().next()})))))_=n.getConstructor(t,e,m,v),s.REQUIRED=!0;else if(a(e,!0)){var A=new _,S=A[v](g?{}:-0,1)!=A,T=d((function(){A.has(1)})),C=f((function(e){new y(e)})),E=!g&&d((function(){for(var e=new y,t=5;t--;)e[v](t,t);return!e.has(-0)}));C||((_=t((function(t,n){c(t,_,e);var r=h(new y,t,_);return null!=n&&l(n,r[v],r,m),r}))).prototype=b,b.constructor=_),(T||E)&&(w("delete"),w("has"),m&&w("get")),(E||S)&&w(v),g&&b.clear&&delete b.clear}return x[e]=_,r({global:!0,forced:_!=y},x),p(_,e),g||n.setStrong(_,e,m),_}},function(e,t,n){var r=n(45),i=n(13),a=n(14),o=n(15).f,s=n(58),l=n(204),c=s("meta"),u=0,d=Object.isExtensible||function(){return!0},f=function(e){o(e,c,{value:{objectID:"O"+ ++u,weakData:{}}})},p=e.exports={REQUIRED:!1,fastKey:function(e,t){if(!i(e))return"symbol"==typeof e?e:("string"==typeof e?"S":"P")+e;if(!a(e,c)){if(!d(e))return"F";if(!t)return"E";f(e)}return e[c].objectID},getWeakData:function(e,t){if(!a(e,c)){if(!d(e))return!0;if(!t)return!1;f(e)}return e[c].weakData},onFreeze:function(e){return l&&p.REQUIRED&&d(e)&&!a(e,c)&&f(e),e}};r[c]=!0},function(e,t,n){var r=n(18),i=n(205),a=n(26),o=n(87),s=n(206),l=n(207),c=function(e,t){this.stopped=e,this.result=t};(e.exports=function(e,t,n,u,d){var f,p,h,m,g,v,y,b=o(t,n,u?2:1);if(d)f=e;else{if("function"!=typeof(p=s(e)))throw TypeError("Target is not iterable");if(i(p)){for(h=0,m=a(e.length);m>h;h++)if((g=u?b(r(y=e[h])[0],y[1]):b(e[h]))&&g instanceof c)return g;return new c(!1)}f=p.call(e)}for(v=f.next;!(y=v.call(f)).done;)if("object"==typeof(g=l(f,b,y.value,u))&&g&&g instanceof c)return g;return new c(!1)}).stop=function(e){return new c(!0,e)}},function(e,t){e.exports=function(e,t,n){if(!(e instanceof t))throw TypeError("Incorrect "+(n?n+" ":"")+"invocation");return e}},function(e,t,n){"use strict";var r=n(15).f,i=n(60),a=n(210),o=n(87),s=n(142),l=n(141),c=n(88),u=n(211),d=n(16),f=n(140).fastKey,p=n(43),h=p.set,m=p.getterFor;e.exports={getConstructor:function(e,t,n,c){var u=e((function(e,r){s(e,u,t),h(e,{type:t,index:i(null),first:void 0,last:void 0,size:0}),d||(e.size=0),null!=r&&l(r,e[c],e,n)})),p=m(t),g=function(e,t,n){var r,i,a=p(e),o=v(e,t);return o?o.value=n:(a.last=o={index:i=f(t,!0),key:t,value:n,previous:r=a.last,next:void 0,removed:!1},a.first||(a.first=o),r&&(r.next=o),d?a.size++:e.size++,"F"!==i&&(a.index[i]=o)),e},v=function(e,t){var n,r=p(e),i=f(t);if("F"!==i)return r.index[i];for(n=r.first;n;n=n.next)if(n.key==t)return n};return a(u.prototype,{clear:function(){for(var e=p(this),t=e.index,n=e.first;n;)n.removed=!0,n.previous&&(n.previous=n.previous.next=void 0),delete t[n.index],n=n.next;e.first=e.last=void 0,d?e.size=0:this.size=0},delete:function(e){var t=p(this),n=v(this,e);if(n){var r=n.next,i=n.previous;delete t.index[n.index],n.removed=!0,i&&(i.next=r),r&&(r.previous=i),t.first==n&&(t.first=r),t.last==n&&(t.last=i),d?t.size--:this.size--}return!!n},forEach:function(e){for(var t,n=p(this),r=o(e,arguments.length>1?arguments[1]:void 0,3);t=t?t.next:n.first;)for(r(t.value,t.key,this);t&&t.removed;)t=t.previous},has:function(e){return!!v(this,e)}}),a(u.prototype,n?{get:function(e){var t=v(this,e);return t&&t.value},set:function(e,t){return g(this,0===e?0:e,t)}}:{add:function(e){return g(this,e=0===e?0:e,e)}}),d&&r(u.prototype,"size",{get:function(){return p(this).size}}),u},setStrong:function(e,t,n){var r=t+" Iterator",i=m(t),a=m(r);c(e,t,(function(e,t){h(this,{type:r,target:e,state:i(e),kind:t,last:void 0})}),(function(){for(var e=a(this),t=e.kind,n=e.last;n&&n.removed;)n=n.previous;return e.target&&(e.last=n=n?n.next:e.state.first)?"keys"==t?{value:n.key,done:!1}:"values"==t?{value:n.value,done:!1}:{value:[n.key,n.value],done:!1}:(e.target=void 0,{value:void 0,done:!0})}),n?"entries":"values",!n,!0),u(t)}}},function(e,t,n){"use strict";var r,i=n(4),a=n(55).f,o=n(26),s=n(222),l=n(35),c=n(224),u=n(44),d="".endsWith,f=Math.min,p=c("endsWith");i({target:"String",proto:!0,forced:!(!u&&!p&&(r=a(String.prototype,"endsWith"),r&&!r.writable)||p)},{endsWith:function(e){var t=String(l(this));s(e);var n=arguments.length>1?arguments[1]:void 0,r=o(t.length),i=void 0===n?r:f(o(n),r),a=String(e);return d?d.call(t,a,i):t.slice(i-a.length,i)===a}})},function(e,t,n){"use strict";(function(e){var r=n(229),i=n(230),a=n(231);function o(){return l.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function s(e,t){if(o()<t)throw new RangeError("Invalid typed array length");return l.TYPED_ARRAY_SUPPORT?(e=new Uint8Array(t)).__proto__=l.prototype:(null===e&&(e=new l(t)),e.length=t),e}function l(e,t,n){if(!(l.TYPED_ARRAY_SUPPORT||this instanceof l))return new l(e,t,n);if("number"==typeof e){if("string"==typeof t)throw new Error("If encoding is specified then the first argument must be a string");return d(this,e)}return c(this,e,t,n)}function c(e,t,n,r){if("number"==typeof t)throw new TypeError('"value" argument must not be a number');return"undefined"!=typeof ArrayBuffer&&t instanceof ArrayBuffer?function(e,t,n,r){if(t.byteLength,n<0||t.byteLength<n)throw new RangeError("'offset' is out of bounds");if(t.byteLength<n+(r||0))throw new RangeError("'length' is out of bounds");return t=void 0===n&&void 0===r?new Uint8Array(t):void 0===r?new Uint8Array(t,n):new Uint8Array(t,n,r),l.TYPED_ARRAY_SUPPORT?(e=t).__proto__=l.prototype:e=f(e,t),e}(e,t,n,r):"string"==typeof t?function(e,t,n){if("string"==typeof n&&""!==n||(n="utf8"),!l.isEncoding(n))throw new TypeError('"encoding" must be a valid string encoding');var r=0|h(t,n),i=(e=s(e,r)).write(t,n);return i!==r&&(e=e.slice(0,i)),e}(e,t,n):function(e,t){if(l.isBuffer(t)){var n=0|p(t.length);return 0===(e=s(e,n)).length||t.copy(e,0,0,n),e}if(t){if("undefined"!=typeof ArrayBuffer&&t.buffer instanceof ArrayBuffer||"length"in t)return"number"!=typeof t.length||(r=t.length)!=r?s(e,0):f(e,t);if("Buffer"===t.type&&a(t.data))return f(e,t.data)}var r;throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}(e,t)}function u(e){if("number"!=typeof e)throw new TypeError('"size" argument must be a number');if(e<0)throw new RangeError('"size" argument must not be negative')}function d(e,t){if(u(t),e=s(e,t<0?0:0|p(t)),!l.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;++n)e[n]=0;return e}function f(e,t){var n=t.length<0?0:0|p(t.length);e=s(e,n);for(var r=0;r<n;r+=1)e[r]=255&t[r];return e}function p(e){if(e>=o())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+o().toString(16)+" bytes");return 0|e}function h(e,t){if(l.isBuffer(e))return e.length;if("undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(e)||e instanceof ArrayBuffer))return e.byteLength;"string"!=typeof e&&(e=""+e);var n=e.length;if(0===n)return 0;for(var r=!1;;)switch(t){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":case void 0:return V(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*n;case"hex":return n>>>1;case"base64":return G(e).length;default:if(r)return V(e).length;t=(""+t).toLowerCase(),r=!0}}function m(e,t,n){var r=!1;if((void 0===t||t<0)&&(t=0),t>this.length)return"";if((void 0===n||n>this.length)&&(n=this.length),n<=0)return"";if((n>>>=0)<=(t>>>=0))return"";for(e||(e="utf8");;)switch(e){case"hex":return D(this,t,n);case"utf8":case"utf-8":return C(this,t,n);case"ascii":return E(this,t,n);case"latin1":case"binary":return M(this,t,n);case"base64":return T(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return P(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function g(e,t,n){var r=e[t];e[t]=e[n],e[n]=r}function v(e,t,n,r,i){if(0===e.length)return-1;if("string"==typeof n?(r=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n=+n,isNaN(n)&&(n=i?0:e.length-1),n<0&&(n=e.length+n),n>=e.length){if(i)return-1;n=e.length-1}else if(n<0){if(!i)return-1;n=0}if("string"==typeof t&&(t=l.from(t,r)),l.isBuffer(t))return 0===t.length?-1:y(e,t,n,r,i);if("number"==typeof t)return t&=255,l.TYPED_ARRAY_SUPPORT&&"function"==typeof Uint8Array.prototype.indexOf?i?Uint8Array.prototype.indexOf.call(e,t,n):Uint8Array.prototype.lastIndexOf.call(e,t,n):y(e,[t],n,r,i);throw new TypeError("val must be string, number or Buffer")}function y(e,t,n,r,i){var a,o=1,s=e.length,l=t.length;if(void 0!==r&&("ucs2"===(r=String(r).toLowerCase())||"ucs-2"===r||"utf16le"===r||"utf-16le"===r)){if(e.length<2||t.length<2)return-1;o=2,s/=2,l/=2,n/=2}function c(e,t){return 1===o?e[t]:e.readUInt16BE(t*o)}if(i){var u=-1;for(a=n;a<s;a++)if(c(e,a)===c(t,-1===u?0:a-u)){if(-1===u&&(u=a),a-u+1===l)return u*o}else-1!==u&&(a-=a-u),u=-1}else for(n+l>s&&(n=s-l),a=n;a>=0;a--){for(var d=!0,f=0;f<l;f++)if(c(e,a+f)!==c(t,f)){d=!1;break}if(d)return a}return-1}function b(e,t,n,r){n=Number(n)||0;var i=e.length-n;r?(r=Number(r))>i&&(r=i):r=i;var a=t.length;if(a%2!=0)throw new TypeError("Invalid hex string");r>a/2&&(r=a/2);for(var o=0;o<r;++o){var s=parseInt(t.substr(2*o,2),16);if(isNaN(s))return o;e[n+o]=s}return o}function _(e,t,n,r){return z(V(t,e.length-n),e,n,r)}function x(e,t,n,r){return z(function(e){for(var t=[],n=0;n<e.length;++n)t.push(255&e.charCodeAt(n));return t}(t),e,n,r)}function w(e,t,n,r){return x(e,t,n,r)}function A(e,t,n,r){return z(G(t),e,n,r)}function S(e,t,n,r){return z(function(e,t){for(var n,r,i,a=[],o=0;o<e.length&&!((t-=2)<0);++o)r=(n=e.charCodeAt(o))>>8,i=n%256,a.push(i),a.push(r);return a}(t,e.length-n),e,n,r)}function T(e,t,n){return 0===t&&n===e.length?r.fromByteArray(e):r.fromByteArray(e.slice(t,n))}function C(e,t,n){n=Math.min(e.length,n);for(var r=[],i=t;i<n;){var a,o,s,l,c=e[i],u=null,d=c>239?4:c>223?3:c>191?2:1;if(i+d<=n)switch(d){case 1:c<128&&(u=c);break;case 2:128==(192&(a=e[i+1]))&&(l=(31&c)<<6|63&a)>127&&(u=l);break;case 3:a=e[i+1],o=e[i+2],128==(192&a)&&128==(192&o)&&(l=(15&c)<<12|(63&a)<<6|63&o)>2047&&(l<55296||l>57343)&&(u=l);break;case 4:a=e[i+1],o=e[i+2],s=e[i+3],128==(192&a)&&128==(192&o)&&128==(192&s)&&(l=(15&c)<<18|(63&a)<<12|(63&o)<<6|63&s)>65535&&l<1114112&&(u=l)}null===u?(u=65533,d=1):u>65535&&(u-=65536,r.push(u>>>10&1023|55296),u=56320|1023&u),r.push(u),i+=d}return function(e){var t=e.length;if(t<=4096)return String.fromCharCode.apply(String,e);for(var n="",r=0;r<t;)n+=String.fromCharCode.apply(String,e.slice(r,r+=4096));return n}(r)}function E(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;++i)r+=String.fromCharCode(127&e[i]);return r}function M(e,t,n){var r="";n=Math.min(e.length,n);for(var i=t;i<n;++i)r+=String.fromCharCode(e[i]);return r}function D(e,t,n){var r=e.length;(!t||t<0)&&(t=0),(!n||n<0||n>r)&&(n=r);for(var i="",a=t;a<n;++a)i+=U(e[a]);return i}function P(e,t,n){for(var r=e.slice(t,n),i="",a=0;a<r.length;a+=2)i+=String.fromCharCode(r[a]+256*r[a+1]);return i}function I(e,t,n){if(e%1!=0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function O(e,t,n,r,i,a){if(!l.isBuffer(e))throw new TypeError('"buffer" argument must be a Buffer instance');if(t>i||t<a)throw new RangeError('"value" argument is out of bounds');if(n+r>e.length)throw new RangeError("Index out of range")}function N(e,t,n,r){t<0&&(t=65535+t+1);for(var i=0,a=Math.min(e.length-n,2);i<a;++i)e[n+i]=(t&255<<8*(r?i:1-i))>>>8*(r?i:1-i)}function k(e,t,n,r){t<0&&(t=4294967295+t+1);for(var i=0,a=Math.min(e.length-n,4);i<a;++i)e[n+i]=t>>>8*(r?i:3-i)&255}function R(e,t,n,r,i,a){if(n+r>e.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function L(e,t,n,r,a){return a||R(e,0,n,4),i.write(e,t,n,r,23,4),n+4}function F(e,t,n,r,a){return a||R(e,0,n,8),i.write(e,t,n,r,52,8),n+8}t.Buffer=l,t.SlowBuffer=function(e){return+e!=e&&(e=0),l.alloc(+e)},t.INSPECT_MAX_BYTES=50,l.TYPED_ARRAY_SUPPORT=void 0!==e.TYPED_ARRAY_SUPPORT?e.TYPED_ARRAY_SUPPORT:function(){try{var e=new Uint8Array(1);return e.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}},42===e.foo()&&"function"==typeof e.subarray&&0===e.subarray(1,1).byteLength}catch(e){return!1}}(),t.kMaxLength=o(),l.poolSize=8192,l._augment=function(e){return e.__proto__=l.prototype,e},l.from=function(e,t,n){return c(null,e,t,n)},l.TYPED_ARRAY_SUPPORT&&(l.prototype.__proto__=Uint8Array.prototype,l.__proto__=Uint8Array,"undefined"!=typeof Symbol&&Symbol.species&&l[Symbol.species]===l&&Object.defineProperty(l,Symbol.species,{value:null,configurable:!0})),l.alloc=function(e,t,n){return function(e,t,n,r){return u(t),t<=0?s(e,t):void 0!==n?"string"==typeof r?s(e,t).fill(n,r):s(e,t).fill(n):s(e,t)}(null,e,t,n)},l.allocUnsafe=function(e){return d(null,e)},l.allocUnsafeSlow=function(e){return d(null,e)},l.isBuffer=function(e){return!(null==e||!e._isBuffer)},l.compare=function(e,t){if(!l.isBuffer(e)||!l.isBuffer(t))throw new TypeError("Arguments must be Buffers");if(e===t)return 0;for(var n=e.length,r=t.length,i=0,a=Math.min(n,r);i<a;++i)if(e[i]!==t[i]){n=e[i],r=t[i];break}return n<r?-1:r<n?1:0},l.isEncoding=function(e){switch(String(e).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},l.concat=function(e,t){if(!a(e))throw new TypeError('"list" argument must be an Array of Buffers');if(0===e.length)return l.alloc(0);var n;if(void 0===t)for(t=0,n=0;n<e.length;++n)t+=e[n].length;var r=l.allocUnsafe(t),i=0;for(n=0;n<e.length;++n){var o=e[n];if(!l.isBuffer(o))throw new TypeError('"list" argument must be an Array of Buffers');o.copy(r,i),i+=o.length}return r},l.byteLength=h,l.prototype._isBuffer=!0,l.prototype.swap16=function(){var e=this.length;if(e%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var t=0;t<e;t+=2)g(this,t,t+1);return this},l.prototype.swap32=function(){var e=this.length;if(e%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var t=0;t<e;t+=4)g(this,t,t+3),g(this,t+1,t+2);return this},l.prototype.swap64=function(){var e=this.length;if(e%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var t=0;t<e;t+=8)g(this,t,t+7),g(this,t+1,t+6),g(this,t+2,t+5),g(this,t+3,t+4);return this},l.prototype.toString=function(){var e=0|this.length;return 0===e?"":0===arguments.length?C(this,0,e):m.apply(this,arguments)},l.prototype.equals=function(e){if(!l.isBuffer(e))throw new TypeError("Argument must be a Buffer");return this===e||0===l.compare(this,e)},l.prototype.inspect=function(){var e="",n=t.INSPECT_MAX_BYTES;return this.length>0&&(e=this.toString("hex",0,n).match(/.{2}/g).join(" "),this.length>n&&(e+=" ... ")),"<Buffer "+e+">"},l.prototype.compare=function(e,t,n,r,i){if(!l.isBuffer(e))throw new TypeError("Argument must be a Buffer");if(void 0===t&&(t=0),void 0===n&&(n=e?e.length:0),void 0===r&&(r=0),void 0===i&&(i=this.length),t<0||n>e.length||r<0||i>this.length)throw new RangeError("out of range index");if(r>=i&&t>=n)return 0;if(r>=i)return-1;if(t>=n)return 1;if(this===e)return 0;for(var a=(i>>>=0)-(r>>>=0),o=(n>>>=0)-(t>>>=0),s=Math.min(a,o),c=this.slice(r,i),u=e.slice(t,n),d=0;d<s;++d)if(c[d]!==u[d]){a=c[d],o=u[d];break}return a<o?-1:o<a?1:0},l.prototype.includes=function(e,t,n){return-1!==this.indexOf(e,t,n)},l.prototype.indexOf=function(e,t,n){return v(this,e,t,n,!0)},l.prototype.lastIndexOf=function(e,t,n){return v(this,e,t,n,!1)},l.prototype.write=function(e,t,n,r){if(void 0===t)r="utf8",n=this.length,t=0;else if(void 0===n&&"string"==typeof t)r=t,n=this.length,t=0;else{if(!isFinite(t))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");t|=0,isFinite(n)?(n|=0,void 0===r&&(r="utf8")):(r=n,n=void 0)}var i=this.length-t;if((void 0===n||n>i)&&(n=i),e.length>0&&(n<0||t<0)||t>this.length)throw new RangeError("Attempt to write outside buffer bounds");r||(r="utf8");for(var a=!1;;)switch(r){case"hex":return b(this,e,t,n);case"utf8":case"utf-8":return _(this,e,t,n);case"ascii":return x(this,e,t,n);case"latin1":case"binary":return w(this,e,t,n);case"base64":return A(this,e,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return S(this,e,t,n);default:if(a)throw new TypeError("Unknown encoding: "+r);r=(""+r).toLowerCase(),a=!0}},l.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}},l.prototype.slice=function(e,t){var n,r=this.length;if((e=~~e)<0?(e+=r)<0&&(e=0):e>r&&(e=r),(t=void 0===t?r:~~t)<0?(t+=r)<0&&(t=0):t>r&&(t=r),t<e&&(t=e),l.TYPED_ARRAY_SUPPORT)(n=this.subarray(e,t)).__proto__=l.prototype;else{var i=t-e;n=new l(i,void 0);for(var a=0;a<i;++a)n[a]=this[a+e]}return n},l.prototype.readUIntLE=function(e,t,n){e|=0,t|=0,n||I(e,t,this.length);for(var r=this[e],i=1,a=0;++a<t&&(i*=256);)r+=this[e+a]*i;return r},l.prototype.readUIntBE=function(e,t,n){e|=0,t|=0,n||I(e,t,this.length);for(var r=this[e+--t],i=1;t>0&&(i*=256);)r+=this[e+--t]*i;return r},l.prototype.readUInt8=function(e,t){return t||I(e,1,this.length),this[e]},l.prototype.readUInt16LE=function(e,t){return t||I(e,2,this.length),this[e]|this[e+1]<<8},l.prototype.readUInt16BE=function(e,t){return t||I(e,2,this.length),this[e]<<8|this[e+1]},l.prototype.readUInt32LE=function(e,t){return t||I(e,4,this.length),(this[e]|this[e+1]<<8|this[e+2]<<16)+16777216*this[e+3]},l.prototype.readUInt32BE=function(e,t){return t||I(e,4,this.length),16777216*this[e]+(this[e+1]<<16|this[e+2]<<8|this[e+3])},l.prototype.readIntLE=function(e,t,n){e|=0,t|=0,n||I(e,t,this.length);for(var r=this[e],i=1,a=0;++a<t&&(i*=256);)r+=this[e+a]*i;return r>=(i*=128)&&(r-=Math.pow(2,8*t)),r},l.prototype.readIntBE=function(e,t,n){e|=0,t|=0,n||I(e,t,this.length);for(var r=t,i=1,a=this[e+--r];r>0&&(i*=256);)a+=this[e+--r]*i;return a>=(i*=128)&&(a-=Math.pow(2,8*t)),a},l.prototype.readInt8=function(e,t){return t||I(e,1,this.length),128&this[e]?-1*(255-this[e]+1):this[e]},l.prototype.readInt16LE=function(e,t){t||I(e,2,this.length);var n=this[e]|this[e+1]<<8;return 32768&n?4294901760|n:n},l.prototype.readInt16BE=function(e,t){t||I(e,2,this.length);var n=this[e+1]|this[e]<<8;return 32768&n?4294901760|n:n},l.prototype.readInt32LE=function(e,t){return t||I(e,4,this.length),this[e]|this[e+1]<<8|this[e+2]<<16|this[e+3]<<24},l.prototype.readInt32BE=function(e,t){return t||I(e,4,this.length),this[e]<<24|this[e+1]<<16|this[e+2]<<8|this[e+3]},l.prototype.readFloatLE=function(e,t){return t||I(e,4,this.length),i.read(this,e,!0,23,4)},l.prototype.readFloatBE=function(e,t){return t||I(e,4,this.length),i.read(this,e,!1,23,4)},l.prototype.readDoubleLE=function(e,t){return t||I(e,8,this.length),i.read(this,e,!0,52,8)},l.prototype.readDoubleBE=function(e,t){return t||I(e,8,this.length),i.read(this,e,!1,52,8)},l.prototype.writeUIntLE=function(e,t,n,r){e=+e,t|=0,n|=0,r||O(this,e,t,n,Math.pow(2,8*n)-1,0);var i=1,a=0;for(this[t]=255&e;++a<n&&(i*=256);)this[t+a]=e/i&255;return t+n},l.prototype.writeUIntBE=function(e,t,n,r){e=+e,t|=0,n|=0,r||O(this,e,t,n,Math.pow(2,8*n)-1,0);var i=n-1,a=1;for(this[t+i]=255&e;--i>=0&&(a*=256);)this[t+i]=e/a&255;return t+n},l.prototype.writeUInt8=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,1,255,0),l.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),this[t]=255&e,t+1},l.prototype.writeUInt16LE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,2,65535,0),l.TYPED_ARRAY_SUPPORT?(this[t]=255&e,this[t+1]=e>>>8):N(this,e,t,!0),t+2},l.prototype.writeUInt16BE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,2,65535,0),l.TYPED_ARRAY_SUPPORT?(this[t]=e>>>8,this[t+1]=255&e):N(this,e,t,!1),t+2},l.prototype.writeUInt32LE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,4,4294967295,0),l.TYPED_ARRAY_SUPPORT?(this[t+3]=e>>>24,this[t+2]=e>>>16,this[t+1]=e>>>8,this[t]=255&e):k(this,e,t,!0),t+4},l.prototype.writeUInt32BE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,4,4294967295,0),l.TYPED_ARRAY_SUPPORT?(this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e):k(this,e,t,!1),t+4},l.prototype.writeIntLE=function(e,t,n,r){if(e=+e,t|=0,!r){var i=Math.pow(2,8*n-1);O(this,e,t,n,i-1,-i)}var a=0,o=1,s=0;for(this[t]=255&e;++a<n&&(o*=256);)e<0&&0===s&&0!==this[t+a-1]&&(s=1),this[t+a]=(e/o|0)-s&255;return t+n},l.prototype.writeIntBE=function(e,t,n,r){if(e=+e,t|=0,!r){var i=Math.pow(2,8*n-1);O(this,e,t,n,i-1,-i)}var a=n-1,o=1,s=0;for(this[t+a]=255&e;--a>=0&&(o*=256);)e<0&&0===s&&0!==this[t+a+1]&&(s=1),this[t+a]=(e/o|0)-s&255;return t+n},l.prototype.writeInt8=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,1,127,-128),l.TYPED_ARRAY_SUPPORT||(e=Math.floor(e)),e<0&&(e=255+e+1),this[t]=255&e,t+1},l.prototype.writeInt16LE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,2,32767,-32768),l.TYPED_ARRAY_SUPPORT?(this[t]=255&e,this[t+1]=e>>>8):N(this,e,t,!0),t+2},l.prototype.writeInt16BE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,2,32767,-32768),l.TYPED_ARRAY_SUPPORT?(this[t]=e>>>8,this[t+1]=255&e):N(this,e,t,!1),t+2},l.prototype.writeInt32LE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,4,2147483647,-2147483648),l.TYPED_ARRAY_SUPPORT?(this[t]=255&e,this[t+1]=e>>>8,this[t+2]=e>>>16,this[t+3]=e>>>24):k(this,e,t,!0),t+4},l.prototype.writeInt32BE=function(e,t,n){return e=+e,t|=0,n||O(this,e,t,4,2147483647,-2147483648),e<0&&(e=4294967295+e+1),l.TYPED_ARRAY_SUPPORT?(this[t]=e>>>24,this[t+1]=e>>>16,this[t+2]=e>>>8,this[t+3]=255&e):k(this,e,t,!1),t+4},l.prototype.writeFloatLE=function(e,t,n){return L(this,e,t,!0,n)},l.prototype.writeFloatBE=function(e,t,n){return L(this,e,t,!1,n)},l.prototype.writeDoubleLE=function(e,t,n){return F(this,e,t,!0,n)},l.prototype.writeDoubleBE=function(e,t,n){return F(this,e,t,!1,n)},l.prototype.copy=function(e,t,n,r){if(n||(n=0),r||0===r||(r=this.length),t>=e.length&&(t=e.length),t||(t=0),r>0&&r<n&&(r=n),r===n)return 0;if(0===e.length||0===this.length)return 0;if(t<0)throw new RangeError("targetStart out of bounds");if(n<0||n>=this.length)throw new RangeError("sourceStart out of bounds");if(r<0)throw new RangeError("sourceEnd out of bounds");r>this.length&&(r=this.length),e.length-t<r-n&&(r=e.length-t+n);var i,a=r-n;if(this===e&&n<t&&t<r)for(i=a-1;i>=0;--i)e[i+t]=this[i+n];else if(a<1e3||!l.TYPED_ARRAY_SUPPORT)for(i=0;i<a;++i)e[i+t]=this[i+n];else Uint8Array.prototype.set.call(e,this.subarray(n,n+a),t);return a},l.prototype.fill=function(e,t,n,r){if("string"==typeof e){if("string"==typeof t?(r=t,t=0,n=this.length):"string"==typeof n&&(r=n,n=this.length),1===e.length){var i=e.charCodeAt(0);i<256&&(e=i)}if(void 0!==r&&"string"!=typeof r)throw new TypeError("encoding must be a string");if("string"==typeof r&&!l.isEncoding(r))throw new TypeError("Unknown encoding: "+r)}else"number"==typeof e&&(e&=255);if(t<0||this.length<t||this.length<n)throw new RangeError("Out of range index");if(n<=t)return this;var a;if(t>>>=0,n=void 0===n?this.length:n>>>0,e||(e=0),"number"==typeof e)for(a=t;a<n;++a)this[a]=e;else{var o=l.isBuffer(e)?e:V(new l(e,r).toString()),s=o.length;for(a=0;a<n-t;++a)this[a+t]=o[a%s]}return this};var B=/[^+\/0-9A-Za-z-_]/g;function U(e){return e<16?"0"+e.toString(16):e.toString(16)}function V(e,t){var n;t=t||1/0;for(var r=e.length,i=null,a=[],o=0;o<r;++o){if((n=e.charCodeAt(o))>55295&&n<57344){if(!i){if(n>56319){(t-=3)>-1&&a.push(239,191,189);continue}if(o+1===r){(t-=3)>-1&&a.push(239,191,189);continue}i=n;continue}if(n<56320){(t-=3)>-1&&a.push(239,191,189),i=n;continue}n=65536+(i-55296<<10|n-56320)}else i&&(t-=3)>-1&&a.push(239,191,189);if(i=null,n<128){if((t-=1)<0)break;a.push(n)}else if(n<2048){if((t-=2)<0)break;a.push(n>>6|192,63&n|128)}else if(n<65536){if((t-=3)<0)break;a.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((t-=4)<0)break;a.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return a}function G(e){return r.toByteArray(function(e){if((e=function(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}(e).replace(B,"")).length<2)return"";for(;e.length%4!=0;)e+="=";return e}(e))}function z(e,t,n,r){for(var i=0;i<r&&!(i+n>=t.length||i>=e.length);++i)t[i+n]=e[i];return i}}).call(this,n(78))},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isASCIIByte=function(e){return e>=0&&e<=127}},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},i=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(r(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0}),t.length=function(e){return e.length},t.byteLowercase=function(e){for(var t=0;t<e.length;t++){var n=e[t];n>=65&&n<=90&&(e[t]=n+32)}},t.byteUppercase=function(e){for(var t=0;t<e.length;t++){var n=e[t];n>=97&&n<=122&&(e[t]=n-32)}},t.byteCaseInsensitiveMatch=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++){var r=e[n],i=t[n];if(r>=65&&r<=90&&(r+=32),i>=65&&i<=90&&(i+=32),r!==i)return!1}return!0},t.startsWith=function(e,t){for(var n=0;;){if(n>=e.length)return!1;if(n>=t.length)return!0;if(e[n]!==t[n])return!1;n++}},t.byteLessThan=function(e,t){for(var n=0;;){if(n>=e.length)return!1;if(n>=t.length)return!0;var r=e[n],i=t[n];if(r<i)return!0;if(r>i)return!1;n++}},t.isomorphicDecode=function(e){return String.fromCodePoint.apply(String,i(e))}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(6),i=n(7),a=n(0),o=n(12),s=function(){function e(e){this._associatedDocument=e||r.dom.window.document}return e.prototype.createDocumentType=function(e,t,n){return a.namespace_validate(e),a.create_documentType(this._associatedDocument,e,t,n)},e.prototype.createDocument=function(e,t,n){void 0===n&&(n=null);var r=a.create_xmlDocument(),o=null;return t&&(o=a.document_internalCreateElementNS(r,e,t)),n&&r.appendChild(n),o&&r.appendChild(o),r._origin=this._associatedDocument._origin,e===i.namespace.HTML?r._contentType="application/xhtml+xml":e===i.namespace.SVG?r._contentType="image/svg+xml":r._contentType="application/xml",r},e.prototype.createHTMLDocument=function(e){var t=a.create_document();t._type="html",t._contentType="text/html",t.appendChild(a.create_documentType(t,"html","",""));var n=a.element_createAnElement(t,"html",i.namespace.HTML);t.appendChild(n);var r=a.element_createAnElement(t,"head",i.namespace.HTML);if(n.appendChild(r),void 0!==e){var o=a.element_createAnElement(t,"title",i.namespace.HTML);r.appendChild(o);var s=a.create_text(t,e);o.appendChild(s)}var l=a.element_createAnElement(t,"body",i.namespace.HTML);return n.appendChild(l),t._origin=this._associatedDocument._origin,t},e.prototype.hasFeature=function(){return!0},e._create=function(t){return new e(t)},e}();t.DOMImplementationImpl=s,o.idl_defineConst(s.prototype,"_ID","@oozcitak/dom")},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(70),o=n(1),s=n(0),l=function(e){function t(){var t=e.call(this)||this;return t._signalSlots=new Set,t._mutationObserverMicrotaskQueued=!1,t._mutationObservers=new Set,t._iteratorList=new o.FixedSizeSet,t._associatedDocument=s.create_document(),t}return i(t,e),Object.defineProperty(t.prototype,"document",{get:function(){return this._associatedDocument},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"event",{get:function(){return this._currentEvent},enumerable:!0,configurable:!0}),t._create=function(){return new t},t}(a.EventTargetImpl);t.WindowImpl=l},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=function(){function e(){}return e.isNode=function(e){return!!e&&void 0!==e._nodeType},e.isDocumentNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.Document},e.isDocumentTypeNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.DocumentType},e.isDocumentFragmentNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.DocumentFragment},e.isAttrNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.Attribute},e.isCharacterDataNode=function(t){if(!e.isNode(t))return!1;var n=t._nodeType;return n===r.NodeType.Text||n===r.NodeType.ProcessingInstruction||n===r.NodeType.Comment||n===r.NodeType.CData},e.isTextNode=function(t){return e.isNode(t)&&(t._nodeType===r.NodeType.Text||t._nodeType===r.NodeType.CData)},e.isExclusiveTextNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.Text},e.isCDATASectionNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.CData},e.isCommentNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.Comment},e.isProcessingInstructionNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.ProcessingInstruction},e.isElementNode=function(t){return e.isNode(t)&&t._nodeType===r.NodeType.Element},e.isCustomElementNode=function(t){return e.isElementNode(t)&&"custom"===t._customElementState},e.isShadowRoot=function(e){return!!e&&void 0!==e.host},e.isMouseEvent=function(e){return!!e&&void 0!==e.screenX&&null!=e.screenY},e.isSlotable=function(t){return!!t&&void 0!==t._name&&void 0!==t._assignedSlot&&(e.isTextNode(t)||e.isElementNode(t))},e.isSlot=function(t){return!!t&&void 0!==t._name&&void 0!==t._assignedNodes&&e.isElementNode(t)},e.isWindow=function(e){return!!e&&void 0!==e.navigator},e.isEventListener=function(e){return!!e&&void 0!==e.handleEvent},e.isRegisteredObserver=function(e){return!!e&&void 0!==e.observer&&void 0!==e.options},e.isTransientRegisteredObserver=function(t){return!!t&&void 0!==t.source&&e.isRegisteredObserver(t)},e}();t.Guard=i},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(){return e.call(this)||this}return i(t,e),t}(n(98).DocumentImpl);t.XMLDocumentImpl=a},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var a,o=n(1),s=n(243),l=n(7),c=n(244),u={ftp:21,file:null,http:80,https:443,ws:80,wss:443},d=/[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,f=/[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,p=/[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,h=/[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,m=/[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/,g=/[\0\t\f\r #%/:?@\[\\\]]/;function v(e){void 0!==a&&a.call(null,"Validation Error: "+e)}function y(e){return e in u}function b(e){return y(e.scheme)}function _(e){return u[e]||null}function x(e){return""!==e.username||""!==e.password}function w(e,t){var n,i;void 0===t&&(t=!1);var a=e.scheme+":";if(null!==e.host?(a+="//",x(e)&&(a+=e.username,""!==e.password&&(a+=":"+e.password),a+="@"),a+=A(e.host),null!==e.port&&(a+=":"+e.port)):null===e.host&&"file"===e.scheme&&(a+="//"),e._cannotBeABaseURLFlag)a+=e.path[0];else try{for(var o=r(e.path),s=o.next();!s.done;s=o.next())a+="/"+s.value}catch(e){n={error:e}}finally{try{s&&!s.done&&(i=o.return)&&i.call(o)}finally{if(n)throw n.error}}return null!==e.query&&(a+="?"+e.query),t||null===e.fragment||(a+="#"+e.fragment),a}function A(e){return o.isNumber(e)?S(e):o.isArray(e)?"["+T(e)+"]":e}function S(e){for(var t="",n=e,r=1;r<=4;r++)t=(n%256).toString()+t,4!==r&&(t="."+t),n=Math.floor(n/256);return t}function T(e){for(var t="",n=null,r=-1,i=0,a=0,o=0;o<8;o++)if(0===e[o]){i=1;for(var s=o+1;s<8&&0===e[s];s++)i++;i>a&&(a=i,r=o)}a>1&&(n=r);for(var l=!1,c=0;c<8;c++)l&&0===e[c]||(l&&(l=!1),n!==c?(t+=e[c].toString(16),7!==c&&(t+=":")):(t+=0===c?"::":":",l=!0));return t}function C(e,t,n,i,a){var c,u,g,w;if(void 0===i){i={scheme:"",username:"",password:"",host:null,port:null,path:[],query:null,fragment:null,_cannotBeABaseURLFlag:!1,_blobURLEntry:null};var A=/^[\u0000-\u001F\u0020]+/,S=/[\u0000-\u001F\u0020]+$/;(A.test(e)||S.test(e))&&v("Input string contains leading or trailing control characters or space."),e=(e=e.replace(A,"")).replace(S,"")}var T=/[\u0009\u000A\u000D]/g;T.test(e)&&v("Input string contains tab or newline characters."),e=e.replace(T,"");var C=void 0===a?s.ParserState.SchemeStart:a;void 0===t&&(t=null);for(var k=void 0===n||"replacement"===n||"UTF-16BE"===n||"UTF-16LE"===n?"UTF-8":n,R="",L=!1,F=!1,U=!1,V=new o.StringWalker(e);;){switch(C){case s.ParserState.SchemeStart:if(l.codePoint.ASCIIAlpha.test(V.c()))R+=V.c().toLowerCase(),C=s.ParserState.Scheme;else{if(void 0!==a)return v("Invalid scheme start character."),null;C=s.ParserState.NoScheme,V.pointer--}break;case s.ParserState.Scheme:if(l.codePoint.ASCIIAlphanumeric.test(V.c())||"+"===V.c()||"-"===V.c()||"."===V.c())R+=V.c().toLowerCase();else{if(":"!==V.c()){if(void 0===a){R="",C=s.ParserState.NoScheme,V.pointer=0;continue}return v("Invalid input string."),null}if(void 0!==a){if(y(i.scheme)&&!y(R))return i;if(!y(i.scheme)&&y(R))return i;if((x(i)||null!==i.port)&&"file"===R)return i;if("file"===i.scheme&&(""===i.host||null===i.host))return i}if(i.scheme=R,void 0!==a)return i.port===_(i.scheme)&&(i.port=null),i;R="","file"===i.scheme?(V.remaining().startsWith("//")||v("Invalid file URL scheme, '//' expected."),C=s.ParserState.File):b(i)&&null!==t&&t.scheme===i.scheme?C=s.ParserState.SpecialRelativeOrAuthority:b(i)?C=s.ParserState.SpecialAuthoritySlashes:V.remaining().startsWith("/")?(C=s.ParserState.PathOrAuthority,V.pointer++):(i._cannotBeABaseURLFlag=!0,i.path.push(""),C=s.ParserState.CannotBeABaseURLPath)}break;case s.ParserState.NoScheme:if(null===t||t._cannotBeABaseURLFlag&&"#"!==V.c())return v("Invalid input string."),null;t._cannotBeABaseURLFlag&&"#"===V.c()?(i.scheme=t.scheme,i.path=l.list.clone(t.path),i.query=t.query,i.fragment="",i._cannotBeABaseURLFlag=!0,C=s.ParserState.Fragment):"file"!==t.scheme?(C=s.ParserState.Relative,V.pointer--):(C=s.ParserState.File,V.pointer--);break;case s.ParserState.SpecialRelativeOrAuthority:"/"===V.c()&&V.remaining().startsWith("/")?(C=s.ParserState.SpecialAuthorityIgnoreSlashes,V.pointer++):(v("Invalid input string."),C=s.ParserState.Relative,V.pointer--);break;case s.ParserState.PathOrAuthority:"/"===V.c()?C=s.ParserState.Authority:(C=s.ParserState.Path,V.pointer--);break;case s.ParserState.Relative:if(null===t)throw new Error("Invalid parser state. Base URL is null.");switch(i.scheme=t.scheme,V.c()){case"":i.username=t.username,i.password=t.password,i.host=t.host,i.port=t.port,i.path=l.list.clone(t.path),i.query=t.query;break;case"/":C=s.ParserState.RelativeSlash;break;case"?":i.username=t.username,i.password=t.password,i.host=t.host,i.port=t.port,i.path=l.list.clone(t.path),i.query="",C=s.ParserState.Query;break;case"#":i.username=t.username,i.password=t.password,i.host=t.host,i.port=t.port,i.path=l.list.clone(t.path),i.query=t.query,i.fragment="",C=s.ParserState.Fragment;break;default:b(i)&&"\\"===V.c()?(v("Invalid input string."),C=s.ParserState.RelativeSlash):(i.username=t.username,i.password=t.password,i.host=t.host,i.port=t.port,i.path=l.list.clone(t.path),0!==i.path.length&&i.path.splice(i.path.length-1,1),C=s.ParserState.Path,V.pointer--)}break;case s.ParserState.RelativeSlash:if(!b(i)||"/"!==V.c()&&"\\"!==V.c())if("/"===V.c())C=s.ParserState.Authority;else{if(null===t)throw new Error("Invalid parser state. Base URL is null.");i.username=t.username,i.password=t.password,i.host=t.host,i.port=t.port,C=s.ParserState.Path,V.pointer--}else"\\"===V.c()&&v("Invalid input string."),C=s.ParserState.SpecialAuthorityIgnoreSlashes;break;case s.ParserState.SpecialAuthoritySlashes:"/"===V.c()&&V.remaining().startsWith("/")?(C=s.ParserState.SpecialAuthorityIgnoreSlashes,V.pointer++):(v("Expected '//'."),C=s.ParserState.SpecialAuthorityIgnoreSlashes,V.pointer--);break;case s.ParserState.SpecialAuthorityIgnoreSlashes:"/"!==V.c()&&"\\"!==V.c()?(C=s.ParserState.Authority,V.pointer--):v("Unexpected '/' or '\\'.");break;case s.ParserState.Authority:if("@"===V.c()){v("Unexpected '@'."),L&&(R="%40"+R),L=!0;try{for(var z=(c=void 0,r(R)),j=z.next();!j.done;j=z.next()){var W=j.value;if(":"!==W||U){var H=G(W,h);U?i.password+=H:i.username+=H}else U=!0}}catch(e){c={error:e}}finally{try{j&&!j.done&&(u=z.return)&&u.call(z)}finally{if(c)throw c.error}}R=""}else if(""===V.c()||"/"===V.c()||"?"===V.c()||"#"===V.c()||b(i)&&"\\"===V.c()){if(L&&""===R)return v("Invalid input string."),null;V.pointer-=R.length+1,R="",C=s.ParserState.Host}else R+=V.c();break;case s.ParserState.Host:case s.ParserState.Hostname:if(void 0!==a&&"file"===i.scheme)V.pointer--,C=s.ParserState.FileHost;else if(":"!==V.c()||F)if(""===V.c()||"/"===V.c()||"?"===V.c()||"#"===V.c()||b(i)&&"\\"===V.c()){if(V.pointer--,b(i)&&""===R)return v("Invalid input string."),null;if(void 0!==a&&""===R&&(x(i)||null!==i.port))return v("Invalid input string."),i;if(null===(X=N(R,!b(i))))return null;if(i.host=X,R="",C=s.ParserState.PathStart,void 0!==a)return i}else"["===V.c()&&(F=!0),"]"===V.c()&&(F=!1),R+=V.c();else{if(""===R)return v("Invalid input string."),null;if(null===(X=N(R,!b(i))))return null;if(i.host=X,R="",C=s.ParserState.Port,a===s.ParserState.Hostname)return i}break;case s.ParserState.Port:if(l.codePoint.ASCIIDigit.test(V.c()))R+=V.c();else{if(!(""===V.c()||"/"===V.c()||"?"===V.c()||"#"===V.c()||b(i)&&"\\"===V.c()||a))return v("Invalid input string."),null;if(""!==R&&""!==R){var $=parseInt(R,10);if($>Math.pow(2,16)-1)return v("Invalid port number."),null;i.port=$===_(i.scheme)?null:$,R=""}if(void 0!==a)return i;C=s.ParserState.PathStart,V.pointer--}break;case s.ParserState.File:if(i.scheme="file","/"===V.c()||"\\"===V.c())"\\"===V.c()&&v("Invalid input string."),C=s.ParserState.FileSlash;else if(null!==t&&"file"===t.scheme)switch(V.c()){case"":i.host=t.host,i.path=l.list.clone(t.path),i.query=t.query;break;case"?":i.host=t.host,i.path=l.list.clone(t.path),i.query="",C=s.ParserState.Query;break;case"#":i.host=t.host,i.path=l.list.clone(t.path),i.query=t.query,i.fragment="",C=s.ParserState.Fragment;break;default:O(V.substring())?v("Unexpected windows drive letter in input string."):(i.host=t.host,i.path=l.list.clone(t.path),D(i)),C=s.ParserState.Path,V.pointer--}else C=s.ParserState.Path,V.pointer--;break;case s.ParserState.FileSlash:"/"===V.c()||"\\"===V.c()?("\\"===V.c()&&v("Invalid input string."),C=s.ParserState.FileHost):(null===t||"file"!==t.scheme||O(V.substring())||(P(t.path[0])?i.path.push(t.path[0]):i.host=t.host),C=s.ParserState.Path,V.pointer--);break;case s.ParserState.FileHost:if(""===V.c()||"/"===V.c()||"\\"===V.c()||"?"===V.c()||"#"===V.c())if(V.pointer--,void 0===a&&I(R))v("Unexpected windows drive letter in input string."),C=s.ParserState.Path;else if(""===R){if(i.host="",void 0!==a)return i;C=s.ParserState.PathStart}else{var X;if(null===(X=N(R,!b(i))))return null;if("localhost"===X&&(X=""),i.host=X,void 0!==a)return i;R="",C=s.ParserState.PathStart}else R+=V.c();break;case s.ParserState.PathStart:b(i)?("\\"===V.c()&&v("Invalid input string."),C=s.ParserState.Path,"/"!==V.c()&&"\\"!==V.c()&&V.pointer--):void 0===a&&"?"===V.c()?(i.query="",C=s.ParserState.Query):void 0===a&&"#"===V.c()?(i.fragment="",C=s.ParserState.Fragment):""!==V.c()&&(C=s.ParserState.Path,"/"!==V.c()&&V.pointer--);break;case s.ParserState.Path:if(""===V.c()||"/"===V.c()||b(i)&&"\\"===V.c()||void 0===a&&("?"===V.c()||"#"===V.c())){if(b(i)&&"\\"===V.c()&&v("Invalid input string."),M(R))D(i),"/"===V.c()||b(i)&&"\\"===V.c()||i.path.push("");else if(!E(R)||"/"===V.c()||b(i)&&"\\"===V.c()){if(!E(R)){if("file"===i.scheme&&0===i.path.length&&I(R)){null!==i.host&&""!==i.host&&(v("Invalid input string."),i.host="");var q=Array.from(R);R=q.slice(0,1)+":"+q.slice(2)}i.path.push(R)}}else i.path.push("");if(R="","file"===i.scheme&&(""===V.c()||"?"===V.c()||"#"===V.c()))for(;i.path.length>1&&""===i.path[0];)v("Invalid input string."),i.path.splice(0,1);"?"===V.c()&&(i.query="",C=s.ParserState.Query),"#"===V.c()&&(i.fragment="",C=s.ParserState.Fragment)}else m.test(V.c())||"%"===V.c()||v("Character is not a URL code point or a percent encoded character."),"%"!==V.c()||/^[0-9a-fA-F][0-9a-fA-F]/.test(V.remaining())||v("Percent encoded character must be followed by two hex digits."),R+=G(V.c(),p);break;case s.ParserState.CannotBeABaseURLPath:"?"===V.c()?(i.query="",C=s.ParserState.Query):"#"===V.c()?(i.fragment="",C=s.ParserState.Fragment):(""===V.c()||m.test(V.c())||"%"===V.c()||v("Character is not a URL code point or a percent encoded character."),"%"!==V.c()||/^[0-9a-fA-F][0-9a-fA-F]/.test(V.remaining())||v("Percent encoded character must be followed by two hex digits."),""!==V.c()&&(i.path[0]+=G(V.c(),d)));break;case s.ParserState.Query:if("UTF-8"===k||b(i)&&"ws"!==i.scheme&&"wss"!==i.scheme||(k="UTF-8"),void 0===a&&"#"===V.c())i.fragment="",C=s.ParserState.Fragment;else if(""!==V.c()){if(m.test(V.c())||"%"===V.c()||v("Character is not a URL code point or a percent encoded character."),"%"!==V.c()||/^[0-9a-fA-F][0-9a-fA-F]/.test(V.remaining())||v("Percent encoded character must be followed by two hex digits."),"UTF-8"!==k.toUpperCase())throw new Error("Only UTF-8 encoding is supported.");var K=o.utf8Encode(V.c());if(K.length>=3&&38===K[0]&&35===K[1]&&59===K[K.length-1])K=K.subarray(2,K.length-1),i.query+="%26%23"+l.byteSequence.isomorphicDecode(K)+"%3B";else try{for(var Y=(g=void 0,r(K)),J=Y.next();!J.done;J=Y.next()){var Z=J.value;Z<33||Z>126||34===Z||35===Z||60===Z||62===Z||39===Z&&b(i)?i.query+=B(Z):i.query+=String.fromCharCode(Z)}}catch(e){g={error:e}}finally{try{J&&!J.done&&(w=Y.return)&&w.call(Y)}finally{if(g)throw g.error}}}break;case s.ParserState.Fragment:""===V.c()||("\0"===V.c()?v("NULL character in input string."):(m.test(V.c())||"%"===V.c()||v("Unexpected character in fragment string."),"%"!==V.c()||/^[A-Za-z0-9][A-Za-z0-9]/.test(V.remaining())||v("Unexpected character in fragment string."),i.fragment+=G(V.c(),f)))}if(V.eof)break;V.pointer++}return i}function E(e){return"."===e||"%2e"===e.toLowerCase()}function M(e){var t=e.toLowerCase();return".."===t||".%2e"===t||"%2e."===t||"%2e%2e"===t}function D(e){var t=e.path;0!==t.length&&("file"===e.scheme&&1===t.length&&P(t[0])||e.path.splice(e.path.length-1,1))}function P(e){return e.length>=2&&l.codePoint.ASCIIAlpha.test(e[0])&&":"===e[1]}function I(e){return e.length>=2&&l.codePoint.ASCIIAlpha.test(e[0])&&(":"===e[1]||"|"===e[1])}function O(e){return e.length>=2&&I(e)&&(2===e.length||"/"===e[2]||"\\"===e[2]||"?"===e[2]||"#"===e[2])}function N(e,t){if(void 0===t&&(t=!1),e.startsWith("["))return e.endsWith("]")?L(e.substring(1,e.length-1)):(v("Expected ']' after '['."),null);if(t)return F(e);var n=W(o.utf8Decode(V(e)));if(null===n)return v("Invalid domain."),null;if(g.test(n))return v("Invalid domain."),null;var r=R(n);return null===r||o.isNumber(r)?r:n}function k(e,t){void 0===t&&(t={value:!1});var n=10;return e.startsWith("0x")||e.startsWith("0X")?(t.value=!0,e=e.substr(2),n=16):e.length>=2&&"0"===e[0]&&(t.value=!0,e=e.substr(1),n=8),""===e?0:(10===n?/^[0-9]+$/:16===n?/^[0-9A-Fa-f]+$/:/^[0-7]+$/).test(e)?parseInt(e,n):null}function R(e){var t,n,i,a,o={value:!1},s=e.split(".");if(""===s[s.length-1]&&(o.value=!0,s.length>1&&s.pop()),s.length>4)return e;var l=[];try{for(var c=r(s),u=c.next();!u.done;u=c.next()){var d=u.value;if(""===d)return e;if(null===(y=k(d,o)))return e;l.push(y)}}catch(e){t={error:e}}finally{try{u&&!u.done&&(n=c.return)&&n.call(c)}finally{if(t)throw t.error}}o.value&&v("Invalid IP v4 address.");for(var f=0;f<l.length;f++)if(l[f]>255&&(v("Invalid IP v4 address."),f<l.length-1))return null;if(l[l.length-1]>=Math.pow(256,5-l.length))return v("Invalid IP v4 address."),null;var p=l[l.length-1];l.pop();var h=0;try{for(var m=r(l),g=m.next();!g.done;g=m.next()){var y;p+=(y=g.value)*Math.pow(256,3-h),h++}}catch(e){i={error:e}}finally{try{g&&!g.done&&(a=m.return)&&a.call(m)}finally{if(i)throw i.error}}return p}function L(e){var t,n=[0,0,0,0,0,0,0,0],r=0,a=null,s=new o.StringWalker(e);if(":"===s.c()){if(!s.remaining().startsWith(":"))return v("Invalid IP v6 address."),null;s.pointer+=2,a=r+=1}for(;""!==s.c();){if(8===r)return v("Invalid IP v6 address."),null;if(":"!==s.c()){for(var c=0,u=0;u<4&&l.codePoint.ASCIIHexDigit.test(s.c());)c=16*c+parseInt(s.c(),16),s.pointer++,u++;if("."===s.c()){if(0===u)return v("Invalid IP v6 address."),null;if(s.pointer-=u,r>6)return v("Invalid IP v6 address."),null;for(var d=0;""!==s.c();){var f=null;if(d>0){if(!("."===s.c()&&d<4))return v("Invalid IP v6 address."),null;s.pointer++}if(!l.codePoint.ASCIIDigit.test(s.c()))return v("Invalid IP v6 address."),null;for(;l.codePoint.ASCIIDigit.test(s.c());){var p=parseInt(s.c(),10);if(null===f)f=p;else{if(0===f)return v("Invalid IP v6 address."),null;f=10*f+p}if(f>255)return v("Invalid IP v6 address."),null;s.pointer++}if(null===f)return v("Invalid IP v6 address."),null;n[r]=256*n[r]+f,2!=++d&&4!==d||r++}if(4!==d)return v("Invalid IP v6 address."),null;break}if(":"===s.c()){if(s.pointer++,""===s.c())return v("Invalid IP v6 address."),null}else if(""!==s.c())return v("Invalid IP v6 address."),null;n[r]=c,r++}else{if(null!==a)return v("Invalid IP v6 address."),null;s.pointer++,a=++r}}if(null!==a){var h=r-a;for(r=7;0!==r&&h>0;)t=i([n[a+h-1],n[r]],2),n[r]=t[0],n[a+h-1]=t[1],r--,h--}else if(null===a&&8!==r)return v("Invalid IP v6 address."),null;return n}function F(e){var t,n;if(/[\x00\t\f\r #/:?@\[\\\]]/.test(e))return v("Invalid host string."),null;var i="";try{for(var a=r(e),o=a.next();!o.done;o=a.next())i+=G(o.value,d)}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return i}function B(e){return"%"+("00"+e.toString(16).toUpperCase()).slice(-2)}function U(e){for(var t=function(e){return e>=48&&e<=57||e>=65&&e<=70||e>=97&&e<=102},n=new Uint8Array(e.length),r=0,i=0;i<e.length;i++){var a=e[i];if(37!==a)n[r]=a,r++;else if(37===a&&i>=e.length-2)n[r]=a,r++;else if(37!==a||t(e[i+1])&&t(e[i+2])){var s=parseInt(o.utf8Decode(Uint8Array.of(e[i+1],e[i+2])),16);n[r]=s,r++,i+=2}else n[r]=a,r++}return n.subarray(0,r)}function V(e){return U(o.utf8Encode(e))}function G(e,t){var n,i;if(!t.test(e))return e;var a=o.utf8Encode(e),s="";try{for(var l=r(a),c=l.next();!c.done;c=l.next())s+=B(c.value)}catch(e){n={error:e}}finally{try{c&&!c.done&&(i=l.return)&&i.call(l)}finally{if(n)throw n.error}}return s}function z(e){var t,n,i,a,s=[],l=[];try{for(var c=r(e),u=c.next();!u.done;u=c.next()){var d=u.value;38===d?(s.push(Uint8Array.from(l)),l=[]):l.push(d)}}catch(e){t={error:e}}finally{try{u&&!u.done&&(n=c.return)&&n.call(c)}finally{if(t)throw t.error}}0!==l.length&&s.push(Uint8Array.from(l));var f=[];try{for(var p=r(s),h=p.next();!h.done;h=p.next()){var m=h.value;if(0!==m.length){for(var g=m.indexOf(61),v=-1!==g?m.slice(0,g):m,y=-1!==g?m.slice(g+1):new Uint8Array,b=0;b<v.length;b++)43===v[b]&&(v[b]=32);for(b=0;b<y.length;b++)43===y[b]&&(y[b]=32);var _=o.utf8Decode(v),x=o.utf8Decode(y);f.push([_,x])}}}catch(e){i={error:e}}finally{try{h&&!h.done&&(a=p.return)&&a.call(p)}finally{if(i)throw i.error}}return f}function j(e){var t,n,i="";try{for(var a=r(e),o=a.next();!o.done;o=a.next()){var s=o.value;i+=32===s?"+":42===s||45===s||46===s||s>=48&&s<=57||s>=65&&s<=90||95===s||s>=97&&s<=122?String.fromCodePoint(s):B(s)}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return i}function W(e,t){void 0===t&&(t=!1);var n=c.domainToASCII(e);return""===n?(v("Invalid domain name."),null):n}t.setValidationErrorCallback=function(e){a=e},t.newURL=function(){return{scheme:"",username:"",password:"",host:null,port:null,path:[],query:null,fragment:null,_cannotBeABaseURLFlag:!1,_blobURLEntry:null}},t.isSpecialScheme=y,t.isSpecial=b,t.defaultPort=_,t.includesCredentials=x,t.cannotHaveAUsernamePasswordPort=function(e){return null===e.host||""===e.host||e._cannotBeABaseURLFlag||"file"===e.scheme},t.urlSerializer=w,t.hostSerializer=A,t.iPv4Serializer=S,t.iPv6Serializer=T,t.urlParser=function(e,t,n){var r=C(e,t,n);return null===r?null:("blob"!==r.scheme||(r._blobURLEntry=null),r)},t.basicURLParser=C,t.setTheUsername=function(e,t){var n,i,a="";try{for(var o=r(t),s=o.next();!s.done;s=o.next())a+=G(s.value,h)}catch(e){n={error:e}}finally{try{s&&!s.done&&(i=o.return)&&i.call(o)}finally{if(n)throw n.error}}e.username=a},t.setThePassword=function(e,t){var n,i,a="";try{for(var o=r(t),s=o.next();!s.done;s=o.next())a+=G(s.value,h)}catch(e){n={error:e}}finally{try{s&&!s.done&&(i=o.return)&&i.call(o)}finally{if(n)throw n.error}}e.password=a},t.isSingleDotPathSegment=E,t.isDoubleDotPathSegment=M,t.shorten=D,t.isNormalizedWindowsDriveLetter=P,t.isWindowsDriveLetter=I,t.startsWithAWindowsDriveLetter=O,t.hostParser=N,t.iPv4NumberParser=k,t.iPv4Parser=R,t.iPv6Parser=L,t.opaqueHostParser=F,t.resolveABlobURL=function(e){return null},t.percentEncode=B,t.percentDecode=U,t.stringPercentDecode=V,t.utf8PercentEncode=G,t.hostEquals=function(e,t){return e===t},t.urlEquals=function(e,t,n){return void 0===n&&(n=!1),w(e,n)===w(t,n)},t.urlEncodedStringParser=function(e){return z(o.utf8Encode(e))},t.urlEncodedParser=z,t.urlEncodedByteSerializer=j,t.urlEncodedSerializer=function(e,t){var n,i;if("UTF-8"!==(void 0===t||"replacement"===t||"UTF-16BE"===t||"UTF-16LE"===t?"UTF-8":t).toUpperCase())throw new Error("Only UTF-8 encoding is supported.");var a="";try{for(var s=r(e),l=s.next();!l.done;l=s.next()){var c=l.value,u=j(o.utf8Encode(c[0])),d=c[1];d=j(o.utf8Encode(d)),""!==a&&(a+="&"),a+=u+"="+d}}catch(e){n={error:e}}finally{try{l&&!l.done&&(i=s.return)&&i.call(s)}finally{if(n)throw n.error}}return a},t.origin=function e(t){switch(t.scheme){case"blob":t._blobURLEntry;var n=C(t.path[0]);return null===n?s.OpaqueOrigin:e(n);case"ftp":case"http":case"https":case"ws":case"wss":return[t.scheme,null===t.host?"":t.host,t.port,null];default:return s.OpaqueOrigin}},t.domainToASCII=W,t.domainToUnicode=function(e,t){void 0===t&&(t=!1);var n=c.domainToUnicode(e);return""===n&&v("Invalid domain name."),n},t.asciiSerializationOfAnOrigin=function(e){if(""===e[0]&&""===e[1]&&null===e[2]&&null===e[3])return"null";var t=e[0]+"://"+A(e[1]);return null!==e[2]&&(t+=":"+e[2].toString()),t}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),i=function(){function e(){this._signal=r.create_abortSignal()}return Object.defineProperty(e.prototype,"signal",{get:function(){return this._signal},enumerable:!0,configurable:!0}),e.prototype.abort=function(){r.abort_signalAbort(this._signal)},e}();t.AbortControllerImpl=i},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(70),o=n(0),s=function(e){function t(){var t=e.call(this)||this;return t._abortedFlag=!1,t._abortAlgorithms=new Set,t}return i(t,e),Object.defineProperty(t.prototype,"aborted",{get:function(){return this._abortedFlag},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onabort",{get:function(){return o.event_getterEventHandlerIDLAttribute(this,"onabort")},set:function(e){o.event_setterEventHandlerIDLAttribute(this,"onabort",e)},enumerable:!0,configurable:!0}),t._create=function(){return new t},t}(a.EventTargetImpl);t.AbortSignalImpl=s},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(34),s=n(12),l=function(e){function t(t,n,r){var i=e.call(this)||this;return i._name="",i._publicId="",i._systemId="",i._name=t,i._publicId=n,i._systemId=r,i}return i(t,e),Object.defineProperty(t.prototype,"name",{get:function(){return this._name},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"publicId",{get:function(){return this._publicId},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"systemId",{get:function(){return this._systemId},enumerable:!0,configurable:!0}),t.prototype.before=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.after=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.replaceWith=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];throw new Error("Mixin: ChildNode not implemented.")},t.prototype.remove=function(){throw new Error("Mixin: ChildNode not implemented.")},t._create=function(e,n,r,i){void 0===r&&(r=""),void 0===i&&(i="");var a=new t(n,r,i);return a._nodeDocument=e,a},t}(o.NodeImpl);t.DocumentTypeImpl=l,s.idl_defineConst(l.prototype,"_nodeType",a.NodeType.DocumentType)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(100),o=n(1),s=n(0),l=function(e){function t(t,n){var r=e.call(this)||this;return r._host=t,r._mode=n,r}return i(t,e),Object.defineProperty(t.prototype,"mode",{get:function(){return this._mode},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"host",{get:function(){return this._host},enumerable:!0,configurable:!0}),t.prototype._getTheParent=function(e){return e._composedFlag||o.isEmpty(e._path)||s.tree_rootNode(e._path[0].invocationTarget)!==this?this._host:null},t._create=function(e,n){return new t(n,"closed")},t}(a.DocumentFragmentImpl);t.ShadowRootImpl=l},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(34),s=n(0),l=n(12),c=function(e){function t(t){var n=e.call(this)||this;return n._namespace=null,n._namespacePrefix=null,n._element=null,n._value="",n._localName=t,n}return i(t,e),Object.defineProperty(t.prototype,"ownerElement",{get:function(){return this._element},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"namespaceURI",{get:function(){return this._namespace},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"prefix",{get:function(){return this._namespacePrefix},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"localName",{get:function(){return this._localName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"name",{get:function(){return this._qualifiedName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"value",{get:function(){return this._value},set:function(e){s.attr_setAnExistingAttributeValue(this,e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"_qualifiedName",{get:function(){return null!==this._namespacePrefix?this._namespacePrefix+":"+this._localName:this._localName},enumerable:!0,configurable:!0}),t._create=function(e,n){var r=new t(n);return r._nodeDocument=e,r},t}(o.NodeImpl);t.AttrImpl=c,l.idl_defineConst(c.prototype,"_nodeType",a.NodeType.Attribute),l.idl_defineConst(c.prototype,"specified",!0)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(101),o=n(2),s=n(12),l=function(e){function t(t){return e.call(this,t)||this}return i(t,e),t._create=function(e,n){void 0===n&&(n="");var r=new t(n);return r._nodeDocument=e,r},t}(a.TextImpl);t.CDATASectionImpl=l,s.idl_defineConst(l.prototype,"_nodeType",o.NodeType.CData)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(71),s=n(12),l=function(e){function t(t){return void 0===t&&(t=""),e.call(this,t)||this}return i(t,e),t._create=function(e,n){void 0===n&&(n="");var r=new t(n);return r._nodeDocument=e,r},t}(o.CharacterDataImpl);t.CommentImpl=l,s.idl_defineConst(l.prototype,"_nodeType",a.NodeType.Comment)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(71),s=n(12),l=function(e){function t(t,n){var r=e.call(this,n)||this;return r._target=t,r}return i(t,e),Object.defineProperty(t.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),t._create=function(e,n,r){var i=new t(n,r);return i._nodeDocument=e,i},t}(o.CharacterDataImpl);t.ProcessingInstructionImpl=l,s.idl_defineConst(l.prototype,"_nodeType",a.NodeType.ProcessingInstruction)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(7),i=n(0),a=n(3),o=n(1),s=function(){function e(e,t){return this._live=!0,this._root=e,this._filter=t,new Proxy(this,this)}return Object.defineProperty(e.prototype,"length",{get:function(){for(var e=this,t=0,n=i.tree_getFirstDescendantNode(this._root,!1,!1,(function(t){return a.Guard.isElementNode(t)&&e._filter(t)}));null!==n;)t++,n=i.tree_getNextDescendantNode(this._root,n,!1,!1,(function(t){return a.Guard.isElementNode(t)&&e._filter(t)}));return t},enumerable:!0,configurable:!0}),e.prototype.item=function(e){for(var t=this,n=0,r=i.tree_getFirstDescendantNode(this._root,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t._filter(e)}));null!==r;){if(n===e)return r;n++,r=i.tree_getNextDescendantNode(this._root,r,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t._filter(e)}))}return null},e.prototype.namedItem=function(e){var t=this;if(""===e)return null;for(var n=i.tree_getFirstDescendantNode(this._root,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t._filter(e)}));null!=n;){if(n._uniqueIdentifier===e)return n;if(n._namespace===r.namespace.HTML)for(var o=0;o<n._attributeList.length;o++){var s=n._attributeList[o];if("name"===s._localName&&null===s._namespace&&null===s._namespacePrefix&&s._value===e)return n}n=i.tree_getNextDescendantNode(this._root,n,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t._filter(e)}))}return null},e.prototype[Symbol.iterator]=function(){var e=this._root,t=this._filter,n=i.tree_getFirstDescendantNode(e,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t(e)}));return{next:function(){if(null===n)return{done:!0,value:null};var r={done:!1,value:n};return n=i.tree_getNextDescendantNode(e,n,!1,!1,(function(e){return a.Guard.isElementNode(e)&&t(e)})),r}}},e.prototype.get=function(t,n,r){if(!o.isString(n)||-1!==e.reservedNames.indexOf(n))return Reflect.get(t,n,r);var i=Number(n);return isNaN(i)?t.namedItem(n)||void 0:t.item(i)||void 0},e.prototype.set=function(t,n,r,a){if(!o.isString(n)||-1!==e.reservedNames.indexOf(n))return Reflect.set(t,n,r,a);var s=Number(n),l=isNaN(s)?t.namedItem(n)||void 0:t.item(s)||void 0;return!(!l||!l._parent||(i.mutation_replace(l,r,l._parent),0))},e._create=function(t,n){return void 0===n&&(n=function(){return!0}),new e(t,n)},e.reservedNames=["_root","_live","_filter","length","item","namedItem","get","set"],e}();t.HTMLCollectionImpl=s},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(1),o=n(0),s=function(){function e(e){return this._live=!0,this._filter=null,this._length=0,this._root=e,new Proxy(this,this)}return Object.defineProperty(e.prototype,"length",{get:function(){return this._root._children.size},enumerable:!0,configurable:!0}),e.prototype.item=function(e){if(e<0||e>this.length-1)return null;if(e<this.length/2){for(var t=0,n=this._root._firstChild;null!==n&&t!==e;)n=n._nextSibling,t++;return n}for(t=this.length-1,n=this._root._lastChild;null!==n&&t!==e;)n=n._previousSibling,t--;return n},e.prototype.keys=function(){var e;return(e={})[Symbol.iterator]=function(){var e=0;return{next:function(){return e===this.length?{done:!0,value:null}:{done:!1,value:e++}}.bind(this)}}.bind(this),e},e.prototype.values=function(){var e;return(e={})[Symbol.iterator]=function(){var e=this[Symbol.iterator]();return{next:function(){return e.next()}}}.bind(this),e},e.prototype.entries=function(){var e;return(e={})[Symbol.iterator]=function(){var e=this[Symbol.iterator](),t=0;return{next:function(){var n=e.next();return n.done?{done:!0,value:null}:{done:!1,value:[t++,n.value]}}}}.bind(this),e},e.prototype[Symbol.iterator]=function(){return this._root._children[Symbol.iterator]()},e.prototype.forEach=function(e,t){var n,a;void 0===t&&(t=i.dom.window);var o=0;try{for(var s=r(this._root._children),l=s.next();!l.done;l=s.next()){var c=l.value;e.call(t,c,o++,this)}}catch(e){n={error:e}}finally{try{l&&!l.done&&(a=s.return)&&a.call(s)}finally{if(n)throw n.error}}},e.prototype.get=function(e,t,n){if(!a.isString(t))return Reflect.get(e,t,n);var r=Number(t);return isNaN(r)?Reflect.get(e,t,n):e.item(r)||void 0},e.prototype.set=function(e,t,n,r){if(!a.isString(t))return Reflect.set(e,t,n,r);var i=Number(t);if(isNaN(i))return Reflect.set(e,t,n,r);var s=e.item(i)||void 0;return!!s&&!!s._parent&&(o.mutation_replace(s,n,s._parent),!0)},e._create=function(t){return new e(t)},e}();t.NodeListImpl=s},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(1),o=function(){function e(e){return this._live=!1,this._items=[],this._length=0,this._root=e,this._items=[],this._filter=function(e){return!0},new Proxy(this,this)}return Object.defineProperty(e.prototype,"length",{get:function(){return this._items.length},enumerable:!0,configurable:!0}),e.prototype.item=function(e){return e<0||e>this.length-1?null:this._items[e]},e.prototype.keys=function(){var e;return(e={})[Symbol.iterator]=function(){var e=0;return{next:function(){return e===this.length?{done:!0,value:null}:{done:!1,value:e++}}.bind(this)}}.bind(this),e},e.prototype.values=function(){var e;return(e={})[Symbol.iterator]=function(){var e=this[Symbol.iterator]();return{next:function(){return e.next()}}}.bind(this),e},e.prototype.entries=function(){var e;return(e={})[Symbol.iterator]=function(){var e=this[Symbol.iterator](),t=0;return{next:function(){var n=e.next();return n.done?{done:!0,value:null}:{done:!1,value:[t++,n.value]}}}}.bind(this),e},e.prototype[Symbol.iterator]=function(){var e=this._items[Symbol.iterator]();return{next:function(){return e.next()}}},e.prototype.forEach=function(e,t){var n,a;void 0===t&&(t=i.dom.window);var o=0;try{for(var s=r(this._items),l=s.next();!l.done;l=s.next()){var c=l.value;e.call(t,c,o++,this)}}catch(e){n={error:e}}finally{try{l&&!l.done&&(a=s.return)&&a.call(s)}finally{if(n)throw n.error}}},e.prototype.get=function(e,t,n){if(!a.isString(t))return Reflect.get(e,t,n);var r=Number(t);return isNaN(r)?Reflect.get(e,t,n):e._items[r]||void 0},e.prototype.set=function(e,t,n,r){if(!a.isString(t))return Reflect.set(e,t,n,r);var i=Number(t);return isNaN(i)?Reflect.set(e,t,n,r):i>=0&&i<e._items.length&&(e._items[i]=n,!0)},e._create=function(t,n){var r=new e(t);return r._items=n,r},e}();t.NodeListStaticImpl=o},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(9),o=n(0),s=function(e){function t(n){var r=e.call(this)||this;return r._element=n,Object.setPrototypeOf(r,t.prototype),r}return i(t,e),t.prototype._asArray=function(){return this},t.prototype.item=function(e){return this[e]||null},t.prototype.getNamedItem=function(e){return o.element_getAnAttributeByName(e,this._element)},t.prototype.getNamedItemNS=function(e,t){return o.element_getAnAttributeByNamespaceAndLocalName(e||"",t,this._element)},t.prototype.setNamedItem=function(e){return o.element_setAnAttribute(e,this._element)},t.prototype.setNamedItemNS=function(e){return o.element_setAnAttribute(e,this._element)},t.prototype.removeNamedItem=function(e){var t=o.element_removeAnAttributeByName(e,this._element);if(null===t)throw new a.NotFoundError;return t},t.prototype.removeNamedItemNS=function(e,t){var n=o.element_removeAnAttributeByNamespaceAndLocalName(e||"",t,this._element);if(null===n)throw new a.NotFoundError;return n},t._create=function(e){return new t(e)},t}(Array);t.NamedNodeMapImpl=s},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(6),s=n(2),l=n(102),c=n(9),u=n(0),d=n(12),f=n(3),p=function(e){function t(){var t=e.call(this)||this,n=o.dom.window._associatedDocument;return t._start=[n,0],t._end=[n,0],o.dom.rangeList.add(t),t}return i(t,e),Object.defineProperty(t.prototype,"commonAncestorContainer",{get:function(){for(var e=this._start[0];!u.tree_isAncestorOf(this._end[0],e,!0);){if(null===e._parent)throw new Error("Parent node  is null.");e=e._parent}return e},enumerable:!0,configurable:!0}),t.prototype.setStart=function(e,t){u.range_setTheStart(this,e,t)},t.prototype.setEnd=function(e,t){u.range_setTheEnd(this,e,t)},t.prototype.setStartBefore=function(e){var t=e._parent;if(null===t)throw new c.InvalidNodeTypeError;u.range_setTheStart(this,t,u.tree_index(e))},t.prototype.setStartAfter=function(e){var t=e._parent;if(null===t)throw new c.InvalidNodeTypeError;u.range_setTheStart(this,t,u.tree_index(e)+1)},t.prototype.setEndBefore=function(e){var t=e._parent;if(null===t)throw new c.InvalidNodeTypeError;u.range_setTheEnd(this,t,u.tree_index(e))},t.prototype.setEndAfter=function(e){var t=e._parent;if(null===t)throw new c.InvalidNodeTypeError;u.range_setTheEnd(this,t,u.tree_index(e)+1)},t.prototype.collapse=function(e){e?this._end=this._start:this._start=this._end},t.prototype.selectNode=function(e){u.range_select(e,this)},t.prototype.selectNodeContents=function(e){if(f.Guard.isDocumentTypeNode(e))throw new c.InvalidNodeTypeError;var t=u.tree_nodeLength(e);this._start=[e,0],this._end=[e,t]},t.prototype.compareBoundaryPoints=function(e,t){if(e!==s.HowToCompare.StartToStart&&e!==s.HowToCompare.StartToEnd&&e!==s.HowToCompare.EndToEnd&&e!==s.HowToCompare.EndToStart)throw new c.NotSupportedError;if(u.range_root(this)!==u.range_root(t))throw new c.WrongDocumentError;var n,r;switch(e){case s.HowToCompare.StartToStart:n=this._start,r=t._start;break;case s.HowToCompare.StartToEnd:n=this._end,r=t._start;break;case s.HowToCompare.EndToEnd:n=this._end,r=t._end;break;case s.HowToCompare.EndToStart:n=this._start,r=t._end;break;default:throw new c.NotSupportedError}var i=u.boundaryPoint_position(n,r);return i===s.BoundaryPosition.Before?-1:i===s.BoundaryPosition.After?1:0},t.prototype.deleteContents=function(){var e,t,n,r;if(!u.range_collapsed(this)){var i=this._startNode,o=this._startOffset,s=this._endNode,l=this._endOffset;if(i===s&&f.Guard.isCharacterDataNode(i))u.characterData_replaceData(i,o,l-o,"");else{var c,d,p=[];try{for(var h=a(u.range_getContainedNodes(this)),m=h.next();!m.done;m=h.next()){var g=(_=m.value)._parent;null!==g&&u.range_isContained(g,this)||p.push(_)}}catch(t){e={error:t}}finally{try{m&&!m.done&&(t=h.return)&&t.call(h)}finally{if(e)throw e.error}}if(u.tree_isAncestorOf(s,i,!0))c=i,d=o;else{for(var v=i;null!==v._parent&&!u.tree_isAncestorOf(s,v._parent,!0);)v=v._parent;if(null===v._parent)throw new Error("Parent node is null.");c=v._parent,d=u.tree_index(v)+1}f.Guard.isCharacterDataNode(i)&&u.characterData_replaceData(i,o,u.tree_nodeLength(i)-o,"");try{for(var y=a(p),b=y.next();!b.done;b=y.next()){var _;(_=b.value)._parent&&u.mutation_remove(_,_._parent)}}catch(e){n={error:e}}finally{try{b&&!b.done&&(r=y.return)&&r.call(y)}finally{if(n)throw n.error}}f.Guard.isCharacterDataNode(s)&&u.characterData_replaceData(s,0,l,""),this._start=[c,d],this._end=[c,d]}}},t.prototype.extractContents=function(){return u.range_extract(this)},t.prototype.cloneContents=function(){return u.range_cloneTheContents(this)},t.prototype.insertNode=function(e){return u.range_insert(e,this)},t.prototype.surroundContents=function(e){var t,n;try{for(var r=a(u.range_getPartiallyContainedNodes(this)),i=r.next();!i.done;i=r.next()){var o=i.value;if(!f.Guard.isTextNode(o))throw new c.InvalidStateError}}catch(e){t={error:e}}finally{try{i&&!i.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}if(f.Guard.isDocumentNode(e)||f.Guard.isDocumentTypeNode(e)||f.Guard.isDocumentFragmentNode(e))throw new c.InvalidNodeTypeError;var s=u.range_extract(this);0!==e._children.size&&u.mutation_replaceAll(null,e),u.range_insert(e,this),u.mutation_append(s,e),u.range_select(e,this)},t.prototype.cloneRange=function(){return u.create_range(this._start,this._end)},t.prototype.detach=function(){o.dom.rangeList.delete(this)},t.prototype.isPointInRange=function(e,t){if(u.tree_rootNode(e)!==u.range_root(this))return!1;if(f.Guard.isDocumentTypeNode(e))throw new c.InvalidNodeTypeError;if(t>u.tree_nodeLength(e))throw new c.IndexSizeError;var n=[e,t];return u.boundaryPoint_position(n,this._start)!==s.BoundaryPosition.Before&&u.boundaryPoint_position(n,this._end)!==s.BoundaryPosition.After},t.prototype.comparePoint=function(e,t){if(u.tree_rootNode(e)!==u.range_root(this))throw new c.WrongDocumentError;if(f.Guard.isDocumentTypeNode(e))throw new c.InvalidNodeTypeError;if(t>u.tree_nodeLength(e))throw new c.IndexSizeError;var n=[e,t];return u.boundaryPoint_position(n,this._start)===s.BoundaryPosition.Before?-1:u.boundaryPoint_position(n,this._end)===s.BoundaryPosition.After?1:0},t.prototype.intersectsNode=function(e){if(u.tree_rootNode(e)!==u.range_root(this))return!1;var t=e._parent;if(null===t)return!0;var n=u.tree_index(e);return u.boundaryPoint_position([t,n],this._end)===s.BoundaryPosition.Before&&u.boundaryPoint_position([t,n+1],this._start)===s.BoundaryPosition.After},t.prototype.toString=function(){var e,t,n="";if(this._startNode===this._endNode&&f.Guard.isTextNode(this._startNode))return this._startNode._data.substring(this._startOffset,this._endOffset);f.Guard.isTextNode(this._startNode)&&(n+=this._startNode._data.substring(this._startOffset));try{for(var r=a(u.range_getContainedNodes(this)),i=r.next();!i.done;i=r.next()){var o=i.value;f.Guard.isTextNode(o)&&(n+=o._data)}}catch(t){e={error:t}}finally{try{i&&!i.done&&(t=r.return)&&t.call(r)}finally{if(e)throw e.error}}return f.Guard.isTextNode(this._endNode)&&(n+=this._endNode._data.substring(0,this._endOffset)),n},t._create=function(e,n){var r=new t;return e&&(r._start=e),n&&(r._end=n),r},t.START_TO_START=0,t.START_TO_END=1,t.END_TO_END=2,t.END_TO_START=3,t}(l.AbstractRangeImpl);t.RangeImpl=p,d.idl_defineConst(p.prototype,"START_TO_START",0),d.idl_defineConst(p.prototype,"START_TO_END",1),d.idl_defineConst(p.prototype,"END_TO_END",2),d.idl_defineConst(p.prototype,"END_TO_START",3)},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(103),o=n(0),s=function(e){function t(t,n,r){var i=e.call(this,t)||this;return i._iteratorCollection=void 0,i._reference=n,i._pointerBeforeReference=r,o.nodeIterator_iteratorList().add(i),i}return i(t,e),Object.defineProperty(t.prototype,"referenceNode",{get:function(){return this._reference},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"pointerBeforeReferenceNode",{get:function(){return this._pointerBeforeReference},enumerable:!0,configurable:!0}),t.prototype.nextNode=function(){return o.nodeIterator_traverse(this,!0)},t.prototype.previousNode=function(){return o.nodeIterator_traverse(this,!1)},t.prototype.detach=function(){o.nodeIterator_iteratorList().delete(this)},t._create=function(e,n,r){return new t(e,n,r)},t}(a.TraverserImpl);t.NodeIteratorImpl=s},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(2),o=n(103),s=n(0),l=function(e){function t(t,n){var r=e.call(this,t)||this;return r._current=n,r}return i(t,e),Object.defineProperty(t.prototype,"currentNode",{get:function(){return this._current},set:function(e){this._current=e},enumerable:!0,configurable:!0}),t.prototype.parentNode=function(){for(var e=this._current;null!==e&&e!==this._root;)if(null!==(e=e._parent)&&s.traversal_filter(this,e)===a.FilterResult.Accept)return this._current=e,e;return null},t.prototype.firstChild=function(){return s.treeWalker_traverseChildren(this,!0)},t.prototype.lastChild=function(){return s.treeWalker_traverseChildren(this,!1)},t.prototype.nextSibling=function(){return s.treeWalker_traverseSiblings(this,!0)},t.prototype.previousNode=function(){for(var e=this._current;e!==this._root;){for(var t=e._previousSibling;t;){e=t;for(var n=s.traversal_filter(this,e);n!==a.FilterResult.Reject&&e._lastChild;)e=e._lastChild,n=s.traversal_filter(this,e);if(n===a.FilterResult.Accept)return this._current=e,e;t=e._previousSibling}if(e===this._root||null===e._parent)return null;if(e=e._parent,s.traversal_filter(this,e)===a.FilterResult.Accept)return this._current=e,e}return null},t.prototype.previousSibling=function(){return s.treeWalker_traverseSiblings(this,!1)},t.prototype.nextNode=function(){for(var e=this._current,t=a.FilterResult.Accept;;){for(;t!==a.FilterResult.Reject&&e._firstChild;)if(e=e._firstChild,(t=s.traversal_filter(this,e))===a.FilterResult.Accept)return this._current=e,e;for(var n=null,r=e;null!==r;){if(r===this._root)return null;if(null!==(n=r._nextSibling)){e=n;break}r=r._parent}if((t=s.traversal_filter(this,e))===a.FilterResult.Accept)return this._current=e,e}},t._create=function(e,n){return new t(e,n)},t}(o.TraverserImpl);t.TreeWalkerImpl=l},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=n(12),a=function(){function e(){}return e.prototype.acceptNode=function(e){return r.FilterResult.Accept},e._create=function(){return new e},e.FILTER_ACCEPT=1,e.FILTER_REJECT=2,e.FILTER_SKIP=3,e.SHOW_ALL=4294967295,e.SHOW_ELEMENT=1,e.SHOW_ATTRIBUTE=2,e.SHOW_TEXT=4,e.SHOW_CDATA_SECTION=8,e.SHOW_ENTITY_REFERENCE=16,e.SHOW_ENTITY=32,e.SHOW_PROCESSING_INSTRUCTION=64,e.SHOW_COMMENT=128,e.SHOW_DOCUMENT=256,e.SHOW_DOCUMENT_TYPE=512,e.SHOW_DOCUMENT_FRAGMENT=1024,e.SHOW_NOTATION=2048,e}();t.NodeFilterImpl=a,i.idl_defineConst(a.prototype,"FILTER_ACCEPT",1),i.idl_defineConst(a.prototype,"FILTER_REJECT",2),i.idl_defineConst(a.prototype,"FILTER_SKIP",3),i.idl_defineConst(a.prototype,"SHOW_ALL",4294967295),i.idl_defineConst(a.prototype,"SHOW_ELEMENT",1),i.idl_defineConst(a.prototype,"SHOW_ATTRIBUTE",2),i.idl_defineConst(a.prototype,"SHOW_TEXT",4),i.idl_defineConst(a.prototype,"SHOW_CDATA_SECTION",8),i.idl_defineConst(a.prototype,"SHOW_ENTITY_REFERENCE",16),i.idl_defineConst(a.prototype,"SHOW_ENTITY",32),i.idl_defineConst(a.prototype,"SHOW_PROCESSING_INSTRUCTION",64),i.idl_defineConst(a.prototype,"SHOW_COMMENT",128),i.idl_defineConst(a.prototype,"SHOW_DOCUMENT",256),i.idl_defineConst(a.prototype,"SHOW_DOCUMENT_TYPE",512),i.idl_defineConst(a.prototype,"SHOW_DOCUMENT_FRAGMENT",1024),i.idl_defineConst(a.prototype,"SHOW_NOTATION",2048)},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,r,i,a,o,s,l){this._type=e,this._target=t,this._addedNodes=n,this._removedNodes=r,this._previousSibling=i,this._nextSibling=a,this._attributeName=o,this._attributeNamespace=s,this._oldValue=l}return Object.defineProperty(e.prototype,"type",{get:function(){return this._type},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"addedNodes",{get:function(){return this._addedNodes},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"removedNodes",{get:function(){return this._removedNodes},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"previousSibling",{get:function(){return this._previousSibling},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"nextSibling",{get:function(){return this._nextSibling},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"attributeName",{get:function(){return this._attributeName},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"attributeNamespace",{get:function(){return this._attributeNamespace},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"oldValue",{get:function(){return this._oldValue},enumerable:!0,configurable:!0}),e._create=function(t,n,r,i,a,o,s,l,c){return new e(t,n,r,i,a,o,s,l,c)},e}();t.MutationRecordImpl=r},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(9),o=n(7),s=n(0),l=function(){function e(e,t){this._element=e,this._attribute=t,this._tokenSet=new Set;var n=t._localName,r=s.element_getAnAttributeValue(e,n),a=this;this._element._attributeChangeSteps.push((function(e,t,n,r,i){t===a._attribute._localName&&null===i&&(r?a._tokenSet=s.orderedSet_parse(r):a._tokenSet.clear())})),i.dom.features.steps&&s.dom_runAttributeChangeSteps(e,n,r,r,null)}return Object.defineProperty(e.prototype,"length",{get:function(){return this._tokenSet.size},enumerable:!0,configurable:!0}),e.prototype.item=function(e){var t,n,i=0;try{for(var a=r(this._tokenSet),o=a.next();!o.done;o=a.next()){var s=o.value;if(i===e)return s;i++}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return null},e.prototype.contains=function(e){return this._tokenSet.has(e)},e.prototype.add=function(){for(var e,t,n=[],i=0;i<arguments.length;i++)n[i]=arguments[i];try{for(var l=r(n),c=l.next();!c.done;c=l.next()){var u=c.value;if(""===u)throw new a.SyntaxError("Cannot add an empty token.");if(o.codePoint.ASCIIWhiteSpace.test(u))throw new a.InvalidCharacterError("Token cannot contain whitespace.");this._tokenSet.add(u)}}catch(t){e={error:t}}finally{try{c&&!c.done&&(t=l.return)&&t.call(l)}finally{if(e)throw e.error}}s.tokenList_updateSteps(this)},e.prototype.remove=function(){for(var e,t,n=[],i=0;i<arguments.length;i++)n[i]=arguments[i];try{for(var l=r(n),c=l.next();!c.done;c=l.next()){var u=c.value;if(""===u)throw new a.SyntaxError("Cannot remove an empty token.");if(o.codePoint.ASCIIWhiteSpace.test(u))throw new a.InvalidCharacterError("Token cannot contain whitespace.");this._tokenSet.delete(u)}}catch(t){e={error:t}}finally{try{c&&!c.done&&(t=l.return)&&t.call(l)}finally{if(e)throw e.error}}s.tokenList_updateSteps(this)},e.prototype.toggle=function(e,t){if(void 0===t&&(t=void 0),""===e)throw new a.SyntaxError("Cannot toggle an empty token.");if(o.codePoint.ASCIIWhiteSpace.test(e))throw new a.InvalidCharacterError("Token cannot contain whitespace.");return this._tokenSet.has(e)?void 0!==t&&!1!==t||(this._tokenSet.delete(e),s.tokenList_updateSteps(this),!1):(void 0===t||!0===t)&&(this._tokenSet.add(e),s.tokenList_updateSteps(this),!0)},e.prototype.replace=function(e,t){if(""===e||""===t)throw new a.SyntaxError("Cannot replace an empty token.");if(o.codePoint.ASCIIWhiteSpace.test(e)||o.codePoint.ASCIIWhiteSpace.test(t))throw new a.InvalidCharacterError("Token cannot contain whitespace.");return!!this._tokenSet.has(e)&&(o.set.replace(this._tokenSet,e,t),s.tokenList_updateSteps(this),!0)},e.prototype.supports=function(e){return s.tokenList_validationSteps(this,e)},Object.defineProperty(e.prototype,"value",{get:function(){return s.tokenList_serializeSteps(this)},set:function(e){s.element_setAnAttributeValue(this._element,this._attribute._localName,e)},enumerable:!0,configurable:!0}),e.prototype[Symbol.iterator]=function(){var e=this._tokenSet[Symbol.iterator]();return{next:function(){return e.next()}}},e._create=function(t,n){return new e(t,n)},e}();t.DOMTokenListImpl=l},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(104),o=n(0),s=function(e){function t(t,n){var r=e.call(this,t,n)||this;return r._detail=null,r._detail=n&&n.detail||null,r}return i(t,e),Object.defineProperty(t.prototype,"detail",{get:function(){return this._detail},enumerable:!0,configurable:!0}),t.prototype.initCustomEvent=function(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1),void 0===r&&(r=null),this._dispatchFlag||(o.event_initialize(this,e,t,n),this._detail=r)},t}(a.EventImpl);t.CustomEventImpl=s},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(6),i=n(2),a=n(105),o=n(17);t.nodeIterator_traverse=function(e,t){for(var n=e._reference,r=e._pointerBeforeReference;;){if(t)if(r)r=!1;else{var s=o.tree_getFollowingNode(e._root,n);if(!s)return null;n=s}else if(r){var l=o.tree_getPrecedingNode(e.root,n);if(!l)return null;n=l}else r=!0;if(a.traversal_filter(e,n)===i.FilterResult.Accept)break}return e._reference=n,e._pointerBeforeReference=r,n},t.nodeIterator_iteratorList=function(){return r.dom.window._iteratorList}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(9),i=n(7),a=n(174);function o(e){if(!a.xml_isName(e))throw new r.InvalidCharacterError("Invalid XML name: "+e);if(!a.xml_isQName(e))throw new r.InvalidCharacterError("Invalid XML qualified name: "+e+".")}t.namespace_validate=o,t.namespace_validateAndExtract=function(e,t){e||(e=null),o(t);var n=t.split(":"),a=2===n.length?n[0]:null,s=2===n.length?n[1]:t;if(a&&null===e)throw new r.NamespaceError("Qualified name includes a prefix but the namespace is null.");if("xml"===a&&e!==i.namespace.XML)throw new r.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');if(e!==i.namespace.XMLNS&&("xmlns"===a||"xmlns"===t))throw new r.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');if(e===i.namespace.XMLNS&&"xmlns"!==a&&"xmlns"!==t)throw new r.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');return[e,a,s]},t.namespace_extractQName=function(e){o(e);var t=e.split(":");return[2===t.length?t[0]:null,2===t.length?t[1]:e]}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.xml_isName=function(e){for(var t=0;t<e.length;t++){var n=e.charCodeAt(t);if(!(n>=97&&n<=122||n>=65&&n<=90||58===n||95===n||n>=192&&n<=214||n>=216&&n<=246||n>=248&&n<=767||n>=880&&n<=893||n>=895&&n<=8191||n>=8204&&n<=8205||n>=8304&&n<=8591||n>=11264&&n<=12271||n>=12289&&n<=55295||n>=63744&&n<=64975||n>=65008&&n<=65533||0!==t&&(45===n||46===n||n>=48&&n<=57||183===n||n>=768&&n<=879||n>=8255&&n<=8256))){if(n>=55296&&n<=56319&&t<e.length-1){var r=e.charCodeAt(t+1);if(r>=56320&&r<=57343&&(t++,(n=1024*(n-55296)+r-56320+65536)>=65536&&n<=983039))continue}return!1}}return!0},t.xml_isQName=function(e){for(var t=!1,n=0;n<e.length;n++){var r=e.charCodeAt(n);if(!(r>=97&&r<=122||r>=65&&r<=90||95===r||r>=192&&r<=214||r>=216&&r<=246||r>=248&&r<=767||r>=880&&r<=893||r>=895&&r<=8191||r>=8204&&r<=8205||r>=8304&&r<=8591||r>=11264&&r<=12271||r>=12289&&r<=55295||r>=63744&&r<=64975||r>=65008&&r<=65533||0!==n&&(45===r||46===r||r>=48&&r<=57||183===r||r>=768&&r<=879||r>=8255&&r<=8256))){if(0===n||58!==r){if(r>=55296&&r<=56319&&n<e.length-1){var i=e.charCodeAt(n+1);if(i>=56320&&i<=57343&&(n++,(r=1024*(r-55296)+i-56320+65536)>=65536&&r<=983039))continue}return!1}if(t)return!1;if(n===e.length-1)return!1;t=!0}}return!0},t.xml_isLegalChar=function(e){for(var t=0;t<e.length;t++){var n=e.charCodeAt(t);if(!(9===n||10===n||13===n||n>=32&&n<=55295||n>=57344&&n<=65533)){if(n>=55296&&n<=56319&&t<e.length-1){var r=e.charCodeAt(t+1);if(r>=56320&&r<=57343&&(t++,(n=1024*(n-55296)+r-56320+65536)>=65536&&n<=1114111))continue}return!1}}return!0},t.xml_isPubidChar=function(e){for(var t=0;t<e.length;t++){var n=e.charCodeAt(t);if(!(n>=97&&n<=122||n>=65&&n<=90||n>=39&&n<=59||32===n||13===n||10===n||n>=35&&n<=37||33===n||61===n||63===n||64===n||95===n))return!1}return!0}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=n(17);t.boundaryPoint_position=function e(t,n){var a=t[0],o=t[1],s=n[0],l=n[1];if(console.assert(i.tree_rootNode(a)===i.tree_rootNode(s),"Boundary points must share the same root node."),a===s)return o===l?r.BoundaryPosition.Equal:o<l?r.BoundaryPosition.Before:r.BoundaryPosition.After;if(i.tree_isFollowing(s,a)){var c=e([s,l],[a,o]);if(c===r.BoundaryPosition.Before)return r.BoundaryPosition.After;if(c===r.BoundaryPosition.After)return r.BoundaryPosition.Before}if(i.tree_isAncestorOf(s,a)){for(var u=s;!i.tree_isChildOf(a,u);)null!==u._parent&&(u=u._parent);if(i.tree_index(u)<o)return r.BoundaryPosition.After}return r.BoundaryPosition.Before}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(3),o=n(7),s=n(29),l=n(108),c=n(30),u=n(37),d=n(52);t.node_stringReplaceAll=function(e,t){var n=null;""!==e&&(n=s.create_text(t._nodeDocument,e)),u.mutation_replaceAll(n,t)},t.node_clone=function e(t,n,o){var l,f,p,h,m;if(void 0===n&&(n=null),void 0===o&&(o=!1),null===n&&(n=t._nodeDocument),a.Guard.isElementNode(t)){m=d.element_createAnElement(n,t._localName,t._namespace,t._namespacePrefix,t._is,!1);try{for(var g=r(t._attributeList),v=g.next();!v.done;v=g.next()){var y=e(v.value,n);d.element_append(y,m)}}catch(e){l={error:e}}finally{try{v&&!v.done&&(f=g.return)&&f.call(g)}finally{if(l)throw l.error}}}else if(a.Guard.isDocumentNode(t)){var b=s.create_document();b._encoding=t._encoding,b._contentType=t._contentType,b._URL=t._URL,b._origin=t._origin,b._type=t._type,b._mode=t._mode,m=b}else if(a.Guard.isDocumentTypeNode(t))m=s.create_documentType(n,t._name,t._publicId,t._systemId);else if(a.Guard.isAttrNode(t)){var _=s.create_attr(n,t.localName);_._namespace=t._namespace,_._namespacePrefix=t._namespacePrefix,_._value=t._value,m=_}else m=a.Guard.isExclusiveTextNode(t)?s.create_text(n,t._data):a.Guard.isCDATASectionNode(t)?s.create_cdataSection(n,t._data):a.Guard.isCommentNode(t)?s.create_comment(n,t._data):a.Guard.isProcessingInstructionNode(t)?s.create_processingInstruction(n,t._target,t._data):a.Guard.isDocumentFragmentNode(t)?s.create_documentFragment(n):Object.create(t);if(a.Guard.isDocumentNode(m)?(m._nodeDocument=m,n=m):m._nodeDocument=n,i.dom.features.steps&&c.dom_runCloningSteps(m,t,n,o),o)try{for(var x=r(t._children),w=x.next();!w.done;w=x.next()){var A=e(w.value,n,!0);u.mutation_append(A,m)}}catch(e){p={error:e}}finally{try{w&&!w.done&&(h=x.return)&&h.call(x)}finally{if(p)throw p.error}}return m},t.node_equals=function e(t,n){var i,o,s,l;if(t._nodeType!==n._nodeType)return!1;if(a.Guard.isDocumentTypeNode(t)&&a.Guard.isDocumentTypeNode(n)){if(t._name!==n._name||t._publicId!==n._publicId||t._systemId!==n._systemId)return!1}else if(a.Guard.isElementNode(t)&&a.Guard.isElementNode(n)){if(t._namespace!==n._namespace||t._namespacePrefix!==n._namespacePrefix||t._localName!==n._localName||t._attributeList.length!==n._attributeList.length)return!1}else if(a.Guard.isAttrNode(t)&&a.Guard.isAttrNode(n)){if(t._namespace!==n._namespace||t._localName!==n._localName||t._value!==n._value)return!1}else if(a.Guard.isProcessingInstructionNode(t)&&a.Guard.isProcessingInstructionNode(n)){if(t._target!==n._target||t._data!==n._data)return!1}else if(a.Guard.isCharacterDataNode(t)&&a.Guard.isCharacterDataNode(n)&&t._data!==n._data)return!1;if(a.Guard.isElementNode(t)&&a.Guard.isElementNode(n)){var c={};try{for(var u=r(t._attributeList),d=u.next();!d.done;d=u.next())c[(h=d.value)._localName]=h}catch(e){i={error:e}}finally{try{d&&!d.done&&(o=u.return)&&o.call(u)}finally{if(i)throw i.error}}try{for(var f=r(n._attributeList),p=f.next();!p.done;p=f.next()){var h,m=p.value;if(!(h=c[m._localName]))return!1;if(!e(h,m))return!1}}catch(e){s={error:e}}finally{try{p&&!p.done&&(l=f.return)&&l.call(f)}finally{if(s)throw s.error}}}if(t._children.size!==n._children.size)return!1;for(var g=t._children[Symbol.iterator](),v=n._children[Symbol.iterator](),y=g.next(),b=v.next();!y.done&&!b.done;){if(!e(y.value,b.value))return!1;y=g.next(),b=v.next()}return!0},t.node_listOfElementsWithQualifiedName=function(e,t){return"*"===e?s.create_htmlCollection(t):"html"===t._nodeDocument._type?s.create_htmlCollection(t,(function(t){return t._namespace===o.namespace.HTML&&t._qualifiedName===e.toLowerCase()||t._namespace!==o.namespace.HTML&&t._qualifiedName===e})):s.create_htmlCollection(t,(function(t){return t._qualifiedName===e}))},t.node_listOfElementsWithNamespace=function(e,t,n){return""===e&&(e=null),"*"===e&&"*"===t?s.create_htmlCollection(n):"*"===e?s.create_htmlCollection(n,(function(e){return e._localName===t})):"*"===t?s.create_htmlCollection(n,(function(t){return t._namespace===e})):s.create_htmlCollection(n,(function(n){return n._localName===t&&n._namespace===e}))},t.node_listOfElementsWithClassNames=function(e,t){var n=l.orderedSet_parse(e);if(0===n.size)return s.create_htmlCollection(t,(function(){return!1}));var r="quirks"!==t._nodeDocument._mode;return s.create_htmlCollection(t,(function(e){var t=e.classList;return l.orderedSet_contains(t._tokenSet,n,r)}))},t.node_locateANamespacePrefix=function e(t,n){if(t._namespace===n&&null!==t._namespacePrefix)return t._namespacePrefix;for(var r=0;r<t._attributeList.length;r++){var i=t._attributeList[r];if("xmlns"===i._namespacePrefix&&i._value===n)return i._localName}return t._parent&&a.Guard.isElementNode(t._parent)?e(t._parent,n):null},t.node_locateANamespace=function e(t,n){if(a.Guard.isElementNode(t)){if(null!==t._namespace&&t._namespacePrefix===n)return t._namespace;for(var r=0;r<t._attributeList.length;r++){var i=t._attributeList[r];if(i._namespace===o.namespace.XMLNS&&"xmlns"===i._namespacePrefix&&i._localName===n)return i._value||null;if(null===n&&i._namespace===o.namespace.XMLNS&&null===i._namespacePrefix&&"xmlns"===i._localName)return i._value||null}return null===t.parentElement?null:e(t.parentElement,n)}return a.Guard.isDocumentNode(t)?null===t.documentElement?null:e(t.documentElement,n):a.Guard.isDocumentTypeNode(t)||a.Guard.isDocumentFragmentNode(t)?null:a.Guard.isAttrNode(t)?null===t._element?null:e(t._element,n):t._parent&&a.Guard.isElementNode(t._parent)?e(t._parent,n):null}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(3),o=n(9),s=n(29),l=n(17),c=n(107),u=n(37);t.text_contiguousTextNodes=function(e,t){var n;return void 0===t&&(t=!1),(n={})[Symbol.iterator]=function(){for(var n=e;n&&a.Guard.isTextNode(n._previousSibling);)n=n._previousSibling;return{next:function(){if(n&&!t&&n===e&&(n=a.Guard.isTextNode(n._nextSibling)?n._nextSibling:null),null===n)return{done:!0,value:null};var r={done:!1,value:n};return n=a.Guard.isTextNode(n._nextSibling)?n._nextSibling:null,r}}},n},t.text_contiguousExclusiveTextNodes=function(e,t){var n;return void 0===t&&(t=!1),(n={})[Symbol.iterator]=function(){for(var n=e;n&&a.Guard.isExclusiveTextNode(n._previousSibling);)n=n._previousSibling;return{next:function(){if(n&&!t&&n===e&&(n=a.Guard.isExclusiveTextNode(n._nextSibling)?n._nextSibling:null),null===n)return{done:!0,value:null};var r={done:!1,value:n};return n=a.Guard.isExclusiveTextNode(n._nextSibling)?n._nextSibling:null,r}}},n},t.text_descendantTextContent=function(e){for(var t="",n=l.tree_getFirstDescendantNode(e,!1,!1,(function(e){return a.Guard.isTextNode(e)}));null!==n;)t+=n._data,n=l.tree_getNextDescendantNode(e,n,!1,!1,(function(e){return a.Guard.isTextNode(e)}));return t},t.text_split=function(e,t){var n,a,d=e._data.length;if(t>d)throw new o.IndexSizeError;var f=d-t,p=c.characterData_substringData(e,t,f),h=s.create_text(e._nodeDocument,p),m=e._parent;if(null!==m){u.mutation_insert(h,m,e._nextSibling);try{for(var g=r(i.dom.rangeList),v=g.next();!v.done;v=g.next()){var y=v.value;y._start[0]===e&&y._start[1]>t&&(y._start[0]=h,y._start[1]-=t),y._end[0]===e&&y._end[1]>t&&(y._end[0]=h,y._end[1]-=t);var b=l.tree_index(e);y._start[0]===m&&y._start[1]===b+1&&y._start[1]++,y._end[0]===m&&y._end[1]===b+1&&y._end[1]++}}catch(e){n={error:e}}finally{try{v&&!v.done&&(a=g.return)&&a.call(g)}finally{if(n)throw n.error}}}return c.characterData_replaceData(e,t,f,""),h}},function(e,t,n){"use strict";var r=n(4),i=n(41),a=n(24),o=n(48),s=[].join,l=i!=Object,c=o("join",",");r({target:"Array",proto:!0,forced:l||!c},{join:function(e){return s.call(a(this),void 0===e?",":e)}})},function(e,t,n){var r=n(4),i=n(83),a=String.fromCharCode,o=String.fromCodePoint;r({target:"String",stat:!0,forced:!!o&&1!=o.length},{fromCodePoint:function(e){for(var t,n=[],r=arguments.length,o=0;r>o;){if(t=+arguments[o++],i(t,1114111)!==t)throw RangeError(t+" is not a valid code point");n.push(t<65536?a(t):a(55296+((t-=65536)>>10),t%1024+56320))}return n.join("")}})},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var i=n(111),a=function(){function e(e,t){this._options={skipWhitespaceOnlyText:!1},this.err={line:-1,col:-1,index:-1,str:""},this._str=e,this._index=0,this._length=e.length,t&&(this._options.skipWhitespaceOnlyText=t.skipWhitespaceOnlyText||!1)}return e.prototype.nextToken=function(){if(this.eof())return{type:i.TokenType.EOF};var t=this.skipIfStartsWith("<")?this.openBracket():this.text();return this._options.skipWhitespaceOnlyText&&t.type===i.TokenType.Text&&e.isWhiteSpaceToken(t)&&(t=this.nextToken()),t},e.prototype.openBracket=function(){return this.skipIfStartsWith("?")?this.skipIfStartsWith("xml")?e.isSpace(this._str[this._index])?this.declaration():(this.seek(-3),this.pi()):this.pi():this.skipIfStartsWith("!")?this.skipIfStartsWith("--")?this.comment():this.skipIfStartsWith("[CDATA[")?this.cdata():this.skipIfStartsWith("DOCTYPE")?this.doctype():void this.throwError("Invalid '!' in opening tag."):this.skipIfStartsWith("/")?this.closeTag():this.openTag()},e.prototype.declaration=function(){for(var e="",t="",n="";!this.eof();){if(this.skipSpace(),this.skipIfStartsWith("?>"))return{type:i.TokenType.Declaration,version:e,encoding:t,standalone:n};var a=r(this.attribute(),2),o=a[0],s=a[1];"version"===o?e=s:"encoding"===o?t=s:"standalone"===o?n=s:this.throwError("Invalid attribute name: "+o)}this.throwError("Missing declaration end symbol `?>`")},e.prototype.doctype=function(){var e="",t="";this.skipSpace();var n=this.takeUntil2("[",">",!0);return this.skipSpace(),this.skipIfStartsWith("PUBLIC")?(e=this.quotedString(),t=this.quotedString()):this.skipIfStartsWith("SYSTEM")&&(t=this.quotedString()),this.skipSpace(),this.skipIfStartsWith("[")&&(this.skipUntil("]"),this.skipIfStartsWith("]")||this.throwError("Missing end bracket of DTD internal subset")),this.skipSpace(),this.skipIfStartsWith(">")||this.throwError("Missing doctype end symbol `>`"),{type:i.TokenType.DocType,name:n,pubId:e,sysId:t}},e.prototype.pi=function(){var e=this.takeUntilStartsWith("?>",!0);if(this.eof()&&this.throwError("Missing processing instruction end symbol `?>`"),this.skipSpace(),this.skipIfStartsWith("?>"))return{type:i.TokenType.PI,target:e,data:""};var t=this.takeUntilStartsWith("?>");return this.eof()&&this.throwError("Missing processing instruction end symbol `?>`"),this.seek(2),{type:i.TokenType.PI,target:e,data:t}},e.prototype.text=function(){var e=this.takeUntil("<");return{type:i.TokenType.Text,data:e}},e.prototype.comment=function(){var e=this.takeUntilStartsWith("--\x3e");return this.eof()&&this.throwError("Missing comment end symbol `--\x3e`"),this.seek(3),{type:i.TokenType.Comment,data:e}},e.prototype.cdata=function(){var e=this.takeUntilStartsWith("]]>");return this.eof()&&this.throwError("Missing CDATA end symbol `]>`"),this.seek(3),{type:i.TokenType.CDATA,data:e}},e.prototype.openTag=function(){this.skipSpace();var e=this.takeUntil2(">","/",!0);if(this.skipSpace(),this.skipIfStartsWith(">"))return{type:i.TokenType.Element,name:e,attributes:[],selfClosing:!1};if(this.skipIfStartsWith("/>"))return{type:i.TokenType.Element,name:e,attributes:[],selfClosing:!0};for(var t=[];!this.eof();){if(this.skipSpace(),this.skipIfStartsWith(">"))return{type:i.TokenType.Element,name:e,attributes:t,selfClosing:!1};if(this.skipIfStartsWith("/>"))return{type:i.TokenType.Element,name:e,attributes:t,selfClosing:!0};var n=this.attribute();t.push(n)}this.throwError("Missing opening element tag end symbol `>`")},e.prototype.closeTag=function(){this.skipSpace();var e=this.takeUntil(">",!0);return this.skipSpace(),this.skipIfStartsWith(">")||this.throwError("Missing closing element tag end symbol `>`"),{type:i.TokenType.ClosingTag,name:e}},e.prototype.attribute=function(){this.skipSpace();var e=this.takeUntil("=",!0);return this.skipSpace(),this.skipIfStartsWith("=")||this.throwError("Missing equals sign before attribute value"),[e,this.quotedString()]},e.prototype.quotedString=function(){this.skipSpace();var t=this.take(1);e.isQuote(t)||this.throwError("Missing start quote character before quoted value");var n=this.takeUntil(t);return this.skipIfStartsWith(t)||this.throwError("Missing end quote character after quoted value"),n},e.prototype.eof=function(){return this._index>=this._length},e.prototype.skipIfStartsWith=function(e){var t=e.length;if(1===t)return this._str[this._index]===e&&(this._index++,!0);for(var n=0;n<t;n++)if(this._str[this._index+n]!==e[n])return!1;return this._index+=t,!0},e.prototype.seek=function(e){this._index+=e,this._index<0&&(this._index=0),this._index>this._length&&(this._index=this._length)},e.prototype.skipSpace=function(){for(;!this.eof()&&e.isSpace(this._str[this._index]);)this._index++},e.prototype.take=function(e){if(1===e)return this._str[this._index++];var t=this._index;return this.seek(e),this._str.slice(t,this._index)},e.prototype.takeUntil=function(t,n){void 0===n&&(n=!1);for(var r=this._index;this._index<this._length;){var i=this._str[this._index];if(i===t||n&&e.isSpace(i))break;this._index++}return this._str.slice(r,this._index)},e.prototype.takeUntil2=function(t,n,r){void 0===r&&(r=!1);for(var i=this._index;this._index<this._length;){var a=this._str[this._index];if(a===t||a===n||r&&e.isSpace(a))break;this._index++}return this._str.slice(i,this._index)},e.prototype.takeUntilStartsWith=function(t,n){void 0===n&&(n=!1);for(var r=this._index,i=t.length;this._index<this._length;){for(var a=!0,o=0;o<i;o++){var s=this._str[this._index+o],l=t[o];if(n&&e.isSpace(s))return this._str.slice(r,this._index);if(s!==l){this._index++,a=!1;break}}if(a)return this._str.slice(r,this._index)}return this._index=this._length,this._str.slice(r)},e.prototype.skipUntil=function(e){for(;this._index<this._length&&this._str[this._index]!==e;)this._index++},e.isWhiteSpaceToken=function(e){for(var t=e.data,n=0;n<t.length;n++){var r=t[n];if(" "!==r&&"\n"!==r&&"\r"!==r&&"\t"!==r&&"\f"!==r)return!1}return!0},e.isSpace=function(e){return" "===e||"\n"===e||"\r"===e||"\t"===e},e.isQuote=function(e){return'"'===e||"'"===e},e.prototype.throwError=function(e){for(var t=/\r\n|\r|\n/g,n=null,r=0,i=0,a=this._str.length;null!==(n=t.exec(this._str))&&null!==n;)if(r++,n.index<this._index&&(i=t.lastIndex),n.index>this._index){a=n.index;break}throw this.err={line:r,col:this._index-i,index:this._index,str:this._str.substring(i,a)},new Error(e+"\nIndex: "+this.err.index+"\nLn: "+this.err.line+", Col: "+this.err.col+"\nInput: "+this.err.str)},e.prototype[Symbol.iterator]=function(){return this._index=0,{next:function(){var e=this.nextToken();return e.type===i.TokenType.EOF?{done:!0,value:null}:{done:!1,value:e}}.bind(this)}},e}();t.XMLStringLexer=a},function(e,t,n){"use strict";var r=n(39);e.exports=new r({include:[n(182)]})},function(e,t,n){"use strict";var r=n(39);e.exports=new r({include:[n(113)],implicit:[n(289),n(290),n(291),n(292)]})},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(91),i=n(1),a=n(3),o=n(77),s=n(109);function l(e,t){var n=u(void 0===e||c(e)?e:r.DefaultBuilderOptions),i=c(e)?t:e,a=s.createDocument();d(a,n);var l=new o.XMLBuilderImpl(a);return void 0!==i&&l.ele(i),l}function c(e){if(!i.isPlainObject(e))return!1;for(var t in e)if(e.hasOwnProperty(t)&&!r.XMLBuilderOptionKeys.has(t))return!1;return!0}function u(e){void 0===e&&(e={});var t=i.applyDefaults(e,r.DefaultBuilderOptions);if(0===t.convert.att.length||0===t.convert.ins.length||0===t.convert.text.length||0===t.convert.cdata.length||0===t.convert.comment.length)throw new Error("JS object converter strings cannot be zero length.");return t}function d(e,t,n){var r=e;r._xmlBuilderOptions=t,r._isFragment=n}t.builder=function(e,t){var n=u(c(e)?e:r.DefaultBuilderOptions),s=a.Guard.isNode(e)||i.isArray(e)?e:t;if(void 0===s)throw new Error("Invalid arguments.");if(i.isArray(s)){for(var l=[],d=0;d<s.length;d++){var f=new o.XMLBuilderImpl(s[d]);f.set(n),l.push(f)}return l}var p=new o.XMLBuilderImpl(s);return p.set(n),p},t.create=l,t.fragment=function(e,t){var n=u(void 0===e||c(e)?e:r.DefaultBuilderOptions),i=c(e)?t:e,a=s.createDocument();d(a,n,!0);var l=new o.XMLBuilderImpl(a.createDocumentFragment());return void 0!==i&&l.ele(i),l},t.convert=function(e,t,n){var i,a,o;return c(e)&&void 0!==t?(i=e,a=t,o=n):(i=r.DefaultBuilderOptions,a=e,o=t||void 0),l(i,a).end(o)}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(77);t.builder=r.builder,t.create=r.create,t.fragment=r.fragment,t.convert=r.convert,t.createCB=r.createCB,t.fragmentCB=r.fragmentCB},function(e,t,n){"use strict";n(31),n(32),n(33),n(191),n(192),n(194),n(64),n(19),n(198),n(199),n(89),n(201),n(65),n(20),n(66),n(22),n(23);var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var a=n(91),o=n(1),s=n(217),l=n(2),c=n(3),u=n(0),d=n(109),f=n(7),p=n(276),h=function(){function e(e){this._domNode=e}return Object.defineProperty(e.prototype,"node",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"options",{get:function(){return this._options},enumerable:!0,configurable:!0}),e.prototype.set=function(e){return this._options=o.applyDefaults(o.applyDefaults(this._options,e,!0),a.DefaultBuilderOptions),this},e.prototype.ele=function(t,n,i){var a,s,l,c,f,h;if(o.isObject(t))return new p.ObjectReader(this._options).parse(this,t);if(null!==t&&/^\s*</.test(t))return new p.XMLReader(this._options).parse(this,t);if(null!==t&&/^\s*[\{\[]/.test(t))return new p.JSONReader(this._options).parse(this,t);if(null!==t&&/^(\s*|(#.*)|(%.*))*---/.test(t))return new p.YAMLReader(this._options).parse(this,t);if((null===t||o.isString(t))&&o.isString(n))c=(a=r([t,n,i],3))[0],f=a[1],h=a[2];else{if(null===t)throw new Error("Element name cannot be null. "+this._debugInfo());c=(s=r([void 0,t,o.isObject(n)?n:void 0],3))[0],f=s[1],h=s[2]}if(h&&(h=o.getValue(h)),c=(l=r(this._extractNamespace(d.sanitizeInput(c,this._options.invalidCharReplacement),d.sanitizeInput(f,this._options.invalidCharReplacement),!0),2))[0],f=l[1],void 0===c){var m=r(u.namespace_extractQName(f),1)[0];c=this.node.lookupNamespaceURI(m)}var g=null!=c?this._doc.createElementNS(c,f):this._doc.createElement(f);this.node.appendChild(g);var v=new e(g),y=this._doc.doctype;if(g===this._doc.documentElement&&null!==y){var b=this._doc.implementation.createDocumentType(this._doc.documentElement.tagName,y.publicId,y.systemId);this._doc.replaceChild(b,y)}return h&&!o.isEmpty(h)&&v.att(h),v},e.prototype.remove=function(){var e=this.up();return e.node.removeChild(this.node),e},e.prototype.att=function(e,t,n){var i,a,s,l,p,h,m=this;if(o.isMap(e)||o.isObject(e))return o.forEachObject(e,(function(e,t){return m.att(e,t)}),this),this;if(null!=e&&(e=o.getValue(e+"")),null!=t&&(t=o.getValue(t+"")),null!=n&&(n=o.getValue(n+"")),null!==e&&!o.isString(e)||!o.isString(t)||null!==n&&!o.isString(n)){if(!o.isString(e)||null!=t&&!o.isString(t))throw new Error("Attribute name and value not specified. "+this._debugInfo());l=(a=r([void 0,e,t],3))[0],p=a[1],h=a[2]}else l=(i=r([e,t,n],3))[0],p=i[1],h=i[2];if(this._options.keepNullAttributes&&null==h)h="";else if(null==h)return this;if(!c.Guard.isElementNode(this.node))throw new Error("An attribute can only be assigned to an element node.");var g=this.node;l=(s=r(this._extractNamespace(l,p,!1),2))[0],p=s[1],p=d.sanitizeInput(p,this._options.invalidCharReplacement),l=d.sanitizeInput(l,this._options.invalidCharReplacement),h=d.sanitizeInput(h,this._options.invalidCharReplacement);var v=r(u.namespace_extractQName(p),2),y=v[0],b=v[1],_=r(u.namespace_extractQName(g.prefix?g.prefix+":"+g.localName:g.localName),1)[0],x=null;return"xmlns"===y?(l=f.namespace.XMLNS,null===g.namespaceURI&&_===b&&(x=h)):null===y&&"xmlns"===b&&null===_&&(l=f.namespace.XMLNS,x=h),null!==x&&(this._updateNamespace(x),g=this.node),void 0!==l?g.setAttributeNS(l,p,h):g.setAttribute(p,h),this},e.prototype.removeAtt=function(e,t){var n,r,i=this;if(!c.Guard.isElementNode(this.node))throw new Error("An attribute can only be removed from an element node.");if(e=o.getValue(e),void 0!==t&&(t=o.getValue(t)),null!==e&&void 0===t)r=e;else{if(null!==e&&!o.isString(e)||void 0===t)throw new Error("Attribute namespace must be a string. "+this._debugInfo());n=e,r=t}return o.isArray(r)||o.isSet(r)?o.forEachArray(r,(function(e){return void 0===n?i.removeAtt(e):i.removeAtt(n,e)}),this):void 0!==n?(r=d.sanitizeInput(r,this._options.invalidCharReplacement),n=d.sanitizeInput(n,this._options.invalidCharReplacement),this.node.removeAttributeNS(n,r)):(r=d.sanitizeInput(r,this._options.invalidCharReplacement),this.node.removeAttribute(r)),this},e.prototype.txt=function(e){if(null==e){if(!this._options.keepNullNodes)return this;e=""}var t=this._doc.createTextNode(d.sanitizeInput(e,this._options.invalidCharReplacement));return this.node.appendChild(t),this},e.prototype.com=function(e){if(null==e){if(!this._options.keepNullNodes)return this;e=""}var t=this._doc.createComment(d.sanitizeInput(e,this._options.invalidCharReplacement));return this.node.appendChild(t),this},e.prototype.dat=function(e){if(null==e){if(!this._options.keepNullNodes)return this;e=""}var t=this._doc.createCDATASection(d.sanitizeInput(e,this._options.invalidCharReplacement));return this.node.appendChild(t),this},e.prototype.ins=function(e,t){var n=this;if(void 0===t&&(t=""),null==t){if(!this._options.keepNullNodes)return this;t=""}if(o.isArray(e)||o.isSet(e))o.forEachArray(e,(function(e){var t=(e+="").indexOf(" "),r=-1===t?e:e.substr(0,t),i=-1===t?"":e.substr(t+1);n.ins(r,i)}),this);else if(o.isMap(e)||o.isObject(e))o.forEachObject(e,(function(e,t){return n.ins(e,t)}),this);else{var r=this._doc.createProcessingInstruction(d.sanitizeInput(e,this._options.invalidCharReplacement),d.sanitizeInput(t,this._options.invalidCharReplacement));this.node.appendChild(r)}return this},e.prototype.dec=function(e){return this._options.version=e.version||"1.0",this._options.encoding=e.encoding,this._options.standalone=e.standalone,this},e.prototype.dtd=function(e){var t=d.sanitizeInput(e&&e.name||(this._doc.documentElement?this._doc.documentElement.tagName:"ROOT"),this._options.invalidCharReplacement),n=d.sanitizeInput(e&&e.pubID||"",this._options.invalidCharReplacement),r=d.sanitizeInput(e&&e.sysID||"",this._options.invalidCharReplacement);if(null!==this._doc.documentElement&&t!==this._doc.documentElement.tagName)throw new Error("DocType name does not match document element name.");var i=this._doc.implementation.createDocumentType(t,n,r);return null!==this._doc.doctype?this._doc.replaceChild(i,this._doc.doctype):this._doc.insertBefore(i,this._doc.documentElement),this},e.prototype.import=function(t){var n,a,o=this._domNode,s=this._doc,l=t.node;if(c.Guard.isDocumentNode(l)){var d=l.documentElement;if(null===d)throw new Error("Imported document has no document element node. "+this._debugInfo());var f=s.importNode(d,!0);o.appendChild(f);var p=r(u.namespace_extractQName(f.prefix?f.prefix+":"+f.localName:f.localName),1)[0],h=o.lookupNamespaceURI(p);new e(f)._updateNamespace(h)}else if(c.Guard.isDocumentFragmentNode(l))try{for(var m=i(l.childNodes),g=m.next();!g.done;g=m.next()){var v=g.value;f=s.importNode(v,!0),o.appendChild(f),c.Guard.isElementNode(f)&&(p=r(u.namespace_extractQName(f.prefix?f.prefix+":"+f.localName:f.localName),1)[0],h=o.lookupNamespaceURI(p),new e(f)._updateNamespace(h))}}catch(e){n={error:e}}finally{try{g&&!g.done&&(a=m.return)&&a.call(m)}finally{if(n)throw n.error}}else f=s.importNode(l,!0),o.appendChild(f),c.Guard.isElementNode(f)&&(p=r(u.namespace_extractQName(f.prefix?f.prefix+":"+f.localName:f.localName),1)[0],h=o.lookupNamespaceURI(p),new e(f)._updateNamespace(h));return this},e.prototype.doc=function(){if(this._doc._isFragment){for(var t=this.node;t&&t.nodeType!==l.NodeType.DocumentFragment;)t=t.parentNode;if(null===t)throw new Error("Node has no parent node while searching for document fragment ancestor. "+this._debugInfo());return new e(t)}return new e(this._doc)},e.prototype.root=function(){var t=this._doc.documentElement;if(!t)throw new Error("Document root element is null. "+this._debugInfo());return new e(t)},e.prototype.up=function(){var t=this._domNode.parentNode;if(!t)throw new Error("Parent node is null. "+this._debugInfo());return new e(t)},e.prototype.prev=function(){var t=this._domNode.previousSibling;if(!t)throw new Error("Previous sibling node is null. "+this._debugInfo());return new e(t)},e.prototype.next=function(){var t=this._domNode.nextSibling;if(!t)throw new Error("Next sibling node is null. "+this._debugInfo());return new e(t)},e.prototype.first=function(){var t=this._domNode.firstChild;if(!t)throw new Error("First child node is null. "+this._debugInfo());return new e(t)},e.prototype.last=function(){var t=this._domNode.lastChild;if(!t)throw new Error("Last child node is null. "+this._debugInfo());return new e(t)},e.prototype.each=function(t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=this._getFirstDescendantNode(this._domNode,n,r);a[0];){var o=this._getNextDescendantNode(this._domNode,a[0],r,a[1],a[2]);t.call(i,new e(a[0]),a[1],a[2]),a=o}return this},e.prototype.map=function(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);var i=[];return this.each((function(t,n,a){return i.push(e.call(r,t,n,a))}),t,n),i},e.prototype.reduce=function(e,t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);var a=t;return this.each((function(t,n,r){return a=e.call(i,a,t,n,r)}),n,r),a},e.prototype.find=function(t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=this._getFirstDescendantNode(this._domNode,n,r);a[0];){var o=new e(a[0]);if(t.call(i,o,a[1],a[2]))return o;a=this._getNextDescendantNode(this._domNode,a[0],r,a[1],a[2])}},e.prototype.filter=function(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);var i=[];return this.each((function(t,n,a){e.call(r,t,n,a)&&i.push(t)}),t,n),i},e.prototype.every=function(t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=this._getFirstDescendantNode(this._domNode,n,r);a[0];){var o=new e(a[0]);if(!t.call(i,o,a[1],a[2]))return!1;a=this._getNextDescendantNode(this._domNode,a[0],r,a[1],a[2])}return!0},e.prototype.some=function(t,n,r,i){void 0===n&&(n=!1),void 0===r&&(r=!1);for(var a=this._getFirstDescendantNode(this._domNode,n,r);a[0];){var o=new e(a[0]);if(t.call(i,o,a[1],a[2]))return!0;a=this._getNextDescendantNode(this._domNode,a[0],r,a[1],a[2])}return!1},e.prototype.toArray=function(e,t){void 0===e&&(e=!1),void 0===t&&(t=!1);var n=[];return this.each((function(e){return n.push(e)}),e,t),n},e.prototype.toString=function(e){return void 0===(e=e||{}).format&&(e.format="xml"),this._serialize(e)},e.prototype.toObject=function(e){return void 0===(e=e||{}).format&&(e.format="object"),this._serialize(e)},e.prototype.end=function(e){return void 0===(e=e||{}).format&&(e.format="xml"),this.doc()._serialize(e)},e.prototype._getFirstDescendantNode=function(e,t,n){return t?[this._domNode,0,0]:n?this._getNextDescendantNode(e,e,n,0,0):[this._domNode.firstChild,0,1]},e.prototype._getNextDescendantNode=function(e,t,n,r,i){if(!n)return e===t?[t.firstChild,0,i+1]:[t.nextSibling,r+1,i];if(t.firstChild)return[t.firstChild,0,i+1];if(t===e)return[null,-1,-1];if(t.nextSibling)return[t.nextSibling,r+1,i];for(var a=t.parentNode;a&&a!==e;){if(a.nextSibling)return[a.nextSibling,u.tree_index(a.nextSibling),i-1];a=a.parentNode,i--}return[null,-1,-1]},e.prototype._serialize=function(e){if("xml"===e.format)return new s.XMLWriter(this._options,e).serialize(this.node);if("map"===e.format)return new s.MapWriter(this._options,e).serialize(this.node);if("object"===e.format)return new s.ObjectWriter(this._options,e).serialize(this.node);if("json"===e.format)return new s.JSONWriter(this._options,e).serialize(this.node);if("yaml"===e.format)return new s.YAMLWriter(this._options,e).serialize(this.node);throw new Error("Invalid writer format: "+e.format+". "+this._debugInfo())},e.prototype._extractNamespace=function(e,t,n){var r=t.indexOf("@");if(r>0&&(void 0===e&&(e=t.slice(r+1)),t=t.slice(0,r)),void 0===e)e=n?this._options.defaultNamespace.ele:this._options.defaultNamespace.att;else if(null!==e&&"@"===e[0]){var i=e.slice(1);if(void 0===(e=this._options.namespaceAlias[i]))throw new Error("Namespace alias `"+i+"` is not defined. "+this._debugInfo())}return[e,t]},e.prototype._updateNamespace=function(t){var n,a,o,s,l=this._domNode;if(c.Guard.isElementNode(l)&&null!==t&&l.namespaceURI!==t){var d=r(u.namespace_extractQName(l.prefix?l.prefix+":"+l.localName:l.localName),2),f=d[0],p=d[1],h=u.create_element(this._doc,p,t,f);try{for(var m=i(l.attributes),g=m.next();!g.done;g=m.next()){var v=g.value,y=v.prefix?v.prefix+":"+v.localName:v.localName,b=r(u.namespace_extractQName(y),1)[0],_=v.namespaceURI;null===_&&null!==b&&(_=l.lookupNamespaceURI(b)),null===_?h.setAttribute(y,v.value):h.setAttributeNS(_,y,v.value)}}catch(e){n={error:e}}finally{try{g&&!g.done&&(a=m.return)&&a.call(m)}finally{if(n)throw n.error}}var x=l.parentNode;if(null===x)throw new Error("Parent node is null."+this._debugInfo());x.replaceChild(h,l),this._domNode=h;try{for(var w=i(l.childNodes),A=w.next();!A.done;A=w.next()){var S=A.value.cloneNode(!0);if(h.appendChild(S),c.Guard.isElementNode(S)){var T=r(u.namespace_extractQName(S.prefix?S.prefix+":"+S.localName:S.localName),1)[0],C=h.lookupNamespaceURI(T);new e(S)._updateNamespace(C)}}}catch(e){o={error:e}}finally{try{A&&!A.done&&(s=w.return)&&s.call(w)}finally{if(o)throw o.error}}}},Object.defineProperty(e.prototype,"_doc",{get:function(){var e=this.node;if(c.Guard.isDocumentNode(e))return e;var t=e.ownerDocument;if(!t)throw new Error("Owner document is null. "+this._debugInfo());return t},enumerable:!0,configurable:!0}),e.prototype._debugInfo=function(e){var t=this.node,n=t.parentNode;e=e||t.nodeName;var r=n?n.nodeName:"";return r?"node: <"+e+">, parent: <"+r+">":"node: <"+e+">"},Object.defineProperty(e.prototype,"_options",{get:function(){var e=this._doc;if(void 0===e._xmlBuilderOptions)throw new Error("Builder options is not set.");return e._xmlBuilderOptions},set:function(e){this._doc._xmlBuilderOptions=e},enumerable:!0,configurable:!0}),e}();t.XMLBuilderImpl=h},function(e,t,n){var r=n(11),i=n(117),a=r.WeakMap;e.exports="function"==typeof a&&/native code/.test(i(a))},function(e,t,n){var r=n(46),i=n(82),a=n(85),o=n(18);e.exports=r("Reflect","ownKeys")||function(e){var t=i.f(o(e)),n=a.f;return n?t.concat(n(e)):t}},function(e,t,n){var r=n(16),i=n(15),a=n(18),o=n(61);e.exports=r?Object.defineProperties:function(e,t){a(e);for(var n,r=o(t),s=r.length,l=0;s>l;)i.f(e,n=r[l++],t[n]);return e}},function(e,t,n){var r=n(46);e.exports=r("document","documentElement")},function(e,t,n){var r=n(24),i=n(82).f,a={}.toString,o="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];e.exports.f=function(e){return o&&"[object Window]"==a.call(e)?function(e){try{return i(e)}catch(e){return o.slice()}}(e):i(r(e))}},function(e,t,n){"use strict";var r=n(4),i=n(36).every,a=n(48),o=n(28),s=a("every"),l=o("every");r({target:"Array",proto:!0,forced:!s||!l},{every:function(e){return i(this,e,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){"use strict";var r=n(4),i=n(36).filter,a=n(63),o=n(28),s=a("filter"),l=o("filter");r({target:"Array",proto:!0,forced:!s||!l},{filter:function(e){return i(this,e,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){var r=n(46);e.exports=r("navigator","userAgent")||""},function(e,t,n){"use strict";var r=n(4),i=n(36).find,a=n(130),o=n(28),s=!0,l=o("find");"find"in[]&&Array(1).find((function(){s=!1})),r({target:"Array",proto:!0,forced:s||!l},{find:function(e){return i(this,e,arguments.length>1?arguments[1]:void 0)}}),a("find")},function(e,t,n){"use strict";var r=n(131).IteratorPrototype,i=n(60),a=n(40),o=n(62),s=n(49),l=function(){return this};e.exports=function(e,t,n){var c=t+" Iterator";return e.prototype=i(r,{next:a(1,n)}),o(e,c,!1,!0),s[c]=l,e}},function(e,t,n){var r=n(8);e.exports=!r((function(){function e(){}return e.prototype.constructor=null,Object.getPrototypeOf(new e)!==e.prototype}))},function(e,t,n){var r=n(13);e.exports=function(e){if(!r(e)&&null!==e)throw TypeError("Can't set "+String(e)+" as a prototype");return e}},function(e,t,n){"use strict";var r=n(4),i=n(36).map,a=n(63),o=n(28),s=a("map"),l=o("map");r({target:"Array",proto:!0,forced:!s||!l},{map:function(e){return i(this,e,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){"use strict";var r=n(4),i=n(200).left,a=n(48),o=n(28),s=a("reduce"),l=o("reduce",{1:0});r({target:"Array",proto:!0,forced:!s||!l},{reduce:function(e){return i(this,e,arguments.length,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){var r=n(127),i=n(27),a=n(41),o=n(26),s=function(e){return function(t,n,s,l){r(n);var c=i(t),u=a(c),d=o(c.length),f=e?d-1:0,p=e?-1:1;if(s<2)for(;;){if(f in u){l=u[f],f+=p;break}if(f+=p,e?f<0:d<=f)throw TypeError("Reduce of empty array with no initial value")}for(;e?f>=0:d>f;f+=p)f in u&&(l=n(l,u[f],f,c));return l}};e.exports={left:s(!1),right:s(!0)}},function(e,t,n){"use strict";var r=n(4),i=n(36).some,a=n(48),o=n(28),s=a("some"),l=o("some");r({target:"Array",proto:!0,forced:!s||!l},{some:function(e){return i(this,e,arguments.length>1?arguments[1]:void 0)}})},function(e,t,n){"use strict";var r=n(90),i=n(135);e.exports=r?{}.toString:function(){return"[object "+i(this)+"]"}},function(e,t){e.exports={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}},function(e,t,n){var r=n(8);e.exports=!r((function(){return Object.isExtensible(Object.preventExtensions({}))}))},function(e,t,n){var r=n(5),i=n(49),a=r("iterator"),o=Array.prototype;e.exports=function(e){return void 0!==e&&(i.Array===e||o[a]===e)}},function(e,t,n){var r=n(135),i=n(49),a=n(5)("iterator");e.exports=function(e){if(null!=e)return e[a]||e["@@iterator"]||i[r(e)]}},function(e,t,n){var r=n(18);e.exports=function(e,t,n,i){try{return i?t(r(n)[0],n[1]):t(n)}catch(t){var a=e.return;throw void 0!==a&&r(a.call(e)),t}}},function(e,t,n){var r=n(5)("iterator"),i=!1;try{var a=0,o={next:function(){return{done:!!a++}},return:function(){i=!0}};o[r]=function(){return this},Array.from(o,(function(){throw 2}))}catch(e){}e.exports=function(e,t){if(!t&&!i)return!1;var n=!1;try{var a={};a[r]=function(){return{next:function(){return{done:n=!0}}}},e(a)}catch(e){}return n}},function(e,t,n){var r=n(13),i=n(133);e.exports=function(e,t,n){var a,o;return i&&"function"==typeof(a=t.constructor)&&a!==n&&r(o=a.prototype)&&o!==n.prototype&&i(e,o),e}},function(e,t,n){var r=n(25);e.exports=function(e,t,n){for(var i in t)r(e,i,t[i],n);return e}},function(e,t,n){"use strict";var r=n(46),i=n(15),a=n(5),o=n(16),s=a("species");e.exports=function(e){var t=r(e),n=i.f;o&&t&&!t[s]&&n(t,s,{configurable:!0,get:function(){return this}})}},function(e,t,n){"use strict";var r=this&&this.__generator||function(e,t){var n,r,i,a,o={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(n)throw new TypeError("Generator is already executing.");for(;o;)try{if(n=1,r&&(i=2&a[0]?r.return:a[0]?r.throw||((i=r.return)&&i.call(r),0):r.next)&&!(i=i.call(r,a[1])).done)return i;switch(r=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return o.label++,{value:a[1],done:!1};case 5:o.label++,r=a[1],a=[0];continue;case 7:a=o.ops.pop(),o.trys.pop();continue;default:if(!((i=(i=o.trys).length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){o=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){o.label=a[1];break}if(6===a[0]&&o.label<i[1]){o.label=i[1],i=a;break}if(i&&o.label<i[2]){o.label=i[2],o.ops.push(a);break}i[2]&&o.ops.pop(),o.trys.pop();continue}a=t.call(e,o)}catch(e){a=[6,e],r=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){void 0===e&&(e=1e3),this._items=new Set,this._limit=e}return e.prototype.add=function(e){if(this._items.add(e),this._items.size>this._limit){var t=this._items.values().next();t.done||this._items.delete(t.value)}return this},e.prototype.delete=function(e){return this._items.delete(e)},e.prototype.has=function(e){return this._items.has(e)},e.prototype.clear=function(){this._items.clear()},Object.defineProperty(e.prototype,"size",{get:function(){return this._items.size},enumerable:!0,configurable:!0}),e.prototype.forEach=function(e,t){var n=this;this._items.forEach((function(r){return e.call(t,r,r,n)}))},e.prototype.keys=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.keys())];case 1:return e.sent(),[2]}}))},e.prototype.values=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.values())];case 1:return e.sent(),[2]}}))},e.prototype.entries=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.entries())];case 1:return e.sent(),[2]}}))},e.prototype[Symbol.iterator]=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items)];case 1:return e.sent(),[2]}}))},Object.defineProperty(e.prototype,Symbol.toStringTag,{get:function(){return"FixedSizeSet"},enumerable:!0,configurable:!0}),e}();t.FixedSizeSet=a},function(e,t,n){"use strict";var r=this&&this.__generator||function(e,t){var n,r,i,a,o={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(n)throw new TypeError("Generator is already executing.");for(;o;)try{if(n=1,r&&(i=2&a[0]?r.return:a[0]?r.throw||((i=r.return)&&i.call(r),0):r.next)&&!(i=i.call(r,a[1])).done)return i;switch(r=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return o.label++,{value:a[1],done:!1};case 5:o.label++,r=a[1],a=[0];continue;case 7:a=o.ops.pop(),o.trys.pop();continue;default:if(!((i=(i=o.trys).length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){o=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){o.label=a[1];break}if(6===a[0]&&o.label<i[1]){o.label=i[1],i=a;break}if(i&&o.label<i[2]){o.label=i[2],o.ops.push(a);break}i[2]&&o.ops.pop(),o.trys.pop();continue}a=t.call(e,o)}catch(e){a=[6,e],r=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){void 0===e&&(e=1e3),this._items=new Map,this._limit=e}return e.prototype.get=function(e){return this._items.get(e)},e.prototype.set=function(e,t){if(this._items.set(e,t),this._items.size>this._limit){var n=this._items.keys().next();n.done||this._items.delete(n.value)}},e.prototype.delete=function(e){return this._items.delete(e)},e.prototype.has=function(e){return this._items.has(e)},e.prototype.clear=function(){this._items.clear()},Object.defineProperty(e.prototype,"size",{get:function(){return this._items.size},enumerable:!0,configurable:!0}),e.prototype.forEach=function(e,t){this._items.forEach((function(n,r){return e.call(t,r,n)}))},e.prototype.keys=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.keys())];case 1:return e.sent(),[2]}}))},e.prototype.values=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.values())];case 1:return e.sent(),[2]}}))},e.prototype.entries=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items.entries())];case 1:return e.sent(),[2]}}))},e.prototype[Symbol.iterator]=function(){return r(this,(function(e){switch(e.label){case 0:return[5,i(this._items)];case 1:return e.sent(),[2]}}))},Object.defineProperty(e.prototype,Symbol.toStringTag,{get:function(){return"ObjectCache"},enumerable:!0,configurable:!0}),e}();t.ObjectCache=a},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){void 0===e&&(e=1e3),this._items=new Map,this._limit=e}return e.prototype.check=function(e,t){if(this._items.get(e)===t)return!0;if(this._items.get(t)===e)return!1;var n=Math.random()<.5;if(n?this._items.set(e,t):this._items.set(t,e),this._items.size>this._limit){var r=this._items.keys().next();r.done||this._items.delete(r.value)}return n},e}();t.CompareCache=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this._initialized=!1,this._value=void 0,this._initFunc=e}return Object.defineProperty(e.prototype,"value",{get:function(){return this._initialized||(this._value=this._initFunc(),this._initialized=!0),this._value},enumerable:!0,configurable:!0}),e}();t.Lazy=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this._pointer=0,this._chars=Array.from(e),this._length=this._chars.length}return Object.defineProperty(e.prototype,"eof",{get:function(){return this._pointer>=this._length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"length",{get:function(){return this._length},enumerable:!0,configurable:!0}),e.prototype.codePoint=function(){if(void 0===this._codePoint)if(this.eof)this._codePoint=-1;else{var e=this._chars[this._pointer].codePointAt(0);this._codePoint=void 0!==e?e:-1}return this._codePoint},e.prototype.c=function(){return void 0===this._c&&(this._c=this.eof?"":this._chars[this._pointer]),this._c},e.prototype.remaining=function(){return void 0===this._remaining&&(this._remaining=this.eof?"":this._chars.slice(this._pointer+1).join("")),this._remaining},e.prototype.substring=function(){return void 0===this._substring&&(this._substring=this.eof?"":this._chars.slice(this._pointer).join("")),this._substring},Object.defineProperty(e.prototype,"pointer",{get:function(){return this._pointer},set:function(e){e!==this._pointer&&(this._pointer=e,this._codePoint=void 0,this._c=void 0,this._remaining=void 0,this._substring=void 0)},enumerable:!0,configurable:!0}),e}();t.StringWalker=r},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(218);t.MapWriter=r.MapWriter;var i=n(258);t.XMLWriter=i.XMLWriter;var a=n(67);t.ObjectWriter=a.ObjectWriter;var o=n(260);t.JSONWriter=o.JSONWriter;var s=n(261);t.YAMLWriter=s.YAMLWriter},function(e,t,n){"use strict";n(19),n(219),n(20),n(22),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(1),o=n(67),s=function(e){function t(t,n){var r=e.call(this,t)||this;return r._writerOptions=a.applyDefaults(n,{format:"map",wellFormed:!1,group:!1,verbose:!1}),r}return i(t,e),t.prototype.serialize=function(e){var t=a.applyDefaults(this._writerOptions,{format:"object",wellFormed:!1,verbose:!1}),n=new o.ObjectWriter(this._builderOptions,t).serialize(e);return this._convertObject(n)},t.prototype._convertObject=function(e){if(a.isArray(e)){for(var t=0;t<e.length;t++)e[t]=this._convertObject(e[t]);return e}if(a.isObject(e)){var n=new Map;for(var r in e)n.set(r,this._convertObject(e[r]));return n}return e},t}(n(50).BaseWriter);t.MapWriter=s},function(e,t,n){"use strict";var r=n(139),i=n(143);e.exports=r("Map",(function(e){return function(){return e(this,arguments.length?arguments[0]:void 0)}}),i)},function(e,t,n){"use strict";var r=n(4),i=n(8),a=n(59),o=n(13),s=n(27),l=n(26),c=n(134),u=n(128),d=n(63),f=n(5),p=n(129),h=f("isConcatSpreadable"),m=p>=51||!i((function(){var e=[];return e[h]=!1,e.concat()[0]!==e})),g=d("concat"),v=function(e){if(!o(e))return!1;var t=e[h];return void 0!==t?!!t:a(e)};r({target:"Array",proto:!0,forced:!m||!g},{concat:function(e){var t,n,r,i,a,o=s(this),d=u(o,0),f=0;for(t=-1,r=arguments.length;t<r;t++)if(v(a=-1===t?o:arguments[t])){if(f+(i=l(a.length))>9007199254740991)throw TypeError("Maximum allowed index exceeded");for(n=0;n<i;n++,f++)n in a&&c(d,f,a[n])}else{if(f>=9007199254740991)throw TypeError("Maximum allowed index exceeded");c(d,f++,a)}return d.length=f,d}})},function(e,t,n){"use strict";var r=n(8);function i(e,t){return RegExp(e,t)}t.UNSUPPORTED_Y=r((function(){var e=i("a","y");return e.lastIndex=2,null!=e.exec("abcd")})),t.BROKEN_CARET=r((function(){var e=i("^r","gy");return e.lastIndex=2,null!=e.exec("str")}))},function(e,t,n){var r=n(223);e.exports=function(e){if(r(e))throw TypeError("The method doesn't accept regular expressions");return e}},function(e,t,n){var r=n(13),i=n(42),a=n(5)("match");e.exports=function(e){var t;return r(e)&&(void 0!==(t=e[a])?!!t:"RegExp"==i(e))}},function(e,t,n){var r=n(5)("match");e.exports=function(e){var t=/./;try{"/./"[e](t)}catch(n){try{return t[r]=!1,"/./"[e](t)}catch(e){}}return!1}},function(e,t,n){"use strict";n(68);var r=n(25),i=n(8),a=n(5),o=n(93),s=n(21),l=a("species"),c=!i((function(){var e=/./;return e.exec=function(){var e=[];return e.groups={a:"7"},e},"7"!=="".replace(e,"$<a>")})),u="$0"==="a".replace(/./,"$0"),d=a("replace"),f=!!/./[d]&&""===/./[d]("a","$0"),p=!i((function(){var e=/(?:)/,t=e.exec;e.exec=function(){return t.apply(this,arguments)};var n="ab".split(e);return 2!==n.length||"a"!==n[0]||"b"!==n[1]}));e.exports=function(e,t,n,d){var h=a(e),m=!i((function(){var t={};return t[h]=function(){return 7},7!=""[e](t)})),g=m&&!i((function(){var t=!1,n=/a/;return"split"===e&&((n={}).constructor={},n.constructor[l]=function(){return n},n.flags="",n[h]=/./[h]),n.exec=function(){return t=!0,null},n[h](""),!t}));if(!m||!g||"replace"===e&&(!c||!u||f)||"split"===e&&!p){var v=/./[h],y=n(h,""[e],(function(e,t,n,r,i){return t.exec===o?m&&!i?{done:!0,value:v.call(t,n,r)}:{done:!0,value:e.call(n,t,r)}:{done:!1}}),{REPLACE_KEEPS_$0:u,REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE:f}),b=y[0],_=y[1];r(String.prototype,e,b),r(RegExp.prototype,h,2==t?function(e,t){return _.call(e,this,t)}:function(e){return _.call(e,this)})}d&&s(RegExp.prototype[h],"sham",!0)}},function(e,t,n){"use strict";var r=n(137).charAt;e.exports=function(e,t,n){return t+(n?r(e,t).length:1)}},function(e,t,n){var r=n(42),i=n(93);e.exports=function(e,t){var n=e.exec;if("function"==typeof n){var a=n.call(e,t);if("object"!=typeof a)throw TypeError("RegExp exec method returned something other than an Object or null");return a}if("RegExp"!==r(e))throw TypeError("RegExp#exec called on incompatible receiver");return i.call(e,t)}},function(e,t,n){"use strict";(function(e){Object.defineProperty(t,"__esModule",{value:!0});var r=n(96);t.forgivingBase64Encode=function(t){return e.from(t).toString("base64")},t.forgivingBase64Decode=function(t){return""===t?"":((t=t.replace(r.ASCIIWhiteSpace,"")).length%4==0&&(t.endsWith("==")?t=t.substr(0,t.length-2):t.endsWith("=")&&(t=t.substr(0,t.length-1))),t.length%4==1?null:/[0-9A-Za-z+/]/.test(t)?e.from(t,"base64").toString("utf8"):null)}}).call(this,n(145).Buffer)},function(e,t,n){"use strict";t.byteLength=function(e){var t=l(e),n=t[0],r=t[1];return 3*(n+r)/4-r},t.toByteArray=function(e){var t,n,r=l(e),o=r[0],s=r[1],c=new a(function(e,t,n){return 3*(t+n)/4-n}(0,o,s)),u=0,d=s>0?o-4:o;for(n=0;n<d;n+=4)t=i[e.charCodeAt(n)]<<18|i[e.charCodeAt(n+1)]<<12|i[e.charCodeAt(n+2)]<<6|i[e.charCodeAt(n+3)],c[u++]=t>>16&255,c[u++]=t>>8&255,c[u++]=255&t;return 2===s&&(t=i[e.charCodeAt(n)]<<2|i[e.charCodeAt(n+1)]>>4,c[u++]=255&t),1===s&&(t=i[e.charCodeAt(n)]<<10|i[e.charCodeAt(n+1)]<<4|i[e.charCodeAt(n+2)]>>2,c[u++]=t>>8&255,c[u++]=255&t),c},t.fromByteArray=function(e){for(var t,n=e.length,i=n%3,a=[],o=0,s=n-i;o<s;o+=16383)a.push(c(e,o,o+16383>s?s:o+16383));return 1===i?(t=e[n-1],a.push(r[t>>2]+r[t<<4&63]+"==")):2===i&&(t=(e[n-2]<<8)+e[n-1],a.push(r[t>>10]+r[t>>4&63]+r[t<<2&63]+"=")),a.join("")};for(var r=[],i=[],a="undefined"!=typeof Uint8Array?Uint8Array:Array,o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s=0;s<64;++s)r[s]=o[s],i[o.charCodeAt(s)]=s;function l(e){var t=e.length;if(t%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var n=e.indexOf("=");return-1===n&&(n=t),[n,n===t?0:4-n%4]}function c(e,t,n){for(var i,a,o=[],s=t;s<n;s+=3)i=(e[s]<<16&16711680)+(e[s+1]<<8&65280)+(255&e[s+2]),o.push(r[(a=i)>>18&63]+r[a>>12&63]+r[a>>6&63]+r[63&a]);return o.join("")}i["-".charCodeAt(0)]=62,i["_".charCodeAt(0)]=63},function(e,t){t.read=function(e,t,n,r,i){var a,o,s=8*i-r-1,l=(1<<s)-1,c=l>>1,u=-7,d=n?i-1:0,f=n?-1:1,p=e[t+d];for(d+=f,a=p&(1<<-u)-1,p>>=-u,u+=s;u>0;a=256*a+e[t+d],d+=f,u-=8);for(o=a&(1<<-u)-1,a>>=-u,u+=r;u>0;o=256*o+e[t+d],d+=f,u-=8);if(0===a)a=1-c;else{if(a===l)return o?NaN:1/0*(p?-1:1);o+=Math.pow(2,r),a-=c}return(p?-1:1)*o*Math.pow(2,a-r)},t.write=function(e,t,n,r,i,a){var o,s,l,c=8*a-i-1,u=(1<<c)-1,d=u>>1,f=23===i?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:a-1,h=r?1:-1,m=t<0||0===t&&1/t<0?1:0;for(t=Math.abs(t),isNaN(t)||t===1/0?(s=isNaN(t)?1:0,o=u):(o=Math.floor(Math.log(t)/Math.LN2),t*(l=Math.pow(2,-o))<1&&(o--,l*=2),(t+=o+d>=1?f/l:f*Math.pow(2,1-d))*l>=2&&(o++,l/=2),o+d>=u?(s=0,o=u):o+d>=1?(s=(t*l-1)*Math.pow(2,i),o+=d):(s=t*Math.pow(2,d-1)*Math.pow(2,i),o=0));i>=8;e[n+p]=255&s,p+=h,s/=256,i-=8);for(o=o<<i|s,c+=i;c>0;e[n+p]=255&o,p+=h,o/=256,c-=8);e[n+p-h]|=128*m}},function(e,t){var n={}.toString;e.exports=Array.isArray||function(e){return"[object Array]"==n.call(e)}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(1);function a(e){var t,n;if(null===e||i.isString(e)||i.isNumber(e))return e;if(i.isArray(e)){var o=new Array;try{for(var s=r(e),l=s.next();!l.done;l=s.next()){var c=l.value;o.push(a(c))}}catch(e){t={error:e}}finally{try{l&&!l.done&&(n=s.return)&&n.call(s)}finally{if(t)throw t.error}}return o}if(i.isObject(e)){for(var u in o=new Map,e)if(e.hasOwnProperty(u)){var d=e[u];o.set(u,a(d))}return o}return e}t.parseJSONFromBytes=function(e){var t=i.utf8Decode(e);return JSON.parse.call(void 0,t)},t.serializeJSONToBytes=function(e){var t=JSON.stringify.call(void 0,e);return i.utf8Encode(t)},t.parseJSONIntoInfraValues=function(e){return a(JSON.parse.call(void 0,e))},t.convertAJSONDerivedJavaScriptValueToAnInfraValue=a},function(e,t,n){"use strict";var r=this&&this.__generator||function(e,t){var n,r,i,a,o={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(n)throw new TypeError("Generator is already executing.");for(;o;)try{if(n=1,r&&(i=2&a[0]?r.return:a[0]?r.throw||((i=r.return)&&i.call(r),0):r.next)&&!(i=i.call(r,a[1])).done)return i;switch(r=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return o.label++,{value:a[1],done:!1};case 5:o.label++,r=a[1],a=[0];continue;case 7:a=o.ops.pop(),o.trys.pop();continue;default:if(!((i=(i=o.trys).length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){o=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){o.label=a[1];break}if(6===a[0]&&o.label<i[1]){o.label=i[1],i=a;break}if(i&&o.label<i[2]){o.label=i[2],o.ops.push(a);break}i[2]&&o.ops.pop(),o.trys.pop();continue}a=t.call(e,o)}catch(e){a=[6,e],r=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e},o=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var s=n(1);t.append=function(e,t){e.push(t)},t.extend=function(e,t){e.push.apply(e,a(t))},t.prepend=function(e,t){e.unshift(t)},t.replace=function(e,t,n){var r,i,a=0;try{for(var l=o(e),c=l.next();!c.done;c=l.next()){var u=c.value;if(s.isFunction(t))t.call(null,u)&&(e[a]=n);else if(u===t)return void(e[a]=n);a++}}catch(e){r={error:e}}finally{try{c&&!c.done&&(i=l.return)&&i.call(l)}finally{if(r)throw r.error}}},t.insert=function(e,t,n){e.splice(n,0,t)},t.remove=function(e,t){for(var n=e.length;n--;){var r=e[n];if(s.isFunction(t))t.call(null,r)&&e.splice(n,1);else if(r===t)return void e.splice(n,1)}},t.empty=function(e){e.length=0},t.contains=function(e,t){var n,r;try{for(var i=o(e),a=i.next();!a.done;a=i.next()){var l=a.value;if(s.isFunction(t)){if(t.call(null,l))return!0}else if(l===t)return!0}}catch(e){n={error:e}}finally{try{a&&!a.done&&(r=i.return)&&r.call(i)}finally{if(n)throw n.error}}return!1},t.size=function(e,t){var n,r;if(void 0===t)return e.length;var i=0;try{for(var a=o(e),s=a.next();!s.done;s=a.next()){var l=s.value;t.call(null,l)&&i++}}catch(e){n={error:e}}finally{try{s&&!s.done&&(r=a.return)&&r.call(a)}finally{if(n)throw n.error}}return i},t.isEmpty=function(e){return 0===e.length},t.forEach=function(e,t){var n,i,a,s,l,c;return r(this,(function(r){switch(r.label){case 0:return void 0!==t?[3,2]:[5,o(e)];case 1:return r.sent(),[3,9];case 2:r.trys.push([2,7,8,9]),n=o(e),i=n.next(),r.label=3;case 3:return i.done?[3,6]:(a=i.value,t.call(null,a)?[4,a]:[3,5]);case 4:r.sent(),r.label=5;case 5:return i=n.next(),[3,3];case 6:return[3,9];case 7:return s=r.sent(),l={error:s},[3,9];case 8:try{i&&!i.done&&(c=n.return)&&c.call(n)}finally{if(l)throw l.error}return[7];case 9:return[2]}}))},t.clone=function(e){return new(Array.bind.apply(Array,a([void 0],e)))},t.sortInAscendingOrder=function(e,t){return e.sort((function(e,n){return t.call(null,e,n)?-1:1}))},t.sortInDescendingOrder=function(e,t){return e.sort((function(e,n){return t.call(null,e,n)?1:-1}))}},function(e,t,n){"use strict";var r=this&&this.__generator||function(e,t){var n,r,i,a,o={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(n)throw new TypeError("Generator is already executing.");for(;o;)try{if(n=1,r&&(i=2&a[0]?r.return:a[0]?r.throw||((i=r.return)&&i.call(r),0):r.next)&&!(i=i.call(r,a[1])).done)return i;switch(r=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return o.label++,{value:a[1],done:!1};case 5:o.label++,r=a[1],a=[0];continue;case 7:a=o.ops.pop(),o.trys.pop();continue;default:if(!((i=(i=o.trys).length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){o=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){o.label=a[1];break}if(6===a[0]&&o.label<i[1]){o.label=i[1],i=a;break}if(i&&o.label<i[2]){o.label=i[2],o.ops.push(a);break}i[2]&&o.ops.pop(),o.trys.pop();continue}a=t.call(e,o)}catch(e){a=[6,e],r=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},a=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},o=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(a(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var s=n(1);t.get=function(e,t){return e.get(t)},t.set=function(e,t,n){e.set(t,n)},t.remove=function(e,t){var n,r,a,o;if(s.isFunction(t)){var l=[];try{for(var c=i(e),u=c.next();!u.done;u=c.next()){var d=u.value;t.call(null,d)&&l.push(d[0])}}catch(e){n={error:e}}finally{try{u&&!u.done&&(r=c.return)&&r.call(c)}finally{if(n)throw n.error}}try{for(var f=i(l),p=f.next();!p.done;p=f.next()){var h=p.value;e.delete(h)}}catch(e){a={error:e}}finally{try{p&&!p.done&&(o=f.return)&&o.call(f)}finally{if(a)throw a.error}}}else e.delete(t)},t.contains=function(e,t){var n,r;if(s.isFunction(t)){try{for(var a=i(e),o=a.next();!o.done;o=a.next()){var l=o.value;if(t.call(null,l))return!0}}catch(e){n={error:e}}finally{try{o&&!o.done&&(r=a.return)&&r.call(a)}finally{if(n)throw n.error}}return!1}return e.has(t)},t.keys=function(e){return new Set(e.keys())},t.values=function(e){return o(e.values())},t.size=function(e,t){var n,r;if(void 0===t)return e.size;var a=0;try{for(var o=i(e),s=o.next();!s.done;s=o.next()){var l=s.value;t.call(null,l)&&a++}}catch(e){n={error:e}}finally{try{s&&!s.done&&(r=o.return)&&r.call(o)}finally{if(n)throw n.error}}return a},t.isEmpty=function(e){return 0===e.size},t.forEach=function(e,t){var n,a,o,s,l,c;return r(this,(function(r){switch(r.label){case 0:return void 0!==t?[3,2]:[5,i(e)];case 1:return r.sent(),[3,9];case 2:r.trys.push([2,7,8,9]),n=i(e),a=n.next(),r.label=3;case 3:return a.done?[3,6]:(o=a.value,t.call(null,o)?[4,o]:[3,5]);case 4:r.sent(),r.label=5;case 5:return a=n.next(),[3,3];case 6:return[3,9];case 7:return s=r.sent(),l={error:s},[3,9];case 8:try{a&&!a.done&&(c=n.return)&&c.call(n)}finally{if(l)throw l.error}return[7];case 9:return[2]}}))},t.clone=function(e){return new Map(e)},t.sortInAscendingOrder=function(e,t){var n=new(Array.bind.apply(Array,o([void 0],e)));return n.sort((function(e,n){return t.call(null,e,n)?-1:1})),new Map(n)},t.sortInDescendingOrder=function(e,t){var n=new(Array.bind.apply(Array,o([void 0],e)));return n.sort((function(e,n){return t.call(null,e,n)?1:-1})),new Map(n)}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.HTML="http://www.w3.org/1999/xhtml",t.XML="http://www.w3.org/XML/1998/namespace",t.XMLNS="http://www.w3.org/2000/xmlns/",t.MathML="http://www.w3.org/1998/Math/MathML",t.SVG="http://www.w3.org/2000/svg",t.XLink="http://www.w3.org/1999/xlink"},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.enqueue=function(e,t){e.push(t)},t.dequeue=function(e){return e.shift()||null}},function(e,t,n){"use strict";var r=this&&this.__generator||function(e,t){var n,r,i,a,o={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(n)throw new TypeError("Generator is already executing.");for(;o;)try{if(n=1,r&&(i=2&a[0]?r.return:a[0]?r.throw||((i=r.return)&&i.call(r),0):r.next)&&!(i=i.call(r,a[1])).done)return i;switch(r=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return o.label++,{value:a[1],done:!1};case 5:o.label++,r=a[1],a=[0];continue;case 7:a=o.ops.pop(),o.trys.pop();continue;default:if(!((i=(i=o.trys).length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){o=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){o.label=a[1];break}if(6===a[0]&&o.label<i[1]){o.label=i[1],i=a;break}if(i&&o.label<i[2]){o.label=i[2],o.ops.push(a);break}i[2]&&o.ops.pop(),o.trys.pop();continue}a=t.call(e,o)}catch(e){a=[6,e],r=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},a=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},o=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(a(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var s=n(1);function l(e,t){var n,r;try{for(var a=i(e),o=a.next();!o.done;o=a.next()){var s=o.value;if(!t.has(s))return!1}}catch(e){n={error:e}}finally{try{o&&!o.done&&(r=a.return)&&r.call(a)}finally{if(n)throw n.error}}return!0}t.append=function(e,t){e.add(t)},t.extend=function(e,t){t.forEach(e.add,e)},t.prepend=function(e,t){var n=new Set(e);e.clear(),e.add(t),n.forEach(e.add,e)},t.replace=function(e,t,n){var r,a,o=new Set;try{for(var l=i(e),c=l.next();!c.done;c=l.next()){var u=c.value;s.isFunction(t)?t.call(null,u)?o.add(n):o.add(u):u===t?o.add(n):o.add(u)}}catch(e){r={error:e}}finally{try{c&&!c.done&&(a=l.return)&&a.call(l)}finally{if(r)throw r.error}}e.clear(),o.forEach(e.add,e)},t.insert=function(e,t,n){var r,a,o=new Set,s=0;try{for(var l=i(e),c=l.next();!c.done;c=l.next()){var u=c.value;s===n&&o.add(t),o.add(u),s++}}catch(e){r={error:e}}finally{try{c&&!c.done&&(a=l.return)&&a.call(l)}finally{if(r)throw r.error}}e.clear(),o.forEach(e.add,e)},t.remove=function(e,t){var n,r,a,o;if(s.isFunction(t)){var l=[];try{for(var c=i(e),u=c.next();!u.done;u=c.next()){var d=u.value;t.call(null,d)&&l.push(d)}}catch(e){n={error:e}}finally{try{u&&!u.done&&(r=c.return)&&r.call(c)}finally{if(n)throw n.error}}try{for(var f=i(l),p=f.next();!p.done;p=f.next()){var h=p.value;e.delete(h)}}catch(e){a={error:e}}finally{try{p&&!p.done&&(o=f.return)&&o.call(f)}finally{if(a)throw a.error}}}else e.delete(t)},t.empty=function(e){e.clear()},t.contains=function(e,t){var n,r;if(!s.isFunction(t))return e.has(t);try{for(var a=i(e),o=a.next();!o.done;o=a.next()){var l=o.value;if(t.call(null,l))return!0}}catch(e){n={error:e}}finally{try{o&&!o.done&&(r=a.return)&&r.call(a)}finally{if(n)throw n.error}}return!1},t.size=function(e,t){var n,r;if(void 0===t)return e.size;var a=0;try{for(var o=i(e),s=o.next();!s.done;s=o.next()){var l=s.value;t.call(null,l)&&a++}}catch(e){n={error:e}}finally{try{s&&!s.done&&(r=o.return)&&r.call(o)}finally{if(n)throw n.error}}return a},t.isEmpty=function(e){return 0===e.size},t.forEach=function(e,t){var n,a,o,s,l,c;return r(this,(function(r){switch(r.label){case 0:return void 0!==t?[3,2]:[5,i(e)];case 1:return r.sent(),[3,9];case 2:r.trys.push([2,7,8,9]),n=i(e),a=n.next(),r.label=3;case 3:return a.done?[3,6]:(o=a.value,t.call(null,o)?[4,o]:[3,5]);case 4:r.sent(),r.label=5;case 5:return a=n.next(),[3,3];case 6:return[3,9];case 7:return s=r.sent(),l={error:s},[3,9];case 8:try{a&&!a.done&&(c=n.return)&&c.call(n)}finally{if(l)throw l.error}return[7];case 9:return[2]}}))},t.clone=function(e){return new Set(e)},t.sortInAscendingOrder=function(e,t){var n=new(Array.bind.apply(Array,o([void 0],e)));return n.sort((function(e,n){return t.call(null,e,n)?-1:1})),new Set(n)},t.sortInDescendingOrder=function(e,t){var n=new(Array.bind.apply(Array,o([void 0],e)));return n.sort((function(e,n){return t.call(null,e,n)?1:-1})),new Set(n)},t.isSubsetOf=l,t.isSupersetOf=function(e,t){return l(t,e)},t.intersection=function(e,t){var n,r,a=new Set;try{for(var o=i(e),s=o.next();!s.done;s=o.next()){var l=s.value;t.has(l)&&a.add(l)}}catch(e){n={error:e}}finally{try{s&&!s.done&&(r=o.return)&&r.call(o)}finally{if(n)throw n.error}}return a},t.union=function(e,t){var n=new Set(e);return t.forEach(n.add,n),n},t.range=function(e,t){for(var n=new Set,r=e;r<=t;r++)n.add(r);return n}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.push=function(e,t){e.push(t)},t.pop=function(e){return e.pop()||null}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(96),a=n(147),o=n(146),s=n(1);function l(e,t){for(var n=0;;){var r=n<e.length?e.charCodeAt(n):null,i=n<t.length?t.charCodeAt(n):null;if(null===r)return!0;if(r!==i)return!1;n++}}function c(e){var t,n,i=Array.from(e),a=new Uint8Array(i.length),o=0;try{for(var s=r(e),l=s.next();!l.done;l=s.next()){var c=l.value.codePointAt(0);console.assert(void 0!==c&&c<=255,"isomorphicEncode requires string bytes to be less than or equal to 0x00FF."),void 0!==c&&c<=255&&(a[o++]=c)}}catch(e){t={error:e}}finally{try{l&&!l.done&&(n=s.return)&&n.call(s)}finally{if(t)throw t.error}}return a}function u(e){return/^[\u0000-\u007F]*$/.test(e)}function d(e){var t,n,i="";try{for(var a=r(e),o=a.next();!o.done;o=a.next()){var s=o.value,l=s.codePointAt(0);i+=void 0!==l&&l>=65&&l<=90?String.fromCodePoint(l+32):s}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return i}function f(e){return e.replace(/^[\t\n\f\r ]+/,"").replace(/[\t\n\f\r ]+$/,"")}function p(e,t,n){if(!s.isArray(t))return p(e,Array.from(t),n);for(var r="";n.position<t.length&&e.call(null,t[n.position]);)r+=t[n.position],n.position++;return r}function h(e,t){p((function(e){return i.ASCIIWhiteSpace.test(e)}),e,t)}t.isCodeUnitPrefix=l,t.isCodeUnitLessThan=function(e,t){if(l(t,e))return!1;if(l(e,t))return!0;for(var n=0;n<Math.min(e.length,t.length);n++){var r=e.charCodeAt(n),i=t.charCodeAt(n);if(r!==i)return r<i}return!1},t.isomorphicEncode=c,t.isASCIIString=u,t.asciiLowercase=d,t.asciiUppercase=function(e){var t,n,i="";try{for(var a=r(e),o=a.next();!o.done;o=a.next()){var s=o.value,l=s.codePointAt(0);i+=void 0!==l&&l>=97&&l<=122?String.fromCodePoint(l-32):s}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return i},t.asciiCaseInsensitiveMatch=function(e,t){return d(e)===d(t)},t.asciiEncode=function(e){return console.assert(u(e),"asciiEncode requires an ASCII string."),c(e)},t.asciiDecode=function(e){var t,n;try{for(var i=r(e),s=i.next();!s.done;s=i.next()){var l=s.value;console.assert(o.isASCIIByte(l),"asciiDecode requires an ASCII byte sequence.")}}catch(e){t={error:e}}finally{try{s&&!s.done&&(n=i.return)&&n.call(i)}finally{if(t)throw t.error}}return a.isomorphicDecode(e)},t.stripNewlines=function(e){return e.replace(/[\n\r]/g,"")},t.normalizeNewlines=function(e){return e.replace(/\r\n/g,"\n").replace(/\r/g,"\n")},t.stripLeadingAndTrailingASCIIWhitespace=f,t.stripAndCollapseASCIIWhitespace=function(e){return f(e.replace(/[\t\n\f\r ]{2,}/g," "))},t.collectASequenceOfCodePoints=p,t.skipASCIIWhitespace=h,t.strictlySplit=function e(t,n){if(!s.isArray(t))return e(Array.from(t),n);var r={position:0},i=[],a=p((function(e){return n!==e}),t,r);for(i.push(a);r.position<t.length;)console.assert(t[r.position]===n,"strictlySplit found no delimiter in input string."),r.position++,a=p((function(e){return n!==e}),t,r),i.push(a);return i},t.splitAStringOnASCIIWhitespace=function e(t){if(!s.isArray(t))return e(Array.from(t));var n={position:0},r=[];for(h(t,n);n.position<t.length;){var a=p((function(e){return!i.ASCIIWhiteSpace.test(e)}),t,n);r.push(a),h(t,n)}return r},t.splitAStringOnCommas=function e(t){if(!s.isArray(t))return e(Array.from(t));for(var n={position:0},r=[];n.position<t.length;){var i=p((function(e){return","!==e}),t,n);r.push(f(i)),n.position<t.length&&(console.assert(","===t[n.position],"splitAStringOnCommas found no delimiter in input string."),n.position++)}return r},t.concatenate=function(e,t){return void 0===t&&(t=""),0===e.length?"":e.join(t)}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(97);t.abort_add=function(e,t){t._abortedFlag||t._abortAlgorithms.add(e)},t.abort_remove=function(e,t){t._abortAlgorithms.delete(e)},t.abort_signalAbort=function(e){var t,n;if(!e._abortedFlag){e._abortedFlag=!0;try{for(var a=r(e._abortAlgorithms),o=a.next();!o.done;o=a.next())o.value.call(e)}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}e._abortAlgorithms.clear(),i.event_fireAnEvent("abort",e)}}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(150),i=function(){function e(){}return e.asNode=function(e){if(r.Guard.isNode(e))return e;throw new Error("Invalid object. Node expected.")},e}();t.Cast=i},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){}return Object.defineProperty(e.prototype,"size",{get:function(){return 0},enumerable:!0,configurable:!0}),e.prototype.add=function(e){throw new Error("Cannot add to an empty set.")},e.prototype.clear=function(){},e.prototype.delete=function(e){return!1},e.prototype.forEach=function(e,t){},e.prototype.has=function(e){return!1},e.prototype[Symbol.iterator]=function(){return new i},e.prototype.entries=function(){return new i},e.prototype.keys=function(){return new i},e.prototype.values=function(){return new i},Object.defineProperty(e.prototype,Symbol.toStringTag,{get:function(){return"EmptySet"},enumerable:!0,configurable:!0}),e}();t.EmptySet=r;var i=function(){function e(){}return e.prototype[Symbol.iterator]=function(){return this},e.prototype.next=function(){return{done:!0,value:null}},e}()},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){e[e.SchemeStart=0]="SchemeStart",e[e.Scheme=1]="Scheme",e[e.NoScheme=2]="NoScheme",e[e.SpecialRelativeOrAuthority=3]="SpecialRelativeOrAuthority",e[e.PathOrAuthority=4]="PathOrAuthority",e[e.Relative=5]="Relative",e[e.RelativeSlash=6]="RelativeSlash",e[e.SpecialAuthoritySlashes=7]="SpecialAuthoritySlashes",e[e.SpecialAuthorityIgnoreSlashes=8]="SpecialAuthorityIgnoreSlashes",e[e.Authority=9]="Authority",e[e.Host=10]="Host",e[e.Hostname=11]="Hostname",e[e.Port=12]="Port",e[e.File=13]="File",e[e.FileSlash=14]="FileSlash",e[e.FileHost=15]="FileHost",e[e.PathStart=16]="PathStart",e[e.Path=17]="Path",e[e.CannotBeABaseURLPath=18]="CannotBeABaseURLPath",e[e.Query=19]="Query",e[e.Fragment=20]="Fragment"}(t.ParserState||(t.ParserState={})),t.OpaqueOrigin=["","",null,null]},function(e,t,n){"use strict";var r=n(245),i=n(247);function a(){this.protocol=null,this.slashes=null,this.auth=null,this.host=null,this.port=null,this.hostname=null,this.hash=null,this.search=null,this.query=null,this.pathname=null,this.path=null,this.href=null}t.parse=b,t.resolve=function(e,t){return b(e,!1,!0).resolve(t)},t.resolveObject=function(e,t){return e?b(e,!1,!0).resolveObject(t):t},t.format=function(e){return i.isString(e)&&(e=b(e)),e instanceof a?e.format():a.prototype.format.call(e)},t.Url=a;var o=/^([a-z0-9.+-]+:)/i,s=/:[0-9]*$/,l=/^(\/\/?(?!\/)[^\?\s]*)(\?[^\s]*)?$/,c=["{","}","|","\\","^","`"].concat(["<",">",'"',"`"," ","\r","\n","\t"]),u=["'"].concat(c),d=["%","/","?",";","#"].concat(u),f=["/","?","#"],p=/^[+a-z0-9A-Z_-]{0,63}$/,h=/^([+a-z0-9A-Z_-]{0,63})(.*)$/,m={javascript:!0,"javascript:":!0},g={javascript:!0,"javascript:":!0},v={http:!0,https:!0,ftp:!0,gopher:!0,file:!0,"http:":!0,"https:":!0,"ftp:":!0,"gopher:":!0,"file:":!0},y=n(248);function b(e,t,n){if(e&&i.isObject(e)&&e instanceof a)return e;var r=new a;return r.parse(e,t,n),r}a.prototype.parse=function(e,t,n){if(!i.isString(e))throw new TypeError("Parameter 'url' must be a string, not "+typeof e);var a=e.indexOf("?"),s=-1!==a&&a<e.indexOf("#")?"?":"#",c=e.split(s);c[0]=c[0].replace(/\\/g,"/");var b=e=c.join(s);if(b=b.trim(),!n&&1===e.split("#").length){var _=l.exec(b);if(_)return this.path=b,this.href=b,this.pathname=_[1],_[2]?(this.search=_[2],this.query=t?y.parse(this.search.substr(1)):this.search.substr(1)):t&&(this.search="",this.query={}),this}var x=o.exec(b);if(x){var w=(x=x[0]).toLowerCase();this.protocol=w,b=b.substr(x.length)}if(n||x||b.match(/^\/\/[^@\/]+@[^@\/]+/)){var A="//"===b.substr(0,2);!A||x&&g[x]||(b=b.substr(2),this.slashes=!0)}if(!g[x]&&(A||x&&!v[x])){for(var S,T,C=-1,E=0;E<f.length;E++)-1!==(M=b.indexOf(f[E]))&&(-1===C||M<C)&&(C=M);for(-1!==(T=-1===C?b.lastIndexOf("@"):b.lastIndexOf("@",C))&&(S=b.slice(0,T),b=b.slice(T+1),this.auth=decodeURIComponent(S)),C=-1,E=0;E<d.length;E++){var M;-1!==(M=b.indexOf(d[E]))&&(-1===C||M<C)&&(C=M)}-1===C&&(C=b.length),this.host=b.slice(0,C),b=b.slice(C),this.parseHost(),this.hostname=this.hostname||"";var D="["===this.hostname[0]&&"]"===this.hostname[this.hostname.length-1];if(!D)for(var P=this.hostname.split(/\./),I=(E=0,P.length);E<I;E++){var O=P[E];if(O&&!O.match(p)){for(var N="",k=0,R=O.length;k<R;k++)O.charCodeAt(k)>127?N+="x":N+=O[k];if(!N.match(p)){var L=P.slice(0,E),F=P.slice(E+1),B=O.match(h);B&&(L.push(B[1]),F.unshift(B[2])),F.length&&(b="/"+F.join(".")+b),this.hostname=L.join(".");break}}}this.hostname.length>255?this.hostname="":this.hostname=this.hostname.toLowerCase(),D||(this.hostname=r.toASCII(this.hostname));var U=this.port?":"+this.port:"",V=this.hostname||"";this.host=V+U,this.href+=this.host,D&&(this.hostname=this.hostname.substr(1,this.hostname.length-2),"/"!==b[0]&&(b="/"+b))}if(!m[w])for(E=0,I=u.length;E<I;E++){var G=u[E];if(-1!==b.indexOf(G)){var z=encodeURIComponent(G);z===G&&(z=escape(G)),b=b.split(G).join(z)}}var j=b.indexOf("#");-1!==j&&(this.hash=b.substr(j),b=b.slice(0,j));var W=b.indexOf("?");if(-1!==W?(this.search=b.substr(W),this.query=b.substr(W+1),t&&(this.query=y.parse(this.query)),b=b.slice(0,W)):t&&(this.search="",this.query={}),b&&(this.pathname=b),v[w]&&this.hostname&&!this.pathname&&(this.pathname="/"),this.pathname||this.search){U=this.pathname||"";var H=this.search||"";this.path=U+H}return this.href=this.format(),this},a.prototype.format=function(){var e=this.auth||"";e&&(e=(e=encodeURIComponent(e)).replace(/%3A/i,":"),e+="@");var t=this.protocol||"",n=this.pathname||"",r=this.hash||"",a=!1,o="";this.host?a=e+this.host:this.hostname&&(a=e+(-1===this.hostname.indexOf(":")?this.hostname:"["+this.hostname+"]"),this.port&&(a+=":"+this.port)),this.query&&i.isObject(this.query)&&Object.keys(this.query).length&&(o=y.stringify(this.query));var s=this.search||o&&"?"+o||"";return t&&":"!==t.substr(-1)&&(t+=":"),this.slashes||(!t||v[t])&&!1!==a?(a="//"+(a||""),n&&"/"!==n.charAt(0)&&(n="/"+n)):a||(a=""),r&&"#"!==r.charAt(0)&&(r="#"+r),s&&"?"!==s.charAt(0)&&(s="?"+s),t+a+(n=n.replace(/[?#]/g,(function(e){return encodeURIComponent(e)})))+(s=s.replace("#","%23"))+r},a.prototype.resolve=function(e){return this.resolveObject(b(e,!1,!0)).format()},a.prototype.resolveObject=function(e){if(i.isString(e)){var t=new a;t.parse(e,!1,!0),e=t}for(var n=new a,r=Object.keys(this),o=0;o<r.length;o++){var s=r[o];n[s]=this[s]}if(n.hash=e.hash,""===e.href)return n.href=n.format(),n;if(e.slashes&&!e.protocol){for(var l=Object.keys(e),c=0;c<l.length;c++){var u=l[c];"protocol"!==u&&(n[u]=e[u])}return v[n.protocol]&&n.hostname&&!n.pathname&&(n.path=n.pathname="/"),n.href=n.format(),n}if(e.protocol&&e.protocol!==n.protocol){if(!v[e.protocol]){for(var d=Object.keys(e),f=0;f<d.length;f++){var p=d[f];n[p]=e[p]}return n.href=n.format(),n}if(n.protocol=e.protocol,e.host||g[e.protocol])n.pathname=e.pathname;else{for(var h=(e.pathname||"").split("/");h.length&&!(e.host=h.shift()););e.host||(e.host=""),e.hostname||(e.hostname=""),""!==h[0]&&h.unshift(""),h.length<2&&h.unshift(""),n.pathname=h.join("/")}if(n.search=e.search,n.query=e.query,n.host=e.host||"",n.auth=e.auth,n.hostname=e.hostname||e.host,n.port=e.port,n.pathname||n.search){var m=n.pathname||"",y=n.search||"";n.path=m+y}return n.slashes=n.slashes||e.slashes,n.href=n.format(),n}var b=n.pathname&&"/"===n.pathname.charAt(0),_=e.host||e.pathname&&"/"===e.pathname.charAt(0),x=_||b||n.host&&e.pathname,w=x,A=n.pathname&&n.pathname.split("/")||[],S=(h=e.pathname&&e.pathname.split("/")||[],n.protocol&&!v[n.protocol]);if(S&&(n.hostname="",n.port=null,n.host&&(""===A[0]?A[0]=n.host:A.unshift(n.host)),n.host="",e.protocol&&(e.hostname=null,e.port=null,e.host&&(""===h[0]?h[0]=e.host:h.unshift(e.host)),e.host=null),x=x&&(""===h[0]||""===A[0])),_)n.host=e.host||""===e.host?e.host:n.host,n.hostname=e.hostname||""===e.hostname?e.hostname:n.hostname,n.search=e.search,n.query=e.query,A=h;else if(h.length)A||(A=[]),A.pop(),A=A.concat(h),n.search=e.search,n.query=e.query;else if(!i.isNullOrUndefined(e.search))return S&&(n.hostname=n.host=A.shift(),(D=!!(n.host&&n.host.indexOf("@")>0)&&n.host.split("@"))&&(n.auth=D.shift(),n.host=n.hostname=D.shift())),n.search=e.search,n.query=e.query,i.isNull(n.pathname)&&i.isNull(n.search)||(n.path=(n.pathname?n.pathname:"")+(n.search?n.search:"")),n.href=n.format(),n;if(!A.length)return n.pathname=null,n.search?n.path="/"+n.search:n.path=null,n.href=n.format(),n;for(var T=A.slice(-1)[0],C=(n.host||e.host||A.length>1)&&("."===T||".."===T)||""===T,E=0,M=A.length;M>=0;M--)"."===(T=A[M])?A.splice(M,1):".."===T?(A.splice(M,1),E++):E&&(A.splice(M,1),E--);if(!x&&!w)for(;E--;E)A.unshift("..");!x||""===A[0]||A[0]&&"/"===A[0].charAt(0)||A.unshift(""),C&&"/"!==A.join("/").substr(-1)&&A.push("");var D,P=""===A[0]||A[0]&&"/"===A[0].charAt(0);return S&&(n.hostname=n.host=P?"":A.length?A.shift():"",(D=!!(n.host&&n.host.indexOf("@")>0)&&n.host.split("@"))&&(n.auth=D.shift(),n.host=n.hostname=D.shift())),(x=x||n.host&&A.length)&&!P&&A.unshift(""),A.length?n.pathname=A.join("/"):(n.pathname=null,n.path=null),i.isNull(n.pathname)&&i.isNull(n.search)||(n.path=(n.pathname?n.pathname:"")+(n.search?n.search:"")),n.auth=e.auth||n.auth,n.slashes=n.slashes||e.slashes,n.href=n.format(),n},a.prototype.parseHost=function(){var e=this.host,t=s.exec(e);t&&(":"!==(t=t[0])&&(this.port=t.substr(1)),e=e.substr(0,e.length-t.length)),e&&(this.hostname=e)}},function(e,t,n){(function(e,r){var i;!function(a){t&&t.nodeType,e&&e.nodeType;var o="object"==typeof r&&r;o.global!==o&&o.window!==o&&o.self;var s,l=2147483647,c=/^xn--/,u=/[^\x20-\x7E]/,d=/[\x2E\u3002\uFF0E\uFF61]/g,f={overflow:"Overflow: input needs wider integers to process","not-basic":"Illegal input >= 0x80 (not a basic code point)","invalid-input":"Invalid input"},p=Math.floor,h=String.fromCharCode;function m(e){throw new RangeError(f[e])}function g(e,t){for(var n=e.length,r=[];n--;)r[n]=t(e[n]);return r}function v(e,t){var n=e.split("@"),r="";return n.length>1&&(r=n[0]+"@",e=n[1]),r+g((e=e.replace(d,".")).split("."),t).join(".")}function y(e){for(var t,n,r=[],i=0,a=e.length;i<a;)(t=e.charCodeAt(i++))>=55296&&t<=56319&&i<a?56320==(64512&(n=e.charCodeAt(i++)))?r.push(((1023&t)<<10)+(1023&n)+65536):(r.push(t),i--):r.push(t);return r}function b(e){return g(e,(function(e){var t="";return e>65535&&(t+=h((e-=65536)>>>10&1023|55296),e=56320|1023&e),t+h(e)})).join("")}function _(e,t){return e+22+75*(e<26)-((0!=t)<<5)}function x(e,t,n){var r=0;for(e=n?p(e/700):e>>1,e+=p(e/t);e>455;r+=36)e=p(e/35);return p(r+36*e/(e+38))}function w(e){var t,n,r,i,a,o,s,c,u,d,f,h=[],g=e.length,v=0,y=128,_=72;for((n=e.lastIndexOf("-"))<0&&(n=0),r=0;r<n;++r)e.charCodeAt(r)>=128&&m("not-basic"),h.push(e.charCodeAt(r));for(i=n>0?n+1:0;i<g;){for(a=v,o=1,s=36;i>=g&&m("invalid-input"),((c=(f=e.charCodeAt(i++))-48<10?f-22:f-65<26?f-65:f-97<26?f-97:36)>=36||c>p((l-v)/o))&&m("overflow"),v+=c*o,!(c<(u=s<=_?1:s>=_+26?26:s-_));s+=36)o>p(l/(d=36-u))&&m("overflow"),o*=d;_=x(v-a,t=h.length+1,0==a),p(v/t)>l-y&&m("overflow"),y+=p(v/t),v%=t,h.splice(v++,0,y)}return b(h)}function A(e){var t,n,r,i,a,o,s,c,u,d,f,g,v,b,w,A=[];for(g=(e=y(e)).length,t=128,n=0,a=72,o=0;o<g;++o)(f=e[o])<128&&A.push(h(f));for(r=i=A.length,i&&A.push("-");r<g;){for(s=l,o=0;o<g;++o)(f=e[o])>=t&&f<s&&(s=f);for(s-t>p((l-n)/(v=r+1))&&m("overflow"),n+=(s-t)*v,t=s,o=0;o<g;++o)if((f=e[o])<t&&++n>l&&m("overflow"),f==t){for(c=n,u=36;!(c<(d=u<=a?1:u>=a+26?26:u-a));u+=36)w=c-d,b=36-d,A.push(h(_(d+w%b,0))),c=p(w/b);A.push(h(_(c,0))),a=x(n,v,r==i),n=0,++r}++n,++t}return A.join("")}s={version:"1.4.1",ucs2:{decode:y,encode:b},decode:w,encode:A,toASCII:function(e){return v(e,(function(e){return u.test(e)?"xn--"+A(e):e}))},toUnicode:function(e){return v(e,(function(e){return c.test(e)?w(e.slice(4).toLowerCase()):e}))}},void 0===(i=function(){return s}.call(t,n,t,e))||(e.exports=i)}()}).call(this,n(246)(e),n(78))},function(e,t){e.exports=function(e){return e.webpackPolyfill||(e.deprecate=function(){},e.paths=[],e.children||(e.children=[]),Object.defineProperty(e,"loaded",{enumerable:!0,get:function(){return e.l}}),Object.defineProperty(e,"id",{enumerable:!0,get:function(){return e.i}}),e.webpackPolyfill=1),e}},function(e,t,n){"use strict";e.exports={isString:function(e){return"string"==typeof e},isObject:function(e){return"object"==typeof e&&null!==e},isNull:function(e){return null===e},isNullOrUndefined:function(e){return null==e}}},function(e,t,n){"use strict";t.decode=t.parse=n(249),t.encode=t.stringify=n(250)},function(e,t,n){"use strict";function r(e,t){return Object.prototype.hasOwnProperty.call(e,t)}e.exports=function(e,t,n,a){t=t||"&",n=n||"=";var o={};if("string"!=typeof e||0===e.length)return o;var s=/\+/g;e=e.split(t);var l=1e3;a&&"number"==typeof a.maxKeys&&(l=a.maxKeys);var c=e.length;l>0&&c>l&&(c=l);for(var u=0;u<c;++u){var d,f,p,h,m=e[u].replace(s,"%20"),g=m.indexOf(n);g>=0?(d=m.substr(0,g),f=m.substr(g+1)):(d=m,f=""),p=decodeURIComponent(d),h=decodeURIComponent(f),r(o,p)?i(o[p])?o[p].push(h):o[p]=[o[p],h]:o[p]=h}return o};var i=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)}},function(e,t,n){"use strict";var r=function(e){switch(typeof e){case"string":return e;case"boolean":return e?"true":"false";case"number":return isFinite(e)?e:"";default:return""}};e.exports=function(e,t,n,s){return t=t||"&",n=n||"=",null===e&&(e=void 0),"object"==typeof e?a(o(e),(function(o){var s=encodeURIComponent(r(o))+n;return i(e[o])?a(e[o],(function(e){return s+encodeURIComponent(r(e))})).join(t):s+encodeURIComponent(r(e[o]))})).join(t):s?encodeURIComponent(r(s))+n+encodeURIComponent(r(e)):""};var i=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)};function a(e,t){if(e.map)return e.map(t);for(var n=[],r=0;r<e.length;r++)n.push(t(e[r],r));return n}var o=Object.keys||function(e){var t=[];for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&t.push(n);return t}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(52);t.attr_setAnExistingAttributeValue=function(e,t){null===e._element?e._value=t:r.element_change(e,e._element,t)}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(108),i=n(30),a=n(52);t.tokenList_validationSteps=function(e,t){if(!i.dom_hasSupportedTokens(e._attribute._localName))throw new TypeError("There are no supported tokens defined for attribute name: '"+e._attribute._localName+"'.");return i.dom_getSupportedTokens(e._attribute._localName).has(t.toLowerCase())},t.tokenList_updateSteps=function(e){(e._element.hasAttribute(e._attribute._localName)||0!==e._tokenSet.size)&&a.element_setAnAttributeValue(e._element,e._attribute._localName,r.orderedSet_serialize(e._tokenSet))},t.tokenList_serializeSteps=function(e){return a.element_getAnAttributeValue(e._element,e._attribute._localName)}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(1);function a(e){return i.isBoolean(e)?e:e.capture||!1}t.eventTarget_flatten=a,t.eventTarget_flattenMore=function(e){var t=a(e),n=!1,r=!1;return i.isBoolean(e)||(n=e.once||!1,r=e.passive||!1),[t,r,n]},t.eventTarget_addEventListener=function(e,t){if(null!==t.callback){for(var n=0;n<e._eventListenerList.length;n++){var r=e._eventListenerList[n];if(r.type===t.type&&r.callback.handleEvent===t.callback.handleEvent&&r.capture===t.capture)return}e._eventListenerList.push(t)}},t.eventTarget_removeEventListener=function(e,t,n){t.removed=!0,e._eventListenerList.splice(n,1)},t.eventTarget_removeAllEventListeners=function(e){var t,n;try{for(var i=r(e._eventListenerList),a=i.next();!a.done;a=i.next())a.value.removed=!0}catch(e){t={error:e}}finally{try{a&&!a.done&&(n=i.return)&&n.call(i)}finally{if(t)throw t.error}}e._eventListenerList.length=0}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(1),a=n(29);t.parentNode_convertNodesIntoANode=function(e,t){for(var n,o,s=null,l=0;l<e.length;l++){var c=e[l];if(i.isString(c)){var u=a.create_text(t,c);e[l]=u}}if(1===e.length)s=e[0];else{var d=s=a.create_documentFragment(t);try{for(var f=r(e),p=f.next();!p.done;p=f.next())c=p.value,d.appendChild(c)}catch(e){n={error:e}}finally{try{p&&!p.done&&(o=f.return)&&o.call(f)}finally{if(n)throw n.error}}}return s}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},i=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},a=this&&this.__spread||function(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(i(arguments[t]));return e};Object.defineProperty(t,"__esModule",{value:!0});var o=n(2),s=n(9),l=n(3),c=n(29),u=n(17),d=n(175),f=n(107),p=n(176),h=n(37),m=n(177);function g(e){return e._startNode===e._endNode&&e._startOffset===e._endOffset}function v(e){return u.tree_rootNode(e._startNode)}function y(e,t){return u.tree_rootNode(e)===v(t)&&d.boundaryPoint_position([e,0],t._start)===o.BoundaryPosition.After&&d.boundaryPoint_position([e,u.tree_nodeLength(e)],t._end)===o.BoundaryPosition.Before}function b(e,t){var n=u.tree_isAncestorOf(t._startNode,e,!0),r=u.tree_isAncestorOf(t._endNode,e,!0);return n&&!r||!n&&r}function _(e){var t,n,i,o,d,m,v=c.create_documentFragment(e._startNode._nodeDocument);if(g(e))return v;var x=e._startNode,w=e._startOffset,A=e._endNode,S=e._endOffset;if(x===A&&l.Guard.isCharacterDataNode(x))return(U=p.node_clone(x))._data=f.characterData_substringData(x,w,S-w),h.mutation_append(U,v),f.characterData_replaceData(x,w,S-w,""),v;for(var T=x;!u.tree_isAncestorOf(A,T,!0);){if(null===T._parent)throw new Error("Parent node  is null.");T=T._parent}var C=null;if(!u.tree_isAncestorOf(A,x,!0))try{for(var E=r(T._children),M=E.next();!M.done;M=E.next())if(b(O=M.value,e)){C=O;break}}catch(e){t={error:e}}finally{try{M&&!M.done&&(n=E.return)&&n.call(E)}finally{if(t)throw t.error}}var D=null;if(!u.tree_isAncestorOf(x,A,!0))for(var P=a(T._children),I=P.length-1;I>0;I--){var O;if(b(O=P[I],e)){D=O;break}}var N,k,R=[];try{for(var L=r(T._children),F=L.next();!F.done;F=L.next())if(y(j=F.value,e)){if(l.Guard.isDocumentTypeNode(j))throw new s.HierarchyRequestError;R.push(j)}}catch(e){i={error:e}}finally{try{F&&!F.done&&(o=L.return)&&o.call(L)}finally{if(i)throw i.error}}if(u.tree_isAncestorOf(A,x,!0))N=x,k=w;else{for(var B=x;null!==B._parent&&!u.tree_isAncestorOf(A,B._parent);)B=B._parent;if(null===B._parent)throw new Error("Parent node is null.");N=B._parent,k=1+u.tree_index(B)}if(l.Guard.isCharacterDataNode(C))(U=p.node_clone(x))._data=f.characterData_substringData(x,w,u.tree_nodeLength(x)-w),h.mutation_append(U,v),f.characterData_replaceData(x,w,u.tree_nodeLength(x)-w,"");else if(null!==C){var U=p.node_clone(C);h.mutation_append(U,v);var V=_(c.create_range([x,w],[C,u.tree_nodeLength(C)]));h.mutation_append(V,U)}try{for(var G=r(R),z=G.next();!z.done;z=G.next()){var j=z.value;h.mutation_append(j,v)}}catch(e){d={error:e}}finally{try{z&&!z.done&&(m=G.return)&&m.call(G)}finally{if(d)throw d.error}}return l.Guard.isCharacterDataNode(D)?((U=p.node_clone(A))._data=f.characterData_substringData(A,0,S),h.mutation_append(U,v),f.characterData_replaceData(A,0,S,"")):null!==D&&(U=p.node_clone(D),h.mutation_append(U,v),V=_(c.create_range([D,0],[A,S])),h.mutation_append(V,U)),e._start=[N,k],e._end=[N,k],v}t.range_collapsed=g,t.range_root=v,t.range_isContained=y,t.range_isPartiallyContained=b,t.range_setTheStart=function(e,t,n){if(l.Guard.isDocumentTypeNode(t))throw new s.InvalidNodeTypeError;if(n>u.tree_nodeLength(t))throw new s.IndexSizeError;var r=[t,n];v(e)===u.tree_rootNode(t)&&d.boundaryPoint_position(r,e._end)!==o.BoundaryPosition.After||(e._end=r),e._start=r},t.range_setTheEnd=function(e,t,n){if(l.Guard.isDocumentTypeNode(t))throw new s.InvalidNodeTypeError;if(n>u.tree_nodeLength(t))throw new s.IndexSizeError;var r=[t,n];v(e)===u.tree_rootNode(t)&&d.boundaryPoint_position(r,e._start)!==o.BoundaryPosition.Before||(e._start=r),e._end=r},t.range_select=function(e,t){var n=e._parent;if(null===n)throw new s.InvalidNodeTypeError;var r=u.tree_index(e);t._start=[n,r],t._end=[n,r+1]},t.range_extract=_,t.range_cloneTheContents=function e(t){var n,i,o,d,m,v,x=c.create_documentFragment(t._startNode._nodeDocument);if(g(t))return x;var w=t._startNode,A=t._startOffset,S=t._endNode,T=t._endOffset;w===S&&l.Guard.isCharacterDataNode(w)&&((F=p.node_clone(w))._data=f.characterData_substringData(w,A,T-A),h.mutation_append(F,x));for(var C=w;!u.tree_isAncestorOf(S,C,!0);){if(null===C._parent)throw new Error("Parent node  is null.");C=C._parent}var E=null;if(!u.tree_isAncestorOf(S,w,!0))try{for(var M=r(C._children),D=M.next();!D.done;D=M.next())if(b(N=D.value,t)){E=N;break}}catch(e){n={error:e}}finally{try{D&&!D.done&&(i=M.return)&&i.call(M)}finally{if(n)throw n.error}}var P=null;if(!u.tree_isAncestorOf(w,S,!0))for(var I=a(C._children),O=I.length-1;O>0;O--){var N;if(b(N=I[O],t)){P=N;break}}var k=[];try{for(var R=r(C._children),L=R.next();!L.done;L=R.next())if(y(G=L.value,t)){if(l.Guard.isDocumentTypeNode(G))throw new s.HierarchyRequestError;k.push(G)}}catch(e){o={error:e}}finally{try{L&&!L.done&&(d=R.return)&&d.call(R)}finally{if(o)throw o.error}}if(l.Guard.isCharacterDataNode(E))(F=p.node_clone(w))._data=f.characterData_substringData(w,A,u.tree_nodeLength(w)-A),h.mutation_append(F,x);else if(null!==E){var F=p.node_clone(E);h.mutation_append(F,x);var B=e(c.create_range([w,A],[E,u.tree_nodeLength(E)]));h.mutation_append(B,F)}try{for(var U=r(k),V=U.next();!V.done;V=U.next()){var G=V.value;F=p.node_clone(G),h.mutation_append(F,x)}}catch(e){m={error:e}}finally{try{V&&!V.done&&(v=U.return)&&v.call(U)}finally{if(m)throw m.error}}return l.Guard.isCharacterDataNode(P)?((F=p.node_clone(S))._data=f.characterData_substringData(S,0,T),h.mutation_append(F,x)):null!==P&&(F=p.node_clone(P),x.append(F),B=_(c.create_range([P,0],[S,T])),h.mutation_append(B,F)),x},t.range_insert=function(e,t){var n,i;if(l.Guard.isProcessingInstructionNode(t._startNode)||l.Guard.isCommentNode(t._startNode)||l.Guard.isTextNode(t._startNode)&&null===t._startNode._parent||t._startNode===e)throw new s.HierarchyRequestError;var a,o=null;if(l.Guard.isTextNode(t._startNode))o=t._startNode;else{var c=0;try{for(var d=r(t._startNode._children),f=d.next();!f.done;f=d.next()){var p=f.value;if(c===t._startOffset){o=p;break}c++}}catch(e){n={error:e}}finally{try{f&&!f.done&&(i=d.return)&&i.call(d)}finally{if(n)throw n.error}}}if(null===o)a=t._startNode;else{if(null===o._parent)throw new Error("Parent node is null.");a=o._parent}h.mutation_ensurePreInsertionValidity(e,a,o),l.Guard.isTextNode(t._startNode)&&(o=m.text_split(t._startNode,t._startOffset)),e===o&&(o=e._nextSibling),null!==e._parent&&h.mutation_remove(e,e._parent);var v=null===o?u.tree_nodeLength(a):u.tree_index(o);l.Guard.isDocumentFragmentNode(e)?v+=u.tree_nodeLength(e):v++,h.mutation_preInsert(e,a,o),g(t)&&(t._end=[a,v])},t.range_getContainedNodes=function(e){var t;return(t={})[Symbol.iterator]=function(){var t=e.commonAncestorContainer,n=u.tree_getFirstDescendantNode(t);return{next:function(){for(;n&&!y(n,e);)n=u.tree_getNextDescendantNode(t,n);if(null===n)return{done:!0,value:null};var r={done:!1,value:n};return n=u.tree_getNextDescendantNode(t,n),r}}},t},t.range_getPartiallyContainedNodes=function(e){var t;return(t={})[Symbol.iterator]=function(){var t=e.commonAncestorContainer,n=u.tree_getFirstDescendantNode(t);return{next:function(){for(;n&&!b(n,e);)n=u.tree_getNextDescendantNode(t,n);if(null===n)return{done:!0,value:null};var r={done:!1,value:n};return n=u.tree_getNextDescendantNode(t,n),r}}},t}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(9);t.selectors_scopeMatchASelectorsString=function(e,t){throw new r.NotSupportedError}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=n(105);t.treeWalker_traverseChildren=function(e,t){for(var n=t?e._current._firstChild:e._current._lastChild;null!==n;){var a=i.traversal_filter(e,n);if(a===r.FilterResult.Accept)return e._current=n,n;if(a===r.FilterResult.Skip){var o=t?n._firstChild:n._lastChild;if(null!==o){n=o;continue}}for(;null!==n;){var s=t?n._nextSibling:n._previousSibling;if(null!==s){n=s;break}var l=n._parent;if(null===l||l===e._root||l===e._current)return null;n=l}}return null},t.treeWalker_traverseSiblings=function(e,t){var n=e._current;if(n===e._root)return null;for(;;){for(var a=t?n._nextSibling:n._previousSibling;null!==a;){n=a;var o=i.traversal_filter(e,n);if(o===r.FilterResult.Accept)return e._current=n,n;a=t?n._firstChild:n._lastChild,o!==r.FilterResult.Reject&&null!==a||(a=t?n._nextSibling:n._previousSibling)}if(null===(n=n._parent)||n===e._root)return null;if(i.traversal_filter(e,n)===r.FilterResult.Accept)return null}}},function(e,t,n){"use strict";n(89),n(74);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(1),o=n(2),s=n(50),l=n(3),c=function(e){function t(t,n){var r=e.call(this,t)||this;return r._indentation={},r._lengthToLastNewline=0,r._writerOptions=a.applyDefaults(n,{wellFormed:!1,headless:!1,prettyPrint:!1,indent:"  ",newline:"\n",offset:0,width:0,allowEmptyTags:!1,indentTextOnlyNodes:!1,spaceBeforeSlash:!1}),r}return i(t,e),t.prototype.serialize=function(e){return this._refs={suppressPretty:!1,emptyNode:!1,markup:""},e.nodeType!==o.NodeType.Document||this._writerOptions.headless||this.declaration(this._builderOptions.version,this._builderOptions.encoding,this._builderOptions.standalone),this.serializeNode(e,this._writerOptions.wellFormed),this._writerOptions.prettyPrint&&this._refs.markup.slice(-this._writerOptions.newline.length)===this._writerOptions.newline&&(this._refs.markup=this._refs.markup.slice(0,-this._writerOptions.newline.length)),this._refs.markup},t.prototype.declaration=function(e,t,n){this._beginLine(),this._refs.markup+='<?xml version="'+e+'"',void 0!==t&&(this._refs.markup+=' encoding="'+t+'"'),void 0!==n&&(this._refs.markup+=' standalone="'+(n?"yes":"no")+'"'),this._refs.markup+="?>",this._endLine()},t.prototype.docType=function(e,t,n){this._beginLine(),this._refs.markup+=t&&n?"<!DOCTYPE "+e+' PUBLIC "'+t+'" "'+n+'">':t?"<!DOCTYPE "+e+' PUBLIC "'+t+'">':n?"<!DOCTYPE "+e+' SYSTEM "'+n+'">':"<!DOCTYPE "+e+">",this._endLine()},t.prototype.openTagBegin=function(e){this._beginLine(),this._refs.markup+="<"+e},t.prototype.openTagEnd=function(e,t,n){if(this._refs.suppressPretty=!1,this._refs.emptyNode=!1,this._writerOptions.prettyPrint&&!t&&!n){for(var r=!0,i=!0,a=this.currentNode.firstChild,o=0,s=0;a;){if(l.Guard.isExclusiveTextNode(a))s++;else{if(!l.Guard.isCDATASectionNode(a)){r=!1,i=!1;break}o++}""!==a.data&&(i=!1),a=a.nextSibling}this._refs.suppressPretty=!this._writerOptions.indentTextOnlyNodes&&r&&(o<=1&&0===s||0===o),this._refs.emptyNode=i}(n||t||this._refs.emptyNode)&&this._writerOptions.allowEmptyTags?this._refs.markup+="></"+e+">":this._refs.markup+=n?" />":t||this._refs.emptyNode?this._writerOptions.spaceBeforeSlash?" />":"/>":">",this._endLine()},t.prototype.closeTag=function(e){this._refs.emptyNode||(this._beginLine(),this._refs.markup+="</"+e+">"),this._refs.suppressPretty=!1,this._refs.emptyNode=!1,this._endLine()},t.prototype.attribute=function(e,t){var n=e+'="'+t+'"';this._writerOptions.prettyPrint&&this._writerOptions.width>0&&this._refs.markup.length-this._lengthToLastNewline+1+n.length>this._writerOptions.width?(this._endLine(),this._beginLine(),this._refs.markup+=this._indent(1)+n):this._refs.markup+=" "+n},t.prototype.text=function(e){""!==e&&(this._beginLine(),this._refs.markup+=e,this._endLine())},t.prototype.cdata=function(e){""!==e&&(this._beginLine(),this._refs.markup+="<![CDATA["+e+"]]>",this._endLine())},t.prototype.comment=function(e){this._beginLine(),this._refs.markup+="\x3c!--"+e+"--\x3e",this._endLine()},t.prototype.instruction=function(e,t){this._beginLine(),this._refs.markup+="<?"+(""===t?e:e+" "+t)+"?>",this._endLine()},t.prototype._beginLine=function(){this._writerOptions.prettyPrint&&!this._refs.suppressPretty&&(this._refs.markup+=this._indent(this._writerOptions.offset+this.level))},t.prototype._endLine=function(){this._writerOptions.prettyPrint&&!this._refs.suppressPretty&&(this._refs.markup+=this._writerOptions.newline,this._lengthToLastNewline=this._refs.markup.length)},t.prototype._indent=function(e){if(e<=0)return"";if(void 0!==this._indentation[e])return this._indentation[e];var t=this._writerOptions.indent.repeat(e);return this._indentation[e]=t,t},t}(s.BaseWriter);t.XMLWriter=c},function(e,t,n){"use strict";var r=n(47),i=n(35);e.exports="".repeat||function(e){var t=String(i(this)),n="",a=r(e);if(a<0||a==1/0)throw RangeError("Wrong number of repetitions");for(;a>0;(a>>>=1)&&(t+=t))1&a&&(n+=t);return n}},function(e,t,n){"use strict";n(31),n(32),n(33),n(19),n(178),n(20),n(22),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(67),s=n(1),l=function(e){function t(t,n){var r=e.call(this,t)||this;return r._writerOptions=s.applyDefaults(n,{wellFormed:!1,prettyPrint:!1,indent:"  ",newline:"\n",offset:0,group:!1,verbose:!1}),r}return i(t,e),t.prototype.serialize=function(e){var t=s.applyDefaults(this._writerOptions,{format:"object",wellFormed:!1}),n=new o.ObjectWriter(this._builderOptions,t).serialize(e);return this._beginLine(this._writerOptions,0)+this._convertObject(n,this._writerOptions)},t.prototype._convertObject=function(e,t,n){var r,i,o=this;void 0===n&&(n=0);var l="",c=this._isLeafNode(e);if(s.isArray(e)){l+="[";var u=e.length,d=0;try{for(var f=a(e),p=f.next();!p.done;p=f.next()){var h=p.value;l+=this._endLine(t,n+1)+this._beginLine(t,n+1)+this._convertObject(h,t,n+1),d<u-1&&(l+=","),d++}}catch(e){r={error:e}}finally{try{p&&!p.done&&(i=f.return)&&i.call(f)}finally{if(r)throw r.error}}l+=this._endLine(t,n)+this._beginLine(t,n),l+="]"}else if(s.isObject(e)){l+="{";var m=s.objectLength(e),g=0;s.forEachObject(e,(function(e,r){c&&t.prettyPrint?l+=" ":l+=o._endLine(t,n+1)+o._beginLine(t,n+1),l+=o._key(e),t.prettyPrint&&(l+=" "),l+=o._convertObject(r,t,n+1),g<m-1&&(l+=","),g++}),this),c&&t.prettyPrint?l+=" ":l+=this._endLine(t,n)+this._beginLine(t,n),l+="}"}else l+=this._val(e);return l},t.prototype._beginLine=function(e,t){if(!e.prettyPrint)return"";var n=e.offset+t+1;return n>0?new Array(n).join(e.indent):""},t.prototype._endLine=function(e,t){return e.prettyPrint?e.newline:""},t.prototype._key=function(e){return'"'+e+'":'},t.prototype._val=function(e){return JSON.stringify(e)},t.prototype._isLeafNode=function(e){return this._descendantCount(e)<=1},t.prototype._descendantCount=function(e,t){var n=this;return void 0===t&&(t=0),s.isArray(e)?s.forEachArray(e,(function(e){return t+=n._descendantCount(e,t)}),this):s.isObject(e)?s.forEachObject(e,(function(e,r){return t+=n._descendantCount(r,t)}),this):t++,t},t}(n(50).BaseWriter);t.JSONWriter=l},function(e,t,n){"use strict";n(31),n(32),n(33),n(19),n(178),n(89),n(20),n(22),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var o=n(67),s=n(1),l=function(e){function t(t,n){var r=e.call(this,t)||this;if(r._writerOptions=s.applyDefaults(n,{wellFormed:!1,indent:"  ",newline:"\n",offset:0,group:!1,verbose:!1}),r._writerOptions.indent.length<2)throw new Error("YAML indententation string must be at least two characters long.");if(r._writerOptions.offset<0)throw new Error("YAML offset should be zero or a positive number.");return r}return i(t,e),t.prototype.serialize=function(e){var t=s.applyDefaults(this._writerOptions,{format:"object",wellFormed:!1}),n=new o.ObjectWriter(this._builderOptions,t).serialize(e),r=this._beginLine(this._writerOptions,0)+"---"+this._endLine(this._writerOptions)+this._convertObject(n,this._writerOptions,0);return r.slice(-this._writerOptions.newline.length)===this._writerOptions.newline&&(r=r.slice(0,-this._writerOptions.newline.length)),r},t.prototype._convertObject=function(e,t,n,r){var i,o,l=this;void 0===r&&(r=!1);var c="";if(s.isArray(e))try{for(var u=a(e),d=u.next();!d.done;d=u.next()){var f=d.value;c+=this._beginLine(t,n,!0),s.isObject(f)?s.isEmpty(f)?c+='""'+this._endLine(t):c+=this._convertObject(f,t,n,!0):c+=this._val(f)+this._endLine(t)}}catch(e){i={error:e}}finally{try{d&&!d.done&&(o=u.return)&&o.call(u)}finally{if(i)throw i.error}}else s.forEachObject(e,(function(e,i){r?(c+=l._key(e),r=!1):c+=l._beginLine(t,n)+l._key(e),s.isObject(i)?s.isEmpty(i)?c+=' ""'+l._endLine(t):c+=l._endLine(t)+l._convertObject(i,t,n+1):c+=" "+l._val(i)+l._endLine(t)}),this);return c},t.prototype._beginLine=function(e,t,n){void 0===n&&(n=!1);var r=e.offset+t+1,i=new Array(r).join(e.indent);return n?i.substr(0,i.length-2)+"-"+i.substr(-1,1):i},t.prototype._endLine=function(e){return e.newline},t.prototype._key=function(e){return'"'+e+'":'},t.prototype._val=function(e){return JSON.stringify(e)},t}(n(50).BaseWriter);t.YAMLWriter=l},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),n(110).dom.setFeatures(!0);var r=n(110);t.DOMImplementation=r.DOMImplementation;var i=n(271);t.DOMParser=i.DOMParser;var a=n(274);t.XMLSerializer=a.XMLSerializer},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(3),i=n(0),a=function(){function e(){}return e.prototype.before=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r.Cast.asNode(this),a=n._parent;if(null!==a){for(var o=n._previousSibling,s=!0;s&&o;){s=!1;for(var l=0;l<e.length;l++)if(e[l]===o){o=o._previousSibling,s=!0;break}}var c=i.parentNode_convertNodesIntoANode(e,n._nodeDocument);o=null===o?a._firstChild:o._nextSibling,i.mutation_preInsert(c,a,o)}},e.prototype.after=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r.Cast.asNode(this),a=n._parent;if(a){for(var o=n._nextSibling,s=!0;s&&o;){s=!1;for(var l=0;l<e.length;l++)if(e[l]===o){o=o._nextSibling,s=!0;break}}var c=i.parentNode_convertNodesIntoANode(e,n._nodeDocument);i.mutation_preInsert(c,a,o)}},e.prototype.replaceWith=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r.Cast.asNode(this),a=n._parent;if(a){for(var o=n._nextSibling,s=!0;s&&o;){s=!1;for(var l=0;l<e.length;l++)if(e[l]===o){o=o._nextSibling,s=!0;break}}var c=i.parentNode_convertNodesIntoANode(e,n._nodeDocument);n._parent===a?i.mutation_replace(n,c,a):i.mutation_preInsert(c,a,o)}},e.prototype.remove=function(){var e=r.Cast.asNode(this),t=e._parent;t&&i.mutation_remove(e,t)},e}();t.ChildNodeImpl=a},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});t.DocumentOrShadowRootImpl=function(){}},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(6),a=n(3),o=n(7),s=function(){function e(e){this._nodeList=[],this._recordQueue=[],this._callback=e;var t=i.dom.window;o.set.append(t._mutationObservers,this)}return e.prototype.observe=function(e,t){var n,i;if(void 0===(t=t||{childList:!1,subtree:!1}).attributeOldValue&&void 0===t.attributeFilter||void 0!==t.attributes||(t.attributes=!0),void 0!==t.characterDataOldValue&&void 0===t.characterData&&(t.characterData=!0),!t.childList&&!t.attributes&&!t.characterData)throw new TypeError;if(t.attributeOldValue&&!t.attributes)throw new TypeError;if(void 0!==t.attributeFilter&&!t.attributes)throw new TypeError;if(t.characterDataOldValue&&!t.characterData)throw new TypeError;var s=!1,l=t,c=function(e){var t,n;if(e.observer===u){s=!0;try{for(var i=(t=void 0,r(u._nodeList)),c=i.next();!c.done;c=i.next()){var d=c.value;o.list.remove(d._registeredObserverList,(function(t){return a.Guard.isTransientRegisteredObserver(t)&&t.source===e}))}}catch(e){t={error:e}}finally{try{c&&!c.done&&(n=i.return)&&n.call(i)}finally{if(t)throw t.error}}e.options=l}},u=this;try{for(var d=r(e._registeredObserverList),f=d.next();!f.done;f=d.next())c(f.value)}catch(e){n={error:e}}finally{try{f&&!f.done&&(i=d.return)&&i.call(d)}finally{if(n)throw n.error}}s||(e._registeredObserverList.push({observer:this,options:t}),this._nodeList.push(e))},e.prototype.disconnect=function(){var e,t,n=this;try{for(var i=r(this._nodeList),a=i.next();!a.done;a=i.next()){var s=a.value;o.list.remove(s._registeredObserverList,(function(e){return e.observer===n}))}}catch(t){e={error:t}}finally{try{a&&!a.done&&(t=i.return)&&t.call(i)}finally{if(e)throw e.error}}this._recordQueue=[]},e.prototype.takeRecords=function(){var e=this._recordQueue;return this._recordQueue=[],e},e}();t.MutationObserverImpl=s},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(3),i=function(){function e(){}return Object.defineProperty(e.prototype,"previousElementSibling",{get:function(){for(var e=r.Cast.asNode(this)._previousSibling;e;){if(r.Guard.isElementNode(e))return e;e=e._previousSibling}return null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"nextElementSibling",{get:function(){for(var e=r.Cast.asNode(this)._nextSibling;e;){if(r.Guard.isElementNode(e))return e;e=e._nextSibling}return null},enumerable:!0,configurable:!0}),e}();t.NonDocumentTypeChildNodeImpl=i},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(3),i=n(0),a=function(){function e(){}return e.prototype.getElementById=function(e){for(var t=i.tree_getFirstDescendantNode(r.Cast.asNode(this),!1,!1,(function(e){return r.Guard.isElementNode(e)}));null!==t;){if(t._uniqueIdentifier===e)return t;t=i.tree_getNextDescendantNode(r.Cast.asNode(this),t,!1,!1,(function(e){return r.Guard.isElementNode(e)}))}return null},e}();t.NonElementParentNodeImpl=a},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(3),a=n(0),o=function(){function e(){}return Object.defineProperty(e.prototype,"children",{get:function(){return a.create_htmlCollection(i.Cast.asNode(this))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"firstElementChild",{get:function(){for(var e=i.Cast.asNode(this)._firstChild;e;){if(i.Guard.isElementNode(e))return e;e=e._nextSibling}return null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"lastElementChild",{get:function(){for(var e=i.Cast.asNode(this)._lastChild;e;){if(i.Guard.isElementNode(e))return e;e=e._previousSibling}return null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"childElementCount",{get:function(){var e,t,n=0;try{for(var a=r(i.Cast.asNode(this)._children),o=a.next();!o.done;o=a.next()){var s=o.value;i.Guard.isElementNode(s)&&n++}}catch(t){e={error:t}}finally{try{o&&!o.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}return n},enumerable:!0,configurable:!0}),e.prototype.prepend=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=i.Cast.asNode(this),r=a.parentNode_convertNodesIntoANode(e,n._nodeDocument);a.mutation_preInsert(r,n,n._firstChild)},e.prototype.append=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=i.Cast.asNode(this),r=a.parentNode_convertNodesIntoANode(e,n._nodeDocument);a.mutation_append(r,n)},e.prototype.querySelector=function(e){var t=i.Cast.asNode(this),n=a.selectors_scopeMatchASelectorsString(e,t);return 0===n.length?null:n[0]},e.prototype.querySelectorAll=function(e){var t=i.Cast.asNode(this),n=a.selectors_scopeMatchASelectorsString(e,t);return a.create_nodeListStatic(t,n)},e}();t.ParentNodeImpl=o},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),i=function(){function e(){}return Object.defineProperty(e.prototype,"_name",{get:function(){return this.__name||""},set:function(e){this.__name=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"_assignedSlot",{get:function(){return this.__assignedSlot||null},set:function(e){this.__assignedSlot=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"assignedSlot",{get:function(){return r.shadowTree_findASlot(this,!0)},enumerable:!0,configurable:!0}),e}();t.SlotableImpl=i},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(102),o=n(9),s=n(3),l=function(e){function t(t){var n=e.call(this)||this;if(s.Guard.isDocumentTypeNode(t.startContainer)||s.Guard.isAttrNode(t.startContainer)||s.Guard.isDocumentTypeNode(t.endContainer)||s.Guard.isAttrNode(t.endContainer))throw new o.InvalidNodeTypeError;return n._start=[t.startContainer,t.startOffset],n._end=[t.endContainer,t.endOffset],n}return i(t,e),t}(a.AbstractRangeImpl);t.StaticRangeImpl=l},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(272);t.DOMParser=r.DOMParserImpl},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(0),i=n(273),a=function(){function e(){}return e.prototype.parseFromString=function(e,t){if("text/html"===t)throw new Error("HTML parser not implemented.");try{return(n=(new i.XMLParserImpl).parse(e))._contentType=t,n}catch(e){var n,a="http://www.mozilla.org/newlayout/xml/parsererror.xml",o=(n=r.create_xmlDocument()).createElementNS(a,"parsererror"),s=n.createElementNS(a,"error");return s.setAttribute("message",e.message),o.appendChild(s),n.appendChild(o),n}},e}();t.DOMParserImpl=a},function(e,t,n){"use strict";var r=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},i=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var a=n(180),o=n(111),s=n(7),l=n(0),c=n(69),u=function(){function e(){}return e.prototype.parse=function(e){for(var t,n,u,d,f=new a.XMLStringLexer(e,{skipWhitespaceOnlyText:!0}),p=l.create_document(),h=p,m=f.nextToken();m.type!==o.TokenType.EOF;){switch(m.type){case o.TokenType.Declaration:var g=m;if("1.0"!==g.version)throw new Error("Invalid xml version: "+g.version);break;case o.TokenType.DocType:var v=m;if(!l.xml_isPubidChar(v.pubId))throw new Error("DocType public identifier does not match PubidChar construct.");if(!l.xml_isLegalChar(v.sysId)||-1!==v.sysId.indexOf('"')&&-1!==v.sysId.indexOf("'"))throw new Error("DocType system identifier contains invalid characters.");h.appendChild(p.implementation.createDocumentType(v.name,v.pubId,v.sysId));break;case o.TokenType.CDATA:var y=m;if(!l.xml_isLegalChar(y.data)||-1!==y.data.indexOf("]]>"))throw new Error("CDATA contains invalid characters.");h.appendChild(p.createCDATASection(y.data));break;case o.TokenType.Comment:var b=m;if(!l.xml_isLegalChar(b.data)||-1!==b.data.indexOf("--")||b.data.endsWith("-"))throw new Error("Comment data contains invalid characters.");h.appendChild(p.createComment(b.data));break;case o.TokenType.PI:var _=m;if(-1!==_.target.indexOf(":")||/^xml$/i.test(_.target))throw new Error("Processing instruction target contains invalid characters.");if(!l.xml_isLegalChar(_.data)||-1!==_.data.indexOf("?>"))throw new Error("Processing instruction data contains invalid characters.");h.appendChild(p.createProcessingInstruction(_.target,_.data));break;case o.TokenType.Text:var x=m;if(!l.xml_isLegalChar(x.data))throw new Error("Text data contains invalid characters.");h.appendChild(p.createTextNode(this._decodeText(x.data)));break;case o.TokenType.Element:var w=m,A=r(l.namespace_extractQName(w.name),2),S=A[0],T=A[1];if(-1!==T.indexOf(":")||!l.xml_isName(T))throw new Error("Node local name contains invalid characters.");if("xmlns"===S)throw new Error("An element cannot have the 'xmlns' prefix.");var C=h.lookupNamespaceURI(S),E={};try{for(var M=(t=void 0,i(w.attributes)),D=M.next();!D.done;D=M.next()){var P=r(D.value,2),I=P[0],O=P[1];if("xmlns"===I)C=O;else{var N=r(l.namespace_extractQName(I),2),k=N[0],R=N[1];"xmlns"===k&&(R===S&&(C=O),E[R]=O)}}}catch(e){t={error:e}}finally{try{D&&!D.done&&(n=M.return)&&n.call(M)}finally{if(t)throw t.error}}var L=null!==C?p.createElementNS(C,w.name):p.createElement(w.name);h.appendChild(L);var F=new c.LocalNameSet;try{for(var B=(u=void 0,i(w.attributes)),U=B.next();!U.done;U=B.next()){var V=r(U.value,2),G=(I=V[0],O=V[1],r(l.namespace_extractQName(I),2)),z=(k=G[0],R=G[1],null);if("xmlns"===k||null===k&&"xmlns"===R?z=s.namespace.XMLNS:null!==(z=L.lookupNamespaceURI(k))&&L.isDefaultNamespace(z)?z=null:null===z&&null!==k&&(z=E[k]||null),F.has(z,R))throw new Error("Element contains duplicate attributes.");if(F.set(z,R),z===s.namespace.XMLNS&&O===s.namespace.XMLNS)throw new Error("XMLNS namespace is reserved.");if(-1!==R.indexOf(":")||!l.xml_isName(R))throw new Error("Attribute local name contains invalid characters.");if("xmlns"===k&&""===O)throw new Error("Empty XML namespace is not allowed.");null!==z?L.setAttributeNS(z,I,this._decodeAttributeValue(O)):L.setAttribute(I,this._decodeAttributeValue(O))}}catch(e){u={error:e}}finally{try{U&&!U.done&&(d=B.return)&&d.call(B)}finally{if(u)throw u.error}}w.selfClosing||(h=L);break;case o.TokenType.ClosingTag:if(m.name!==h.nodeName)throw new Error("Closing tag name does not match opening tag name.");h._parent&&(h=h._parent)}m=f.nextToken()}return p},e.prototype._decodeText=function(e){return null==e?e:e.replace(/&lt;/g,"<").replace(/&gt;/g,">").replace(/&amp;/g,"&")},e.prototype._decodeAttributeValue=function(e){return null==e?e:e.replace(/&lt;/g,"<").replace(/&gt;/g,">").replace(/&amp;/g,"&")},e}();t.XMLParserImpl=u},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(275);t.XMLSerializer=r.XMLSerializerImpl},function(e,t,n){"use strict";var r=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var i=n(2),a=n(69),o=n(95),s=n(9),l=n(7),c=n(0),u=function(){function e(){}return e.prototype.serializeToString=function(e){return this._xmlSerialization(e,!1)},e.prototype._xmlSerialization=function(e,t){if(void 0===e._nodeDocument||e._nodeDocument._hasNamespaces){var n=new o.NamespacePrefixMap;n.set("xml",l.namespace.XML);try{return this._serializeNodeNS(e,null,n,{value:1},t)}catch(e){throw new s.InvalidStateError}}else try{return this._serializeNode(e,t)}catch(e){throw new s.InvalidStateError}},e.prototype._serializeNodeNS=function(e,t,n,r,a){switch(e.nodeType){case i.NodeType.Element:return this._serializeElementNS(e,t,n,r,a);case i.NodeType.Document:return this._serializeDocumentNS(e,t,n,r,a);case i.NodeType.Comment:return this._serializeComment(e,a);case i.NodeType.Text:return this._serializeText(e,a);case i.NodeType.DocumentFragment:return this._serializeDocumentFragmentNS(e,t,n,r,a);case i.NodeType.DocumentType:return this._serializeDocumentType(e,a);case i.NodeType.ProcessingInstruction:return this._serializeProcessingInstruction(e,a);case i.NodeType.CData:return this._serializeCData(e,a);default:throw new Error("Unknown node type: "+e.nodeType)}},e.prototype._serializeNode=function(e,t){switch(e.nodeType){case i.NodeType.Element:return this._serializeElement(e,t);case i.NodeType.Document:return this._serializeDocument(e,t);case i.NodeType.Comment:return this._serializeComment(e,t);case i.NodeType.Text:return this._serializeText(e,t);case i.NodeType.DocumentFragment:return this._serializeDocumentFragment(e,t);case i.NodeType.DocumentType:return this._serializeDocumentType(e,t);case i.NodeType.ProcessingInstruction:return this._serializeProcessingInstruction(e,t);case i.NodeType.CData:return this._serializeCData(e,t);default:throw new Error("Unknown node type: "+e.nodeType)}},e.prototype._serializeElementNS=function(t,n,i,a,o){var s,u;if(o&&(-1!==t.localName.indexOf(":")||!c.xml_isName(t.localName)))throw new Error("Node local name contains invalid characters (well-formed required).");var d="<",f="",p=!1,h=!1,m=i.copy(),g={},v=this._recordNamespaceInformation(t,m,g),y=n,b=t.namespaceURI;if(y===b)null!==v&&(h=!0),d+=f=b===l.namespace.XML?"xml:"+t.localName:t.localName;else{var _=t.prefix,x=null;if(null===_&&b===v||(x=m.get(_,b)),"xmlns"===_){if(o)throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");x=_}null!==x?(f=x+":"+t.localName,null!==v&&v!==l.namespace.XML&&(y=v||null),d+=f):null!==_?(_ in g&&(_=this._generatePrefix(b,m,a)),m.set(_,b),d+=f+=_+":"+t.localName,d+=" xmlns:"+_+'="'+this._serializeAttributeValue(b,o)+'"',null!==v&&(y=v||null)):null===v||null!==v&&v!==b?(h=!0,y=b,d+=f+=t.localName,d+=' xmlns="'+this._serializeAttributeValue(b,o)+'"'):(y=b,d+=f+=t.localName)}d+=this._serializeAttributesNS(t,m,a,g,h,o);var w=b===l.namespace.HTML;if(w&&0===t.childNodes.length&&e._VoidElementNames.has(t.localName)?(d+=" /",p=!0):w||0!==t.childNodes.length||(d+="/",p=!0),d+=">",p)return d;if(w&&"template"===t.localName);else try{for(var A=r(t._children||t.childNodes),S=A.next();!S.done;S=A.next()){var T=S.value;d+=this._serializeNodeNS(T,y,m,a,o)}}catch(e){s={error:e}}finally{try{S&&!S.done&&(u=A.return)&&u.call(A)}finally{if(s)throw s.error}}return d+"</"+f+">"},e.prototype._serializeDocumentNS=function(e,t,n,i,a){var o,s;if(a&&null===e.documentElement)throw new Error("Missing document element (well-formed required).");var l="";try{for(var c=r(e._children||e.childNodes),u=c.next();!u.done;u=c.next()){var d=u.value;l+=this._serializeNodeNS(d,t,n,i,a)}}catch(e){o={error:e}}finally{try{u&&!u.done&&(s=c.return)&&s.call(c)}finally{if(o)throw o.error}}return l},e.prototype._serializeComment=function(e,t){if(t&&(!c.xml_isLegalChar(e.data)||-1!==e.data.indexOf("--")||e.data.endsWith("-")))throw new Error("Comment data contains invalid characters (well-formed required).");return"\x3c!--"+e.data+"--\x3e"},e.prototype._serializeText=function(e,t){if(t&&!c.xml_isLegalChar(e.data))throw new Error("Text data contains invalid characters (well-formed required).");for(var n="",r=0;r<e.data.length;r++){var i=e.data[r];n+="&"===i?"&amp;":"<"===i?"&lt;":">"===i?"&gt;":i}return n},e.prototype._serializeDocumentFragmentNS=function(e,t,n,i,a){var o,s,l="";try{for(var c=r(e._children||e.childNodes),u=c.next();!u.done;u=c.next()){var d=u.value;l+=this._serializeNodeNS(d,t,n,i,a)}}catch(e){o={error:e}}finally{try{u&&!u.done&&(s=c.return)&&s.call(c)}finally{if(o)throw o.error}}return l},e.prototype._serializeDocumentType=function(e,t){if(t&&!c.xml_isPubidChar(e.publicId))throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");if(t&&(!c.xml_isLegalChar(e.systemId)||-1!==e.systemId.indexOf('"')&&-1!==e.systemId.indexOf("'")))throw new Error("DocType system identifier contains invalid characters (well-formed required).");return e.publicId&&e.systemId?"<!DOCTYPE "+e.name+' PUBLIC "'+e.publicId+'" "'+e.systemId+'">':e.publicId?"<!DOCTYPE "+e.name+' PUBLIC "'+e.publicId+'">':e.systemId?"<!DOCTYPE "+e.name+' SYSTEM "'+e.systemId+'">':"<!DOCTYPE "+e.name+">"},e.prototype._serializeProcessingInstruction=function(e,t){if(t&&(-1!==e.target.indexOf(":")||/^xml$/i.test(e.target)))throw new Error("Processing instruction target contains invalid characters (well-formed required).");if(t&&(!c.xml_isLegalChar(e.data)||-1!==e.data.indexOf("?>")))throw new Error("Processing instruction data contains invalid characters (well-formed required).");return"<?"+(""===e.data?e.target:e.target+" "+e.data)+"?>"},e.prototype._serializeCData=function(e,t){if(t&&-1!==e.data.indexOf("]]>"))throw new Error("CDATA contains invalid characters (well-formed required).");return"<![CDATA["+e.data+"]]>"},e.prototype._serializeAttributesNS=function(e,t,n,i,o,s){var u,d,f="",p=s?new a.LocalNameSet:void 0;try{for(var h=r(e.attributes),m=h.next();!m.done;m=h.next()){var g=m.value;if(o||s||null!==g.namespaceURI){if(s&&p&&p.has(g.namespaceURI,g.localName))throw new Error("Element contains duplicate attributes (well-formed required).");s&&p&&p.set(g.namespaceURI,g.localName);var v=g.namespaceURI,y=null;if(null!==v)if(y=t.get(g.prefix,v),v===l.namespace.XMLNS){if(g.value===l.namespace.XML||null===g.prefix&&o||null!==g.prefix&&(!(g.localName in i)||i[g.localName]!==g.value)&&t.has(g.localName,g.value))continue;if(s&&g.value===l.namespace.XMLNS)throw new Error("XMLNS namespace is reserved (well-formed required).");if(s&&""===g.value)throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");"xmlns"===g.prefix&&(y="xmlns")}else null===y&&(f+=" xmlns:"+(y=null===g.prefix||t.hasPrefix(g.prefix)&&!t.has(g.prefix,v)?this._generatePrefix(v,t,n):g.prefix)+'="'+this._serializeAttributeValue(v,s)+'"');if(f+=" ",null!==y&&(f+=y+":"),s&&(-1!==g.localName.indexOf(":")||!c.xml_isName(g.localName)||"xmlns"===g.localName&&null===v))throw new Error("Attribute local name contains invalid characters (well-formed required).");f+=g.localName+'="'+this._serializeAttributeValue(g.value,s)+'"'}else f+=" "+g.localName+'="'+this._serializeAttributeValue(g.value,s)+'"'}}catch(e){u={error:e}}finally{try{m&&!m.done&&(d=h.return)&&d.call(h)}finally{if(u)throw u.error}}return f},e.prototype._recordNamespaceInformation=function(e,t,n){var i,a,o=null;try{for(var s=r(e.attributes),c=s.next();!c.done;c=s.next()){var u=c.value,d=u.namespaceURI,f=u.prefix;if(d===l.namespace.XMLNS){if(null===f){o=u.value;continue}var p=u.localName,h=u.value;if(h===l.namespace.XML)continue;if(""===h&&(h=null),t.has(p,h))continue;t.set(p,h),n[p]=h||""}}}catch(e){i={error:e}}finally{try{c&&!c.done&&(a=s.return)&&a.call(s)}finally{if(i)throw i.error}}return o},e.prototype._generatePrefix=function(e,t,n){var r="ns"+n.value;return n.value++,t.set(r,e),r},e.prototype._serializeAttributeValue=function(e,t){if(t&&null!==e&&!c.xml_isLegalChar(e))throw new Error("Invalid characters in attribute value.");if(null===e)return"";for(var n="",r=0;r<e.length;r++){var i=e[r];n+='"'===i?"&quot;":"&"===i?"&amp;":"<"===i?"&lt;":">"===i?"&gt;":i}return n},e.prototype._serializeElement=function(e,t){var n,i;if(t&&(-1!==e.localName.indexOf(":")||!c.xml_isName(e.localName)))throw new Error("Node local name contains invalid characters (well-formed required).");var a=!1,o=e.localName,s="<"+o;if(s+=this._serializeAttributes(e,t),0===e._children.size&&(s+="/",a=!0),s+=">",a)return s;try{for(var l=r(e._children),u=l.next();!u.done;u=l.next()){var d=u.value;s+=this._serializeNode(d,t)}}catch(e){n={error:e}}finally{try{u&&!u.done&&(i=l.return)&&i.call(l)}finally{if(n)throw n.error}}return s+"</"+o+">"},e.prototype._serializeDocument=function(e,t){var n,i;if(t&&null===e.documentElement)throw new Error("Missing document element (well-formed required).");var a="";try{for(var o=r(e._children),s=o.next();!s.done;s=o.next()){var l=s.value;a+=this._serializeNode(l,t)}}catch(e){n={error:e}}finally{try{s&&!s.done&&(i=o.return)&&i.call(o)}finally{if(n)throw n.error}}return a},e.prototype._serializeDocumentFragment=function(e,t){var n,i,a="";try{for(var o=r(e._children),s=o.next();!s.done;s=o.next()){var l=s.value;a+=this._serializeNode(l,t)}}catch(e){n={error:e}}finally{try{s&&!s.done&&(i=o.return)&&i.call(o)}finally{if(n)throw n.error}}return a},e.prototype._serializeAttributes=function(e,t){var n,i,a="",o=t?{}:void 0;try{for(var s=r(e.attributes),l=s.next();!l.done;l=s.next()){var u=l.value;if(t&&o&&u.localName in o)throw new Error("Element contains duplicate attributes (well-formed required).");if(t&&o&&(o[u.localName]=!0),t&&(-1!==u.localName.indexOf(":")||!c.xml_isName(u.localName)))throw new Error("Attribute local name contains invalid characters (well-formed required).");a+=" "+u.localName+'="'+this._serializeAttributeValue(u.value,t)+'"'}}catch(e){n={error:e}}finally{try{l&&!l.done&&(i=s.return)&&i.call(s)}finally{if(n)throw n.error}}return a},e._VoidElementNames=new Set(["area","base","basefont","bgsound","br","col","embed","frame","hr","img","input","keygen","link","menuitem","meta","param","source","track","wbr"]),e}();t.XMLSerializerImpl=u},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(277);t.XMLReader=r.XMLReader;var i=n(112);t.ObjectReader=i.ObjectReader;var a=n(280);t.JSONReader=a.JSONReader;var o=n(281);t.YAMLReader=o.YAMLReader},function(e,t,n){"use strict";n(31),n(32),n(33),n(19),n(65),n(20),n(22),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o},o=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(t,"__esModule",{value:!0});var s=n(180),l=n(111),c=n(7),u=n(0),d=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return i(t,e),t.prototype._parse=function(e,t){for(var n,r,i,d,f=new s.XMLStringLexer(t,{skipWhitespaceOnlyText:!0}),p=e,h=e,m=f.nextToken();m.type!==l.TokenType.EOF;){switch(m.type){case l.TokenType.Declaration:var g=m,v=this.sanitize(g.version);if("1.0"!==v)throw new Error("Invalid xml version: "+v);var y={version:v};g.encoding&&(y.encoding=this.sanitize(g.encoding)),g.standalone&&(y.standalone="yes"===this.sanitize(g.standalone)),h.set(y);break;case l.TokenType.DocType:var b=m;h=this.docType(h,this.sanitize(b.name),this.sanitize(b.pubId),this.sanitize(b.sysId))||h;break;case l.TokenType.CDATA:var _=m;h=this.cdata(h,this.sanitize(_.data))||h;break;case l.TokenType.Comment:var x=m;h=this.comment(h,this.sanitize(x.data))||h;break;case l.TokenType.PI:var w=m;h=this.instruction(h,this.sanitize(w.target),this.sanitize(w.data))||h;break;case l.TokenType.Text:var A=m;h=this.text(h,this._decodeText(this.sanitize(A.data)))||h;break;case l.TokenType.Element:var S=m,T=this.sanitize(S.name),C=a(u.namespace_extractQName(T),1)[0],E=h.node.lookupNamespaceURI(C),M={};try{for(var D=(n=void 0,o(S.attributes)),P=D.next();!P.done;P=D.next()){var I=a(P.value,2),O=I[0],N=I[1];if(O=this.sanitize(O),N=this.sanitize(N),"xmlns"===O)E=N;else{var k=a(u.namespace_extractQName(O),2),R=k[0],L=k[1];"xmlns"===R&&(L===C&&(E=N),M[L]=N)}}}catch(e){n={error:e}}finally{try{P&&!P.done&&(r=D.return)&&r.call(D)}finally{if(n)throw n.error}}var F=null!==E?this.element(h,E,T):this.element(h,void 0,T);if(void 0===F)break;h.node===e.node&&(p=F);try{for(var B=(i=void 0,o(S.attributes)),U=B.next();!U.done;U=B.next()){var V=a(U.value,2);O=V[0],N=V[1],O=this.sanitize(O),N=this.sanitize(N);var G=a(u.namespace_extractQName(O),2),z=(R=G[0],L=G[1],null);"xmlns"===R||null===R&&"xmlns"===L?z=c.namespace.XMLNS:null!==(z=F.node.lookupNamespaceURI(R))&&F.node.isDefaultNamespace(z)?z=null:null===z&&null!==R&&(z=M[R]||null),null!==z?this.attribute(F,z,O,this._decodeAttributeValue(N)):this.attribute(F,void 0,O,this._decodeAttributeValue(N))}}catch(e){i={error:e}}finally{try{U&&!U.done&&(d=B.return)&&d.call(B)}finally{if(i)throw i.error}}S.selfClosing||(h=F);break;case l.TokenType.ClosingTag:h.node.parentNode&&(h=h.up())}m=f.nextToken()}return p},t}(n(75).BaseReader);t.XMLReader=d},function(e,t,n){var r=n(4),i=n(279);r({target:"Object",stat:!0,forced:Object.assign!==i},{assign:i})},function(e,t,n){"use strict";var r=n(16),i=n(8),a=n(61),o=n(85),s=n(79),l=n(27),c=n(41),u=Object.assign,d=Object.defineProperty;e.exports=!u||i((function(){if(r&&1!==u({b:1},u(d({},"a",{enumerable:!0,get:function(){d(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var e={},t={},n=Symbol();return e[n]=7,"abcdefghijklmnopqrst".split("").forEach((function(e){t[e]=e})),7!=u({},e)[n]||"abcdefghijklmnopqrst"!=a(u({},t)).join("")}))?function(e,t){for(var n=l(e),i=arguments.length,u=1,d=o.f,f=s.f;i>u;)for(var p,h=c(arguments[u++]),m=d?a(h).concat(d(h)):a(h),g=m.length,v=0;g>v;)p=m[v++],r&&!f.call(h,p)||(n[p]=h[p]);return n}:u},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(112),o=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return i(t,e),t.prototype._parse=function(e,t){return new a.ObjectReader(this._builderOptions).parse(e,JSON.parse(t))},t}(n(75).BaseReader);t.JSONReader=o},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(112),o=n(75),s=n(282),l=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return i(t,e),t.prototype._parse=function(e,t){var n=s.safeLoad(t);if(void 0===n)throw new Error("Unable to parse YAML document.");return new a.ObjectReader(this._builderOptions).parse(e,n)},t}(o.BaseReader);t.YAMLReader=l},function(e,t,n){"use strict";var r=n(283);e.exports=r},function(e,t,n){"use strict";var r=n(284),i=n(303);function a(e){return function(){throw new Error("Function "+e+" is deprecated and cannot be used.")}}e.exports.Type=n(10),e.exports.Schema=n(39),e.exports.FAILSAFE_SCHEMA=n(113),e.exports.JSON_SCHEMA=n(182),e.exports.CORE_SCHEMA=n(181),e.exports.DEFAULT_SAFE_SCHEMA=n(54),e.exports.DEFAULT_FULL_SCHEMA=n(76),e.exports.load=r.load,e.exports.loadAll=r.loadAll,e.exports.safeLoad=r.safeLoad,e.exports.safeLoadAll=r.safeLoadAll,e.exports.dump=i.dump,e.exports.safeDump=i.safeDump,e.exports.YAMLException=n(53),e.exports.MINIMAL_SCHEMA=n(113),e.exports.SAFE_SCHEMA=n(54),e.exports.DEFAULT_SCHEMA=n(76),e.exports.scan=a("scan"),e.exports.parse=a("parse"),e.exports.compose=a("compose"),e.exports.addConstructor=a("addConstructor")},function(e,t,n){"use strict";var r=n(38),i=n(53),a=n(285),o=n(54),s=n(76),l=Object.prototype.hasOwnProperty,c=/[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/,u=/[\x85\u2028\u2029]/,d=/[,\[\]\{\}]/,f=/^(?:!|!!|![a-z\-]+!)$/i,p=/^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;function h(e){return Object.prototype.toString.call(e)}function m(e){return 10===e||13===e}function g(e){return 9===e||32===e}function v(e){return 9===e||32===e||10===e||13===e}function y(e){return 44===e||91===e||93===e||123===e||125===e}function b(e){var t;return 48<=e&&e<=57?e-48:97<=(t=32|e)&&t<=102?t-97+10:-1}function _(e){return 48===e?"\0":97===e?"":98===e?"\b":116===e||9===e?"\t":110===e?"\n":118===e?"\v":102===e?"\f":114===e?"\r":101===e?"":32===e?" ":34===e?'"':47===e?"/":92===e?"\\":78===e?"":95===e?" ":76===e?"\u2028":80===e?"\u2029":""}function x(e){return e<=65535?String.fromCharCode(e):String.fromCharCode(55296+(e-65536>>10),56320+(e-65536&1023))}for(var w=new Array(256),A=new Array(256),S=0;S<256;S++)w[S]=_(S)?1:0,A[S]=_(S);function T(e,t){this.input=e,this.filename=t.filename||null,this.schema=t.schema||s,this.onWarning=t.onWarning||null,this.legacy=t.legacy||!1,this.json=t.json||!1,this.listener=t.listener||null,this.implicitTypes=this.schema.compiledImplicit,this.typeMap=this.schema.compiledTypeMap,this.length=e.length,this.position=0,this.line=0,this.lineStart=0,this.lineIndent=0,this.documents=[]}function C(e,t){return new i(t,new a(e.filename,e.input,e.position,e.line,e.position-e.lineStart))}function E(e,t){throw C(e,t)}function M(e,t){e.onWarning&&e.onWarning.call(null,C(e,t))}var D={YAML:function(e,t,n){var r,i,a;null!==e.version&&E(e,"duplication of %YAML directive"),1!==n.length&&E(e,"YAML directive accepts exactly one argument"),null===(r=/^([0-9]+)\.([0-9]+)$/.exec(n[0]))&&E(e,"ill-formed argument of the YAML directive"),i=parseInt(r[1],10),a=parseInt(r[2],10),1!==i&&E(e,"unacceptable YAML version of the document"),e.version=n[0],e.checkLineBreaks=a<2,1!==a&&2!==a&&M(e,"unsupported YAML version of the document")},TAG:function(e,t,n){var r,i;2!==n.length&&E(e,"TAG directive accepts exactly two arguments"),r=n[0],i=n[1],f.test(r)||E(e,"ill-formed tag handle (first argument) of the TAG directive"),l.call(e.tagMap,r)&&E(e,'there is a previously declared suffix for "'+r+'" tag handle'),p.test(i)||E(e,"ill-formed tag prefix (second argument) of the TAG directive"),e.tagMap[r]=i}};function P(e,t,n,r){var i,a,o,s;if(t<n){if(s=e.input.slice(t,n),r)for(i=0,a=s.length;i<a;i+=1)9===(o=s.charCodeAt(i))||32<=o&&o<=1114111||E(e,"expected valid JSON character");else c.test(s)&&E(e,"the stream contains non-printable characters");e.result+=s}}function I(e,t,n,i){var a,o,s,c;for(r.isObject(n)||E(e,"cannot merge mappings; the provided source object is unacceptable"),s=0,c=(a=Object.keys(n)).length;s<c;s+=1)o=a[s],l.call(t,o)||(t[o]=n[o],i[o]=!0)}function O(e,t,n,r,i,a,o,s){var c,u;if(Array.isArray(i))for(c=0,u=(i=Array.prototype.slice.call(i)).length;c<u;c+=1)Array.isArray(i[c])&&E(e,"nested arrays are not supported inside keys"),"object"==typeof i&&"[object Object]"===h(i[c])&&(i[c]="[object Object]");if("object"==typeof i&&"[object Object]"===h(i)&&(i="[object Object]"),i=String(i),null===t&&(t={}),"tag:yaml.org,2002:merge"===r)if(Array.isArray(a))for(c=0,u=a.length;c<u;c+=1)I(e,t,a[c],n);else I(e,t,a,n);else e.json||l.call(n,i)||!l.call(t,i)||(e.line=o||e.line,e.position=s||e.position,E(e,"duplicated mapping key")),t[i]=a,delete n[i];return t}function N(e){var t;10===(t=e.input.charCodeAt(e.position))?e.position++:13===t?(e.position++,10===e.input.charCodeAt(e.position)&&e.position++):E(e,"a line break is expected"),e.line+=1,e.lineStart=e.position}function k(e,t,n){for(var r=0,i=e.input.charCodeAt(e.position);0!==i;){for(;g(i);)i=e.input.charCodeAt(++e.position);if(t&&35===i)do{i=e.input.charCodeAt(++e.position)}while(10!==i&&13!==i&&0!==i);if(!m(i))break;for(N(e),i=e.input.charCodeAt(e.position),r++,e.lineIndent=0;32===i;)e.lineIndent++,i=e.input.charCodeAt(++e.position)}return-1!==n&&0!==r&&e.lineIndent<n&&M(e,"deficient indentation"),r}function R(e){var t,n=e.position;return!(45!==(t=e.input.charCodeAt(n))&&46!==t||t!==e.input.charCodeAt(n+1)||t!==e.input.charCodeAt(n+2)||(n+=3,0!==(t=e.input.charCodeAt(n))&&!v(t)))}function L(e,t){1===t?e.result+=" ":t>1&&(e.result+=r.repeat("\n",t-1))}function F(e,t){var n,r,i=e.tag,a=e.anchor,o=[],s=!1;for(null!==e.anchor&&(e.anchorMap[e.anchor]=o),r=e.input.charCodeAt(e.position);0!==r&&45===r&&v(e.input.charCodeAt(e.position+1));)if(s=!0,e.position++,k(e,!0,-1)&&e.lineIndent<=t)o.push(null),r=e.input.charCodeAt(e.position);else if(n=e.line,V(e,t,3,!1,!0),o.push(e.result),k(e,!0,-1),r=e.input.charCodeAt(e.position),(e.line===n||e.lineIndent>t)&&0!==r)E(e,"bad indentation of a sequence entry");else if(e.lineIndent<t)break;return!!s&&(e.tag=i,e.anchor=a,e.kind="sequence",e.result=o,!0)}function B(e){var t,n,r,i,a=!1,o=!1;if(33!==(i=e.input.charCodeAt(e.position)))return!1;if(null!==e.tag&&E(e,"duplication of a tag property"),60===(i=e.input.charCodeAt(++e.position))?(a=!0,i=e.input.charCodeAt(++e.position)):33===i?(o=!0,n="!!",i=e.input.charCodeAt(++e.position)):n="!",t=e.position,a){do{i=e.input.charCodeAt(++e.position)}while(0!==i&&62!==i);e.position<e.length?(r=e.input.slice(t,e.position),i=e.input.charCodeAt(++e.position)):E(e,"unexpected end of the stream within a verbatim tag")}else{for(;0!==i&&!v(i);)33===i&&(o?E(e,"tag suffix cannot contain exclamation marks"):(n=e.input.slice(t-1,e.position+1),f.test(n)||E(e,"named tag handle cannot contain such characters"),o=!0,t=e.position+1)),i=e.input.charCodeAt(++e.position);r=e.input.slice(t,e.position),d.test(r)&&E(e,"tag suffix cannot contain flow indicator characters")}return r&&!p.test(r)&&E(e,"tag name cannot contain such characters: "+r),a?e.tag=r:l.call(e.tagMap,n)?e.tag=e.tagMap[n]+r:"!"===n?e.tag="!"+r:"!!"===n?e.tag="tag:yaml.org,2002:"+r:E(e,'undeclared tag handle "'+n+'"'),!0}function U(e){var t,n;if(38!==(n=e.input.charCodeAt(e.position)))return!1;for(null!==e.anchor&&E(e,"duplication of an anchor property"),n=e.input.charCodeAt(++e.position),t=e.position;0!==n&&!v(n)&&!y(n);)n=e.input.charCodeAt(++e.position);return e.position===t&&E(e,"name of an anchor node must contain at least one character"),e.anchor=e.input.slice(t,e.position),!0}function V(e,t,n,i,a){var o,s,c,u,d,f,p,h,_=1,S=!1,T=!1;if(null!==e.listener&&e.listener("open",e),e.tag=null,e.anchor=null,e.kind=null,e.result=null,o=s=c=4===n||3===n,i&&k(e,!0,-1)&&(S=!0,e.lineIndent>t?_=1:e.lineIndent===t?_=0:e.lineIndent<t&&(_=-1)),1===_)for(;B(e)||U(e);)k(e,!0,-1)?(S=!0,c=o,e.lineIndent>t?_=1:e.lineIndent===t?_=0:e.lineIndent<t&&(_=-1)):c=!1;if(c&&(c=S||a),1!==_&&4!==n||(p=1===n||2===n?t:t+1,h=e.position-e.lineStart,1===_?c&&(F(e,h)||function(e,t,n){var r,i,a,o,s,l=e.tag,c=e.anchor,u={},d={},f=null,p=null,h=null,m=!1,y=!1;for(null!==e.anchor&&(e.anchorMap[e.anchor]=u),s=e.input.charCodeAt(e.position);0!==s;){if(r=e.input.charCodeAt(e.position+1),a=e.line,o=e.position,63!==s&&58!==s||!v(r)){if(!V(e,n,2,!1,!0))break;if(e.line===a){for(s=e.input.charCodeAt(e.position);g(s);)s=e.input.charCodeAt(++e.position);if(58===s)v(s=e.input.charCodeAt(++e.position))||E(e,"a whitespace character is expected after the key-value separator within a block mapping"),m&&(O(e,u,d,f,p,null),f=p=h=null),y=!0,m=!1,i=!1,f=e.tag,p=e.result;else{if(!y)return e.tag=l,e.anchor=c,!0;E(e,"can not read an implicit mapping pair; a colon is missed")}}else{if(!y)return e.tag=l,e.anchor=c,!0;E(e,"can not read a block mapping entry; a multiline key may not be an implicit key")}}else 63===s?(m&&(O(e,u,d,f,p,null),f=p=h=null),y=!0,m=!0,i=!0):m?(m=!1,i=!0):E(e,"incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line"),e.position+=1,s=r;if((e.line===a||e.lineIndent>t)&&(V(e,t,4,!0,i)&&(m?p=e.result:h=e.result),m||(O(e,u,d,f,p,h,a,o),f=p=h=null),k(e,!0,-1),s=e.input.charCodeAt(e.position)),e.lineIndent>t&&0!==s)E(e,"bad indentation of a mapping entry");else if(e.lineIndent<t)break}return m&&O(e,u,d,f,p,null),y&&(e.tag=l,e.anchor=c,e.kind="mapping",e.result=u),y}(e,h,p))||function(e,t){var n,r,i,a,o,s,l,c,u,d,f=!0,p=e.tag,h=e.anchor,m={};if(91===(d=e.input.charCodeAt(e.position)))i=93,s=!1,r=[];else{if(123!==d)return!1;i=125,s=!0,r={}}for(null!==e.anchor&&(e.anchorMap[e.anchor]=r),d=e.input.charCodeAt(++e.position);0!==d;){if(k(e,!0,t),(d=e.input.charCodeAt(e.position))===i)return e.position++,e.tag=p,e.anchor=h,e.kind=s?"mapping":"sequence",e.result=r,!0;f||E(e,"missed comma between flow collection entries"),u=null,a=o=!1,63===d&&v(e.input.charCodeAt(e.position+1))&&(a=o=!0,e.position++,k(e,!0,t)),n=e.line,V(e,t,1,!1,!0),c=e.tag,l=e.result,k(e,!0,t),d=e.input.charCodeAt(e.position),!o&&e.line!==n||58!==d||(a=!0,d=e.input.charCodeAt(++e.position),k(e,!0,t),V(e,t,1,!1,!0),u=e.result),s?O(e,r,m,c,l,u):a?r.push(O(e,null,m,c,l,u)):r.push(l),k(e,!0,t),44===(d=e.input.charCodeAt(e.position))?(f=!0,d=e.input.charCodeAt(++e.position)):f=!1}E(e,"unexpected end of the stream within a flow collection")}(e,p)?T=!0:(s&&function(e,t){var n,i,a,o,s,l=1,c=!1,u=!1,d=t,f=0,p=!1;if(124===(o=e.input.charCodeAt(e.position)))i=!1;else{if(62!==o)return!1;i=!0}for(e.kind="scalar",e.result="";0!==o;)if(43===(o=e.input.charCodeAt(++e.position))||45===o)1===l?l=43===o?3:2:E(e,"repeat of a chomping mode identifier");else{if(!((a=48<=(s=o)&&s<=57?s-48:-1)>=0))break;0===a?E(e,"bad explicit indentation width of a block scalar; it cannot be less than one"):u?E(e,"repeat of an indentation width identifier"):(d=t+a-1,u=!0)}if(g(o)){do{o=e.input.charCodeAt(++e.position)}while(g(o));if(35===o)do{o=e.input.charCodeAt(++e.position)}while(!m(o)&&0!==o)}for(;0!==o;){for(N(e),e.lineIndent=0,o=e.input.charCodeAt(e.position);(!u||e.lineIndent<d)&&32===o;)e.lineIndent++,o=e.input.charCodeAt(++e.position);if(!u&&e.lineIndent>d&&(d=e.lineIndent),m(o))f++;else{if(e.lineIndent<d){3===l?e.result+=r.repeat("\n",c?1+f:f):1===l&&c&&(e.result+="\n");break}for(i?g(o)?(p=!0,e.result+=r.repeat("\n",c?1+f:f)):p?(p=!1,e.result+=r.repeat("\n",f+1)):0===f?c&&(e.result+=" "):e.result+=r.repeat("\n",f):e.result+=r.repeat("\n",c?1+f:f),c=!0,u=!0,f=0,n=e.position;!m(o)&&0!==o;)o=e.input.charCodeAt(++e.position);P(e,n,e.position,!1)}}return!0}(e,p)||function(e,t){var n,r,i;if(39!==(n=e.input.charCodeAt(e.position)))return!1;for(e.kind="scalar",e.result="",e.position++,r=i=e.position;0!==(n=e.input.charCodeAt(e.position));)if(39===n){if(P(e,r,e.position,!0),39!==(n=e.input.charCodeAt(++e.position)))return!0;r=e.position,e.position++,i=e.position}else m(n)?(P(e,r,i,!0),L(e,k(e,!1,t)),r=i=e.position):e.position===e.lineStart&&R(e)?E(e,"unexpected end of the document within a single quoted scalar"):(e.position++,i=e.position);E(e,"unexpected end of the stream within a single quoted scalar")}(e,p)||function(e,t){var n,r,i,a,o,s,l;if(34!==(s=e.input.charCodeAt(e.position)))return!1;for(e.kind="scalar",e.result="",e.position++,n=r=e.position;0!==(s=e.input.charCodeAt(e.position));){if(34===s)return P(e,n,e.position,!0),e.position++,!0;if(92===s){if(P(e,n,e.position,!0),m(s=e.input.charCodeAt(++e.position)))k(e,!1,t);else if(s<256&&w[s])e.result+=A[s],e.position++;else if((o=120===(l=s)?2:117===l?4:85===l?8:0)>0){for(i=o,a=0;i>0;i--)(o=b(s=e.input.charCodeAt(++e.position)))>=0?a=(a<<4)+o:E(e,"expected hexadecimal character");e.result+=x(a),e.position++}else E(e,"unknown escape sequence");n=r=e.position}else m(s)?(P(e,n,r,!0),L(e,k(e,!1,t)),n=r=e.position):e.position===e.lineStart&&R(e)?E(e,"unexpected end of the document within a double quoted scalar"):(e.position++,r=e.position)}E(e,"unexpected end of the stream within a double quoted scalar")}(e,p)?T=!0:function(e){var t,n,r;if(42!==(r=e.input.charCodeAt(e.position)))return!1;for(r=e.input.charCodeAt(++e.position),t=e.position;0!==r&&!v(r)&&!y(r);)r=e.input.charCodeAt(++e.position);return e.position===t&&E(e,"name of an alias node must contain at least one character"),n=e.input.slice(t,e.position),e.anchorMap.hasOwnProperty(n)||E(e,'unidentified alias "'+n+'"'),e.result=e.anchorMap[n],k(e,!0,-1),!0}(e)?(T=!0,null===e.tag&&null===e.anchor||E(e,"alias node should not have any properties")):function(e,t,n){var r,i,a,o,s,l,c,u,d=e.kind,f=e.result;if(v(u=e.input.charCodeAt(e.position))||y(u)||35===u||38===u||42===u||33===u||124===u||62===u||39===u||34===u||37===u||64===u||96===u)return!1;if((63===u||45===u)&&(v(r=e.input.charCodeAt(e.position+1))||n&&y(r)))return!1;for(e.kind="scalar",e.result="",i=a=e.position,o=!1;0!==u;){if(58===u){if(v(r=e.input.charCodeAt(e.position+1))||n&&y(r))break}else if(35===u){if(v(e.input.charCodeAt(e.position-1)))break}else{if(e.position===e.lineStart&&R(e)||n&&y(u))break;if(m(u)){if(s=e.line,l=e.lineStart,c=e.lineIndent,k(e,!1,-1),e.lineIndent>=t){o=!0,u=e.input.charCodeAt(e.position);continue}e.position=a,e.line=s,e.lineStart=l,e.lineIndent=c;break}}o&&(P(e,i,a,!1),L(e,e.line-s),i=a=e.position,o=!1),g(u)||(a=e.position+1),u=e.input.charCodeAt(++e.position)}return P(e,i,a,!1),!!e.result||(e.kind=d,e.result=f,!1)}(e,p,1===n)&&(T=!0,null===e.tag&&(e.tag="?")),null!==e.anchor&&(e.anchorMap[e.anchor]=e.result)):0===_&&(T=c&&F(e,h))),null!==e.tag&&"!"!==e.tag)if("?"===e.tag){for(null!==e.result&&"scalar"!==e.kind&&E(e,'unacceptable node kind for !<?> tag; it should be "scalar", not "'+e.kind+'"'),u=0,d=e.implicitTypes.length;u<d;u+=1)if((f=e.implicitTypes[u]).resolve(e.result)){e.result=f.construct(e.result),e.tag=f.tag,null!==e.anchor&&(e.anchorMap[e.anchor]=e.result);break}}else l.call(e.typeMap[e.kind||"fallback"],e.tag)?(f=e.typeMap[e.kind||"fallback"][e.tag],null!==e.result&&f.kind!==e.kind&&E(e,"unacceptable node kind for !<"+e.tag+'> tag; it should be "'+f.kind+'", not "'+e.kind+'"'),f.resolve(e.result)?(e.result=f.construct(e.result),null!==e.anchor&&(e.anchorMap[e.anchor]=e.result)):E(e,"cannot resolve a node with !<"+e.tag+"> explicit tag")):E(e,"unknown tag !<"+e.tag+">");return null!==e.listener&&e.listener("close",e),null!==e.tag||null!==e.anchor||T}function G(e){var t,n,r,i,a=e.position,o=!1;for(e.version=null,e.checkLineBreaks=e.legacy,e.tagMap={},e.anchorMap={};0!==(i=e.input.charCodeAt(e.position))&&(k(e,!0,-1),i=e.input.charCodeAt(e.position),!(e.lineIndent>0||37!==i));){for(o=!0,i=e.input.charCodeAt(++e.position),t=e.position;0!==i&&!v(i);)i=e.input.charCodeAt(++e.position);for(r=[],(n=e.input.slice(t,e.position)).length<1&&E(e,"directive name must not be less than one character in length");0!==i;){for(;g(i);)i=e.input.charCodeAt(++e.position);if(35===i){do{i=e.input.charCodeAt(++e.position)}while(0!==i&&!m(i));break}if(m(i))break;for(t=e.position;0!==i&&!v(i);)i=e.input.charCodeAt(++e.position);r.push(e.input.slice(t,e.position))}0!==i&&N(e),l.call(D,n)?D[n](e,n,r):M(e,'unknown document directive "'+n+'"')}k(e,!0,-1),0===e.lineIndent&&45===e.input.charCodeAt(e.position)&&45===e.input.charCodeAt(e.position+1)&&45===e.input.charCodeAt(e.position+2)?(e.position+=3,k(e,!0,-1)):o&&E(e,"directives end mark is expected"),V(e,e.lineIndent-1,4,!1,!0),k(e,!0,-1),e.checkLineBreaks&&u.test(e.input.slice(a,e.position))&&M(e,"non-ASCII line breaks are interpreted as content"),e.documents.push(e.result),e.position===e.lineStart&&R(e)?46===e.input.charCodeAt(e.position)&&(e.position+=3,k(e,!0,-1)):e.position<e.length-1&&E(e,"end of the stream or a document separator is expected")}function z(e,t){t=t||{},0!==(e=String(e)).length&&(10!==e.charCodeAt(e.length-1)&&13!==e.charCodeAt(e.length-1)&&(e+="\n"),65279===e.charCodeAt(0)&&(e=e.slice(1)));var n=new T(e,t),r=e.indexOf("\0");for(-1!==r&&(n.position=r,E(n,"null byte is not allowed in input")),n.input+="\0";32===n.input.charCodeAt(n.position);)n.lineIndent+=1,n.position+=1;for(;n.position<n.length-1;)G(n);return n.documents}function j(e,t,n){null!==t&&"object"==typeof t&&void 0===n&&(n=t,t=null);var r=z(e,n);if("function"!=typeof t)return r;for(var i=0,a=r.length;i<a;i+=1)t(r[i])}function W(e,t){var n=z(e,t);if(0!==n.length){if(1===n.length)return n[0];throw new i("expected a single document in the stream, but found more")}}e.exports.loadAll=j,e.exports.load=W,e.exports.safeLoadAll=function(e,t,n){return"object"==typeof t&&null!==t&&void 0===n&&(n=t,t=null),j(e,t,r.extend({schema:o},n))},e.exports.safeLoad=function(e,t){return W(e,r.extend({schema:o},t))}},function(e,t,n){"use strict";var r=n(38);function i(e,t,n,r,i){this.name=e,this.buffer=t,this.position=n,this.line=r,this.column=i}i.prototype.getSnippet=function(e,t){var n,i,a,o,s;if(!this.buffer)return null;for(e=e||4,t=t||75,n="",i=this.position;i>0&&-1==="\0\r\n\u2028\u2029".indexOf(this.buffer.charAt(i-1));)if(i-=1,this.position-i>t/2-1){n=" ... ",i+=5;break}for(a="",o=this.position;o<this.buffer.length&&-1==="\0\r\n\u2028\u2029".indexOf(this.buffer.charAt(o));)if((o+=1)-this.position>t/2-1){a=" ... ",o-=5;break}return s=this.buffer.slice(i,o),r.repeat(" ",e)+n+s+a+"\n"+r.repeat(" ",e+this.position-i+n.length)+"^"},i.prototype.toString=function(e){var t,n="";return this.name&&(n+='in "'+this.name+'" '),n+="at line "+(this.line+1)+", column "+(this.column+1),e||(t=this.getSnippet())&&(n+=":\n"+t),n},e.exports=i},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:str",{kind:"scalar",construct:function(e){return null!==e?e:""}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:seq",{kind:"sequence",construct:function(e){return null!==e?e:[]}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:map",{kind:"mapping",construct:function(e){return null!==e?e:{}}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:null",{kind:"scalar",resolve:function(e){if(null===e)return!0;var t=e.length;return 1===t&&"~"===e||4===t&&("null"===e||"Null"===e||"NULL"===e)},construct:function(){return null},predicate:function(e){return null===e},represent:{canonical:function(){return"~"},lowercase:function(){return"null"},uppercase:function(){return"NULL"},camelcase:function(){return"Null"}},defaultStyle:"lowercase"})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:bool",{kind:"scalar",resolve:function(e){if(null===e)return!1;var t=e.length;return 4===t&&("true"===e||"True"===e||"TRUE"===e)||5===t&&("false"===e||"False"===e||"FALSE"===e)},construct:function(e){return"true"===e||"True"===e||"TRUE"===e},predicate:function(e){return"[object Boolean]"===Object.prototype.toString.call(e)},represent:{lowercase:function(e){return e?"true":"false"},uppercase:function(e){return e?"TRUE":"FALSE"},camelcase:function(e){return e?"True":"False"}},defaultStyle:"lowercase"})},function(e,t,n){"use strict";var r=n(38),i=n(10);function a(e){return 48<=e&&e<=55}function o(e){return 48<=e&&e<=57}e.exports=new i("tag:yaml.org,2002:int",{kind:"scalar",resolve:function(e){if(null===e)return!1;var t,n,r=e.length,i=0,s=!1;if(!r)return!1;if("-"!==(t=e[i])&&"+"!==t||(t=e[++i]),"0"===t){if(i+1===r)return!0;if("b"===(t=e[++i])){for(i++;i<r;i++)if("_"!==(t=e[i])){if("0"!==t&&"1"!==t)return!1;s=!0}return s&&"_"!==t}if("x"===t){for(i++;i<r;i++)if("_"!==(t=e[i])){if(!(48<=(n=e.charCodeAt(i))&&n<=57||65<=n&&n<=70||97<=n&&n<=102))return!1;s=!0}return s&&"_"!==t}for(;i<r;i++)if("_"!==(t=e[i])){if(!a(e.charCodeAt(i)))return!1;s=!0}return s&&"_"!==t}if("_"===t)return!1;for(;i<r;i++)if("_"!==(t=e[i])){if(":"===t)break;if(!o(e.charCodeAt(i)))return!1;s=!0}return!(!s||"_"===t)&&(":"!==t||/^(:[0-5]?[0-9])+$/.test(e.slice(i)))},construct:function(e){var t,n,r=e,i=1,a=[];return-1!==r.indexOf("_")&&(r=r.replace(/_/g,"")),"-"!==(t=r[0])&&"+"!==t||("-"===t&&(i=-1),t=(r=r.slice(1))[0]),"0"===r?0:"0"===t?"b"===r[1]?i*parseInt(r.slice(2),2):"x"===r[1]?i*parseInt(r,16):i*parseInt(r,8):-1!==r.indexOf(":")?(r.split(":").forEach((function(e){a.unshift(parseInt(e,10))})),r=0,n=1,a.forEach((function(e){r+=e*n,n*=60})),i*r):i*parseInt(r,10)},predicate:function(e){return"[object Number]"===Object.prototype.toString.call(e)&&e%1==0&&!r.isNegativeZero(e)},represent:{binary:function(e){return e>=0?"0b"+e.toString(2):"-0b"+e.toString(2).slice(1)},octal:function(e){return e>=0?"0"+e.toString(8):"-0"+e.toString(8).slice(1)},decimal:function(e){return e.toString(10)},hexadecimal:function(e){return e>=0?"0x"+e.toString(16).toUpperCase():"-0x"+e.toString(16).toUpperCase().slice(1)}},defaultStyle:"decimal",styleAliases:{binary:[2,"bin"],octal:[8,"oct"],decimal:[10,"dec"],hexadecimal:[16,"hex"]}})},function(e,t,n){"use strict";var r=n(38),i=n(10),a=new RegExp("^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*|[-+]?\\.(?:inf|Inf|INF)|\\.(?:nan|NaN|NAN))$"),o=/^[-+]?[0-9]+e/;e.exports=new i("tag:yaml.org,2002:float",{kind:"scalar",resolve:function(e){return null!==e&&!(!a.test(e)||"_"===e[e.length-1])},construct:function(e){var t,n,r,i;return n="-"===(t=e.replace(/_/g,"").toLowerCase())[0]?-1:1,i=[],"+-".indexOf(t[0])>=0&&(t=t.slice(1)),".inf"===t?1===n?Number.POSITIVE_INFINITY:Number.NEGATIVE_INFINITY:".nan"===t?NaN:t.indexOf(":")>=0?(t.split(":").forEach((function(e){i.unshift(parseFloat(e,10))})),t=0,r=1,i.forEach((function(e){t+=e*r,r*=60})),n*t):n*parseFloat(t,10)},predicate:function(e){return"[object Number]"===Object.prototype.toString.call(e)&&(e%1!=0||r.isNegativeZero(e))},represent:function(e,t){var n;if(isNaN(e))switch(t){case"lowercase":return".nan";case"uppercase":return".NAN";case"camelcase":return".NaN"}else if(Number.POSITIVE_INFINITY===e)switch(t){case"lowercase":return".inf";case"uppercase":return".INF";case"camelcase":return".Inf"}else if(Number.NEGATIVE_INFINITY===e)switch(t){case"lowercase":return"-.inf";case"uppercase":return"-.INF";case"camelcase":return"-.Inf"}else if(r.isNegativeZero(e))return"-0.0";return n=e.toString(10),o.test(n)?n.replace("e",".e"):n},defaultStyle:"lowercase"})},function(e,t,n){"use strict";var r=n(10),i=new RegExp("^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])$"),a=new RegExp("^([0-9][0-9][0-9][0-9])-([0-9][0-9]?)-([0-9][0-9]?)(?:[Tt]|[ \\t]+)([0-9][0-9]?):([0-9][0-9]):([0-9][0-9])(?:\\.([0-9]*))?(?:[ \\t]*(Z|([-+])([0-9][0-9]?)(?::([0-9][0-9]))?))?$");e.exports=new r("tag:yaml.org,2002:timestamp",{kind:"scalar",resolve:function(e){return null!==e&&(null!==i.exec(e)||null!==a.exec(e))},construct:function(e){var t,n,r,o,s,l,c,u,d=0,f=null;if(null===(t=i.exec(e))&&(t=a.exec(e)),null===t)throw new Error("Date resolve error");if(n=+t[1],r=+t[2]-1,o=+t[3],!t[4])return new Date(Date.UTC(n,r,o));if(s=+t[4],l=+t[5],c=+t[6],t[7]){for(d=t[7].slice(0,3);d.length<3;)d+="0";d=+d}return t[9]&&(f=6e4*(60*+t[10]+ +(t[11]||0)),"-"===t[9]&&(f=-f)),u=new Date(Date.UTC(n,r,o,s,l,c,d)),f&&u.setTime(u.getTime()-f),u},instanceOf:Date,represent:function(e){return e.toISOString()}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:merge",{kind:"scalar",resolve:function(e){return"<<"===e||null===e}})},function(e,t,n){"use strict";var r;try{r=n(145).Buffer}catch(e){}var i=n(10),a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\n\r";e.exports=new i("tag:yaml.org,2002:binary",{kind:"scalar",resolve:function(e){if(null===e)return!1;var t,n,r=0,i=e.length,o=a;for(n=0;n<i;n++)if(!((t=o.indexOf(e.charAt(n)))>64)){if(t<0)return!1;r+=6}return r%8==0},construct:function(e){var t,n,i=e.replace(/[\r\n=]/g,""),o=i.length,s=a,l=0,c=[];for(t=0;t<o;t++)t%4==0&&t&&(c.push(l>>16&255),c.push(l>>8&255),c.push(255&l)),l=l<<6|s.indexOf(i.charAt(t));return 0==(n=o%4*6)?(c.push(l>>16&255),c.push(l>>8&255),c.push(255&l)):18===n?(c.push(l>>10&255),c.push(l>>2&255)):12===n&&c.push(l>>4&255),r?r.from?r.from(c):new r(c):c},predicate:function(e){return r&&r.isBuffer(e)},represent:function(e){var t,n,r="",i=0,o=e.length,s=a;for(t=0;t<o;t++)t%3==0&&t&&(r+=s[i>>18&63],r+=s[i>>12&63],r+=s[i>>6&63],r+=s[63&i]),i=(i<<8)+e[t];return 0==(n=o%3)?(r+=s[i>>18&63],r+=s[i>>12&63],r+=s[i>>6&63],r+=s[63&i]):2===n?(r+=s[i>>10&63],r+=s[i>>4&63],r+=s[i<<2&63],r+=s[64]):1===n&&(r+=s[i>>2&63],r+=s[i<<4&63],r+=s[64],r+=s[64]),r}})},function(e,t,n){"use strict";var r=n(10),i=Object.prototype.hasOwnProperty,a=Object.prototype.toString;e.exports=new r("tag:yaml.org,2002:omap",{kind:"sequence",resolve:function(e){if(null===e)return!0;var t,n,r,o,s,l=[],c=e;for(t=0,n=c.length;t<n;t+=1){if(r=c[t],s=!1,"[object Object]"!==a.call(r))return!1;for(o in r)if(i.call(r,o)){if(s)return!1;s=!0}if(!s)return!1;if(-1!==l.indexOf(o))return!1;l.push(o)}return!0},construct:function(e){return null!==e?e:[]}})},function(e,t,n){"use strict";var r=n(10),i=Object.prototype.toString;e.exports=new r("tag:yaml.org,2002:pairs",{kind:"sequence",resolve:function(e){if(null===e)return!0;var t,n,r,a,o,s=e;for(o=new Array(s.length),t=0,n=s.length;t<n;t+=1){if(r=s[t],"[object Object]"!==i.call(r))return!1;if(1!==(a=Object.keys(r)).length)return!1;o[t]=[a[0],r[a[0]]]}return!0},construct:function(e){if(null===e)return[];var t,n,r,i,a,o=e;for(a=new Array(o.length),t=0,n=o.length;t<n;t+=1)r=o[t],i=Object.keys(r),a[t]=[i[0],r[i[0]]];return a}})},function(e,t,n){"use strict";var r=n(10),i=Object.prototype.hasOwnProperty;e.exports=new r("tag:yaml.org,2002:set",{kind:"mapping",resolve:function(e){if(null===e)return!0;var t,n=e;for(t in n)if(i.call(n,t)&&null!==n[t])return!1;return!0},construct:function(e){return null!==e?e:{}}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:js/undefined",{kind:"scalar",resolve:function(){return!0},construct:function(){},predicate:function(e){return void 0===e},represent:function(){return""}})},function(e,t,n){"use strict";var r=n(10);e.exports=new r("tag:yaml.org,2002:js/regexp",{kind:"scalar",resolve:function(e){if(null===e)return!1;if(0===e.length)return!1;var t=e,n=/\/([gim]*)$/.exec(e),r="";if("/"===t[0]){if(n&&(r=n[1]),r.length>3)return!1;if("/"!==t[t.length-r.length-1])return!1}return!0},construct:function(e){var t=e,n=/\/([gim]*)$/.exec(e),r="";return"/"===t[0]&&(n&&(r=n[1]),t=t.slice(1,t.length-r.length-1)),new RegExp(t,r)},predicate:function(e){return"[object RegExp]"===Object.prototype.toString.call(e)},represent:function(e){var t="/"+e.source+"/";return e.global&&(t+="g"),e.multiline&&(t+="m"),e.ignoreCase&&(t+="i"),t}})},function(e,t,n){"use strict";var r;try{r=n(302)}catch(e){"undefined"!=typeof window&&(r=window.esprima)}var i=n(10);e.exports=new i("tag:yaml.org,2002:js/function",{kind:"scalar",resolve:function(e){if(null===e)return!1;try{var t="("+e+")",n=r.parse(t,{range:!0});return"Program"===n.type&&1===n.body.length&&"ExpressionStatement"===n.body[0].type&&("ArrowFunctionExpression"===n.body[0].expression.type||"FunctionExpression"===n.body[0].expression.type)}catch(e){return!1}},construct:function(e){var t,n="("+e+")",i=r.parse(n,{range:!0}),a=[];if("Program"!==i.type||1!==i.body.length||"ExpressionStatement"!==i.body[0].type||"ArrowFunctionExpression"!==i.body[0].expression.type&&"FunctionExpression"!==i.body[0].expression.type)throw new Error("Failed to resolve function");return i.body[0].expression.params.forEach((function(e){a.push(e.name)})),t=i.body[0].expression.body.range,"BlockStatement"===i.body[0].expression.body.type?new Function(a,n.slice(t[0]+1,t[1]-1)):new Function(a,"return "+n.slice(t[0],t[1]))},predicate:function(e){return"[object Function]"===Object.prototype.toString.call(e)},represent:function(e){return e.toString()}})},function(e,t,n){var r;r=function(){return function(e){var t={};function n(r){if(t[r])return t[r].exports;var i=t[r]={exports:{},id:r,loaded:!1};return e[r].call(i.exports,i,i.exports,n),i.loaded=!0,i.exports}return n.m=e,n.c=t,n.p="",n(0)}([function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(1),i=n(3),a=n(8),o=n(15);function s(e,t,n){var o=null,s=function(e,t){n&&n(e,t),o&&o.visit(e,t)},l="function"==typeof n?s:null,c=!1;if(t){c="boolean"==typeof t.comment&&t.comment;var u="boolean"==typeof t.attachComment&&t.attachComment;(c||u)&&((o=new r.CommentHandler).attach=u,t.comment=!0,l=s)}var d,f=!1;t&&"string"==typeof t.sourceType&&(f="module"===t.sourceType),d=t&&"boolean"==typeof t.jsx&&t.jsx?new i.JSXParser(e,t,l):new a.Parser(e,t,l);var p=f?d.parseModule():d.parseScript();return c&&o&&(p.comments=o.comments),d.config.tokens&&(p.tokens=d.tokens),d.config.tolerant&&(p.errors=d.errorHandler.errors),p}t.parse=s,t.parseModule=function(e,t,n){var r=t||{};return r.sourceType="module",s(e,r,n)},t.parseScript=function(e,t,n){var r=t||{};return r.sourceType="script",s(e,r,n)},t.tokenize=function(e,t,n){var r,i=new o.Tokenizer(e,t);r=[];try{for(;;){var a=i.getNextToken();if(!a)break;n&&(a=n(a)),r.push(a)}}catch(e){i.errorHandler.tolerate(e)}return i.errorHandler.tolerant&&(r.errors=i.errors()),r};var l=n(2);t.Syntax=l.Syntax,t.version="4.0.1"},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2),i=function(){function e(){this.attach=!1,this.comments=[],this.stack=[],this.leading=[],this.trailing=[]}return e.prototype.insertInnerComments=function(e,t){if(e.type===r.Syntax.BlockStatement&&0===e.body.length){for(var n=[],i=this.leading.length-1;i>=0;--i){var a=this.leading[i];t.end.offset>=a.start&&(n.unshift(a.comment),this.leading.splice(i,1),this.trailing.splice(i,1))}n.length&&(e.innerComments=n)}},e.prototype.findTrailingComments=function(e){var t=[];if(this.trailing.length>0){for(var n=this.trailing.length-1;n>=0;--n){var r=this.trailing[n];r.start>=e.end.offset&&t.unshift(r.comment)}return this.trailing.length=0,t}var i=this.stack[this.stack.length-1];if(i&&i.node.trailingComments){var a=i.node.trailingComments[0];a&&a.range[0]>=e.end.offset&&(t=i.node.trailingComments,delete i.node.trailingComments)}return t},e.prototype.findLeadingComments=function(e){for(var t,n=[];this.stack.length>0&&(a=this.stack[this.stack.length-1])&&a.start>=e.start.offset;)t=a.node,this.stack.pop();if(t){for(var r=(t.leadingComments?t.leadingComments.length:0)-1;r>=0;--r){var i=t.leadingComments[r];i.range[1]<=e.start.offset&&(n.unshift(i),t.leadingComments.splice(r,1))}return t.leadingComments&&0===t.leadingComments.length&&delete t.leadingComments,n}for(r=this.leading.length-1;r>=0;--r){var a;(a=this.leading[r]).start<=e.start.offset&&(n.unshift(a.comment),this.leading.splice(r,1))}return n},e.prototype.visitNode=function(e,t){if(!(e.type===r.Syntax.Program&&e.body.length>0)){this.insertInnerComments(e,t);var n=this.findTrailingComments(t),i=this.findLeadingComments(t);i.length>0&&(e.leadingComments=i),n.length>0&&(e.trailingComments=n),this.stack.push({node:e,start:t.start.offset})}},e.prototype.visitComment=function(e,t){var n="L"===e.type[0]?"Line":"Block",r={type:n,value:e.value};if(e.range&&(r.range=e.range),e.loc&&(r.loc=e.loc),this.comments.push(r),this.attach){var i={comment:{type:n,value:e.value,range:[t.start.offset,t.end.offset]},start:t.start.offset};e.loc&&(i.comment.loc=e.loc),e.type=n,this.leading.push(i),this.trailing.push(i)}},e.prototype.visit=function(e,t){"LineComment"===e.type||"BlockComment"===e.type?this.visitComment(e,t):this.attach&&this.visitNode(e,t)},e}();t.CommentHandler=i},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Syntax={AssignmentExpression:"AssignmentExpression",AssignmentPattern:"AssignmentPattern",ArrayExpression:"ArrayExpression",ArrayPattern:"ArrayPattern",ArrowFunctionExpression:"ArrowFunctionExpression",AwaitExpression:"AwaitExpression",BlockStatement:"BlockStatement",BinaryExpression:"BinaryExpression",BreakStatement:"BreakStatement",CallExpression:"CallExpression",CatchClause:"CatchClause",ClassBody:"ClassBody",ClassDeclaration:"ClassDeclaration",ClassExpression:"ClassExpression",ConditionalExpression:"ConditionalExpression",ContinueStatement:"ContinueStatement",DoWhileStatement:"DoWhileStatement",DebuggerStatement:"DebuggerStatement",EmptyStatement:"EmptyStatement",ExportAllDeclaration:"ExportAllDeclaration",ExportDefaultDeclaration:"ExportDefaultDeclaration",ExportNamedDeclaration:"ExportNamedDeclaration",ExportSpecifier:"ExportSpecifier",ExpressionStatement:"ExpressionStatement",ForStatement:"ForStatement",ForOfStatement:"ForOfStatement",ForInStatement:"ForInStatement",FunctionDeclaration:"FunctionDeclaration",FunctionExpression:"FunctionExpression",Identifier:"Identifier",IfStatement:"IfStatement",ImportDeclaration:"ImportDeclaration",ImportDefaultSpecifier:"ImportDefaultSpecifier",ImportNamespaceSpecifier:"ImportNamespaceSpecifier",ImportSpecifier:"ImportSpecifier",Literal:"Literal",LabeledStatement:"LabeledStatement",LogicalExpression:"LogicalExpression",MemberExpression:"MemberExpression",MetaProperty:"MetaProperty",MethodDefinition:"MethodDefinition",NewExpression:"NewExpression",ObjectExpression:"ObjectExpression",ObjectPattern:"ObjectPattern",Program:"Program",Property:"Property",RestElement:"RestElement",ReturnStatement:"ReturnStatement",SequenceExpression:"SequenceExpression",SpreadElement:"SpreadElement",Super:"Super",SwitchCase:"SwitchCase",SwitchStatement:"SwitchStatement",TaggedTemplateExpression:"TaggedTemplateExpression",TemplateElement:"TemplateElement",TemplateLiteral:"TemplateLiteral",ThisExpression:"ThisExpression",ThrowStatement:"ThrowStatement",TryStatement:"TryStatement",UnaryExpression:"UnaryExpression",UpdateExpression:"UpdateExpression",VariableDeclaration:"VariableDeclaration",VariableDeclarator:"VariableDeclarator",WhileStatement:"WhileStatement",WithStatement:"WithStatement",YieldExpression:"YieldExpression"}},function(e,t,n){"use strict";var r,i=this&&this.__extends||(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=n(4),o=n(5),s=n(6),l=n(7),c=n(8),u=n(13),d=n(14);function f(e){var t;switch(e.type){case s.JSXSyntax.JSXIdentifier:t=e.name;break;case s.JSXSyntax.JSXNamespacedName:var n=e;t=f(n.namespace)+":"+f(n.name);break;case s.JSXSyntax.JSXMemberExpression:var r=e;t=f(r.object)+"."+f(r.property)}return t}u.TokenName[100]="JSXIdentifier",u.TokenName[101]="JSXText";var p=function(e){function t(t,n,r){return e.call(this,t,n,r)||this}return i(t,e),t.prototype.parsePrimaryExpression=function(){return this.match("<")?this.parseJSXRoot():e.prototype.parsePrimaryExpression.call(this)},t.prototype.startJSX=function(){this.scanner.index=this.startMarker.index,this.scanner.lineNumber=this.startMarker.line,this.scanner.lineStart=this.startMarker.index-this.startMarker.column},t.prototype.finishJSX=function(){this.nextToken()},t.prototype.reenterJSX=function(){this.startJSX(),this.expectJSX("}"),this.config.tokens&&this.tokens.pop()},t.prototype.createJSXNode=function(){return this.collectComments(),{index:this.scanner.index,line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart}},t.prototype.createJSXChildNode=function(){return{index:this.scanner.index,line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart}},t.prototype.scanXHTMLEntity=function(e){for(var t="&",n=!0,r=!1,i=!1,o=!1;!this.scanner.eof()&&n&&!r;){var s=this.scanner.source[this.scanner.index];if(s===e)break;if(r=";"===s,t+=s,++this.scanner.index,!r)switch(t.length){case 2:i="#"===s;break;case 3:i&&(n=(o="x"===s)||a.Character.isDecimalDigit(s.charCodeAt(0)),i=i&&!o);break;default:n=(n=n&&!(i&&!a.Character.isDecimalDigit(s.charCodeAt(0))))&&!(o&&!a.Character.isHexDigit(s.charCodeAt(0)))}}if(n&&r&&t.length>2){var l=t.substr(1,t.length-2);i&&l.length>1?t=String.fromCharCode(parseInt(l.substr(1),10)):o&&l.length>2?t=String.fromCharCode(parseInt("0"+l.substr(1),16)):i||o||!d.XHTMLEntities[l]||(t=d.XHTMLEntities[l])}return t},t.prototype.lexJSX=function(){var e=this.scanner.source.charCodeAt(this.scanner.index);if(60===e||62===e||47===e||58===e||61===e||123===e||125===e)return{type:7,value:s=this.scanner.source[this.scanner.index++],lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:this.scanner.index-1,end:this.scanner.index};if(34===e||39===e){for(var t=this.scanner.index,n=this.scanner.source[this.scanner.index++],r="";!this.scanner.eof()&&(l=this.scanner.source[this.scanner.index++])!==n;)r+="&"===l?this.scanXHTMLEntity(n):l;return{type:8,value:r,lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:t,end:this.scanner.index}}if(46===e){var i=this.scanner.source.charCodeAt(this.scanner.index+1),o=this.scanner.source.charCodeAt(this.scanner.index+2),s=46===i&&46===o?"...":".";return t=this.scanner.index,this.scanner.index+=s.length,{type:7,value:s,lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:t,end:this.scanner.index}}if(96===e)return{type:10,value:"",lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:this.scanner.index,end:this.scanner.index};if(a.Character.isIdentifierStart(e)&&92!==e){for(t=this.scanner.index,++this.scanner.index;!this.scanner.eof();){var l=this.scanner.source.charCodeAt(this.scanner.index);if(a.Character.isIdentifierPart(l)&&92!==l)++this.scanner.index;else{if(45!==l)break;++this.scanner.index}}return{type:100,value:this.scanner.source.slice(t,this.scanner.index),lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:t,end:this.scanner.index}}return this.scanner.lex()},t.prototype.nextJSXToken=function(){this.collectComments(),this.startMarker.index=this.scanner.index,this.startMarker.line=this.scanner.lineNumber,this.startMarker.column=this.scanner.index-this.scanner.lineStart;var e=this.lexJSX();return this.lastMarker.index=this.scanner.index,this.lastMarker.line=this.scanner.lineNumber,this.lastMarker.column=this.scanner.index-this.scanner.lineStart,this.config.tokens&&this.tokens.push(this.convertToken(e)),e},t.prototype.nextJSXText=function(){this.startMarker.index=this.scanner.index,this.startMarker.line=this.scanner.lineNumber,this.startMarker.column=this.scanner.index-this.scanner.lineStart;for(var e=this.scanner.index,t="";!this.scanner.eof();){var n=this.scanner.source[this.scanner.index];if("{"===n||"<"===n)break;++this.scanner.index,t+=n,a.Character.isLineTerminator(n.charCodeAt(0))&&(++this.scanner.lineNumber,"\r"===n&&"\n"===this.scanner.source[this.scanner.index]&&++this.scanner.index,this.scanner.lineStart=this.scanner.index)}this.lastMarker.index=this.scanner.index,this.lastMarker.line=this.scanner.lineNumber,this.lastMarker.column=this.scanner.index-this.scanner.lineStart;var r={type:101,value:t,lineNumber:this.scanner.lineNumber,lineStart:this.scanner.lineStart,start:e,end:this.scanner.index};return t.length>0&&this.config.tokens&&this.tokens.push(this.convertToken(r)),r},t.prototype.peekJSXToken=function(){var e=this.scanner.saveState();this.scanner.scanComments();var t=this.lexJSX();return this.scanner.restoreState(e),t},t.prototype.expectJSX=function(e){var t=this.nextJSXToken();7===t.type&&t.value===e||this.throwUnexpectedToken(t)},t.prototype.matchJSX=function(e){var t=this.peekJSXToken();return 7===t.type&&t.value===e},t.prototype.parseJSXIdentifier=function(){var e=this.createJSXNode(),t=this.nextJSXToken();return 100!==t.type&&this.throwUnexpectedToken(t),this.finalize(e,new o.JSXIdentifier(t.value))},t.prototype.parseJSXElementName=function(){var e=this.createJSXNode(),t=this.parseJSXIdentifier();if(this.matchJSX(":")){var n=t;this.expectJSX(":");var r=this.parseJSXIdentifier();t=this.finalize(e,new o.JSXNamespacedName(n,r))}else if(this.matchJSX("."))for(;this.matchJSX(".");){var i=t;this.expectJSX(".");var a=this.parseJSXIdentifier();t=this.finalize(e,new o.JSXMemberExpression(i,a))}return t},t.prototype.parseJSXAttributeName=function(){var e,t=this.createJSXNode(),n=this.parseJSXIdentifier();if(this.matchJSX(":")){var r=n;this.expectJSX(":");var i=this.parseJSXIdentifier();e=this.finalize(t,new o.JSXNamespacedName(r,i))}else e=n;return e},t.prototype.parseJSXStringLiteralAttribute=function(){var e=this.createJSXNode(),t=this.nextJSXToken();8!==t.type&&this.throwUnexpectedToken(t);var n=this.getTokenRaw(t);return this.finalize(e,new l.Literal(t.value,n))},t.prototype.parseJSXExpressionAttribute=function(){var e=this.createJSXNode();this.expectJSX("{"),this.finishJSX(),this.match("}")&&this.tolerateError("JSX attributes must only be assigned a non-empty expression");var t=this.parseAssignmentExpression();return this.reenterJSX(),this.finalize(e,new o.JSXExpressionContainer(t))},t.prototype.parseJSXAttributeValue=function(){return this.matchJSX("{")?this.parseJSXExpressionAttribute():this.matchJSX("<")?this.parseJSXElement():this.parseJSXStringLiteralAttribute()},t.prototype.parseJSXNameValueAttribute=function(){var e=this.createJSXNode(),t=this.parseJSXAttributeName(),n=null;return this.matchJSX("=")&&(this.expectJSX("="),n=this.parseJSXAttributeValue()),this.finalize(e,new o.JSXAttribute(t,n))},t.prototype.parseJSXSpreadAttribute=function(){var e=this.createJSXNode();this.expectJSX("{"),this.expectJSX("..."),this.finishJSX();var t=this.parseAssignmentExpression();return this.reenterJSX(),this.finalize(e,new o.JSXSpreadAttribute(t))},t.prototype.parseJSXAttributes=function(){for(var e=[];!this.matchJSX("/")&&!this.matchJSX(">");){var t=this.matchJSX("{")?this.parseJSXSpreadAttribute():this.parseJSXNameValueAttribute();e.push(t)}return e},t.prototype.parseJSXOpeningElement=function(){var e=this.createJSXNode();this.expectJSX("<");var t=this.parseJSXElementName(),n=this.parseJSXAttributes(),r=this.matchJSX("/");return r&&this.expectJSX("/"),this.expectJSX(">"),this.finalize(e,new o.JSXOpeningElement(t,r,n))},t.prototype.parseJSXBoundaryElement=function(){var e=this.createJSXNode();if(this.expectJSX("<"),this.matchJSX("/")){this.expectJSX("/");var t=this.parseJSXElementName();return this.expectJSX(">"),this.finalize(e,new o.JSXClosingElement(t))}var n=this.parseJSXElementName(),r=this.parseJSXAttributes(),i=this.matchJSX("/");return i&&this.expectJSX("/"),this.expectJSX(">"),this.finalize(e,new o.JSXOpeningElement(n,i,r))},t.prototype.parseJSXEmptyExpression=function(){var e=this.createJSXChildNode();return this.collectComments(),this.lastMarker.index=this.scanner.index,this.lastMarker.line=this.scanner.lineNumber,this.lastMarker.column=this.scanner.index-this.scanner.lineStart,this.finalize(e,new o.JSXEmptyExpression)},t.prototype.parseJSXExpressionContainer=function(){var e,t=this.createJSXNode();return this.expectJSX("{"),this.matchJSX("}")?(e=this.parseJSXEmptyExpression(),this.expectJSX("}")):(this.finishJSX(),e=this.parseAssignmentExpression(),this.reenterJSX()),this.finalize(t,new o.JSXExpressionContainer(e))},t.prototype.parseJSXChildren=function(){for(var e=[];!this.scanner.eof();){var t=this.createJSXChildNode(),n=this.nextJSXText();if(n.start<n.end){var r=this.getTokenRaw(n),i=this.finalize(t,new o.JSXText(n.value,r));e.push(i)}if("{"!==this.scanner.source[this.scanner.index])break;var a=this.parseJSXExpressionContainer();e.push(a)}return e},t.prototype.parseComplexJSXElement=function(e){for(var t=[];!this.scanner.eof();){e.children=e.children.concat(this.parseJSXChildren());var n=this.createJSXChildNode(),r=this.parseJSXBoundaryElement();if(r.type===s.JSXSyntax.JSXOpeningElement){var i=r;if(i.selfClosing){var a=this.finalize(n,new o.JSXElement(i,[],null));e.children.push(a)}else t.push(e),e={node:n,opening:i,closing:null,children:[]}}if(r.type===s.JSXSyntax.JSXClosingElement){e.closing=r;var l=f(e.opening.name);if(l!==f(e.closing.name)&&this.tolerateError("Expected corresponding JSX closing tag for %0",l),!(t.length>0))break;a=this.finalize(e.node,new o.JSXElement(e.opening,e.children,e.closing)),(e=t[t.length-1]).children.push(a),t.pop()}}return e},t.prototype.parseJSXElement=function(){var e=this.createJSXNode(),t=this.parseJSXOpeningElement(),n=[],r=null;if(!t.selfClosing){var i=this.parseComplexJSXElement({node:e,opening:t,closing:r,children:n});n=i.children,r=i.closing}return this.finalize(e,new o.JSXElement(t,n,r))},t.prototype.parseJSXRoot=function(){this.config.tokens&&this.tokens.pop(),this.startJSX();var e=this.parseJSXElement();return this.finishJSX(),e},t.prototype.isStartOfExpression=function(){return e.prototype.isStartOfExpression.call(this)||this.match("<")},t}(c.Parser);t.JSXParser=p},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n={NonAsciiIdentifierStart:/[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE80-\uDEAA\uDF00-\uDF19]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]/,NonAsciiIdentifierPart:/[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B4\u08E3-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0AF9\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58-\u0C5A\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D5F-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AD\uA7B0-\uA7B7\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA8FD\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDCE0-\uDCF2\uDCF4\uDCF5\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDCA-\uDDCC\uDDD0-\uDDDA\uDDDC\uDE00-\uDE11\uDE13-\uDE37\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF00-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF50\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDDD8-\uDDDD\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9\uDF00-\uDF19\uDF1D-\uDF2B\uDF30-\uDF39]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD836[\uDE00-\uDE36\uDE3B-\uDE6C\uDE75\uDE84\uDE9B-\uDE9F\uDEA1-\uDEAF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/};t.Character={fromCodePoint:function(e){return e<65536?String.fromCharCode(e):String.fromCharCode(55296+(e-65536>>10))+String.fromCharCode(56320+(e-65536&1023))},isWhiteSpace:function(e){return 32===e||9===e||11===e||12===e||160===e||e>=5760&&[5760,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8239,8287,12288,65279].indexOf(e)>=0},isLineTerminator:function(e){return 10===e||13===e||8232===e||8233===e},isIdentifierStart:function(e){return 36===e||95===e||e>=65&&e<=90||e>=97&&e<=122||92===e||e>=128&&n.NonAsciiIdentifierStart.test(t.Character.fromCodePoint(e))},isIdentifierPart:function(e){return 36===e||95===e||e>=65&&e<=90||e>=97&&e<=122||e>=48&&e<=57||92===e||e>=128&&n.NonAsciiIdentifierPart.test(t.Character.fromCodePoint(e))},isDecimalDigit:function(e){return e>=48&&e<=57},isHexDigit:function(e){return e>=48&&e<=57||e>=65&&e<=70||e>=97&&e<=102},isOctalDigit:function(e){return e>=48&&e<=55}}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(6);t.JSXClosingElement=function(e){this.type=r.JSXSyntax.JSXClosingElement,this.name=e};t.JSXElement=function(e,t,n){this.type=r.JSXSyntax.JSXElement,this.openingElement=e,this.children=t,this.closingElement=n};t.JSXEmptyExpression=function(){this.type=r.JSXSyntax.JSXEmptyExpression};t.JSXExpressionContainer=function(e){this.type=r.JSXSyntax.JSXExpressionContainer,this.expression=e};t.JSXIdentifier=function(e){this.type=r.JSXSyntax.JSXIdentifier,this.name=e};t.JSXMemberExpression=function(e,t){this.type=r.JSXSyntax.JSXMemberExpression,this.object=e,this.property=t};t.JSXAttribute=function(e,t){this.type=r.JSXSyntax.JSXAttribute,this.name=e,this.value=t};t.JSXNamespacedName=function(e,t){this.type=r.JSXSyntax.JSXNamespacedName,this.namespace=e,this.name=t};t.JSXOpeningElement=function(e,t,n){this.type=r.JSXSyntax.JSXOpeningElement,this.name=e,this.selfClosing=t,this.attributes=n};t.JSXSpreadAttribute=function(e){this.type=r.JSXSyntax.JSXSpreadAttribute,this.argument=e};t.JSXText=function(e,t){this.type=r.JSXSyntax.JSXText,this.value=e,this.raw=t}},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.JSXSyntax={JSXAttribute:"JSXAttribute",JSXClosingElement:"JSXClosingElement",JSXElement:"JSXElement",JSXEmptyExpression:"JSXEmptyExpression",JSXExpressionContainer:"JSXExpressionContainer",JSXIdentifier:"JSXIdentifier",JSXMemberExpression:"JSXMemberExpression",JSXNamespacedName:"JSXNamespacedName",JSXOpeningElement:"JSXOpeningElement",JSXSpreadAttribute:"JSXSpreadAttribute",JSXText:"JSXText"}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(2);t.ArrayExpression=function(e){this.type=r.Syntax.ArrayExpression,this.elements=e};t.ArrayPattern=function(e){this.type=r.Syntax.ArrayPattern,this.elements=e};t.ArrowFunctionExpression=function(e,t,n){this.type=r.Syntax.ArrowFunctionExpression,this.id=null,this.params=e,this.body=t,this.generator=!1,this.expression=n,this.async=!1};t.AssignmentExpression=function(e,t,n){this.type=r.Syntax.AssignmentExpression,this.operator=e,this.left=t,this.right=n};t.AssignmentPattern=function(e,t){this.type=r.Syntax.AssignmentPattern,this.left=e,this.right=t};t.AsyncArrowFunctionExpression=function(e,t,n){this.type=r.Syntax.ArrowFunctionExpression,this.id=null,this.params=e,this.body=t,this.generator=!1,this.expression=n,this.async=!0};t.AsyncFunctionDeclaration=function(e,t,n){this.type=r.Syntax.FunctionDeclaration,this.id=e,this.params=t,this.body=n,this.generator=!1,this.expression=!1,this.async=!0};t.AsyncFunctionExpression=function(e,t,n){this.type=r.Syntax.FunctionExpression,this.id=e,this.params=t,this.body=n,this.generator=!1,this.expression=!1,this.async=!0};t.AwaitExpression=function(e){this.type=r.Syntax.AwaitExpression,this.argument=e};t.BinaryExpression=function(e,t,n){var i="||"===e||"&&"===e;this.type=i?r.Syntax.LogicalExpression:r.Syntax.BinaryExpression,this.operator=e,this.left=t,this.right=n};t.BlockStatement=function(e){this.type=r.Syntax.BlockStatement,this.body=e};t.BreakStatement=function(e){this.type=r.Syntax.BreakStatement,this.label=e};t.CallExpression=function(e,t){this.type=r.Syntax.CallExpression,this.callee=e,this.arguments=t};t.CatchClause=function(e,t){this.type=r.Syntax.CatchClause,this.param=e,this.body=t};t.ClassBody=function(e){this.type=r.Syntax.ClassBody,this.body=e};t.ClassDeclaration=function(e,t,n){this.type=r.Syntax.ClassDeclaration,this.id=e,this.superClass=t,this.body=n};t.ClassExpression=function(e,t,n){this.type=r.Syntax.ClassExpression,this.id=e,this.superClass=t,this.body=n};t.ComputedMemberExpression=function(e,t){this.type=r.Syntax.MemberExpression,this.computed=!0,this.object=e,this.property=t};t.ConditionalExpression=function(e,t,n){this.type=r.Syntax.ConditionalExpression,this.test=e,this.consequent=t,this.alternate=n};t.ContinueStatement=function(e){this.type=r.Syntax.ContinueStatement,this.label=e};t.DebuggerStatement=function(){this.type=r.Syntax.DebuggerStatement};t.Directive=function(e,t){this.type=r.Syntax.ExpressionStatement,this.expression=e,this.directive=t};t.DoWhileStatement=function(e,t){this.type=r.Syntax.DoWhileStatement,this.body=e,this.test=t};t.EmptyStatement=function(){this.type=r.Syntax.EmptyStatement};t.ExportAllDeclaration=function(e){this.type=r.Syntax.ExportAllDeclaration,this.source=e};t.ExportDefaultDeclaration=function(e){this.type=r.Syntax.ExportDefaultDeclaration,this.declaration=e};t.ExportNamedDeclaration=function(e,t,n){this.type=r.Syntax.ExportNamedDeclaration,this.declaration=e,this.specifiers=t,this.source=n};t.ExportSpecifier=function(e,t){this.type=r.Syntax.ExportSpecifier,this.exported=t,this.local=e};t.ExpressionStatement=function(e){this.type=r.Syntax.ExpressionStatement,this.expression=e};t.ForInStatement=function(e,t,n){this.type=r.Syntax.ForInStatement,this.left=e,this.right=t,this.body=n,this.each=!1};t.ForOfStatement=function(e,t,n){this.type=r.Syntax.ForOfStatement,this.left=e,this.right=t,this.body=n};t.ForStatement=function(e,t,n,i){this.type=r.Syntax.ForStatement,this.init=e,this.test=t,this.update=n,this.body=i};t.FunctionDeclaration=function(e,t,n,i){this.type=r.Syntax.FunctionDeclaration,this.id=e,this.params=t,this.body=n,this.generator=i,this.expression=!1,this.async=!1};t.FunctionExpression=function(e,t,n,i){this.type=r.Syntax.FunctionExpression,this.id=e,this.params=t,this.body=n,this.generator=i,this.expression=!1,this.async=!1};t.Identifier=function(e){this.type=r.Syntax.Identifier,this.name=e};t.IfStatement=function(e,t,n){this.type=r.Syntax.IfStatement,this.test=e,this.consequent=t,this.alternate=n};t.ImportDeclaration=function(e,t){this.type=r.Syntax.ImportDeclaration,this.specifiers=e,this.source=t};t.ImportDefaultSpecifier=function(e){this.type=r.Syntax.ImportDefaultSpecifier,this.local=e};t.ImportNamespaceSpecifier=function(e){this.type=r.Syntax.ImportNamespaceSpecifier,this.local=e};t.ImportSpecifier=function(e,t){this.type=r.Syntax.ImportSpecifier,this.local=e,this.imported=t};t.LabeledStatement=function(e,t){this.type=r.Syntax.LabeledStatement,this.label=e,this.body=t};t.Literal=function(e,t){this.type=r.Syntax.Literal,this.value=e,this.raw=t};t.MetaProperty=function(e,t){this.type=r.Syntax.MetaProperty,this.meta=e,this.property=t};t.MethodDefinition=function(e,t,n,i,a){this.type=r.Syntax.MethodDefinition,this.key=e,this.computed=t,this.value=n,this.kind=i,this.static=a};t.Module=function(e){this.type=r.Syntax.Program,this.body=e,this.sourceType="module"};t.NewExpression=function(e,t){this.type=r.Syntax.NewExpression,this.callee=e,this.arguments=t};t.ObjectExpression=function(e){this.type=r.Syntax.ObjectExpression,this.properties=e};t.ObjectPattern=function(e){this.type=r.Syntax.ObjectPattern,this.properties=e};t.Property=function(e,t,n,i,a,o){this.type=r.Syntax.Property,this.key=t,this.computed=n,this.value=i,this.kind=e,this.method=a,this.shorthand=o};t.RegexLiteral=function(e,t,n,i){this.type=r.Syntax.Literal,this.value=e,this.raw=t,this.regex={pattern:n,flags:i}};t.RestElement=function(e){this.type=r.Syntax.RestElement,this.argument=e};t.ReturnStatement=function(e){this.type=r.Syntax.ReturnStatement,this.argument=e};t.Script=function(e){this.type=r.Syntax.Program,this.body=e,this.sourceType="script"};t.SequenceExpression=function(e){this.type=r.Syntax.SequenceExpression,this.expressions=e};t.SpreadElement=function(e){this.type=r.Syntax.SpreadElement,this.argument=e};t.StaticMemberExpression=function(e,t){this.type=r.Syntax.MemberExpression,this.computed=!1,this.object=e,this.property=t};t.Super=function(){this.type=r.Syntax.Super};t.SwitchCase=function(e,t){this.type=r.Syntax.SwitchCase,this.test=e,this.consequent=t};t.SwitchStatement=function(e,t){this.type=r.Syntax.SwitchStatement,this.discriminant=e,this.cases=t};t.TaggedTemplateExpression=function(e,t){this.type=r.Syntax.TaggedTemplateExpression,this.tag=e,this.quasi=t};t.TemplateElement=function(e,t){this.type=r.Syntax.TemplateElement,this.value=e,this.tail=t};t.TemplateLiteral=function(e,t){this.type=r.Syntax.TemplateLiteral,this.quasis=e,this.expressions=t};t.ThisExpression=function(){this.type=r.Syntax.ThisExpression};t.ThrowStatement=function(e){this.type=r.Syntax.ThrowStatement,this.argument=e};t.TryStatement=function(e,t,n){this.type=r.Syntax.TryStatement,this.block=e,this.handler=t,this.finalizer=n};t.UnaryExpression=function(e,t){this.type=r.Syntax.UnaryExpression,this.operator=e,this.argument=t,this.prefix=!0};t.UpdateExpression=function(e,t,n){this.type=r.Syntax.UpdateExpression,this.operator=e,this.argument=t,this.prefix=n};t.VariableDeclaration=function(e,t){this.type=r.Syntax.VariableDeclaration,this.declarations=e,this.kind=t};t.VariableDeclarator=function(e,t){this.type=r.Syntax.VariableDeclarator,this.id=e,this.init=t};t.WhileStatement=function(e,t){this.type=r.Syntax.WhileStatement,this.test=e,this.body=t};t.WithStatement=function(e,t){this.type=r.Syntax.WithStatement,this.object=e,this.body=t};t.YieldExpression=function(e,t){this.type=r.Syntax.YieldExpression,this.argument=e,this.delegate=t}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(9),i=n(10),a=n(11),o=n(7),s=n(12),l=n(2),c=n(13),u=function(){function e(e,t,n){void 0===t&&(t={}),this.config={range:"boolean"==typeof t.range&&t.range,loc:"boolean"==typeof t.loc&&t.loc,source:null,tokens:"boolean"==typeof t.tokens&&t.tokens,comment:"boolean"==typeof t.comment&&t.comment,tolerant:"boolean"==typeof t.tolerant&&t.tolerant},this.config.loc&&t.source&&null!==t.source&&(this.config.source=String(t.source)),this.delegate=n,this.errorHandler=new i.ErrorHandler,this.errorHandler.tolerant=this.config.tolerant,this.scanner=new s.Scanner(e,this.errorHandler),this.scanner.trackComment=this.config.comment,this.operatorPrecedence={")":0,";":0,",":0,"=":0,"]":0,"||":1,"&&":2,"|":3,"^":4,"&":5,"==":6,"!=":6,"===":6,"!==":6,"<":7,">":7,"<=":7,">=":7,"<<":8,">>":8,">>>":8,"+":9,"-":9,"*":11,"/":11,"%":11},this.lookahead={type:2,value:"",lineNumber:this.scanner.lineNumber,lineStart:0,start:0,end:0},this.hasLineTerminator=!1,this.context={isModule:!1,await:!1,allowIn:!0,allowStrictDirective:!0,allowYield:!0,firstCoverInitializedNameError:null,isAssignmentTarget:!1,isBindingElement:!1,inFunctionBody:!1,inIteration:!1,inSwitch:!1,labelSet:{},strict:!1},this.tokens=[],this.startMarker={index:0,line:this.scanner.lineNumber,column:0},this.lastMarker={index:0,line:this.scanner.lineNumber,column:0},this.nextToken(),this.lastMarker={index:this.scanner.index,line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart}}return e.prototype.throwError=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=Array.prototype.slice.call(arguments,1),a=e.replace(/%(\d)/g,(function(e,t){return r.assert(t<i.length,"Message reference must be in range"),i[t]})),o=this.lastMarker.index,s=this.lastMarker.line,l=this.lastMarker.column+1;throw this.errorHandler.createError(o,s,l,a)},e.prototype.tolerateError=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=Array.prototype.slice.call(arguments,1),a=e.replace(/%(\d)/g,(function(e,t){return r.assert(t<i.length,"Message reference must be in range"),i[t]})),o=this.lastMarker.index,s=this.scanner.lineNumber,l=this.lastMarker.column+1;this.errorHandler.tolerateError(o,s,l,a)},e.prototype.unexpectedTokenError=function(e,t){var n,r=t||a.Messages.UnexpectedToken;if(e?(t||(r=2===e.type?a.Messages.UnexpectedEOS:3===e.type?a.Messages.UnexpectedIdentifier:6===e.type?a.Messages.UnexpectedNumber:8===e.type?a.Messages.UnexpectedString:10===e.type?a.Messages.UnexpectedTemplate:a.Messages.UnexpectedToken,4===e.type&&(this.scanner.isFutureReservedWord(e.value)?r=a.Messages.UnexpectedReserved:this.context.strict&&this.scanner.isStrictModeReservedWord(e.value)&&(r=a.Messages.StrictReservedWord))),n=e.value):n="ILLEGAL",r=r.replace("%0",n),e&&"number"==typeof e.lineNumber){var i=e.start,o=e.lineNumber,s=this.lastMarker.index-this.lastMarker.column,l=e.start-s+1;return this.errorHandler.createError(i,o,l,r)}return i=this.lastMarker.index,o=this.lastMarker.line,l=this.lastMarker.column+1,this.errorHandler.createError(i,o,l,r)},e.prototype.throwUnexpectedToken=function(e,t){throw this.unexpectedTokenError(e,t)},e.prototype.tolerateUnexpectedToken=function(e,t){this.errorHandler.tolerate(this.unexpectedTokenError(e,t))},e.prototype.collectComments=function(){if(this.config.comment){var e=this.scanner.scanComments();if(e.length>0&&this.delegate)for(var t=0;t<e.length;++t){var n=e[t],r=void 0;r={type:n.multiLine?"BlockComment":"LineComment",value:this.scanner.source.slice(n.slice[0],n.slice[1])},this.config.range&&(r.range=n.range),this.config.loc&&(r.loc=n.loc);var i={start:{line:n.loc.start.line,column:n.loc.start.column,offset:n.range[0]},end:{line:n.loc.end.line,column:n.loc.end.column,offset:n.range[1]}};this.delegate(r,i)}}else this.scanner.scanComments()},e.prototype.getTokenRaw=function(e){return this.scanner.source.slice(e.start,e.end)},e.prototype.convertToken=function(e){var t={type:c.TokenName[e.type],value:this.getTokenRaw(e)};if(this.config.range&&(t.range=[e.start,e.end]),this.config.loc&&(t.loc={start:{line:this.startMarker.line,column:this.startMarker.column},end:{line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart}}),9===e.type){var n=e.pattern,r=e.flags;t.regex={pattern:n,flags:r}}return t},e.prototype.nextToken=function(){var e=this.lookahead;this.lastMarker.index=this.scanner.index,this.lastMarker.line=this.scanner.lineNumber,this.lastMarker.column=this.scanner.index-this.scanner.lineStart,this.collectComments(),this.scanner.index!==this.startMarker.index&&(this.startMarker.index=this.scanner.index,this.startMarker.line=this.scanner.lineNumber,this.startMarker.column=this.scanner.index-this.scanner.lineStart);var t=this.scanner.lex();return this.hasLineTerminator=e.lineNumber!==t.lineNumber,t&&this.context.strict&&3===t.type&&this.scanner.isStrictModeReservedWord(t.value)&&(t.type=4),this.lookahead=t,this.config.tokens&&2!==t.type&&this.tokens.push(this.convertToken(t)),e},e.prototype.nextRegexToken=function(){this.collectComments();var e=this.scanner.scanRegExp();return this.config.tokens&&(this.tokens.pop(),this.tokens.push(this.convertToken(e))),this.lookahead=e,this.nextToken(),e},e.prototype.createNode=function(){return{index:this.startMarker.index,line:this.startMarker.line,column:this.startMarker.column}},e.prototype.startNode=function(e,t){void 0===t&&(t=0);var n=e.start-e.lineStart,r=e.lineNumber;return n<0&&(n+=t,r--),{index:e.start,line:r,column:n}},e.prototype.finalize=function(e,t){if(this.config.range&&(t.range=[e.index,this.lastMarker.index]),this.config.loc&&(t.loc={start:{line:e.line,column:e.column},end:{line:this.lastMarker.line,column:this.lastMarker.column}},this.config.source&&(t.loc.source=this.config.source)),this.delegate){var n={start:{line:e.line,column:e.column,offset:e.index},end:{line:this.lastMarker.line,column:this.lastMarker.column,offset:this.lastMarker.index}};this.delegate(t,n)}return t},e.prototype.expect=function(e){var t=this.nextToken();7===t.type&&t.value===e||this.throwUnexpectedToken(t)},e.prototype.expectCommaSeparator=function(){if(this.config.tolerant){var e=this.lookahead;7===e.type&&","===e.value?this.nextToken():7===e.type&&";"===e.value?(this.nextToken(),this.tolerateUnexpectedToken(e)):this.tolerateUnexpectedToken(e,a.Messages.UnexpectedToken)}else this.expect(",")},e.prototype.expectKeyword=function(e){var t=this.nextToken();4===t.type&&t.value===e||this.throwUnexpectedToken(t)},e.prototype.match=function(e){return 7===this.lookahead.type&&this.lookahead.value===e},e.prototype.matchKeyword=function(e){return 4===this.lookahead.type&&this.lookahead.value===e},e.prototype.matchContextualKeyword=function(e){return 3===this.lookahead.type&&this.lookahead.value===e},e.prototype.matchAssign=function(){if(7!==this.lookahead.type)return!1;var e=this.lookahead.value;return"="===e||"*="===e||"**="===e||"/="===e||"%="===e||"+="===e||"-="===e||"<<="===e||">>="===e||">>>="===e||"&="===e||"^="===e||"|="===e},e.prototype.isolateCoverGrammar=function(e){var t=this.context.isBindingElement,n=this.context.isAssignmentTarget,r=this.context.firstCoverInitializedNameError;this.context.isBindingElement=!0,this.context.isAssignmentTarget=!0,this.context.firstCoverInitializedNameError=null;var i=e.call(this);return null!==this.context.firstCoverInitializedNameError&&this.throwUnexpectedToken(this.context.firstCoverInitializedNameError),this.context.isBindingElement=t,this.context.isAssignmentTarget=n,this.context.firstCoverInitializedNameError=r,i},e.prototype.inheritCoverGrammar=function(e){var t=this.context.isBindingElement,n=this.context.isAssignmentTarget,r=this.context.firstCoverInitializedNameError;this.context.isBindingElement=!0,this.context.isAssignmentTarget=!0,this.context.firstCoverInitializedNameError=null;var i=e.call(this);return this.context.isBindingElement=this.context.isBindingElement&&t,this.context.isAssignmentTarget=this.context.isAssignmentTarget&&n,this.context.firstCoverInitializedNameError=r||this.context.firstCoverInitializedNameError,i},e.prototype.consumeSemicolon=function(){this.match(";")?this.nextToken():this.hasLineTerminator||(2===this.lookahead.type||this.match("}")||this.throwUnexpectedToken(this.lookahead),this.lastMarker.index=this.startMarker.index,this.lastMarker.line=this.startMarker.line,this.lastMarker.column=this.startMarker.column)},e.prototype.parsePrimaryExpression=function(){var e,t,n,r=this.createNode();switch(this.lookahead.type){case 3:(this.context.isModule||this.context.await)&&"await"===this.lookahead.value&&this.tolerateUnexpectedToken(this.lookahead),e=this.matchAsyncFunction()?this.parseFunctionExpression():this.finalize(r,new o.Identifier(this.nextToken().value));break;case 6:case 8:this.context.strict&&this.lookahead.octal&&this.tolerateUnexpectedToken(this.lookahead,a.Messages.StrictOctalLiteral),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,t=this.nextToken(),n=this.getTokenRaw(t),e=this.finalize(r,new o.Literal(t.value,n));break;case 1:this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,t=this.nextToken(),n=this.getTokenRaw(t),e=this.finalize(r,new o.Literal("true"===t.value,n));break;case 5:this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,t=this.nextToken(),n=this.getTokenRaw(t),e=this.finalize(r,new o.Literal(null,n));break;case 10:e=this.parseTemplateLiteral();break;case 7:switch(this.lookahead.value){case"(":this.context.isBindingElement=!1,e=this.inheritCoverGrammar(this.parseGroupExpression);break;case"[":e=this.inheritCoverGrammar(this.parseArrayInitializer);break;case"{":e=this.inheritCoverGrammar(this.parseObjectInitializer);break;case"/":case"/=":this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,this.scanner.index=this.startMarker.index,t=this.nextRegexToken(),n=this.getTokenRaw(t),e=this.finalize(r,new o.RegexLiteral(t.regex,n,t.pattern,t.flags));break;default:e=this.throwUnexpectedToken(this.nextToken())}break;case 4:!this.context.strict&&this.context.allowYield&&this.matchKeyword("yield")?e=this.parseIdentifierName():!this.context.strict&&this.matchKeyword("let")?e=this.finalize(r,new o.Identifier(this.nextToken().value)):(this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,this.matchKeyword("function")?e=this.parseFunctionExpression():this.matchKeyword("this")?(this.nextToken(),e=this.finalize(r,new o.ThisExpression)):e=this.matchKeyword("class")?this.parseClassExpression():this.throwUnexpectedToken(this.nextToken()));break;default:e=this.throwUnexpectedToken(this.nextToken())}return e},e.prototype.parseSpreadElement=function(){var e=this.createNode();this.expect("...");var t=this.inheritCoverGrammar(this.parseAssignmentExpression);return this.finalize(e,new o.SpreadElement(t))},e.prototype.parseArrayInitializer=function(){var e=this.createNode(),t=[];for(this.expect("[");!this.match("]");)if(this.match(","))this.nextToken(),t.push(null);else if(this.match("...")){var n=this.parseSpreadElement();this.match("]")||(this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1,this.expect(",")),t.push(n)}else t.push(this.inheritCoverGrammar(this.parseAssignmentExpression)),this.match("]")||this.expect(",");return this.expect("]"),this.finalize(e,new o.ArrayExpression(t))},e.prototype.parsePropertyMethod=function(e){this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1;var t=this.context.strict,n=this.context.allowStrictDirective;this.context.allowStrictDirective=e.simple;var r=this.isolateCoverGrammar(this.parseFunctionSourceElements);return this.context.strict&&e.firstRestricted&&this.tolerateUnexpectedToken(e.firstRestricted,e.message),this.context.strict&&e.stricted&&this.tolerateUnexpectedToken(e.stricted,e.message),this.context.strict=t,this.context.allowStrictDirective=n,r},e.prototype.parsePropertyMethodFunction=function(){var e=this.createNode(),t=this.context.allowYield;this.context.allowYield=!0;var n=this.parseFormalParameters(),r=this.parsePropertyMethod(n);return this.context.allowYield=t,this.finalize(e,new o.FunctionExpression(null,n.params,r,!1))},e.prototype.parsePropertyMethodAsyncFunction=function(){var e=this.createNode(),t=this.context.allowYield,n=this.context.await;this.context.allowYield=!1,this.context.await=!0;var r=this.parseFormalParameters(),i=this.parsePropertyMethod(r);return this.context.allowYield=t,this.context.await=n,this.finalize(e,new o.AsyncFunctionExpression(null,r.params,i))},e.prototype.parseObjectPropertyKey=function(){var e,t=this.createNode(),n=this.nextToken();switch(n.type){case 8:case 6:this.context.strict&&n.octal&&this.tolerateUnexpectedToken(n,a.Messages.StrictOctalLiteral);var r=this.getTokenRaw(n);e=this.finalize(t,new o.Literal(n.value,r));break;case 3:case 1:case 5:case 4:e=this.finalize(t,new o.Identifier(n.value));break;case 7:"["===n.value?(e=this.isolateCoverGrammar(this.parseAssignmentExpression),this.expect("]")):e=this.throwUnexpectedToken(n);break;default:e=this.throwUnexpectedToken(n)}return e},e.prototype.isPropertyKey=function(e,t){return e.type===l.Syntax.Identifier&&e.name===t||e.type===l.Syntax.Literal&&e.value===t},e.prototype.parseObjectProperty=function(e){var t,n=this.createNode(),r=this.lookahead,i=null,s=null,l=!1,c=!1,u=!1,d=!1;if(3===r.type){var f=r.value;this.nextToken(),l=this.match("["),i=(d=!(this.hasLineTerminator||"async"!==f||this.match(":")||this.match("(")||this.match("*")||this.match(",")))?this.parseObjectPropertyKey():this.finalize(n,new o.Identifier(f))}else this.match("*")?this.nextToken():(l=this.match("["),i=this.parseObjectPropertyKey());var p=this.qualifiedPropertyName(this.lookahead);if(3===r.type&&!d&&"get"===r.value&&p)t="get",l=this.match("["),i=this.parseObjectPropertyKey(),this.context.allowYield=!1,s=this.parseGetterMethod();else if(3===r.type&&!d&&"set"===r.value&&p)t="set",l=this.match("["),i=this.parseObjectPropertyKey(),s=this.parseSetterMethod();else if(7===r.type&&"*"===r.value&&p)t="init",l=this.match("["),i=this.parseObjectPropertyKey(),s=this.parseGeneratorMethod(),c=!0;else if(i||this.throwUnexpectedToken(this.lookahead),t="init",this.match(":")&&!d)!l&&this.isPropertyKey(i,"__proto__")&&(e.value&&this.tolerateError(a.Messages.DuplicateProtoProperty),e.value=!0),this.nextToken(),s=this.inheritCoverGrammar(this.parseAssignmentExpression);else if(this.match("("))s=d?this.parsePropertyMethodAsyncFunction():this.parsePropertyMethodFunction(),c=!0;else if(3===r.type)if(f=this.finalize(n,new o.Identifier(r.value)),this.match("=")){this.context.firstCoverInitializedNameError=this.lookahead,this.nextToken(),u=!0;var h=this.isolateCoverGrammar(this.parseAssignmentExpression);s=this.finalize(n,new o.AssignmentPattern(f,h))}else u=!0,s=f;else this.throwUnexpectedToken(this.nextToken());return this.finalize(n,new o.Property(t,i,l,s,c,u))},e.prototype.parseObjectInitializer=function(){var e=this.createNode();this.expect("{");for(var t=[],n={value:!1};!this.match("}");)t.push(this.parseObjectProperty(n)),this.match("}")||this.expectCommaSeparator();return this.expect("}"),this.finalize(e,new o.ObjectExpression(t))},e.prototype.parseTemplateHead=function(){r.assert(this.lookahead.head,"Template literal must start with a template head");var e=this.createNode(),t=this.nextToken(),n=t.value,i=t.cooked;return this.finalize(e,new o.TemplateElement({raw:n,cooked:i},t.tail))},e.prototype.parseTemplateElement=function(){10!==this.lookahead.type&&this.throwUnexpectedToken();var e=this.createNode(),t=this.nextToken(),n=t.value,r=t.cooked;return this.finalize(e,new o.TemplateElement({raw:n,cooked:r},t.tail))},e.prototype.parseTemplateLiteral=function(){var e=this.createNode(),t=[],n=[],r=this.parseTemplateHead();for(n.push(r);!r.tail;)t.push(this.parseExpression()),r=this.parseTemplateElement(),n.push(r);return this.finalize(e,new o.TemplateLiteral(n,t))},e.prototype.reinterpretExpressionAsPattern=function(e){switch(e.type){case l.Syntax.Identifier:case l.Syntax.MemberExpression:case l.Syntax.RestElement:case l.Syntax.AssignmentPattern:break;case l.Syntax.SpreadElement:e.type=l.Syntax.RestElement,this.reinterpretExpressionAsPattern(e.argument);break;case l.Syntax.ArrayExpression:e.type=l.Syntax.ArrayPattern;for(var t=0;t<e.elements.length;t++)null!==e.elements[t]&&this.reinterpretExpressionAsPattern(e.elements[t]);break;case l.Syntax.ObjectExpression:for(e.type=l.Syntax.ObjectPattern,t=0;t<e.properties.length;t++)this.reinterpretExpressionAsPattern(e.properties[t].value);break;case l.Syntax.AssignmentExpression:e.type=l.Syntax.AssignmentPattern,delete e.operator,this.reinterpretExpressionAsPattern(e.left)}},e.prototype.parseGroupExpression=function(){var e;if(this.expect("("),this.match(")"))this.nextToken(),this.match("=>")||this.expect("=>"),e={type:"ArrowParameterPlaceHolder",params:[],async:!1};else{var t=this.lookahead,n=[];if(this.match("..."))e=this.parseRestElement(n),this.expect(")"),this.match("=>")||this.expect("=>"),e={type:"ArrowParameterPlaceHolder",params:[e],async:!1};else{var r=!1;if(this.context.isBindingElement=!0,e=this.inheritCoverGrammar(this.parseAssignmentExpression),this.match(",")){var i=[];for(this.context.isAssignmentTarget=!1,i.push(e);2!==this.lookahead.type&&this.match(",");){if(this.nextToken(),this.match(")")){this.nextToken();for(var a=0;a<i.length;a++)this.reinterpretExpressionAsPattern(i[a]);r=!0,e={type:"ArrowParameterPlaceHolder",params:i,async:!1}}else if(this.match("...")){for(this.context.isBindingElement||this.throwUnexpectedToken(this.lookahead),i.push(this.parseRestElement(n)),this.expect(")"),this.match("=>")||this.expect("=>"),this.context.isBindingElement=!1,a=0;a<i.length;a++)this.reinterpretExpressionAsPattern(i[a]);r=!0,e={type:"ArrowParameterPlaceHolder",params:i,async:!1}}else i.push(this.inheritCoverGrammar(this.parseAssignmentExpression));if(r)break}r||(e=this.finalize(this.startNode(t),new o.SequenceExpression(i)))}if(!r){if(this.expect(")"),this.match("=>")&&(e.type===l.Syntax.Identifier&&"yield"===e.name&&(r=!0,e={type:"ArrowParameterPlaceHolder",params:[e],async:!1}),!r)){if(this.context.isBindingElement||this.throwUnexpectedToken(this.lookahead),e.type===l.Syntax.SequenceExpression)for(a=0;a<e.expressions.length;a++)this.reinterpretExpressionAsPattern(e.expressions[a]);else this.reinterpretExpressionAsPattern(e);e={type:"ArrowParameterPlaceHolder",params:e.type===l.Syntax.SequenceExpression?e.expressions:[e],async:!1}}this.context.isBindingElement=!1}}}return e},e.prototype.parseArguments=function(){this.expect("(");var e=[];if(!this.match(")"))for(;;){var t=this.match("...")?this.parseSpreadElement():this.isolateCoverGrammar(this.parseAssignmentExpression);if(e.push(t),this.match(")"))break;if(this.expectCommaSeparator(),this.match(")"))break}return this.expect(")"),e},e.prototype.isIdentifierName=function(e){return 3===e.type||4===e.type||1===e.type||5===e.type},e.prototype.parseIdentifierName=function(){var e=this.createNode(),t=this.nextToken();return this.isIdentifierName(t)||this.throwUnexpectedToken(t),this.finalize(e,new o.Identifier(t.value))},e.prototype.parseNewExpression=function(){var e,t=this.createNode(),n=this.parseIdentifierName();if(r.assert("new"===n.name,"New expression must start with `new`"),this.match("."))if(this.nextToken(),3===this.lookahead.type&&this.context.inFunctionBody&&"target"===this.lookahead.value){var i=this.parseIdentifierName();e=new o.MetaProperty(n,i)}else this.throwUnexpectedToken(this.lookahead);else{var a=this.isolateCoverGrammar(this.parseLeftHandSideExpression),s=this.match("(")?this.parseArguments():[];e=new o.NewExpression(a,s),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1}return this.finalize(t,e)},e.prototype.parseAsyncArgument=function(){var e=this.parseAssignmentExpression();return this.context.firstCoverInitializedNameError=null,e},e.prototype.parseAsyncArguments=function(){this.expect("(");var e=[];if(!this.match(")"))for(;;){var t=this.match("...")?this.parseSpreadElement():this.isolateCoverGrammar(this.parseAsyncArgument);if(e.push(t),this.match(")"))break;if(this.expectCommaSeparator(),this.match(")"))break}return this.expect(")"),e},e.prototype.parseLeftHandSideExpressionAllowCall=function(){var e,t=this.lookahead,n=this.matchContextualKeyword("async"),r=this.context.allowIn;for(this.context.allowIn=!0,this.matchKeyword("super")&&this.context.inFunctionBody?(e=this.createNode(),this.nextToken(),e=this.finalize(e,new o.Super),this.match("(")||this.match(".")||this.match("[")||this.throwUnexpectedToken(this.lookahead)):e=this.inheritCoverGrammar(this.matchKeyword("new")?this.parseNewExpression:this.parsePrimaryExpression);;)if(this.match(".")){this.context.isBindingElement=!1,this.context.isAssignmentTarget=!0,this.expect(".");var i=this.parseIdentifierName();e=this.finalize(this.startNode(t),new o.StaticMemberExpression(e,i))}else if(this.match("(")){var a=n&&t.lineNumber===this.lookahead.lineNumber;this.context.isBindingElement=!1,this.context.isAssignmentTarget=!1;var s=a?this.parseAsyncArguments():this.parseArguments();if(e=this.finalize(this.startNode(t),new o.CallExpression(e,s)),a&&this.match("=>")){for(var l=0;l<s.length;++l)this.reinterpretExpressionAsPattern(s[l]);e={type:"ArrowParameterPlaceHolder",params:s,async:!0}}}else if(this.match("["))this.context.isBindingElement=!1,this.context.isAssignmentTarget=!0,this.expect("["),i=this.isolateCoverGrammar(this.parseExpression),this.expect("]"),e=this.finalize(this.startNode(t),new o.ComputedMemberExpression(e,i));else{if(10!==this.lookahead.type||!this.lookahead.head)break;var c=this.parseTemplateLiteral();e=this.finalize(this.startNode(t),new o.TaggedTemplateExpression(e,c))}return this.context.allowIn=r,e},e.prototype.parseSuper=function(){var e=this.createNode();return this.expectKeyword("super"),this.match("[")||this.match(".")||this.throwUnexpectedToken(this.lookahead),this.finalize(e,new o.Super)},e.prototype.parseLeftHandSideExpression=function(){r.assert(this.context.allowIn,"callee of new expression always allow in keyword.");for(var e=this.startNode(this.lookahead),t=this.matchKeyword("super")&&this.context.inFunctionBody?this.parseSuper():this.inheritCoverGrammar(this.matchKeyword("new")?this.parseNewExpression:this.parsePrimaryExpression);;)if(this.match("[")){this.context.isBindingElement=!1,this.context.isAssignmentTarget=!0,this.expect("[");var n=this.isolateCoverGrammar(this.parseExpression);this.expect("]"),t=this.finalize(e,new o.ComputedMemberExpression(t,n))}else if(this.match("."))this.context.isBindingElement=!1,this.context.isAssignmentTarget=!0,this.expect("."),n=this.parseIdentifierName(),t=this.finalize(e,new o.StaticMemberExpression(t,n));else{if(10!==this.lookahead.type||!this.lookahead.head)break;var i=this.parseTemplateLiteral();t=this.finalize(e,new o.TaggedTemplateExpression(t,i))}return t},e.prototype.parseUpdateExpression=function(){var e,t=this.lookahead;if(this.match("++")||this.match("--")){var n=this.startNode(t),r=this.nextToken();e=this.inheritCoverGrammar(this.parseUnaryExpression),this.context.strict&&e.type===l.Syntax.Identifier&&this.scanner.isRestrictedWord(e.name)&&this.tolerateError(a.Messages.StrictLHSPrefix),this.context.isAssignmentTarget||this.tolerateError(a.Messages.InvalidLHSInAssignment);var i=!0;e=this.finalize(n,new o.UpdateExpression(r.value,e,i)),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1}else if(e=this.inheritCoverGrammar(this.parseLeftHandSideExpressionAllowCall),!this.hasLineTerminator&&7===this.lookahead.type&&(this.match("++")||this.match("--"))){this.context.strict&&e.type===l.Syntax.Identifier&&this.scanner.isRestrictedWord(e.name)&&this.tolerateError(a.Messages.StrictLHSPostfix),this.context.isAssignmentTarget||this.tolerateError(a.Messages.InvalidLHSInAssignment),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1;var s=this.nextToken().value;i=!1,e=this.finalize(this.startNode(t),new o.UpdateExpression(s,e,i))}return e},e.prototype.parseAwaitExpression=function(){var e=this.createNode();this.nextToken();var t=this.parseUnaryExpression();return this.finalize(e,new o.AwaitExpression(t))},e.prototype.parseUnaryExpression=function(){var e;if(this.match("+")||this.match("-")||this.match("~")||this.match("!")||this.matchKeyword("delete")||this.matchKeyword("void")||this.matchKeyword("typeof")){var t=this.startNode(this.lookahead),n=this.nextToken();e=this.inheritCoverGrammar(this.parseUnaryExpression),e=this.finalize(t,new o.UnaryExpression(n.value,e)),this.context.strict&&"delete"===e.operator&&e.argument.type===l.Syntax.Identifier&&this.tolerateError(a.Messages.StrictDelete),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1}else e=this.context.await&&this.matchContextualKeyword("await")?this.parseAwaitExpression():this.parseUpdateExpression();return e},e.prototype.parseExponentiationExpression=function(){var e=this.lookahead,t=this.inheritCoverGrammar(this.parseUnaryExpression);if(t.type!==l.Syntax.UnaryExpression&&this.match("**")){this.nextToken(),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1;var n=t,r=this.isolateCoverGrammar(this.parseExponentiationExpression);t=this.finalize(this.startNode(e),new o.BinaryExpression("**",n,r))}return t},e.prototype.binaryPrecedence=function(e){var t=e.value;return 7===e.type?this.operatorPrecedence[t]||0:4===e.type&&("instanceof"===t||this.context.allowIn&&"in"===t)?7:0},e.prototype.parseBinaryExpression=function(){var e=this.lookahead,t=this.inheritCoverGrammar(this.parseExponentiationExpression),n=this.lookahead,r=this.binaryPrecedence(n);if(r>0){this.nextToken(),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1;for(var i=[e,this.lookahead],a=t,s=this.isolateCoverGrammar(this.parseExponentiationExpression),l=[a,n.value,s],c=[r];!((r=this.binaryPrecedence(this.lookahead))<=0);){for(;l.length>2&&r<=c[c.length-1];){s=l.pop();var u=l.pop();c.pop(),a=l.pop(),i.pop();var d=this.startNode(i[i.length-1]);l.push(this.finalize(d,new o.BinaryExpression(u,a,s)))}l.push(this.nextToken().value),c.push(r),i.push(this.lookahead),l.push(this.isolateCoverGrammar(this.parseExponentiationExpression))}var f=l.length-1;t=l[f];for(var p=i.pop();f>1;){var h=i.pop(),m=p&&p.lineStart;d=this.startNode(h,m),u=l[f-1],t=this.finalize(d,new o.BinaryExpression(u,l[f-2],t)),f-=2,p=h}}return t},e.prototype.parseConditionalExpression=function(){var e=this.lookahead,t=this.inheritCoverGrammar(this.parseBinaryExpression);if(this.match("?")){this.nextToken();var n=this.context.allowIn;this.context.allowIn=!0;var r=this.isolateCoverGrammar(this.parseAssignmentExpression);this.context.allowIn=n,this.expect(":");var i=this.isolateCoverGrammar(this.parseAssignmentExpression);t=this.finalize(this.startNode(e),new o.ConditionalExpression(t,r,i)),this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1}return t},e.prototype.checkPatternParam=function(e,t){switch(t.type){case l.Syntax.Identifier:this.validateParam(e,t,t.name);break;case l.Syntax.RestElement:this.checkPatternParam(e,t.argument);break;case l.Syntax.AssignmentPattern:this.checkPatternParam(e,t.left);break;case l.Syntax.ArrayPattern:for(var n=0;n<t.elements.length;n++)null!==t.elements[n]&&this.checkPatternParam(e,t.elements[n]);break;case l.Syntax.ObjectPattern:for(n=0;n<t.properties.length;n++)this.checkPatternParam(e,t.properties[n].value)}e.simple=e.simple&&t instanceof o.Identifier},e.prototype.reinterpretAsCoverFormalsList=function(e){var t,n=[e],r=!1;switch(e.type){case l.Syntax.Identifier:break;case"ArrowParameterPlaceHolder":n=e.params,r=e.async;break;default:return null}t={simple:!0,paramSet:{}};for(var i=0;i<n.length;++i)(o=n[i]).type===l.Syntax.AssignmentPattern?o.right.type===l.Syntax.YieldExpression&&(o.right.argument&&this.throwUnexpectedToken(this.lookahead),o.right.type=l.Syntax.Identifier,o.right.name="yield",delete o.right.argument,delete o.right.delegate):r&&o.type===l.Syntax.Identifier&&"await"===o.name&&this.throwUnexpectedToken(this.lookahead),this.checkPatternParam(t,o),n[i]=o;if(this.context.strict||!this.context.allowYield)for(i=0;i<n.length;++i){var o;(o=n[i]).type===l.Syntax.YieldExpression&&this.throwUnexpectedToken(this.lookahead)}if(t.message===a.Messages.StrictParamDupe){var s=this.context.strict?t.stricted:t.firstRestricted;this.throwUnexpectedToken(s,t.message)}return{simple:t.simple,params:n,stricted:t.stricted,firstRestricted:t.firstRestricted,message:t.message}},e.prototype.parseAssignmentExpression=function(){var e;if(!this.context.allowYield&&this.matchKeyword("yield"))e=this.parseYieldExpression();else{var t=this.lookahead,n=t;if(e=this.parseConditionalExpression(),3===n.type&&n.lineNumber===this.lookahead.lineNumber&&"async"===n.value&&(3===this.lookahead.type||this.matchKeyword("yield"))){var r=this.parsePrimaryExpression();this.reinterpretExpressionAsPattern(r),e={type:"ArrowParameterPlaceHolder",params:[r],async:!0}}if("ArrowParameterPlaceHolder"===e.type||this.match("=>")){this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1;var i=e.async,s=this.reinterpretAsCoverFormalsList(e);if(s){this.hasLineTerminator&&this.tolerateUnexpectedToken(this.lookahead),this.context.firstCoverInitializedNameError=null;var c=this.context.strict,u=this.context.allowStrictDirective;this.context.allowStrictDirective=s.simple;var d=this.context.allowYield,f=this.context.await;this.context.allowYield=!0,this.context.await=i;var p=this.startNode(t);this.expect("=>");var h=void 0;if(this.match("{")){var m=this.context.allowIn;this.context.allowIn=!0,h=this.parseFunctionSourceElements(),this.context.allowIn=m}else h=this.isolateCoverGrammar(this.parseAssignmentExpression);var g=h.type!==l.Syntax.BlockStatement;this.context.strict&&s.firstRestricted&&this.throwUnexpectedToken(s.firstRestricted,s.message),this.context.strict&&s.stricted&&this.tolerateUnexpectedToken(s.stricted,s.message),e=i?this.finalize(p,new o.AsyncArrowFunctionExpression(s.params,h,g)):this.finalize(p,new o.ArrowFunctionExpression(s.params,h,g)),this.context.strict=c,this.context.allowStrictDirective=u,this.context.allowYield=d,this.context.await=f}}else if(this.matchAssign()){if(this.context.isAssignmentTarget||this.tolerateError(a.Messages.InvalidLHSInAssignment),this.context.strict&&e.type===l.Syntax.Identifier){var v=e;this.scanner.isRestrictedWord(v.name)&&this.tolerateUnexpectedToken(n,a.Messages.StrictLHSAssignment),this.scanner.isStrictModeReservedWord(v.name)&&this.tolerateUnexpectedToken(n,a.Messages.StrictReservedWord)}this.match("=")?this.reinterpretExpressionAsPattern(e):(this.context.isAssignmentTarget=!1,this.context.isBindingElement=!1);var y=(n=this.nextToken()).value,b=this.isolateCoverGrammar(this.parseAssignmentExpression);e=this.finalize(this.startNode(t),new o.AssignmentExpression(y,e,b)),this.context.firstCoverInitializedNameError=null}}return e},e.prototype.parseExpression=function(){var e=this.lookahead,t=this.isolateCoverGrammar(this.parseAssignmentExpression);if(this.match(",")){var n=[];for(n.push(t);2!==this.lookahead.type&&this.match(",");)this.nextToken(),n.push(this.isolateCoverGrammar(this.parseAssignmentExpression));t=this.finalize(this.startNode(e),new o.SequenceExpression(n))}return t},e.prototype.parseStatementListItem=function(){var e;if(this.context.isAssignmentTarget=!0,this.context.isBindingElement=!0,4===this.lookahead.type)switch(this.lookahead.value){case"export":this.context.isModule||this.tolerateUnexpectedToken(this.lookahead,a.Messages.IllegalExportDeclaration),e=this.parseExportDeclaration();break;case"import":this.context.isModule||this.tolerateUnexpectedToken(this.lookahead,a.Messages.IllegalImportDeclaration),e=this.parseImportDeclaration();break;case"const":e=this.parseLexicalDeclaration({inFor:!1});break;case"function":e=this.parseFunctionDeclaration();break;case"class":e=this.parseClassDeclaration();break;case"let":e=this.isLexicalDeclaration()?this.parseLexicalDeclaration({inFor:!1}):this.parseStatement();break;default:e=this.parseStatement()}else e=this.parseStatement();return e},e.prototype.parseBlock=function(){var e=this.createNode();this.expect("{");for(var t=[];!this.match("}");)t.push(this.parseStatementListItem());return this.expect("}"),this.finalize(e,new o.BlockStatement(t))},e.prototype.parseLexicalBinding=function(e,t){var n=this.createNode(),r=this.parsePattern([],e);this.context.strict&&r.type===l.Syntax.Identifier&&this.scanner.isRestrictedWord(r.name)&&this.tolerateError(a.Messages.StrictVarName);var i=null;return"const"===e?this.matchKeyword("in")||this.matchContextualKeyword("of")||(this.match("=")?(this.nextToken(),i=this.isolateCoverGrammar(this.parseAssignmentExpression)):this.throwError(a.Messages.DeclarationMissingInitializer,"const")):(!t.inFor&&r.type!==l.Syntax.Identifier||this.match("="))&&(this.expect("="),i=this.isolateCoverGrammar(this.parseAssignmentExpression)),this.finalize(n,new o.VariableDeclarator(r,i))},e.prototype.parseBindingList=function(e,t){for(var n=[this.parseLexicalBinding(e,t)];this.match(",");)this.nextToken(),n.push(this.parseLexicalBinding(e,t));return n},e.prototype.isLexicalDeclaration=function(){var e=this.scanner.saveState();this.scanner.scanComments();var t=this.scanner.lex();return this.scanner.restoreState(e),3===t.type||7===t.type&&"["===t.value||7===t.type&&"{"===t.value||4===t.type&&"let"===t.value||4===t.type&&"yield"===t.value},e.prototype.parseLexicalDeclaration=function(e){var t=this.createNode(),n=this.nextToken().value;r.assert("let"===n||"const"===n,"Lexical declaration must be either let or const");var i=this.parseBindingList(n,e);return this.consumeSemicolon(),this.finalize(t,new o.VariableDeclaration(i,n))},e.prototype.parseBindingRestElement=function(e,t){var n=this.createNode();this.expect("...");var r=this.parsePattern(e,t);return this.finalize(n,new o.RestElement(r))},e.prototype.parseArrayPattern=function(e,t){var n=this.createNode();this.expect("[");for(var r=[];!this.match("]");)if(this.match(","))this.nextToken(),r.push(null);else{if(this.match("...")){r.push(this.parseBindingRestElement(e,t));break}r.push(this.parsePatternWithDefault(e,t)),this.match("]")||this.expect(",")}return this.expect("]"),this.finalize(n,new o.ArrayPattern(r))},e.prototype.parsePropertyPattern=function(e,t){var n,r,i=this.createNode(),a=!1,s=!1;if(3===this.lookahead.type){var l=this.lookahead;n=this.parseVariableIdentifier();var c=this.finalize(i,new o.Identifier(l.value));if(this.match("=")){e.push(l),s=!0,this.nextToken();var u=this.parseAssignmentExpression();r=this.finalize(this.startNode(l),new o.AssignmentPattern(c,u))}else this.match(":")?(this.expect(":"),r=this.parsePatternWithDefault(e,t)):(e.push(l),s=!0,r=c)}else a=this.match("["),n=this.parseObjectPropertyKey(),this.expect(":"),r=this.parsePatternWithDefault(e,t);return this.finalize(i,new o.Property("init",n,a,r,!1,s))},e.prototype.parseObjectPattern=function(e,t){var n=this.createNode(),r=[];for(this.expect("{");!this.match("}");)r.push(this.parsePropertyPattern(e,t)),this.match("}")||this.expect(",");return this.expect("}"),this.finalize(n,new o.ObjectPattern(r))},e.prototype.parsePattern=function(e,t){var n;return this.match("[")?n=this.parseArrayPattern(e,t):this.match("{")?n=this.parseObjectPattern(e,t):(!this.matchKeyword("let")||"const"!==t&&"let"!==t||this.tolerateUnexpectedToken(this.lookahead,a.Messages.LetInLexicalBinding),e.push(this.lookahead),n=this.parseVariableIdentifier(t)),n},e.prototype.parsePatternWithDefault=function(e,t){var n=this.lookahead,r=this.parsePattern(e,t);if(this.match("=")){this.nextToken();var i=this.context.allowYield;this.context.allowYield=!0;var a=this.isolateCoverGrammar(this.parseAssignmentExpression);this.context.allowYield=i,r=this.finalize(this.startNode(n),new o.AssignmentPattern(r,a))}return r},e.prototype.parseVariableIdentifier=function(e){var t=this.createNode(),n=this.nextToken();return 4===n.type&&"yield"===n.value?this.context.strict?this.tolerateUnexpectedToken(n,a.Messages.StrictReservedWord):this.context.allowYield||this.throwUnexpectedToken(n):3!==n.type?this.context.strict&&4===n.type&&this.scanner.isStrictModeReservedWord(n.value)?this.tolerateUnexpectedToken(n,a.Messages.StrictReservedWord):(this.context.strict||"let"!==n.value||"var"!==e)&&this.throwUnexpectedToken(n):(this.context.isModule||this.context.await)&&3===n.type&&"await"===n.value&&this.tolerateUnexpectedToken(n),this.finalize(t,new o.Identifier(n.value))},e.prototype.parseVariableDeclaration=function(e){var t=this.createNode(),n=this.parsePattern([],"var");this.context.strict&&n.type===l.Syntax.Identifier&&this.scanner.isRestrictedWord(n.name)&&this.tolerateError(a.Messages.StrictVarName);var r=null;return this.match("=")?(this.nextToken(),r=this.isolateCoverGrammar(this.parseAssignmentExpression)):n.type===l.Syntax.Identifier||e.inFor||this.expect("="),this.finalize(t,new o.VariableDeclarator(n,r))},e.prototype.parseVariableDeclarationList=function(e){var t={inFor:e.inFor},n=[];for(n.push(this.parseVariableDeclaration(t));this.match(",");)this.nextToken(),n.push(this.parseVariableDeclaration(t));return n},e.prototype.parseVariableStatement=function(){var e=this.createNode();this.expectKeyword("var");var t=this.parseVariableDeclarationList({inFor:!1});return this.consumeSemicolon(),this.finalize(e,new o.VariableDeclaration(t,"var"))},e.prototype.parseEmptyStatement=function(){var e=this.createNode();return this.expect(";"),this.finalize(e,new o.EmptyStatement)},e.prototype.parseExpressionStatement=function(){var e=this.createNode(),t=this.parseExpression();return this.consumeSemicolon(),this.finalize(e,new o.ExpressionStatement(t))},e.prototype.parseIfClause=function(){return this.context.strict&&this.matchKeyword("function")&&this.tolerateError(a.Messages.StrictFunction),this.parseStatement()},e.prototype.parseIfStatement=function(){var e,t=this.createNode(),n=null;this.expectKeyword("if"),this.expect("(");var r=this.parseExpression();return!this.match(")")&&this.config.tolerant?(this.tolerateUnexpectedToken(this.nextToken()),e=this.finalize(this.createNode(),new o.EmptyStatement)):(this.expect(")"),e=this.parseIfClause(),this.matchKeyword("else")&&(this.nextToken(),n=this.parseIfClause())),this.finalize(t,new o.IfStatement(r,e,n))},e.prototype.parseDoWhileStatement=function(){var e=this.createNode();this.expectKeyword("do");var t=this.context.inIteration;this.context.inIteration=!0;var n=this.parseStatement();this.context.inIteration=t,this.expectKeyword("while"),this.expect("(");var r=this.parseExpression();return!this.match(")")&&this.config.tolerant?this.tolerateUnexpectedToken(this.nextToken()):(this.expect(")"),this.match(";")&&this.nextToken()),this.finalize(e,new o.DoWhileStatement(n,r))},e.prototype.parseWhileStatement=function(){var e,t=this.createNode();this.expectKeyword("while"),this.expect("(");var n=this.parseExpression();if(!this.match(")")&&this.config.tolerant)this.tolerateUnexpectedToken(this.nextToken()),e=this.finalize(this.createNode(),new o.EmptyStatement);else{this.expect(")");var r=this.context.inIteration;this.context.inIteration=!0,e=this.parseStatement(),this.context.inIteration=r}return this.finalize(t,new o.WhileStatement(n,e))},e.prototype.parseForStatement=function(){var e,t,n,r=null,i=null,s=null,c=!0,u=this.createNode();if(this.expectKeyword("for"),this.expect("("),this.match(";"))this.nextToken();else if(this.matchKeyword("var")){r=this.createNode(),this.nextToken();var d=this.context.allowIn;this.context.allowIn=!1;var f=this.parseVariableDeclarationList({inFor:!0});if(this.context.allowIn=d,1===f.length&&this.matchKeyword("in")){var p=f[0];p.init&&(p.id.type===l.Syntax.ArrayPattern||p.id.type===l.Syntax.ObjectPattern||this.context.strict)&&this.tolerateError(a.Messages.ForInOfLoopInitializer,"for-in"),r=this.finalize(r,new o.VariableDeclaration(f,"var")),this.nextToken(),e=r,t=this.parseExpression(),r=null}else 1===f.length&&null===f[0].init&&this.matchContextualKeyword("of")?(r=this.finalize(r,new o.VariableDeclaration(f,"var")),this.nextToken(),e=r,t=this.parseAssignmentExpression(),r=null,c=!1):(r=this.finalize(r,new o.VariableDeclaration(f,"var")),this.expect(";"))}else if(this.matchKeyword("const")||this.matchKeyword("let")){r=this.createNode();var h=this.nextToken().value;this.context.strict||"in"!==this.lookahead.value?(d=this.context.allowIn,this.context.allowIn=!1,f=this.parseBindingList(h,{inFor:!0}),this.context.allowIn=d,1===f.length&&null===f[0].init&&this.matchKeyword("in")?(r=this.finalize(r,new o.VariableDeclaration(f,h)),this.nextToken(),e=r,t=this.parseExpression(),r=null):1===f.length&&null===f[0].init&&this.matchContextualKeyword("of")?(r=this.finalize(r,new o.VariableDeclaration(f,h)),this.nextToken(),e=r,t=this.parseAssignmentExpression(),r=null,c=!1):(this.consumeSemicolon(),r=this.finalize(r,new o.VariableDeclaration(f,h)))):(r=this.finalize(r,new o.Identifier(h)),this.nextToken(),e=r,t=this.parseExpression(),r=null)}else{var m=this.lookahead;if(d=this.context.allowIn,this.context.allowIn=!1,r=this.inheritCoverGrammar(this.parseAssignmentExpression),this.context.allowIn=d,this.matchKeyword("in"))this.context.isAssignmentTarget&&r.type!==l.Syntax.AssignmentExpression||this.tolerateError(a.Messages.InvalidLHSInForIn),this.nextToken(),this.reinterpretExpressionAsPattern(r),e=r,t=this.parseExpression(),r=null;else if(this.matchContextualKeyword("of"))this.context.isAssignmentTarget&&r.type!==l.Syntax.AssignmentExpression||this.tolerateError(a.Messages.InvalidLHSInForLoop),this.nextToken(),this.reinterpretExpressionAsPattern(r),e=r,t=this.parseAssignmentExpression(),r=null,c=!1;else{if(this.match(",")){for(var g=[r];this.match(",");)this.nextToken(),g.push(this.isolateCoverGrammar(this.parseAssignmentExpression));r=this.finalize(this.startNode(m),new o.SequenceExpression(g))}this.expect(";")}}if(void 0===e&&(this.match(";")||(i=this.parseExpression()),this.expect(";"),this.match(")")||(s=this.parseExpression())),!this.match(")")&&this.config.tolerant)this.tolerateUnexpectedToken(this.nextToken()),n=this.finalize(this.createNode(),new o.EmptyStatement);else{this.expect(")");var v=this.context.inIteration;this.context.inIteration=!0,n=this.isolateCoverGrammar(this.parseStatement),this.context.inIteration=v}return void 0===e?this.finalize(u,new o.ForStatement(r,i,s,n)):c?this.finalize(u,new o.ForInStatement(e,t,n)):this.finalize(u,new o.ForOfStatement(e,t,n))},e.prototype.parseContinueStatement=function(){var e=this.createNode();this.expectKeyword("continue");var t=null;if(3===this.lookahead.type&&!this.hasLineTerminator){var n=this.parseVariableIdentifier();t=n;var r="$"+n.name;Object.prototype.hasOwnProperty.call(this.context.labelSet,r)||this.throwError(a.Messages.UnknownLabel,n.name)}return this.consumeSemicolon(),null!==t||this.context.inIteration||this.throwError(a.Messages.IllegalContinue),this.finalize(e,new o.ContinueStatement(t))},e.prototype.parseBreakStatement=function(){var e=this.createNode();this.expectKeyword("break");var t=null;if(3===this.lookahead.type&&!this.hasLineTerminator){var n=this.parseVariableIdentifier(),r="$"+n.name;Object.prototype.hasOwnProperty.call(this.context.labelSet,r)||this.throwError(a.Messages.UnknownLabel,n.name),t=n}return this.consumeSemicolon(),null!==t||this.context.inIteration||this.context.inSwitch||this.throwError(a.Messages.IllegalBreak),this.finalize(e,new o.BreakStatement(t))},e.prototype.parseReturnStatement=function(){this.context.inFunctionBody||this.tolerateError(a.Messages.IllegalReturn);var e=this.createNode();this.expectKeyword("return");var t=(this.match(";")||this.match("}")||this.hasLineTerminator||2===this.lookahead.type)&&8!==this.lookahead.type&&10!==this.lookahead.type?null:this.parseExpression();return this.consumeSemicolon(),this.finalize(e,new o.ReturnStatement(t))},e.prototype.parseWithStatement=function(){this.context.strict&&this.tolerateError(a.Messages.StrictModeWith);var e,t=this.createNode();this.expectKeyword("with"),this.expect("(");var n=this.parseExpression();return!this.match(")")&&this.config.tolerant?(this.tolerateUnexpectedToken(this.nextToken()),e=this.finalize(this.createNode(),new o.EmptyStatement)):(this.expect(")"),e=this.parseStatement()),this.finalize(t,new o.WithStatement(n,e))},e.prototype.parseSwitchCase=function(){var e,t=this.createNode();this.matchKeyword("default")?(this.nextToken(),e=null):(this.expectKeyword("case"),e=this.parseExpression()),this.expect(":");for(var n=[];!(this.match("}")||this.matchKeyword("default")||this.matchKeyword("case"));)n.push(this.parseStatementListItem());return this.finalize(t,new o.SwitchCase(e,n))},e.prototype.parseSwitchStatement=function(){var e=this.createNode();this.expectKeyword("switch"),this.expect("(");var t=this.parseExpression();this.expect(")");var n=this.context.inSwitch;this.context.inSwitch=!0;var r=[],i=!1;for(this.expect("{");!this.match("}");){var s=this.parseSwitchCase();null===s.test&&(i&&this.throwError(a.Messages.MultipleDefaultsInSwitch),i=!0),r.push(s)}return this.expect("}"),this.context.inSwitch=n,this.finalize(e,new o.SwitchStatement(t,r))},e.prototype.parseLabelledStatement=function(){var e,t=this.createNode(),n=this.parseExpression();if(n.type===l.Syntax.Identifier&&this.match(":")){this.nextToken();var r=n,i="$"+r.name;Object.prototype.hasOwnProperty.call(this.context.labelSet,i)&&this.throwError(a.Messages.Redeclaration,"Label",r.name),this.context.labelSet[i]=!0;var s=void 0;if(this.matchKeyword("class"))this.tolerateUnexpectedToken(this.lookahead),s=this.parseClassDeclaration();else if(this.matchKeyword("function")){var c=this.lookahead,u=this.parseFunctionDeclaration();this.context.strict?this.tolerateUnexpectedToken(c,a.Messages.StrictFunction):u.generator&&this.tolerateUnexpectedToken(c,a.Messages.GeneratorInLegacyContext),s=u}else s=this.parseStatement();delete this.context.labelSet[i],e=new o.LabeledStatement(r,s)}else this.consumeSemicolon(),e=new o.ExpressionStatement(n);return this.finalize(t,e)},e.prototype.parseThrowStatement=function(){var e=this.createNode();this.expectKeyword("throw"),this.hasLineTerminator&&this.throwError(a.Messages.NewlineAfterThrow);var t=this.parseExpression();return this.consumeSemicolon(),this.finalize(e,new o.ThrowStatement(t))},e.prototype.parseCatchClause=function(){var e=this.createNode();this.expectKeyword("catch"),this.expect("("),this.match(")")&&this.throwUnexpectedToken(this.lookahead);for(var t=[],n=this.parsePattern(t),r={},i=0;i<t.length;i++){var s="$"+t[i].value;Object.prototype.hasOwnProperty.call(r,s)&&this.tolerateError(a.Messages.DuplicateBinding,t[i].value),r[s]=!0}this.context.strict&&n.type===l.Syntax.Identifier&&this.scanner.isRestrictedWord(n.name)&&this.tolerateError(a.Messages.StrictCatchVariable),this.expect(")");var c=this.parseBlock();return this.finalize(e,new o.CatchClause(n,c))},e.prototype.parseFinallyClause=function(){return this.expectKeyword("finally"),this.parseBlock()},e.prototype.parseTryStatement=function(){var e=this.createNode();this.expectKeyword("try");var t=this.parseBlock(),n=this.matchKeyword("catch")?this.parseCatchClause():null,r=this.matchKeyword("finally")?this.parseFinallyClause():null;return n||r||this.throwError(a.Messages.NoCatchOrFinally),this.finalize(e,new o.TryStatement(t,n,r))},e.prototype.parseDebuggerStatement=function(){var e=this.createNode();return this.expectKeyword("debugger"),this.consumeSemicolon(),this.finalize(e,new o.DebuggerStatement)},e.prototype.parseStatement=function(){var e;switch(this.lookahead.type){case 1:case 5:case 6:case 8:case 10:case 9:e=this.parseExpressionStatement();break;case 7:var t=this.lookahead.value;e="{"===t?this.parseBlock():"("===t?this.parseExpressionStatement():";"===t?this.parseEmptyStatement():this.parseExpressionStatement();break;case 3:e=this.matchAsyncFunction()?this.parseFunctionDeclaration():this.parseLabelledStatement();break;case 4:switch(this.lookahead.value){case"break":e=this.parseBreakStatement();break;case"continue":e=this.parseContinueStatement();break;case"debugger":e=this.parseDebuggerStatement();break;case"do":e=this.parseDoWhileStatement();break;case"for":e=this.parseForStatement();break;case"function":e=this.parseFunctionDeclaration();break;case"if":e=this.parseIfStatement();break;case"return":e=this.parseReturnStatement();break;case"switch":e=this.parseSwitchStatement();break;case"throw":e=this.parseThrowStatement();break;case"try":e=this.parseTryStatement();break;case"var":e=this.parseVariableStatement();break;case"while":e=this.parseWhileStatement();break;case"with":e=this.parseWithStatement();break;default:e=this.parseExpressionStatement()}break;default:e=this.throwUnexpectedToken(this.lookahead)}return e},e.prototype.parseFunctionSourceElements=function(){var e=this.createNode();this.expect("{");var t=this.parseDirectivePrologues(),n=this.context.labelSet,r=this.context.inIteration,i=this.context.inSwitch,a=this.context.inFunctionBody;for(this.context.labelSet={},this.context.inIteration=!1,this.context.inSwitch=!1,this.context.inFunctionBody=!0;2!==this.lookahead.type&&!this.match("}");)t.push(this.parseStatementListItem());return this.expect("}"),this.context.labelSet=n,this.context.inIteration=r,this.context.inSwitch=i,this.context.inFunctionBody=a,this.finalize(e,new o.BlockStatement(t))},e.prototype.validateParam=function(e,t,n){var r="$"+n;this.context.strict?(this.scanner.isRestrictedWord(n)&&(e.stricted=t,e.message=a.Messages.StrictParamName),Object.prototype.hasOwnProperty.call(e.paramSet,r)&&(e.stricted=t,e.message=a.Messages.StrictParamDupe)):e.firstRestricted||(this.scanner.isRestrictedWord(n)?(e.firstRestricted=t,e.message=a.Messages.StrictParamName):this.scanner.isStrictModeReservedWord(n)?(e.firstRestricted=t,e.message=a.Messages.StrictReservedWord):Object.prototype.hasOwnProperty.call(e.paramSet,r)&&(e.stricted=t,e.message=a.Messages.StrictParamDupe)),"function"==typeof Object.defineProperty?Object.defineProperty(e.paramSet,r,{value:!0,enumerable:!0,writable:!0,configurable:!0}):e.paramSet[r]=!0},e.prototype.parseRestElement=function(e){var t=this.createNode();this.expect("...");var n=this.parsePattern(e);return this.match("=")&&this.throwError(a.Messages.DefaultRestParameter),this.match(")")||this.throwError(a.Messages.ParameterAfterRestParameter),this.finalize(t,new o.RestElement(n))},e.prototype.parseFormalParameter=function(e){for(var t=[],n=this.match("...")?this.parseRestElement(t):this.parsePatternWithDefault(t),r=0;r<t.length;r++)this.validateParam(e,t[r],t[r].value);e.simple=e.simple&&n instanceof o.Identifier,e.params.push(n)},e.prototype.parseFormalParameters=function(e){var t;if(t={simple:!0,params:[],firstRestricted:e},this.expect("("),!this.match(")"))for(t.paramSet={};2!==this.lookahead.type&&(this.parseFormalParameter(t),!this.match(")"))&&(this.expect(","),!this.match(")")););return this.expect(")"),{simple:t.simple,params:t.params,stricted:t.stricted,firstRestricted:t.firstRestricted,message:t.message}},e.prototype.matchAsyncFunction=function(){var e=this.matchContextualKeyword("async");if(e){var t=this.scanner.saveState();this.scanner.scanComments();var n=this.scanner.lex();this.scanner.restoreState(t),e=t.lineNumber===n.lineNumber&&4===n.type&&"function"===n.value}return e},e.prototype.parseFunctionDeclaration=function(e){var t=this.createNode(),n=this.matchContextualKeyword("async");n&&this.nextToken(),this.expectKeyword("function");var r,i=!n&&this.match("*");i&&this.nextToken();var s=null,l=null;if(!e||!this.match("(")){var c=this.lookahead;s=this.parseVariableIdentifier(),this.context.strict?this.scanner.isRestrictedWord(c.value)&&this.tolerateUnexpectedToken(c,a.Messages.StrictFunctionName):this.scanner.isRestrictedWord(c.value)?(l=c,r=a.Messages.StrictFunctionName):this.scanner.isStrictModeReservedWord(c.value)&&(l=c,r=a.Messages.StrictReservedWord)}var u=this.context.await,d=this.context.allowYield;this.context.await=n,this.context.allowYield=!i;var f=this.parseFormalParameters(l),p=f.params,h=f.stricted;l=f.firstRestricted,f.message&&(r=f.message);var m=this.context.strict,g=this.context.allowStrictDirective;this.context.allowStrictDirective=f.simple;var v=this.parseFunctionSourceElements();return this.context.strict&&l&&this.throwUnexpectedToken(l,r),this.context.strict&&h&&this.tolerateUnexpectedToken(h,r),this.context.strict=m,this.context.allowStrictDirective=g,this.context.await=u,this.context.allowYield=d,n?this.finalize(t,new o.AsyncFunctionDeclaration(s,p,v)):this.finalize(t,new o.FunctionDeclaration(s,p,v,i))},e.prototype.parseFunctionExpression=function(){var e=this.createNode(),t=this.matchContextualKeyword("async");t&&this.nextToken(),this.expectKeyword("function");var n,r=!t&&this.match("*");r&&this.nextToken();var i,s=null,l=this.context.await,c=this.context.allowYield;if(this.context.await=t,this.context.allowYield=!r,!this.match("(")){var u=this.lookahead;s=this.context.strict||r||!this.matchKeyword("yield")?this.parseVariableIdentifier():this.parseIdentifierName(),this.context.strict?this.scanner.isRestrictedWord(u.value)&&this.tolerateUnexpectedToken(u,a.Messages.StrictFunctionName):this.scanner.isRestrictedWord(u.value)?(i=u,n=a.Messages.StrictFunctionName):this.scanner.isStrictModeReservedWord(u.value)&&(i=u,n=a.Messages.StrictReservedWord)}var d=this.parseFormalParameters(i),f=d.params,p=d.stricted;i=d.firstRestricted,d.message&&(n=d.message);var h=this.context.strict,m=this.context.allowStrictDirective;this.context.allowStrictDirective=d.simple;var g=this.parseFunctionSourceElements();return this.context.strict&&i&&this.throwUnexpectedToken(i,n),this.context.strict&&p&&this.tolerateUnexpectedToken(p,n),this.context.strict=h,this.context.allowStrictDirective=m,this.context.await=l,this.context.allowYield=c,t?this.finalize(e,new o.AsyncFunctionExpression(s,f,g)):this.finalize(e,new o.FunctionExpression(s,f,g,r))},e.prototype.parseDirective=function(){var e=this.lookahead,t=this.createNode(),n=this.parseExpression(),r=n.type===l.Syntax.Literal?this.getTokenRaw(e).slice(1,-1):null;return this.consumeSemicolon(),this.finalize(t,r?new o.Directive(n,r):new o.ExpressionStatement(n))},e.prototype.parseDirectivePrologues=function(){for(var e=null,t=[];;){var n=this.lookahead;if(8!==n.type)break;var r=this.parseDirective();t.push(r);var i=r.directive;if("string"!=typeof i)break;"use strict"===i?(this.context.strict=!0,e&&this.tolerateUnexpectedToken(e,a.Messages.StrictOctalLiteral),this.context.allowStrictDirective||this.tolerateUnexpectedToken(n,a.Messages.IllegalLanguageModeDirective)):!e&&n.octal&&(e=n)}return t},e.prototype.qualifiedPropertyName=function(e){switch(e.type){case 3:case 8:case 1:case 5:case 6:case 4:return!0;case 7:return"["===e.value}return!1},e.prototype.parseGetterMethod=function(){var e=this.createNode(),t=this.context.allowYield;this.context.allowYield=!0;var n=this.parseFormalParameters();n.params.length>0&&this.tolerateError(a.Messages.BadGetterArity);var r=this.parsePropertyMethod(n);return this.context.allowYield=t,this.finalize(e,new o.FunctionExpression(null,n.params,r,!1))},e.prototype.parseSetterMethod=function(){var e=this.createNode(),t=this.context.allowYield;this.context.allowYield=!0;var n=this.parseFormalParameters();1!==n.params.length?this.tolerateError(a.Messages.BadSetterArity):n.params[0]instanceof o.RestElement&&this.tolerateError(a.Messages.BadSetterRestParameter);var r=this.parsePropertyMethod(n);return this.context.allowYield=t,this.finalize(e,new o.FunctionExpression(null,n.params,r,!1))},e.prototype.parseGeneratorMethod=function(){var e=this.createNode(),t=this.context.allowYield;this.context.allowYield=!0;var n=this.parseFormalParameters();this.context.allowYield=!1;var r=this.parsePropertyMethod(n);return this.context.allowYield=t,this.finalize(e,new o.FunctionExpression(null,n.params,r,!0))},e.prototype.isStartOfExpression=function(){var e=!0,t=this.lookahead.value;switch(this.lookahead.type){case 7:e="["===t||"("===t||"{"===t||"+"===t||"-"===t||"!"===t||"~"===t||"++"===t||"--"===t||"/"===t||"/="===t;break;case 4:e="class"===t||"delete"===t||"function"===t||"let"===t||"new"===t||"super"===t||"this"===t||"typeof"===t||"void"===t||"yield"===t}return e},e.prototype.parseYieldExpression=function(){var e=this.createNode();this.expectKeyword("yield");var t=null,n=!1;if(!this.hasLineTerminator){var r=this.context.allowYield;this.context.allowYield=!1,(n=this.match("*"))?(this.nextToken(),t=this.parseAssignmentExpression()):this.isStartOfExpression()&&(t=this.parseAssignmentExpression()),this.context.allowYield=r}return this.finalize(e,new o.YieldExpression(t,n))},e.prototype.parseClassElement=function(e){var t=this.lookahead,n=this.createNode(),r="",i=null,s=null,l=!1,c=!1,u=!1,d=!1;if(this.match("*"))this.nextToken();else if(l=this.match("["),"static"===(i=this.parseObjectPropertyKey()).name&&(this.qualifiedPropertyName(this.lookahead)||this.match("*"))&&(t=this.lookahead,u=!0,l=this.match("["),this.match("*")?this.nextToken():i=this.parseObjectPropertyKey()),3===t.type&&!this.hasLineTerminator&&"async"===t.value){var f=this.lookahead.value;":"!==f&&"("!==f&&"*"!==f&&(d=!0,t=this.lookahead,i=this.parseObjectPropertyKey(),3===t.type&&"constructor"===t.value&&this.tolerateUnexpectedToken(t,a.Messages.ConstructorIsAsync))}var p=this.qualifiedPropertyName(this.lookahead);return 3===t.type?"get"===t.value&&p?(r="get",l=this.match("["),i=this.parseObjectPropertyKey(),this.context.allowYield=!1,s=this.parseGetterMethod()):"set"===t.value&&p&&(r="set",l=this.match("["),i=this.parseObjectPropertyKey(),s=this.parseSetterMethod()):7===t.type&&"*"===t.value&&p&&(r="init",l=this.match("["),i=this.parseObjectPropertyKey(),s=this.parseGeneratorMethod(),c=!0),!r&&i&&this.match("(")&&(r="init",s=d?this.parsePropertyMethodAsyncFunction():this.parsePropertyMethodFunction(),c=!0),r||this.throwUnexpectedToken(this.lookahead),"init"===r&&(r="method"),l||(u&&this.isPropertyKey(i,"prototype")&&this.throwUnexpectedToken(t,a.Messages.StaticPrototype),!u&&this.isPropertyKey(i,"constructor")&&(("method"!==r||!c||s&&s.generator)&&this.throwUnexpectedToken(t,a.Messages.ConstructorSpecialMethod),e.value?this.throwUnexpectedToken(t,a.Messages.DuplicateConstructor):e.value=!0,r="constructor")),this.finalize(n,new o.MethodDefinition(i,l,s,r,u))},e.prototype.parseClassElementList=function(){var e=[],t={value:!1};for(this.expect("{");!this.match("}");)this.match(";")?this.nextToken():e.push(this.parseClassElement(t));return this.expect("}"),e},e.prototype.parseClassBody=function(){var e=this.createNode(),t=this.parseClassElementList();return this.finalize(e,new o.ClassBody(t))},e.prototype.parseClassDeclaration=function(e){var t=this.createNode(),n=this.context.strict;this.context.strict=!0,this.expectKeyword("class");var r=e&&3!==this.lookahead.type?null:this.parseVariableIdentifier(),i=null;this.matchKeyword("extends")&&(this.nextToken(),i=this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall));var a=this.parseClassBody();return this.context.strict=n,this.finalize(t,new o.ClassDeclaration(r,i,a))},e.prototype.parseClassExpression=function(){var e=this.createNode(),t=this.context.strict;this.context.strict=!0,this.expectKeyword("class");var n=3===this.lookahead.type?this.parseVariableIdentifier():null,r=null;this.matchKeyword("extends")&&(this.nextToken(),r=this.isolateCoverGrammar(this.parseLeftHandSideExpressionAllowCall));var i=this.parseClassBody();return this.context.strict=t,this.finalize(e,new o.ClassExpression(n,r,i))},e.prototype.parseModule=function(){this.context.strict=!0,this.context.isModule=!0,this.scanner.isModule=!0;for(var e=this.createNode(),t=this.parseDirectivePrologues();2!==this.lookahead.type;)t.push(this.parseStatementListItem());return this.finalize(e,new o.Module(t))},e.prototype.parseScript=function(){for(var e=this.createNode(),t=this.parseDirectivePrologues();2!==this.lookahead.type;)t.push(this.parseStatementListItem());return this.finalize(e,new o.Script(t))},e.prototype.parseModuleSpecifier=function(){var e=this.createNode();8!==this.lookahead.type&&this.throwError(a.Messages.InvalidModuleSpecifier);var t=this.nextToken(),n=this.getTokenRaw(t);return this.finalize(e,new o.Literal(t.value,n))},e.prototype.parseImportSpecifier=function(){var e,t,n=this.createNode();return 3===this.lookahead.type?(t=e=this.parseVariableIdentifier(),this.matchContextualKeyword("as")&&(this.nextToken(),t=this.parseVariableIdentifier())):(t=e=this.parseIdentifierName(),this.matchContextualKeyword("as")?(this.nextToken(),t=this.parseVariableIdentifier()):this.throwUnexpectedToken(this.nextToken())),this.finalize(n,new o.ImportSpecifier(t,e))},e.prototype.parseNamedImports=function(){this.expect("{");for(var e=[];!this.match("}");)e.push(this.parseImportSpecifier()),this.match("}")||this.expect(",");return this.expect("}"),e},e.prototype.parseImportDefaultSpecifier=function(){var e=this.createNode(),t=this.parseIdentifierName();return this.finalize(e,new o.ImportDefaultSpecifier(t))},e.prototype.parseImportNamespaceSpecifier=function(){var e=this.createNode();this.expect("*"),this.matchContextualKeyword("as")||this.throwError(a.Messages.NoAsAfterImportNamespace),this.nextToken();var t=this.parseIdentifierName();return this.finalize(e,new o.ImportNamespaceSpecifier(t))},e.prototype.parseImportDeclaration=function(){this.context.inFunctionBody&&this.throwError(a.Messages.IllegalImportDeclaration);var e,t=this.createNode();this.expectKeyword("import");var n=[];if(8===this.lookahead.type)e=this.parseModuleSpecifier();else{if(this.match("{")?n=n.concat(this.parseNamedImports()):this.match("*")?n.push(this.parseImportNamespaceSpecifier()):this.isIdentifierName(this.lookahead)&&!this.matchKeyword("default")?(n.push(this.parseImportDefaultSpecifier()),this.match(",")&&(this.nextToken(),this.match("*")?n.push(this.parseImportNamespaceSpecifier()):this.match("{")?n=n.concat(this.parseNamedImports()):this.throwUnexpectedToken(this.lookahead))):this.throwUnexpectedToken(this.nextToken()),!this.matchContextualKeyword("from")){var r=this.lookahead.value?a.Messages.UnexpectedToken:a.Messages.MissingFromClause;this.throwError(r,this.lookahead.value)}this.nextToken(),e=this.parseModuleSpecifier()}return this.consumeSemicolon(),this.finalize(t,new o.ImportDeclaration(n,e))},e.prototype.parseExportSpecifier=function(){var e=this.createNode(),t=this.parseIdentifierName(),n=t;return this.matchContextualKeyword("as")&&(this.nextToken(),n=this.parseIdentifierName()),this.finalize(e,new o.ExportSpecifier(t,n))},e.prototype.parseExportDeclaration=function(){this.context.inFunctionBody&&this.throwError(a.Messages.IllegalExportDeclaration);var e,t=this.createNode();if(this.expectKeyword("export"),this.matchKeyword("default"))if(this.nextToken(),this.matchKeyword("function")){var n=this.parseFunctionDeclaration(!0);e=this.finalize(t,new o.ExportDefaultDeclaration(n))}else this.matchKeyword("class")?(n=this.parseClassDeclaration(!0),e=this.finalize(t,new o.ExportDefaultDeclaration(n))):this.matchContextualKeyword("async")?(n=this.matchAsyncFunction()?this.parseFunctionDeclaration(!0):this.parseAssignmentExpression(),e=this.finalize(t,new o.ExportDefaultDeclaration(n))):(this.matchContextualKeyword("from")&&this.throwError(a.Messages.UnexpectedToken,this.lookahead.value),n=this.match("{")?this.parseObjectInitializer():this.match("[")?this.parseArrayInitializer():this.parseAssignmentExpression(),this.consumeSemicolon(),e=this.finalize(t,new o.ExportDefaultDeclaration(n)));else if(this.match("*")){if(this.nextToken(),!this.matchContextualKeyword("from")){var r=this.lookahead.value?a.Messages.UnexpectedToken:a.Messages.MissingFromClause;this.throwError(r,this.lookahead.value)}this.nextToken();var i=this.parseModuleSpecifier();this.consumeSemicolon(),e=this.finalize(t,new o.ExportAllDeclaration(i))}else if(4===this.lookahead.type){switch(n=void 0,this.lookahead.value){case"let":case"const":n=this.parseLexicalDeclaration({inFor:!1});break;case"var":case"class":case"function":n=this.parseStatementListItem();break;default:this.throwUnexpectedToken(this.lookahead)}e=this.finalize(t,new o.ExportNamedDeclaration(n,[],null))}else if(this.matchAsyncFunction())n=this.parseFunctionDeclaration(),e=this.finalize(t,new o.ExportNamedDeclaration(n,[],null));else{var s=[],l=null,c=!1;for(this.expect("{");!this.match("}");)c=c||this.matchKeyword("default"),s.push(this.parseExportSpecifier()),this.match("}")||this.expect(",");this.expect("}"),this.matchContextualKeyword("from")?(this.nextToken(),l=this.parseModuleSpecifier(),this.consumeSemicolon()):c?(r=this.lookahead.value?a.Messages.UnexpectedToken:a.Messages.MissingFromClause,this.throwError(r,this.lookahead.value)):this.consumeSemicolon(),e=this.finalize(t,new o.ExportNamedDeclaration(null,s,l))}return e},e}();t.Parser=u},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.assert=function(e,t){if(!e)throw new Error("ASSERT: "+t)}},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){this.errors=[],this.tolerant=!1}return e.prototype.recordError=function(e){this.errors.push(e)},e.prototype.tolerate=function(e){if(!this.tolerant)throw e;this.recordError(e)},e.prototype.constructError=function(e,t){var n=new Error(e);try{throw n}catch(e){Object.create&&Object.defineProperty&&(n=Object.create(e),Object.defineProperty(n,"column",{value:t}))}return n},e.prototype.createError=function(e,t,n,r){var i="Line "+t+": "+r,a=this.constructError(i,n);return a.index=e,a.lineNumber=t,a.description=r,a},e.prototype.throwError=function(e,t,n,r){throw this.createError(e,t,n,r)},e.prototype.tolerateError=function(e,t,n,r){var i=this.createError(e,t,n,r);if(!this.tolerant)throw i;this.recordError(i)},e}();t.ErrorHandler=n},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Messages={BadGetterArity:"Getter must not have any formal parameters",BadSetterArity:"Setter must have exactly one formal parameter",BadSetterRestParameter:"Setter function argument must not be a rest parameter",ConstructorIsAsync:"Class constructor may not be an async method",ConstructorSpecialMethod:"Class constructor may not be an accessor",DeclarationMissingInitializer:"Missing initializer in %0 declaration",DefaultRestParameter:"Unexpected token =",DuplicateBinding:"Duplicate binding %0",DuplicateConstructor:"A class may only have one constructor",DuplicateProtoProperty:"Duplicate __proto__ fields are not allowed in object literals",ForInOfLoopInitializer:"%0 loop variable declaration may not have an initializer",GeneratorInLegacyContext:"Generator declarations are not allowed in legacy contexts",IllegalBreak:"Illegal break statement",IllegalContinue:"Illegal continue statement",IllegalExportDeclaration:"Unexpected token",IllegalImportDeclaration:"Unexpected token",IllegalLanguageModeDirective:"Illegal 'use strict' directive in function with non-simple parameter list",IllegalReturn:"Illegal return statement",InvalidEscapedReservedWord:"Keyword must not contain escaped characters",InvalidHexEscapeSequence:"Invalid hexadecimal escape sequence",InvalidLHSInAssignment:"Invalid left-hand side in assignment",InvalidLHSInForIn:"Invalid left-hand side in for-in",InvalidLHSInForLoop:"Invalid left-hand side in for-loop",InvalidModuleSpecifier:"Unexpected token",InvalidRegExp:"Invalid regular expression",LetInLexicalBinding:"let is disallowed as a lexically bound name",MissingFromClause:"Unexpected token",MultipleDefaultsInSwitch:"More than one default clause in switch statement",NewlineAfterThrow:"Illegal newline after throw",NoAsAfterImportNamespace:"Unexpected token",NoCatchOrFinally:"Missing catch or finally after try",ParameterAfterRestParameter:"Rest parameter must be last formal parameter",Redeclaration:"%0 '%1' has already been declared",StaticPrototype:"Classes may not have static property named prototype",StrictCatchVariable:"Catch variable may not be eval or arguments in strict mode",StrictDelete:"Delete of an unqualified identifier in strict mode.",StrictFunction:"In strict mode code, functions can only be declared at top level or inside a block",StrictFunctionName:"Function name may not be eval or arguments in strict mode",StrictLHSAssignment:"Assignment to eval or arguments is not allowed in strict mode",StrictLHSPostfix:"Postfix increment/decrement may not have eval or arguments operand in strict mode",StrictLHSPrefix:"Prefix increment/decrement may not have eval or arguments operand in strict mode",StrictModeWith:"Strict mode code may not include a with statement",StrictOctalLiteral:"Octal literals are not allowed in strict mode.",StrictParamDupe:"Strict mode function may not have duplicate parameter names",StrictParamName:"Parameter name eval or arguments is not allowed in strict mode",StrictReservedWord:"Use of future reserved word in strict mode",StrictVarName:"Variable name may not be eval or arguments in strict mode",TemplateOctalLiteral:"Octal literals are not allowed in template strings.",UnexpectedEOS:"Unexpected end of input",UnexpectedIdentifier:"Unexpected identifier",UnexpectedNumber:"Unexpected number",UnexpectedReserved:"Unexpected reserved word",UnexpectedString:"Unexpected string",UnexpectedTemplate:"Unexpected quasi %0",UnexpectedToken:"Unexpected token %0",UnexpectedTokenIllegal:"Unexpected token ILLEGAL",UnknownLabel:"Undefined label '%0'",UnterminatedRegExp:"Invalid regular expression: missing /"}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(9),i=n(4),a=n(11);function o(e){return"0123456789abcdef".indexOf(e.toLowerCase())}function s(e){return"01234567".indexOf(e)}var l=function(){function e(e,t){this.source=e,this.errorHandler=t,this.trackComment=!1,this.isModule=!1,this.length=e.length,this.index=0,this.lineNumber=e.length>0?1:0,this.lineStart=0,this.curlyStack=[]}return e.prototype.saveState=function(){return{index:this.index,lineNumber:this.lineNumber,lineStart:this.lineStart}},e.prototype.restoreState=function(e){this.index=e.index,this.lineNumber=e.lineNumber,this.lineStart=e.lineStart},e.prototype.eof=function(){return this.index>=this.length},e.prototype.throwUnexpectedToken=function(e){return void 0===e&&(e=a.Messages.UnexpectedTokenIllegal),this.errorHandler.throwError(this.index,this.lineNumber,this.index-this.lineStart+1,e)},e.prototype.tolerateUnexpectedToken=function(e){void 0===e&&(e=a.Messages.UnexpectedTokenIllegal),this.errorHandler.tolerateError(this.index,this.lineNumber,this.index-this.lineStart+1,e)},e.prototype.skipSingleLineComment=function(e){var t,n,r=[];for(this.trackComment&&(r=[],t=this.index-e,n={start:{line:this.lineNumber,column:this.index-this.lineStart-e},end:{}});!this.eof();){var a=this.source.charCodeAt(this.index);if(++this.index,i.Character.isLineTerminator(a)){if(this.trackComment){n.end={line:this.lineNumber,column:this.index-this.lineStart-1};var o={multiLine:!1,slice:[t+e,this.index-1],range:[t,this.index-1],loc:n};r.push(o)}return 13===a&&10===this.source.charCodeAt(this.index)&&++this.index,++this.lineNumber,this.lineStart=this.index,r}}return this.trackComment&&(n.end={line:this.lineNumber,column:this.index-this.lineStart},o={multiLine:!1,slice:[t+e,this.index],range:[t,this.index],loc:n},r.push(o)),r},e.prototype.skipMultiLineComment=function(){var e,t,n=[];for(this.trackComment&&(n=[],e=this.index-2,t={start:{line:this.lineNumber,column:this.index-this.lineStart-2},end:{}});!this.eof();){var r=this.source.charCodeAt(this.index);if(i.Character.isLineTerminator(r))13===r&&10===this.source.charCodeAt(this.index+1)&&++this.index,++this.lineNumber,++this.index,this.lineStart=this.index;else if(42===r){if(47===this.source.charCodeAt(this.index+1)){if(this.index+=2,this.trackComment){t.end={line:this.lineNumber,column:this.index-this.lineStart};var a={multiLine:!0,slice:[e+2,this.index-2],range:[e,this.index],loc:t};n.push(a)}return n}++this.index}else++this.index}return this.trackComment&&(t.end={line:this.lineNumber,column:this.index-this.lineStart},a={multiLine:!0,slice:[e+2,this.index],range:[e,this.index],loc:t},n.push(a)),this.tolerateUnexpectedToken(),n},e.prototype.scanComments=function(){var e;this.trackComment&&(e=[]);for(var t=0===this.index;!this.eof();){var n=this.source.charCodeAt(this.index);if(i.Character.isWhiteSpace(n))++this.index;else if(i.Character.isLineTerminator(n))++this.index,13===n&&10===this.source.charCodeAt(this.index)&&++this.index,++this.lineNumber,this.lineStart=this.index,t=!0;else if(47===n)if(47===(n=this.source.charCodeAt(this.index+1))){this.index+=2;var r=this.skipSingleLineComment(2);this.trackComment&&(e=e.concat(r)),t=!0}else{if(42!==n)break;this.index+=2,r=this.skipMultiLineComment(),this.trackComment&&(e=e.concat(r))}else if(t&&45===n){if(45!==this.source.charCodeAt(this.index+1)||62!==this.source.charCodeAt(this.index+2))break;this.index+=3,r=this.skipSingleLineComment(3),this.trackComment&&(e=e.concat(r))}else{if(60!==n||this.isModule)break;if("!--"!==this.source.slice(this.index+1,this.index+4))break;this.index+=4,r=this.skipSingleLineComment(4),this.trackComment&&(e=e.concat(r))}}return e},e.prototype.isFutureReservedWord=function(e){switch(e){case"enum":case"export":case"import":case"super":return!0;default:return!1}},e.prototype.isStrictModeReservedWord=function(e){switch(e){case"implements":case"interface":case"package":case"private":case"protected":case"public":case"static":case"yield":case"let":return!0;default:return!1}},e.prototype.isRestrictedWord=function(e){return"eval"===e||"arguments"===e},e.prototype.isKeyword=function(e){switch(e.length){case 2:return"if"===e||"in"===e||"do"===e;case 3:return"var"===e||"for"===e||"new"===e||"try"===e||"let"===e;case 4:return"this"===e||"else"===e||"case"===e||"void"===e||"with"===e||"enum"===e;case 5:return"while"===e||"break"===e||"catch"===e||"throw"===e||"const"===e||"yield"===e||"class"===e||"super"===e;case 6:return"return"===e||"typeof"===e||"delete"===e||"switch"===e||"export"===e||"import"===e;case 7:return"default"===e||"finally"===e||"extends"===e;case 8:return"function"===e||"continue"===e||"debugger"===e;case 10:return"instanceof"===e;default:return!1}},e.prototype.codePointAt=function(e){var t=this.source.charCodeAt(e);if(t>=55296&&t<=56319){var n=this.source.charCodeAt(e+1);n>=56320&&n<=57343&&(t=1024*(t-55296)+n-56320+65536)}return t},e.prototype.scanHexEscape=function(e){for(var t="u"===e?4:2,n=0,r=0;r<t;++r){if(this.eof()||!i.Character.isHexDigit(this.source.charCodeAt(this.index)))return null;n=16*n+o(this.source[this.index++])}return String.fromCharCode(n)},e.prototype.scanUnicodeCodePointEscape=function(){var e=this.source[this.index],t=0;for("}"===e&&this.throwUnexpectedToken();!this.eof()&&(e=this.source[this.index++],i.Character.isHexDigit(e.charCodeAt(0)));)t=16*t+o(e);return(t>1114111||"}"!==e)&&this.throwUnexpectedToken(),i.Character.fromCodePoint(t)},e.prototype.getIdentifier=function(){for(var e=this.index++;!this.eof();){var t=this.source.charCodeAt(this.index);if(92===t)return this.index=e,this.getComplexIdentifier();if(t>=55296&&t<57343)return this.index=e,this.getComplexIdentifier();if(!i.Character.isIdentifierPart(t))break;++this.index}return this.source.slice(e,this.index)},e.prototype.getComplexIdentifier=function(){var e,t=this.codePointAt(this.index),n=i.Character.fromCodePoint(t);for(this.index+=n.length,92===t&&(117!==this.source.charCodeAt(this.index)&&this.throwUnexpectedToken(),++this.index,"{"===this.source[this.index]?(++this.index,e=this.scanUnicodeCodePointEscape()):null!==(e=this.scanHexEscape("u"))&&"\\"!==e&&i.Character.isIdentifierStart(e.charCodeAt(0))||this.throwUnexpectedToken(),n=e);!this.eof()&&(t=this.codePointAt(this.index),i.Character.isIdentifierPart(t));)n+=e=i.Character.fromCodePoint(t),this.index+=e.length,92===t&&(n=n.substr(0,n.length-1),117!==this.source.charCodeAt(this.index)&&this.throwUnexpectedToken(),++this.index,"{"===this.source[this.index]?(++this.index,e=this.scanUnicodeCodePointEscape()):null!==(e=this.scanHexEscape("u"))&&"\\"!==e&&i.Character.isIdentifierPart(e.charCodeAt(0))||this.throwUnexpectedToken(),n+=e);return n},e.prototype.octalToDecimal=function(e){var t="0"!==e,n=s(e);return!this.eof()&&i.Character.isOctalDigit(this.source.charCodeAt(this.index))&&(t=!0,n=8*n+s(this.source[this.index++]),"0123".indexOf(e)>=0&&!this.eof()&&i.Character.isOctalDigit(this.source.charCodeAt(this.index))&&(n=8*n+s(this.source[this.index++]))),{code:n,octal:t}},e.prototype.scanIdentifier=function(){var e,t=this.index,n=92===this.source.charCodeAt(t)?this.getComplexIdentifier():this.getIdentifier();if(3!=(e=1===n.length?3:this.isKeyword(n)?4:"null"===n?5:"true"===n||"false"===n?1:3)&&t+n.length!==this.index){var r=this.index;this.index=t,this.tolerateUnexpectedToken(a.Messages.InvalidEscapedReservedWord),this.index=r}return{type:e,value:n,lineNumber:this.lineNumber,lineStart:this.lineStart,start:t,end:this.index}},e.prototype.scanPunctuator=function(){var e=this.index,t=this.source[this.index];switch(t){case"(":case"{":"{"===t&&this.curlyStack.push("{"),++this.index;break;case".":++this.index,"."===this.source[this.index]&&"."===this.source[this.index+1]&&(this.index+=2,t="...");break;case"}":++this.index,this.curlyStack.pop();break;case")":case";":case",":case"[":case"]":case":":case"?":case"~":++this.index;break;default:">>>="===(t=this.source.substr(this.index,4))?this.index+=4:"==="===(t=t.substr(0,3))||"!=="===t||">>>"===t||"<<="===t||">>="===t||"**="===t?this.index+=3:"&&"===(t=t.substr(0,2))||"||"===t||"=="===t||"!="===t||"+="===t||"-="===t||"*="===t||"/="===t||"++"===t||"--"===t||"<<"===t||">>"===t||"&="===t||"|="===t||"^="===t||"%="===t||"<="===t||">="===t||"=>"===t||"**"===t?this.index+=2:(t=this.source[this.index],"<>=!+-*%&|^/".indexOf(t)>=0&&++this.index)}return this.index===e&&this.throwUnexpectedToken(),{type:7,value:t,lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.scanHexLiteral=function(e){for(var t="";!this.eof()&&i.Character.isHexDigit(this.source.charCodeAt(this.index));)t+=this.source[this.index++];return 0===t.length&&this.throwUnexpectedToken(),i.Character.isIdentifierStart(this.source.charCodeAt(this.index))&&this.throwUnexpectedToken(),{type:6,value:parseInt("0x"+t,16),lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.scanBinaryLiteral=function(e){for(var t,n="";!this.eof()&&("0"===(t=this.source[this.index])||"1"===t);)n+=this.source[this.index++];return 0===n.length&&this.throwUnexpectedToken(),this.eof()||(t=this.source.charCodeAt(this.index),(i.Character.isIdentifierStart(t)||i.Character.isDecimalDigit(t))&&this.throwUnexpectedToken()),{type:6,value:parseInt(n,2),lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.scanOctalLiteral=function(e,t){var n="",r=!1;for(i.Character.isOctalDigit(e.charCodeAt(0))?(r=!0,n="0"+this.source[this.index++]):++this.index;!this.eof()&&i.Character.isOctalDigit(this.source.charCodeAt(this.index));)n+=this.source[this.index++];return r||0!==n.length||this.throwUnexpectedToken(),(i.Character.isIdentifierStart(this.source.charCodeAt(this.index))||i.Character.isDecimalDigit(this.source.charCodeAt(this.index)))&&this.throwUnexpectedToken(),{type:6,value:parseInt(n,8),octal:r,lineNumber:this.lineNumber,lineStart:this.lineStart,start:t,end:this.index}},e.prototype.isImplicitOctalLiteral=function(){for(var e=this.index+1;e<this.length;++e){var t=this.source[e];if("8"===t||"9"===t)return!1;if(!i.Character.isOctalDigit(t.charCodeAt(0)))return!0}return!0},e.prototype.scanNumericLiteral=function(){var e=this.index,t=this.source[e];r.assert(i.Character.isDecimalDigit(t.charCodeAt(0))||"."===t,"Numeric literal must start with a decimal digit or a decimal point");var n="";if("."!==t){if(n=this.source[this.index++],t=this.source[this.index],"0"===n){if("x"===t||"X"===t)return++this.index,this.scanHexLiteral(e);if("b"===t||"B"===t)return++this.index,this.scanBinaryLiteral(e);if("o"===t||"O"===t)return this.scanOctalLiteral(t,e);if(t&&i.Character.isOctalDigit(t.charCodeAt(0))&&this.isImplicitOctalLiteral())return this.scanOctalLiteral(t,e)}for(;i.Character.isDecimalDigit(this.source.charCodeAt(this.index));)n+=this.source[this.index++];t=this.source[this.index]}if("."===t){for(n+=this.source[this.index++];i.Character.isDecimalDigit(this.source.charCodeAt(this.index));)n+=this.source[this.index++];t=this.source[this.index]}if("e"===t||"E"===t)if(n+=this.source[this.index++],"+"!==(t=this.source[this.index])&&"-"!==t||(n+=this.source[this.index++]),i.Character.isDecimalDigit(this.source.charCodeAt(this.index)))for(;i.Character.isDecimalDigit(this.source.charCodeAt(this.index));)n+=this.source[this.index++];else this.throwUnexpectedToken();return i.Character.isIdentifierStart(this.source.charCodeAt(this.index))&&this.throwUnexpectedToken(),{type:6,value:parseFloat(n),lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.scanStringLiteral=function(){var e=this.index,t=this.source[e];r.assert("'"===t||'"'===t,"String literal must starts with a quote"),++this.index;for(var n=!1,o="";!this.eof();){var s=this.source[this.index++];if(s===t){t="";break}if("\\"===s)if((s=this.source[this.index++])&&i.Character.isLineTerminator(s.charCodeAt(0)))++this.lineNumber,"\r"===s&&"\n"===this.source[this.index]&&++this.index,this.lineStart=this.index;else switch(s){case"u":if("{"===this.source[this.index])++this.index,o+=this.scanUnicodeCodePointEscape();else{var l=this.scanHexEscape(s);null===l&&this.throwUnexpectedToken(),o+=l}break;case"x":var c=this.scanHexEscape(s);null===c&&this.throwUnexpectedToken(a.Messages.InvalidHexEscapeSequence),o+=c;break;case"n":o+="\n";break;case"r":o+="\r";break;case"t":o+="\t";break;case"b":o+="\b";break;case"f":o+="\f";break;case"v":o+="\v";break;case"8":case"9":o+=s,this.tolerateUnexpectedToken();break;default:if(s&&i.Character.isOctalDigit(s.charCodeAt(0))){var u=this.octalToDecimal(s);n=u.octal||n,o+=String.fromCharCode(u.code)}else o+=s}else{if(i.Character.isLineTerminator(s.charCodeAt(0)))break;o+=s}}return""!==t&&(this.index=e,this.throwUnexpectedToken()),{type:8,value:o,octal:n,lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.scanTemplate=function(){var e="",t=!1,n=this.index,r="`"===this.source[n],o=!1,s=2;for(++this.index;!this.eof();){var l=this.source[this.index++];if("`"===l){s=1,o=!0,t=!0;break}if("$"===l){if("{"===this.source[this.index]){this.curlyStack.push("${"),++this.index,t=!0;break}e+=l}else if("\\"===l)if(l=this.source[this.index++],i.Character.isLineTerminator(l.charCodeAt(0)))++this.lineNumber,"\r"===l&&"\n"===this.source[this.index]&&++this.index,this.lineStart=this.index;else switch(l){case"n":e+="\n";break;case"r":e+="\r";break;case"t":e+="\t";break;case"u":if("{"===this.source[this.index])++this.index,e+=this.scanUnicodeCodePointEscape();else{var c=this.index,u=this.scanHexEscape(l);null!==u?e+=u:(this.index=c,e+=l)}break;case"x":var d=this.scanHexEscape(l);null===d&&this.throwUnexpectedToken(a.Messages.InvalidHexEscapeSequence),e+=d;break;case"b":e+="\b";break;case"f":e+="\f";break;case"v":e+="\v";break;default:"0"===l?(i.Character.isDecimalDigit(this.source.charCodeAt(this.index))&&this.throwUnexpectedToken(a.Messages.TemplateOctalLiteral),e+="\0"):i.Character.isOctalDigit(l.charCodeAt(0))?this.throwUnexpectedToken(a.Messages.TemplateOctalLiteral):e+=l}else i.Character.isLineTerminator(l.charCodeAt(0))?(++this.lineNumber,"\r"===l&&"\n"===this.source[this.index]&&++this.index,this.lineStart=this.index,e+="\n"):e+=l}return t||this.throwUnexpectedToken(),r||this.curlyStack.pop(),{type:10,value:this.source.slice(n+1,this.index-s),cooked:e,head:r,tail:o,lineNumber:this.lineNumber,lineStart:this.lineStart,start:n,end:this.index}},e.prototype.testRegExp=function(e,t){var n=e,r=this;t.indexOf("u")>=0&&(n=n.replace(/\\u\{([0-9a-fA-F]+)\}|\\u([a-fA-F0-9]{4})/g,(function(e,t,n){var i=parseInt(t||n,16);return i>1114111&&r.throwUnexpectedToken(a.Messages.InvalidRegExp),i<=65535?String.fromCharCode(i):"￿"})).replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g,"￿"));try{RegExp(n)}catch(e){this.throwUnexpectedToken(a.Messages.InvalidRegExp)}try{return new RegExp(e,t)}catch(e){return null}},e.prototype.scanRegExpBody=function(){var e=this.source[this.index];r.assert("/"===e,"Regular expression literal must start with a slash");for(var t=this.source[this.index++],n=!1,o=!1;!this.eof();)if(t+=e=this.source[this.index++],"\\"===e)e=this.source[this.index++],i.Character.isLineTerminator(e.charCodeAt(0))&&this.throwUnexpectedToken(a.Messages.UnterminatedRegExp),t+=e;else if(i.Character.isLineTerminator(e.charCodeAt(0)))this.throwUnexpectedToken(a.Messages.UnterminatedRegExp);else if(n)"]"===e&&(n=!1);else{if("/"===e){o=!0;break}"["===e&&(n=!0)}return o||this.throwUnexpectedToken(a.Messages.UnterminatedRegExp),t.substr(1,t.length-2)},e.prototype.scanRegExpFlags=function(){for(var e="";!this.eof();){var t=this.source[this.index];if(!i.Character.isIdentifierPart(t.charCodeAt(0)))break;if(++this.index,"\\"!==t||this.eof())e+=t;else if("u"===(t=this.source[this.index])){++this.index;var n=this.index,r=this.scanHexEscape("u");if(null!==r)for(e+=r;n<this.index;++n)this.source[n];else this.index=n,e+="u";this.tolerateUnexpectedToken()}else this.tolerateUnexpectedToken()}return e},e.prototype.scanRegExp=function(){var e=this.index,t=this.scanRegExpBody(),n=this.scanRegExpFlags();return{type:9,value:"",pattern:t,flags:n,regex:this.testRegExp(t,n),lineNumber:this.lineNumber,lineStart:this.lineStart,start:e,end:this.index}},e.prototype.lex=function(){if(this.eof())return{type:2,value:"",lineNumber:this.lineNumber,lineStart:this.lineStart,start:this.index,end:this.index};var e=this.source.charCodeAt(this.index);return i.Character.isIdentifierStart(e)?this.scanIdentifier():40===e||41===e||59===e?this.scanPunctuator():39===e||34===e?this.scanStringLiteral():46===e?i.Character.isDecimalDigit(this.source.charCodeAt(this.index+1))?this.scanNumericLiteral():this.scanPunctuator():i.Character.isDecimalDigit(e)?this.scanNumericLiteral():96===e||125===e&&"${"===this.curlyStack[this.curlyStack.length-1]?this.scanTemplate():e>=55296&&e<57343&&i.Character.isIdentifierStart(this.codePointAt(this.index))?this.scanIdentifier():this.scanPunctuator()},e}();t.Scanner=l},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TokenName={},t.TokenName[1]="Boolean",t.TokenName[2]="<end>",t.TokenName[3]="Identifier",t.TokenName[4]="Keyword",t.TokenName[5]="Null",t.TokenName[6]="Numeric",t.TokenName[7]="Punctuator",t.TokenName[8]="String",t.TokenName[9]="RegularExpression",t.TokenName[10]="Template"},function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.XHTMLEntities={quot:'"',amp:"&",apos:"'",gt:">",nbsp:" ",iexcl:"¡",cent:"¢",pound:"£",curren:"¤",yen:"¥",brvbar:"¦",sect:"§",uml:"¨",copy:"©",ordf:"ª",laquo:"«",not:"¬",shy:"­",reg:"®",macr:"¯",deg:"°",plusmn:"±",sup2:"²",sup3:"³",acute:"´",micro:"µ",para:"¶",middot:"·",cedil:"¸",sup1:"¹",ordm:"º",raquo:"»",frac14:"¼",frac12:"½",frac34:"¾",iquest:"¿",Agrave:"À",Aacute:"Á",Acirc:"Â",Atilde:"Ã",Auml:"Ä",Aring:"Å",AElig:"Æ",Ccedil:"Ç",Egrave:"È",Eacute:"É",Ecirc:"Ê",Euml:"Ë",Igrave:"Ì",Iacute:"Í",Icirc:"Î",Iuml:"Ï",ETH:"Ð",Ntilde:"Ñ",Ograve:"Ò",Oacute:"Ó",Ocirc:"Ô",Otilde:"Õ",Ouml:"Ö",times:"×",Oslash:"Ø",Ugrave:"Ù",Uacute:"Ú",Ucirc:"Û",Uuml:"Ü",Yacute:"Ý",THORN:"Þ",szlig:"ß",agrave:"à",aacute:"á",acirc:"â",atilde:"ã",auml:"ä",aring:"å",aelig:"æ",ccedil:"ç",egrave:"è",eacute:"é",ecirc:"ê",euml:"ë",igrave:"ì",iacute:"í",icirc:"î",iuml:"ï",eth:"ð",ntilde:"ñ",ograve:"ò",oacute:"ó",ocirc:"ô",otilde:"õ",ouml:"ö",divide:"÷",oslash:"ø",ugrave:"ù",uacute:"ú",ucirc:"û",uuml:"ü",yacute:"ý",thorn:"þ",yuml:"ÿ",OElig:"Œ",oelig:"œ",Scaron:"Š",scaron:"š",Yuml:"Ÿ",fnof:"ƒ",circ:"ˆ",tilde:"˜",Alpha:"Α",Beta:"Β",Gamma:"Γ",Delta:"Δ",Epsilon:"Ε",Zeta:"Ζ",Eta:"Η",Theta:"Θ",Iota:"Ι",Kappa:"Κ",Lambda:"Λ",Mu:"Μ",Nu:"Ν",Xi:"Ξ",Omicron:"Ο",Pi:"Π",Rho:"Ρ",Sigma:"Σ",Tau:"Τ",Upsilon:"Υ",Phi:"Φ",Chi:"Χ",Psi:"Ψ",Omega:"Ω",alpha:"α",beta:"β",gamma:"γ",delta:"δ",epsilon:"ε",zeta:"ζ",eta:"η",theta:"θ",iota:"ι",kappa:"κ",lambda:"λ",mu:"μ",nu:"ν",xi:"ξ",omicron:"ο",pi:"π",rho:"ρ",sigmaf:"ς",sigma:"σ",tau:"τ",upsilon:"υ",phi:"φ",chi:"χ",psi:"ψ",omega:"ω",thetasym:"ϑ",upsih:"ϒ",piv:"ϖ",ensp:" ",emsp:" ",thinsp:" ",zwnj:"‌",zwj:"‍",lrm:"‎",rlm:"‏",ndash:"–",mdash:"—",lsquo:"‘",rsquo:"’",sbquo:"‚",ldquo:"“",rdquo:"”",bdquo:"„",dagger:"†",Dagger:"‡",bull:"•",hellip:"…",permil:"‰",prime:"′",Prime:"″",lsaquo:"‹",rsaquo:"›",oline:"‾",frasl:"⁄",euro:"€",image:"ℑ",weierp:"℘",real:"ℜ",trade:"™",alefsym:"ℵ",larr:"←",uarr:"↑",rarr:"→",darr:"↓",harr:"↔",crarr:"↵",lArr:"⇐",uArr:"⇑",rArr:"⇒",dArr:"⇓",hArr:"⇔",forall:"∀",part:"∂",exist:"∃",empty:"∅",nabla:"∇",isin:"∈",notin:"∉",ni:"∋",prod:"∏",sum:"∑",minus:"−",lowast:"∗",radic:"√",prop:"∝",infin:"∞",ang:"∠",and:"∧",or:"∨",cap:"∩",cup:"∪",int:"∫",there4:"∴",sim:"∼",cong:"≅",asymp:"≈",ne:"≠",equiv:"≡",le:"≤",ge:"≥",sub:"⊂",sup:"⊃",nsub:"⊄",sube:"⊆",supe:"⊇",oplus:"⊕",otimes:"⊗",perp:"⊥",sdot:"⋅",lceil:"⌈",rceil:"⌉",lfloor:"⌊",rfloor:"⌋",loz:"◊",spades:"♠",clubs:"♣",hearts:"♥",diams:"♦",lang:"⟨",rang:"⟩"}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(10),i=n(12),a=n(13),o=function(){function e(){this.values=[],this.curly=this.paren=-1}return e.prototype.beforeFunctionExpression=function(e){return["(","{","[","in","typeof","instanceof","new","return","case","delete","throw","void","=","+=","-=","*=","**=","/=","%=","<<=",">>=",">>>=","&=","|=","^=",",","+","-","*","**","/","%","++","--","<<",">>",">>>","&","|","^","!","~","&&","||","?",":","===","==",">=","<=","<",">","!=","!=="].indexOf(e)>=0},e.prototype.isRegexStart=function(){var e=this.values[this.values.length-1],t=null!==e;switch(e){case"this":case"]":t=!1;break;case")":var n=this.values[this.paren-1];t="if"===n||"while"===n||"for"===n||"with"===n;break;case"}":if(t=!1,"function"===this.values[this.curly-3])t=!!(r=this.values[this.curly-4])&&!this.beforeFunctionExpression(r);else if("function"===this.values[this.curly-4]){var r;t=!(r=this.values[this.curly-5])||!this.beforeFunctionExpression(r)}}return t},e.prototype.push=function(e){7===e.type||4===e.type?("{"===e.value?this.curly=this.values.length:"("===e.value&&(this.paren=this.values.length),this.values.push(e.value)):this.values.push(null)},e}(),s=function(){function e(e,t){this.errorHandler=new r.ErrorHandler,this.errorHandler.tolerant=!!t&&"boolean"==typeof t.tolerant&&t.tolerant,this.scanner=new i.Scanner(e,this.errorHandler),this.scanner.trackComment=!!t&&"boolean"==typeof t.comment&&t.comment,this.trackRange=!!t&&"boolean"==typeof t.range&&t.range,this.trackLoc=!!t&&"boolean"==typeof t.loc&&t.loc,this.buffer=[],this.reader=new o}return e.prototype.errors=function(){return this.errorHandler.errors},e.prototype.getNextToken=function(){if(0===this.buffer.length){var e=this.scanner.scanComments();if(this.scanner.trackComment)for(var t=0;t<e.length;++t){var n=e[t],r=this.scanner.source.slice(n.slice[0],n.slice[1]),i={type:n.multiLine?"BlockComment":"LineComment",value:r};this.trackRange&&(i.range=n.range),this.trackLoc&&(i.loc=n.loc),this.buffer.push(i)}if(!this.scanner.eof()){var o=void 0;this.trackLoc&&(o={start:{line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart},end:{}});var s="/"===this.scanner.source[this.scanner.index]&&this.reader.isRegexStart()?this.scanner.scanRegExp():this.scanner.lex();this.reader.push(s);var l={type:a.TokenName[s.type],value:this.scanner.source.slice(s.start,s.end)};if(this.trackRange&&(l.range=[s.start,s.end]),this.trackLoc&&(o.end={line:this.scanner.lineNumber,column:this.scanner.index-this.scanner.lineStart},l.loc=o),9===s.type){var c=s.pattern,u=s.flags;l.regex={pattern:c,flags:u}}this.buffer.push(l)}}return this.buffer.shift()},e}();t.Tokenizer=s}])},e.exports=r()},function(e,t,n){"use strict";var r=n(38),i=n(53),a=n(76),o=n(54),s=Object.prototype.toString,l=Object.prototype.hasOwnProperty,c={0:"\\0",7:"\\a",8:"\\b",9:"\\t",10:"\\n",11:"\\v",12:"\\f",13:"\\r",27:"\\e",34:'\\"',92:"\\\\",133:"\\N",160:"\\_",8232:"\\L",8233:"\\P"},u=["y","Y","yes","Yes","YES","on","On","ON","n","N","no","No","NO","off","Off","OFF"];function d(e){var t,n,a;if(t=e.toString(16).toUpperCase(),e<=255)n="x",a=2;else if(e<=65535)n="u",a=4;else{if(!(e<=4294967295))throw new i("code point within a string may not be greater than 0xFFFFFFFF");n="U",a=8}return"\\"+n+r.repeat("0",a-t.length)+t}function f(e){this.schema=e.schema||a,this.indent=Math.max(1,e.indent||2),this.noArrayIndent=e.noArrayIndent||!1,this.skipInvalid=e.skipInvalid||!1,this.flowLevel=r.isNothing(e.flowLevel)?-1:e.flowLevel,this.styleMap=function(e,t){var n,r,i,a,o,s,c;if(null===t)return{};for(n={},i=0,a=(r=Object.keys(t)).length;i<a;i+=1)o=r[i],s=String(t[o]),"!!"===o.slice(0,2)&&(o="tag:yaml.org,2002:"+o.slice(2)),(c=e.compiledTypeMap.fallback[o])&&l.call(c.styleAliases,s)&&(s=c.styleAliases[s]),n[o]=s;return n}(this.schema,e.styles||null),this.sortKeys=e.sortKeys||!1,this.lineWidth=e.lineWidth||80,this.noRefs=e.noRefs||!1,this.noCompatMode=e.noCompatMode||!1,this.condenseFlow=e.condenseFlow||!1,this.implicitTypes=this.schema.compiledImplicit,this.explicitTypes=this.schema.compiledExplicit,this.tag=null,this.result="",this.duplicates=[],this.usedDuplicates=null}function p(e,t){for(var n,i=r.repeat(" ",t),a=0,o=-1,s="",l=e.length;a<l;)-1===(o=e.indexOf("\n",a))?(n=e.slice(a),a=l):(n=e.slice(a,o+1),a=o+1),n.length&&"\n"!==n&&(s+=i),s+=n;return s}function h(e,t){return"\n"+r.repeat(" ",e.indent*t)}function m(e){return 32===e||9===e}function g(e){return 32<=e&&e<=126||161<=e&&e<=55295&&8232!==e&&8233!==e||57344<=e&&e<=65533&&65279!==e||65536<=e&&e<=1114111}function v(e,t){return g(e)&&65279!==e&&44!==e&&91!==e&&93!==e&&123!==e&&125!==e&&58!==e&&(35!==e||t&&function(e){return g(e)&&!m(e)&&65279!==e&&13!==e&&10!==e}(t))}function y(e){return/^\n* /.test(e)}function b(e,t,n,r){e.dump=function(){if(0===t.length)return"''";if(!e.noCompatMode&&-1!==u.indexOf(t))return"'"+t+"'";var a=e.indent*Math.max(1,n),o=-1===e.lineWidth?-1:Math.max(Math.min(e.lineWidth,40),e.lineWidth-a),s=r||e.flowLevel>-1&&n>=e.flowLevel;switch(function(e,t,n,r,i){var a,o,s,l,c=!1,u=!1,d=-1!==r,f=-1,p=g(l=e.charCodeAt(0))&&65279!==l&&!m(l)&&45!==l&&63!==l&&58!==l&&44!==l&&91!==l&&93!==l&&123!==l&&125!==l&&35!==l&&38!==l&&42!==l&&33!==l&&124!==l&&61!==l&&62!==l&&39!==l&&34!==l&&37!==l&&64!==l&&96!==l&&!m(e.charCodeAt(e.length-1));if(t)for(a=0;a<e.length;a++){if(!g(o=e.charCodeAt(a)))return 5;s=a>0?e.charCodeAt(a-1):null,p=p&&v(o,s)}else{for(a=0;a<e.length;a++){if(10===(o=e.charCodeAt(a)))c=!0,d&&(u=u||a-f-1>r&&" "!==e[f+1],f=a);else if(!g(o))return 5;s=a>0?e.charCodeAt(a-1):null,p=p&&v(o,s)}u=u||d&&a-f-1>r&&" "!==e[f+1]}return c||u?n>9&&y(e)?5:u?4:3:p&&!i(e)?1:2}(t,s,e.indent,o,(function(t){return function(e,t){var n,r;for(n=0,r=e.implicitTypes.length;n<r;n+=1)if(e.implicitTypes[n].resolve(t))return!0;return!1}(e,t)}))){case 1:return t;case 2:return"'"+t.replace(/'/g,"''")+"'";case 3:return"|"+_(t,e.indent)+x(p(t,a));case 4:return">"+_(t,e.indent)+x(p(function(e,t){for(var n,r,i,a=/(\n+)([^\n]*)/g,o=(i=-1!==(i=e.indexOf("\n"))?i:e.length,a.lastIndex=i,w(e.slice(0,i),t)),s="\n"===e[0]||" "===e[0];r=a.exec(e);){var l=r[1],c=r[2];n=" "===c[0],o+=l+(s||n||""===c?"":"\n")+w(c,t),s=n}return o}(t,o),a));case 5:return'"'+function(e){for(var t,n,r,i="",a=0;a<e.length;a++)(t=e.charCodeAt(a))>=55296&&t<=56319&&(n=e.charCodeAt(a+1))>=56320&&n<=57343?(i+=d(1024*(t-55296)+n-56320+65536),a++):i+=!(r=c[t])&&g(t)?e[a]:r||d(t);return i}(t)+'"';default:throw new i("impossible error: invalid scalar style")}}()}function _(e,t){var n=y(e)?String(t):"",r="\n"===e[e.length-1];return n+(!r||"\n"!==e[e.length-2]&&"\n"!==e?r?"":"-":"+")+"\n"}function x(e){return"\n"===e[e.length-1]?e.slice(0,-1):e}function w(e,t){if(""===e||" "===e[0])return e;for(var n,r,i=/ [^ ]/g,a=0,o=0,s=0,l="";n=i.exec(e);)(s=n.index)-a>t&&(r=o>a?o:s,l+="\n"+e.slice(a,r),a=r+1),o=s;return l+="\n",e.length-a>t&&o>a?l+=e.slice(a,o)+"\n"+e.slice(o+1):l+=e.slice(a),l.slice(1)}function A(e,t,n){var r,a,o,c,u,d;for(o=0,c=(a=n?e.explicitTypes:e.implicitTypes).length;o<c;o+=1)if(((u=a[o]).instanceOf||u.predicate)&&(!u.instanceOf||"object"==typeof t&&t instanceof u.instanceOf)&&(!u.predicate||u.predicate(t))){if(e.tag=n?u.tag:"?",u.represent){if(d=e.styleMap[u.tag]||u.defaultStyle,"[object Function]"===s.call(u.represent))r=u.represent(t,d);else{if(!l.call(u.represent,d))throw new i("!<"+u.tag+'> tag resolver accepts not "'+d+'" style');r=u.represent[d](t,d)}e.dump=r}return!0}return!1}function S(e,t,n,r,a,o){e.tag=null,e.dump=n,A(e,n,!1)||A(e,n,!0);var l=s.call(e.dump);r&&(r=e.flowLevel<0||e.flowLevel>t);var c,u,d="[object Object]"===l||"[object Array]"===l;if(d&&(u=-1!==(c=e.duplicates.indexOf(n))),(null!==e.tag&&"?"!==e.tag||u||2!==e.indent&&t>0)&&(a=!1),u&&e.usedDuplicates[c])e.dump="*ref_"+c;else{if(d&&u&&!e.usedDuplicates[c]&&(e.usedDuplicates[c]=!0),"[object Object]"===l)r&&0!==Object.keys(e.dump).length?(function(e,t,n,r){var a,o,s,l,c,u,d="",f=e.tag,p=Object.keys(n);if(!0===e.sortKeys)p.sort();else if("function"==typeof e.sortKeys)p.sort(e.sortKeys);else if(e.sortKeys)throw new i("sortKeys must be a boolean or a function");for(a=0,o=p.length;a<o;a+=1)u="",r&&0===a||(u+=h(e,t)),l=n[s=p[a]],S(e,t+1,s,!0,!0,!0)&&((c=null!==e.tag&&"?"!==e.tag||e.dump&&e.dump.length>1024)&&(e.dump&&10===e.dump.charCodeAt(0)?u+="?":u+="? "),u+=e.dump,c&&(u+=h(e,t)),S(e,t+1,l,!0,c)&&(e.dump&&10===e.dump.charCodeAt(0)?u+=":":u+=": ",d+=u+=e.dump));e.tag=f,e.dump=d||"{}"}(e,t,e.dump,a),u&&(e.dump="&ref_"+c+e.dump)):(function(e,t,n){var r,i,a,o,s,l="",c=e.tag,u=Object.keys(n);for(r=0,i=u.length;r<i;r+=1)s="",0!==r&&(s+=", "),e.condenseFlow&&(s+='"'),o=n[a=u[r]],S(e,t,a,!1,!1)&&(e.dump.length>1024&&(s+="? "),s+=e.dump+(e.condenseFlow?'"':"")+":"+(e.condenseFlow?"":" "),S(e,t,o,!1,!1)&&(l+=s+=e.dump));e.tag=c,e.dump="{"+l+"}"}(e,t,e.dump),u&&(e.dump="&ref_"+c+" "+e.dump));else if("[object Array]"===l){var f=e.noArrayIndent&&t>0?t-1:t;r&&0!==e.dump.length?(function(e,t,n,r){var i,a,o="",s=e.tag;for(i=0,a=n.length;i<a;i+=1)S(e,t+1,n[i],!0,!0)&&(r&&0===i||(o+=h(e,t)),e.dump&&10===e.dump.charCodeAt(0)?o+="-":o+="- ",o+=e.dump);e.tag=s,e.dump=o||"[]"}(e,f,e.dump,a),u&&(e.dump="&ref_"+c+e.dump)):(function(e,t,n){var r,i,a="",o=e.tag;for(r=0,i=n.length;r<i;r+=1)S(e,t,n[r],!1,!1)&&(0!==r&&(a+=","+(e.condenseFlow?"":" ")),a+=e.dump);e.tag=o,e.dump="["+a+"]"}(e,f,e.dump),u&&(e.dump="&ref_"+c+" "+e.dump))}else{if("[object String]"!==l){if(e.skipInvalid)return!1;throw new i("unacceptable kind of an object to dump "+l)}"?"!==e.tag&&b(e,e.dump,t,o)}null!==e.tag&&"?"!==e.tag&&(e.dump="!<"+e.tag+"> "+e.dump)}return!0}function T(e,t){var n=new f(t=t||{});return n.noRefs||function(e,t){var n,r,i=[],a=[];for(function e(t,n,r){var i,a,o;if(null!==t&&"object"==typeof t)if(-1!==(a=n.indexOf(t)))-1===r.indexOf(a)&&r.push(a);else if(n.push(t),Array.isArray(t))for(a=0,o=t.length;a<o;a+=1)e(t[a],n,r);else for(a=0,o=(i=Object.keys(t)).length;a<o;a+=1)e(t[i[a]],n,r)}(e,i,a),n=0,r=a.length;n<r;n+=1)t.duplicates.push(i[a[n]]);t.usedDuplicates=new Array(r)}(e,n),S(n,0,e,!0,!0)?n.dump+"\n":""}e.exports.dump=T,e.exports.safeDump=function(e,t){return T(e,r.extend({schema:o},t))}},function(e,t,n){"use strict";n(31),n(32),n(33),n(64),n(19),n(65),n(20),n(68),n(92),n(144),n(22),n(94),n(23);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}),a=this&&this.__values||function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")},o=this&&this.__read||function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,i,a=n.call(e),o=[];try{for(;(void 0===t||t-- >0)&&!(r=a.next()).done;)o.push(r.value)}catch(e){i={error:e}}finally{try{r&&!r.done&&(n=a.return)&&n.call(a)}finally{if(i)throw i.error}}return o};Object.defineProperty(t,"__esModule",{value:!0});var s=n(91),l=n(1),c=n(183),u=n(0),d=n(7),f=n(95),p=n(69),h=n(3),m=n(305),g=n(306),v=n(307),y=function(e){function t(t,n){void 0===n&&(n=!1);var r=e.call(this)||this;return r._hasDeclaration=!1,r._docTypeName="",r._hasDocumentElement=!1,r._currentElementSerialized=!1,r._openTags=[],r._ended=!1,r._fragment=n,r._options=l.applyDefaults(t||{},s.DefaultXMLBuilderCBOptions),r._builderOptions={defaultNamespace:r._options.defaultNamespace,namespaceAlias:r._options.namespaceAlias},"json"===r._options.format?r._writer=new g.JSONCBWriter(r._options):"yaml"===r._options.format?r._writer=new v.YAMLCBWriter(r._options):r._writer=new m.XMLCBWriter(r._options),void 0!==r._options.data&&r.on("data",r._options.data),void 0!==r._options.end&&r.on("end",r._options.end),void 0!==r._options.error&&r.on("error",r._options.error),r._prefixMap=new f.NamespacePrefixMap,r._prefixMap.set("xml",d.namespace.XML),r._prefixIndex={value:1},r._push(r._writer.frontMatter()),r}return i(t,e),t.prototype.ele=function(e,t,n){var r,i;if(l.isObject(e)||l.isString(e)&&(/^\s*</.test(e)||/^\s*[\{\[]/.test(e)||/^(\s*|(#.*)|(%.*))*---/.test(e))){var o=c.fragment().set(this._options);try{o.ele(e)}catch(e){return this.emit("error",e),this}try{for(var s=a(o.node.childNodes),u=s.next();!u.done;u=s.next()){var d=u.value;this._fromNode(d)}}catch(e){r={error:e}}finally{try{u&&!u.done&&(i=s.return)&&i.call(s)}finally{if(r)throw r.error}}return this}if(this._serializeOpenTag(!0),!this._fragment&&this._hasDocumentElement&&0===this._writer.level)return this.emit("error",new Error("Document cannot have multiple document element nodes.")),this;try{this._currentElement=c.fragment(this._builderOptions).ele(e,t,n)}catch(e){return this.emit("error",e),this}return this._fragment||this._hasDocumentElement||""===this._docTypeName||this._currentElement.node._qualifiedName===this._docTypeName?(this._currentElementSerialized=!1,this._fragment||(this._hasDocumentElement=!0),this):(this.emit("error",new Error("Document element name does not match DocType declaration name.")),this)},t.prototype.att=function(e,t,n){if(void 0===this._currentElement)return this.emit("error",new Error("Cannot insert an attribute node as child of a document node.")),this;try{this._currentElement.att(e,t,n)}catch(e){return this.emit("error",e),this}return this},t.prototype.com=function(e){var t;this._serializeOpenTag(!0);try{t=c.fragment(this._builderOptions).com(e).first().node}catch(e){return this.emit("error",e),this}return!this._options.wellFormed||u.xml_isLegalChar(t.data)&&-1===t.data.indexOf("--")&&!t.data.endsWith("-")?(this._push(this._writer.comment(t.data)),this):(this.emit("error",new Error("Comment data contains invalid characters (well-formed required).")),this)},t.prototype.txt=function(e){if(!this._fragment&&void 0===this._currentElement)return this.emit("error",new Error("Cannot insert a text node as child of a document node.")),this;var t;this._serializeOpenTag(!0);try{t=c.fragment(this._builderOptions).txt(e).first().node}catch(e){return this.emit("error",e),this}if(this._options.wellFormed&&!u.xml_isLegalChar(t.data))return this.emit("error",new Error("Text data contains invalid characters (well-formed required).")),this;var n=t.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");return this._push(this._writer.text(n)),this},t.prototype.ins=function(e,t){var n;void 0===t&&(t=""),this._serializeOpenTag(!0);try{n=c.fragment(this._builderOptions).ins(e,t).first().node}catch(e){return this.emit("error",e),this}return this._options.wellFormed&&(-1!==n.target.indexOf(":")||/^xml$/i.test(n.target))?(this.emit("error",new Error("Processing instruction target contains invalid characters (well-formed required).")),this):this._options.wellFormed&&!u.xml_isLegalChar(n.data)?(this.emit("error",Error("Processing instruction data contains invalid characters (well-formed required).")),this):(this._push(this._writer.instruction(n.target,n.data)),this)},t.prototype.dat=function(e){var t;this._serializeOpenTag(!0);try{t=c.fragment(this._builderOptions).dat(e).first().node}catch(e){return this.emit("error",e),this}return this._push(this._writer.cdata(t.data)),this},t.prototype.dec=function(e){return void 0===e&&(e={version:"1.0"}),this._fragment?(this.emit("error",Error("Cannot insert an XML declaration into a document fragment.")),this):this._hasDeclaration?(this.emit("error",Error("XML declaration is already inserted.")),this):(this._push(this._writer.declaration(e.version||"1.0",e.encoding,e.standalone)),this._hasDeclaration=!0,this)},t.prototype.dtd=function(e){if(this._fragment)return this.emit("error",Error("Cannot insert a DocType declaration into a document fragment.")),this;if(""!==this._docTypeName)return this.emit("error",new Error("DocType declaration is already inserted.")),this;if(this._hasDocumentElement)return this.emit("error",new Error("Cannot insert DocType declaration after document element.")),this;var t;try{t=c.create().dtd(e).first().node}catch(e){return this.emit("error",e),this}return this._options.wellFormed&&!u.xml_isPubidChar(t.publicId)?(this.emit("error",new Error("DocType public identifier does not match PubidChar construct (well-formed required).")),this):this._options.wellFormed&&(!u.xml_isLegalChar(t.systemId)||-1!==t.systemId.indexOf('"')&&-1!==t.systemId.indexOf("'"))?(this.emit("error",new Error("DocType system identifier contains invalid characters (well-formed required).")),this):(this._docTypeName=e.name,this._push(this._writer.docType(e.name,t.publicId,t.systemId)),this)},t.prototype.import=function(e){var t,n,r=c.fragment().set(this._options);try{r.import(e)}catch(e){return this.emit("error",e),this}try{for(var i=a(r.node.childNodes),o=i.next();!o.done;o=i.next()){var s=o.value;this._fromNode(s)}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=i.return)&&n.call(i)}finally{if(t)throw t.error}}return this},t.prototype.up=function(){return this._serializeOpenTag(!1),this._serializeCloseTag(),this},t.prototype.end=function(){for(this._serializeOpenTag(!1);this._openTags.length>0;)this._serializeCloseTag();return this._push(null),this},t.prototype._serializeOpenTag=function(e){if(!this._currentElementSerialized&&void 0!==this._currentElement){var n=this._currentElement.node;if(!this._options.wellFormed||-1===n.localName.indexOf(":")&&u.xml_isName(n.localName)){var r="",i=!1,a=this._prefixMap.copy(),o={},s=this._recordNamespaceInformation(n,a,o),l=0===this._openTags.length?null:this._openTags[this._openTags.length-1][1],c=n.namespaceURI;if(null===c&&(c=l),l===c)null!==s&&(i=!0),r=c===d.namespace.XML?"xml:"+n.localName:n.localName,this._writer.beginElement(r),this._push(this._writer.openTagBegin(r));else{var f=n.prefix,p=null;if(null===f&&c===s||(p=a.get(f,c)),"xmlns"===f){if(this._options.wellFormed)return void this.emit("error",new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));p=f}null!==p?(r=p+":"+n.localName,null!==s&&s!==d.namespace.XML&&(l=s||null),this._writer.beginElement(r),this._push(this._writer.openTagBegin(r))):null!==f?(f in o&&(f=this._generatePrefix(c,a,this._prefixIndex)),a.set(f,c),r+=f+":"+n.localName,this._writer.beginElement(r),this._push(this._writer.openTagBegin(r)),this._push(this._writer.attribute("xmlns:"+f,this._serializeAttributeValue(c,this._options.wellFormed))),null!==s&&(l=s||null)):null===s||null!==s&&s!==c?(i=!0,r+=n.localName,l=c,this._writer.beginElement(r),this._push(this._writer.openTagBegin(r)),this._push(this._writer.attribute("xmlns",this._serializeAttributeValue(c,this._options.wellFormed)))):(r+=n.localName,l=c,this._writer.beginElement(r),this._push(this._writer.openTagBegin(r)))}this._serializeAttributes(n,a,this._prefixIndex,o,i,this._options.wellFormed);var h=c===d.namespace.HTML;h&&!e&&t._VoidElementNames.has(n.localName)?(this._push(this._writer.openTagEnd(r,!0,!0)),this._writer.endElement(r)):h||e?this._push(this._writer.openTagEnd(r,!1,!1)):(this._push(this._writer.openTagEnd(r,!0,!1)),this._writer.endElement(r)),this._currentElementSerialized=!0,this._openTags.push([r,l,this._prefixMap,e]),this._isPrefixMapModified(this._prefixMap,a)&&(this._prefixMap=a),this._writer.level++}else this.emit("error",new Error("Node local name contains invalid characters (well-formed required)."))}},t.prototype._serializeCloseTag=function(){this._writer.level--;var e=this._openTags.pop();if(void 0!==e){var t=o(e,4),n=t[0],r=(t[1],t[2]),i=t[3];this._prefixMap=r,i&&(this._push(this._writer.closeTag(n)),this._writer.endElement(n))}else this.emit("error",new Error("Last element is undefined."))},t.prototype._push=function(e){null===e?(this._ended=!0,this.emit("end")):this._ended?this.emit("error",new Error("Cannot push to ended stream.")):0!==e.length&&(this._writer.hasData=!0,this.emit("data",e,this._writer.level))},t.prototype._fromNode=function(e){var t,n,r,i;if(h.Guard.isElementNode(e)){var o=e.prefix?e.prefix+":"+e.localName:e.localName;null!==e.namespaceURI?this.ele(e.namespaceURI,o):this.ele(o);try{for(var s=a(e.attributes),l=s.next();!l.done;l=s.next()){var c=l.value,u=c.prefix?c.prefix+":"+c.localName:c.localName;null!==c.namespaceURI?this.att(c.namespaceURI,u,c.value):this.att(u,c.value)}}catch(e){t={error:e}}finally{try{l&&!l.done&&(n=s.return)&&n.call(s)}finally{if(t)throw t.error}}try{for(var d=a(e.childNodes),f=d.next();!f.done;f=d.next()){var p=f.value;this._fromNode(p)}}catch(e){r={error:e}}finally{try{f&&!f.done&&(i=d.return)&&i.call(d)}finally{if(r)throw r.error}}this.up()}else h.Guard.isExclusiveTextNode(e)&&e.data?this.txt(e.data):h.Guard.isCommentNode(e)?this.com(e.data):h.Guard.isCDATASectionNode(e)?this.dat(e.data):h.Guard.isProcessingInstructionNode(e)&&this.ins(e.target,e.data)},t.prototype._serializeAttributes=function(e,t,n,r,i,o){var s,l,c=o?new p.LocalNameSet:void 0;try{for(var f=a(e.attributes),h=f.next();!h.done;h=f.next()){var m=h.value;if(o||i||null!==m.namespaceURI){if(o&&c&&c.has(m.namespaceURI,m.localName))return void this.emit("error",new Error("Element contains duplicate attributes (well-formed required)."));o&&c&&c.set(m.namespaceURI,m.localName);var g=m.namespaceURI,v=null;if(null!==g)if(v=t.get(m.prefix,g),g===d.namespace.XMLNS){if(m.value===d.namespace.XML||null===m.prefix&&i||null!==m.prefix&&(!(m.localName in r)||r[m.localName]!==m.value)&&t.has(m.localName,m.value))continue;if(o&&m.value===d.namespace.XMLNS)return void this.emit("error",new Error("XMLNS namespace is reserved (well-formed required)."));if(o&&""===m.value)return void this.emit("error",new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));"xmlns"===m.prefix&&(v="xmlns")}else null===v&&(v=null===m.prefix||t.hasPrefix(m.prefix)&&!t.has(m.prefix,g)?this._generatePrefix(g,t,n):m.prefix,this._push(this._writer.attribute("xmlns:"+v,this._serializeAttributeValue(g,this._options.wellFormed))));if(o&&(-1!==m.localName.indexOf(":")||!u.xml_isName(m.localName)||"xmlns"===m.localName&&null===g))return void this.emit("error",new Error("Attribute local name contains invalid characters (well-formed required)."));this._push(this._writer.attribute((null!==v?v+":":"")+m.localName,this._serializeAttributeValue(m.value,this._options.wellFormed)))}else this._push(this._writer.attribute(m.localName,this._serializeAttributeValue(m.value,this._options.wellFormed)))}}catch(e){s={error:e}}finally{try{h&&!h.done&&(l=f.return)&&l.call(f)}finally{if(s)throw s.error}}},t.prototype._serializeAttributeValue=function(e,t){return t&&null!==e&&!u.xml_isLegalChar(e)?(this.emit("error",new Error("Invalid characters in attribute value.")),""):null===e?"":e.replace(/(?!&(lt|gt|amp|apos|quot);)&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;")},t.prototype._recordNamespaceInformation=function(e,t,n){var r,i,o=null;try{for(var s=a(e.attributes),l=s.next();!l.done;l=s.next()){var c=l.value,u=c.namespaceURI,f=c.prefix;if(u===d.namespace.XMLNS){if(null===f){o=c.value;continue}var p=c.localName,h=c.value;if(h===d.namespace.XML)continue;if(""===h&&(h=null),t.has(p,h))continue;t.set(p,h),n[p]=h||""}}}catch(e){r={error:e}}finally{try{l&&!l.done&&(i=s.return)&&i.call(s)}finally{if(r)throw r.error}}return o},t.prototype._generatePrefix=function(e,t,n){var r="ns"+n.value;return n.value++,t.set(r,e),r},t.prototype._isPrefixMapModified=function(e,t){var n=e._items,r=t._items,i=e._nullItems,a=t._nullItems;for(var o in r){var s=n[o];if(void 0===s)return!0;var l=r[o];if(s.length!==l.length)return!0;for(var c=0;c<s.length;c++)if(s[c]!==l[c])return!0}if(i.length!==a.length)return!0;for(c=0;c<i.length;c++)if(i[c]!==a[c])return!0;return!1},t._VoidElementNames=new Set(["area","base","basefont","bgsound","br","col","embed","frame","hr","img","input","keygen","link","menuitem","meta","param","source","track","wbr"]),t}(n(308).EventEmitter);t.XMLBuilderCBImpl=y},function(e,t,n){"use strict";n(74);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this,t)||this;return n._lineLength=0,n}return i(t,e),t.prototype.frontMatter=function(){return""},t.prototype.declaration=function(e,t,n){var r=this._beginLine()+"<?xml";return r+=' version="'+e+'"',void 0!==t&&(r+=' encoding="'+t+'"'),void 0!==n&&(r+=' standalone="'+(n?"yes":"no")+'"'),r+"?>"},t.prototype.docType=function(e,t,n){return this._beginLine()+(t&&n?"<!DOCTYPE "+e+' PUBLIC "'+t+'" "'+n+'">':t?"<!DOCTYPE "+e+' PUBLIC "'+t+'">':n?"<!DOCTYPE "+e+' SYSTEM "'+n+'">':"<!DOCTYPE "+e+">")},t.prototype.comment=function(e){return this._beginLine()+"\x3c!--"+e+"--\x3e"},t.prototype.text=function(e){return this._beginLine()+e},t.prototype.instruction=function(e,t){return t?this._beginLine()+"<?"+e+" "+t+"?>":this._beginLine()+"<?"+e+"?>"},t.prototype.cdata=function(e){return this._beginLine()+"<![CDATA["+e+"]]>"},t.prototype.openTagBegin=function(e){return this._lineLength+=1+e.length,this._beginLine()+"<"+e},t.prototype.openTagEnd=function(e,t,n){return n?" />":t?this._writerOptions.allowEmptyTags?"></"+e+">":this._writerOptions.spaceBeforeSlash?" />":"/>":">"},t.prototype.closeTag=function(e){return this._beginLine()+"</"+e+">"},t.prototype.attribute=function(e,t){var n=e+'="'+t+'"';return this._writerOptions.prettyPrint&&this._writerOptions.width>0&&this._lineLength+1+n.length>this._writerOptions.width?(n=this._beginLine()+this._indent(1)+n,this._lineLength=n.length,n):(this._lineLength+=1+n.length," "+n)},t.prototype.beginElement=function(e){},t.prototype.endElement=function(e){},t.prototype._beginLine=function(){if(this._writerOptions.prettyPrint){var e=(this.hasData?this._writerOptions.newline:"")+this._indent(this._writerOptions.offset+this.level);return this._lineLength=e.length,e}return""},t.prototype._indent=function(e){return e<=0?"":this._writerOptions.indent.repeat(e)},t}(n(114).BaseCBWriter);t.XMLCBWriter=a},function(e,t,n){"use strict";n(74);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this,t)||this;return n._hasChildren=[],n._additionalLevel=0,n}return i(t,e),t.prototype.frontMatter=function(){return""},t.prototype.declaration=function(e,t,n){return""},t.prototype.docType=function(e,t,n){return""},t.prototype.comment=function(e){return this._comma()+this._beginLine()+"{"+this._sep()+this._key(this._builderOptions.convert.comment)+this._sep()+this._val(e)+this._sep()+"}"},t.prototype.text=function(e){return this._comma()+this._beginLine()+"{"+this._sep()+this._key(this._builderOptions.convert.text)+this._sep()+this._val(e)+this._sep()+"}"},t.prototype.instruction=function(e,t){return this._comma()+this._beginLine()+"{"+this._sep()+this._key(this._builderOptions.convert.ins)+this._sep()+this._val(t?e+" "+t:e)+this._sep()+"}"},t.prototype.cdata=function(e){return this._comma()+this._beginLine()+"{"+this._sep()+this._key(this._builderOptions.convert.cdata)+this._sep()+this._val(e)+this._sep()+"}"},t.prototype.attribute=function(e,t){return this._comma()+this._beginLine(1)+"{"+this._sep()+this._key(this._builderOptions.convert.att+e)+this._sep()+this._val(t)+this._sep()+"}"},t.prototype.openTagBegin=function(e){var t=this._comma()+this._beginLine()+"{"+this._sep()+this._key(e)+this._sep()+"{";return this._additionalLevel++,this.hasData=!0,t+=this._beginLine()+this._key(this._builderOptions.convert.text)+this._sep()+"[",this._hasChildren.push(!1),t},t.prototype.openTagEnd=function(e,t,n){if(t){var r=this._sep()+"]";return this._additionalLevel--,r+(this._beginLine()+"}")+this._sep()+"}"}return""},t.prototype.closeTag=function(e){var t=this._beginLine()+"]";return this._additionalLevel--,t+(this._beginLine()+"}")+this._sep()+"}"},t.prototype.beginElement=function(e){},t.prototype.endElement=function(e){this._hasChildren.pop()},t.prototype._beginLine=function(e){return void 0===e&&(e=0),this._writerOptions.prettyPrint?(this.hasData?this._writerOptions.newline:"")+this._indent(this._writerOptions.offset+this.level+e):""},t.prototype._indent=function(e){return e+this._additionalLevel<=0?"":this._writerOptions.indent.repeat(e+this._additionalLevel)},t.prototype._comma=function(){var e=this._hasChildren[this._hasChildren.length-1]?",":"";return this._hasChildren.length>0&&(this._hasChildren[this._hasChildren.length-1]=!0),e},t.prototype._sep=function(){return this._writerOptions.prettyPrint?" ":""},t.prototype._key=function(e){return'"'+e+'":'},t.prototype._val=function(e){return JSON.stringify(e)},t}(n(114).BaseCBWriter);t.JSONCBWriter=a},function(e,t,n){"use strict";n(74);var r,i=this&&this.__extends||(r=function(e,t){return(r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(e,t)},function(e,t){function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)});Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this,t)||this;if(n._rootWritten=!1,n._additionalLevel=0,t.indent.length<2)throw new Error("YAML indententation string must be at least two characters long.");if(t.offset<0)throw new Error("YAML offset should be zero or a positive number.");return n}return i(t,e),t.prototype.frontMatter=function(){return this._beginLine()+"---"},t.prototype.declaration=function(e,t,n){return""},t.prototype.docType=function(e,t,n){return""},t.prototype.comment=function(e){return this._beginLine()+this._key(this._builderOptions.convert.comment)+" "+this._val(e)},t.prototype.text=function(e){return this._beginLine()+this._key(this._builderOptions.convert.text)+" "+this._val(e)},t.prototype.instruction=function(e,t){return this._beginLine()+this._key(this._builderOptions.convert.ins)+" "+this._val(t?e+" "+t:e)},t.prototype.cdata=function(e){return this._beginLine()+this._key(this._builderOptions.convert.cdata)+" "+this._val(e)},t.prototype.attribute=function(e,t){this._additionalLevel++;var n=this._beginLine()+this._key(this._builderOptions.convert.att+e)+" "+this._val(t);return this._additionalLevel--,n},t.prototype.openTagBegin=function(e){var t=this._beginLine()+this._key(e);return this._rootWritten||(this._rootWritten=!0),this.hasData=!0,this._additionalLevel++,t+(this._beginLine(!0)+this._key(this._builderOptions.convert.text))},t.prototype.openTagEnd=function(e,t,n){return t?" "+this._val(""):""},t.prototype.closeTag=function(e){return this._additionalLevel--,""},t.prototype.beginElement=function(e){},t.prototype.endElement=function(e){},t.prototype._beginLine=function(e){return void 0===e&&(e=!1),(this.hasData?this._writerOptions.newline:"")+this._indent(this._writerOptions.offset+this.level,e)},t.prototype._indent=function(e,t){if(e+this._additionalLevel<=0)return"";var n=this._writerOptions.indent.repeat(e+this._additionalLevel);return!t&&this._rootWritten?n.substr(0,n.length-2)+"-"+n.substr(-1,1):n},t.prototype._key=function(e){return'"'+e+'":'},t.prototype._val=function(e){return JSON.stringify(e)},t}(n(114).BaseCBWriter);t.YAMLCBWriter=a},function(e,t,n){"use strict";var r,i="object"==typeof Reflect?Reflect:null,a=i&&"function"==typeof i.apply?i.apply:function(e,t,n){return Function.prototype.apply.call(e,t,n)};r=i&&"function"==typeof i.ownKeys?i.ownKeys:Object.getOwnPropertySymbols?function(e){return Object.getOwnPropertyNames(e).concat(Object.getOwnPropertySymbols(e))}:function(e){return Object.getOwnPropertyNames(e)};var o=Number.isNaN||function(e){return e!=e};function s(){s.init.call(this)}e.exports=s,s.EventEmitter=s,s.prototype._events=void 0,s.prototype._eventsCount=0,s.prototype._maxListeners=void 0;var l=10;function c(e){if("function"!=typeof e)throw new TypeError('The "listener" argument must be of type Function. Received type '+typeof e)}function u(e){return void 0===e._maxListeners?s.defaultMaxListeners:e._maxListeners}function d(e,t,n,r){var i,a,o,s;if(c(n),void 0===(a=e._events)?(a=e._events=Object.create(null),e._eventsCount=0):(void 0!==a.newListener&&(e.emit("newListener",t,n.listener?n.listener:n),a=e._events),o=a[t]),void 0===o)o=a[t]=n,++e._eventsCount;else if("function"==typeof o?o=a[t]=r?[n,o]:[o,n]:r?o.unshift(n):o.push(n),(i=u(e))>0&&o.length>i&&!o.warned){o.warned=!0;var l=new Error("Possible EventEmitter memory leak detected. "+o.length+" "+String(t)+" listeners added. Use emitter.setMaxListeners() to increase limit");l.name="MaxListenersExceededWarning",l.emitter=e,l.type=t,l.count=o.length,s=l,console&&console.warn&&console.warn(s)}return e}function f(){if(!this.fired)return this.target.removeListener(this.type,this.wrapFn),this.fired=!0,0===arguments.length?this.listener.call(this.target):this.listener.apply(this.target,arguments)}function p(e,t,n){var r={fired:!1,wrapFn:void 0,target:e,type:t,listener:n},i=f.bind(r);return i.listener=n,r.wrapFn=i,i}function h(e,t,n){var r=e._events;if(void 0===r)return[];var i=r[t];return void 0===i?[]:"function"==typeof i?n?[i.listener||i]:[i]:n?function(e){for(var t=new Array(e.length),n=0;n<t.length;++n)t[n]=e[n].listener||e[n];return t}(i):g(i,i.length)}function m(e){var t=this._events;if(void 0!==t){var n=t[e];if("function"==typeof n)return 1;if(void 0!==n)return n.length}return 0}function g(e,t){for(var n=new Array(t),r=0;r<t;++r)n[r]=e[r];return n}Object.defineProperty(s,"defaultMaxListeners",{enumerable:!0,get:function(){return l},set:function(e){if("number"!=typeof e||e<0||o(e))throw new RangeError('The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received '+e+".");l=e}}),s.init=function(){void 0!==this._events&&this._events!==Object.getPrototypeOf(this)._events||(this._events=Object.create(null),this._eventsCount=0),this._maxListeners=this._maxListeners||void 0},s.prototype.setMaxListeners=function(e){if("number"!=typeof e||e<0||o(e))throw new RangeError('The value of "n" is out of range. It must be a non-negative number. Received '+e+".");return this._maxListeners=e,this},s.prototype.getMaxListeners=function(){return u(this)},s.prototype.emit=function(e){for(var t=[],n=1;n<arguments.length;n++)t.push(arguments[n]);var r="error"===e,i=this._events;if(void 0!==i)r=r&&void 0===i.error;else if(!r)return!1;if(r){var o;if(t.length>0&&(o=t[0]),o instanceof Error)throw o;var s=new Error("Unhandled error."+(o?" ("+o.message+")":""));throw s.context=o,s}var l=i[e];if(void 0===l)return!1;if("function"==typeof l)a(l,this,t);else{var c=l.length,u=g(l,c);for(n=0;n<c;++n)a(u[n],this,t)}return!0},s.prototype.addListener=function(e,t){return d(this,e,t,!1)},s.prototype.on=s.prototype.addListener,s.prototype.prependListener=function(e,t){return d(this,e,t,!0)},s.prototype.once=function(e,t){return c(t),this.on(e,p(this,e,t)),this},s.prototype.prependOnceListener=function(e,t){return c(t),this.prependListener(e,p(this,e,t)),this},s.prototype.removeListener=function(e,t){var n,r,i,a,o;if(c(t),void 0===(r=this._events))return this;if(void 0===(n=r[e]))return this;if(n===t||n.listener===t)0==--this._eventsCount?this._events=Object.create(null):(delete r[e],r.removeListener&&this.emit("removeListener",e,n.listener||t));else if("function"!=typeof n){for(i=-1,a=n.length-1;a>=0;a--)if(n[a]===t||n[a].listener===t){o=n[a].listener,i=a;break}if(i<0)return this;0===i?n.shift():function(e,t){for(;t+1<e.length;t++)e[t]=e[t+1];e.pop()}(n,i),1===n.length&&(r[e]=n[0]),void 0!==r.removeListener&&this.emit("removeListener",e,o||t)}return this},s.prototype.off=s.prototype.removeListener,s.prototype.removeAllListeners=function(e){var t,n,r;if(void 0===(n=this._events))return this;if(void 0===n.removeListener)return 0===arguments.length?(this._events=Object.create(null),this._eventsCount=0):void 0!==n[e]&&(0==--this._eventsCount?this._events=Object.create(null):delete n[e]),this;if(0===arguments.length){var i,a=Object.keys(n);for(r=0;r<a.length;++r)"removeListener"!==(i=a[r])&&this.removeAllListeners(i);return this.removeAllListeners("removeListener"),this._events=Object.create(null),this._eventsCount=0,this}if("function"==typeof(t=n[e]))this.removeListener(e,t);else if(void 0!==t)for(r=t.length-1;r>=0;r--)this.removeListener(e,t[r]);return this},s.prototype.listeners=function(e){return h(this,e,!0)},s.prototype.rawListeners=function(e){return h(this,e,!1)},s.listenerCount=function(e,t){return"function"==typeof e.listenerCount?e.listenerCount(t):m.call(e,t)},s.prototype.listenerCount=m,s.prototype.eventNames=function(){return this._eventsCount>0?r(this._events):[]}},function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(77);t.createCB=function(e){return new r.XMLBuilderCBImpl(e)},t.fragmentCB=function(e){return new r.XMLBuilderCBImpl(e,!0)}}])},1234:function(){}},t={};function n(r){var i=t[r];if(void 0!==i)return i.exports;var a=t[r]={id:r,loaded:!1,exports:{}};return e[r].call(a.exports,a,a.exports,n),a.loaded=!0,a.exports}n.amdD=function(){throw new Error("define cannot be used indirect")},n.amdO={},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,{a:t}),t},n.d=function(e,t){for(var r in t)n.o(t,r)&&!n.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},n.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},n.nmd=function(e){return e.paths=[],e.children||(e.children=[]),e},function(){"use strict";var e={};n.r(e),n.d(e,{add:function(){return lx},adjoint:function(){return E_},clone:function(){return __},copy:function(){return x_},create:function(){return b_},determinant:function(){return M_},equals:function(){return px},exactEquals:function(){return fx},frob:function(){return sx},fromQuat:function(){return K_},fromQuat2:function(){return j_},fromRotation:function(){return B_},fromRotationTranslation:function(){return z_},fromRotationTranslationScale:function(){return X_},fromRotationTranslationScaleOrigin:function(){return q_},fromScaling:function(){return F_},fromTranslation:function(){return L_},fromValues:function(){return w_},fromXRotation:function(){return U_},fromYRotation:function(){return V_},fromZRotation:function(){return G_},frustum:function(){return Y_},getRotation:function(){return $_},getScaling:function(){return H_},getTranslation:function(){return W_},identity:function(){return S_},invert:function(){return C_},lookAt:function(){return ix},mul:function(){return hx},multiply:function(){return D_},multiplyScalar:function(){return ux},multiplyScalarAndAdd:function(){return dx},ortho:function(){return nx},orthoNO:function(){return tx},orthoZO:function(){return rx},perspective:function(){return Z_},perspectiveFromFieldOfView:function(){return ex},perspectiveNO:function(){return J_},perspectiveZO:function(){return Q_},rotate:function(){return O_},rotateX:function(){return N_},rotateY:function(){return k_},rotateZ:function(){return R_},scale:function(){return I_},set:function(){return A_},str:function(){return ox},sub:function(){return mx},subtract:function(){return cx},targetTo:function(){return ax},translate:function(){return P_},transpose:function(){return T_}});var t={};n.r(t),n.d(t,{add:function(){return Vx},adjoint:function(){return Tx},clone:function(){return yx},copy:function(){return bx},create:function(){return gx},determinant:function(){return Cx},equals:function(){return Hx},exactEquals:function(){return Wx},frob:function(){return Ux},fromMat2d:function(){return kx},fromMat4:function(){return vx},fromQuat:function(){return Rx},fromRotation:function(){return Ox},fromScaling:function(){return Nx},fromTranslation:function(){return Ix},fromValues:function(){return _x},identity:function(){return wx},invert:function(){return Sx},mul:function(){return $x},multiply:function(){return Ex},multiplyScalar:function(){return zx},multiplyScalarAndAdd:function(){return jx},normalFromMat4:function(){return Lx},projection:function(){return Fx},rotate:function(){return Dx},scale:function(){return Px},set:function(){return xx},str:function(){return Bx},sub:function(){return Xx},subtract:function(){return Gx},translate:function(){return Mx},transpose:function(){return Ax}});var r=function(){var e=this,t=e._self._c;return t("div",[e.fileSize>e.maxFileSize&&!e.forceLoad?t("div",[t("button",{staticClass:"btn btn-sm btn-light mb-2",attrs:{type:"button"},on:{click:e.loadWorkbook}},[t("i",{staticClass:"fa-solid fa-eye"}),e._v(" "+e._s(e.$t("Load preview"))+"\n    ")])]):t("div",{staticClass:"card"},[t("div",{staticClass:"card-body p-1"},[e.loading?e._e():t("div",[e.currentSheet.length>0?t("div",{staticClass:"table-responsive max-vh-75 mb-3"},[t("table",{staticClass:"sheet-table table table-sm table-bordered table-hover mb-0"},[t("thead",{staticClass:"bg-light text-center"},[t("tr",[t("th"),e._v(" "),e._l(e.currentSheet[0],(function(n,r){return t("th",{key:r},[e._v(e._s(r))])}))],2)]),e._v(" "),t("tbody",e._l(e.currentSheet,(function(n,r){return t("tr",{key:r},[t("th",{staticClass:"bg-light align-middle text-center"},[e._v(e._s(r+1))]),e._v(" "),e._l(n,(function(n,r){return t("td",{key:r},[e._v(e._s(n))])}))],2)})),0)])]):e._e(),e._v(" "),0===e.currentSheet.length?t("em",{staticClass:"text-muted ml-1"},[e._v(e._s(e.$t("No content.")))]):e._e()]),e._v(" "),t("div",{staticClass:"overflow-auto ws-nowrap"},e._l(e.sheetNames,(function(n){return t("span",{key:n,staticClass:"sheet-nav btn btn-sm btn-light",class:{active:n===e.currentSheetName},on:{click:function(t){return e.loadSheet(n)}}},[e._v("\n          "+e._s(n)+"\n        ")])})),0),e._v(" "),e.loading?t("div",{staticClass:"text-muted ml-1"},[t("i",{staticClass:"fa-solid fa-circle-notch fa-spin mr-1"}),e._v(" "+e._s(e.$t("Loading workbook..."))+"\n      ")]):e._e()])])])};r._withStripped=!0;var i,a={version:"0.20.2"},o=1200,s=1252,l=[874,932,936,949,950,1250,1251,1252,1253,1254,1255,1256,1257,1258,1e4],c={0:1252,1:65001,2:65001,77:1e4,128:932,129:949,130:1361,134:936,136:950,161:1253,162:1254,163:1258,177:1255,178:1256,186:1257,204:1251,222:874,238:1250,255:1252,69:6969},u=function(e){-1!=l.indexOf(e)&&(s=c[0]=e)},d=function(e){o=e,u(e)};function f(){d(1200),u(1252)}function p(e){for(var t=[],n=0,r=e.length;n<r;++n)t[n]=e.charCodeAt(n);return t}function h(e){for(var t=[],n=0;n<e.length>>1;++n)t[n]=String.fromCharCode(e.charCodeAt(2*n)+(e.charCodeAt(2*n+1)<<8));return t.join("")}function m(e){for(var t=[],n=0;n<e.length>>1;++n)t[n]=String.fromCharCode(e.charCodeAt(2*n+1)+(e.charCodeAt(2*n)<<8));return t.join("")}var g=function(e){var t=e.charCodeAt(0),n=e.charCodeAt(1);return 255==t&&254==n?h(e.slice(2)):254==t&&255==n?m(e.slice(2)):65279==t?e.slice(1):e},v=function(e){return String.fromCharCode(e)},y=function(e){return String.fromCharCode(e)},b=null,_="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";function x(e){for(var t="",n=0,r=0,i=0,a=0,o=0,s=0,l=0,c=0;c<e.length;)a=(n=e.charCodeAt(c++))>>2,o=(3&n)<<4|(r=e.charCodeAt(c++))>>4,s=(15&r)<<2|(i=e.charCodeAt(c++))>>6,l=63&i,isNaN(r)?s=l=64:isNaN(i)&&(l=64),t+=_.charAt(a)+_.charAt(o)+_.charAt(s)+_.charAt(l);return t}function w(e){var t="",n=0,r=0,i=0,a=0,o=0,s=0;"data:"==e.slice(0,5)&&(l=e.slice(0,1024).indexOf(";base64,"))>-1&&(e=e.slice(l+8)),e=e.replace(/[^\w\+\/\=]/g,"");for(var l=0;l<e.length;)n=_.indexOf(e.charAt(l++))<<2|(a=_.indexOf(e.charAt(l++)))>>4,t+=String.fromCharCode(n),r=(15&a)<<4|(o=_.indexOf(e.charAt(l++)))>>2,64!==o&&(t+=String.fromCharCode(r)),i=(3&o)<<6|(s=_.indexOf(e.charAt(l++))),64!==s&&(t+=String.fromCharCode(i));return t}var A=function(){return"undefined"!=typeof Buffer&&"undefined"!=typeof process&&void 0!==process.versions&&!!process.versions.node}(),S=function(){if("undefined"!=typeof Buffer){var e=!Buffer.from;if(!e)try{Buffer.from("foo","utf8")}catch(t){e=!0}return e?function(e,t){return t?new Buffer(e,t):new Buffer(e)}:Buffer.from.bind(Buffer)}return function(){}}(),T=function(){if("undefined"==typeof Buffer)return!1;var e=S([65,0]);return!!e&&1==e.toString("utf16le").length}();function C(e){return A?Buffer.alloc?Buffer.alloc(e):new Buffer(e):"undefined"!=typeof Uint8Array?new Uint8Array(e):new Array(e)}function E(e){return A?Buffer.allocUnsafe?Buffer.allocUnsafe(e):new Buffer(e):"undefined"!=typeof Uint8Array?new Uint8Array(e):new Array(e)}var M=function(e){return A?S(e,"binary"):e.split("").map((function(e){return 255&e.charCodeAt(0)}))};function D(e){if("undefined"==typeof ArrayBuffer)return M(e);for(var t=new ArrayBuffer(e.length),n=new Uint8Array(t),r=0;r!=e.length;++r)n[r]=255&e.charCodeAt(r);return t}function P(e){if(Array.isArray(e))return e.map((function(e){return String.fromCharCode(e)})).join("");for(var t=[],n=0;n<e.length;++n)t[n]=String.fromCharCode(e[n]);return t.join("")}function I(e){if("undefined"==typeof ArrayBuffer)throw new Error("Unsupported");if(e instanceof ArrayBuffer)return I(new Uint8Array(e));for(var t=new Array(e.length),n=0;n<e.length;++n)t[n]=e[n];return t}var O=A?function(e){return Buffer.concat(e.map((function(e){return Buffer.isBuffer(e)?e:S(e)})))}:function(e){if("undefined"!=typeof Uint8Array){var t=0,n=0;for(t=0;t<e.length;++t)n+=e[t].length;var r=new Uint8Array(n),i=0;for(t=0,n=0;t<e.length;n+=i,++t)i=e[t].length,e[t]instanceof Uint8Array?r.set(e[t],n):"string"==typeof e[t]?r.set(new Uint8Array(M(e[t])),n):r.set(new Uint8Array(e[t]),n);return r}return[].concat.apply([],e.map((function(e){return Array.isArray(e)?e:[].slice.call(e)})))},N=/\u0000/g,k=/[\u0001-\u0006]/g;function R(e){for(var t="",n=e.length-1;n>=0;)t+=e.charAt(n--);return t}function L(e,t){var n=""+e;return n.length>=t?n:qe("0",t-n.length)+n}function F(e,t){var n=""+e;return n.length>=t?n:qe(" ",t-n.length)+n}function B(e,t){var n=""+e;return n.length>=t?n:n+qe(" ",t-n.length)}var U=Math.pow(2,32);function V(e,t){return e>U||e<-U?function(e,t){var n=""+Math.round(e);return n.length>=t?n:qe("0",t-n.length)+n}(e,t):function(e,t){var n=""+e;return n.length>=t?n:qe("0",t-n.length)+n}(Math.round(e),t)}function G(e,t){return t=t||0,e.length>=7+t&&103==(32|e.charCodeAt(t))&&101==(32|e.charCodeAt(t+1))&&110==(32|e.charCodeAt(t+2))&&101==(32|e.charCodeAt(t+3))&&114==(32|e.charCodeAt(t+4))&&97==(32|e.charCodeAt(t+5))&&108==(32|e.charCodeAt(t+6))}var z=[["Sun","Sunday"],["Mon","Monday"],["Tue","Tuesday"],["Wed","Wednesday"],["Thu","Thursday"],["Fri","Friday"],["Sat","Saturday"]],j=[["J","Jan","January"],["F","Feb","February"],["M","Mar","March"],["A","Apr","April"],["M","May","May"],["J","Jun","June"],["J","Jul","July"],["A","Aug","August"],["S","Sep","September"],["O","Oct","October"],["N","Nov","November"],["D","Dec","December"]],W={0:"General",1:"0",2:"0.00",3:"#,##0",4:"#,##0.00",9:"0%",10:"0.00%",11:"0.00E+00",12:"# ?/?",13:"# ??/??",14:"m/d/yy",15:"d-mmm-yy",16:"d-mmm",17:"mmm-yy",18:"h:mm AM/PM",19:"h:mm:ss AM/PM",20:"h:mm",21:"h:mm:ss",22:"m/d/yy h:mm",37:"#,##0 ;(#,##0)",38:"#,##0 ;[Red](#,##0)",39:"#,##0.00;(#,##0.00)",40:"#,##0.00;[Red](#,##0.00)",45:"mm:ss",46:"[h]:mm:ss",47:"mmss.0",48:"##0.0E+0",49:"@",56:'"上午/下午 "hh"時"mm"分"ss"秒 "'},H={5:37,6:38,7:39,8:40,23:0,24:0,25:0,26:0,27:14,28:14,29:14,30:14,31:14,50:14,51:14,52:14,53:14,54:14,55:14,56:14,57:14,58:14,59:1,60:2,61:3,62:4,67:9,68:10,69:12,70:13,71:14,72:14,73:15,74:16,75:17,76:20,77:21,78:22,79:45,80:46,81:47,82:0},X={5:'"$"#,##0_);\\("$"#,##0\\)',63:'"$"#,##0_);\\("$"#,##0\\)',6:'"$"#,##0_);[Red]\\("$"#,##0\\)',64:'"$"#,##0_);[Red]\\("$"#,##0\\)',7:'"$"#,##0.00_);\\("$"#,##0.00\\)',65:'"$"#,##0.00_);\\("$"#,##0.00\\)',8:'"$"#,##0.00_);[Red]\\("$"#,##0.00\\)',66:'"$"#,##0.00_);[Red]\\("$"#,##0.00\\)',41:'_(* #,##0_);_(* \\(#,##0\\);_(* "-"_);_(@_)',42:'_("$"* #,##0_);_("$"* \\(#,##0\\);_("$"* "-"_);_(@_)',43:'_(* #,##0.00_);_(* \\(#,##0.00\\);_(* "-"??_);_(@_)',44:'_("$"* #,##0.00_);_("$"* \\(#,##0.00\\);_("$"* "-"??_);_(@_)'};function q(e,t,n){for(var r=e<0?-1:1,i=e*r,a=0,o=1,s=0,l=1,c=0,u=0,d=Math.floor(i);c<t&&(s=(d=Math.floor(i))*o+a,u=d*c+l,!(i-d<5e-8));)i=1/(i-d),a=o,o=s,l=c,c=u;if(u>t&&(c>t?(u=l,s=a):(u=c,s=o)),!n)return[0,r*s,u];var f=Math.floor(r*s/u);return[f,r*s-f*u,u]}function K(e,t,n){if(e>2958465||e<0)return null;var r=0|(e=function(e){var t=e.toPrecision(16);if(t.indexOf("e")>-1){var n=t.slice(0,t.indexOf("e"));return(n=n.indexOf(".")>-1?n.slice(0,"0."==n.slice(0,2)?17:16):n.slice(0,15)+qe("0",n.length-15))+t.slice(t.indexOf("e"))}var r=t.indexOf(".")>-1?t.slice(0,"0."==t.slice(0,2)?17:16):t.slice(0,15)+qe("0",t.length-15);return Number(r)}(e)),i=Math.floor(86400*(e-r)),a=0,o=[],s={D:r,T:i,u:86400*(e-r)-i,y:0,m:0,d:0,H:0,M:0,S:0,q:0};if(Math.abs(s.u)<1e-6&&(s.u=0),t&&t.date1904&&(r+=1462),s.u>.9999&&(s.u=0,86400==++i&&(s.T=i=0,++r,++s.D)),60===r)o=n?[1317,10,29]:[1900,2,29],a=3;else if(0===r)o=n?[1317,8,29]:[1900,1,0],a=6;else{r>60&&--r;var l=new Date(1900,0,1);l.setDate(l.getDate()+r-1),o=[l.getFullYear(),l.getMonth()+1,l.getDate()],a=l.getDay(),r<60&&(a=(a+6)%7),n&&(a=function(e,t){t[0]-=581;var n=e.getDay();return e<60&&(n=(n+6)%7),n}(l,o))}return s.y=o[0],s.m=o[1],s.d=o[2],s.S=i%60,i=Math.floor(i/60),s.M=i%60,i=Math.floor(i/60),s.H=i,s.q=a,s}function Y(e){return-1==e.indexOf(".")?e:e.replace(/(?:\.0*|(\.\d*[1-9])0+)$/,"$1")}function J(e){var t,n=Math.floor(Math.log(Math.abs(e))*Math.LOG10E);return t=n>=-4&&n<=-1?e.toPrecision(10+n):Math.abs(n)<=9?function(e){var t=e<0?12:11,n=Y(e.toFixed(12));return n.length<=t||(n=e.toPrecision(10)).length<=t?n:e.toExponential(5)}(e):10===n?e.toFixed(10).substr(0,12):function(e){var t=Y(e.toFixed(11));return t.length>(e<0?12:11)||"0"===t||"-0"===t?e.toPrecision(6):t}(e),Y(function(e){return-1==e.indexOf("E")?e:e.replace(/(?:\.0*|(\.\d*[1-9])0+)[Ee]/,"$1E").replace(/(E[+-])(\d)$/,"$10$2")}(t.toUpperCase()))}function Z(e,t){switch(typeof e){case"string":return e;case"boolean":return e?"TRUE":"FALSE";case"number":return(0|e)===e?e.toString(10):J(e);case"undefined":return"";case"object":if(null==e)return"";if(e instanceof Date)return ye(14,Ue(e,t&&t.date1904),t)}throw new Error("unsupported value in General format: "+e)}function Q(e,t,n,r){var i,a="",o=0,s=0,l=n.y,c=0;switch(e){case 98:l=n.y+543;case 121:switch(t.length){case 1:case 2:i=l%100,c=2;break;default:i=l%1e4,c=4}break;case 109:switch(t.length){case 1:case 2:i=n.m,c=t.length;break;case 3:return j[n.m-1][1];case 5:return j[n.m-1][0];default:return j[n.m-1][2]}break;case 100:switch(t.length){case 1:case 2:i=n.d,c=t.length;break;case 3:return z[n.q][0];default:return z[n.q][1]}break;case 104:switch(t.length){case 1:case 2:i=1+(n.H+11)%12,c=t.length;break;default:throw"bad hour format: "+t}break;case 72:switch(t.length){case 1:case 2:i=n.H,c=t.length;break;default:throw"bad hour format: "+t}break;case 77:switch(t.length){case 1:case 2:i=n.M,c=t.length;break;default:throw"bad minute format: "+t}break;case 115:if("s"!=t&&"ss"!=t&&".0"!=t&&".00"!=t&&".000"!=t)throw"bad second format: "+t;return 0!==n.u||"s"!=t&&"ss"!=t?(s=r>=2?3===r?1e3:100:1===r?10:1,(o=Math.round(s*(n.S+n.u)))>=60*s&&(o=0),"s"===t?0===o?"0":""+o/s:(a=L(o,2+r),"ss"===t?a.substr(0,2):"."+a.substr(2,t.length-1))):L(n.S,t.length);case 90:switch(t){case"[h]":case"[hh]":i=24*n.D+n.H;break;case"[m]":case"[mm]":i=60*(24*n.D+n.H)+n.M;break;case"[s]":case"[ss]":i=60*(60*(24*n.D+n.H)+n.M)+(0==r?Math.round(n.S+n.u):n.S);break;default:throw"bad abstime format: "+t}c=3===t.length?1:2;break;case 101:i=l,c=1}return c>0?L(i,c):""}function ee(e){if(e.length<=3)return e;for(var t=e.length%3,n=e.substr(0,t);t!=e.length;t+=3)n+=(n.length>0?",":"")+e.substr(t,3);return n}var te=/%/g;function ne(e,t){var n,r=e.indexOf("E")-e.indexOf(".")-1;if(e.match(/^#+0.0E\+0$/)){if(0==t)return"0.0E+0";if(t<0)return"-"+ne(e,-t);var i=e.indexOf(".");-1===i&&(i=e.indexOf("E"));var a=Math.floor(Math.log(t)*Math.LOG10E)%i;if(a<0&&(a+=i),-1===(n=(t/Math.pow(10,a)).toPrecision(r+1+(i+a)%i)).indexOf("e")){var o=Math.floor(Math.log(t)*Math.LOG10E);for(-1===n.indexOf(".")?n=n.charAt(0)+"."+n.substr(1)+"E+"+(o-n.length+a):n+="E+"+(o-a);"0."===n.substr(0,2);)n=(n=n.charAt(0)+n.substr(2,i)+"."+n.substr(2+i)).replace(/^0+([1-9])/,"$1").replace(/^0+\./,"0.");n=n.replace(/\+-/,"-")}n=n.replace(/^([+-]?)(\d*)\.(\d*)[Ee]/,(function(e,t,n,r){return t+n+r.substr(0,(i+a)%i)+"."+r.substr(a)+"E"}))}else n=t.toExponential(r);return e.match(/E\+00$/)&&n.match(/e[+-]\d$/)&&(n=n.substr(0,n.length-1)+"0"+n.charAt(n.length-1)),e.match(/E\-/)&&n.match(/e\+/)&&(n=n.replace(/e\+/,"e")),n.replace("e","E")}var re=/# (\?+)( ?)\/( ?)(\d+)/,ie=/^#*0*\.([0#]+)/,ae=/\)[^)]*[0#]/,oe=/\(###\) ###\\?-####/;function se(e){for(var t,n="",r=0;r!=e.length;++r)switch(t=e.charCodeAt(r)){case 35:break;case 63:n+=" ";break;case 48:n+="0";break;default:n+=String.fromCharCode(t)}return n}function le(e,t){var n=Math.pow(10,t);return""+Math.round(e*n)/n}function ce(e,t){var n=e-Math.floor(e),r=Math.pow(10,t);return t<(""+Math.round(n*r)).length?0:Math.round(n*r)}function ue(e,t,n){if(40===e.charCodeAt(0)&&!t.match(ae)){var r=t.replace(/\( */,"").replace(/ \)/,"").replace(/\)/,"");return n>=0?ue("n",r,n):"("+ue("n",r,-n)+")"}if(44===t.charCodeAt(t.length-1))return function(e,t,n){for(var r=t.length-1;44===t.charCodeAt(r-1);)--r;return pe(e,t.substr(0,r),n/Math.pow(10,3*(t.length-r)))}(e,t,n);if(-1!==t.indexOf("%"))return function(e,t,n){var r=t.replace(te,""),i=t.length-r.length;return pe(e,r,n*Math.pow(10,2*i))+qe("%",i)}(e,t,n);if(-1!==t.indexOf("E"))return ne(t,n);if(36===t.charCodeAt(0))return"$"+ue(e,t.substr(" "==t.charAt(1)?2:1),n);var i,a,o,s,l=Math.abs(n),c=n<0?"-":"";if(t.match(/^00+$/))return c+V(l,t.length);if(t.match(/^[#?]+$/))return"0"===(i=V(n,0))&&(i=""),i.length>t.length?i:se(t.substr(0,t.length-i.length))+i;if(a=t.match(re))return function(e,t,n){var r=parseInt(e[4],10),i=Math.round(t*r),a=Math.floor(i/r),o=i-a*r,s=r;return n+(0===a?"":""+a)+" "+(0===o?qe(" ",e[1].length+1+e[4].length):F(o,e[1].length)+e[2]+"/"+e[3]+L(s,e[4].length))}(a,l,c);if(t.match(/^#+0+$/))return c+V(l,t.length-t.indexOf("0"));if(a=t.match(ie))return i=le(n,a[1].length).replace(/^([^\.]+)$/,"$1."+se(a[1])).replace(/\.$/,"."+se(a[1])).replace(/\.(\d*)$/,(function(e,t){return"."+t+qe("0",se(a[1]).length-t.length)})),-1!==t.indexOf("0.")?i:i.replace(/^0\./,".");if(t=t.replace(/^#+([0.])/,"$1"),a=t.match(/^(0*)\.(#*)$/))return c+le(l,a[2].length).replace(/\.(\d*[1-9])0*$/,".$1").replace(/^(-?\d*)$/,"$1.").replace(/^0\./,a[1].length?"0.":".");if(a=t.match(/^#{1,3},##0(\.?)$/))return c+ee(V(l,0));if(a=t.match(/^#,##0\.([#0]*0)$/))return n<0?"-"+ue(e,t,-n):ee(""+(Math.floor(n)+function(e,t){return t<(""+Math.round((e-Math.floor(e))*Math.pow(10,t))).length?1:0}(n,a[1].length)))+"."+L(ce(n,a[1].length),a[1].length);if(a=t.match(/^#,#*,#0/))return ue(e,t.replace(/^#,#*,/,""),n);if(a=t.match(/^([0#]+)(\\?-([0#]+))+$/))return i=R(ue(e,t.replace(/[\\-]/g,""),n)),o=0,R(R(t.replace(/\\/g,"")).replace(/[0#]/g,(function(e){return o<i.length?i.charAt(o++):"0"===e?"0":""})));if(t.match(oe))return"("+(i=ue(e,"##########",n)).substr(0,3)+") "+i.substr(3,3)+"-"+i.substr(6);var u="";if(a=t.match(/^([#0?]+)( ?)\/( ?)([#0?]+)/))return o=Math.min(a[4].length,7),s=q(l,Math.pow(10,o)-1,!1),i=""+c," "==(u=pe("n",a[1],s[1])).charAt(u.length-1)&&(u=u.substr(0,u.length-1)+"0"),i+=u+a[2]+"/"+a[3],(u=B(s[2],o)).length<a[4].length&&(u=se(a[4].substr(a[4].length-u.length))+u),i+=u;if(a=t.match(/^# ([#0?]+)( ?)\/( ?)([#0?]+)/))return o=Math.min(Math.max(a[1].length,a[4].length),7),c+((s=q(l,Math.pow(10,o)-1,!0))[0]||(s[1]?"":"0"))+" "+(s[1]?F(s[1],o)+a[2]+"/"+a[3]+B(s[2],o):qe(" ",2*o+1+a[2].length+a[3].length));if(a=t.match(/^[#0?]+$/))return i=V(n,0),t.length<=i.length?i:se(t.substr(0,t.length-i.length))+i;if(a=t.match(/^([#0?]+)\.([#0]+)$/)){i=""+n.toFixed(Math.min(a[2].length,10)).replace(/([^0])0+$/,"$1"),o=i.indexOf(".");var d=t.indexOf(".")-o,f=t.length-i.length-d;return se(t.substr(0,d)+i+t.substr(t.length-f))}if(a=t.match(/^00,000\.([#0]*0)$/))return o=ce(n,a[1].length),n<0?"-"+ue(e,t,-n):ee(function(e){return e<2147483647&&e>-2147483648?""+(e>=0?0|e:e-1|0):""+Math.floor(e)}(n)).replace(/^\d,\d{3}$/,"0$&").replace(/^\d*$/,(function(e){return"00,"+(e.length<3?L(0,3-e.length):"")+e}))+"."+L(o,a[1].length);switch(t){case"###,##0.00":return ue(e,"#,##0.00",n);case"###,###":case"##,###":case"#,###":var p=ee(V(l,0));return"0"!==p?c+p:"";case"###,###.00":return ue(e,"###,##0.00",n).replace(/^0\./,".");case"#,###.00":return ue(e,"#,##0.00",n).replace(/^0\./,".")}throw new Error("unsupported format |"+t+"|")}function de(e,t){var n,r=e.indexOf("E")-e.indexOf(".")-1;if(e.match(/^#+0.0E\+0$/)){if(0==t)return"0.0E+0";if(t<0)return"-"+de(e,-t);var i=e.indexOf(".");-1===i&&(i=e.indexOf("E"));var a=Math.floor(Math.log(t)*Math.LOG10E)%i;if(a<0&&(a+=i),!(n=(t/Math.pow(10,a)).toPrecision(r+1+(i+a)%i)).match(/[Ee]/)){var o=Math.floor(Math.log(t)*Math.LOG10E);-1===n.indexOf(".")?n=n.charAt(0)+"."+n.substr(1)+"E+"+(o-n.length+a):n+="E+"+(o-a),n=n.replace(/\+-/,"-")}n=n.replace(/^([+-]?)(\d*)\.(\d*)[Ee]/,(function(e,t,n,r){return t+n+r.substr(0,(i+a)%i)+"."+r.substr(a)+"E"}))}else n=t.toExponential(r);return e.match(/E\+00$/)&&n.match(/e[+-]\d$/)&&(n=n.substr(0,n.length-1)+"0"+n.charAt(n.length-1)),e.match(/E\-/)&&n.match(/e\+/)&&(n=n.replace(/e\+/,"e")),n.replace("e","E")}function fe(e,t,n){if(40===e.charCodeAt(0)&&!t.match(ae)){var r=t.replace(/\( */,"").replace(/ \)/,"").replace(/\)/,"");return n>=0?fe("n",r,n):"("+fe("n",r,-n)+")"}if(44===t.charCodeAt(t.length-1))return function(e,t,n){for(var r=t.length-1;44===t.charCodeAt(r-1);)--r;return pe(e,t.substr(0,r),n/Math.pow(10,3*(t.length-r)))}(e,t,n);if(-1!==t.indexOf("%"))return function(e,t,n){var r=t.replace(te,""),i=t.length-r.length;return pe(e,r,n*Math.pow(10,2*i))+qe("%",i)}(e,t,n);if(-1!==t.indexOf("E"))return de(t,n);if(36===t.charCodeAt(0))return"$"+fe(e,t.substr(" "==t.charAt(1)?2:1),n);var i,a,o,s,l=Math.abs(n),c=n<0?"-":"";if(t.match(/^00+$/))return c+L(l,t.length);if(t.match(/^[#?]+$/))return i=""+n,0===n&&(i=""),i.length>t.length?i:se(t.substr(0,t.length-i.length))+i;if(a=t.match(re))return function(e,t,n){return n+(0===t?"":""+t)+qe(" ",e[1].length+2+e[4].length)}(a,l,c);if(t.match(/^#+0+$/))return c+L(l,t.length-t.indexOf("0"));if(a=t.match(ie))return i=(i=(""+n).replace(/^([^\.]+)$/,"$1."+se(a[1])).replace(/\.$/,"."+se(a[1]))).replace(/\.(\d*)$/,(function(e,t){return"."+t+qe("0",se(a[1]).length-t.length)})),-1!==t.indexOf("0.")?i:i.replace(/^0\./,".");if(t=t.replace(/^#+([0.])/,"$1"),a=t.match(/^(0*)\.(#*)$/))return c+(""+l).replace(/\.(\d*[1-9])0*$/,".$1").replace(/^(-?\d*)$/,"$1.").replace(/^0\./,a[1].length?"0.":".");if(a=t.match(/^#{1,3},##0(\.?)$/))return c+ee(""+l);if(a=t.match(/^#,##0\.([#0]*0)$/))return n<0?"-"+fe(e,t,-n):ee(""+n)+"."+qe("0",a[1].length);if(a=t.match(/^#,#*,#0/))return fe(e,t.replace(/^#,#*,/,""),n);if(a=t.match(/^([0#]+)(\\?-([0#]+))+$/))return i=R(fe(e,t.replace(/[\\-]/g,""),n)),o=0,R(R(t.replace(/\\/g,"")).replace(/[0#]/g,(function(e){return o<i.length?i.charAt(o++):"0"===e?"0":""})));if(t.match(oe))return"("+(i=fe(e,"##########",n)).substr(0,3)+") "+i.substr(3,3)+"-"+i.substr(6);var u="";if(a=t.match(/^([#0?]+)( ?)\/( ?)([#0?]+)/))return o=Math.min(a[4].length,7),s=q(l,Math.pow(10,o)-1,!1),i=""+c," "==(u=pe("n",a[1],s[1])).charAt(u.length-1)&&(u=u.substr(0,u.length-1)+"0"),i+=u+a[2]+"/"+a[3],(u=B(s[2],o)).length<a[4].length&&(u=se(a[4].substr(a[4].length-u.length))+u),i+=u;if(a=t.match(/^# ([#0?]+)( ?)\/( ?)([#0?]+)/))return o=Math.min(Math.max(a[1].length,a[4].length),7),c+((s=q(l,Math.pow(10,o)-1,!0))[0]||(s[1]?"":"0"))+" "+(s[1]?F(s[1],o)+a[2]+"/"+a[3]+B(s[2],o):qe(" ",2*o+1+a[2].length+a[3].length));if(a=t.match(/^[#0?]+$/))return i=""+n,t.length<=i.length?i:se(t.substr(0,t.length-i.length))+i;if(a=t.match(/^([#0]+)\.([#0]+)$/)){i=""+n.toFixed(Math.min(a[2].length,10)).replace(/([^0])0+$/,"$1"),o=i.indexOf(".");var d=t.indexOf(".")-o,f=t.length-i.length-d;return se(t.substr(0,d)+i+t.substr(t.length-f))}if(a=t.match(/^00,000\.([#0]*0)$/))return n<0?"-"+fe(e,t,-n):ee(""+n).replace(/^\d,\d{3}$/,"0$&").replace(/^\d*$/,(function(e){return"00,"+(e.length<3?L(0,3-e.length):"")+e}))+"."+L(0,a[1].length);switch(t){case"###,###":case"##,###":case"#,###":var p=ee(""+l);return"0"!==p?c+p:"";default:if(t.match(/\.[0#?]*$/))return fe(e,t.slice(0,t.lastIndexOf(".")),n)+se(t.slice(t.lastIndexOf(".")))}throw new Error("unsupported format |"+t+"|")}function pe(e,t,n){return(0|n)===n?fe(e,t,n):ue(e,t,n)}var he=/\[[HhMmSs\u0E0A\u0E19\u0E17]*\]/;function me(e){for(var t=0,n="",r="";t<e.length;)switch(n=e.charAt(t)){case"G":G(e,t)&&(t+=6),t++;break;case'"':for(;34!==e.charCodeAt(++t)&&t<e.length;);++t;break;case"\\":case"_":t+=2;break;case"@":++t;break;case"B":case"b":if("1"===e.charAt(t+1)||"2"===e.charAt(t+1))return!0;case"M":case"D":case"Y":case"H":case"S":case"E":case"m":case"d":case"y":case"h":case"s":case"e":case"g":return!0;case"A":case"a":case"上":if("A/P"===e.substr(t,3).toUpperCase())return!0;if("AM/PM"===e.substr(t,5).toUpperCase())return!0;if("上午/下午"===e.substr(t,5).toUpperCase())return!0;++t;break;case"[":for(r=n;"]"!==e.charAt(t++)&&t<e.length;)r+=e.charAt(t);if(r.match(he))return!0;break;case".":case"0":case"#":for(;t<e.length&&("0#?.,E+-%".indexOf(n=e.charAt(++t))>-1||"\\"==n&&"-"==e.charAt(t+1)&&"0#".indexOf(e.charAt(t+2))>-1););break;case"?":for(;e.charAt(++t)===n;);break;case"*":++t," "!=e.charAt(t)&&"*"!=e.charAt(t)||++t;break;case"(":case")":++t;break;case"1":case"2":case"3":case"4":case"5":case"6":case"7":case"8":case"9":for(;t<e.length&&"0123456789".indexOf(e.charAt(++t))>-1;);break;default:++t}return!1}var ge=/\[(=|>[=]?|<[>=]?)(-?\d+(?:\.\d*)?)\]/;function ve(e,t){if(null==t)return!1;var n=parseFloat(t[2]);switch(t[1]){case"=":if(e==n)return!0;break;case">":if(e>n)return!0;break;case"<":if(e<n)return!0;break;case"<>":if(e!=n)return!0;break;case">=":if(e>=n)return!0;break;case"<=":if(e<=n)return!0}return!1}function ye(e,t,n){null==n&&(n={});var r="";switch(typeof e){case"string":r="m/d/yy"==e&&n.dateNF?n.dateNF:e;break;case"number":null==(r=14==e&&n.dateNF?n.dateNF:(null!=n.table?n.table:W)[e])&&(r=n.table&&n.table[H[e]]||W[H[e]]),null==r&&(r=X[e]||"General")}if(G(r,0))return Z(t,n);t instanceof Date&&(t=Ue(t,n.date1904));var i=function(e,t){var n=function(e){for(var t=[],n=!1,r=0,i=0;r<e.length;++r)switch(e.charCodeAt(r)){case 34:n=!n;break;case 95:case 42:case 92:++r;break;case 59:t[t.length]=e.substr(i,r-i),i=r+1}if(t[t.length]=e.substr(i),!0===n)throw new Error("Format |"+e+"| unterminated string ");return t}(e),r=n.length,i=n[r-1].indexOf("@");if(r<4&&i>-1&&--r,n.length>4)throw new Error("cannot find right format for |"+n.join("|")+"|");if("number"!=typeof t)return[4,4===n.length||i>-1?n[n.length-1]:"@"];switch(n.length){case 1:n=i>-1?["General","General","General",n[0]]:[n[0],n[0],n[0],"@"];break;case 2:n=i>-1?[n[0],n[0],n[0],n[1]]:[n[0],n[1],n[0],"@"];break;case 3:n=i>-1?[n[0],n[1],n[0],n[2]]:[n[0],n[1],n[2],"@"]}var a=t>0?n[0]:t<0?n[1]:n[2];if(-1===n[0].indexOf("[")&&-1===n[1].indexOf("["))return[r,a];if(null!=n[0].match(/\[[=<>]/)||null!=n[1].match(/\[[=<>]/)){var o=n[0].match(ge),s=n[1].match(ge);return ve(t,o)?[r,n[0]]:ve(t,s)?[r,n[1]]:[r,n[null!=o&&null!=s?2:1]]}return[r,a]}(r,t);if(G(i[1]))return Z(t,n);if(!0===t)t="TRUE";else if(!1===t)t="FALSE";else if(""===t||null==t)return"";return function(e,t,n,r){for(var i,a,o,s=[],l="",c=0,u="",d="t",f="H";c<e.length;)switch(u=e.charAt(c)){case"G":if(!G(e,c))throw new Error("unrecognized character "+u+" in "+e);s[s.length]={t:"G",v:"General"},c+=7;break;case'"':for(l="";34!==(o=e.charCodeAt(++c))&&c<e.length;)l+=String.fromCharCode(o);s[s.length]={t:"t",v:l},++c;break;case"\\":var p=e.charAt(++c),h="("===p||")"===p?p:"t";s[s.length]={t:h,v:p},++c;break;case"_":s[s.length]={t:"t",v:" "},c+=2;break;case"@":s[s.length]={t:"T",v:t},++c;break;case"B":case"b":if("1"===e.charAt(c+1)||"2"===e.charAt(c+1)){if(null==i&&null==(i=K(t,n,"2"===e.charAt(c+1))))return"";s[s.length]={t:"X",v:e.substr(c,2)},d=u,c+=2;break}case"M":case"D":case"Y":case"H":case"S":case"E":u=u.toLowerCase();case"m":case"d":case"y":case"h":case"s":case"e":case"g":if(t<0)return"";if(null==i&&null==(i=K(t,n)))return"";for(l=u;++c<e.length&&e.charAt(c).toLowerCase()===u;)l+=u;"m"===u&&"h"===d.toLowerCase()&&(u="M"),"h"===u&&(u=f),s[s.length]={t:u,v:l},d=u;break;case"A":case"a":case"上":var m={t:u,v:u};if(null==i&&(i=K(t,n)),"A/P"===e.substr(c,3).toUpperCase()?(null!=i&&(m.v=i.H>=12?e.charAt(c+2):u),m.t="T",f="h",c+=3):"AM/PM"===e.substr(c,5).toUpperCase()?(null!=i&&(m.v=i.H>=12?"PM":"AM"),m.t="T",c+=5,f="h"):"上午/下午"===e.substr(c,5).toUpperCase()?(null!=i&&(m.v=i.H>=12?"下午":"上午"),m.t="T",c+=5,f="h"):(m.t="t",++c),null==i&&"T"===m.t)return"";s[s.length]=m,d=u;break;case"[":for(l=u;"]"!==e.charAt(c++)&&c<e.length;)l+=e.charAt(c);if("]"!==l.slice(-1))throw'unterminated "[" block: |'+l+"|";if(l.match(he)){if(null==i&&null==(i=K(t,n)))return"";s[s.length]={t:"Z",v:l.toLowerCase()},d=l.charAt(1)}else l.indexOf("$")>-1&&(l=(l.match(/\$([^-\[\]]*)/)||[])[1]||"$",me(e)||(s[s.length]={t:"t",v:l}));break;case".":if(null!=i){for(l=u;++c<e.length&&"0"===(u=e.charAt(c));)l+=u;s[s.length]={t:"s",v:l};break}case"0":case"#":for(l=u;++c<e.length&&"0#?.,E+-%".indexOf(u=e.charAt(c))>-1;)l+=u;s[s.length]={t:"n",v:l};break;case"?":for(l=u;e.charAt(++c)===u;)l+=u;s[s.length]={t:u,v:l},d=u;break;case"*":++c," "!=e.charAt(c)&&"*"!=e.charAt(c)||++c;break;case"(":case")":s[s.length]={t:1===r?"t":u,v:u},++c;break;case"1":case"2":case"3":case"4":case"5":case"6":case"7":case"8":case"9":for(l=u;c<e.length&&"0123456789".indexOf(e.charAt(++c))>-1;)l+=e.charAt(c);s[s.length]={t:"D",v:l};break;case" ":s[s.length]={t:u,v:u},++c;break;case"$":s[s.length]={t:"t",v:"$"},++c;break;default:if(-1===",$-+/():!^&'~{}<>=€acfijklopqrtuvwxzP".indexOf(u))throw new Error("unrecognized character "+u+" in "+e);s[s.length]={t:"t",v:u},++c}var g,v,y=0,b=0;for(c=s.length-1,d="t";c>=0;--c)switch(s[c].t){case"h":case"H":s[c].t=f,d="h",y<1&&(y=1);break;case"s":(g=s[c].v.match(/\.0+$/))&&(b=Math.max(b,g[0].length-1),y=4),y<3&&(y=3);case"d":case"y":case"e":d=s[c].t;break;case"M":d=s[c].t,y<2&&(y=2);break;case"m":"s"===d&&(s[c].t="M",y<2&&(y=2));break;case"X":break;case"Z":y<1&&s[c].v.match(/[Hh]/)&&(y=1),y<2&&s[c].v.match(/[Mm]/)&&(y=2),y<3&&s[c].v.match(/[Ss]/)&&(y=3)}switch(y){case 0:break;case 1:case 2:case 3:i.u>=.5&&(i.u=0,++i.S),i.S>=60&&(i.S=0,++i.M),i.M>=60&&(i.M=0,++i.H),i.H>=24&&(i.H=0,++i.D,(v=K(i.D)).u=i.u,v.S=i.S,v.M=i.M,v.H=i.H,i=v);break;case 4:switch(b){case 1:i.u=Math.round(10*i.u)/10;break;case 2:i.u=Math.round(100*i.u)/100;break;case 3:i.u=Math.round(1e3*i.u)/1e3}i.u>=1&&(i.u=0,++i.S),i.S>=60&&(i.S=0,++i.M),i.M>=60&&(i.M=0,++i.H),i.H>=24&&(i.H=0,++i.D,(v=K(i.D)).u=i.u,v.S=i.S,v.M=i.M,v.H=i.H,i=v)}var _,x="";for(c=0;c<s.length;++c)switch(s[c].t){case"t":case"T":case" ":case"D":break;case"X":s[c].v="",s[c].t=";";break;case"d":case"m":case"y":case"h":case"H":case"M":case"s":case"e":case"b":case"Z":s[c].v=Q(s[c].t.charCodeAt(0),s[c].v,i,b),s[c].t="t";break;case"n":case"?":for(_=c+1;null!=s[_]&&("?"===(u=s[_].t)||"D"===u||(" "===u||"t"===u)&&null!=s[_+1]&&("?"===s[_+1].t||"t"===s[_+1].t&&"/"===s[_+1].v)||"("===s[c].t&&(" "===u||"n"===u||")"===u)||"t"===u&&("/"===s[_].v||" "===s[_].v&&null!=s[_+1]&&"?"==s[_+1].t));)s[c].v+=s[_].v,s[_]={v:"",t:";"},++_;x+=s[c].v,c=_-1;break;case"G":s[c].t="t",s[c].v=Z(t,n)}var w,A,S="";if(x.length>0){40==x.charCodeAt(0)?(w=t<0&&45===x.charCodeAt(0)?-t:t,A=pe("n",x,w)):(A=pe("n",x,w=t<0&&r>1?-t:t),w<0&&s[0]&&"t"==s[0].t&&(A=A.substr(1),s[0].v="-"+s[0].v)),_=A.length-1;var T=s.length;for(c=0;c<s.length;++c)if(null!=s[c]&&"t"!=s[c].t&&s[c].v.indexOf(".")>-1){T=c;break}var C=s.length;if(T===s.length&&-1===A.indexOf("E")){for(c=s.length-1;c>=0;--c)null!=s[c]&&-1!=="n?".indexOf(s[c].t)&&(_>=s[c].v.length-1?(_-=s[c].v.length,s[c].v=A.substr(_+1,s[c].v.length)):_<0?s[c].v="":(s[c].v=A.substr(0,_+1),_=-1),s[c].t="t",C=c);_>=0&&C<s.length&&(s[C].v=A.substr(0,_+1)+s[C].v)}else if(T!==s.length&&-1===A.indexOf("E")){for(_=A.indexOf(".")-1,c=T;c>=0;--c)if(null!=s[c]&&-1!=="n?".indexOf(s[c].t)){for(a=s[c].v.indexOf(".")>-1&&c===T?s[c].v.indexOf(".")-1:s[c].v.length-1,S=s[c].v.substr(a+1);a>=0;--a)_>=0&&("0"===s[c].v.charAt(a)||"#"===s[c].v.charAt(a))&&(S=A.charAt(_--)+S);s[c].v=S,s[c].t="t",C=c}for(_>=0&&C<s.length&&(s[C].v=A.substr(0,_+1)+s[C].v),_=A.indexOf(".")+1,c=T;c<s.length;++c)if(null!=s[c]&&(-1!=="n?(".indexOf(s[c].t)||c===T)){for(a=s[c].v.indexOf(".")>-1&&c===T?s[c].v.indexOf(".")+1:0,S=s[c].v.substr(0,a);a<s[c].v.length;++a)_<A.length&&(S+=A.charAt(_++));s[c].v=S,s[c].t="t",C=c}}}for(c=0;c<s.length;++c)null!=s[c]&&"n?".indexOf(s[c].t)>-1&&(w=r>1&&t<0&&c>0&&"-"===s[c-1].v?-t:t,s[c].v=pe(s[c].t,s[c].v,w),s[c].t="t");var E="";for(c=0;c!==s.length;++c)null!=s[c]&&(E+=s[c].v);return E}(i[1],t,n,i[0])}function be(e,t){if("number"!=typeof t){t=+t||-1;for(var n=0;n<392;++n)if(null!=W[n]){if(W[n]==e){t=n;break}}else t<0&&(t=n);t<0&&(t=391)}return W[t]=e,t}function _e(e){for(var t=0;392!=t;++t)void 0!==e[t]&&be(e[t],t)}function xe(){var e;e||(e={}),e[0]="General",e[1]="0",e[2]="0.00",e[3]="#,##0",e[4]="#,##0.00",e[9]="0%",e[10]="0.00%",e[11]="0.00E+00",e[12]="# ?/?",e[13]="# ??/??",e[14]="m/d/yy",e[15]="d-mmm-yy",e[16]="d-mmm",e[17]="mmm-yy",e[18]="h:mm AM/PM",e[19]="h:mm:ss AM/PM",e[20]="h:mm",e[21]="h:mm:ss",e[22]="m/d/yy h:mm",e[37]="#,##0 ;(#,##0)",e[38]="#,##0 ;[Red](#,##0)",e[39]="#,##0.00;(#,##0.00)",e[40]="#,##0.00;[Red](#,##0.00)",e[45]="mm:ss",e[46]="[h]:mm:ss",e[47]="mmss.0",e[48]="##0.0E+0",e[49]="@",e[56]='"上午/下午 "hh"時"mm"分"ss"秒 "',W=e}var we={format:ye,load:be,_table:W,load_table:_e,parse_date_code:K,is_date:me,get_table:function(){return we._table=W}},Ae={5:'"$"#,##0_);\\("$"#,##0\\)',6:'"$"#,##0_);[Red]\\("$"#,##0\\)',7:'"$"#,##0.00_);\\("$"#,##0.00\\)',8:'"$"#,##0.00_);[Red]\\("$"#,##0.00\\)',23:"General",24:"General",25:"General",26:"General",27:"m/d/yy",28:"m/d/yy",29:"m/d/yy",30:"m/d/yy",31:"m/d/yy",32:"h:mm:ss",33:"h:mm:ss",34:"h:mm:ss",35:"h:mm:ss",36:"m/d/yy",41:'_(* #,##0_);_(* (#,##0);_(* "-"_);_(@_)',42:'_("$"* #,##0_);_("$"* (#,##0);_("$"* "-"_);_(@_)',43:'_(* #,##0.00_);_(* (#,##0.00);_(* "-"??_);_(@_)',44:'_("$"* #,##0.00_);_("$"* (#,##0.00);_("$"* "-"??_);_(@_)',50:"m/d/yy",51:"m/d/yy",52:"m/d/yy",53:"m/d/yy",54:"m/d/yy",55:"m/d/yy",56:"m/d/yy",57:"m/d/yy",58:"m/d/yy",59:"0",60:"0.00",61:"#,##0",62:"#,##0.00",63:'"$"#,##0_);\\("$"#,##0\\)',64:'"$"#,##0_);[Red]\\("$"#,##0\\)',65:'"$"#,##0.00_);\\("$"#,##0.00\\)',66:'"$"#,##0.00_);[Red]\\("$"#,##0.00\\)',67:"0%",68:"0.00%",69:"# ?/?",70:"# ??/??",71:"m/d/yy",72:"m/d/yy",73:"d-mmm-yy",74:"d-mmm",75:"mmm-yy",76:"h:mm",77:"h:mm:ss",78:"m/d/yy h:mm",79:"mm:ss",80:"[h]:mm:ss",81:"mmss.0"},Se=/[dD]+|[mM]+|[yYeE]+|[Hh]+|[Ss]+/g,Te={"d.m":"d\\.m"};function Ce(e,t){return be(Te[e]||e,t)}var Ee,Me=function(){var e={version:"1.2.0"},t=function(){for(var e=0,t=new Array(256),n=0;256!=n;++n)e=1&(e=1&(e=1&(e=1&(e=1&(e=1&(e=1&(e=1&(e=n)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1)?-306674912^e>>>1:e>>>1,t[n]=e;return"undefined"!=typeof Int32Array?new Int32Array(t):t}(),n=function(e){var t=0,n=0,r=0,i="undefined"!=typeof Int32Array?new Int32Array(4096):new Array(4096);for(r=0;256!=r;++r)i[r]=e[r];for(r=0;256!=r;++r)for(n=e[r],t=256+r;t<4096;t+=256)n=i[t]=n>>>8^e[255&n];var a=[];for(r=1;16!=r;++r)a[r-1]="undefined"!=typeof Int32Array&&"function"==typeof i.subarray?i.subarray(256*r,256*r+256):i.slice(256*r,256*r+256);return a}(t),r=n[0],i=n[1],a=n[2],o=n[3],s=n[4],l=n[5],c=n[6],u=n[7],d=n[8],f=n[9],p=n[10],h=n[11],m=n[12],g=n[13],v=n[14];return e.table=t,e.bstr=function(e,n){for(var r=~n,i=0,a=e.length;i<a;)r=r>>>8^t[255&(r^e.charCodeAt(i++))];return~r},e.buf=function(e,n){for(var y=~n,b=e.length-15,_=0;_<b;)y=v[e[_++]^255&y]^g[e[_++]^y>>8&255]^m[e[_++]^y>>16&255]^h[e[_++]^y>>>24]^p[e[_++]]^f[e[_++]]^d[e[_++]]^u[e[_++]]^c[e[_++]]^l[e[_++]]^s[e[_++]]^o[e[_++]]^a[e[_++]]^i[e[_++]]^r[e[_++]]^t[e[_++]];for(b+=15;_<b;)y=y>>>8^t[255&(y^e[_++])];return~y},e.str=function(e,n){for(var r=~n,i=0,a=e.length,o=0,s=0;i<a;)(o=e.charCodeAt(i++))<128?r=r>>>8^t[255&(r^o)]:o<2048?r=(r=r>>>8^t[255&(r^(192|o>>6&31))])>>>8^t[255&(r^(128|63&o))]:o>=55296&&o<57344?(o=64+(1023&o),s=1023&e.charCodeAt(i++),r=(r=(r=(r=r>>>8^t[255&(r^(240|o>>8&7))])>>>8^t[255&(r^(128|o>>2&63))])>>>8^t[255&(r^(128|s>>6&15|(3&o)<<4))])>>>8^t[255&(r^(128|63&s))]):r=(r=(r=r>>>8^t[255&(r^(224|o>>12&15))])>>>8^t[255&(r^(128|o>>6&63))])>>>8^t[255&(r^(128|63&o))];return~r},e}(),De=function(){var e,t={};function n(e){if("/"==e.charAt(e.length-1))return-1===e.slice(0,-1).indexOf("/")?e:n(e.slice(0,-1));var t=e.lastIndexOf("/");return-1===t?e:e.slice(0,t+1)}function r(e){if("/"==e.charAt(e.length-1))return r(e.slice(0,-1));var t=e.lastIndexOf("/");return-1===t?e:e.slice(t+1)}function i(e,t){"string"==typeof t&&(t=new Date(t));var n=t.getHours();n=(n=n<<6|t.getMinutes())<<5|t.getSeconds()>>>1,e.write_shift(2,n);var r=t.getFullYear()-1980;r=(r=r<<4|t.getMonth()+1)<<5|t.getDate(),e.write_shift(2,r)}function a(e){Xn(e,0);for(var t={},n=0;e.l<=e.length-4;){var r=e.read_shift(2),i=e.read_shift(2),a=e.l+i,o={};switch(r){case 21589:1&(n=e.read_shift(1))&&(o.mtime=e.read_shift(4)),i>5&&(2&n&&(o.atime=e.read_shift(4)),4&n&&(o.ctime=e.read_shift(4))),o.mtime&&(o.mt=new Date(1e3*o.mtime));break;case 1:var s=e.read_shift(4),l=e.read_shift(4);o.usz=l*Math.pow(2,32)+s,s=e.read_shift(4),l=e.read_shift(4),o.csz=l*Math.pow(2,32)+s}e.l=a,t[r]=o}return t}function o(){return e||(e=Ee)}function s(e,t){if(80==e[0]&&75==e[1])return pe(e,t);if(109==(32|e[0])&&105==(32|e[1]))return function(e,t){if("mime-version:"!=D(e.slice(0,13)).toLowerCase())throw new Error("Unsupported MAD header");var n=t&&t.root||"",r=(A&&Buffer.isBuffer(e)?e.toString("binary"):D(e)).split("\r\n"),i=0,a="";for(i=0;i<r.length;++i)if(a=r[i],/^Content-Location:/i.test(a)&&(a=a.slice(a.indexOf("file")),n||(n=a.slice(0,a.lastIndexOf("/")+1)),a.slice(0,n.length)!=n))for(;n.length>0&&(n=(n=n.slice(0,n.length-1)).slice(0,n.lastIndexOf("/")+1),a.slice(0,n.length)!=n););var o=(r[1]||"").match(/boundary="(.*?)"/);if(!o)throw new Error("MAD cannot find boundary");var s="--"+(o[1]||""),l={FileIndex:[],FullPaths:[]};f(l);var c,u=0;for(i=0;i<r.length;++i){var d=r[i];d!==s&&d!==s+"--"||(u++&&be(l,r.slice(c,i),n),c=i)}return l}(e,t);if(e.length<512)throw new Error("CFB file size "+e.length+" < 512");var n,r,i,a,o,s,p=512,h=[],m=e.slice(0,512);Xn(m,0);var g=function(e){if(80==e[e.l]&&75==e[e.l+1])return[0,0];e.chk(y,"Header Signature: "),e.l+=16;var t=e.read_shift(2,"u");return[e.read_shift(2,"u"),t]}(m);switch(n=g[0]){case 3:p=512;break;case 4:p=4096;break;case 0:if(0==g[1])return pe(e,t);default:throw new Error("Major Version: Expected 3 or 4 saw "+n)}512!==p&&Xn(m=e.slice(0,p),28);var b=e.slice(0,p);!function(e,t){var n;switch(e.l+=2,n=e.read_shift(2)){case 9:if(3!=t)throw new Error("Sector Shift: Expected 9 saw "+n);break;case 12:if(4!=t)throw new Error("Sector Shift: Expected 12 saw "+n);break;default:throw new Error("Sector Shift: Expected 9 or 12 saw "+n)}e.chk("0600","Mini Sector Shift: "),e.chk("000000000000","Reserved: ")}(m,n);var _=m.read_shift(4,"i");if(3===n&&0!==_)throw new Error("# Directory Sectors: Expected 0 saw "+_);m.l+=4,a=m.read_shift(4,"i"),m.l+=4,m.chk("00100000","Mini Stream Cutoff Size: "),o=m.read_shift(4,"i"),r=m.read_shift(4,"i"),s=m.read_shift(4,"i"),i=m.read_shift(4,"i");for(var x=-1,w=0;w<109&&!((x=m.read_shift(4,"i"))<0);++w)h[w]=x;var S=function(e,t){for(var n=Math.ceil(e.length/t)-1,r=[],i=1;i<n;++i)r[i-1]=e.slice(i*t,(i+1)*t);return r[n-1]=e.slice(n*t),r}(e,p);c(s,i,S,p,h);var T=function(e,t,n,r){var i=e.length,a=[],o=[],s=[],l=[],c=r-1,u=0,d=0,f=0,p=0;for(u=0;u<i;++u)if(s=[],(f=u+t)>=i&&(f-=i),!o[f]){l=[];var h=[];for(d=f;d>=0;){h[d]=!0,o[d]=!0,s[s.length]=d,l.push(e[d]);var m=n[Math.floor(4*d/r)];if(r<4+(p=4*d&c))throw new Error("FAT boundary crossed: "+d+" 4 "+r);if(!e[m])break;if(h[d=Un(e[m],p)])break}a[f]={nodes:s,data:hn([l])}}return a}(S,a,h,p);a<T.length&&(T[a].name="!Directory"),r>0&&o!==v&&(T[o].name="!MiniFAT"),T[h[0]].name="!FAT",T.fat_addrs=h,T.ssz=p;var C=[],E=[],M=[];!function(e,t,n,r,i,a,o,s){for(var c,f=0,p=r.length?2:0,h=t[e].data,m=0,g=0;m<h.length;m+=128){var y=h.slice(m,m+128);Xn(y,64),g=y.read_shift(2),c=gn(y,0,g-p),r.push(c);var b={name:c,type:y.read_shift(1),color:y.read_shift(1),L:y.read_shift(4,"i"),R:y.read_shift(4,"i"),C:y.read_shift(4,"i"),clsid:y.read_shift(16),state:y.read_shift(4,"i"),start:0,size:0};0!==y.read_shift(2)+y.read_shift(2)+y.read_shift(2)+y.read_shift(2)&&(b.ct=d(y,y.l-8)),0!==y.read_shift(2)+y.read_shift(2)+y.read_shift(2)+y.read_shift(2)&&(b.mt=d(y,y.l-8)),b.start=y.read_shift(4,"i"),b.size=y.read_shift(4,"i"),b.size<0&&b.start<0&&(b.size=b.type=0,b.start=v,b.name=""),5===b.type?(f=b.start,i>0&&f!==v&&(t[f].name="!StreamData")):b.size>=4096?(b.storage="fat",void 0===t[b.start]&&(t[b.start]=u(n,b.start,t.fat_addrs,t.ssz)),t[b.start].name=b.name,b.content=t[b.start].data.slice(0,b.size)):(b.storage="minifat",b.size<0?b.size=0:f!==v&&b.start!==v&&t[f]&&(b.content=l(b,t[f].data,(t[s]||{}).data))),b.content&&Xn(b.content,0),a[c]=b,o.push(b)}}(a,T,S,C,r,{},E,o),function(e,t,n){for(var r=0,i=0,a=0,o=0,s=0,l=n.length,c=[],u=[];r<l;++r)c[r]=u[r]=r,t[r]=n[r];for(;s<u.length;++s)i=e[r=u[s]].L,a=e[r].R,o=e[r].C,c[r]===r&&(-1!==i&&c[i]!==i&&(c[r]=c[i]),-1!==a&&c[a]!==a&&(c[r]=c[a])),-1!==o&&(c[o]=r),-1!==i&&r!=c[r]&&(c[i]=c[r],u.lastIndexOf(i)<s&&u.push(i)),-1!==a&&r!=c[r]&&(c[a]=c[r],u.lastIndexOf(a)<s&&u.push(a));for(r=1;r<l;++r)c[r]===r&&(-1!==a&&c[a]!==a?c[r]=c[a]:-1!==i&&c[i]!==i&&(c[r]=c[i]));for(r=1;r<l;++r)if(0!==e[r].type){if((s=r)!=c[s])do{s=c[s],t[r]=t[s]+"/"+t[r]}while(0!==s&&-1!==c[s]&&s!=c[s]);c[r]=-1}for(t[0]+="/",r=1;r<l;++r)2!==e[r].type&&(t[r]+="/")}(E,M,C),C.shift();var P={FileIndex:E,FullPaths:M};return t&&t.raw&&(P.raw={header:b,sectors:S}),P}function l(e,t,n){for(var r=e.start,i=e.size,a=[],o=r;n&&i>0&&o>=0;)a.push(t.slice(o*g,o*g+g)),i-=g,o=Un(n,4*o);return 0===a.length?Kn(0):O(a).slice(0,e.size)}function c(e,t,n,r,i){var a=v;if(e===v){if(0!==t)throw new Error("DIFAT chain shorter than expected")}else if(-1!==e){var o=n[e],s=(r>>>2)-1;if(!o)return;for(var l=0;l<s&&(a=Un(o,4*l))!==v;++l)i.push(a);t>=1&&c(Un(o,r-4),t-1,n,r,i)}}function u(e,t,n,r,i){var a=[],o=[];i||(i=[]);var s=r-1,l=0,c=0;for(l=t;l>=0;){i[l]=!0,a[a.length]=l,o.push(e[l]);var u=n[Math.floor(4*l/r)];if(r<4+(c=4*l&s))throw new Error("FAT boundary crossed: "+l+" 4 "+r);if(!e[u])break;l=Un(e[u],c)}return{nodes:a,data:hn([o])}}function d(e,t){return new Date(1e3*(Bn(e,t+4)/1e7*Math.pow(2,32)+Bn(e,t)/1e7-11644473600))}function f(e,t){var n=t||{},r=n.root||"Root Entry";if(e.FullPaths||(e.FullPaths=[]),e.FileIndex||(e.FileIndex=[]),e.FullPaths.length!==e.FileIndex.length)throw new Error("inconsistent CFB structure");0===e.FullPaths.length&&(e.FullPaths[0]=r+"/",e.FileIndex[0]={name:r,type:5}),n.CLSID&&(e.FileIndex[0].clsid=n.CLSID),function(e){var t="Sh33tJ5";if(!De.find(e,"/"+t)){var n=Kn(4);n[0]=55,n[1]=n[3]=50,n[2]=54,e.FileIndex.push({name:t,type:2,content:n,size:4,L:69,R:69,C:69}),e.FullPaths.push(e.FullPaths[0]+t),p(e)}}(e)}function p(e,t){f(e);for(var i=!1,a=!1,o=e.FullPaths.length-1;o>=0;--o){var s=e.FileIndex[o];switch(s.type){case 0:a?i=!0:(e.FileIndex.pop(),e.FullPaths.pop());break;case 1:case 2:case 5:a=!0,isNaN(s.R*s.L*s.C)&&(i=!0),s.R>-1&&s.L>-1&&s.R==s.L&&(i=!0);break;default:i=!0}}if(i||t){var l=new Date(1987,1,19),c=0,u=Object.create?Object.create(null):{},d=[];for(o=0;o<e.FullPaths.length;++o)u[e.FullPaths[o]]=!0,0!==e.FileIndex[o].type&&d.push([e.FullPaths[o],e.FileIndex[o]]);for(o=0;o<d.length;++o){var p=n(d[o][0]);for(a=u[p];!a;){for(;n(p)&&!u[n(p)];)p=n(p);d.push([p,{name:r(p).replace("/",""),type:1,clsid:_,ct:l,mt:l,content:null}]),u[p]=!0,a=u[p=n(d[o][0])]}}for(d.sort((function(e,t){return function(e,t){for(var n=e.split("/"),r=t.split("/"),i=0,a=0,o=Math.min(n.length,r.length);i<o;++i){if(a=n[i].length-r[i].length)return a;if(n[i]!=r[i])return n[i]<r[i]?-1:1}return n.length-r.length}(e[0],t[0])})),e.FullPaths=[],e.FileIndex=[],o=0;o<d.length;++o)e.FullPaths[o]=d[o][0],e.FileIndex[o]=d[o][1];for(o=0;o<d.length;++o){var h=e.FileIndex[o],m=e.FullPaths[o];if(h.name=r(m).replace("/",""),h.L=h.R=h.C=-(h.color=1),h.size=h.content?h.content.length:0,h.start=0,h.clsid=h.clsid||_,0===o)h.C=d.length>1?1:-1,h.size=0,h.type=5;else if("/"==m.slice(-1)){for(c=o+1;c<d.length&&n(e.FullPaths[c])!=m;++c);for(h.C=c>=d.length?-1:c,c=o+1;c<d.length&&n(e.FullPaths[c])!=n(m);++c);h.R=c>=d.length?-1:c,h.type=1}else n(e.FullPaths[o+1]||"")==n(m)&&(h.R=o+1),h.type=2}}}function h(e,t){var n=t||{};if("mad"==n.fileType)return function(e,t){for(var n=t||{},r=n.boundary||"SheetJS",i=["MIME-Version: 1.0",'Content-Type: multipart/related; boundary="'+(r="------="+r).slice(2)+'"',"","",""],a=e.FullPaths[0],o=a,s=e.FileIndex[0],l=1;l<e.FullPaths.length;++l)if(o=e.FullPaths[l].slice(a.length),(s=e.FileIndex[l]).size&&s.content&&"Sh33tJ5"!=o){o=o.replace(/[\x00-\x08\x0B\x0C\x0E-\x1F\x7E-\xFF]/g,(function(e){return"_x"+e.charCodeAt(0).toString(16)+"_"})).replace(/[\u0080-\uFFFF]/g,(function(e){return"_u"+e.charCodeAt(0).toString(16)+"_"}));for(var c=s.content,u=A&&Buffer.isBuffer(c)?c.toString("binary"):D(c),d=0,f=Math.min(1024,u.length),p=0,h=0;h<=f;++h)(p=u.charCodeAt(h))>=32&&p<128&&++d;var m=d>=4*f/5;i.push(r),i.push("Content-Location: "+(n.root||"file:///C:/SheetJS/")+o),i.push("Content-Transfer-Encoding: "+(m?"quoted-printable":"base64")),i.push("Content-Type: "+ge(s,o)),i.push(""),i.push(m?ye(u):ve(u))}return i.push(r+"--\r\n"),i.join("\r\n")}(e,n);if(p(e),"zip"===n.fileType)return function(e,t){var n,r=t||{},a=[],o=[],s=Kn(1),l=r.compression?8:0,c=0,u=0,d=0,f=0,p=e.FullPaths[0],h=p,g=e.FileIndex[0],v=[],y=0;for(c=1;c<e.FullPaths.length;++c)if(h=e.FullPaths[c].slice(p.length),(g=e.FileIndex[c]).size&&g.content&&"Sh33tJ5"!=h){var b=d,_=Kn(h.length);for(u=0;u<h.length;++u)_.write_shift(1,127&h.charCodeAt(u));_=_.slice(0,_.l),v[f]="string"==typeof g.content?Me.bstr(g.content,0):Me.buf(g.content,0);var x="string"==typeof g.content?M(g.content):g.content;8==l&&(n=x,x=m?m.deflateRawSync(n):ie(n)),(s=Kn(30)).write_shift(4,67324752),s.write_shift(2,20),s.write_shift(2,0),s.write_shift(2,l),g.mt?i(s,g.mt):s.write_shift(4,0),s.write_shift(-4,v[f]),s.write_shift(4,x.length),s.write_shift(4,g.content.length),s.write_shift(2,_.length),s.write_shift(2,0),d+=s.length,a.push(s),d+=_.length,a.push(_),d+=x.length,a.push(x),(s=Kn(46)).write_shift(4,33639248),s.write_shift(2,0),s.write_shift(2,20),s.write_shift(2,0),s.write_shift(2,l),s.write_shift(4,0),s.write_shift(-4,v[f]),s.write_shift(4,x.length),s.write_shift(4,g.content.length),s.write_shift(2,_.length),s.write_shift(2,0),s.write_shift(2,0),s.write_shift(2,0),s.write_shift(2,0),s.write_shift(4,0),s.write_shift(4,b),y+=s.l,o.push(s),y+=_.length,o.push(_),++f}return(s=Kn(22)).write_shift(4,101010256),s.write_shift(2,0),s.write_shift(2,0),s.write_shift(2,f),s.write_shift(2,f),s.write_shift(4,y),s.write_shift(4,d),s.write_shift(2,0),O([O(a),O(o),s])}(e,n);var r=function(e){for(var t=0,n=0,r=0;r<e.FileIndex.length;++r){var i=e.FileIndex[r];if(i.content){var a=i.content.length;a>0&&(a<4096?t+=a+63>>6:n+=a+511>>9)}}for(var o=e.FullPaths.length+3>>2,s=t+127>>7,l=(t+7>>3)+n+o+s,c=l+127>>7,u=c<=109?0:Math.ceil((c-109)/127);l+c+u+127>>7>c;)u=++c<=109?0:Math.ceil((c-109)/127);var d=[1,u,c,s,o,n,t,0];return e.FileIndex[0].size=t<<6,d[7]=(e.FileIndex[0].start=d[0]+d[1]+d[2]+d[3]+d[4]+d[5])+(d[6]+7>>3),d}(e),a=Kn(r[7]<<9),o=0,s=0;for(o=0;o<8;++o)a.write_shift(1,b[o]);for(o=0;o<8;++o)a.write_shift(2,0);for(a.write_shift(2,62),a.write_shift(2,3),a.write_shift(2,65534),a.write_shift(2,9),a.write_shift(2,6),o=0;o<3;++o)a.write_shift(2,0);for(a.write_shift(4,0),a.write_shift(4,r[2]),a.write_shift(4,r[0]+r[1]+r[2]+r[3]-1),a.write_shift(4,0),a.write_shift(4,4096),a.write_shift(4,r[3]?r[0]+r[1]+r[2]-1:v),a.write_shift(4,r[3]),a.write_shift(-4,r[1]?r[0]-1:v),a.write_shift(4,r[1]),o=0;o<109;++o)a.write_shift(-4,o<r[2]?r[1]+o:-1);if(r[1])for(s=0;s<r[1];++s){for(;o<236+127*s;++o)a.write_shift(-4,o<r[2]?r[1]+o:-1);a.write_shift(-4,s===r[1]-1?v:s+1)}var l=function(e){for(s+=e;o<s-1;++o)a.write_shift(-4,o+1);e&&(++o,a.write_shift(-4,v))};for(s=o=0,s+=r[1];o<s;++o)a.write_shift(-4,T.DIFSECT);for(s+=r[2];o<s;++o)a.write_shift(-4,T.FATSECT);l(r[3]),l(r[4]);for(var c=0,u=0,d=e.FileIndex[0];c<e.FileIndex.length;++c)(d=e.FileIndex[c]).content&&((u=d.content.length)<4096||(d.start=s,l(u+511>>9)));for(l(r[6]+7>>3);511&a.l;)a.write_shift(-4,T.ENDOFCHAIN);for(s=o=0,c=0;c<e.FileIndex.length;++c)(d=e.FileIndex[c]).content&&(!(u=d.content.length)||u>=4096||(d.start=s,l(u+63>>6)));for(;511&a.l;)a.write_shift(-4,T.ENDOFCHAIN);for(o=0;o<r[4]<<2;++o){var f=e.FullPaths[o];if(f&&0!==f.length){d=e.FileIndex[o],0===o&&(d.start=d.size?d.start-1:v);var h=0===o&&n.root||d.name;if(h.length>31&&(console.error("Name "+h+" will be truncated to "+h.slice(0,31)),h=h.slice(0,31)),u=2*(h.length+1),a.write_shift(64,h,"utf16le"),a.write_shift(2,u),a.write_shift(1,d.type),a.write_shift(1,d.color),a.write_shift(-4,d.L),a.write_shift(-4,d.R),a.write_shift(-4,d.C),d.clsid)a.write_shift(16,d.clsid,"hex");else for(c=0;c<4;++c)a.write_shift(4,0);a.write_shift(4,d.state||0),a.write_shift(4,0),a.write_shift(4,0),a.write_shift(4,0),a.write_shift(4,0),a.write_shift(4,d.start),a.write_shift(4,d.size),a.write_shift(4,0)}else{for(c=0;c<17;++c)a.write_shift(4,0);for(c=0;c<3;++c)a.write_shift(4,-1);for(c=0;c<12;++c)a.write_shift(4,0)}}for(o=1;o<e.FileIndex.length;++o)if((d=e.FileIndex[o]).size>=4096)if(a.l=d.start+1<<9,A&&Buffer.isBuffer(d.content))d.content.copy(a,a.l,0,d.size),a.l+=d.size+511&-512;else{for(c=0;c<d.size;++c)a.write_shift(1,d.content[c]);for(;511&c;++c)a.write_shift(1,0)}for(o=1;o<e.FileIndex.length;++o)if((d=e.FileIndex[o]).size>0&&d.size<4096)if(A&&Buffer.isBuffer(d.content))d.content.copy(a,a.l,0,d.size),a.l+=d.size+63&-64;else{for(c=0;c<d.size;++c)a.write_shift(1,d.content[c]);for(;63&c;++c)a.write_shift(1,0)}if(A)a.l=a.length;else for(;a.l<a.length;)a.write_shift(1,0);return a}t.version="1.2.2";var m,g=64,v=-2,y="d0cf11e0a1b11ae1",b=[208,207,17,224,161,177,26,225],_="00000000000000000000000000000000",T={MAXREGSECT:-6,DIFSECT:-4,FATSECT:-3,ENDOFCHAIN:v,FREESECT:-1,HEADER_SIGNATURE:y,HEADER_MINOR_VERSION:"3e00",MAXREGSID:-6,NOSTREAM:-1,HEADER_CLSID:_,EntryTypes:["unknown","storage","stream","lockbytes","property","root"]};function D(e){for(var t=new Array(e.length),n=0;n<e.length;++n)t[n]=String.fromCharCode(e[n]);return t.join("")}for(var P,I,R=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],L=[3,4,5,6,7,8,9,10,11,13,15,17,19,23,27,31,35,43,51,59,67,83,99,115,131,163,195,227,258],F=[1,2,3,4,5,7,9,13,17,25,33,49,65,97,129,193,257,385,513,769,1025,1537,2049,3073,4097,6145,8193,12289,16385,24577],B="undefined"!=typeof Uint8Array,U=B?new Uint8Array(256):[],V=0;V<256;++V)U[V]=(void 0,255&((I=139536&((P=V)<<1|P<<11)|558144&(P<<5|P<<15))>>16|I>>8|I));function G(e,t){var n=U[255&e];return t<=8?n>>>8-t:(n=n<<8|U[e>>8&255],t<=16?n>>>16-t:(n=n<<8|U[e>>16&255])>>>24-t)}function z(e,t){var n=7&t,r=t>>>3;return(e[r]|(n<=6?0:e[r+1]<<8))>>>n&3}function j(e,t){var n=7&t,r=t>>>3;return(e[r]|(n<=5?0:e[r+1]<<8))>>>n&7}function W(e,t){var n=7&t,r=t>>>3;return(e[r]|(n<=3?0:e[r+1]<<8))>>>n&31}function H(e,t){var n=7&t,r=t>>>3;return(e[r]|(n<=1?0:e[r+1]<<8))>>>n&127}function $(e,t,n){var r=7&t,i=t>>>3,a=(1<<n)-1,o=e[i]>>>r;return n<8-r?o&a:(o|=e[i+1]<<8-r,n<16-r?o&a:(o|=e[i+2]<<16-r,n<24-r?o&a:(o|=e[i+3]<<24-r)&a))}function X(e,t,n){var r=7&t,i=t>>>3;return r<=5?e[i]|=(7&n)<<r:(e[i]|=n<<r&255,e[i+1]=(7&n)>>8-r),t+3}function q(e,t,n){return n=(1&n)<<(7&t),e[t>>>3]|=n,t+1}function K(e,t,n){var r=t>>>3;return n<<=7&t,e[r]|=255&n,n>>>=8,e[r+1]=n,t+8}function Y(e,t,n){var r=t>>>3;return n<<=7&t,e[r]|=255&n,n>>>=8,e[r+1]=255&n,e[r+2]=n>>>8,t+16}function J(e,t){var n=e.length,r=2*n>t?2*n:t+5,i=0;if(n>=t)return e;if(A){var a=E(r);if(e.copy)e.copy(a);else for(;i<e.length;++i)a[i]=e[i];return a}if(B){var o=new Uint8Array(r);if(o.set)o.set(e);else for(;i<n;++i)o[i]=e[i];return o}return e.length=r,e}function Z(e){for(var t=new Array(e),n=0;n<e;++n)t[n]=0;return t}function Q(e,t,n){var r=1,i=0,a=0,o=0,s=0,l=e.length,c=B?new Uint16Array(32):Z(32);for(a=0;a<32;++a)c[a]=0;for(a=l;a<n;++a)e[a]=0;l=e.length;var u=B?new Uint16Array(l):Z(l);for(a=0;a<l;++a)c[i=e[a]]++,r<i&&(r=i),u[a]=0;for(c[0]=0,a=1;a<=r;++a)c[a+16]=s=s+c[a-1]<<1;for(a=0;a<l;++a)0!=(s=e[a])&&(u[a]=c[s+16]++);var d=0;for(a=0;a<l;++a)if(0!=(d=e[a]))for(s=G(u[a],r)>>r-d,o=(1<<r+4-d)-1;o>=0;--o)t[s|o<<d]=15&d|a<<4;return r}var ee=B?new Uint16Array(512):Z(512),te=B?new Uint16Array(32):Z(32);if(!B){for(var ne=0;ne<512;++ne)ee[ne]=0;for(ne=0;ne<32;++ne)te[ne]=0}!function(){for(var e=[],t=0;t<32;t++)e.push(5);Q(e,te,32);var n=[];for(t=0;t<=143;t++)n.push(8);for(;t<=255;t++)n.push(9);for(;t<=279;t++)n.push(7);for(;t<=287;t++)n.push(8);Q(n,ee,288)}();var re=function(){for(var e=B?new Uint8Array(32768):[],t=0,n=0;t<F.length-1;++t)for(;n<F[t+1];++n)e[n]=t;for(;n<32768;++n)e[n]=29;var r=B?new Uint8Array(259):[];for(t=0,n=0;t<L.length-1;++t)for(;n<L[t+1];++n)r[n]=t;return function(t,n){return t.length<8?function(e,t){for(var n=0;n<e.length;){var r=Math.min(65535,e.length-n),i=n+r==e.length;for(t.write_shift(1,+i),t.write_shift(2,r),t.write_shift(2,65535&~r);r-- >0;)t[t.l++]=e[n++]}return t.l}(t,n):function(t,n){for(var i=0,a=0,o=B?new Uint16Array(32768):[];a<t.length;){var s=Math.min(65535,t.length-a);if(s<10){for(7&(i=X(n,i,+!(a+s!=t.length)))&&(i+=8-(7&i)),n.l=i/8|0,n.write_shift(2,s),n.write_shift(2,65535&~s);s-- >0;)n[n.l++]=t[a++];i=8*n.l}else{i=X(n,i,+!(a+s!=t.length)+2);for(var l=0;s-- >0;){var c=t[a],u=-1,d=0;if((u=o[l=32767&(l<<5^c)])&&((u|=-32768&a)>a&&(u-=32768),u<a))for(;t[u+d]==t[a+d]&&d<250;)++d;if(d>2){(c=r[d])<=22?i=K(n,i,U[c+1]>>1)-1:(K(n,i,3),K(n,i+=5,U[c-23]>>5),i+=3);var f=c<8?0:c-4>>2;f>0&&(Y(n,i,d-L[c]),i+=f),c=e[a-u],i=K(n,i,U[c]>>3),i-=3;var p=c<4?0:c-2>>1;p>0&&(Y(n,i,a-u-F[c]),i+=p);for(var h=0;h<d;++h)o[l]=32767&a,l=32767&(l<<5^t[a]),++a;s-=d-1}else c<=143?c+=48:i=q(n,i,1),i=K(n,i,U[c]),o[l]=32767&a,++a}i=K(n,i,0)-1}}return n.l=(i+7)/8|0,n.l}(t,n)}}();function ie(e){var t=Kn(50+Math.floor(1.1*e.length)),n=re(e,t);return t.slice(0,n)}var ae=B?new Uint16Array(32768):Z(32768),oe=B?new Uint16Array(32768):Z(32768),se=B?new Uint16Array(128):Z(128),le=1,ce=1;function ue(e,t){var n=W(e,t)+257,r=W(e,t+=5)+1,i=function(e,t){var n=7&t,r=t>>>3;return(e[r]|(n<=4?0:e[r+1]<<8))>>>n&15}(e,t+=5)+4;t+=4;for(var a=0,o=B?new Uint8Array(19):Z(19),s=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],l=1,c=B?new Uint8Array(8):Z(8),u=B?new Uint8Array(8):Z(8),d=o.length,f=0;f<i;++f)o[R[f]]=a=j(e,t),l<a&&(l=a),c[a]++,t+=3;var p=0;for(c[0]=0,f=1;f<=l;++f)u[f]=p=p+c[f-1]<<1;for(f=0;f<d;++f)0!=(p=o[f])&&(s[f]=u[p]++);var h=0;for(f=0;f<d;++f)if(0!=(h=o[f])){p=U[s[f]]>>8-h;for(var m=(1<<7-h)-1;m>=0;--m)se[p|m<<h]=7&h|f<<3}var g=[];for(l=1;g.length<n+r;)switch(t+=7&(p=se[H(e,t)]),p>>>=3){case 16:for(a=3+z(e,t),t+=2,p=g[g.length-1];a-- >0;)g.push(p);break;case 17:for(a=3+j(e,t),t+=3;a-- >0;)g.push(0);break;case 18:for(a=11+H(e,t),t+=7;a-- >0;)g.push(0);break;default:g.push(p),l<p&&(l=p)}var v=g.slice(0,n),y=g.slice(n);for(f=n;f<286;++f)v[f]=0;for(f=r;f<30;++f)y[f]=0;return le=Q(v,ae,286),ce=Q(y,oe,30),t}function de(e,t){var n=function(e,t){if(3==e[0]&&!(3&e[1]))return[C(t),2];for(var n=0,r=0,i=E(t||1<<18),a=0,o=i.length>>>0,s=0,l=0;!(1&r);)if(r=j(e,n),n+=3,r>>>1!=0)for(r>>1==1?(s=9,l=5):(n=ue(e,n),s=le,l=ce);;){!t&&o<a+32767&&(o=(i=J(i,a+32767)).length);var c=$(e,n,s),u=r>>>1==1?ee[c]:ae[c];if(n+=15&u,(u>>>=4)>>>8&255){if(256==u)break;var d=(u-=257)<8?0:u-4>>2;d>5&&(d=0);var f=a+L[u];d>0&&(f+=$(e,n,d),n+=d),c=$(e,n,l),n+=15&(u=r>>>1==1?te[c]:oe[c]);var p=(u>>>=4)<4?0:u-2>>1,h=F[u];for(p>0&&(h+=$(e,n,p),n+=p),!t&&o<f&&(o=(i=J(i,f+100)).length);a<f;)i[a]=i[a-h],++a}else i[a++]=u}else{7&n&&(n+=8-(7&n));var m=e[n>>>3]|e[1+(n>>>3)]<<8;if(n+=32,m>0)for(!t&&o<a+m&&(o=(i=J(i,a+m)).length);m-- >0;)i[a++]=e[n>>>3],n+=8}return t?[i,n+7>>>3]:[i.slice(0,a),n+7>>>3]}(e.slice(e.l||0),t);return e.l+=n[1],n[0]}function fe(e,t){if(!e)throw new Error(t);"undefined"!=typeof console&&console.error(t)}function pe(e,t){var n=e;Xn(n,0);var r={FileIndex:[],FullPaths:[]};f(r,{root:t.root});for(var i=n.length-4;(80!=n[i]||75!=n[i+1]||5!=n[i+2]||6!=n[i+3])&&i>=0;)--i;n.l=i+4,n.l+=4;var o=n.read_shift(2);n.l+=6;var s=n.read_shift(4);for(n.l=s,i=0;i<o;++i){n.l+=20;var l=n.read_shift(4),c=n.read_shift(4),u=n.read_shift(2),d=n.read_shift(2),p=n.read_shift(2);n.l+=8;var h=n.read_shift(4),m=a(n.slice(n.l+u,n.l+u+d));n.l+=u+d+p;var g=n.l;n.l=h+4,m&&m[1]&&((m[1]||{}).usz&&(c=m[1].usz),(m[1]||{}).csz&&(l=m[1].csz)),he(n,l,c,r,m),n.l=g}return r}function he(e,t,n,r,i){e.l+=2;var o=e.read_shift(2),s=e.read_shift(2),l=function(e){var t=65535&e.read_shift(2),n=65535&e.read_shift(2),r=new Date,i=31&n,a=15&(n>>>=5);n>>>=4,r.setMilliseconds(0),r.setFullYear(n+1980),r.setMonth(a-1),r.setDate(i);var o=31&t,s=63&(t>>>=5);return t>>>=6,r.setHours(t),r.setMinutes(s),r.setSeconds(o<<1),r}(e);if(8257&o)throw new Error("Unsupported ZIP encryption");e.read_shift(4);for(var c=e.read_shift(4),u=e.read_shift(4),d=e.read_shift(2),f=e.read_shift(2),p="",h=0;h<d;++h)p+=String.fromCharCode(e[e.l++]);if(f){var g=a(e.slice(e.l,e.l+f));(g[21589]||{}).mt&&(l=g[21589].mt),(g[1]||{}).usz&&(u=g[1].usz),(g[1]||{}).csz&&(c=g[1].csz),i&&((i[21589]||{}).mt&&(l=i[21589].mt),(i[1]||{}).usz&&(u=g[1].usz),(i[1]||{}).csz&&(c=g[1].csz))}e.l+=f;var v=e.slice(e.l,e.l+c);switch(s){case 8:v=function(e,t){if(!m)return de(e,t);var n=new(0,m.InflateRaw),r=n._processChunk(e.slice(e.l),n._finishFlushFlag);return e.l+=n.bytesRead,r}(e,u);break;case 0:break;default:throw new Error("Unsupported ZIP Compression method "+s)}var y=!1;8&o&&(134695760==e.read_shift(4)&&(e.read_shift(4),y=!0),c=e.read_shift(4),u=e.read_shift(4)),c!=t&&fe(y,"Bad compressed size: "+t+" != "+c),u!=n&&fe(y,"Bad uncompressed size: "+n+" != "+u),_e(r,p,v,{unsafe:!0,mt:l})}var me={htm:"text/html",xml:"text/xml",gif:"image/gif",jpg:"image/jpeg",png:"image/png",mso:"application/x-mso",thmx:"application/vnd.ms-officetheme",sh33tj5:"application/octet-stream"};function ge(e,t){if(e.ctype)return e.ctype;var n=e.name||"",r=n.match(/\.([^\.]+)$/);return r&&me[r[1]]||t&&(r=(n=t).match(/[\.\\]([^\.\\])+$/))&&me[r[1]]?me[r[1]]:"application/octet-stream"}function ve(e){for(var t=x(e),n=[],r=0;r<t.length;r+=76)n.push(t.slice(r,r+76));return n.join("\r\n")+"\r\n"}function ye(e){var t=e.replace(/[\x00-\x08\x0B\x0C\x0E-\x1F\x7E-\xFF=]/g,(function(e){var t=e.charCodeAt(0).toString(16).toUpperCase();return"="+(1==t.length?"0"+t:t)}));"\n"==(t=t.replace(/ $/gm,"=20").replace(/\t$/gm,"=09")).charAt(0)&&(t="=0D"+t.slice(1));for(var n=[],r=(t=t.replace(/\r(?!\n)/gm,"=0D").replace(/\n\n/gm,"\n=0A").replace(/([^\r\n])\n/gm,"$1=0A")).split("\r\n"),i=0;i<r.length;++i){var a=r[i];if(0!=a.length)for(var o=0;o<a.length;){var s=76,l=a.slice(o,o+s);"="==l.charAt(s-1)?s--:"="==l.charAt(s-2)?s-=2:"="==l.charAt(s-3)&&(s-=3),l=a.slice(o,o+s),(o+=s)<a.length&&(l+="="),n.push(l)}else n.push("")}return n.join("\r\n")}function be(e,t,n){for(var r,i="",a="",o="",s=0;s<10;++s){var l=t[s];if(!l||l.match(/^\s*$/))break;var c=l.match(/^([^:]*?):\s*([^\s].*)$/);if(c)switch(c[1].toLowerCase()){case"content-location":i=c[2].trim();break;case"content-type":o=c[2].trim();break;case"content-transfer-encoding":a=c[2].trim()}}switch(++s,a.toLowerCase()){case"base64":r=M(w(t.slice(s).join("")));break;case"quoted-printable":r=function(e){for(var t=[],n=0;n<e.length;++n){for(var r=e[n];n<=e.length&&"="==r.charAt(r.length-1);)r=r.slice(0,r.length-1)+e[++n];t.push(r)}for(var i=0;i<t.length;++i)t[i]=t[i].replace(/[=][0-9A-Fa-f]{2}/g,(function(e){return String.fromCharCode(parseInt(e.slice(1),16))}));return M(t.join("\r\n"))}(t.slice(s));break;default:throw new Error("Unsupported Content-Transfer-Encoding "+a)}var u=_e(e,i.slice(n.length),r,{unsafe:!0});o&&(u.ctype=o)}function _e(e,t,n,i){var a=i&&i.unsafe;a||f(e);var o=!a&&De.find(e,t);if(!o){var s=e.FullPaths[0];t.slice(0,s.length)==s?s=t:("/"!=s.slice(-1)&&(s+="/"),s=(s+t).replace("//","/")),o={name:r(t),type:2},e.FileIndex.push(o),e.FullPaths.push(s),a||De.utils.cfb_gc(e)}return o.content=n,o.size=n?n.length:0,i&&(i.CLSID&&(o.clsid=i.CLSID),i.mt&&(o.mt=i.mt),i.ct&&(o.ct=i.ct)),o}return t.find=function(e,t){var n=e.FullPaths.map((function(e){return e.toUpperCase()})),r=n.map((function(e){var t=e.split("/");return t[t.length-("/"==e.slice(-1)?2:1)]})),i=!1;47===t.charCodeAt(0)?(i=!0,t=n[0].slice(0,-1)+t):i=-1!==t.indexOf("/");var a=t.toUpperCase(),o=!0===i?n.indexOf(a):r.indexOf(a);if(-1!==o)return e.FileIndex[o];var s=!a.match(k);for(a=a.replace(N,""),s&&(a=a.replace(k,"!")),o=0;o<n.length;++o){if((s?n[o].replace(k,"!"):n[o]).replace(N,"")==a)return e.FileIndex[o];if((s?r[o].replace(k,"!"):r[o]).replace(N,"")==a)return e.FileIndex[o]}return null},t.read=function(t,n){var r=n&&n.type;switch(r||A&&Buffer.isBuffer(t)&&(r="buffer"),r||"base64"){case"file":return function(t,n){return o(),s(e.readFileSync(t),n)}(t,n);case"base64":return s(M(w(t)),n);case"binary":return s(M(t),n)}return s(t,n)},t.parse=s,t.write=function(t,n){var r=h(t,n);switch(n&&n.type||"buffer"){case"file":return o(),e.writeFileSync(n.filename,r),r;case"binary":return"string"==typeof r?r:D(r);case"base64":return x("string"==typeof r?r:D(r));case"buffer":if(A)return Buffer.isBuffer(r)?r:S(r);case"array":return"string"==typeof r?M(r):r}return r},t.writeFile=function(t,n,r){o();var i=h(t,r);e.writeFileSync(n,i)},t.utils={cfb_new:function(e){var t={};return f(t,e),t},cfb_add:_e,cfb_del:function(e,t){f(e);var n=De.find(e,t);if(n)for(var r=0;r<e.FileIndex.length;++r)if(e.FileIndex[r]==n)return e.FileIndex.splice(r,1),e.FullPaths.splice(r,1),!0;return!1},cfb_mov:function(e,t,n){f(e);var i=De.find(e,t);if(i)for(var a=0;a<e.FileIndex.length;++a)if(e.FileIndex[a]==i)return e.FileIndex[a].name=r(n),e.FullPaths[a]=n,!0;return!1},cfb_gc:function(e){p(e,!0)},ReadShift:Gn,CheckField:$n,prep_blob:Xn,bconcat:O,use_zlib:function(e){try{var t=new(0,e.InflateRaw);if(t._processChunk(new Uint8Array([3,0]),t._finishFlushFlag),!t.bytesRead)throw new Error("zlib does not expose bytesRead");m=e}catch(e){console.error("cannot use native zlib: "+(e.message||e))}},_deflateRaw:ie,_inflateRaw:de,consts:T},t}();function Pe(e){return"string"==typeof e?D(e):Array.isArray(e)?function(e){if("undefined"==typeof Uint8Array)throw new Error("Unsupported");return new Uint8Array(e)}(e):e}function Ie(e,t,n){if(void 0!==Ee&&Ee.writeFileSync)return n?Ee.writeFileSync(e,t,n):Ee.writeFileSync(e,t);if("undefined"!=typeof Deno){if(n&&"string"==typeof t)switch(n){case"utf8":t=new TextEncoder(n).encode(t);break;case"binary":t=D(t);break;default:throw new Error("Unsupported encoding "+n)}return Deno.writeFileSync(e,t)}var r="utf8"==n?Jt(t):t;if("undefined"!=typeof IE_SaveFile)return IE_SaveFile(r,e);if("undefined"!=typeof Blob){var i=new Blob([Pe(r)],{type:"application/octet-stream"});if("undefined"!=typeof navigator&&navigator.msSaveBlob)return navigator.msSaveBlob(i,e);if("undefined"!=typeof saveAs)return saveAs(i,e);if("undefined"!=typeof URL&&"undefined"!=typeof document&&document.createElement&&URL.createObjectURL){var a=URL.createObjectURL(i);if("object"==typeof chrome&&"function"==typeof(chrome.downloads||{}).download)return URL.revokeObjectURL&&"undefined"!=typeof setTimeout&&setTimeout((function(){URL.revokeObjectURL(a)}),6e4),chrome.downloads.download({url:a,filename:e,saveAs:!0});var o=document.createElement("a");if(null!=o.download)return o.download=e,o.href=a,document.body.appendChild(o),o.click(),document.body.removeChild(o),URL.revokeObjectURL&&"undefined"!=typeof setTimeout&&setTimeout((function(){URL.revokeObjectURL(a)}),6e4),a}else if("undefined"!=typeof URL&&!URL.createObjectURL&&"object"==typeof chrome){var s="data:application/octet-stream;base64,"+function(e){for(var t="",n=0,r=0,i=0,a=0,o=0,s=0,l=0,c=0;c<e.length;)a=(n=e[c++])>>2,o=(3&n)<<4|(r=e[c++])>>4,s=(15&r)<<2|(i=e[c++])>>6,l=63&i,isNaN(r)?s=l=64:isNaN(i)&&(l=64),t+=_.charAt(a)+_.charAt(o)+_.charAt(s)+_.charAt(l);return t}(new Uint8Array(Pe(r)));return chrome.downloads.download({url:s,filename:e,saveAs:!0})}}if("undefined"!=typeof $&&"undefined"!=typeof File&&"undefined"!=typeof Folder)try{var l=File(e);return l.open("w"),l.encoding="binary",Array.isArray(t)&&(t=P(t)),l.write(t),l.close(),t}catch(e){if(!e.message||-1==e.message.indexOf("onstruct"))throw e}throw new Error("cannot save file "+e)}function Oe(e){for(var t=Object.keys(e),n=[],r=0;r<t.length;++r)Object.prototype.hasOwnProperty.call(e,t[r])&&n.push(t[r]);return n}function Ne(e,t){for(var n=[],r=Oe(e),i=0;i!==r.length;++i)null==n[e[r[i]][t]]&&(n[e[r[i]][t]]=r[i]);return n}function ke(e){for(var t=[],n=Oe(e),r=0;r!==n.length;++r)t[e[n[r]]]=n[r];return t}function Re(e){for(var t=[],n=Oe(e),r=0;r!==n.length;++r)t[e[n[r]]]=parseInt(n[r],10);return t}var Le=Date.UTC(1899,11,30,0,0,0),Fe=Date.UTC(1899,11,31,0,0,0),Be=Date.UTC(1904,0,1,0,0,0);function Ue(e,t){var n=(e.getTime()-Le)/864e5;return t?(n-=1462)<-1402?n-1:n:n<60?n-1:n}function Ve(e){if(e>=60&&e<61)return e;var t=new Date;return t.setTime(24*(e>60?e:e+1)*60*60*1e3+Le),t}function Ge(e){var t=0,n=0,r=!1,i=e.match(/P([0-9\.]+Y)?([0-9\.]+M)?([0-9\.]+D)?T([0-9\.]+H)?([0-9\.]+M)?([0-9\.]+S)?/);if(!i)throw new Error("|"+e+"| is not an ISO8601 Duration");for(var a=1;a!=i.length;++a)if(i[a]){switch(n=1,a>3&&(r=!0),i[a].slice(i[a].length-1)){case"Y":throw new Error("Unsupported ISO Duration Field: "+i[a].slice(i[a].length-1));case"D":n*=24;case"H":n*=60;case"M":if(!r)throw new Error("Unsupported ISO Duration Field: M");n*=60}t+=n*parseInt(i[a],10)}return t}var ze=/^(\d+):(\d+)(:\d+)?(\.\d+)?$/,je=/^(\d+)-(\d+)-(\d+)$/,We=/^(\d+)-(\d+)-(\d+)[T ](\d+):(\d+)(:\d+)?(\.\d+)?$/;function He(e,t){if(e instanceof Date)return e;var n=e.match(ze);return n?new Date((t?Be:Fe)+1e3*(60*(60*parseInt(n[1],10)+parseInt(n[2],10))+(n[3]?parseInt(n[3].slice(1),10):0))+(n[4]?parseInt((n[4]+"000").slice(1,4),10):0)):(n=e.match(je))?new Date(Date.UTC(+n[1],+n[2]-1,+n[3],0,0,0,0)):(n=e.match(We))?new Date(Date.UTC(+n[1],+n[2]-1,+n[3],+n[4],+n[5],n[6]&&parseInt(n[6].slice(1),10)||0,n[7]&&parseInt((n[7]+"0000").slice(1,4),10)||0)):new Date(e)}function $e(e,t){if(A&&Buffer.isBuffer(e)){if(t&&T){if(255==e[0]&&254==e[1])return Jt(e.slice(2).toString("utf16le"));if(254==e[1]&&255==e[2])return Jt(m(e.slice(2).toString("binary")))}return e.toString("binary")}if("undefined"!=typeof TextDecoder)try{if(t){if(255==e[0]&&254==e[1])return Jt(new TextDecoder("utf-16le").decode(e.slice(2)));if(254==e[0]&&255==e[1])return Jt(new TextDecoder("utf-16be").decode(e.slice(2)))}var n={"€":"","‚":"","ƒ":"","„":"","…":"","†":"","‡":"","ˆ":"","‰":"","Š":"","‹":"","Œ":"","Ž":"","‘":"","’":"","“":"","”":"","•":"","–":"","—":"","˜":"","™":"","š":"","›":"","œ":"","ž":"","Ÿ":""};return Array.isArray(e)&&(e=new Uint8Array(e)),new TextDecoder("latin1").decode(e).replace(/[€‚ƒ„…†‡ˆ‰Š‹ŒŽ‘’“”•–—˜™š›œžŸ]/g,(function(e){return n[e]||e}))}catch(e){}var r=[],i=0;try{for(i=0;i<e.length-65536;i+=65536)r.push(String.fromCharCode.apply(0,e.slice(i,i+65536)));r.push(String.fromCharCode.apply(0,e.slice(i)))}catch(t){try{for(;i<e.length-16384;i+=16384)r.push(String.fromCharCode.apply(0,e.slice(i,i+16384)));r.push(String.fromCharCode.apply(0,e.slice(i)))}catch(t){for(;i!=e.length;++i)r.push(String.fromCharCode(e[i]))}}return r.join("")}function Xe(e){if("undefined"!=typeof JSON&&!Array.isArray(e))return JSON.parse(JSON.stringify(e));if("object"!=typeof e||null==e)return e;if(e instanceof Date)return new Date(e.getTime());var t={};for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=Xe(e[n]));return t}function qe(e,t){for(var n="";n.length<t;)n+=e;return n}function Ke(e){var t=Number(e);if(!isNaN(t))return isFinite(t)?t:NaN;if(!/\d/.test(e))return t;var n=1,r=e.replace(/([\d]),([\d])/g,"$1$2").replace(/[$]/g,"").replace(/[%]/g,(function(){return n*=100,""}));return isNaN(t=Number(r))?(r=r.replace(/[(]([^()]*)[)]/,(function(e,t){return n=-n,t})),isNaN(t=Number(r))?t:t/n):t/n}var Ye=/^(0?\d|1[0-2])(?:|:([0-5]?\d)(?:|(\.\d+)(?:|:([0-5]?\d))|:([0-5]?\d)(|\.\d+)))\s+([ap])m?$/,Je=/^([01]?\d|2[0-3])(?:|:([0-5]?\d)(?:|(\.\d+)(?:|:([0-5]?\d))|:([0-5]?\d)(|\.\d+)))$/,Ze=/^(\d+)-(\d+)-(\d+)[T ](\d+):(\d+)(:\d+)(\.\d+)?[Z]?$/,Qe=-177984e5==new Date("6/9/69 00:00 UTC").valueOf(),et=["january","february","march","april","may","june","july","august","september","october","november","december"];function tt(e){if(Ze.test(e))return-1==e.indexOf("Z")?it(new Date(e)):new Date(e);var t=e.toLowerCase(),n=t.replace(/\s+/g," ").trim(),r=n.match(Ye);if(r)return function(e){return e[2]?e[3]?e[4]?new Date(Date.UTC(1899,11,31,+e[1]%12+("p"==e[7]?12:0),+e[2],+e[4],1e3*parseFloat(e[3]))):new Date(Date.UTC(1899,11,31,"p"==e[7]?12:0,+e[1],+e[2],1e3*parseFloat(e[3]))):e[5]?new Date(Date.UTC(1899,11,31,+e[1]%12+("p"==e[7]?12:0),+e[2],+e[5],e[6]?1e3*parseFloat(e[6]):0)):new Date(Date.UTC(1899,11,31,+e[1]%12+("p"==e[7]?12:0),+e[2],0,0)):new Date(Date.UTC(1899,11,31,+e[1]%12+("p"==e[7]?12:0),0,0,0))}(r);if(r=n.match(Je))return function(e){return e[2]?e[3]?e[4]?new Date(Date.UTC(1899,11,31,+e[1],+e[2],+e[4],1e3*parseFloat(e[3]))):new Date(Date.UTC(1899,11,31,0,+e[1],+e[2],1e3*parseFloat(e[3]))):e[5]?new Date(Date.UTC(1899,11,31,+e[1],+e[2],+e[5],e[6]?1e3*parseFloat(e[6]):0)):new Date(Date.UTC(1899,11,31,+e[1],+e[2],0,0)):new Date(Date.UTC(1899,11,31,+e[1],0,0,0))}(r);if(r=n.match(We))return new Date(Date.UTC(+r[1],+r[2]-1,+r[3],+r[4],+r[5],r[6]&&parseInt(r[6].slice(1),10)||0,r[7]&&parseInt((r[7]+"0000").slice(1,4),10)||0));var i=new Date(Qe&&-1==e.indexOf("UTC")?e+" UTC":e),a=new Date(NaN),o=i.getYear(),s=(i.getMonth(),i.getDate());if(isNaN(s))return a;if(t.match(/jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec/)){if((t=t.replace(/[^a-z]/g,"").replace(/([^a-z]|^)[ap]m?([^a-z]|$)/,"")).length>3&&-1==et.indexOf(t))return a}else if(t.replace(/[ap]m?/,"").match(/[a-z]/))return a;return o<0||o>8099||e.match(/[^-0-9:,\/\\\ ]/)?a:i}var nt=function(){var e=5=="abacaba".split(/(:?b)/i).length;return function(t,n,r){if(e||"string"==typeof n)return t.split(n);for(var i=t.split(n),a=[i[0]],o=1;o<i.length;++o)a.push(r),a.push(i[o]);return a}}();function rt(e){return new Date(e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate(),e.getUTCHours(),e.getUTCMinutes(),e.getUTCSeconds(),e.getUTCMilliseconds())}function it(e){return new Date(Date.UTC(e.getFullYear(),e.getMonth(),e.getDate(),e.getHours(),e.getMinutes(),e.getSeconds(),e.getMilliseconds()))}function at(e){var t=e.slice(0,1024).indexOf("<!DOCTYPE");if(-1==t)return e;var n=e.match(/<[\w]/);return n?e.slice(0,t)+e.slice(n.index):e}function ot(e,t,n){for(var r=[],i=e.indexOf(t);i>-1;){var a=e.indexOf(n,i+t.length);if(-1==a)break;r.push(e.slice(i,a+n.length)),i=e.indexOf(t,a+n.length)}return r.length>0?r:null}function st(e,t,n){var r=[],i=0,a=e.indexOf(t);if(-1==a)return e;for(;a>-1;){r.push(e.slice(i,a));var o=e.indexOf(n,a+t.length);if(-1==o)break;-1==(a=e.indexOf(t,i=o+n.length))&&r.push(e.slice(i))}return r.join("")}var lt={" ":1,"\t":1,"\r":1,"\n":1,">":1};function ct(e,t){for(var n=e.indexOf("<"+t),r=t.length+1,i=e.length;n>=0&&n<=i-r&&!lt[e.charAt(n+r)];)n=e.indexOf("<"+t,n+1);if(-1===n)return null;var a=e.indexOf(">",n+t.length);if(-1===a)return null;var o="</"+t+">",s=e.indexOf(o,a);return-1==s?null:[e.slice(n,s+o.length),e.slice(a+1,s)]}var ut=function(){var e={};return function(t,n){var r=e[n];r||(e[n]=r=[new RegExp("<(?:\\w+:)?"+n+"\\b[^<>]*>","g"),new RegExp("</(?:\\w+:)?"+n+">","g")]),r[0].lastIndex=r[1].lastIndex=0;var i=r[0].exec(t);if(!i)return null;var a=i.index,o=r[0].lastIndex;if(r[1].lastIndex=r[0].lastIndex,!(i=r[1].exec(t)))return null;var s=i.index,l=r[1].lastIndex;return[t.slice(a,l),t.slice(o,s)]}}(),dt=function(){var e={};return function(t,n){var r,i=[],a=e[n];for(a||(e[n]=a=[new RegExp("<(?:\\w+:)?"+n+"\\b[^<>]*>","g"),new RegExp("</(?:\\w+:)?"+n+">","g")]),a[0].lastIndex=a[1].lastIndex=0;r=a[0].exec(t);){var o=r.index;if(a[1].lastIndex=a[0].lastIndex,!(r=a[1].exec(t)))return null;var s=a[1].lastIndex;i.push(t.slice(o,s)),a[0].lastIndex=a[1].lastIndex}return 0==i.length?null:i}}(),ft=function(){var e={};return function(t,n){var r,i=[],a=e[n];a||(e[n]=a=[new RegExp("<(?:\\w+:)?"+n+"\\b[^<>]*>","g"),new RegExp("</(?:\\w+:)?"+n+">","g")]),a[0].lastIndex=a[1].lastIndex=0;for(var o=0,s=0;r=a[0].exec(t);){if(o=r.index,i.push(t.slice(s,o)),s=o,a[1].lastIndex=a[0].lastIndex,!(r=a[1].exec(t)))return null;s=a[1].lastIndex,a[0].lastIndex=a[1].lastIndex}return i.push(t.slice(s)),0==i.length?"":i.join("")}}(),pt=function(){var e={};return function(t,n){var r,i=[],a=e[n];for(a||(e[n]=a=[new RegExp("<"+n+"\\b[^<>]*>","ig"),new RegExp("</"+n+">","ig")]),a[0].lastIndex=a[1].lastIndex=0;r=a[0].exec(t);){var o=r.index;if(a[1].lastIndex=a[0].lastIndex,!(r=a[1].exec(t)))return null;var s=a[1].lastIndex;i.push(t.slice(o,s)),a[0].lastIndex=a[1].lastIndex}return 0==i.length?null:i}}();function ht(e){return e?e.content&&e.type?$e(e.content,!0):e.data?g(e.data):e.asNodeBuffer&&A?g(e.asNodeBuffer().toString("binary")):e.asBinary?g(e.asBinary()):e._data&&e._data.getContent?g($e(Array.prototype.slice.call(e._data.getContent(),0))):null:null}function mt(e){if(!e)return null;if(e.data)return p(e.data);if(e.asNodeBuffer&&A)return e.asNodeBuffer();if(e._data&&e._data.getContent){var t=e._data.getContent();return"string"==typeof t?p(t):Array.prototype.slice.call(t)}return e.content&&e.type?e.content:null}function gt(e,t){for(var n=e.FullPaths||Oe(e.files),r=t.toLowerCase().replace(/[\/]/g,"\\"),i=r.replace(/\\/g,"/"),a=0;a<n.length;++a){var o=n[a].replace(/^Root Entry[\/]/,"").toLowerCase();if(r==o||i==o)return e.files?e.files[n[a]]:e.FileIndex[a]}return null}function vt(e,t){var n=gt(e,t);if(null==n)throw new Error("Cannot find file "+t+" in zip");return n}function yt(e,t,n){if(!n)return(r=vt(e,t))&&".bin"===r.name.slice(-4)?mt(r):ht(r);var r;if(!t)return null;try{return yt(e,t)}catch(e){return null}}function bt(e,t,n){if(!n)return ht(vt(e,t));if(!t)return null;try{return bt(e,t)}catch(e){return null}}function _t(e,t,n){if(!n)return mt(vt(e,t));if(!t)return null;try{return _t(e,t)}catch(e){return null}}function xt(e){for(var t=e.FullPaths||Oe(e.files),n=[],r=0;r<t.length;++r)"/"!=t[r].slice(-1)&&n.push(t[r].replace(/^Root Entry[\/]/,""));return n.sort()}function wt(e,t,n){if(e.FullPaths){var r;if("string"==typeof n)return r=A?S(n):function(e){for(var t=[],n=0,r=e.length+250,i=C(e.length+255),a=0;a<e.length;++a){var o=e.charCodeAt(a);if(o<128)i[n++]=o;else if(o<2048)i[n++]=192|o>>6&31,i[n++]=128|63&o;else if(o>=55296&&o<57344){o=64+(1023&o);var s=1023&e.charCodeAt(++a);i[n++]=240|o>>8&7,i[n++]=128|o>>2&63,i[n++]=128|s>>6&15|(3&o)<<4,i[n++]=128|63&s}else i[n++]=224|o>>12&15,i[n++]=128|o>>6&63,i[n++]=128|63&o;n>r&&(t.push(i.slice(0,n)),n=0,i=C(65535),r=65530)}return t.push(i.slice(0,n)),O(t)}(n),De.utils.cfb_add(e,t,r);De.utils.cfb_add(e,t,n)}else e.file(t,n)}function At(){return De.utils.cfb_new()}function St(e,t){switch(t.type){case"base64":return De.read(e,{type:"base64"});case"binary":return De.read(e,{type:"binary"});case"buffer":case"array":return De.read(e,{type:"buffer"})}throw new Error("Unrecognized type "+t.type)}function Tt(e,t){if("/"==e.charAt(0))return e.slice(1);var n=t.split("/");"/"!=t.slice(-1)&&n.pop();for(var r=e.split("/");0!==r.length;){var i=r.shift();".."===i?n.pop():"."!==i&&n.push(i)}return n.join("/")}var Ct='<?xml version="1.0" encoding="UTF-8" standalone="yes"?>\r\n',Et=/\s([^"\s?>\/]+)\s*=\s*((?:")([^"]*)(?:")|(?:')([^']*)(?:')|([^'">\s]+))/g,Mt=/<[\/\?]?[a-zA-Z0-9:_-]+(?:\s+[^"\s?<>\/]+\s*=\s*(?:"[^"]*"|'[^']*'|[^'"<>\s=]+))*\s*[\/\?]?>/gm,Dt=Ct.match(Mt)?Mt:/<[^<>]*>/g,Pt=/<\w*:/,It=/<(\/?)\w+:/;function Ot(e,t,n){for(var r={},i=0,a=0;i!==e.length&&32!==(a=e.charCodeAt(i))&&10!==a&&13!==a;++i);if(t||(r[0]=e.slice(0,i)),i===e.length)return r;var o=e.match(Et),s=0,l="",c=0,u="",d="",f=1;if(o)for(c=0;c!=o.length;++c){for(d=o[c].slice(1),a=0;a!=d.length&&61!==d.charCodeAt(a);++a);for(u=d.slice(0,a).trim();32==d.charCodeAt(a+1);)++a;for(f=34==(i=d.charCodeAt(a+1))||39==i?1:0,l=d.slice(a+1+f,d.length-f),s=0;s!=u.length&&58!==u.charCodeAt(s);++s);if(s===u.length)u.indexOf("_")>0&&(u=u.slice(0,u.indexOf("_"))),r[u]=l,n||(r[u.toLowerCase()]=l);else{var p=(5===s&&"xmlns"===u.slice(0,5)?"xmlns":"")+u.slice(s+1);if(r[p]&&"ext"==u.slice(s-3,s))continue;r[p]=l,n||(r[p.toLowerCase()]=l)}}return r}function Nt(e){return e.replace(It,"<$1")}var kt={"&quot;":'"',"&apos;":"'","&gt;":">","&lt;":"<","&amp;":"&"},Rt=ke(kt),Lt=function(){var e=/&(?:quot|apos|gt|lt|amp|#x?([\da-fA-F]+));/gi,t=/_x([\da-fA-F]{4})_/gi;function n(r){var i=r+"",a=i.indexOf("<![CDATA[");if(-1==a)return i.replace(e,(function(e,t){return kt[e]||String.fromCharCode(parseInt(t,e.indexOf("x")>-1?16:10))||e})).replace(t,(function(e,t){return String.fromCharCode(parseInt(t,16))}));var o=i.indexOf("]]>");return n(i.slice(0,a))+i.slice(a+9,o)+n(i.slice(o+3))}return function(e,t){var r=n(e);return t?r.replace(/\r\n/g,"\n"):r}}(),Ft=/[&<>'"]/g,Bt=/[\u0000-\u0008\u000b-\u001f\uFFFE-\uFFFF]/g;function Ut(e){return(e+"").replace(Ft,(function(e){return Rt[e]})).replace(Bt,(function(e){return"_x"+("000"+e.charCodeAt(0).toString(16)).slice(-4)+"_"}))}function Vt(e){return Ut(e).replace(/ /g,"_x0020_")}var Gt=/[\u0000-\u001f]/g;function zt(e){return(e+"").replace(Ft,(function(e){return Rt[e]})).replace(/\n/g,"<br/>").replace(Gt,(function(e){return"&#x"+("000"+e.charCodeAt(0).toString(16)).slice(-4)+";"}))}var jt=function(){var e=/&#(\d+);/g;function t(e,t){return String.fromCharCode(parseInt(t,10))}return function(n){return n.replace(e,t)}}();function Wt(e){switch(e){case 1:case!0:case"1":case"true":return!0;case 0:case!1:case"0":case"false":return!1}return!1}function Ht(e){for(var t="",n=0,r=0,i=0,a=0,o=0,s=0;n<e.length;)(r=e.charCodeAt(n++))<128?t+=String.fromCharCode(r):(i=e.charCodeAt(n++),r>191&&r<224?(o=(31&r)<<6,o|=63&i,t+=String.fromCharCode(o)):(a=e.charCodeAt(n++),r<240?t+=String.fromCharCode((15&r)<<12|(63&i)<<6|63&a):(s=((7&r)<<18|(63&i)<<12|(63&a)<<6|63&(o=e.charCodeAt(n++)))-65536,t+=String.fromCharCode(55296+(s>>>10&1023)),t+=String.fromCharCode(56320+(1023&s)))));return t}function Xt(e){var t,n,r,i=C(2*e.length),a=1,o=0,s=0;for(n=0;n<e.length;n+=a)a=1,(r=e.charCodeAt(n))<128?t=r:r<224?(t=64*(31&r)+(63&e.charCodeAt(n+1)),a=2):r<240?(t=4096*(15&r)+64*(63&e.charCodeAt(n+1))+(63&e.charCodeAt(n+2)),a=3):(a=4,t=262144*(7&r)+4096*(63&e.charCodeAt(n+1))+64*(63&e.charCodeAt(n+2))+(63&e.charCodeAt(n+3)),s=55296+((t-=65536)>>>10&1023),t=56320+(1023&t)),0!==s&&(i[o++]=255&s,i[o++]=s>>>8,s=0),i[o++]=t%256,i[o++]=t>>>8;return i.slice(0,o).toString("ucs2")}function qt(e){return S(e,"binary").toString("utf8")}var Kt="foo bar bazâð£",Yt=A&&(qt(Kt)==Ht(Kt)&&qt||Xt(Kt)==Ht(Kt)&&Xt)||Ht,Jt=A?function(e){return S(e,"utf8").toString("binary")}:function(e){for(var t=[],n=0,r=0,i=0;n<e.length;)switch(r=e.charCodeAt(n++),!0){case r<128:t.push(String.fromCharCode(r));break;case r<2048:t.push(String.fromCharCode(192+(r>>6))),t.push(String.fromCharCode(128+(63&r)));break;case r>=55296&&r<57344:r-=55296,i=e.charCodeAt(n++)-56320+(r<<10),t.push(String.fromCharCode(240+(i>>18&7))),t.push(String.fromCharCode(144+(i>>12&63))),t.push(String.fromCharCode(128+(i>>6&63))),t.push(String.fromCharCode(128+(63&i)));break;default:t.push(String.fromCharCode(224+(r>>12))),t.push(String.fromCharCode(128+(r>>6&63))),t.push(String.fromCharCode(128+(63&r)))}return t.join("")},Zt=function(){var e=[["nbsp"," "],["middot","·"],["quot",'"'],["apos","'"],["gt",">"],["lt","<"],["amp","&"]].map((function(e){return[new RegExp("&"+e[0]+";","ig"),e[1]]}));return function(t){for(var n=t.replace(/^[\t\n\r ]+/,"").replace(/(^|[^\t\n\r ])[\t\n\r ]+$/,"$1").replace(/>\s+/g,">").replace(/\b\s+</g,"<").replace(/[\t\n\r ]+/g," ").replace(/<\s*[bB][rR]\s*\/?>/g,"\n").replace(/<[^<>]*>/g,""),r=0;r<e.length;++r)n=n.replace(e[r][0],e[r][1]);return n}}(),Qt=/<\/?(?:vt:)?variant>/g,en=/<(?:vt:)([^<"'>]*)>([\s\S]*)</;function tn(e,t){var n=Ot(e),r=dt(e,n.baseType)||[],i=[];if(r.length!=n.size){if(t.WTF)throw new Error("unexpected vector length "+r.length+" != "+n.size);return i}return r.forEach((function(e){var t=e.replace(Qt,"").match(en);t&&i.push({v:Yt(t[2]),t:t[1]})})),i}var nn=/(^\s|\s$|\n)/;function rn(e,t){return"<"+e+(t.match(nn)?' xml:space="preserve"':"")+">"+t+"</"+e+">"}function an(e){return Oe(e).map((function(t){return" "+t+'="'+e[t]+'"'})).join("")}function on(e,t,n){return"<"+e+(null!=n?an(n):"")+(null!=t?(t.match(nn)?' xml:space="preserve"':"")+">"+t+"</"+e:"/")+">"}function sn(e,t){try{return e.toISOString().replace(/\.\d*/,"")}catch(e){if(t)throw e}return""}function ln(e){if(A&&Buffer.isBuffer(e))return e.toString("utf8");if("string"==typeof e)return e;if("undefined"!=typeof Uint8Array&&e instanceof Uint8Array)return Yt(P(I(e)));throw new Error("Bad input format: expected Buffer or string")}var cn=/<([\/]?)([^\s?><!\/:"]*:|)([^\s?<>:\/"]+)(?:\s+[^<>=?"'\s]+="[^"]*?")*\s*[\/]?>/gm,un={CORE_PROPS:"http://schemas.openxmlformats.org/package/2006/metadata/core-properties",CUST_PROPS:"http://schemas.openxmlformats.org/officeDocument/2006/custom-properties",EXT_PROPS:"http://schemas.openxmlformats.org/officeDocument/2006/extended-properties",CT:"http://schemas.openxmlformats.org/package/2006/content-types",RELS:"http://schemas.openxmlformats.org/package/2006/relationships",TCMNT:"http://schemas.microsoft.com/office/spreadsheetml/2018/threadedcomments",dc:"http://purl.org/dc/elements/1.1/",dcterms:"http://purl.org/dc/terms/",dcmitype:"http://purl.org/dc/dcmitype/",mx:"http://schemas.microsoft.com/office/mac/excel/2008/main",r:"http://schemas.openxmlformats.org/officeDocument/2006/relationships",sjs:"http://schemas.openxmlformats.org/package/2006/sheetjs/core-properties",vt:"http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes",xsi:"http://www.w3.org/2001/XMLSchema-instance",xsd:"http://www.w3.org/2001/XMLSchema"},dn=["http://schemas.openxmlformats.org/spreadsheetml/2006/main","http://purl.oclc.org/ooxml/spreadsheetml/main","http://schemas.microsoft.com/office/excel/2006/main","http://schemas.microsoft.com/office/excel/2006/2"],fn={o:"urn:schemas-microsoft-com:office:office",x:"urn:schemas-microsoft-com:office:excel",ss:"urn:schemas-microsoft-com:office:spreadsheet",dt:"uuid:C2F41010-65B3-11d1-A29F-00AA00C14882",mv:"http://macVmlSchemaUri",v:"urn:schemas-microsoft-com:vml",html:"http://www.w3.org/TR/REC-html40"},pn=function(e){for(var t=[],n=0;n<e[0].length;++n)if(e[0][n])for(var r=0,i=e[0][n].length;r<i;r+=10240)t.push.apply(t,e[0][n].slice(r,r+10240));return t},hn=A?function(e){return e[0].length>0&&Buffer.isBuffer(e[0][0])?Buffer.concat(e[0].map((function(e){return Buffer.isBuffer(e)?e:S(e)}))):pn(e)}:pn,mn=function(e,t,n){for(var r=[],i=t;i<n;i+=2)r.push(String.fromCharCode(Ln(e,i)));return r.join("").replace(N,"")},gn=A?function(e,t,n){return Buffer.isBuffer(e)&&T?e.toString("utf16le",t,n).replace(N,""):mn(e,t,n)}:mn,vn=function(e,t,n){for(var r=[],i=t;i<t+n;++i)r.push(("0"+e[i].toString(16)).slice(-2));return r.join("")},yn=A?function(e,t,n){return Buffer.isBuffer(e)?e.toString("hex",t,t+n):vn(e,t,n)}:vn,bn=function(e,t,n){for(var r=[],i=t;i<n;i++)r.push(String.fromCharCode(Rn(e,i)));return r.join("")},_n=A?function(e,t,n){return Buffer.isBuffer(e)?e.toString("utf8",t,n):bn(e,t,n)}:bn,xn=function(e,t){var n=Bn(e,t);return n>0?_n(e,t+4,t+4+n-1):""},wn=xn,An=function(e,t){var n=Bn(e,t);return n>0?_n(e,t+4,t+4+n-1):""},Sn=An,Tn=function(e,t){var n=2*Bn(e,t);return n>0?_n(e,t+4,t+4+n-1):""},Cn=Tn,En=function(e,t){var n=Bn(e,t);return n>0?gn(e,t+4,t+4+n):""},Mn=En,Dn=function(e,t){var n=Bn(e,t);return n>0?_n(e,t+4,t+4+n):""},Pn=Dn,In=function(e,t){return function(e,t){for(var n=1-2*(e[t+7]>>>7),r=((127&e[t+7])<<4)+(e[t+6]>>>4&15),i=15&e[t+6],a=5;a>=0;--a)i=256*i+e[t+a];return 2047==r?0==i?n*(1/0):NaN:(0==r?r=-1022:(r-=1023,i+=Math.pow(2,52)),n*Math.pow(2,r-52)*i)}(e,t)},On=In,Nn=function(e){return Array.isArray(e)||"undefined"!=typeof Uint8Array&&e instanceof Uint8Array};function kn(){gn=function(e,t,n){return i.utils.decode(1200,e.slice(t,n)).replace(N,"")},_n=function(e,t,n){return i.utils.decode(65001,e.slice(t,n))},wn=function(e,t){var n=Bn(e,t);return n>0?i.utils.decode(s,e.slice(t+4,t+4+n-1)):""},Sn=function(e,t){var n=Bn(e,t);return n>0?i.utils.decode(o,e.slice(t+4,t+4+n-1)):""},Cn=function(e,t){var n=2*Bn(e,t);return n>0?i.utils.decode(1200,e.slice(t+4,t+4+n-1)):""},Mn=function(e,t){var n=Bn(e,t);return n>0?i.utils.decode(1200,e.slice(t+4,t+4+n)):""},Pn=function(e,t){var n=Bn(e,t);return n>0?i.utils.decode(65001,e.slice(t+4,t+4+n)):""}}A&&(wn=function(e,t){if(!Buffer.isBuffer(e))return xn(e,t);var n=e.readUInt32LE(t);return n>0?e.toString("utf8",t+4,t+4+n-1):""},Sn=function(e,t){if(!Buffer.isBuffer(e))return An(e,t);var n=e.readUInt32LE(t);return n>0?e.toString("utf8",t+4,t+4+n-1):""},Cn=function(e,t){if(!Buffer.isBuffer(e)||!T)return Tn(e,t);var n=2*e.readUInt32LE(t);return e.toString("utf16le",t+4,t+4+n-1)},Mn=function(e,t){if(!Buffer.isBuffer(e)||!T)return En(e,t);var n=e.readUInt32LE(t);return e.toString("utf16le",t+4,t+4+n)},Pn=function(e,t){if(!Buffer.isBuffer(e))return Dn(e,t);var n=e.readUInt32LE(t);return e.toString("utf8",t+4,t+4+n)},On=function(e,t){return Buffer.isBuffer(e)?e.readDoubleLE(t):In(e,t)},Nn=function(e){return Buffer.isBuffer(e)||Array.isArray(e)||"undefined"!=typeof Uint8Array&&e instanceof Uint8Array}),void 0!==i&&kn();var Rn=function(e,t){return e[t]},Ln=function(e,t){return 256*e[t+1]+e[t]},Fn=function(e,t){var n=256*e[t+1]+e[t];return n<32768?n:-1*(65535-n+1)},Bn=function(e,t){return e[t+3]*(1<<24)+(e[t+2]<<16)+(e[t+1]<<8)+e[t]},Un=function(e,t){return e[t+3]<<24|e[t+2]<<16|e[t+1]<<8|e[t]},Vn=function(e,t){return e[t]<<24|e[t+1]<<16|e[t+2]<<8|e[t+3]};function Gn(e,t){var n,r,a,s,l,c,u="",d=[];switch(t){case"dbcs":if(c=this.l,A&&Buffer.isBuffer(this)&&T)u=this.slice(this.l,this.l+2*e).toString("utf16le");else for(l=0;l<e;++l)u+=String.fromCharCode(Ln(this,c)),c+=2;e*=2;break;case"utf8":u=_n(this,this.l,this.l+e);break;case"utf16le":e*=2,u=gn(this,this.l,this.l+e);break;case"wstr":if(void 0===i)return Gn.call(this,e,"dbcs");u=i.utils.decode(o,this.slice(this.l,this.l+2*e)),e*=2;break;case"lpstr-ansi":u=wn(this,this.l),e=4+Bn(this,this.l);break;case"lpstr-cp":u=Sn(this,this.l),e=4+Bn(this,this.l);break;case"lpwstr":u=Cn(this,this.l),e=4+2*Bn(this,this.l);break;case"lpp4":e=4+Bn(this,this.l),u=Mn(this,this.l),2&e&&(e+=2);break;case"8lpp4":e=4+Bn(this,this.l),u=Pn(this,this.l),3&e&&(e+=4-(3&e));break;case"cstr":for(e=0,u="";0!==(a=Rn(this,this.l+e++));)d.push(v(a));u=d.join("");break;case"_wstr":for(e=0,u="";0!==(a=Ln(this,this.l+e));)d.push(v(a)),e+=2;e+=2,u=d.join("");break;case"dbcs-cont":for(u="",c=this.l,l=0;l<e;++l){if(this.lens&&-1!==this.lens.indexOf(c))return a=Rn(this,c),this.l=c+1,s=Gn.call(this,e-l,a?"dbcs-cont":"sbcs-cont"),d.join("")+s;d.push(v(Ln(this,c))),c+=2}u=d.join(""),e*=2;break;case"cpstr":if(void 0!==i){u=i.utils.decode(o,this.slice(this.l,this.l+e));break}case"sbcs-cont":for(u="",c=this.l,l=0;l!=e;++l){if(this.lens&&-1!==this.lens.indexOf(c))return a=Rn(this,c),this.l=c+1,s=Gn.call(this,e-l,a?"dbcs-cont":"sbcs-cont"),d.join("")+s;d.push(v(Rn(this,c))),c+=1}u=d.join("");break;default:switch(e){case 1:return n=Rn(this,this.l),this.l++,n;case 2:return n=("i"===t?Fn:Ln)(this,this.l),this.l+=2,n;case 4:case-4:return"i"!==t&&128&this[this.l+3]?(r=Bn(this,this.l),this.l+=4,r):(n=(e>0?Un:Vn)(this,this.l),this.l+=4,n);case 8:case-8:if("f"===t)return r=8==e?On(this,this.l):On([this[this.l+7],this[this.l+6],this[this.l+5],this[this.l+4],this[this.l+3],this[this.l+2],this[this.l+1],this[this.l+0]],0),this.l+=8,r;e=8;case 16:u=yn(this,this.l,e)}}return this.l+=e,u}var zn=function(e,t,n){e[n]=255&t,e[n+1]=t>>>8&255,e[n+2]=t>>>16&255,e[n+3]=t>>>24&255},jn=function(e,t,n){e[n]=255&t,e[n+1]=t>>8&255,e[n+2]=t>>16&255,e[n+3]=t>>24&255},Wn=function(e,t,n){e[n]=255&t,e[n+1]=t>>>8&255};function Hn(e,t,n){var r=0,a=0;if("dbcs"===n){for(a=0;a!=t.length;++a)Wn(this,t.charCodeAt(a),this.l+2*a);r=2*t.length}else if("sbcs"===n||"cpstr"==n)if(void 0!==i&&874==s){for(a=0;a!=t.length;++a){var l=i.utils.encode(s,t.charAt(a));this[this.l+a]=l[0]}r=t.length}else if(void 0!==i&&"cpstr"==n){if((l=i.utils.encode(o,t)).length==t.length)for(a=0;a<t.length;++a)0==l[a]&&0!=t.charCodeAt(a)&&(l[a]=95);if(l.length==2*t.length)for(a=0;a<t.length;++a)0==l[2*a]&&0==l[2*a+1]&&0!=t.charCodeAt(a)&&(l[2*a]=95);for(a=0;a<l.length;++a)this[this.l+a]=l[a];r=l.length}else{for(t=t.replace(/[^\x00-\x7F]/g,"_"),a=0;a!=t.length;++a)this[this.l+a]=255&t.charCodeAt(a);r=t.length}else{if("hex"===n){for(;a<e;++a)this[this.l++]=parseInt(t.slice(2*a,2*a+2),16)||0;return this}if("utf16le"===n){var c=Math.min(this.l+e,this.length);for(a=0;a<Math.min(t.length,e);++a){var u=t.charCodeAt(a);this[this.l++]=255&u,this[this.l++]=u>>8}for(;this.l<c;)this[this.l++]=0;return this}switch(e){case 1:r=1,this[this.l]=255&t;break;case 2:r=2,this[this.l]=255&t,t>>>=8,this[this.l+1]=255&t;break;case 3:r=3,this[this.l]=255&t,t>>>=8,this[this.l+1]=255&t,t>>>=8,this[this.l+2]=255&t;break;case 4:r=4,zn(this,t,this.l);break;case 8:if(r=8,"f"===n){!function(e,t,n){var r=(t<0||1/t==-1/0?1:0)<<7,i=0,a=0,o=r?-t:t;isFinite(o)?0==o?i=a=0:(i=Math.floor(Math.log(o)/Math.LN2),a=o*Math.pow(2,52-i),i<=-1023&&(!isFinite(a)||a<Math.pow(2,52))?i=-1022:(a-=Math.pow(2,52),i+=1023)):(i=2047,a=isNaN(t)?26985:0);for(var s=0;s<=5;++s,a/=256)e[n+s]=255&a;e[n+6]=(15&i)<<4|15&a,e[n+7]=i>>4|r}(this,t,this.l);break}case 16:break;case-4:r=4,jn(this,t,this.l)}}return this.l+=r,this}function $n(e,t){var n=yn(this,this.l,e.length>>1);if(n!==e)throw new Error(t+"Expected "+e+" saw "+n);this.l+=e.length>>1}function Xn(e,t){e.l=t,e.read_shift=Gn,e.chk=$n,e.write_shift=Hn}function qn(e,t){e.l+=t}function Kn(e){var t=C(e);return Xn(t,0),t}function Yn(e,t,n){if(e){var r,i,a;Xn(e,e.l||0);for(var o=e.length,s=0,l=0;e.l<o;){128&(s=e.read_shift(1))&&(s=(127&s)+((127&e.read_shift(1))<<7));var c=_c[s]||_c[65535];for(a=127&(r=e.read_shift(1)),i=1;i<4&&128&r;++i)a+=(127&(r=e.read_shift(1)))<<7*i;l=e.l+a;var u=c.f&&c.f(e,a,n);if(e.l=l,t(u,c,s))return}}}function Jn(){var e=[],t=A?256:2048,n=function(e){var t=Kn(e);return Xn(t,0),t},r=n(t),i=function(){r&&(r.l&&(r.length>r.l&&((r=r.slice(0,r.l)).l=r.length),r.length>0&&e.push(r)),r=null)},a=function(e){return r&&e<r.length-r.l?r:(i(),r=n(Math.max(e+1,t)))};return{next:a,push:function(e){i(),null==(r=e).l&&(r.l=r.length),a(t)},end:function(){return i(),O(e)},_bufs:e}}function Zn(e,t,n,r){var i,a=+t;if(!isNaN(a)){r||(r=_c[a].p||(n||[]).length||0),i=1+(a>=128?1:0)+1,r>=128&&++i,r>=16384&&++i,r>=2097152&&++i;var o=e.next(i);a<=127?o.write_shift(1,a):(o.write_shift(1,128+(127&a)),o.write_shift(1,a>>7));for(var s=0;4!=s;++s){if(!(r>=128)){o.write_shift(1,r);break}o.write_shift(1,128+(127&r)),r>>=7}r>0&&Nn(n)&&e.push(n)}}function Qn(e,t,n){var r=Xe(e);if(t.s?(r.cRel&&(r.c+=t.s.c),r.rRel&&(r.r+=t.s.r)):(r.cRel&&(r.c+=t.c),r.rRel&&(r.r+=t.r)),!n||n.biff<12){for(;r.c>=256;)r.c-=256;for(;r.r>=65536;)r.r-=65536}return r}function er(e,t,n){var r=Xe(e);return r.s=Qn(r.s,t.s,n),r.e=Qn(r.e,t.s,n),r}function tr(e,t){if(e.cRel&&e.c<0)for(e=Xe(e);e.c<0;)e.c+=t>8?16384:256;if(e.rRel&&e.r<0)for(e=Xe(e);e.r<0;)e.r+=t>8?1048576:t>5?65536:16384;var n=lr(e);return e.cRel||null==e.cRel||(n=n.replace(/^([A-Z])/,"$$$1")),e.rRel||null==e.rRel||(n=n.replace(/([A-Z]|^)(\d+)$/,"$1$$$2")),n}function nr(e,t){return 0!=e.s.r||e.s.rRel||e.e.r!=(t.biff>=12?1048575:t.biff>=8?65536:16384)||e.e.rRel?0!=e.s.c||e.s.cRel||e.e.c!=(t.biff>=12?16383:255)||e.e.cRel?tr(e.s,t.biff)+":"+tr(e.e,t.biff):(e.s.rRel?"":"$")+ir(e.s.r)+":"+(e.e.rRel?"":"$")+ir(e.e.r):(e.s.cRel?"":"$")+or(e.s.c)+":"+(e.e.cRel?"":"$")+or(e.e.c)}function rr(e){return parseInt(e.replace(/\$(\d+)$/,"$1"),10)-1}function ir(e){return""+(e+1)}function ar(e){for(var t=e.replace(/^\$([A-Z])/,"$1"),n=0,r=0;r!==t.length;++r)n=26*n+t.charCodeAt(r)-64;return n-1}function or(e){if(e<0)throw new Error("invalid column "+e);var t="";for(++e;e;e=Math.floor((e-1)/26))t=String.fromCharCode((e-1)%26+65)+t;return t}function sr(e){for(var t=0,n=0,r=0;r<e.length;++r){var i=e.charCodeAt(r);i>=48&&i<=57?t=10*t+(i-48):i>=65&&i<=90&&(n=26*n+(i-64))}return{c:n-1,r:t-1}}function lr(e){for(var t=e.c+1,n="";t;t=(t-1)/26|0)n=String.fromCharCode((t-1)%26+65)+n;return n+(e.r+1)}function cr(e){var t=e.indexOf(":");return-1==t?{s:sr(e),e:sr(e)}:{s:sr(e.slice(0,t)),e:sr(e.slice(t+1))}}function ur(e,t){return void 0===t||"number"==typeof t?ur(e.s,e.e):("string"!=typeof e&&(e=lr(e)),"string"!=typeof t&&(t=lr(t)),e==t?e:e+":"+t)}function dr(e){var t=cr(e);return"$"+or(t.s.c)+"$"+ir(t.s.r)+":$"+or(t.e.c)+"$"+ir(t.e.r)}function fr(e,t){if(!(e||t&&t.biff<=5&&t.biff>=2))throw new Error("empty sheet name");return/[^\w\u4E00-\u9FFF\u3040-\u30FF]/.test(e)?"'"+e.replace(/'/g,"''")+"'":e}function pr(e){var t={s:{c:0,r:0},e:{c:0,r:0}},n=0,r=0,i=0,a=e.length;for(n=0;r<a&&!((i=e.charCodeAt(r)-64)<1||i>26);++r)n=26*n+i;for(t.s.c=--n,n=0;r<a&&!((i=e.charCodeAt(r)-48)<0||i>9);++r)n=10*n+i;if(t.s.r=--n,r===a||10!=i)return t.e.c=t.s.c,t.e.r=t.s.r,t;for(++r,n=0;r!=a&&!((i=e.charCodeAt(r)-64)<1||i>26);++r)n=26*n+i;for(t.e.c=--n,n=0;r!=a&&!((i=e.charCodeAt(r)-48)<0||i>9);++r)n=10*n+i;return t.e.r=--n,t}function hr(e,t,n){return null==e||null==e.t||"z"==e.t?"":void 0!==e.w?e.w:("d"==e.t&&!e.z&&n&&n.dateNF&&(e.z=n.dateNF),"e"==e.t?ni[e.v]||e.v:function(e,t){var n="d"==e.t&&t instanceof Date;if(null!=e.z)try{return e.w=ye(e.z,n?Ue(t):t)}catch(e){}try{return e.w=ye((e.XF||{}).numFmtId||(n?14:0),n?Ue(t):t)}catch(e){return""+t}}(e,null==t?e.v:t))}function mr(e,t){var n=t&&t.sheet?t.sheet:"Sheet1",r={};return r[n]=e,{SheetNames:[n],Sheets:r}}function gr(e,t,n){var r=n||{},i=e?null!=e["!data"]:r.dense;null!=b&&null==i&&(i=b);var a=e||{};i&&!a["!data"]&&(a["!data"]=[]);var o=0,s=0;if(a&&null!=r.origin)if("number"==typeof r.origin)o=r.origin;else{var l="string"==typeof r.origin?sr(r.origin):r.origin;o=l.r,s=l.c}var c={s:{c:1e7,r:1e7},e:{c:0,r:0}};if(a["!ref"]){var u=pr(a["!ref"]);c.s.c=u.s.c,c.s.r=u.s.r,c.e.c=Math.max(c.e.c,u.e.c),c.e.r=Math.max(c.e.r,u.e.r),-1==o&&(c.e.r=o=a["!ref"]?u.e.r+1:0)}else c.s.c=c.e.c=c.s.r=c.e.r=0;for(var d=[],f=!1,p=0;p!=t.length;++p)if(t[p]){if(!Array.isArray(t[p]))throw new Error("aoa_to_sheet expects an array of arrays");var h=o+p,m=""+(h+1);i&&(a["!data"][h]||(a["!data"][h]=[]),d=a["!data"][h]);for(var g=0;g!=t[p].length;++g)if(void 0!==t[p][g]){var v={v:t[p][g]},y=s+g;if(c.s.r>h&&(c.s.r=h),c.s.c>y&&(c.s.c=y),c.e.r<h&&(c.e.r=h),c.e.c<y&&(c.e.c=y),f=!0,!t[p][g]||"object"!=typeof t[p][g]||Array.isArray(t[p][g])||t[p][g]instanceof Date)if(Array.isArray(v.v)&&(v.f=t[p][g][1],v.v=v.v[0]),null===v.v)if(v.f)v.t="n";else if(r.nullError)v.t="e",v.v=0;else{if(!r.sheetStubs)continue;v.t="z"}else"number"==typeof v.v?v.t="n":"boolean"==typeof v.v?v.t="b":v.v instanceof Date?(v.z=r.dateNF||W[14],r.UTC||(v.v=it(v.v)),r.cellDates?(v.t="d",v.w=ye(v.z,Ue(v.v,r.date1904))):(v.t="n",v.v=Ue(v.v,r.date1904),v.w=ye(v.z,v.v))):v.t="s";else v=t[p][g];if(i)d[y]&&d[y].z&&(v.z=d[y].z),d[y]=v;else{var _=or(y)+m;a[_]&&a[_].z&&(v.z=a[_].z),a[_]=v}}}return f&&c.s.c<104e5&&(a["!ref"]=ur(c)),a}function vr(e,t){return gr(null,e,t)}function yr(e,t){return t||(t=Kn(4)),t.write_shift(4,e),t}function br(e){var t=e.read_shift(4);return 0===t?"":e.read_shift(t,"dbcs")}function _r(e,t){var n=!1;return null==t&&(n=!0,t=Kn(4+2*e.length)),t.write_shift(4,e.length),e.length>0&&t.write_shift(0,e,"dbcs"),n?t.slice(0,t.l):t}function xr(e){return{ich:e.read_shift(2),ifnt:e.read_shift(2)}}function wr(e,t){var n=e.l,r=e.read_shift(1),i=br(e),a=[],o={t:i,h:i};if(1&r){for(var s=e.read_shift(4),l=0;l!=s;++l)a.push(xr(e));o.r=a}else o.r=[{ich:0,ifnt:0}];return e.l=n+t,o}var Ar=wr;function Sr(e){var t=e.read_shift(4),n=e.read_shift(2);return n+=e.read_shift(1)<<16,e.l++,{c:t,iStyleRef:n}}function Tr(e,t){return null==t&&(t=Kn(8)),t.write_shift(-4,e.c),t.write_shift(3,e.iStyleRef||e.s),t.write_shift(1,0),t}function Cr(e){var t=e.read_shift(2);return t+=e.read_shift(1)<<16,e.l++,{c:-1,iStyleRef:t}}function Er(e,t){return null==t&&(t=Kn(4)),t.write_shift(3,e.iStyleRef||e.s),t.write_shift(1,0),t}var Mr=br,Dr=_r;function Pr(e){var t=e.read_shift(4);return 0===t||4294967295===t?"":e.read_shift(t,"dbcs")}function Ir(e,t){var n=!1;return null==t&&(n=!0,t=Kn(127)),t.write_shift(4,e.length>0?e.length:4294967295),e.length>0&&t.write_shift(0,e,"dbcs"),n?t.slice(0,t.l):t}var Or=br,Nr=Pr,kr=Ir;function Rr(e){var t=e.slice(e.l,e.l+4),n=1&t[0],r=2&t[0];e.l+=4;var i=0===r?On([0,0,0,0,252&t[0],t[1],t[2],t[3]],0):Un(t,0)>>2;return n?i/100:i}function Lr(e,t){null==t&&(t=Kn(4));var n=0,r=0,i=100*e;if(e==(0|e)&&e>=-(1<<29)&&e<1<<29?r=1:i==(0|i)&&i>=-(1<<29)&&i<1<<29&&(r=1,n=1),!r)throw new Error("unsupported RkNumber "+e);t.write_shift(-4,((n?i:e)<<2)+(n+2))}function Fr(e){var t={s:{},e:{}};return t.s.r=e.read_shift(4),t.e.r=e.read_shift(4),t.s.c=e.read_shift(4),t.e.c=e.read_shift(4),t}var Br=Fr,Ur=function(e,t){return t||(t=Kn(16)),t.write_shift(4,e.s.r),t.write_shift(4,e.e.r),t.write_shift(4,e.s.c),t.write_shift(4,e.e.c),t};function Vr(e){if(e.length-e.l<8)throw"XLS Xnum Buffer underflow";return e.read_shift(8,"f")}function Gr(e,t){return(t||Kn(8)).write_shift(8,e,"f")}function zr(e,t){if(t||(t=Kn(8)),!e||e.auto)return t.write_shift(4,0),t.write_shift(4,0),t;null!=e.index?(t.write_shift(1,2),t.write_shift(1,e.index)):null!=e.theme?(t.write_shift(1,6),t.write_shift(1,e.theme)):(t.write_shift(1,5),t.write_shift(1,0));var n=e.tint||0;if(n>0?n*=32767:n<0&&(n*=32768),t.write_shift(2,n),e.rgb&&null==e.theme){var r=e.rgb||"FFFFFF";"number"==typeof r&&(r=("000000"+r.toString(16)).slice(-6)),t.write_shift(1,parseInt(r.slice(0,2),16)),t.write_shift(1,parseInt(r.slice(2,4),16)),t.write_shift(1,parseInt(r.slice(4,6),16)),t.write_shift(1,255)}else t.write_shift(2,0),t.write_shift(1,0),t.write_shift(1,0);return t}function jr(e,t){var n=e.read_shift(4);switch(n){case 0:return"";case 4294967295:case 4294967294:return{2:"BITMAP",3:"METAFILEPICT",8:"DIB",14:"ENHMETAFILE"}[e.read_shift(4)]||""}if(n>400)throw new Error("Unsupported Clipboard: "+n.toString(16));return e.l-=4,e.read_shift(0,1==t?"lpstr":"lpwstr")}var Wr=2,Hr=3,$r=12,Xr=80,qr=81,Kr=[Xr,qr],Yr={1:{n:"CodePage",t:Wr},2:{n:"Category",t:Xr},3:{n:"PresentationFormat",t:Xr},4:{n:"ByteCount",t:Hr},5:{n:"LineCount",t:Hr},6:{n:"ParagraphCount",t:Hr},7:{n:"SlideCount",t:Hr},8:{n:"NoteCount",t:Hr},9:{n:"HiddenCount",t:Hr},10:{n:"MultimediaClipCount",t:Hr},11:{n:"ScaleCrop",t:11},12:{n:"HeadingPairs",t:4108},13:{n:"TitlesOfParts",t:4126},14:{n:"Manager",t:Xr},15:{n:"Company",t:Xr},16:{n:"LinksUpToDate",t:11},17:{n:"CharacterCount",t:Hr},19:{n:"SharedDoc",t:11},22:{n:"HyperlinksChanged",t:11},23:{n:"AppVersion",t:Hr,p:"version"},24:{n:"DigSig",t:65},26:{n:"ContentType",t:Xr},27:{n:"ContentStatus",t:Xr},28:{n:"Language",t:Xr},29:{n:"Version",t:Xr},255:{},2147483648:{n:"Locale",t:19},2147483651:{n:"Behavior",t:19},1919054434:{}},Jr={1:{n:"CodePage",t:Wr},2:{n:"Title",t:Xr},3:{n:"Subject",t:Xr},4:{n:"Author",t:Xr},5:{n:"Keywords",t:Xr},6:{n:"Comments",t:Xr},7:{n:"Template",t:Xr},8:{n:"LastAuthor",t:Xr},9:{n:"RevNumber",t:Xr},10:{n:"EditTime",t:64},11:{n:"LastPrinted",t:64},12:{n:"CreatedDate",t:64},13:{n:"ModifiedDate",t:64},14:{n:"PageCount",t:Hr},15:{n:"WordCount",t:Hr},16:{n:"CharCount",t:Hr},17:{n:"Thumbnail",t:71},18:{n:"Application",t:Xr},19:{n:"DocSecurity",t:Hr},255:{},2147483648:{n:"Locale",t:19},2147483651:{n:"Behavior",t:19},1919054434:{}},Zr={1:"US",2:"CA",3:"",7:"RU",20:"EG",30:"GR",31:"NL",32:"BE",33:"FR",34:"ES",36:"HU",39:"IT",41:"CH",43:"AT",44:"GB",45:"DK",46:"SE",47:"NO",48:"PL",49:"DE",52:"MX",55:"BR",61:"AU",64:"NZ",66:"TH",81:"JP",82:"KR",84:"VN",86:"CN",90:"TR",105:"JS",213:"DZ",216:"MA",218:"LY",351:"PT",354:"IS",358:"FI",420:"CZ",886:"TW",961:"LB",962:"JO",963:"SY",964:"IQ",965:"KW",966:"SA",971:"AE",972:"IL",974:"QA",981:"IR",65535:"US"},Qr=[null,"solid","mediumGray","darkGray","lightGray","darkHorizontal","darkVertical","darkDown","darkUp","darkGrid","darkTrellis","lightHorizontal","lightVertical","lightDown","lightUp","lightGrid","lightTrellis","gray125","gray0625"];function ei(e){return e.map((function(e){return[e>>16&255,e>>8&255,255&e]}))}var ti=Xe(ei([0,16777215,16711680,65280,255,16776960,16711935,65535,0,16777215,16711680,65280,255,16776960,16711935,65535,8388608,32768,128,8421376,8388736,32896,12632256,8421504,10066431,10040166,16777164,13434879,6684774,16744576,26316,13421823,128,16711935,16776960,65535,8388736,8388608,32896,255,52479,13434879,13434828,16777113,10079487,16751052,13408767,16764057,3368703,3394764,10079232,16763904,16750848,16737792,6710937,9868950,13158,3381606,13056,3355392,10040064,10040166,3355545,3355443,0,16777215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0])),ni={0:"#NULL!",7:"#DIV/0!",15:"#VALUE!",23:"#REF!",29:"#NAME?",36:"#NUM!",42:"#N/A",43:"#GETTING_DATA",255:"#WTF?"},ri={"#NULL!":0,"#DIV/0!":7,"#VALUE!":15,"#REF!":23,"#NAME?":29,"#NUM!":36,"#N/A":42,"#GETTING_DATA":43,"#WTF?":255},ii=["_xlnm.Consolidate_Area","_xlnm.Auto_Open","_xlnm.Auto_Close","_xlnm.Extract","_xlnm.Database","_xlnm.Criteria","_xlnm.Print_Area","_xlnm.Print_Titles","_xlnm.Recorder","_xlnm.Data_Form","_xlnm.Auto_Activate","_xlnm.Auto_Deactivate","_xlnm.Sheet_Title","_xlnm._FilterDatabase"],ai={"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml":"workbooks","application/vnd.ms-excel.sheet.macroEnabled.main+xml":"workbooks","application/vnd.ms-excel.sheet.binary.macroEnabled.main":"workbooks","application/vnd.ms-excel.addin.macroEnabled.main+xml":"workbooks","application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml":"workbooks","application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml":"sheets","application/vnd.ms-excel.worksheet":"sheets","application/vnd.ms-excel.binIndexWs":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml":"charts","application/vnd.ms-excel.chartsheet":"charts","application/vnd.ms-excel.macrosheet+xml":"macros","application/vnd.ms-excel.macrosheet":"macros","application/vnd.ms-excel.intlmacrosheet":"TODO","application/vnd.ms-excel.binIndexMs":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml":"dialogs","application/vnd.ms-excel.dialogsheet":"dialogs","application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml":"strs","application/vnd.ms-excel.sharedStrings":"strs","application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml":"styles","application/vnd.ms-excel.styles":"styles","application/vnd.openxmlformats-package.core-properties+xml":"coreprops","application/vnd.openxmlformats-officedocument.custom-properties+xml":"custprops","application/vnd.openxmlformats-officedocument.extended-properties+xml":"extprops","application/vnd.openxmlformats-officedocument.customXmlProperties+xml":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.customProperty":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml":"comments","application/vnd.ms-excel.comments":"comments","application/vnd.ms-excel.threadedcomments+xml":"threadedcomments","application/vnd.ms-excel.person+xml":"people","application/vnd.openxmlformats-officedocument.spreadsheetml.sheetMetadata+xml":"metadata","application/vnd.ms-excel.sheetMetadata":"metadata","application/vnd.ms-excel.pivotTable":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.pivotTable+xml":"TODO","application/vnd.openxmlformats-officedocument.drawingml.chart+xml":"TODO","application/vnd.ms-office.chartcolorstyle+xml":"TODO","application/vnd.ms-office.chartstyle+xml":"TODO","application/vnd.ms-office.chartex+xml":"TODO","application/vnd.ms-excel.calcChain":"calcchains","application/vnd.openxmlformats-officedocument.spreadsheetml.calcChain+xml":"calcchains","application/vnd.openxmlformats-officedocument.spreadsheetml.printerSettings":"TODO","application/vnd.ms-office.activeX":"TODO","application/vnd.ms-office.activeX+xml":"TODO","application/vnd.ms-excel.attachedToolbars":"TODO","application/vnd.ms-excel.connections":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml":"TODO","application/vnd.ms-excel.externalLink":"links","application/vnd.openxmlformats-officedocument.spreadsheetml.externalLink+xml":"links","application/vnd.ms-excel.pivotCacheDefinition":"TODO","application/vnd.ms-excel.pivotCacheRecords":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheDefinition+xml":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheRecords+xml":"TODO","application/vnd.ms-excel.queryTable":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.queryTable+xml":"TODO","application/vnd.ms-excel.userNames":"TODO","application/vnd.ms-excel.revisionHeaders":"TODO","application/vnd.ms-excel.revisionLog":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.revisionHeaders+xml":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.revisionLog+xml":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.userNames+xml":"TODO","application/vnd.ms-excel.tableSingleCells":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.tableSingleCells+xml":"TODO","application/vnd.ms-excel.slicer":"TODO","application/vnd.ms-excel.slicerCache":"TODO","application/vnd.ms-excel.slicer+xml":"TODO","application/vnd.ms-excel.slicerCache+xml":"TODO","application/vnd.ms-excel.wsSortMap":"TODO","application/vnd.ms-excel.table":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml":"TODO","application/vnd.openxmlformats-officedocument.theme+xml":"themes","application/vnd.openxmlformats-officedocument.themeOverride+xml":"TODO","application/vnd.ms-excel.Timeline+xml":"TODO","application/vnd.ms-excel.TimelineCache+xml":"TODO","application/vnd.ms-office.vbaProject":"vba","application/vnd.ms-office.vbaProjectSignature":"TODO","application/vnd.ms-office.volatileDependencies":"TODO","application/vnd.openxmlformats-officedocument.spreadsheetml.volatileDependencies+xml":"TODO","application/vnd.ms-excel.controlproperties+xml":"TODO","application/vnd.openxmlformats-officedocument.model+data":"TODO","application/vnd.ms-excel.Survey+xml":"TODO","application/vnd.openxmlformats-officedocument.drawing+xml":"drawings","application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml":"TODO","application/vnd.openxmlformats-officedocument.drawingml.diagramColors+xml":"TODO","application/vnd.openxmlformats-officedocument.drawingml.diagramData+xml":"TODO","application/vnd.openxmlformats-officedocument.drawingml.diagramLayout+xml":"TODO","application/vnd.openxmlformats-officedocument.drawingml.diagramStyle+xml":"TODO","application/vnd.openxmlformats-officedocument.vmlDrawing":"TODO","application/vnd.openxmlformats-package.relationships+xml":"rels","application/vnd.openxmlformats-officedocument.oleObject":"TODO","image/png":"TODO",sheet:"js"},oi={workbooks:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml",xlsm:"application/vnd.ms-excel.sheet.macroEnabled.main+xml",xlsb:"application/vnd.ms-excel.sheet.binary.macroEnabled.main",xlam:"application/vnd.ms-excel.addin.macroEnabled.main+xml",xltx:"application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml"},strs:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml",xlsb:"application/vnd.ms-excel.sharedStrings"},comments:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml",xlsb:"application/vnd.ms-excel.comments"},sheets:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml",xlsb:"application/vnd.ms-excel.worksheet"},charts:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml",xlsb:"application/vnd.ms-excel.chartsheet"},dialogs:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml",xlsb:"application/vnd.ms-excel.dialogsheet"},macros:{xlsx:"application/vnd.ms-excel.macrosheet+xml",xlsb:"application/vnd.ms-excel.macrosheet"},metadata:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.sheetMetadata+xml",xlsb:"application/vnd.ms-excel.sheetMetadata"},styles:{xlsx:"application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml",xlsb:"application/vnd.ms-excel.styles"}};function si(e,t,n){var r,i=function(e){for(var t=[],n=Oe(e),r=0;r!==n.length;++r)null==t[e[n[r]]]&&(t[e[n[r]]]=[]),t[e[n[r]]].push(n[r]);return t}(ai),a=[];n||(a[a.length]=Ct,a[a.length]=on("Types",null,{xmlns:un.CT,"xmlns:xsd":un.xsd,"xmlns:xsi":un.xsi}),a=a.concat([["xml","application/xml"],["bin","application/vnd.ms-excel.sheet.binary.macroEnabled.main"],["vml","application/vnd.openxmlformats-officedocument.vmlDrawing"],["data","application/vnd.openxmlformats-officedocument.model+data"],["bmp","image/bmp"],["png","image/png"],["gif","image/gif"],["emf","image/x-emf"],["wmf","image/x-wmf"],["jpg","image/jpeg"],["jpeg","image/jpeg"],["tif","image/tiff"],["tiff","image/tiff"],["pdf","application/pdf"],["rels","application/vnd.openxmlformats-package.relationships+xml"]].map((function(e){return on("Default",null,{Extension:e[0],ContentType:e[1]})}))));var o=function(n){e[n]&&e[n].length>0&&(r=e[n][0],a[a.length]=on("Override",null,{PartName:("/"==r[0]?"":"/")+r,ContentType:oi[n][t.bookType]||oi[n].xlsx}))},s=function(n){(e[n]||[]).forEach((function(e){a[a.length]=on("Override",null,{PartName:("/"==e[0]?"":"/")+e,ContentType:oi[n][t.bookType]||oi[n].xlsx})}))},l=function(t){(e[t]||[]).forEach((function(e){a[a.length]=on("Override",null,{PartName:("/"==e[0]?"":"/")+e,ContentType:i[t][0]})}))};return o("workbooks"),s("sheets"),s("charts"),l("themes"),["strs","styles"].forEach(o),["coreprops","extprops","custprops"].forEach(l),l("vba"),l("comments"),l("threadedcomments"),l("drawings"),s("metadata"),l("people"),!n&&a.length>2&&(a[a.length]="</Types>",a[1]=a[1].replace("/>",">")),a.join("")}var li={WB:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument",SHEET:"http://sheetjs.openxmlformats.org/officeDocument/2006/relationships/officeDocument",HLINK:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/hyperlink",VML:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/vmlDrawing",XPATH:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/externalLinkPath",XMISS:"http://schemas.microsoft.com/office/2006/relationships/xlExternalLinkPath/xlPathMissing",XLINK:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/externalLink",CXML:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/customXml",CXMLP:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/customXmlProps",CMNT:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/comments",CORE_PROPS:"http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties",EXT_PROPS:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties",CUST_PROPS:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/custom-properties",SST:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/sharedStrings",STY:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles",THEME:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme",CHART:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/chart",CHARTEX:"http://schemas.microsoft.com/office/2014/relationships/chartEx",CS:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/chartsheet",WS:["http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet","http://purl.oclc.org/ooxml/officeDocument/relationships/worksheet"],DS:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/dialogsheet",MS:"http://schemas.microsoft.com/office/2006/relationships/xlMacrosheet",IMG:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/image",DRAW:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/drawing",XLMETA:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/sheetMetadata",TCMNT:"http://schemas.microsoft.com/office/2017/10/relationships/threadedComment",PEOPLE:"http://schemas.microsoft.com/office/2017/10/relationships/person",CONN:"http://schemas.openxmlformats.org/officeDocument/2006/relationships/connections",VBA:"http://schemas.microsoft.com/office/2006/relationships/vbaProject"};function ci(e){var t=e.lastIndexOf("/");return e.slice(0,t+1)+"_rels/"+e.slice(t+1)+".rels"}function ui(e,t){var n={"!id":{}};if(!e)return n;"/"!==t.charAt(0)&&(t="/"+t);var r={};return(e.match(Dt)||[]).forEach((function(e){var i=Ot(e);if("<Relationship"===i[0]){var a={};a.Type=i.Type,a.Target=Lt(i.Target),a.Id=i.Id,i.TargetMode&&(a.TargetMode=i.TargetMode);var o="External"===i.TargetMode?i.Target:Tt(i.Target,t);n[o]=a,r[i.Id]=a}})),n["!id"]=r,n}function di(e){var t=[Ct,on("Relationships",null,{xmlns:un.RELS})];return Oe(e["!id"]).forEach((function(n){t[t.length]=on("Relationship",null,e["!id"][n])})),t.length>2&&(t[t.length]="</Relationships>",t[1]=t[1].replace("/>",">")),t.join("")}function fi(e,t,n,r,i,a){if(i||(i={}),e["!id"]||(e["!id"]={}),e["!idx"]||(e["!idx"]=1),t<0)for(t=e["!idx"];e["!id"]["rId"+t];++t);if(e["!idx"]=t+1,i.Id="rId"+t,i.Type=r,i.Target=n,a?i.TargetMode=a:[li.HLINK,li.XPATH,li.XMISS].indexOf(i.Type)>-1&&(i.TargetMode="External"),e["!id"][i.Id])throw new Error("Cannot rewrite rId "+t);return e["!id"][i.Id]=i,e[("/"+i.Target).replace("//","/")]=i,t}var pi="application/vnd.oasis.opendocument.spreadsheet";function hi(e,t,n){return['  <rdf:Description rdf:about="'+e+'">\n','    <rdf:type rdf:resource="http://docs.oasis-open.org/ns/office/1.2/meta/'+(n||"odf")+"#"+t+'"/>\n',"  </rdf:Description>\n"].join("")}function mi(e,t){return'<office:document-meta xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:xlink="http://www.w3.org/1999/xlink" office:version="1.2"><office:meta><meta:generator>SheetJS '+a.version+"</meta:generator></office:meta></office:document-meta>"}var gi=[["cp:category","Category"],["cp:contentStatus","ContentStatus"],["cp:keywords","Keywords"],["cp:lastModifiedBy","LastAuthor"],["cp:lastPrinted","LastPrinted"],["cp:revision","RevNumber"],["cp:version","Version"],["dc:creator","Author"],["dc:description","Comments"],["dc:identifier","Identifier"],["dc:language","Language"],["dc:subject","Subject"],["dc:title","Title"],["dcterms:created","CreatedDate","date"],["dcterms:modified","ModifiedDate","date"]];function vi(e){var t={};e=Yt(e);for(var n=0;n<gi.length;++n){var r=gi[n],i=ct(e,r[0]);null!=i&&i.length>0&&(t[r[1]]=Lt(i[1])),"date"===r[2]&&t[r[1]]&&(t[r[1]]=He(t[r[1]]))}return t}function yi(e,t,n,r,i){null==i[e]&&null!=t&&""!==t&&(i[e]=t,t=Ut(t),r[r.length]=n?on(e,t,n):rn(e,t))}function bi(e,t){var n=t||{},r=[Ct,on("cp:coreProperties",null,{"xmlns:cp":un.CORE_PROPS,"xmlns:dc":un.dc,"xmlns:dcterms":un.dcterms,"xmlns:dcmitype":un.dcmitype,"xmlns:xsi":un.xsi})],i={};if(!e&&!n.Props)return r.join("");e&&(null!=e.CreatedDate&&yi("dcterms:created","string"==typeof e.CreatedDate?e.CreatedDate:sn(e.CreatedDate,n.WTF),{"xsi:type":"dcterms:W3CDTF"},r,i),null!=e.ModifiedDate&&yi("dcterms:modified","string"==typeof e.ModifiedDate?e.ModifiedDate:sn(e.ModifiedDate,n.WTF),{"xsi:type":"dcterms:W3CDTF"},r,i));for(var a=0;a!=gi.length;++a){var o=gi[a],s=n.Props&&null!=n.Props[o[1]]?n.Props[o[1]]:e?e[o[1]]:null;!0===s?s="1":!1===s?s="0":"number"==typeof s&&(s=String(s)),null!=s&&yi(o[0],s,null,r,i)}return r.length>2&&(r[r.length]="</cp:coreProperties>",r[1]=r[1].replace("/>",">")),r.join("")}var _i=[["Application","Application","string"],["AppVersion","AppVersion","string"],["Company","Company","string"],["DocSecurity","DocSecurity","string"],["Manager","Manager","string"],["HyperlinksChanged","HyperlinksChanged","bool"],["SharedDoc","SharedDoc","bool"],["LinksUpToDate","LinksUpToDate","bool"],["ScaleCrop","ScaleCrop","bool"],["HeadingPairs","HeadingPairs","raw"],["TitlesOfParts","TitlesOfParts","raw"]],xi=["Worksheets","SheetNames","NamedRanges","DefinedNames","Chartsheets","ChartNames"];function wi(e,t,n,r){var i=[];if("string"==typeof e)i=tn(e,r);else for(var a=0;a<e.length;++a)i=i.concat(e[a].map((function(e){return{v:e}})));var o="string"==typeof t?tn(t,r).map((function(e){return e.v})):t,s=0,l=0;if(o.length>0)for(var c=0;c!==i.length;c+=2){switch(l=+i[c+1].v,i[c].v){case"Worksheets":case"工作表":case"Листы":case"أوراق العمل":case"ワークシート":case"גליונות עבודה":case"Arbeitsblätter":case"Çalışma Sayfaları":case"Feuilles de calcul":case"Fogli di lavoro":case"Folhas de cálculo":case"Planilhas":case"Regneark":case"Hojas de cálculo":case"Werkbladen":n.Worksheets=l,n.SheetNames=o.slice(s,s+l);break;case"Named Ranges":case"Rangos con nombre":case"名前付き一覧":case"Benannte Bereiche":case"Navngivne områder":n.NamedRanges=l,n.DefinedNames=o.slice(s,s+l);break;case"Charts":case"Diagramme":n.Chartsheets=l,n.ChartNames=o.slice(s,s+l)}s+=l}}function Ai(e){var t=[],n=on;return e||(e={}),e.Application="SheetJS",t[t.length]=Ct,t[t.length]=on("Properties",null,{xmlns:un.EXT_PROPS,"xmlns:vt":un.vt}),_i.forEach((function(r){if(void 0!==e[r[1]]){var i;switch(r[2]){case"string":i=Ut(String(e[r[1]]));break;case"bool":i=e[r[1]]?"true":"false"}void 0!==i&&(t[t.length]=n(r[0],i))}})),t[t.length]=n("HeadingPairs",n("vt:vector",n("vt:variant","<vt:lpstr>Worksheets</vt:lpstr>")+n("vt:variant",n("vt:i4",String(e.Worksheets))),{size:2,baseType:"variant"})),t[t.length]=n("TitlesOfParts",n("vt:vector",e.SheetNames.map((function(e){return"<vt:lpstr>"+Ut(e)+"</vt:lpstr>"})).join(""),{size:e.Worksheets,baseType:"lpstr"})),t.length>2&&(t[t.length]="</Properties>",t[1]=t[1].replace("/>",">")),t.join("")}var Si=/<[^<>]+>[^<]*/g;function Ti(e){var t=[Ct,on("Properties",null,{xmlns:un.CUST_PROPS,"xmlns:vt":un.vt})];if(!e)return t.join("");var n=1;return Oe(e).forEach((function(r){++n,t[t.length]=on("property",function(e,t){switch(typeof e){case"string":var n=on("vt:lpwstr",Ut(e));return n=n.replace(/&quot;/g,"_x0022_");case"number":return on((0|e)==e?"vt:i4":"vt:r8",Ut(String(e)));case"boolean":return on("vt:bool",e?"true":"false")}if(e instanceof Date)return on("vt:filetime",sn(e));throw new Error("Unable to serialize "+e)}(e[r]),{fmtid:"{D5CDD505-2E9C-101B-9397-08002B2CF9AE}",pid:n,name:Ut(r)})})),t.length>2&&(t[t.length]="</Properties>",t[1]=t[1].replace("/>",">")),t.join("")}var Ci,Ei={Title:"Title",Subject:"Subject",Author:"Author",Keywords:"Keywords",Comments:"Description",LastAuthor:"LastAuthor",RevNumber:"Revision",Application:"AppName",LastPrinted:"LastPrinted",CreatedDate:"Created",ModifiedDate:"LastSaved",Category:"Category",Manager:"Manager",Company:"Company",AppVersion:"Version",ContentStatus:"ContentStatus",Identifier:"Identifier",Language:"Language"};function Mi(e,t,n){Ci||(Ci=ke(Ei)),e[t=Ci[t]||t]=n}function Di(e){var t=e.read_shift(4),n=e.read_shift(4);return new Date(1e3*(n/1e7*Math.pow(2,32)+t/1e7-11644473600)).toISOString().replace(/\.000/,"")}function Pi(e,t,n){var r=e.l,i=e.read_shift(0,"lpstr-cp");if(n)for(;e.l-r&3;)++e.l;return i}function Ii(e,t,n){var r=e.read_shift(0,"lpwstr");return n&&(e.l+=4-(r.length+1&3)&3),r}function Oi(e,t,n){return 31===t?Ii(e):Pi(e,0,n)}function Ni(e,t,n){return Oi(e,t,!1===n?0:4)}function ki(e){var t=e.l,n=Fi(e,qr);return 0==e[e.l]&&0==e[e.l+1]&&e.l-t&2&&(e.l+=2),[n,Fi(e,Hr)]}function Ri(e,t){for(var n=e.read_shift(4),r={},i=0;i!=n;++i){var a=e.read_shift(4),o=e.read_shift(4);r[a]=e.read_shift(o,1200===t?"utf16le":"utf8").replace(N,"").replace(k,"!"),1200===t&&o%2&&(e.l+=2)}return 3&e.l&&(e.l=e.l>>3<<2),r}function Li(e){var t=e.read_shift(4),n=e.slice(e.l,e.l+t);return e.l+=t,(3&t)>0&&(e.l+=4-(3&t)&3),n}function Fi(e,t,n){var r,i=e.read_shift(2),a=n||{};if(e.l+=2,t!==$r&&i!==t&&-1===Kr.indexOf(t)&&(4126!=(65534&t)||4126!=(65534&i)))throw new Error("Expected type "+t+" saw "+i);switch(t===$r?i:t){case 2:return r=e.read_shift(2,"i"),a.raw||(e.l+=2),r;case 3:return e.read_shift(4,"i");case 11:return 0!==e.read_shift(4);case 19:return e.read_shift(4);case 30:return Pi(e,0,4).replace(N,"");case 31:return Ii(e);case 64:return Di(e);case 65:return Li(e);case 71:return function(e){var t={};return t.Size=e.read_shift(4),e.l+=t.Size+3-(t.Size-1)%4,t}(e);case 80:return Ni(e,i,!a.raw).replace(N,"");case 81:return function(e,t){if(!t)throw new Error("VtUnalignedString must have positive length");return Oi(e,t,0)}(e,i).replace(N,"");case 4108:return function(e){for(var t=e.read_shift(4),n=[],r=0;r<t/2;++r)n.push(ki(e));return n}(e);case 4126:case 4127:return 4127==i?function(e){for(var t=e.read_shift(4),n=[],r=0;r!=t;++r){var i=e.l;n[r]=e.read_shift(0,"lpwstr").replace(N,""),e.l-i&2&&(e.l+=2)}return n}(e):function(e){for(var t=e.read_shift(4),n=[],r=0;r!=t;++r)n[r]=e.read_shift(0,"lpstr-cp").replace(N,"");return n}(e);default:throw new Error("TypedPropertyValue unrecognized type "+t+" "+i)}}function Bi(e,t){var n=Kn(4),r=Kn(4);switch(n.write_shift(4,80==e?31:e),e){case 3:r.write_shift(-4,t);break;case 5:(r=Kn(8)).write_shift(8,t,"f");break;case 11:r.write_shift(4,t?1:0);break;case 64:r=function(e){var t=("string"==typeof e?new Date(Date.parse(e)):e).getTime()/1e3+11644473600,n=t%Math.pow(2,32),r=(t-n)/Math.pow(2,32);r*=1e7;var i=(n*=1e7)/Math.pow(2,32)|0;i>0&&(n%=Math.pow(2,32),r+=i);var a=Kn(8);return a.write_shift(4,n),a.write_shift(4,r),a}(t);break;case 31:case 80:for((r=Kn(4+2*(t.length+1)+(t.length%2?0:2))).write_shift(4,t.length+1),r.write_shift(0,t,"dbcs");r.l!=r.length;)r.write_shift(1,0);break;default:throw new Error("TypedPropertyValue unrecognized type "+e+" "+t)}return O([n,r])}function Ui(e,t){var n=e.l,r=e.read_shift(4),i=e.read_shift(4),a=[],o=0,s=0,l=-1,c={};for(o=0;o!=i;++o){var u=e.read_shift(4),f=e.read_shift(4);a[o]=[u,f+n]}a.sort((function(e,t){return e[1]-t[1]}));var p={};for(o=0;o!=i;++o){if(e.l!==a[o][1]){var h=!0;if(o>0&&t)switch(t[a[o-1][0]].t){case 2:e.l+2===a[o][1]&&(e.l+=2,h=!1);break;case 80:case 4108:e.l<=a[o][1]&&(e.l=a[o][1],h=!1)}if((!t||0==o)&&e.l<=a[o][1]&&(h=!1,e.l=a[o][1]),h)throw new Error("Read Error: Expected address "+a[o][1]+" at "+e.l+" :"+o)}if(t){if(0==a[o][0]&&a.length>o+1&&a[o][1]==a[o+1][1])continue;var m=t[a[o][0]];if(p[m.n]=Fi(e,m.t,{raw:!0}),"version"===m.p&&(p[m.n]=String(p[m.n]>>16)+"."+("0000"+String(65535&p[m.n])).slice(-4)),"CodePage"==m.n)switch(p[m.n]){case 0:p[m.n]=1252;case 874:case 932:case 936:case 949:case 950:case 1250:case 1251:case 1253:case 1254:case 1255:case 1256:case 1257:case 1258:case 1e4:case 1200:case 1201:case 1252:case 65e3:case-536:case 65001:case-535:d(s=p[m.n]>>>0&65535);break;default:throw new Error("Unsupported CodePage: "+p[m.n])}}else if(1===a[o][0]){if(s=p.CodePage=Fi(e,Wr),d(s),-1!==l){var g=e.l;e.l=a[l][1],c=Ri(e,s),e.l=g}}else if(0===a[o][0]){if(0===s){l=o,e.l=a[o+1][1];continue}c=Ri(e,s)}else{var v,y=c[a[o][0]];switch(e[e.l]){case 65:e.l+=4,v=Li(e);break;case 30:case 31:e.l+=4,v=Ni(e,e[e.l-4]).replace(/(^|[^\u0000])\u0000+$/,"$1");break;case 3:e.l+=4,v=e.read_shift(4,"i");break;case 19:e.l+=4,v=e.read_shift(4);break;case 5:e.l+=4,v=e.read_shift(8,"f");break;case 11:e.l+=4,v=$i(e,4);break;case 64:e.l+=4,v=He(Di(e));break;default:throw new Error("unparsed value: "+e[e.l])}p[y]=v}}return e.l=n+r,p}var Vi=["CodePage","Thumbnail","_PID_LINKBASE","_PID_HLINKS","SystemIdentifier","FMTID"];function Gi(e){switch(typeof e){case"boolean":return 11;case"number":return(0|e)==e?3:5;case"string":return 31;case"object":if(e instanceof Date)return 64}return-1}function zi(e,t,n){var r=Kn(8),i=[],a=[],o=8,s=0,l=Kn(8),c=Kn(8);if(l.write_shift(4,2),l.write_shift(4,1200),c.write_shift(4,1),a.push(l),i.push(c),o+=8+l.length,!t){(c=Kn(8)).write_shift(4,0),i.unshift(c);var u=[Kn(4)];for(u[0].write_shift(4,e.length),s=0;s<e.length;++s){var d=e[s][0];for((l=Kn(8+2*(d.length+1)+(d.length%2?0:2))).write_shift(4,s+2),l.write_shift(4,d.length+1),l.write_shift(0,d,"dbcs");l.l!=l.length;)l.write_shift(1,0);u.push(l)}l=O(u),a.unshift(l),o+=8+l.length}for(s=0;s<e.length;++s)if((!t||t[e[s][0]])&&!(Vi.indexOf(e[s][0])>-1||xi.indexOf(e[s][0])>-1)&&null!=e[s][1]){var f=e[s][1],p=0;if(t){var h=n[p=+t[e[s][0]]];if("version"==h.p&&"string"==typeof f){var m=f.split(".");f=(+m[0]<<16)+(+m[1]||0)}l=Bi(h.t,f)}else{var g=Gi(f);-1==g&&(g=31,f=String(f)),l=Bi(g,f)}a.push(l),(c=Kn(8)).write_shift(4,t?p:2+s),i.push(c),o+=8+l.length}var v=8*(a.length+1);for(s=0;s<a.length;++s)i[s].write_shift(4,v),v+=a[s].length;return r.write_shift(4,o),r.write_shift(4,a.length),O([r].concat(i).concat(a))}function ji(e,t,n){var r=e.content;if(!r)return{};Xn(r,0);var i,a,o,s,l=0;r.chk("feff","Byte Order: "),r.read_shift(2);var c=r.read_shift(4),u=r.read_shift(16);if(u!==De.utils.consts.HEADER_CLSID&&u!==n)throw new Error("Bad PropertySet CLSID "+u);if(1!==(i=r.read_shift(4))&&2!==i)throw new Error("Unrecognized #Sets: "+i);if(a=r.read_shift(16),s=r.read_shift(4),1===i&&s!==r.l)throw new Error("Length mismatch: "+s+" !== "+r.l);2===i&&(o=r.read_shift(16),l=r.read_shift(4));var d,f=Ui(r,t),p={SystemIdentifier:c};for(var h in f)p[h]=f[h];if(p.FMTID=a,1===i)return p;if(l-r.l==2&&(r.l+=2),r.l!==l)throw new Error("Length mismatch 2: "+r.l+" !== "+l);try{d=Ui(r,null)}catch(e){}for(h in d)p[h]=d[h];return p.FMTID=[a,o],p}function Wi(e,t,n,r,i,a){var o=Kn(i?68:48),s=[o];o.write_shift(2,65534),o.write_shift(2,0),o.write_shift(4,842412599),o.write_shift(16,De.utils.consts.HEADER_CLSID,"hex"),o.write_shift(4,i?2:1),o.write_shift(16,t,"hex"),o.write_shift(4,i?68:48);var l=zi(e,n,r);if(s.push(l),i){var c=zi(i,null,null);o.write_shift(16,a,"hex"),o.write_shift(4,68+l.length),s.push(c)}return O(s)}function Hi(e,t){return e.read_shift(t),null}function $i(e,t){return 1===e.read_shift(t)}function Xi(e,t){return t||(t=Kn(2)),t.write_shift(2,+!!e),t}function qi(e){return e.read_shift(2,"u")}function Ki(e,t){return t||(t=Kn(2)),t.write_shift(2,e),t}function Yi(e,t){return function(e,t,n){for(var r=[],i=e.l+t;e.l<i;)r.push(n(e,i-e.l));if(i!==e.l)throw new Error("Slurp error");return r}(e,t,qi)}function Ji(e){var t=e.read_shift(1);return 1===e.read_shift(1)?t:1===t}function Zi(e,t,n){return n||(n=Kn(2)),n.write_shift(1,"e"==t?+e:+!!e),n.write_shift(1,"e"==t?1:0),n}function Qi(e,t,n){var r=e.read_shift(n&&n.biff>=12?2:1),i="sbcs-cont",a=o;n&&n.biff>=8&&(o=1200),n&&8!=n.biff?12==n.biff&&(i="wstr"):e.read_shift(1)&&(i="dbcs-cont"),n.biff>=2&&n.biff<=5&&(i="cpstr");var s=r?e.read_shift(r,i):"";return o=a,s}function ea(e){var t=o;o=1200;var n,r=e.read_shift(2),i=e.read_shift(1),a=4&i,s=8&i,l=1+(1&i),c=0,u={};s&&(c=e.read_shift(2)),a&&(n=e.read_shift(4));var d=2==l?"dbcs-cont":"sbcs-cont",f=0===r?"":e.read_shift(r,d);return s&&(e.l+=4*c),a&&(e.l+=n),u.t=f,s||(u.raw="<t>"+u.t+"</t>",u.r=u.t),o=t,u}function ta(e){var t=e.t||"",n=Kn(3);n.write_shift(2,t.length),n.write_shift(1,1);var r=Kn(2*t.length);return r.write_shift(2*t.length,t,"utf16le"),O([n,r])}function na(e,t,n){if(n){if(n.biff>=2&&n.biff<=5)return e.read_shift(t,"cpstr");if(n.biff>=12)return e.read_shift(t,"dbcs-cont")}return 0===e.read_shift(1)?e.read_shift(t,"sbcs-cont"):e.read_shift(t,"dbcs-cont")}function ra(e,t,n){var r=e.read_shift(n&&2==n.biff?1:2);return 0===r?(e.l++,""):na(e,r,n)}function ia(e,t,n){if(n.biff>5)return ra(e,0,n);var r=e.read_shift(1);return 0===r?(e.l++,""):e.read_shift(r,n.biff<=4||!e.lens?"cpstr":"sbcs-cont")}function aa(e,t,n){return n||(n=Kn(3+2*e.length)),n.write_shift(2,e.length),n.write_shift(1,1),n.write_shift(31,e,"utf16le"),n}function oa(e){var t=e.read_shift(4);return t>0?e.read_shift(t,"utf16le").replace(N,""):""}function sa(e,t){t||(t=Kn(6+2*e.length)),t.write_shift(4,1+e.length);for(var n=0;n<e.length;++n)t.write_shift(2,e.charCodeAt(n));return t.write_shift(2,0),t}function la(e){var t=Kn(512),n=0,r=e.Target;"file://"==r.slice(0,7)&&(r=r.slice(7));var i=r.indexOf("#"),a=i>-1?31:23;switch(r.charAt(0)){case"#":a=28;break;case".":a&=-3}t.write_shift(4,2),t.write_shift(4,a);var o=[8,6815827,6619237,4849780,83];for(n=0;n<o.length;++n)t.write_shift(4,o[n]);if(28==a)sa(r=r.slice(1),t);else if(2&a){for(o="e0 c9 ea 79 f9 ba ce 11 8c 82 00 aa 00 4b a9 0b".split(" "),n=0;n<o.length;++n)t.write_shift(1,parseInt(o[n],16));var s=i>-1?r.slice(0,i):r;for(t.write_shift(4,2*(s.length+1)),n=0;n<s.length;++n)t.write_shift(2,s.charCodeAt(n));t.write_shift(2,0),8&a&&sa(i>-1?r.slice(i+1):"",t)}else{for(o="03 03 00 00 00 00 00 00 c0 00 00 00 00 00 00 46".split(" "),n=0;n<o.length;++n)t.write_shift(1,parseInt(o[n],16));for(var l=0;"../"==r.slice(3*l,3*l+3)||"..\\"==r.slice(3*l,3*l+3);)++l;for(t.write_shift(2,l),t.write_shift(4,r.length-3*l+1),n=0;n<r.length-3*l;++n)t.write_shift(1,255&r.charCodeAt(n+3*l));for(t.write_shift(1,0),t.write_shift(2,65535),t.write_shift(2,57005),n=0;n<6;++n)t.write_shift(4,0)}return t.slice(0,t.l)}function ca(e){return[e.read_shift(1),e.read_shift(1),e.read_shift(1),e.read_shift(1)]}function ua(e,t){var n=ca(e);return n[3]=0,n}function da(e,t,n){var r={r:e.read_shift(2),c:e.read_shift(2),ixfe:0};if(n&&2==n.biff||7==t){var i=e.read_shift(1);r.ixfe=63&i,e.l+=2}else r.ixfe=e.read_shift(2);return r}function fa(e,t,n,r){return r||(r=Kn(6)),r.write_shift(2,e),r.write_shift(2,t),r.write_shift(2,n||0),r}function pa(e,t,n){var r=n.biff>8?4:2;return[e.read_shift(r),e.read_shift(r,"i"),e.read_shift(r,"i")]}function ha(e){return[e.read_shift(2),Rr(e)]}function ma(e){var t=e.read_shift(2),n=e.read_shift(2);return{s:{c:e.read_shift(2),r:t},e:{c:e.read_shift(2),r:n}}}function ga(e,t){return t||(t=Kn(8)),t.write_shift(2,e.s.r),t.write_shift(2,e.e.r),t.write_shift(2,e.s.c),t.write_shift(2,e.e.c),t}function va(e){var t=e.read_shift(2),n=e.read_shift(2);return{s:{c:e.read_shift(1),r:t},e:{c:e.read_shift(1),r:n}}}var ya=va;function ba(e){e.l+=4;var t=e.read_shift(2),n=e.read_shift(2),r=e.read_shift(2);return e.l+=12,[n,t,r]}function _a(e){e.l+=2,e.l+=e.read_shift(2)}var xa={0:_a,4:_a,5:_a,6:_a,7:function(e){return e.l+=4,e.cf=e.read_shift(2),{}},8:_a,9:_a,10:_a,11:_a,12:_a,13:function(e){var t={};return e.l+=4,e.l+=16,t.fSharedNote=e.read_shift(2),e.l+=4,t},14:_a,15:_a,16:_a,17:_a,18:_a,19:_a,20:_a,21:ba};function wa(e,t){var n={BIFFVer:0,dt:0};switch(n.BIFFVer=e.read_shift(2),(t-=2)>=2&&(n.dt=e.read_shift(2),e.l-=2),n.BIFFVer){case 1536:case 1280:case 1024:case 768:case 512:case 2:case 7:break;default:if(t>6)throw new Error("Unexpected BIFF Ver "+n.BIFFVer)}return e.read_shift(t),n}function Aa(e,t,n){var r=1536,i=16;switch(n.bookType){case"biff8":case"xla":break;case"biff5":r=1280,i=8;break;case"biff4":r=4,i=6;break;case"biff3":r=3,i=6;break;case"biff2":r=2,i=4;break;default:throw new Error("unsupported BIFF version")}var a=Kn(i);return a.write_shift(2,r),a.write_shift(2,t),i>4&&a.write_shift(2,29282),i>6&&a.write_shift(2,1997),i>8&&(a.write_shift(2,49161),a.write_shift(2,1),a.write_shift(2,1798),a.write_shift(2,0)),a}function Sa(e,t){var n=!t||t.biff>=8?2:1,r=Kn(8+n*e.name.length);r.write_shift(4,e.pos),r.write_shift(1,e.hs||0),r.write_shift(1,e.dt),r.write_shift(1,e.name.length),t.biff>=8&&r.write_shift(1,1),r.write_shift(n*e.name.length,e.name,t.biff<8?"sbcs":"utf16le");var i=r.slice(0,r.l);return i.l=r.l,i}function Ta(e,t,n){var r=0;n&&2==n.biff||(r=e.read_shift(2));var i=e.read_shift(2);return n&&2==n.biff&&(r=1-(i>>15),i&=32767),[{Unsynced:1&r,DyZero:(2&r)>>1,ExAsc:(4&r)>>2,ExDsc:(8&r)>>3},i]}function Ca(e,t,n,r){var i=n&&5==n.biff;r||(r=Kn(i?3+t.length:5+2*t.length)),r.write_shift(2,e),r.write_shift(i?1:2,t.length),i||r.write_shift(1,1),r.write_shift((i?1:2)*t.length,t,i?"sbcs":"utf16le");var a=r.length>r.l?r.slice(0,r.l):r;return null==a.l&&(a.l=a.length),a}var Ea=ia;function Ma(e,t,n){var r=e.l+t,i=8!=n.biff&&n.biff?2:4,a=e.read_shift(i),o=e.read_shift(i),s=e.read_shift(2),l=e.read_shift(2);return e.l=r,{s:{r:a,c:s},e:{r:o,c:l}}}function Da(e,t,n,r){var i=n&&5==n.biff;r||(r=Kn(i?16:20)),r.write_shift(2,0),e.style?(r.write_shift(2,e.numFmtId||0),r.write_shift(2,65524)):(r.write_shift(2,e.numFmtId||0),r.write_shift(2,t<<4));var a=0;return e.numFmtId>0&&i&&(a|=1024),r.write_shift(4,a),r.write_shift(4,0),i||r.write_shift(4,0),r.write_shift(2,0),r}function Pa(e){var t=Kn(12);return t.l++,t.write_shift(1,e.numFmtId),t.l+=10,t}var Ia=Pa;function Oa(e,t,n,r,i,a){var o=Kn(8);return fa(e,t,r,o),Zi(n,a,o),o}var Na=function(e,t,n){return 0===t?"":ia(e,0,n)};function ka(e,t,n){var r,i=e.read_shift(2),a={fBuiltIn:1&i,fWantAdvise:i>>>1&1,fWantPict:i>>>2&1,fOle:i>>>3&1,fOleLink:i>>>4&1,cf:i>>>5&1023,fIcon:i>>>15&1};return 14849===n.sbcch&&(r=function(e,t,n){e.l+=4,t-=4;var r=e.l+t,i=Qi(e,0,n),a=e.read_shift(2);if(a!==(r-=e.l))throw new Error("Malformed AddinUdf: padding = "+r+" != "+a);return e.l+=a,i}(e,t-2,n)),a.body=r||e.read_shift(t-2),"string"==typeof r&&(a.Name=r),a}function Ra(e,t,n){var r=e.l+t,i=e.read_shift(2),a=e.read_shift(1),o=e.read_shift(1),s=e.read_shift(n&&2==n.biff?1:2),l=0;(!n||n.biff>=5)&&(5!=n.biff&&(e.l+=2),l=e.read_shift(2),5==n.biff&&(e.l+=2),e.l+=4);var c=na(e,o,n);32&i&&(c=ii[c.charCodeAt(0)]);var u=r-e.l;n&&2==n.biff&&--u;var d=r!=e.l&&0!==s&&u>0?function(e,t,n,r){var i,a=e.l+t,o=Ls(e,r,n);return a!==e.l&&(i=Rs(e,a-e.l,o,n)),[o,i]}(e,u,n,s):[];return{chKey:a,Name:c,itab:l,rgce:d}}function La(e,t,n){if(n.biff<8)return Fa(e,0,n);if(!(n.biff>8)&&t==e[e.l]+(3==e[e.l+1]?1:0)+1)return Fa(e,0,n);for(var r=[],i=e.l+t,a=e.read_shift(n.biff>8?4:2);0!=a--;)r.push(pa(e,n.biff,n));if(e.l!=i)throw new Error("Bad ExternSheet: "+e.l+" != "+i);return r}function Fa(e,t,n){3==e[e.l+1]&&e[e.l]++;var r=Qi(e,0,n);return 3==r.charCodeAt(0)?r.slice(1):r}function Ba(e,t,n){var r=ya(e,6);switch(n.biff){case 2:e.l++,t-=7;break;case 3:case 4:e.l+=2,t-=8;break;default:e.l+=6,t-=12}return[r,zs(e,t,n)]}function Ua(e,t,n,r){var i=Kn(6+(r||e.length));return i.write_shift(2,t),i.write_shift(2,n),i.write_shift(2,r||e.length),i.write_shift(e.length,e,"sbcs"),i}var Va={8:function(e,t){var n=e.l+t;e.l+=10;var r=e.read_shift(2);e.l+=4,e.l+=2,e.l+=2,e.l+=2,e.l+=4;var i=e.read_shift(1);return e.l+=i,e.l=n,{fmt:r}}};function Ga(e){var t=Kn(24),n=sr(e[0]);t.write_shift(2,n.r),t.write_shift(2,n.r),t.write_shift(2,n.c),t.write_shift(2,n.c);for(var r="d0 c9 ea 79 f9 ba ce 11 8c 82 00 aa 00 4b a9 0b".split(" "),i=0;i<16;++i)t.write_shift(1,parseInt(r[i],16));return O([t,la(e[1])])}function za(e){var t=e[1].Tooltip,n=Kn(10+2*(t.length+1));n.write_shift(2,2048);var r=sr(e[0]);n.write_shift(2,r.r),n.write_shift(2,r.r),n.write_shift(2,r.c),n.write_shift(2,r.c);for(var i=0;i<t.length;++i)n.write_shift(2,t.charCodeAt(i));return n.write_shift(2,0),n}function ja(e,t,n){if(!n.cellStyles)return qn(e,t);var r=n&&n.biff>=12?4:2,i=e.read_shift(r),a=e.read_shift(r),o=e.read_shift(r),s=e.read_shift(r),l=e.read_shift(2);2==r&&(e.l+=2);var c={s:i,e:a,w:o,ixfe:s,flags:l};return(n.biff>=5||!n.biff)&&(c.level=l>>8&7),c}var Wa=da,Ha=Yi,$a=ra;function Xa(e,t,n,r,i){return e||(e=Kn(7)),e.write_shift(2,t),e.write_shift(2,n),e.write_shift(1,r||0),e.write_shift(1,i||0),e.write_shift(1,0),e}var qa=[2,3,48,49,131,139,140,245],Ka=function(){var e={1:437,2:850,3:1252,4:1e4,100:852,101:866,102:865,103:861,104:895,105:620,106:737,107:857,120:950,121:949,122:936,123:932,124:874,125:1255,126:1256,150:10007,151:10029,152:10006,200:1250,201:1251,202:1254,203:1253,0:20127,8:865,9:437,10:850,11:437,13:437,14:850,15:437,16:850,17:437,18:850,19:932,20:850,21:437,22:850,23:865,24:437,25:437,26:850,27:437,28:863,29:850,31:852,34:852,35:852,36:860,37:850,38:866,55:850,64:852,77:936,78:949,79:950,80:874,87:1252,88:1252,89:1252,108:863,134:737,135:852,136:857,204:1257,255:16969},t=ke({1:437,2:850,3:1252,4:1e4,100:852,101:866,102:865,103:861,104:895,105:620,106:737,107:857,120:950,121:949,122:936,123:932,124:874,125:1255,126:1256,150:10007,151:10029,152:10006,200:1250,201:1251,202:1254,203:1253,0:20127});function n(t,n){var r=n||{};r.dateNF||(r.dateNF="yyyymmdd");var a=vr(function(t,n){var r=[],a=C(1);switch(n.type){case"base64":a=M(w(t));break;case"binary":a=M(t);break;case"buffer":case"array":a=t}Xn(a,0);var o=a.read_shift(1),s=!!(136&o),l=!1,c=!1;switch(o){case 2:case 3:case 131:case 139:case 245:break;case 48:case 49:l=!0,s=!0;break;case 140:c=!0;break;default:throw new Error("DBF Unsupported Version: "+o.toString(16))}var u=0,d=521;2==o&&(u=a.read_shift(2)),a.l+=3,2!=o&&(u=a.read_shift(4)),u>1048576&&(u=1e6),2!=o&&(d=a.read_shift(2));var f=a.read_shift(2),p=n.codepage||1252;2!=o&&(a.l+=16,a.read_shift(1),0!==a[a.l]&&(p=e[a[a.l]]),a.l+=1,a.l+=2),c&&(a.l+=36);for(var h=[],m={},g=Math.min(a.length,2==o?521:d-10-(l?264:0)),v=c?32:11;a.l<g&&13!=a[a.l];)switch((m={}).name=(void 0!==i?i.utils.decode(p,a.slice(a.l,a.l+v)):P(a.slice(a.l,a.l+v))).replace(/[\u0000\r\n][\S\s]*$/g,""),a.l+=v,m.type=String.fromCharCode(a.read_shift(1)),2==o||c||(m.offset=a.read_shift(4)),m.len=a.read_shift(1),2==o&&(m.offset=a.read_shift(2)),m.dec=a.read_shift(1),m.name.length&&h.push(m),2!=o&&(a.l+=c?13:14),m.type){case"B":l&&8==m.len||!n.WTF||console.log("Skipping "+m.name+":"+m.type);break;case"G":case"P":n.WTF&&console.log("Skipping "+m.name+":"+m.type);break;case"+":case"0":case"@":case"C":case"D":case"F":case"I":case"L":case"M":case"N":case"O":case"T":case"Y":break;default:throw new Error("Unknown Field Type: "+m.type)}if(13!==a[a.l]&&(a.l=d-1),13!==a.read_shift(1))throw new Error("DBF Terminator not found "+a.l+" "+a[a.l]);a.l=d;var y=0,b=0;for(r[0]=[],b=0;b!=h.length;++b)r[0][b]=h[b].name;for(;u-- >0;)if(42!==a[a.l])for(++a.l,r[++y]=[],b=0,b=0;b!=h.length;++b){var _=a.slice(a.l,a.l+h[b].len);a.l+=h[b].len,Xn(_,0);var x=void 0!==i?i.utils.decode(p,_):P(_);switch(h[b].type){case"C":x.trim().length&&(r[y][b]=x.replace(/([^\s])\s+$/,"$1"));break;case"D":8===x.length?(r[y][b]=new Date(Date.UTC(+x.slice(0,4),+x.slice(4,6)-1,+x.slice(6,8),0,0,0,0)),n&&n.UTC||(r[y][b]=rt(r[y][b]))):r[y][b]=x;break;case"F":r[y][b]=parseFloat(x.trim());break;case"+":case"I":r[y][b]=c?2147483648^_.read_shift(-4,"i"):_.read_shift(4,"i");break;case"L":switch(x.trim().toUpperCase()){case"Y":case"T":r[y][b]=!0;break;case"N":case"F":r[y][b]=!1;break;case"":case"\0":case"?":break;default:throw new Error("DBF Unrecognized L:|"+x+"|")}break;case"M":if(!s)throw new Error("DBF Unexpected MEMO for type "+o.toString(16));r[y][b]="##MEMO##"+(c?parseInt(x.trim(),10):_.read_shift(4));break;case"N":(x=x.replace(/\u0000/g,"").trim())&&"."!=x&&(r[y][b]=+x||0);break;case"@":r[y][b]=new Date(_.read_shift(-8,"f")-621356832e5);break;case"T":var A=_.read_shift(4),S=_.read_shift(4);if(0==A&&0==S)break;r[y][b]=new Date(864e5*(A-2440588)+S),n&&n.UTC||(r[y][b]=rt(r[y][b]));break;case"Y":r[y][b]=_.read_shift(4,"i")/1e4+_.read_shift(4,"i")/1e4*Math.pow(2,32);break;case"O":r[y][b]=-_.read_shift(-8,"f");break;case"B":if(l&&8==h[b].len){r[y][b]=_.read_shift(8,"f");break}case"G":case"P":_.l+=h[b].len;break;case"0":if("_NullFlags"===h[b].name)break;default:throw new Error("DBF Unsupported data type "+h[b].type)}}else a.l+=f;if(2!=o&&a.l<a.length&&26!=a[a.l++])throw new Error("DBF EOF Marker missing "+(a.l-1)+" of "+a.length+" "+a[a.l-1].toString(16));return n&&n.sheetRows&&(r=r.slice(0,n.sheetRows)),n.DBF=h,r}(t,r),r);return a["!cols"]=r.DBF.map((function(e){return{wch:e.len,DBF:e}})),delete r.DBF,a}var r={B:8,C:250,L:1,D:8,"?":0,"":0};return{to_workbook:function(e,t){try{var r=mr(n(e,t),t);return r.bookType="dbf",r}catch(e){if(t&&t.WTF)throw e}return{SheetNames:[],Sheets:{}}},to_sheet:n,from_sheet:function(n,a){if(!n["!ref"])throw new Error("Cannot export empty sheet to DBF");var l=a||{},c=o;if(+l.codepage>=0&&d(+l.codepage),"string"==l.type)throw new Error("Cannot write DBF to JS string");var u=Jn(),f=ld(n,{header:1,raw:!0,cellDates:!0}),p=f[0],h=f.slice(1),m=n["!cols"]||[],g=0,v=0,y=0,b=1;for(g=0;g<p.length;++g)if(((m[g]||{}).DBF||{}).name)p[g]=m[g].DBF.name,++y;else if(null!=p[g]){if(++y,"number"==typeof p[g]&&(p[g]=p[g].toString(10)),"string"!=typeof p[g])throw new Error("DBF Invalid column name "+p[g]+" |"+typeof p[g]+"|");if(p.indexOf(p[g])!==g)for(v=0;v<1024;++v)if(-1==p.indexOf(p[g]+"_"+v)){p[g]+="_"+v;break}}var _=pr(n["!ref"]),x=[],w=[],A=[];for(g=0;g<=_.e.c-_.s.c;++g){var S="",T="",C=0,E=[];for(v=0;v<h.length;++v)null!=h[v][g]&&E.push(h[v][g]);if(0!=E.length&&null!=p[g]){for(v=0;v<E.length;++v){switch(typeof E[v]){case"number":T="B";break;case"string":default:T="C";break;case"boolean":T="L";break;case"object":T=E[v]instanceof Date?"D":"C"}C=Math.max(C,(void 0!==i&&"string"==typeof E[v]?i.utils.encode(s,E[v]):String(E[v])).length),S=S&&S!=T?"C":T}C>250&&(C=250),"C"==(T=((m[g]||{}).DBF||{}).type)&&m[g].DBF.len>C&&(C=m[g].DBF.len),"B"==S&&"N"==T&&(S="N",A[g]=m[g].DBF.dec,C=m[g].DBF.len),w[g]="C"==S||"N"==T?C:r[S]||0,b+=w[g],x[g]=S}else x[g]="?"}var M=u.next(32);for(M.write_shift(4,318902576),M.write_shift(4,h.length),M.write_shift(2,296+32*y),M.write_shift(2,b),g=0;g<4;++g)M.write_shift(4,0);var D=+t[o]||3;for(M.write_shift(4,D<<8),e[D]!=+l.codepage&&(l.codepage&&console.error("DBF Unsupported codepage "+o+", using 1252"),o=1252),g=0,v=0;g<p.length;++g)if(null!=p[g]){var P=u.next(32),I=(p[g].slice(-10)+"\0\0\0\0\0\0\0\0\0\0\0").slice(0,11);P.write_shift(1,I,"sbcs"),P.write_shift(1,"?"==x[g]?"C":x[g],"sbcs"),P.write_shift(4,v),P.write_shift(1,w[g]||r[x[g]]||0),P.write_shift(1,A[g]||0),P.write_shift(1,2),P.write_shift(4,0),P.write_shift(1,0),P.write_shift(4,0),P.write_shift(4,0),v+=w[g]||r[x[g]]||0}var O=u.next(264);for(O.write_shift(4,13),g=0;g<65;++g)O.write_shift(4,0);for(g=0;g<h.length;++g){var N=u.next(b);for(N.write_shift(1,0),v=0;v<p.length;++v)if(null!=p[v])switch(x[v]){case"L":N.write_shift(1,null==h[g][v]?63:h[g][v]?84:70);break;case"B":N.write_shift(8,h[g][v]||0,"f");break;case"N":var k="0";for("number"==typeof h[g][v]&&(k=h[g][v].toFixed(A[v]||0)),k.length>w[v]&&(k=k.slice(0,w[v])),y=0;y<w[v]-k.length;++y)N.write_shift(1,32);N.write_shift(1,k,"sbcs");break;case"D":h[g][v]?(N.write_shift(4,("0000"+h[g][v].getFullYear()).slice(-4),"sbcs"),N.write_shift(2,("00"+(h[g][v].getMonth()+1)).slice(-2),"sbcs"),N.write_shift(2,("00"+h[g][v].getDate()).slice(-2),"sbcs")):N.write_shift(8,"00000000","sbcs");break;case"C":var R=N.l,L=String(null!=h[g][v]?h[g][v]:"").slice(0,w[v]);for(N.write_shift(1,L,"cpstr"),R+=w[v]-N.l,y=0;y<R;++y)N.write_shift(1,32)}}return o=c,u.next(1).write_shift(1,26),u.end()}}}(),Ya=function(){var e={AA:"À",BA:"Á",CA:"Â",DA:195,HA:"Ä",JA:197,AE:"È",BE:"É",CE:"Ê",HE:"Ë",AI:"Ì",BI:"Í",CI:"Î",HI:"Ï",AO:"Ò",BO:"Ó",CO:"Ô",DO:213,HO:"Ö",AU:"Ù",BU:"Ú",CU:"Û",HU:"Ü",Aa:"à",Ba:"á",Ca:"â",Da:227,Ha:"ä",Ja:229,Ae:"è",Be:"é",Ce:"ê",He:"ë",Ai:"ì",Bi:"í",Ci:"î",Hi:"ï",Ao:"ò",Bo:"ó",Co:"ô",Do:245,Ho:"ö",Au:"ù",Bu:"ú",Cu:"û",Hu:"ü",KC:"Ç",Kc:"ç",q:"æ",z:"œ",a:"Æ",j:"Œ",DN:209,Dn:241,Hy:255,S:169,c:170,R:174,"B ":180,0:176,1:177,2:178,3:179,5:181,6:182,7:183,Q:185,k:186,b:208,i:216,l:222,s:240,y:248,"!":161,'"':162,"#":163,"(":164,"%":165,"'":167,"H ":168,"+":171,";":187,"<":188,"=":189,">":190,"?":191,"{":223},t=new RegExp("N("+Oe(e).join("|").replace(/\|\|\|/,"|\\||").replace(/([?()+])/g,"\\$1").replace("{","\\{")+"|\\|)","gm");try{t=new RegExp("N("+Oe(e).join("|").replace(/\|\|\|/,"|\\||").replace(/([?()+])/g,"\\$1")+"|\\|)","gm")}catch(e){}var n=function(t,n){var r=e[n];return"number"==typeof r?y(r):r},r=function(e,t,n){var r=t.charCodeAt(0)-32<<4|n.charCodeAt(0)-48;return 59==r?e:y(r)};e["|"]=254;function a(e,a){var o,s=e.split(/[\n\r]+/),l=-1,c=-1,u=0,f=0,p=[],h=[],m=null,g={},v=[],y=[],b=[],_=0,x={Workbook:{WBProps:{},Names:[]}};for(+a.codepage>=0&&d(+a.codepage);u!==s.length;++u){_=0;var w,A=s[u].trim().replace(/\x1B([\x20-\x2F])([\x30-\x3F])/g,r).replace(t,n),S=A.replace(/;;/g,"\0").split(";").map((function(e){return e.replace(/\u0000/g,";")})),T=S[0];if(A.length>0)switch(T){case"ID":case"E":case"B":case"W":break;case"O":for(f=1;f<S.length;++f)if("V"===S[f].charAt(0)){var C=parseInt(S[f].slice(1),10);C>=1&&C<=4&&(x.Workbook.WBProps.date1904=!0)}break;case"P":"P"===S[1].charAt(0)&&h.push(A.slice(3).replace(/;;/g,";"));break;case"NN":var E={Sheet:0};for(f=1;f<S.length;++f)switch(S[f].charAt(0)){case"N":E.Name=S[f].slice(1);break;case"E":E.Ref=(a&&a.sheet||"Sheet1")+"!"+us(S[f].slice(1))}x.Workbook.Names.push(E);break;case"C":var M=!1,D=!1,P=!1,I=!1,O=-1,N=-1,k="",R="z",L="";for(f=1;f<S.length;++f)switch(S[f].charAt(0)){case"A":L=S[f].slice(1);break;case"X":c=parseInt(S[f].slice(1),10)-1,D=!0;break;case"Y":for(l=parseInt(S[f].slice(1),10)-1,D||(c=0),o=p.length;o<=l;++o)p[o]=[];break;case"K":'"'===(w=S[f].slice(1)).charAt(0)?(w=w.slice(1,w.length-1),R="s"):"TRUE"===w||"FALSE"===w?(w="TRUE"===w,R="b"):"#"==w.charAt(0)&&null!=ri[w]?(R="e",w=ri[w]):isNaN(Ke(w))||(w=Ke(w),R="n",null!==m&&me(m)&&a.cellDates&&(R="number"==typeof(w=Ve(x.Workbook.WBProps.date1904?w+1462:w))?"n":"d")),void 0!==i&&"string"==typeof w&&"string"!=(a||{}).type&&(a||{}).codepage&&(w=i.utils.decode(a.codepage,w)),M=!0;break;case"E":I=!0,k=us(S[f].slice(1),{r:l,c:c});break;case"S":P=!0;break;case"G":break;case"R":O=parseInt(S[f].slice(1),10)-1;break;case"C":N=parseInt(S[f].slice(1),10)-1;break;default:if(a&&a.WTF)throw new Error("SYLK bad record "+A)}if(M&&(p[l][c]?(p[l][c].t=R,p[l][c].v=w):p[l][c]={t:R,v:w},m&&(p[l][c].z=m),!1!==a.cellText&&m&&(p[l][c].w=ye(p[l][c].z,p[l][c].v,{date1904:x.Workbook.WBProps.date1904})),m=null),P){if(I)throw new Error("SYLK shared formula cannot have own formula");var F=O>-1&&p[O][N];if(!F||!F[1])throw new Error("SYLK shared formula cannot find base");k=ps(F[1],{r:l-O,c:c-N})}k&&(p[l][c]?p[l][c].f=k:p[l][c]={t:"n",f:k}),L&&(p[l][c]||(p[l][c]={t:"z"}),p[l][c].c=[{a:"SheetJSYLK",t:L}]);break;case"F":var B=0;for(f=1;f<S.length;++f)switch(S[f].charAt(0)){case"X":c=parseInt(S[f].slice(1),10)-1,++B;break;case"Y":for(l=parseInt(S[f].slice(1),10)-1,o=p.length;o<=l;++o)p[o]=[];break;case"M":_=parseInt(S[f].slice(1),10)/20;break;case"F":case"G":case"S":case"D":case"N":break;case"P":m=h[parseInt(S[f].slice(1),10)];break;case"W":for(b=S[f].slice(1).split(" "),o=parseInt(b[0],10);o<=parseInt(b[1],10);++o)_=parseInt(b[2],10),y[o-1]=0===_?{hidden:!0}:{wch:_};break;case"C":y[c=parseInt(S[f].slice(1),10)-1]||(y[c]={});break;case"R":v[l=parseInt(S[f].slice(1),10)-1]||(v[l]={}),_>0?(v[l].hpt=_,v[l].hpx=Lo(_)):0===_&&(v[l].hidden=!0);break;default:if(a&&a.WTF)throw new Error("SYLK bad record "+A)}B<1&&(m=null);break;default:if(a&&a.WTF)throw new Error("SYLK bad record "+A)}}return v.length>0&&(g["!rows"]=v),y.length>0&&(g["!cols"]=y),y.forEach((function(e){No(e)})),a&&a.sheetRows&&(p=p.slice(0,a.sheetRows)),[p,g,x]}function o(e,t,n,r,i,a){var o="C;Y"+(n+1)+";X"+(r+1)+";K";switch(e.t){case"n":o+=e.v||0,e.f&&!e.F&&(o+=";E"+fs(e.f,{r:n,c:r}));break;case"b":o+=e.v?"TRUE":"FALSE";break;case"e":o+=e.w||ni[e.v]||e.v;break;case"d":o+=Ue(He(e.v,a),a);break;case"s":o+='"'+(null==e.v?"":String(e.v)).replace(/"/g,"").replace(/;/g,";;")+'"'}return o}function s(e,t,n){return"C;Y"+(t+1)+";X"+(n+1)+";A"+e.map((function(e){return e.t})).join("").replace(/\n/g," :").replace(/\r/g," =")}return{to_workbook:function(e,t){var n=function(e,t){switch(t.type){case"base64":return a(w(e),t);case"binary":return a(e,t);case"buffer":return a(A&&Buffer.isBuffer(e)?e.toString("binary"):P(e),t);case"array":return a($e(e),t)}throw new Error("Unrecognized type "+t.type)}(e,t),r=n[0],i=n[1],o=n[2],s=Xe(t);s.date1904=(((o||{}).Workbook||{}).WBProps||{}).date1904;var l=vr(r,s);Oe(i).forEach((function(e){l[e]=i[e]}));var c=mr(l,t);return Oe(o).forEach((function(e){c[e]=o[e]})),c.bookType="sylk",c},from_sheet:function(e,t,n){t||(t={}),t._formats=["General"];var r,i=["ID;PSheetJS;N;E"],a=[],l=pr(e["!ref"]||"A1"),c=null!=e["!data"],u="\r\n",d=(((n||{}).Workbook||{}).WBProps||{}).date1904;i.push("P;PGeneral");var f,p=l.s.r,h=l.s.c,m=[];if(e["!ref"])for(p=l.s.r;p<=l.e.r;++p)if(!c||e["!data"][p]){for(m=[],h=l.s.c;h<=l.e.c;++h)(r=c?e["!data"][p][h]:e[or(h)+ir(p)])&&r.c&&m.push(s(r.c,p,h));m.length&&a.push(m.join(u))}if(e["!ref"])for(p=l.s.r;p<=l.e.r;++p)if(!c||e["!data"][p]){for(m=[],h=l.s.c;h<=l.e.c;++h)if((r=c?e["!data"][p][h]:e[or(h)+ir(p)])&&(null!=r.v||r.f&&!r.F)){if("General"!=(r.z||("d"==r.t?W[14]:"General"))){var g=t._formats.indexOf(r.z);-1==g&&(t._formats.push(r.z),g=t._formats.length-1,i.push("P;P"+r.z.replace(/;/g,";;"))),m.push("F;P"+g+";Y"+(p+1)+";X"+(h+1))}m.push(o(r,0,p,h,0,d))}a.push(m.join(u))}return i.push("F;P0;DG0G8;M255"),e["!cols"]&&(f=i,e["!cols"].forEach((function(e,t){var n="F;W"+(t+1)+" "+(t+1)+" ";e.hidden?n+="0":("number"!=typeof e.width||e.wpx||(e.wpx=Mo(e.width)),"number"!=typeof e.wpx||e.wch||(e.wch=Do(e.wpx)),"number"==typeof e.wch&&(n+=Math.round(e.wch)))," "!=n.charAt(n.length-1)&&f.push(n)}))),e["!rows"]&&function(e,t){t.forEach((function(t,n){var r="F;";t.hidden?r+="M0;":t.hpt?r+="M"+20*t.hpt+";":t.hpx&&(r+="M"+20*Ro(t.hpx)+";"),r.length>2&&e.push(r+"R"+(n+1))}))}(i,e["!rows"]),e["!ref"]&&i.push("B;Y"+(l.e.r-l.s.r+1)+";X"+(l.e.c-l.s.c+1)+";D"+[l.s.c,l.s.r,l.e.c,l.e.r].join(" ")),i.push("O;L;D;B"+(d?";V4":"")+";K47;G100 0.001"),delete t._formats,i.join(u)+u+a.join(u)+u+"E"+u}}}(),Ja=function(){function e(e,t){for(var n=e.split("\n"),r=-1,i=-1,a=0,o=[];a!==n.length;++a)if("BOT"!==n[a].trim()){if(!(r<0)){for(var s=n[a].trim().split(","),l=s[0],c=s[1],u=n[++a]||"";1&(u.match(/["]/g)||[]).length&&a<n.length-1;)u+="\n"+n[++a];switch(u=u.trim(),+l){case-1:if("BOT"===u){o[++r]=[],i=0;continue}if("EOD"!==u)throw new Error("Unrecognized DIF special command "+u);break;case 0:"TRUE"===u?o[r][i]=!0:"FALSE"===u?o[r][i]=!1:isNaN(Ke(c))?isNaN(tt(c).getDate())?o[r][i]=c:(o[r][i]=He(c),t&&t.UTC||(o[r][i]=rt(o[r][i]))):o[r][i]=Ke(c),++i;break;case 1:(u=(u=u.slice(1,u.length-1)).replace(/""/g,'"'))&&u.match(/^=".*"$/)&&(u=u.slice(2,-1)),o[r][i++]=""!==u?u:null}if("EOD"===u)break}}else o[++r]=[],i=0;return t&&t.sheetRows&&(o=o.slice(0,t.sheetRows)),o}function t(t,n){return vr(function(t,n){switch(n.type){case"base64":return e(w(t),n);case"binary":return e(t,n);case"buffer":return e(A&&Buffer.isBuffer(t)?t.toString("binary"):P(t),n);case"array":return e($e(t),n)}throw new Error("Unrecognized type "+n.type)}(t,n),n)}function n(e,t){return"0,"+String(e)+"\r\n"+t}function r(e){return'1,0\r\n"'+e.replace(/"/g,'""')+'"'}return{to_workbook:function(e,n){var r=mr(t(e,n),n);return r.bookType="dif",r},to_sheet:t,from_sheet:function(e){if(!e["!ref"])throw new Error("Cannot export empty sheet to DIF");for(var t=pr(e["!ref"]),i=null!=e["!data"],a=['TABLE\r\n0,1\r\n"sheetjs"\r\n',"VECTORS\r\n0,"+(t.e.r-t.s.r+1)+'\r\n""\r\n',"TUPLES\r\n0,"+(t.e.c-t.s.c+1)+'\r\n""\r\n','DATA\r\n0,0\r\n""\r\n'],o=t.s.r;o<=t.e.r;++o){for(var s=i?e["!data"][o]:[],l="-1,0\r\nBOT\r\n",c=t.s.c;c<=t.e.c;++c){var u=i?s&&s[c]:e[lr({r:o,c:c})];if(null!=u){switch(u.t){case"n":null!=u.w?l+="0,"+u.w+"\r\nV":null!=u.v?l+=n(u.v,"V"):null==u.f||u.F?l+='1,0\r\n""':l+=r("="+u.f);break;case"b":l+=u.v?n(1,"TRUE"):n(0,"FALSE");break;case"s":l+=r(isNaN(+u.v)?u.v:'="'+u.v+'"');break;case"d":u.w||(u.w=ye(u.z||W[14],Ue(He(u.v)))),l+=n(u.w,"V");break;default:l+='1,0\r\n""'}l+="\r\n"}else l+='1,0\r\n""\r\n'}a.push(l)}return a.join("")+"-1,0\r\nEOD"}}}(),Za=function(){function e(e){return e.replace(/\\/g,"\\b").replace(/:/g,"\\c").replace(/\n/g,"\\n")}function t(e,t){return vr(function(e,t){for(var n=e.split("\n"),r=-1,i=-1,a=0,o=[];a!==n.length;++a){var s=n[a].trim().split(":");if("cell"===s[0]){var l=sr(s[1]);if(o.length<=l.r)for(r=o.length;r<=l.r;++r)o[r]||(o[r]=[]);switch(r=l.r,i=l.c,s[2]){case"t":o[r][i]=s[3].replace(/\\b/g,"\\").replace(/\\c/g,":").replace(/\\n/g,"\n");break;case"v":o[r][i]=+s[3];break;case"vtf":var c=s[s.length-1];case"vtc":"nl"===s[3]?o[r][i]=!!+s[4]:o[r][i]=+s[4],"vtf"==s[2]&&(o[r][i]=[o[r][i],c])}}}return t&&t.sheetRows&&(o=o.slice(0,t.sheetRows)),o}(e,t),t)}var n=["socialcalc:version:1.5","MIME-Version: 1.0","Content-Type: multipart/mixed; boundary=SocialCalcSpreadsheetControlSave"].join("\n"),r=["--SocialCalcSpreadsheetControlSave","Content-type: text/plain; charset=UTF-8"].join("\n")+"\n",i=["# SocialCalc Spreadsheet Control Save","part:sheet"].join("\n"),a="--SocialCalcSpreadsheetControlSave--";function o(t){if(!t||!t["!ref"])return"";for(var n,r=[],i=[],a="",o=cr(t["!ref"]),s=null!=t["!data"],l=o.s.r;l<=o.e.r;++l)for(var c=o.s.c;c<=o.e.c;++c)if(a=lr({r:l,c:c}),(n=s?(t["!data"][l]||[])[c]:t[a])&&null!=n.v&&"z"!==n.t){switch(i=["cell",a,"t"],n.t){case"s":case"str":i.push(e(n.v));break;case"n":n.f?(i[2]="vtf",i[3]="n",i[4]=n.v,i[5]=e(n.f)):(i[2]="v",i[3]=n.v);break;case"b":i[2]="vt"+(n.f?"f":"c"),i[3]="nl",i[4]=n.v?"1":"0",i[5]=e(n.f||(n.v?"TRUE":"FALSE"));break;case"d":var u=Ue(He(n.v));i[2]="vtc",i[3]="nd",i[4]=""+u,i[5]=n.w||ye(n.z||W[14],u);break;case"e":continue}r.push(i.join(":"))}return r.push("sheet:c:"+(o.e.c-o.s.c+1)+":r:"+(o.e.r-o.s.r+1)+":tvf:1"),r.push("valueformat:1:text-wiki"),r.join("\n")}return{to_workbook:function(e,n){return mr(t(e,n),n)},to_sheet:t,from_sheet:function(e){return[n,r,i,r,o(e),a].join("\n")}}}(),Qa=function(){function e(e,t,n,r,i){i.raw?t[n][r]=e:""===e||("TRUE"===e?t[n][r]=!0:"FALSE"===e?t[n][r]=!1:isNaN(Ke(e))?isNaN(tt(e).getDate())?t[n][r]=e:t[n][r]=He(e):t[n][r]=Ke(e))}var t={44:",",9:"\t",59:";",124:"|"},n={44:3,9:2,59:1,124:0};function r(e){for(var r={},i=!1,a=0,o=0;a<e.length;++a)34==(o=e.charCodeAt(a))?i=!i:!i&&o in t&&(r[o]=(r[o]||0)+1);for(a in o=[],r)Object.prototype.hasOwnProperty.call(r,a)&&o.push([r[a],a]);if(!o.length)for(a in r=n)Object.prototype.hasOwnProperty.call(r,a)&&o.push([r[a],a]);return o.sort((function(e,t){return e[0]-t[0]||n[e[1]]-n[t[1]]})),t[o.pop()[1]]||44}function a(e,t){var n=t||{},i="";null!=b&&null==n.dense&&(n.dense=b);var a={};n.dense&&(a["!data"]=[]);var o={s:{c:0,r:0},e:{c:0,r:0}};"sep="==e.slice(0,4)?13==e.charCodeAt(5)&&10==e.charCodeAt(6)?(i=e.charAt(4),e=e.slice(7)):13==e.charCodeAt(5)||10==e.charCodeAt(5)?(i=e.charAt(4),e=e.slice(6)):i=r(e.slice(0,1024)):i=n&&n.FS?n.FS:r(e.slice(0,1024));var s,l,c=0,u=0,d=0,f=0,p=0,h=i.charCodeAt(0),m=!1,g=0,v=e.charCodeAt(0),y=null!=n.dateNF?(l=(l="number"==typeof(s=n.dateNF)?W[s]:s).replace(Se,"(\\d+)"),Se.lastIndex=0,new RegExp("^"+l+"$")):null;function _(){var t=e.slice(f,p);"\r"==t.slice(-1)&&(t=t.slice(0,-1));var r={};if('"'==t.charAt(0)&&'"'==t.charAt(t.length-1)&&(t=t.slice(1,-1).replace(/""/g,'"')),!1!==n.cellText&&(r.w=t),0===t.length)r.t="z";else if(n.raw)r.t="s",r.v=t;else if(0===t.trim().length)r.t="s",r.v=t;else if(61==t.charCodeAt(0))34==t.charCodeAt(1)&&34==t.charCodeAt(t.length-1)?(r.t="s",r.v=t.slice(2,-1).replace(/""/g,'"')):1!=t.length?(r.t="s",r.f=t.slice(1),r.v=t):(r.t="s",r.v=t);else if("TRUE"==t)r.t="b",r.v=!0;else if("FALSE"==t)r.t="b",r.v=!1;else if(isNaN(d=Ke(t)))if(!isNaN((d=tt(t)).getDate())||y&&t.match(y)){if(r.z=n.dateNF||W[14],y&&t.match(y)){var i=function(e,t,n){var r=-1,i=-1,a=-1,o=-1,s=-1,l=-1;(t.match(Se)||[]).forEach((function(e,t){var c=parseInt(n[t+1],10);switch(e.toLowerCase().charAt(0)){case"y":r=c;break;case"d":a=c;break;case"h":o=c;break;case"s":l=c;break;case"m":o>=0?s=c:i=c}})),Se.lastIndex=0,l>=0&&-1==s&&i>=0&&(s=i,i=-1);var c=(""+(r>=0?r:(new Date).getFullYear())).slice(-4)+"-"+("00"+(i>=1?i:1)).slice(-2)+"-"+("00"+(a>=1?a:1)).slice(-2);7==c.length&&(c="0"+c),8==c.length&&(c="20"+c);var u=("00"+(o>=0?o:0)).slice(-2)+":"+("00"+(s>=0?s:0)).slice(-2)+":"+("00"+(l>=0?l:0)).slice(-2);return-1==o&&-1==s&&-1==l?c:-1==r&&-1==i&&-1==a?u:c+"T"+u}(0,n.dateNF,t.match(y)||[]);d=He(i),n&&!1===n.UTC&&(d=rt(d))}else n&&!1===n.UTC?d=rt(d):!1!==n.cellText&&n.dateNF&&(r.w=ye(r.z,d));n.cellDates?(r.t="d",r.v=d):(r.t="n",r.v=Ue(d)),n.cellNF||delete r.z}else r.t="s",r.v=t;else r.t="n",r.v=d;if("z"==r.t||(n.dense?(a["!data"][c]||(a["!data"][c]=[]),a["!data"][c][u]=r):a[lr({c:u,r:c})]=r),f=p+1,v=e.charCodeAt(f),o.e.c<u&&(o.e.c=u),o.e.r<c&&(o.e.r=c),g==h)++u;else if(u=0,++c,n.sheetRows&&n.sheetRows<=c)return!0}e:for(;p<e.length;++p)switch(g=e.charCodeAt(p)){case 34:34===v&&(m=!m);break;case 13:if(m)break;10==e.charCodeAt(p+1)&&++p;case h:case 10:if(!m&&_())break e}return p-f>0&&_(),a["!ref"]=ur(o),a}function o(t,n){var r="",o="string"==n.type?[0,0,0,0]:Xu(t,n);switch(n.type){case"base64":r=w(t);break;case"binary":case"string":r=t;break;case"buffer":r=65001==n.codepage?t.toString("utf8"):n.codepage&&void 0!==i?i.utils.decode(n.codepage,t):A&&Buffer.isBuffer(t)?t.toString("binary"):P(t);break;case"array":r=$e(t);break;default:throw new Error("Unrecognized type "+n.type)}return 239==o[0]&&187==o[1]&&191==o[2]?r=Yt(r.slice(3)):"string"!=n.type&&"buffer"!=n.type&&65001==n.codepage?r=Yt(r):"binary"==n.type&&void 0!==i&&n.codepage&&(r=i.utils.decode(n.codepage,i.utils.encode(28591,r))),"socialcalc:version:"==r.slice(0,19)?Za.to_sheet("string"==n.type?r:Yt(r),n):function(t,n){return n&&n.PRN?n.FS||"sep="==t.slice(0,4)||t.indexOf("\t")>=0||t.indexOf(",")>=0||t.indexOf(";")>=0?a(t,n):vr(function(t,n){var r=n||{},i=[];if(!t||0===t.length)return i;for(var a=t.split(/[\r\n]/),o=a.length-1;o>=0&&0===a[o].length;)--o;for(var s=10,l=0,c=0;c<=o;++c)-1==(l=a[c].indexOf(" "))?l=a[c].length:l++,s=Math.max(s,l);for(c=0;c<=o;++c){i[c]=[];var u=0;for(e(a[c].slice(0,s).trim(),i,c,u,r),u=1;u<=(a[c].length-s)/10+1;++u)e(a[c].slice(s+10*(u-1),s+10*u).trim(),i,c,u,r)}return r.sheetRows&&(i=i.slice(0,r.sheetRows)),i}(t,n),n):a(t,n)}(r,n)}return{to_workbook:function(e,t){return mr(o(e,t),t)},to_sheet:o,from_sheet:function(e){var t=[];if(!e["!ref"])return"";for(var n,r=pr(e["!ref"]),i=null!=e["!data"],a=r.s.r;a<=r.e.r;++a){for(var o=[],s=r.s.c;s<=r.e.c;++s){var l=lr({r:a,c:s});if((n=i?(e["!data"][a]||[])[s]:e[l])&&null!=n.v){for(var c=(n.w||(hr(n),n.w)||"").slice(0,10);c.length<10;)c+=" ";o.push(c+(0===s?" ":""))}else o.push("          ")}t.push(o.join(""))}return t.join("\n")}}}(),eo=function(){function e(e,t,n){if(e){Xn(e,e.l||0);for(var r=n.Enum||_;e.l<e.length;){var i=e.read_shift(2),a=r[i]||r[65535],o=e.read_shift(2),s=e.l+o,l=a.f&&a.f(e,o,n);if(e.l=s,t(l,a,i))return}}}var t=["mmmm","dd-mmm-yyyy","dd-mmm","mmm-yyyy","@","mm/dd","hh:mm:ss AM/PM","hh:mm AM/PM","mm/dd/yyyy","mm/dd","hh:mm:ss","hh:mm"];function n(n,r){if(!n)return n;var i=r||{};null!=b&&null==i.dense&&(i.dense=b);var a={},o="Sheet1",s="",l=0,c={},u=[],d=[],f=[];i.dense&&(f=a["!data"]=[]);var p={s:{r:0,c:0},e:{r:0,c:0}},h=i.sheetRows||0,m={};if(81==n[4]&&80==n[5]&&87==n[6])return function(e,t){Xn(e,0);var n=t||{};null!=b&&null==n.dense&&(n.dense=b);var r={};n.dense&&(r["!data"]=[]);var i=[],a="",o={s:{r:-1,c:-1},e:{r:-1,c:-1}},s=0,l=0,c=0,u=0,d={SheetNames:[],Sheets:{}},f=[];e:for(;e.l<e.length;){var p=e.read_shift(2),h=e.read_shift(2),m=e.slice(e.l,e.l+h);switch(Xn(m,0),p){case 1:if(962023505!=m.read_shift(4))throw"Bad QPW9 BOF!";break;case 2:break e;case 8:case 1025:case 1026:case 1032:default:break;case 10:for(var g=m.read_shift(4),v=(m.length-m.l)/g|0,y=0;y<g;++y){var _=m.l+v,x={};m.l+=2,x.numFmtId=m.read_shift(2),A[x.numFmtId]&&(x.z=A[x.numFmtId]),m.l=_,f.push(x)}break;case 1031:for(m.l+=12;m.l<m.length;)s=m.read_shift(2),l=m.read_shift(1),i.push(m.read_shift(s,"cstr"));break;case 1537:var w=m.read_shift(2);r={},n.dense&&(r["!data"]=[]),o.s.c=m.read_shift(2),o.e.c=m.read_shift(2),o.s.r=m.read_shift(4),o.e.r=m.read_shift(4),m.l+=4,m.l+2<m.length&&(s=m.read_shift(2),l=m.read_shift(1),a=0==s?"":m.read_shift(s,"cstr")),a||(a=or(w));break;case 1538:if(o.s.c>255||o.s.r>999999)break;o.e.c<o.s.c&&(o.e.c=o.s.c),o.e.r<o.s.r&&(o.e.r=o.s.r),r["!ref"]=ur(o),gd(d,r,a);break;case 2561:c=m.read_shift(2),o.e.c<c&&(o.e.c=c),o.s.c>c&&(o.s.c=c),u=m.read_shift(4),o.s.r>u&&(o.s.r=u),u=m.read_shift(4),o.e.r<u&&(o.e.r=u);break;case 3073:u=m.read_shift(4),s=m.read_shift(4),o.s.r>u&&(o.s.r=u),o.e.r<u+s-1&&(o.e.r=u+s-1);for(var T=or(c);m.l<m.length;){var C={t:"z"},E=m.read_shift(1),M=-1;128&E&&(M=m.read_shift(2));var D=64&E?m.read_shift(2)-1:0;switch(31&E){case 0:case 1:break;case 2:C={t:"n",v:m.read_shift(2)};break;case 3:C={t:"n",v:m.read_shift(2,"i")};break;case 4:C={t:"n",v:Rr(m)};break;case 5:C={t:"n",v:m.read_shift(8,"f")};break;case 7:C={t:"s",v:i[l=m.read_shift(4)-1]};break;case 8:C={t:"n",v:m.read_shift(8,"f")},m.l+=2,m.l+=4,isNaN(C.v)&&(C={t:"e",v:15});break;default:throw"Unrecognized QPW cell type "+(31&E)}-1!=M&&(f[M-1]||{}).z&&(C.z=f[M-1].z);var P=0;if(32&E)switch(31&E){case 2:case 7:P=m.read_shift(2);break;case 3:P=m.read_shift(2,"i");break;default:throw"Unsupported delta for QPW cell type "+(31&E)}if(n.sheetStubs||"z"!=C.t){var I=Xe(C);"n"==C.t&&C.z&&me(C.z)&&n.cellDates&&(I.v=Ve(C.v),I.t="number"==typeof I.v?"n":"d"),null!=r["!data"]?(r["!data"][u]||(r["!data"][u]=[]),r["!data"][u][c]=I):r[T+ir(u)]=I}for(++u,--s;D-- >0&&s>=0;){if(32&E)switch(31&E){case 2:C={t:"n",v:C.v+P&65535};break;case 3:(C={t:"n",v:C.v+P&65535}).v>32767&&(C.v-=65536);break;case 7:C={t:"s",v:i[l=l+P>>>0]};break;default:throw"Cannot apply delta for QPW cell type "+(31&E)}else switch(31&E){case 1:C={t:"z"};break;case 2:C={t:"n",v:m.read_shift(2)};break;case 7:C={t:"s",v:i[l=m.read_shift(4)-1]};break;default:throw"Cannot apply repeat for QPW cell type "+(31&E)}(n.sheetStubs||"z"!=C.t)&&(null!=r["!data"]?(r["!data"][u]||(r["!data"][u]=[]),r["!data"][u][c]=C):r[T+ir(u)]=C),++u,--s}}break;case 3074:c=m.read_shift(2),u=m.read_shift(4);var O=S(m);null!=r["!data"]?(r["!data"][u]||(r["!data"][u]=[]),r["!data"][u][c]={t:"s",v:O}):r[or(c)+ir(u)]={t:"s",v:O}}e.l+=h}return d}(n,r);if(0==n[2]&&(8==n[3]||9==n[3])&&n.length>=16&&5==n[14]&&108===n[15])throw new Error("Unsupported Works 3 for Mac file");if(2==n[2])i.Enum=_,e(n,(function(e,n,r){switch(r){case 0:i.vers=e,e>=4096&&(i.qpro=!0);break;case 255:i.vers=e,i.works=!0;break;case 6:p=e;break;case 204:e&&(s=e);break;case 222:s=e;break;case 15:case 51:(!i.qpro&&!i.works||51==r)&&e[1].v.charCodeAt(0)<48&&(e[1].v=e[1].v.slice(1)),(i.works||i.works2)&&(e[1].v=e[1].v.replace(/\r\n/g,"\n"));case 13:case 14:case 16:!(112&~e[2])&&(15&e[2])>1&&(15&e[2])<15&&(e[1].z=i.dateNF||t[(15&e[2])-1]||W[14],i.cellDates&&(e[1].v=Ve(e[1].v),e[1].t="number"==typeof e[1].v?"n":"d")),i.qpro&&e[3]>l&&(a["!ref"]=ur(p),c[o]=a,u.push(o),a={},i.dense&&(f=a["!data"]=[]),p={s:{r:0,c:0},e:{r:0,c:0}},l=e[3],o=s||"Sheet"+(l+1),s="");var d=i.dense?(f[e[0].r]||[])[e[0].c]:a[lr(e[0])];if(d){d.t=e[1].t,d.v=e[1].v,null!=e[1].z&&(d.z=e[1].z),null!=e[1].f&&(d.f=e[1].f),m=d;break}i.dense?(f[e[0].r]||(f[e[0].r]=[]),f[e[0].r][e[0].c]=e[1]):a[lr(e[0])]=e[1],m=e[1];break;case 21509:i.works2=!0;break;case 21506:5281==e&&(m.z="hh:mm:ss",i.cellDates&&"n"==m.t&&(m.v=Ve(m.v),m.t="number"==typeof m.v?"n":"d"))}}),i);else{if(26!=n[2]&&14!=n[2])throw new Error("Unrecognized LOTUS BOF "+n[2]);i.Enum=x,14==n[2]&&(i.qpro=!0,n.l=0),e(n,(function(e,t,n){switch(n){case 204:o=e;break;case 22:e[1].v.charCodeAt(0)<48&&(e[1].v=e[1].v.slice(1)),e[1].v=e[1].v.replace(/\x0F./g,(function(e){return String.fromCharCode(e.charCodeAt(1)-32)})).replace(/\r\n/g,"\n");case 23:case 24:case 25:case 37:case 39:case 40:if(e[3]>l&&(a["!ref"]=ur(p),c[o]=a,u.push(o),a={},i.dense&&(f=a["!data"]=[]),p={s:{r:0,c:0},e:{r:0,c:0}},l=e[3],o="Sheet"+(l+1)),h>0&&e[0].r>=h)break;i.dense?(f[e[0].r]||(f[e[0].r]=[]),f[e[0].r][e[0].c]=e[1]):a[lr(e[0])]=e[1],p.e.c<e[0].c&&(p.e.c=e[0].c),p.e.r<e[0].r&&(p.e.r=e[0].r);break;case 27:e[14e3]&&(d[e[14e3][0]]=e[14e3][1]);break;case 1537:d[e[0]]=e[1],e[0]==l&&(o=e[1])}}),i)}if(a["!ref"]=ur(p),c[s||o]=a,u.push(s||o),!d.length)return{SheetNames:u,Sheets:c};for(var g={},v=[],y=0;y<d.length;++y)c[u[y]]?(v.push(d[y]||u[y]),g[d[y]]=c[d[y]]||c[u[y]]):(v.push(d[y]),g[d[y]]={"!ref":"A1"});return{SheetNames:v,Sheets:g}}function r(e,t,n){var r=[{c:0,r:0},{t:"n",v:0},0,0];return n.qpro&&20768!=n.vers?(r[0].c=e.read_shift(1),r[3]=e.read_shift(1),r[0].r=e.read_shift(2),e.l+=2):n.works?(r[0].c=e.read_shift(2),r[0].r=e.read_shift(2),r[2]=e.read_shift(2)):(r[2]=e.read_shift(1),r[0].c=e.read_shift(2),r[0].r=e.read_shift(2)),r}function i(e){return e.z&&me(e.z)?240|(t.indexOf(e.z)+1||2):255}function a(e,t,n){var r=Kn(7+n.length);r.write_shift(1,255),r.write_shift(2,t),r.write_shift(2,e),r.write_shift(1,39);for(var i=0;i<r.length;++i){var a=n.charCodeAt(i);r.write_shift(1,a>=128?95:a)}return r.write_shift(1,0),r}function o(e,t,n){var r=Kn(7);return r.write_shift(1,i(n)),r.write_shift(2,t),r.write_shift(2,e),r.write_shift(2,n.v,"i"),r}function s(e,t,n){var r=Kn(13);return r.write_shift(1,i(n)),r.write_shift(2,t),r.write_shift(2,e),r.write_shift(8,n.v,"f"),r}function l(e,t,n){var r=32768&t;return t=(r?e:0)+((t&=-32769)>=8192?t-16384:t),(r?"":"$")+(n?or(t):ir(t))}var c={31:["NA",0],33:["ABS",1],34:["TRUNC",1],35:["SQRT",1],36:["LOG",1],37:["LN",1],38:["PI",0],39:["SIN",1],40:["COS",1],41:["TAN",1],42:["ATAN2",2],43:["ATAN",1],44:["ASIN",1],45:["ACOS",1],46:["EXP",1],47:["MOD",2],49:["ISNA",1],50:["ISERR",1],51:["FALSE",0],52:["TRUE",0],53:["RAND",0],54:["DATE",3],63:["ROUND",2],64:["TIME",3],68:["ISNUMBER",1],69:["ISTEXT",1],70:["LEN",1],71:["VALUE",1],73:["MID",3],74:["CHAR",1],80:["SUM",69],81:["AVERAGEA",69],82:["COUNTA",69],83:["MINA",69],84:["MAXA",69],102:["UPPER",1],103:["LOWER",1],107:["PROPER",1],109:["TRIM",1],111:["T",1]},u=["","","","","","","","","","+","-","*","/","^","=","<>","<=",">=","<",">","","","","","&","","","","","","",""];function f(e){var t=[{c:0,r:0},{t:"n",v:0},0];return t[0].r=e.read_shift(2),t[3]=e[e.l++],t[0].c=e[e.l++],t}function p(e,t,n,r){var i=Kn(6+r.length);i.write_shift(2,e),i.write_shift(1,n),i.write_shift(1,t),i.write_shift(1,39);for(var a=0;a<r.length;++a){var o=r.charCodeAt(a);i.write_shift(1,o>=128?95:o)}return i.write_shift(1,0),i}function h(e,t){var n=f(e),r=e.read_shift(4),i=e.read_shift(4),a=e.read_shift(2);if(65535==a)return 0===r&&3221225472===i?(n[1].t="e",n[1].v=15):0===r&&3489660928===i?(n[1].t="e",n[1].v=42):n[1].v=0,n;var o=32768&a;return a=(32767&a)-16446,n[1].v=(1-2*o)*(i*Math.pow(2,a+32)+r*Math.pow(2,a)),n}function m(e,t,n,r){var i=Kn(14);if(i.write_shift(2,e),i.write_shift(1,n),i.write_shift(1,t),0==r)return i.write_shift(4,0),i.write_shift(4,0),i.write_shift(2,65535),i;var a,o=0,s=0,l=0;return r<0&&(o=1,r=-r),s=0|Math.log2(r),2147483648&(l=(r/=Math.pow(2,s-31))>>>0)||(++s,l=(r/=2)>>>0),r-=l,l|=2147483648,l>>>=0,a=(r*=Math.pow(2,32))>>>0,i.write_shift(4,a),i.write_shift(4,l),s+=16383+(o?32768:0),i.write_shift(2,s),i}function g(e,t){var n=f(e),r=e.read_shift(8,"f");return n[1].v=r,n}function v(e,t){return 0==e[e.l+t-1]?e.read_shift(t,"cstr"):""}function y(e,t){var n=Kn(5+e.length);n.write_shift(2,14e3),n.write_shift(2,t);for(var r=0;r<e.length;++r){var i=e.charCodeAt(r);n[n.l++]=i>127?95:i}return n[n.l++]=0,n}var _={0:{n:"BOF",f:qi},1:{n:"EOF"},2:{n:"CALCMODE"},3:{n:"CALCORDER"},4:{n:"SPLIT"},5:{n:"SYNC"},6:{n:"RANGE",f:function(e,t,n){var r={s:{c:0,r:0},e:{c:0,r:0}};return 8==t&&n.qpro?(r.s.c=e.read_shift(1),e.l++,r.s.r=e.read_shift(2),r.e.c=e.read_shift(1),e.l++,r.e.r=e.read_shift(2),r):(r.s.c=e.read_shift(2),r.s.r=e.read_shift(2),12==t&&n.qpro&&(e.l+=2),r.e.c=e.read_shift(2),r.e.r=e.read_shift(2),12==t&&n.qpro&&(e.l+=2),65535==r.s.c&&(r.s.c=r.e.c=r.s.r=r.e.r=0),r)}},7:{n:"WINDOW1"},8:{n:"COLW1"},9:{n:"WINTWO"},10:{n:"COLW2"},11:{n:"NAME"},12:{n:"BLANK"},13:{n:"INTEGER",f:function(e,t,n){var i=r(e,0,n);return i[1].v=e.read_shift(2,"i"),i}},14:{n:"NUMBER",f:function(e,t,n){var i=r(e,0,n);return i[1].v=e.read_shift(8,"f"),i}},15:{n:"LABEL",f:function(e,t,n){var i=e.l+t,a=r(e,0,n);if(a[1].t="s",20768==(65534&n.vers)){e.l++;var o=e.read_shift(1);return a[1].v=e.read_shift(o,"utf8"),a}return n.qpro&&e.l++,a[1].v=e.read_shift(i-e.l,"cstr"),a}},16:{n:"FORMULA",f:function(e,t,n){var i=e.l+t,a=r(e,0,n);if(a[1].v=e.read_shift(8,"f"),n.qpro)e.l=i;else{var o=e.read_shift(2);!function(e,t){Xn(e,0);for(var n=[],r=0,i="",a="",o="",s="";e.l<e.length;){var d=e[e.l++];switch(d){case 0:n.push(e.read_shift(8,"f"));break;case 1:a=l(t[0].c,e.read_shift(2),!0),i=l(t[0].r,e.read_shift(2),!1),n.push(a+i);break;case 2:var f=l(t[0].c,e.read_shift(2),!0),p=l(t[0].r,e.read_shift(2),!1);a=l(t[0].c,e.read_shift(2),!0),i=l(t[0].r,e.read_shift(2),!1),n.push(f+p+":"+a+i);break;case 3:if(e.l<e.length)return void console.error("WK1 premature formula end");break;case 4:n.push("("+n.pop()+")");break;case 5:n.push(e.read_shift(2));break;case 6:for(var h="";d=e[e.l++];)h+=String.fromCharCode(d);n.push('"'+h.replace(/"/g,'""')+'"');break;case 8:n.push("-"+n.pop());break;case 23:n.push("+"+n.pop());break;case 22:n.push("NOT("+n.pop()+")");break;case 20:case 21:s=n.pop(),o=n.pop(),n.push(["AND","OR"][d-20]+"("+o+","+s+")");break;default:if(d<32&&u[d])s=n.pop(),o=n.pop(),n.push(o+u[d]+s);else{if(!c[d])return d<=7?console.error("WK1 invalid opcode "+d.toString(16)):d<=24?console.error("WK1 unsupported op "+d.toString(16)):d<=30?console.error("WK1 invalid opcode "+d.toString(16)):d<=115?console.error("WK1 unsupported function opcode "+d.toString(16)):console.error("WK1 unrecognized opcode "+d.toString(16));if(69==(r=c[d][1])&&(r=e[e.l++]),r>n.length)return void console.error("WK1 bad formula parse 0x"+d.toString(16)+":|"+n.join("|")+"|");var m=n.slice(-r);n.length-=r,n.push(c[d][0]+"("+m.join(",")+")")}}}1==n.length?t[1].f=""+n[0]:console.error("WK1 bad formula parse |"+n.join("|")+"|")}(e.slice(e.l,e.l+o),a),e.l+=o}return a}},24:{n:"TABLE"},25:{n:"ORANGE"},26:{n:"PRANGE"},27:{n:"SRANGE"},28:{n:"FRANGE"},29:{n:"KRANGE1"},32:{n:"HRANGE"},35:{n:"KRANGE2"},36:{n:"PROTEC"},37:{n:"FOOTER"},38:{n:"HEADER"},39:{n:"SETUP"},40:{n:"MARGINS"},41:{n:"LABELFMT"},42:{n:"TITLES"},43:{n:"SHEETJS"},45:{n:"GRAPH"},46:{n:"NGRAPH"},47:{n:"CALCCOUNT"},48:{n:"UNFORMATTED"},49:{n:"CURSORW12"},50:{n:"WINDOW"},51:{n:"STRING",f:function(e,t,n){var i=e.l+t,a=r(e,0,n);if(a[1].t="s",20768==n.vers){var o=e.read_shift(1);return a[1].v=e.read_shift(o,"utf8"),a}return a[1].v=e.read_shift(i-e.l,"cstr"),a}},55:{n:"PASSWORD"},56:{n:"LOCKED"},60:{n:"QUERY"},61:{n:"QUERYNAME"},62:{n:"PRINT"},63:{n:"PRINTNAME"},64:{n:"GRAPH2"},65:{n:"GRAPHNAME"},66:{n:"ZOOM"},67:{n:"SYMSPLIT"},68:{n:"NSROWS"},69:{n:"NSCOLS"},70:{n:"RULER"},71:{n:"NNAME"},72:{n:"ACOMM"},73:{n:"AMACRO"},74:{n:"PARSE"},102:{n:"PRANGES??"},103:{n:"RRANGES??"},104:{n:"FNAME??"},105:{n:"MRANGES??"},204:{n:"SHEETNAMECS",f:v},222:{n:"SHEETNAMELP",f:function(e,t){var n=e[e.l++];n>t-1&&(n=t-1);for(var r="";r.length<n;)r+=String.fromCharCode(e[e.l++]);return r}},255:{n:"BOF",f:qi},21506:{n:"WKSNF",f:qi},65535:{n:""}},x={0:{n:"BOF"},1:{n:"EOF"},2:{n:"PASSWORD"},3:{n:"CALCSET"},4:{n:"WINDOWSET"},5:{n:"SHEETCELLPTR"},6:{n:"SHEETLAYOUT"},7:{n:"COLUMNWIDTH"},8:{n:"HIDDENCOLUMN"},9:{n:"USERRANGE"},10:{n:"SYSTEMRANGE"},11:{n:"ZEROFORCE"},12:{n:"SORTKEYDIR"},13:{n:"FILESEAL"},14:{n:"DATAFILLNUMS"},15:{n:"PRINTMAIN"},16:{n:"PRINTSTRING"},17:{n:"GRAPHMAIN"},18:{n:"GRAPHSTRING"},19:{n:"??"},20:{n:"ERRCELL"},21:{n:"NACELL"},22:{n:"LABEL16",f:function(e,t){var n=f(e);return n[1].t="s",n[1].v=e.read_shift(t-4,"cstr"),n}},23:{n:"NUMBER17",f:h},24:{n:"NUMBER18",f:function(e,t){var n=f(e);n[1].v=e.read_shift(2);var r=n[1].v>>1;if(1&n[1].v)switch(7&r){case 0:r=5e3*(r>>3);break;case 1:r=500*(r>>3);break;case 2:r=(r>>3)/20;break;case 3:r=(r>>3)/200;break;case 4:r=(r>>3)/2e3;break;case 5:r=(r>>3)/2e4;break;case 6:r=(r>>3)/16;break;case 7:r=(r>>3)/64}return n[1].v=r,n}},25:{n:"FORMULA19",f:function(e,t){var n=h(e);return e.l+=t-14,n}},26:{n:"FORMULA1A"},27:{n:"XFORMAT",f:function(e,t){for(var n={},r=e.l+t;e.l<r;){var i=e.read_shift(2);if(14e3==i){for(n[i]=[0,""],n[i][0]=e.read_shift(2);e[e.l];)n[i][1]+=String.fromCharCode(e[e.l]),e.l++;e.l++}}return n}},28:{n:"DTLABELMISC"},29:{n:"DTLABELCELL"},30:{n:"GRAPHWINDOW"},31:{n:"CPA"},32:{n:"LPLAUTO"},33:{n:"QUERY"},34:{n:"HIDDENSHEET"},35:{n:"??"},37:{n:"NUMBER25",f:function(e,t){var n=f(e),r=e.read_shift(4);return n[1].v=r>>6,n}},38:{n:"??"},39:{n:"NUMBER27",f:g},40:{n:"FORMULA28",f:function(e,t){var n=g(e);return e.l+=t-12,n}},142:{n:"??"},147:{n:"??"},150:{n:"??"},151:{n:"??"},152:{n:"??"},153:{n:"??"},154:{n:"??"},155:{n:"??"},156:{n:"??"},163:{n:"??"},174:{n:"??"},175:{n:"??"},176:{n:"??"},177:{n:"??"},184:{n:"??"},185:{n:"??"},186:{n:"??"},187:{n:"??"},188:{n:"??"},195:{n:"??"},201:{n:"??"},204:{n:"SHEETNAMECS",f:v},205:{n:"??"},206:{n:"??"},207:{n:"??"},208:{n:"??"},256:{n:"??"},259:{n:"??"},260:{n:"??"},261:{n:"??"},262:{n:"??"},263:{n:"??"},265:{n:"??"},266:{n:"??"},267:{n:"??"},268:{n:"??"},270:{n:"??"},271:{n:"??"},384:{n:"??"},389:{n:"??"},390:{n:"??"},393:{n:"??"},396:{n:"??"},512:{n:"??"},514:{n:"??"},513:{n:"??"},516:{n:"??"},517:{n:"??"},640:{n:"??"},641:{n:"??"},642:{n:"??"},643:{n:"??"},644:{n:"??"},645:{n:"??"},646:{n:"??"},647:{n:"??"},648:{n:"??"},658:{n:"??"},659:{n:"??"},660:{n:"??"},661:{n:"??"},662:{n:"??"},665:{n:"??"},666:{n:"??"},768:{n:"??"},772:{n:"??"},1537:{n:"SHEETINFOQP",f:function(e,t,n){if(n.qpro&&!(t<21)){var r=e.read_shift(1);return e.l+=17,e.l+=1,e.l+=2,[r,e.read_shift(t-21,"cstr")]}}},1600:{n:"??"},1602:{n:"??"},1793:{n:"??"},1794:{n:"??"},1795:{n:"??"},1796:{n:"??"},1920:{n:"??"},2048:{n:"??"},2049:{n:"??"},2052:{n:"??"},2688:{n:"??"},10998:{n:"??"},12849:{n:"??"},28233:{n:"??"},28484:{n:"??"},65535:{n:""}},A={5:"dd-mmm-yy",6:"dd-mmm",7:"mmm-yy",8:"mm/dd/yy",10:"hh:mm:ss AM/PM",11:"hh:mm AM/PM",14:"dd-mmm-yyyy",15:"mmm-yyyy",34:"0.00",50:"0.00;[Red]0.00",66:"0.00;(0.00)",82:"0.00;[Red](0.00)",162:'"$"#,##0.00;\\("$"#,##0.00\\)',288:"0%",304:"0E+00",320:"# ?/?"};function S(e){var t=e.read_shift(2),n=e.read_shift(1);if(0!=n)throw"unsupported QPW string type "+n.toString(16);return e.read_shift(t,"sbcs-cont")}return{sheet_to_wk1:function(e,t){var n=t||{};if(+n.codepage>=0&&d(+n.codepage),"string"==n.type)throw new Error("Cannot write WK1 to JS string");var r=Jn();if(!e["!ref"])throw new Error("Cannot export empty sheet to WK1");var i,l=pr(e["!ref"]),c=null!=e["!data"],u=[];wc(r,0,(1030,(i=Kn(2)).write_shift(2,1030),i)),wc(r,6,function(e){var t=Kn(8);return t.write_shift(2,e.s.c),t.write_shift(2,e.s.r),t.write_shift(2,e.e.c),t.write_shift(2,e.e.r),t}(l));for(var f=Math.min(l.e.r,8191),p=l.s.c;p<=l.e.c;++p)u[p]=or(p);for(var h=l.s.r;h<=f;++h){var m=ir(h);for(p=l.s.c;p<=l.e.c;++p){var g=c?(e["!data"][h]||[])[p]:e[u[p]+m];if(g&&"z"!=g.t)switch(g.t){case"n":(0|g.v)==g.v&&g.v>=-32768&&g.v<=32767?wc(r,13,o(h,p,g)):wc(r,14,s(h,p,g));break;case"d":var v=Ue(g.v);(0|v)==v&&v>=-32768&&v<=32767?wc(r,13,o(h,p,{t:"n",v:v,z:g.z||W[14]})):wc(r,14,s(h,p,{t:"n",v:v,z:g.z||W[14]}));break;default:wc(r,15,a(h,p,hr(g).slice(0,239)))}}}return wc(r,1),r.end()},book_to_wk3:function(e,t){var n=t||{};if(+n.codepage>=0&&d(+n.codepage),"string"==n.type)throw new Error("Cannot write WK3 to JS string");var r=Jn();wc(r,0,function(e){var t=Kn(26);t.write_shift(2,4096),t.write_shift(2,4),t.write_shift(4,0);for(var n=0,r=0,i=0,a=0;a<e.SheetNames.length;++a){var o=e.SheetNames[a],s=e.Sheets[o];if(s&&s["!ref"]){++i;var l=cr(s["!ref"]);n<l.e.r&&(n=l.e.r),r<l.e.c&&(r=l.e.c)}}return n>8191&&(n=8191),t.write_shift(2,n),t.write_shift(1,i),t.write_shift(1,r),t.write_shift(2,0),t.write_shift(2,0),t.write_shift(1,1),t.write_shift(1,2),t.write_shift(4,0),t.write_shift(4,0),t}(e));for(var i=0,a=0;i<e.SheetNames.length;++i)(e.Sheets[e.SheetNames[i]]||{})["!ref"]&&wc(r,27,y(e.SheetNames[i],a++));var o=0;for(i=0;i<e.SheetNames.length;++i){var s=e.Sheets[e.SheetNames[i]];if(s&&s["!ref"]){for(var l=pr(s["!ref"]),c=null!=s["!data"],u=[],f=Math.min(l.e.r,8191),h=l.s.r;h<=f;++h)for(var g=ir(h),v=l.s.c;v<=l.e.c;++v){h===l.s.r&&(u[v]=or(v));var b=u[v]+g,_=c?(s["!data"][h]||[])[v]:s[b];_&&"z"!=_.t&&("n"==_.t?wc(r,23,m(h,v,o,_.v)):wc(r,22,p(h,v,o,hr(_).slice(0,239))))}++o}}return wc(r,1),r.end()},to_workbook:function(e,t){switch(t.type){case"base64":return n(M(w(e)),t);case"binary":return n(M(e),t);case"buffer":case"array":return n(e,t)}throw"Unsupported type "+t.type}}}(),to=function(){function e(e){var t=ut(e,"t");if(!t)return{t:"s",v:""};var n={t:"s",v:Lt(t[1])},r=ut(e,"rPr");return r&&(n.s=function(e){var t={},n=e.match(Dt),r=0,i=!1;if(n)for(;r!=n.length;++r){var a=Ot(n[r]);switch(a[0].replace(/<\w*:/g,"<")){case"<condense":case"<extend":break;case"<shadow":if(!a.val)break;case"<shadow>":case"<shadow/>":t.shadow=1;break;case"</shadow>":break;case"<charset":if("1"==a.val)break;t.cp=c[parseInt(a.val,10)];break;case"<outline":if(!a.val)break;case"<outline>":case"<outline/>":t.outline=1;break;case"</outline>":break;case"<rFont":t.name=a.val;break;case"<sz":t.sz=a.val;break;case"<strike":if(!a.val)break;case"<strike>":case"<strike/>":t.strike=1;break;case"</strike>":break;case"<u":if(!a.val)break;switch(a.val){case"double":t.uval="double";break;case"singleAccounting":t.uval="single-accounting";break;case"doubleAccounting":t.uval="double-accounting"}case"<u>":case"<u/>":t.u=1;break;case"</u>":break;case"<b":if("0"==a.val)break;case"<b>":case"<b/>":t.b=1;break;case"</b>":break;case"<i":if("0"==a.val)break;case"<i>":case"<i/>":t.i=1;break;case"</i>":break;case"<color":a.rgb&&(t.color=a.rgb.slice(2,8));break;case"<color>":case"<color/>":case"</color>":break;case"<family":t.family=a.val;break;case"<family>":case"<family/>":case"</family>":break;case"<vertAlign":t.valign=a.val;break;case"<vertAlign>":case"<vertAlign/>":case"</vertAlign>":case"<scheme":case"<scheme>":case"<scheme/>":case"</scheme>":case"<extLst":case"<extLst>":case"</extLst>":break;case"<ext":i=!0;break;case"</ext>":i=!1;break;default:if(47!==a[0].charCodeAt(1)&&!i)throw new Error("Unrecognized rich format "+a[0])}}return t}(r[1])),n}var t=/<(?:\w+:)?r>/g,n=/<\/(?:\w+:)?r>/;return function(r){return r.replace(t,"").split(n).map(e).filter((function(e){return e.v}))}}(),no=function(){var e=/(\r\n|\n)/g;function t(t){var n=[[],t.v,[]];return t.v?(t.s&&function(e,t,n){var r=[];e.u&&r.push("text-decoration: underline;"),e.uval&&r.push("text-underline-style:"+e.uval+";"),e.sz&&r.push("font-size:"+e.sz+"pt;"),e.outline&&r.push("text-effect: outline;"),e.shadow&&r.push("text-shadow: auto;"),t.push('<span style="'+r.join("")+'">'),e.b&&(t.push("<b>"),n.push("</b>")),e.i&&(t.push("<i>"),n.push("</i>")),e.strike&&(t.push("<s>"),n.push("</s>"));var i=e.valign||"";"superscript"==i||"super"==i?i="sup":"subscript"==i&&(i="sub"),""!=i&&(t.push("<"+i+">"),n.push("</"+i+">")),n.push("</span>")}(t.s,n[0],n[2]),n[0].join("")+n[1].replace(e,"<br/>")+n[2].join("")):""}return function(e){return e.map(t).join("")}}(),ro=/<(?:\w+:)?t\b[^<>]*>([^<]*)<\/(?:\w+:)?t>/g,io=/<(?:\w+:)?r\b[^<>]*>/;function ao(e,t){var n=!t||t.cellHTML,r={};return e?(e.match(/^\s*<(?:\w+:)?t[^>]*>/)?(r.t=Lt(Yt(e.slice(e.indexOf(">")+1).split(/<\/(?:\w+:)?t>/)[0]||""),!0),r.r=Yt(e),n&&(r.h=zt(r.t))):e.match(io)&&(r.r=Yt(e),r.t=Lt(Yt((ft(e,"rPh").match(ro)||[]).join("").replace(Dt,"")),!0),n&&(r.h=no(to(r.r)))),r):{t:""}}var oo=/<(?:\w+:)?(?:si|sstItem)>/g,so=/<\/(?:\w+:)?(?:si|sstItem)>/,lo=/^\s|\s$|[\t\n\r]/,co=function(e,t){var n=!1;return null==t&&(n=!0,t=Kn(15+4*e.t.length)),t.write_shift(1,0),_r(e.t,t),n?t.slice(0,t.l):t};function uo(e){if(void 0!==i)return i.utils.encode(s,e);for(var t=[],n=e.split(""),r=0;r<n.length;++r)t[r]=n[r].charCodeAt(0);return t}function fo(e,t){var n={};return n.Major=e.read_shift(2),n.Minor=e.read_shift(2),t>=4&&(e.l+=t-4),n}function po(e){for(var t=e.read_shift(4),n=e.l+t-4,r={},i=e.read_shift(4),a=[];i-- >0;)a.push({t:e.read_shift(4),v:e.read_shift(0,"lpp4")});if(r.name=e.read_shift(0,"lpp4"),r.comps=a,e.l!=n)throw new Error("Bad DataSpaceMapEntry: "+e.l+" != "+n);return r}function ho(e,t){var n=e.l+t,r={};r.Flags=63&e.read_shift(4),e.l+=4,r.AlgID=e.read_shift(4);var i=!1;switch(r.AlgID){case 26126:case 26127:case 26128:i=36==r.Flags;break;case 26625:i=4==r.Flags;break;case 0:i=16==r.Flags||4==r.Flags||36==r.Flags;break;default:throw"Unrecognized encryption algorithm: "+r.AlgID}if(!i)throw new Error("Encryption Flags/AlgID mismatch");return r.AlgIDHash=e.read_shift(4),r.KeySize=e.read_shift(4),r.ProviderType=e.read_shift(4),e.l+=8,r.CSPName=e.read_shift(n-e.l>>1,"utf16le"),e.l=n,r}function mo(e,t){var n={},r=e.l+t;return e.l+=4,n.Salt=e.slice(e.l,e.l+16),e.l+=16,n.Verifier=e.slice(e.l,e.l+16),e.l+=16,e.read_shift(4),n.VerifierHash=e.slice(e.l,r),e.l=r,n}function go(e){if(36!=(63&e.read_shift(4)))throw new Error("EncryptionInfo mismatch");var t=e.read_shift(4);return{t:"Std",h:ho(e,t),v:mo(e,e.length-e.l)}}function vo(){throw new Error("File is password-protected: ECMA-376 Extensible")}function yo(e){var t=["saltSize","blockSize","keyBits","hashSize","cipherAlgorithm","cipherChaining","hashAlgorithm","saltValue"];e.l+=4;var n=e.read_shift(e.length-e.l,"utf8"),r={};return n.replace(Dt,(function(e){var n=Ot(e);switch(Nt(n[0])){case"<?xml":case"<encryption":case"</encryption>":case"</keyEncryptors>":case"</keyEncryptor>":break;case"<keyData":t.forEach((function(e){r[e]=n[e]}));break;case"<dataIntegrity":r.encryptedHmacKey=n.encryptedHmacKey,r.encryptedHmacValue=n.encryptedHmacValue;break;case"<keyEncryptors>":case"<keyEncryptors":r.encs=[];break;case"<keyEncryptor":r.uri=n.uri;break;case"<encryptedKey":r.encs.push(n);break;default:throw n[0]}})),r}function bo(e){var t,n,r=0,i=uo(e),a=i.length+1;for((t=C(a))[0]=i.length,n=1;n!=a;++n)t[n]=i[n-1];for(n=a-1;n>=0;--n)r=((16384&r?1:0)|r<<1&32767)^t[n];return 52811^r}var _o=function(){var e=[187,255,255,186,255,255,185,128,0,190,15,0,191,15,0],t=[57840,7439,52380,33984,4364,3600,61902,12606,6258,57657,54287,34041,10252,43370,20163],n=[44796,19929,39858,10053,20106,40212,10761,31585,63170,64933,60267,50935,40399,11199,17763,35526,1453,2906,5812,11624,23248,885,1770,3540,7080,14160,28320,56640,55369,41139,20807,41614,21821,43642,17621,28485,56970,44341,19019,38038,14605,29210,60195,50791,40175,10751,21502,43004,24537,18387,36774,3949,7898,15796,31592,63184,47201,24803,49606,37805,14203,28406,56812,17824,35648,1697,3394,6788,13576,27152,43601,17539,35078,557,1114,2228,4456,30388,60776,51953,34243,7079,14158,28316,14128,28256,56512,43425,17251,34502,7597,13105,26210,52420,35241,883,1766,3532,4129,8258,16516,33032,4657,9314,18628],r=function(e,t){return 255&((n=e^t)/2|128*n);var n};return function(i){for(var a,o,s,l=uo(i),c=function(e){for(var r=t[e.length-1],i=104,a=e.length-1;a>=0;--a)for(var o=e[a],s=0;7!=s;++s)64&o&&(r^=n[i]),o*=2,--i;return r}(l),u=l.length,d=C(16),f=0;16!=f;++f)d[f]=0;for(1&~u||(a=c>>8,d[u]=r(e[0],a),--u,a=255&c,o=l[l.length-1],d[u]=r(o,a));u>0;)a=c>>8,d[--u]=r(l[u],a),a=255&c,d[--u]=r(l[u],a);for(u=15,s=15-l.length;s>0;)a=c>>8,d[u]=r(e[s],a),--s,a=255&c,d[--u]=r(l[u],a),--u,--s;return d}}();function xo(e,t){var n=t||{},r={},i=n.dense;i&&(r["!data"]=[]);var a=ot(e,"\\trowd","\\row");if(!a)throw new Error("RTF missing table");var o={s:{c:0,r:0},e:{c:0,r:a.length-1}},s=[];return a.forEach((function(e,t){i&&(s=r["!data"][t]=[]);for(var a,l=/\\[\w\-]+\b/g,c=0,u=-1,d=[];null!=(a=l.exec(e));){var f=e.slice(c,l.lastIndex-a[0].length);switch(32==f.charCodeAt(0)&&(f=f.slice(1)),f.length&&d.push(f),a[0]){case"\\cell":if(++u,d.length){var p={v:d.join(""),t:"s"};"TRUE"==p.v||"FALSE"==p.v?(p.v="TRUE"==p.v,p.t="b"):isNaN(Ke(p.v))||(p.t="n",!1!==n.cellText&&(p.w=p.v),p.v=Ke(p.v)),i?s[u]=p:r[lr({r:t,c:u})]=p}d=[];break;case"\\par":d.push("\n")}c=l.lastIndex}u>o.e.c&&(o.e.c=u)})),r["!ref"]=ur(o),r}function wo(e){for(var t=0,n=1;3!=t;++t)n=256*n+(e[t]>255?255:e[t]<0?0:e[t]);return n.toString(16).toUpperCase().slice(1)}function Ao(e,t){if(0===t)return e;var n,r,i=function(e){var t=e[0]/255,n=e[1]/255,r=e[2]/255,i=Math.max(t,n,r),a=Math.min(t,n,r),o=i-a;if(0===o)return[0,0,t];var s,l=0,c=i+a;switch(s=o/(c>1?2-c:c),i){case t:l=((n-r)/o+6)%6;break;case n:l=(r-t)/o+2;break;case r:l=(t-n)/o+4}return[l/6,s,c/2]}((r=(n=e).slice("#"===n[0]?1:0).slice(0,6),[parseInt(r.slice(0,2),16),parseInt(r.slice(2,4),16),parseInt(r.slice(4,6),16)]));return i[2]=t<0?i[2]*(1+t):1-(1-i[2])*(1-t),wo(function(e){var t,n=e[0],r=e[1],i=e[2],a=2*r*(i<.5?i:1-i),o=i-a/2,s=[o,o,o],l=6*n;if(0!==r)switch(0|l){case 0:case 6:t=a*l,s[0]+=a,s[1]+=t;break;case 1:t=a*(2-l),s[0]+=t,s[1]+=a;break;case 2:t=a*(l-2),s[1]+=a,s[2]+=t;break;case 3:t=a*(4-l),s[1]+=t,s[2]+=a;break;case 4:t=a*(l-4),s[2]+=a,s[0]+=t;break;case 5:t=a*(6-l),s[2]+=t,s[0]+=a}for(var c=0;3!=c;++c)s[c]=Math.round(255*s[c]);return s}(i))}var So=6,To=15,Co=1,Eo=So;function Mo(e){return Math.floor((e+Math.round(128/Eo)/256)*Eo)}function Do(e){return Math.floor((e-5)/Eo*100+.5)/100}function Po(e){return Math.round((e*Eo+5)/Eo*256)/256}function Io(e){return Po(Do(Mo(e)))}function Oo(e){var t=Math.abs(e-Io(e)),n=Eo;if(t>.005)for(Eo=Co;Eo<To;++Eo)Math.abs(e-Io(e))<=t&&(t=Math.abs(e-Io(e)),n=Eo);Eo=n}function No(e){e.width?(e.wpx=Mo(e.width),e.wch=Do(e.wpx),e.MDW=Eo):e.wpx?(e.wch=Do(e.wpx),e.width=Po(e.wch),e.MDW=Eo):"number"==typeof e.wch&&(e.width=Po(e.wch),e.wpx=Mo(e.width),e.MDW=Eo),e.customWidth&&delete e.customWidth}var ko=96;function Ro(e){return 96*e/ko}function Lo(e){return e*ko/96}var Fo={None:"none",Solid:"solid",Gray50:"mediumGray",Gray75:"darkGray",Gray25:"lightGray",HorzStripe:"darkHorizontal",VertStripe:"darkVertical",ReverseDiagStripe:"darkDown",DiagStripe:"darkUp",DiagCross:"darkGrid",ThickDiagCross:"darkTrellis",ThinHorzStripe:"lightHorizontal",ThinVertStripe:"lightVertical",ThinReverseDiagStripe:"lightDown",ThinHorzCross:"lightGrid"},Bo=["numFmtId","fillId","fontId","borderId","xfId"],Uo=["applyAlignment","applyBorder","applyFill","applyFont","applyNumberFormat","applyProtection","pivotButton","quotePrefix"],Vo=function(){return function(e,t,n){var r,i={};return e?(e=at(st(e,"\x3c!--","--\x3e")),(r=ut(e,"numFmts"))&&function(e,t,n){t.NumberFmt=[];for(var r=Oe(W),i=0;i<r.length;++i)t.NumberFmt[r[i]]=W[r[i]];var a=e.match(Dt);if(a)for(i=0;i<a.length;++i){var o=Ot(a[i]);switch(Nt(o[0])){case"<numFmts":case"</numFmts>":case"<numFmts/>":case"<numFmts>":case"</numFmt>":break;case"<numFmt":var s=Lt(Yt(o.formatCode)),l=parseInt(o.numFmtId,10);if(t.NumberFmt[l]=s,l>0){if(l>392){for(l=392;l>60&&null!=t.NumberFmt[l];--l);t.NumberFmt[l]=s}Ce(s,l)}break;default:if(n.WTF)throw new Error("unrecognized "+o[0]+" in numFmts")}}}(r[0],i,n),(r=ut(e,"fonts"))&&function(e,t,n,r){t.Fonts=[];var i={},a=!1;(e.match(Dt)||[]).forEach((function(e){var o=Ot(e);switch(Nt(o[0])){case"<fonts":case"<fonts>":case"</fonts>":case"<font":case"<font>":case"<name/>":case"</name>":case"<sz/>":case"</sz>":case"<vertAlign/>":case"</vertAlign>":case"<family/>":case"</family>":case"<scheme/>":case"</scheme>":case"<color/>":case"</color>":case"<extLst":case"<extLst>":case"</extLst>":break;case"</font>":case"<font/>":t.Fonts.push(i),i={};break;case"<name":o.val&&(i.name=Yt(o.val));break;case"<b":i.bold=o.val?Wt(o.val):1;break;case"<b/>":i.bold=1;break;case"<i":i.italic=o.val?Wt(o.val):1;break;case"<i/>":i.italic=1;break;case"<u":switch(o.val){case"none":i.underline=0;break;case"single":i.underline=1;break;case"double":i.underline=2;break;case"singleAccounting":i.underline=33;break;case"doubleAccounting":i.underline=34}break;case"<u/>":i.underline=1;break;case"<strike":i.strike=o.val?Wt(o.val):1;break;case"<strike/>":i.strike=1;break;case"<outline":i.outline=o.val?Wt(o.val):1;break;case"<outline/>":i.outline=1;break;case"<shadow":i.shadow=o.val?Wt(o.val):1;break;case"<shadow/>":i.shadow=1;break;case"<condense":i.condense=o.val?Wt(o.val):1;break;case"<condense/>":i.condense=1;break;case"<extend":i.extend=o.val?Wt(o.val):1;break;case"<extend/>":i.extend=1;break;case"<sz":o.val&&(i.sz=+o.val);break;case"<vertAlign":o.val&&(i.vertAlign=o.val);break;case"<family":o.val&&(i.family=parseInt(o.val,10));break;case"<scheme":o.val&&(i.scheme=o.val);break;case"<charset":if("1"==o.val)break;o.codepage=c[parseInt(o.val,10)];break;case"<color":if(i.color||(i.color={}),o.auto&&(i.color.auto=Wt(o.auto)),o.rgb)i.color.rgb=o.rgb.slice(-6);else if(o.indexed){i.color.index=parseInt(o.indexed,10);var s=ti[i.color.index];81==i.color.index&&(s=ti[1]),s||(s=ti[1]),i.color.rgb=s[0].toString(16)+s[1].toString(16)+s[2].toString(16)}else o.theme&&(i.color.theme=parseInt(o.theme,10),o.tint&&(i.color.tint=parseFloat(o.tint)),o.theme&&n.themeElements&&n.themeElements.clrScheme&&(i.color.rgb=Ao(n.themeElements.clrScheme[i.color.theme].rgb,i.color.tint||0)));break;case"<AlternateContent":case"<ext":a=!0;break;case"</AlternateContent>":case"</ext>":a=!1;break;default:if(r&&r.WTF&&!a)throw new Error("unrecognized "+o[0]+" in fonts")}}))}(r[0],i,t,n),(r=ut(e,"fills"))&&function(e,t,n,r){t.Fills=[];var i={},a=!1;(e.match(Dt)||[]).forEach((function(e){var n=Ot(e);switch(Nt(n[0])){case"<fills":case"<fills>":case"</fills>":case"</fill>":case"<gradientFill>":case"<patternFill/>":case"</patternFill>":case"<bgColor/>":case"</bgColor>":case"<fgColor/>":case"</fgColor>":case"<stop":case"<stop/>":case"</stop>":case"<color":case"<color/>":case"</color>":case"<extLst":case"<extLst>":case"</extLst>":break;case"<fill>":case"<fill":case"<fill/>":i={},t.Fills.push(i);break;case"<gradientFill":case"</gradientFill>":t.Fills.push(i),i={};break;case"<patternFill":case"<patternFill>":n.patternType&&(i.patternType=n.patternType);break;case"<bgColor":i.bgColor||(i.bgColor={}),n.indexed&&(i.bgColor.indexed=parseInt(n.indexed,10)),n.theme&&(i.bgColor.theme=parseInt(n.theme,10)),n.tint&&(i.bgColor.tint=parseFloat(n.tint)),n.rgb&&(i.bgColor.rgb=n.rgb.slice(-6));break;case"<fgColor":i.fgColor||(i.fgColor={}),n.theme&&(i.fgColor.theme=parseInt(n.theme,10)),n.tint&&(i.fgColor.tint=parseFloat(n.tint)),null!=n.rgb&&(i.fgColor.rgb=n.rgb.slice(-6));break;case"<ext":a=!0;break;case"</ext>":a=!1;break;default:if(r&&r.WTF&&!a)throw new Error("unrecognized "+n[0]+" in fills")}}))}(r[0],i,0,n),(r=ut(e,"borders"))&&function(e,t,n,r){t.Borders=[];var i={},a=!1;(e.match(Dt)||[]).forEach((function(e){var n=Ot(e);switch(Nt(n[0])){case"<borders":case"<borders>":case"</borders>":case"</border>":case"<left/>":case"<left":case"<left>":case"</left>":case"<right/>":case"<right":case"<right>":case"</right>":case"<top/>":case"<top":case"<top>":case"</top>":case"<bottom/>":case"<bottom":case"<bottom>":case"</bottom>":case"<diagonal":case"<diagonal>":case"<diagonal/>":case"</diagonal>":case"<horizontal":case"<horizontal>":case"<horizontal/>":case"</horizontal>":case"<vertical":case"<vertical>":case"<vertical/>":case"</vertical>":case"<start":case"<start>":case"<start/>":case"</start>":case"<end":case"<end>":case"<end/>":case"</end>":case"<color":case"<color>":case"<color/>":case"</color>":case"<extLst":case"<extLst>":case"</extLst>":break;case"<border":case"<border>":case"<border/>":i={},n.diagonalUp&&(i.diagonalUp=Wt(n.diagonalUp)),n.diagonalDown&&(i.diagonalDown=Wt(n.diagonalDown)),t.Borders.push(i);break;case"<ext":a=!0;break;case"</ext>":a=!1;break;default:if(r&&r.WTF&&!a)throw new Error("unrecognized "+n[0]+" in borders")}}))}(r[0],i,0,n),(r=ut(e,"cellXfs"))&&function(e,t,n){var r;t.CellXf=[];var i=!1;(e.match(Dt)||[]).forEach((function(e){var a=Ot(e),o=0;switch(Nt(a[0])){case"<cellXfs":case"<cellXfs>":case"<cellXfs/>":case"</cellXfs>":case"</xf>":case"</alignment>":case"<protection":case"<protection>":case"</protection>":case"<protection/>":case"<extLst":case"<extLst>":case"</extLst>":break;case"<xf":case"<xf/>":case"<xf>":for(delete(r=a)[0],o=0;o<Bo.length;++o)r[Bo[o]]&&(r[Bo[o]]=parseInt(r[Bo[o]],10));for(o=0;o<Uo.length;++o)r[Uo[o]]&&(r[Uo[o]]=Wt(r[Uo[o]]));if(t.NumberFmt&&r.numFmtId>392)for(o=392;o>60;--o)if(t.NumberFmt[r.numFmtId]==t.NumberFmt[o]){r.numFmtId=o;break}t.CellXf.push(r);break;case"<alignment":case"<alignment/>":case"<alignment>":var s={};a.vertical&&(s.vertical=a.vertical),a.horizontal&&(s.horizontal=a.horizontal),null!=a.textRotation&&(s.textRotation=a.textRotation),a.indent&&(s.indent=a.indent),a.wrapText&&(s.wrapText=Wt(a.wrapText)),r.alignment=s;break;case"<AlternateContent":case"<AlternateContent>":case"<ext":i=!0;break;case"</AlternateContent>":case"</ext>":i=!1;break;default:if(n&&n.WTF&&!i)throw new Error("unrecognized "+a[0]+" in cellXfs")}}))}(r[0],i,n),i):i}}();function Go(e,t,n){n||(n=Kn(6+4*t.length)),n.write_shift(2,e),_r(t,n);var r=n.length>n.l?n.slice(0,n.l):n;return null==n.l&&(n.l=n.length),r}var zo,jo=["none","solid","mediumGray","darkGray","lightGray","darkHorizontal","darkVertical","darkDown","darkUp","darkGrid","darkTrellis","lightHorizontal","lightVertical","lightDown","lightUp","lightGrid","lightTrellis","gray125","gray0625"],Wo=qn;function Ho(e,t){t||(t=Kn(84)),zo||(zo=ke(jo));var n=zo[e.patternType];null==n&&(n=40),t.write_shift(4,n);var r=0;if(40!=n)for(zr({auto:1},t),zr({auto:1},t);r<12;++r)t.write_shift(4,0);else{for(;r<4;++r)t.write_shift(4,0);for(;r<12;++r)t.write_shift(4,0)}return t.length>t.l?t.slice(0,t.l):t}function $o(e,t,n){return n||(n=Kn(16)),n.write_shift(2,t||0),n.write_shift(2,e.numFmtId||0),n.write_shift(2,0),n.write_shift(2,0),n.write_shift(2,0),n.write_shift(1,0),n.write_shift(1,0),n.write_shift(1,0),n.write_shift(1,0),n.write_shift(1,0),n.write_shift(1,0),n}function Xo(e,t){return t||(t=Kn(10)),t.write_shift(1,0),t.write_shift(1,0),t.write_shift(4,0),t.write_shift(4,0),t}var qo=qn;function Ko(e,t){var n=Jn();return Zn(n,278),function(e,t){if(t){var n=0;[[5,8],[23,26],[41,44],[50,392]].forEach((function(e){for(var r=e[0];r<=e[1];++r)null!=t[r]&&++n})),0!=n&&(Zn(e,615,yr(n)),[[5,8],[23,26],[41,44],[50,392]].forEach((function(n){for(var r=n[0];r<=n[1];++r)null!=t[r]&&Zn(e,44,Go(r,t[r]))})),Zn(e,616))}}(n,e.SSF),function(e){Zn(e,611,yr(1)),Zn(e,43,function(e,t){t||(t=Kn(153)),t.write_shift(2,20*e.sz),function(e,t){t||(t=Kn(2));var n=(e.italic?2:0)|(e.strike?8:0)|(e.outline?16:0)|(e.shadow?32:0)|(e.condense?64:0)|(e.extend?128:0);t.write_shift(1,n),t.write_shift(1,0)}(e,t),t.write_shift(2,e.bold?700:400);var n=0;"superscript"==e.vertAlign?n=1:"subscript"==e.vertAlign&&(n=2),t.write_shift(2,n),t.write_shift(1,e.underline||0),t.write_shift(1,e.family||0),t.write_shift(1,e.charset||0),t.write_shift(1,0),zr(e.color,t);var r=0;return"major"==e.scheme&&(r=1),"minor"==e.scheme&&(r=2),t.write_shift(1,r),_r(e.name,t),t.length>t.l?t.slice(0,t.l):t}({sz:12,color:{theme:1},name:"Calibri",family:2,scheme:"minor"})),Zn(e,612)}(n),function(e){Zn(e,603,yr(2)),Zn(e,45,Ho({patternType:"none"})),Zn(e,45,Ho({patternType:"gray125"})),Zn(e,604)}(n),function(e){var t;Zn(e,613,yr(1)),Zn(e,46,(t||(t=Kn(51)),t.write_shift(1,0),Xo(0,t),Xo(0,t),Xo(0,t),Xo(0,t),Xo(0,t),t.length>t.l?t.slice(0,t.l):t)),Zn(e,614)}(n),function(e){Zn(e,626,yr(1)),Zn(e,47,$o({numFmtId:0,fontId:0,fillId:0,borderId:0},65535)),Zn(e,627)}(n),function(e,t){Zn(e,617,yr(t.length)),t.forEach((function(t){Zn(e,47,$o(t,0))})),Zn(e,618)}(n,t.cellXfs),function(e){Zn(e,619,yr(1)),Zn(e,48,function(e,t){return t||(t=Kn(52)),t.write_shift(4,e.xfId),t.write_shift(2,1),t.write_shift(1,+e.builtinId),t.write_shift(1,0),Ir(e.name||"",t),t.length>t.l?t.slice(0,t.l):t}({xfId:0,builtinId:0,name:"Normal"})),Zn(e,620)}(n),function(e){Zn(e,505,yr(0)),Zn(e,506)}(n),function(e){var t;Zn(e,508,((t=Kn(2052)).write_shift(4,0),Ir("TableStyleMedium9",t),Ir("PivotStyleMedium4",t),t.length>t.l?t.slice(0,t.l):t)),Zn(e,509)}(n),Zn(n,279),n.end()}var Yo=["</a:lt1>","</a:dk1>","</a:lt2>","</a:dk2>","</a:accent1>","</a:accent2>","</a:accent3>","</a:accent4>","</a:accent5>","</a:accent6>","</a:hlink>","</a:folHlink>"];function Jo(e,t){var n;e&&0!==e.length||(e=Zo());var r={};if(!(n=ct(e,"a:themeElements")))throw new Error("themeElements not found in theme");return function(e,t,n){var r;if(t.themeElements={},!(r=ct(e,"a:clrScheme")))throw new Error("clrScheme not found in themeElements");if(function(e,t,n){t.themeElements.clrScheme=[];var r={};(e[0].match(Dt)||[]).forEach((function(e){var i=Ot(e);switch(i[0]){case"<a:clrScheme":case"</a:clrScheme>":case"</a:srgbClr>":case"</a:sysClr>":break;case"<a:srgbClr":r.rgb=i.val;break;case"<a:sysClr":r.rgb=i.lastClr;break;case"</a:dk1>":case"</a:lt1>":case"<a:dk1>":case"<a:lt1>":case"<a:dk2>":case"</a:dk2>":case"<a:lt2>":case"</a:lt2>":case"<a:accent1>":case"</a:accent1>":case"<a:accent2>":case"</a:accent2>":case"<a:accent3>":case"</a:accent3>":case"<a:accent4>":case"</a:accent4>":case"<a:accent5>":case"</a:accent5>":case"<a:accent6>":case"</a:accent6>":case"<a:hlink>":case"</a:hlink>":case"<a:folHlink>":case"</a:folHlink>":"/"===i[0].charAt(1)?(t.themeElements.clrScheme[Yo.indexOf(i[0])]=r,r={}):r.name=i[0].slice(3,i[0].length-1);break;default:if(n&&n.WTF)throw new Error("Unrecognized "+i[0]+" in clrScheme")}}))}(r,t,n),!(r=ct(e,"a:fontScheme")))throw new Error("fontScheme not found in themeElements");if(!(r=ct(e,"a:fmtScheme")))throw new Error("fmtScheme not found in themeElements")}(n[0],r,t),r.raw=e,r}function Zo(e,t){if(t&&t.themeXLSX)return t.themeXLSX;if(e&&"string"==typeof e.raw)return e.raw;var n=[Ct];return n[n.length]='<a:theme xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" name="Office Theme">',n[n.length]="<a:themeElements>",n[n.length]='<a:clrScheme name="Office">',n[n.length]='<a:dk1><a:sysClr val="windowText" lastClr="000000"/></a:dk1>',n[n.length]='<a:lt1><a:sysClr val="window" lastClr="FFFFFF"/></a:lt1>',n[n.length]='<a:dk2><a:srgbClr val="1F497D"/></a:dk2>',n[n.length]='<a:lt2><a:srgbClr val="EEECE1"/></a:lt2>',n[n.length]='<a:accent1><a:srgbClr val="4F81BD"/></a:accent1>',n[n.length]='<a:accent2><a:srgbClr val="C0504D"/></a:accent2>',n[n.length]='<a:accent3><a:srgbClr val="9BBB59"/></a:accent3>',n[n.length]='<a:accent4><a:srgbClr val="8064A2"/></a:accent4>',n[n.length]='<a:accent5><a:srgbClr val="4BACC6"/></a:accent5>',n[n.length]='<a:accent6><a:srgbClr val="F79646"/></a:accent6>',n[n.length]='<a:hlink><a:srgbClr val="0000FF"/></a:hlink>',n[n.length]='<a:folHlink><a:srgbClr val="800080"/></a:folHlink>',n[n.length]="</a:clrScheme>",n[n.length]='<a:fontScheme name="Office">',n[n.length]="<a:majorFont>",n[n.length]='<a:latin typeface="Cambria"/>',n[n.length]='<a:ea typeface=""/>',n[n.length]='<a:cs typeface=""/>',n[n.length]='<a:font script="Jpan" typeface="ＭＳ Ｐゴシック"/>',n[n.length]='<a:font script="Hang" typeface="맑은 고딕"/>',n[n.length]='<a:font script="Hans" typeface="宋体"/>',n[n.length]='<a:font script="Hant" typeface="新細明體"/>',n[n.length]='<a:font script="Arab" typeface="Times New Roman"/>',n[n.length]='<a:font script="Hebr" typeface="Times New Roman"/>',n[n.length]='<a:font script="Thai" typeface="Tahoma"/>',n[n.length]='<a:font script="Ethi" typeface="Nyala"/>',n[n.length]='<a:font script="Beng" typeface="Vrinda"/>',n[n.length]='<a:font script="Gujr" typeface="Shruti"/>',n[n.length]='<a:font script="Khmr" typeface="MoolBoran"/>',n[n.length]='<a:font script="Knda" typeface="Tunga"/>',n[n.length]='<a:font script="Guru" typeface="Raavi"/>',n[n.length]='<a:font script="Cans" typeface="Euphemia"/>',n[n.length]='<a:font script="Cher" typeface="Plantagenet Cherokee"/>',n[n.length]='<a:font script="Yiii" typeface="Microsoft Yi Baiti"/>',n[n.length]='<a:font script="Tibt" typeface="Microsoft Himalaya"/>',n[n.length]='<a:font script="Thaa" typeface="MV Boli"/>',n[n.length]='<a:font script="Deva" typeface="Mangal"/>',n[n.length]='<a:font script="Telu" typeface="Gautami"/>',n[n.length]='<a:font script="Taml" typeface="Latha"/>',n[n.length]='<a:font script="Syrc" typeface="Estrangelo Edessa"/>',n[n.length]='<a:font script="Orya" typeface="Kalinga"/>',n[n.length]='<a:font script="Mlym" typeface="Kartika"/>',n[n.length]='<a:font script="Laoo" typeface="DokChampa"/>',n[n.length]='<a:font script="Sinh" typeface="Iskoola Pota"/>',n[n.length]='<a:font script="Mong" typeface="Mongolian Baiti"/>',n[n.length]='<a:font script="Viet" typeface="Times New Roman"/>',n[n.length]='<a:font script="Uigh" typeface="Microsoft Uighur"/>',n[n.length]='<a:font script="Geor" typeface="Sylfaen"/>',n[n.length]="</a:majorFont>",n[n.length]="<a:minorFont>",n[n.length]='<a:latin typeface="Calibri"/>',n[n.length]='<a:ea typeface=""/>',n[n.length]='<a:cs typeface=""/>',n[n.length]='<a:font script="Jpan" typeface="ＭＳ Ｐゴシック"/>',n[n.length]='<a:font script="Hang" typeface="맑은 고딕"/>',n[n.length]='<a:font script="Hans" typeface="宋体"/>',n[n.length]='<a:font script="Hant" typeface="新細明體"/>',n[n.length]='<a:font script="Arab" typeface="Arial"/>',n[n.length]='<a:font script="Hebr" typeface="Arial"/>',n[n.length]='<a:font script="Thai" typeface="Tahoma"/>',n[n.length]='<a:font script="Ethi" typeface="Nyala"/>',n[n.length]='<a:font script="Beng" typeface="Vrinda"/>',n[n.length]='<a:font script="Gujr" typeface="Shruti"/>',n[n.length]='<a:font script="Khmr" typeface="DaunPenh"/>',n[n.length]='<a:font script="Knda" typeface="Tunga"/>',n[n.length]='<a:font script="Guru" typeface="Raavi"/>',n[n.length]='<a:font script="Cans" typeface="Euphemia"/>',n[n.length]='<a:font script="Cher" typeface="Plantagenet Cherokee"/>',n[n.length]='<a:font script="Yiii" typeface="Microsoft Yi Baiti"/>',n[n.length]='<a:font script="Tibt" typeface="Microsoft Himalaya"/>',n[n.length]='<a:font script="Thaa" typeface="MV Boli"/>',n[n.length]='<a:font script="Deva" typeface="Mangal"/>',n[n.length]='<a:font script="Telu" typeface="Gautami"/>',n[n.length]='<a:font script="Taml" typeface="Latha"/>',n[n.length]='<a:font script="Syrc" typeface="Estrangelo Edessa"/>',n[n.length]='<a:font script="Orya" typeface="Kalinga"/>',n[n.length]='<a:font script="Mlym" typeface="Kartika"/>',n[n.length]='<a:font script="Laoo" typeface="DokChampa"/>',n[n.length]='<a:font script="Sinh" typeface="Iskoola Pota"/>',n[n.length]='<a:font script="Mong" typeface="Mongolian Baiti"/>',n[n.length]='<a:font script="Viet" typeface="Arial"/>',n[n.length]='<a:font script="Uigh" typeface="Microsoft Uighur"/>',n[n.length]='<a:font script="Geor" typeface="Sylfaen"/>',n[n.length]="</a:minorFont>",n[n.length]="</a:fontScheme>",n[n.length]='<a:fmtScheme name="Office">',n[n.length]="<a:fillStyleLst>",n[n.length]='<a:solidFill><a:schemeClr val="phClr"/></a:solidFill>',n[n.length]='<a:gradFill rotWithShape="1">',n[n.length]="<a:gsLst>",n[n.length]='<a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="50000"/><a:satMod val="300000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="35000"><a:schemeClr val="phClr"><a:tint val="37000"/><a:satMod val="300000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="100000"><a:schemeClr val="phClr"><a:tint val="15000"/><a:satMod val="350000"/></a:schemeClr></a:gs>',n[n.length]="</a:gsLst>",n[n.length]='<a:lin ang="16200000" scaled="1"/>',n[n.length]="</a:gradFill>",n[n.length]='<a:gradFill rotWithShape="1">',n[n.length]="<a:gsLst>",n[n.length]='<a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="100000"/><a:shade val="100000"/><a:satMod val="130000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="100000"><a:schemeClr val="phClr"><a:tint val="50000"/><a:shade val="100000"/><a:satMod val="350000"/></a:schemeClr></a:gs>',n[n.length]="</a:gsLst>",n[n.length]='<a:lin ang="16200000" scaled="0"/>',n[n.length]="</a:gradFill>",n[n.length]="</a:fillStyleLst>",n[n.length]="<a:lnStyleLst>",n[n.length]='<a:ln w="9525" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"><a:shade val="95000"/><a:satMod val="105000"/></a:schemeClr></a:solidFill><a:prstDash val="solid"/></a:ln>',n[n.length]='<a:ln w="25400" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/></a:ln>',n[n.length]='<a:ln w="38100" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/></a:ln>',n[n.length]="</a:lnStyleLst>",n[n.length]="<a:effectStyleLst>",n[n.length]="<a:effectStyle>",n[n.length]="<a:effectLst>",n[n.length]='<a:outerShdw blurRad="40000" dist="20000" dir="5400000" rotWithShape="0"><a:srgbClr val="000000"><a:alpha val="38000"/></a:srgbClr></a:outerShdw>',n[n.length]="</a:effectLst>",n[n.length]="</a:effectStyle>",n[n.length]="<a:effectStyle>",n[n.length]="<a:effectLst>",n[n.length]='<a:outerShdw blurRad="40000" dist="23000" dir="5400000" rotWithShape="0"><a:srgbClr val="000000"><a:alpha val="35000"/></a:srgbClr></a:outerShdw>',n[n.length]="</a:effectLst>",n[n.length]="</a:effectStyle>",n[n.length]="<a:effectStyle>",n[n.length]="<a:effectLst>",n[n.length]='<a:outerShdw blurRad="40000" dist="23000" dir="5400000" rotWithShape="0"><a:srgbClr val="000000"><a:alpha val="35000"/></a:srgbClr></a:outerShdw>',n[n.length]="</a:effectLst>",n[n.length]='<a:scene3d><a:camera prst="orthographicFront"><a:rot lat="0" lon="0" rev="0"/></a:camera><a:lightRig rig="threePt" dir="t"><a:rot lat="0" lon="0" rev="1200000"/></a:lightRig></a:scene3d>',n[n.length]='<a:sp3d><a:bevelT w="63500" h="25400"/></a:sp3d>',n[n.length]="</a:effectStyle>",n[n.length]="</a:effectStyleLst>",n[n.length]="<a:bgFillStyleLst>",n[n.length]='<a:solidFill><a:schemeClr val="phClr"/></a:solidFill>',n[n.length]='<a:gradFill rotWithShape="1">',n[n.length]="<a:gsLst>",n[n.length]='<a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="40000"/><a:satMod val="350000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="40000"><a:schemeClr val="phClr"><a:tint val="45000"/><a:shade val="99000"/><a:satMod val="350000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="100000"><a:schemeClr val="phClr"><a:shade val="20000"/><a:satMod val="255000"/></a:schemeClr></a:gs>',n[n.length]="</a:gsLst>",n[n.length]='<a:path path="circle"><a:fillToRect l="50000" t="-80000" r="50000" b="180000"/></a:path>',n[n.length]="</a:gradFill>",n[n.length]='<a:gradFill rotWithShape="1">',n[n.length]="<a:gsLst>",n[n.length]='<a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="80000"/><a:satMod val="300000"/></a:schemeClr></a:gs>',n[n.length]='<a:gs pos="100000"><a:schemeClr val="phClr"><a:shade val="30000"/><a:satMod val="200000"/></a:schemeClr></a:gs>',n[n.length]="</a:gsLst>",n[n.length]='<a:path path="circle"><a:fillToRect l="50000" t="50000" r="50000" b="50000"/></a:path>',n[n.length]="</a:gradFill>",n[n.length]="</a:bgFillStyleLst>",n[n.length]="</a:fmtScheme>",n[n.length]="</a:themeElements>",n[n.length]="<a:objectDefaults>",n[n.length]="<a:spDef>",n[n.length]='<a:spPr/><a:bodyPr/><a:lstStyle/><a:style><a:lnRef idx="1"><a:schemeClr val="accent1"/></a:lnRef><a:fillRef idx="3"><a:schemeClr val="accent1"/></a:fillRef><a:effectRef idx="2"><a:schemeClr val="accent1"/></a:effectRef><a:fontRef idx="minor"><a:schemeClr val="lt1"/></a:fontRef></a:style>',n[n.length]="</a:spDef>",n[n.length]="<a:lnDef>",n[n.length]='<a:spPr/><a:bodyPr/><a:lstStyle/><a:style><a:lnRef idx="2"><a:schemeClr val="accent1"/></a:lnRef><a:fillRef idx="0"><a:schemeClr val="accent1"/></a:fillRef><a:effectRef idx="1"><a:schemeClr val="accent1"/></a:effectRef><a:fontRef idx="minor"><a:schemeClr val="tx1"/></a:fontRef></a:style>',n[n.length]="</a:lnDef>",n[n.length]="</a:objectDefaults>",n[n.length]="<a:extraClrSchemeLst/>",n[n.length]="</a:theme>",n.join("")}function Qo(e){var t=e.read_shift(2),n=e.read_shift(2)-4,r=[t];switch(t){case 4:case 5:case 7:case 8:case 9:case 10:case 11:case 13:r[1]=function(e){var t={};switch(t.xclrType=e.read_shift(2),t.nTintShade=e.read_shift(2),t.xclrType){case 0:case 4:e.l+=4;break;case 1:t.xclrValue=function(e,t){return qn(e,4)}(e);break;case 2:t.xclrValue=ca(e);break;case 3:t.xclrValue=function(e){return e.read_shift(4)}(e)}return e.l+=8,t}(e);break;case 6:r[1]=function(e,t){return qn(e,t)}(e,n);break;case 14:case 15:r[1]=e.read_shift(1===n?1:2);break;default:throw new Error("Unrecognized ExtProp type: "+t+" "+n)}return r}function es(e,t,n){var r=[21600,21600],i=["m0,0l0",r[1],r[0],r[1],r[0],"0xe"].join(","),a=[on("xml",null,{"xmlns:v":fn.v,"xmlns:o":fn.o,"xmlns:x":fn.x,"xmlns:mv":fn.mv}).replace(/\/>/,">"),on("o:shapelayout",on("o:idmap",null,{"v:ext":"edit",data:e}),{"v:ext":"edit"})],o=65536*e,s=t||[];return s.length>0&&a.push(on("v:shapetype",[on("v:stroke",null,{joinstyle:"miter"}),on("v:path",null,{gradientshapeok:"t","o:connecttype":"rect"})].join(""),{id:"_x0000_t202",coordsize:r.join(","),"o:spt":202,path:i})),s.forEach((function(e){++o,a.push(function(e,t,n){var r=sr(e[0]),i={color2:"#BEFF82",type:"gradient"};"gradient"==i.type&&(i.angle="-180");var a="gradient"==i.type?on("o:fill",null,{type:"gradientUnscaled","v:ext":"view"}):null,o=on("v:fill",a,i);return["<v:shape"+an({id:"_x0000_s"+t,type:"#_x0000_t202",style:"position:absolute; margin-left:80pt;margin-top:5pt;width:104pt;height:64pt;z-index:10"+(e[1].hidden?";visibility:hidden":""),fillcolor:"#ECFAD4",strokecolor:"#edeaa1"})+">",o,on("v:shadow",null,{on:"t",obscured:"t"}),on("v:path",null,{"o:connecttype":"none"}),'<v:textbox><div style="text-align:left"></div></v:textbox>','<x:ClientData ObjectType="Note">',"<x:MoveWithCells/>","<x:SizeWithCells/>",rn("x:Anchor",[r.c+1,0,r.r+1,0,r.c+3,20,r.r+5,20].join(",")),rn("x:AutoFill","False"),rn("x:Row",String(r.r)),rn("x:Column",String(r.c)),e[1].hidden?"":"<x:Visible/>","</x:ClientData>","</v:shape>"].join("")}(e,o))})),a.push("</xml>"),a.join("")}function ts(e,t,n,r){var i,a=null!=e["!data"];t.forEach((function(t){var o=sr(t.ref);if(!(o.r<0||o.c<0)){if(a?(e["!data"][o.r]||(e["!data"][o.r]=[]),i=e["!data"][o.r][o.c]):i=e[t.ref],!i){i={t:"z"},a?e["!data"][o.r][o.c]=i:e[t.ref]=i;var s=pr(e["!ref"]||"BDWGO1000001:A1");s.s.r>o.r&&(s.s.r=o.r),s.e.r<o.r&&(s.e.r=o.r),s.s.c>o.c&&(s.s.c=o.c),s.e.c<o.c&&(s.e.c=o.c);var l=ur(s);e["!ref"]=l}i.c||(i.c=[]);var c={a:t.author,t:t.t,r:t.r,T:n};t.h&&(c.h=t.h);for(var u=i.c.length-1;u>=0;--u){if(!n&&i.c[u].T)return;n&&!i.c[u].T&&i.c.splice(u,1)}if(n&&r)for(u=0;u<r.length;++u)if(c.a==r[u].id){c.a=r[u].name||c.a;break}i.c.push(c)}}))}function ns(e){var t=[Ct,on("comments",null,{xmlns:dn[0]})],n=[];return t.push("<authors>"),e.forEach((function(e){e[1].forEach((function(e){var r=Ut(e.a);-1==n.indexOf(r)&&(n.push(r),t.push("<author>"+r+"</author>")),e.T&&e.ID&&-1==n.indexOf("tc="+e.ID)&&(n.push("tc="+e.ID),t.push("<author>tc="+e.ID+"</author>"))}))})),0==n.length&&(n.push("SheetJ5"),t.push("<author>SheetJ5</author>")),t.push("</authors>"),t.push("<commentList>"),e.forEach((function(e){var r=0,i=[],a=0;if(e[1][0]&&e[1][0].T&&e[1][0].ID&&(r=n.indexOf("tc="+e[1][0].ID)),e[1].forEach((function(e){e.a&&(r=n.indexOf(Ut(e.a))),e.T&&++a,i.push(null==e.t?"":Ut(e.t))})),0===a)e[1].forEach((function(r){t.push('<comment ref="'+e[0]+'" authorId="'+n.indexOf(Ut(r.a))+'"><text>'),t.push(rn("t",null==r.t?"":Ut(r.t))),t.push("</text></comment>")}));else{e[1][0]&&e[1][0].T&&e[1][0].ID&&(r=n.indexOf("tc="+e[1][0].ID)),t.push('<comment ref="'+e[0]+'" authorId="'+r+'"><text>');for(var o="Comment:\n    "+i[0]+"\n",s=1;s<i.length;++s)o+="Reply:\n    "+i[s]+"\n";t.push(rn("t",Ut(o))),t.push("</text></comment>")}})),t.push("</commentList>"),t.length>2&&(t[t.length]="</comments>",t[1]=t[1].replace("/>",">")),t.join("")}function rs(e,t,n){var r=[Ct,on("ThreadedComments",null,{xmlns:un.TCMNT}).replace(/[\/]>/,">")];return e.forEach((function(e){var i="";(e[1]||[]).forEach((function(a,o){if(a.T){a.a&&-1==t.indexOf(a.a)&&t.push(a.a);var s={ref:e[0],id:"{54EE7951-7262-4200-6969-"+("000000000000"+n.tcid++).slice(-12)+"}"};0==o?i=s.id:s.parentId=i,a.ID=s.id,a.a&&(s.personId="{54EE7950-7262-4200-6969-"+("000000000000"+t.indexOf(a.a)).slice(-12)+"}"),r.push(on("threadedComment",rn("text",a.t||""),s))}else delete a.ID}))})),r.push("</ThreadedComments>"),r.join("")}function is(e){var t=[Ct,on("personList",null,{xmlns:un.TCMNT,"xmlns:x":dn[0]}).replace(/[\/]>/,">")];return e.forEach((function(e,n){t.push(on("person",null,{displayName:e,id:"{54EE7950-7262-4200-6969-"+("000000000000"+n).slice(-12)+"}",userId:e,providerId:"None"}))})),t.push("</personList>"),t.join("")}var as=br;function os(e){return _r(e.slice(0,54))}function ss(e){var t=Jn(),n=[];return Zn(t,628),Zn(t,630),e.forEach((function(e){e[1].forEach((function(e){n.indexOf(e.a)>-1||(n.push(e.a.slice(0,54)),Zn(t,632,os(e.a)),e.T&&e.ID&&-1==n.indexOf("tc="+e.ID)&&(n.push("tc="+e.ID),Zn(t,632,os("tc="+e.ID))))}))})),Zn(t,631),Zn(t,633),e.forEach((function(e){e[1].forEach((function(r){var i=-1;r.ID&&(i=n.indexOf("tc="+r.ID)),-1==i&&e[1][0].T&&e[1][0].ID&&(i=n.indexOf("tc="+e[1][0].ID)),-1==i&&(i=n.indexOf(r.a)),r.iauthor=i;var a={s:sr(e[0]),e:sr(e[0])};Zn(t,635,function(e,t){return null==t&&(t=Kn(36)),t.write_shift(4,e[1].iauthor),Ur(e[0],t),t.write_shift(4,0),t.write_shift(4,0),t.write_shift(4,0),t.write_shift(4,0),t}([a,r])),r.t&&r.t.length>0&&Zn(t,637,function(e,t){var n=!1;return null==t&&(n=!0,t=Kn(23+4*e.t.length)),t.write_shift(1,1),_r(e.t,t),t.write_shift(4,1),function(e,t){t||(t=Kn(4)),t.write_shift(2,e.ich||0),t.write_shift(2,e.ifnt||0)}({ich:0,ifnt:0},t),n?t.slice(0,t.l):t}(r)),Zn(t,636),delete r.iauthor}))})),Zn(t,634),Zn(t,629),t.end()}var ls="application/vnd.ms-office.vbaProject",cs=["xlsb","xlsm","xlam","biff8","xla"],us=function(){var e=/(^|[^A-Za-z_])R(\[?-?\d+\]|[1-9]\d*|)C(\[?-?\d+\]|[1-9]\d*|)(?![A-Za-z0-9_])/g,t={r:0,c:0};function n(e,n,r,i){var a=!1,o=!1;0==r.length?o=!0:"["==r.charAt(0)&&(o=!0,r=r.slice(1,-1)),0==i.length?a=!0:"["==i.charAt(0)&&(a=!0,i=i.slice(1,-1));var s=r.length>0?0|parseInt(r,10):0,l=i.length>0?0|parseInt(i,10):0;return a?l+=t.c:--l,o?s+=t.r:--s,n+(a?"":"$")+or(l)+(o?"":"$")+ir(s)}return function(r,i){return t=i,r.replace(e,n)}}(),ds=/(^|[^._A-Z0-9])(\$?)([A-Z]{1,2}|[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D])(\$?)(\d{1,7})(?![_.\(A-Za-z0-9])/g;try{ds=/(^|[^._A-Z0-9])([$]?)([A-Z]{1,2}|[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D])([$]?)(10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})(?![_.\(A-Za-z0-9])/g}catch(e){}var fs=function(){return function(e,t){return e.replace(ds,(function(e,n,r,i,a,o){var s=ar(i)-(r?0:t.c),l=rr(o)-(a?0:t.r);return n+"R"+("$"==a?l+1:0==l?"":"["+l+"]")+"C"+("$"==r?s+1:0==s?"":"["+s+"]")}))}}();function ps(e,t){return e.replace(ds,(function(e,n,r,i,a,o){return n+("$"==r?r+i:or(ar(i)+t.c))+("$"==a?a+o:ir(rr(o)+t.r))}))}function hs(e,t,n){var r=cr(t).s,i=sr(n);return ps(e,{r:i.r-r.r,c:i.c-r.c})}function ms(e){return e.replace(/_xlfn\./g,"")}function gs(e){e.l+=1}function vs(e,t){var n=e.read_shift(1==t?1:2);return[16383&n,n>>14&1,n>>15&1]}function ys(e,t,n){var r=2;if(n){if(n.biff>=2&&n.biff<=5)return bs(e);12==n.biff&&(r=4)}var i=e.read_shift(r),a=e.read_shift(r),o=vs(e,2),s=vs(e,2);return{s:{r:i,c:o[0],cRel:o[1],rRel:o[2]},e:{r:a,c:s[0],cRel:s[1],rRel:s[2]}}}function bs(e){var t=vs(e,2),n=vs(e,2),r=e.read_shift(1),i=e.read_shift(1);return{s:{r:t[0],c:r,cRel:t[1],rRel:t[2]},e:{r:n[0],c:i,cRel:n[1],rRel:n[2]}}}function _s(e,t,n){if(n&&n.biff>=2&&n.biff<=5)return function(e){var t=vs(e,2),n=e.read_shift(1);return{r:t[0],c:n,cRel:t[1],rRel:t[2]}}(e);var r=e.read_shift(n&&12==n.biff?4:2),i=vs(e,2);return{r:r,c:i[0],cRel:i[1],rRel:i[2]}}function xs(e){var t=e.read_shift(2),n=e.read_shift(2);return{r:t,c:255&n,fQuoted:!!(16384&n),cRel:n>>15,rRel:n>>15}}function ws(e){var t=1&e[e.l+1];return e.l+=4,[t,1]}function As(e){return[e.read_shift(1),e.read_shift(1)]}function Ss(e,t){var n=[e.read_shift(1)];if(12==t)switch(n[0]){case 2:n[0]=4;break;case 4:n[0]=16;break;case 0:n[0]=1;break;case 1:n[0]=2}switch(n[0]){case 4:n[1]=$i(e,1)?"TRUE":"FALSE",12!=t&&(e.l+=7);break;case 37:case 16:n[1]=ni[e[e.l]],e.l+=12==t?4:8;break;case 0:e.l+=8;break;case 1:n[1]=Vr(e);break;case 2:n[1]=ia(e,0,{biff:t>0&&t<8?2:t});break;default:throw new Error("Bad SerAr: "+n[0])}return n}function Ts(e,t,n){for(var r=e.read_shift(12==n.biff?4:2),i=[],a=0;a!=r;++a)i.push((12==n.biff?Br:ma)(e,8));return i}function Cs(e,t,n){var r=0,i=0;12==n.biff?(r=e.read_shift(4),i=e.read_shift(4)):(i=1+e.read_shift(1),r=1+e.read_shift(2)),n.biff>=2&&n.biff<8&&(--r,0==--i&&(i=256));for(var a=0,o=[];a!=r&&(o[a]=[]);++a)for(var s=0;s!=i;++s)o[a][s]=Ss(e,n.biff);return o}function Es(e,t,n){return e.l+=2,[xs(e)]}function Ms(e){return e.l+=6,[]}function Ds(e){return e.l+=2,[qi(e),1&e.read_shift(2)]}var Ps=["Data","All","Headers","??","?Data2","??","?DataHeaders","??","Totals","??","??","??","?DataTotals","??","??","??","?Current"],Is={1:{n:"PtgExp",f:function(e,t,n){return e.l++,n&&12==n.biff?[e.read_shift(4,"i"),0]:[e.read_shift(2),e.read_shift(n&&2==n.biff?1:2)]}},2:{n:"PtgTbl",f:qn},3:{n:"PtgAdd",f:gs},4:{n:"PtgSub",f:gs},5:{n:"PtgMul",f:gs},6:{n:"PtgDiv",f:gs},7:{n:"PtgPower",f:gs},8:{n:"PtgConcat",f:gs},9:{n:"PtgLt",f:gs},10:{n:"PtgLe",f:gs},11:{n:"PtgEq",f:gs},12:{n:"PtgGe",f:gs},13:{n:"PtgGt",f:gs},14:{n:"PtgNe",f:gs},15:{n:"PtgIsect",f:gs},16:{n:"PtgUnion",f:gs},17:{n:"PtgRange",f:gs},18:{n:"PtgUplus",f:gs},19:{n:"PtgUminus",f:gs},20:{n:"PtgPercent",f:gs},21:{n:"PtgParen",f:gs},22:{n:"PtgMissArg",f:gs},23:{n:"PtgStr",f:function(e,t,n){return e.l++,Qi(e,0,n)}},26:{n:"PtgSheet",f:function(e,t,n){return e.l+=5,e.l+=2,e.l+=2==n.biff?1:4,["PTGSHEET"]}},27:{n:"PtgEndSheet",f:function(e,t,n){return e.l+=2==n.biff?4:5,["PTGENDSHEET"]}},28:{n:"PtgErr",f:function(e){return e.l++,ni[e.read_shift(1)]}},29:{n:"PtgBool",f:function(e){return e.l++,0!==e.read_shift(1)}},30:{n:"PtgInt",f:function(e){return e.l++,e.read_shift(2)}},31:{n:"PtgNum",f:function(e){return e.l++,Vr(e)}},32:{n:"PtgArray",f:function(e,t,n){var r=(96&e[e.l++])>>5;return e.l+=2==n.biff?6:12==n.biff?14:7,[r]}},33:{n:"PtgFunc",f:function(e,t,n){var r=(96&e[e.l])>>5;e.l+=1;var i=e.read_shift(n&&n.biff<=3?1:2);return[el[i],Qs[i],r]}},34:{n:"PtgFuncVar",f:function(e,t,n){var r=e[e.l++],i=e.read_shift(1),a=n&&n.biff<=3?[88==r?-1:0,e.read_shift(1)]:function(e){return[e[e.l+1]>>7,32767&e.read_shift(2)]}(e);return[i,(0===a[0]?Qs:Zs)[a[1]]]}},35:{n:"PtgName",f:function(e,t,n){var r=e.read_shift(1)>>>5&3,i=!n||n.biff>=8?4:2,a=e.read_shift(i);switch(n.biff){case 2:e.l+=5;break;case 3:case 4:e.l+=8;break;case 5:e.l+=12}return[r,0,a]}},36:{n:"PtgRef",f:function(e,t,n){var r=(96&e[e.l])>>5;return e.l+=1,[r,_s(e,0,n)]}},37:{n:"PtgArea",f:function(e,t,n){return[(96&e[e.l++])>>5,ys(e,n.biff>=2&&n.biff,n)]}},38:{n:"PtgMemArea",f:function(e,t,n){var r=e.read_shift(1)>>>5&3;return e.l+=n&&2==n.biff?3:4,[r,e.read_shift(n&&2==n.biff?1:2)]}},39:{n:"PtgMemErr",f:qn},40:{n:"PtgMemNoMem",f:qn},41:{n:"PtgMemFunc",f:function(e,t,n){return[e.read_shift(1)>>>5&3,e.read_shift(n&&2==n.biff?1:2)]}},42:{n:"PtgRefErr",f:function(e,t,n){var r=e.read_shift(1)>>>5&3;return e.l+=4,n.biff<8&&e.l--,12==n.biff&&(e.l+=2),[r]}},43:{n:"PtgAreaErr",f:function(e,t,n){var r=(96&e[e.l++])>>5;return e.l+=n&&n.biff>8?12:n.biff<8?6:8,[r]}},44:{n:"PtgRefN",f:function(e,t,n){var r=(96&e[e.l])>>5;e.l+=1;var i=function(e,t,n){var r=n&&n.biff?n.biff:8;if(r>=2&&r<=5)return function(e){var t=e.read_shift(2),n=e.read_shift(1),r=(32768&t)>>15,i=(16384&t)>>14;return t&=16383,1==r&&t>=8192&&(t-=16384),1==i&&n>=128&&(n-=256),{r:t,c:n,cRel:i,rRel:r}}(e);var i=e.read_shift(r>=12?4:2),a=e.read_shift(2),o=(16384&a)>>14,s=(32768&a)>>15;if(a&=16383,1==s)for(;i>524287;)i-=1048576;if(1==o)for(;a>8191;)a-=16384;return{r:i,c:a,cRel:o,rRel:s}}(e,0,n);return[r,i]}},45:{n:"PtgAreaN",f:function(e,t,n){var r=(96&e[e.l++])>>5,i=function(e,t,n){if(n.biff<8)return bs(e);var r=e.read_shift(12==n.biff?4:2),i=e.read_shift(12==n.biff?4:2),a=vs(e,2),o=vs(e,2);return{s:{r:r,c:a[0],cRel:a[1],rRel:a[2]},e:{r:i,c:o[0],cRel:o[1],rRel:o[2]}}}(e,0,n);return[r,i]}},46:{n:"PtgMemAreaN",f:function(e){return[e.read_shift(1)>>>5&3,e.read_shift(2)]}},47:{n:"PtgMemNoMemN",f:function(e){return[e.read_shift(1)>>>5&3,e.read_shift(2)]}},57:{n:"PtgNameX",f:function(e,t,n){return 5==n.biff?function(e){var t=e.read_shift(1)>>>5&3,n=e.read_shift(2,"i");e.l+=8;var r=e.read_shift(2);return e.l+=12,[t,n,r]}(e):[e.read_shift(1)>>>5&3,e.read_shift(2),e.read_shift(4)]}},58:{n:"PtgRef3d",f:function(e,t,n){var r=(96&e[e.l])>>5;e.l+=1;var i=e.read_shift(2);return n&&5==n.biff&&(e.l+=12),[r,i,_s(e,0,n)]}},59:{n:"PtgArea3d",f:function(e,t,n){var r=(96&e[e.l++])>>5,i=e.read_shift(2,"i");if(n&&5===n.biff)e.l+=12;return[r,i,ys(e,0,n)]}},60:{n:"PtgRefErr3d",f:function(e,t,n){var r=(96&e[e.l++])>>5,i=e.read_shift(2),a=4;if(n)switch(n.biff){case 5:a=15;break;case 12:a=6}return e.l+=a,[r,i]}},61:{n:"PtgAreaErr3d",f:function(e,t,n){var r=(96&e[e.l++])>>5,i=e.read_shift(2),a=8;if(n)switch(n.biff){case 5:e.l+=12,a=6;break;case 12:a=12}return e.l+=a,[r,i]}},255:{}},Os={64:32,96:32,65:33,97:33,66:34,98:34,67:35,99:35,68:36,100:36,69:37,101:37,70:38,102:38,71:39,103:39,72:40,104:40,73:41,105:41,74:42,106:42,75:43,107:43,76:44,108:44,77:45,109:45,78:46,110:46,79:47,111:47,88:34,120:34,89:57,121:57,90:58,122:58,91:59,123:59,92:60,124:60,93:61,125:61},Ns={1:{n:"PtgElfLel",f:Ds},2:{n:"PtgElfRw",f:Es},3:{n:"PtgElfCol",f:Es},6:{n:"PtgElfRwV",f:Es},7:{n:"PtgElfColV",f:Es},10:{n:"PtgElfRadical",f:Es},11:{n:"PtgElfRadicalS",f:Ms},13:{n:"PtgElfColS",f:Ms},15:{n:"PtgElfColSV",f:Ms},16:{n:"PtgElfRadicalLel",f:Ds},25:{n:"PtgList",f:function(e){e.l+=2;var t=e.read_shift(2),n=e.read_shift(2),r=e.read_shift(4),i=e.read_shift(2),a=e.read_shift(2);return{ixti:t,coltype:3&n,rt:Ps[n>>2&31],idx:r,c:i,C:a}}},29:{n:"PtgSxName",f:function(e){return e.l+=2,[e.read_shift(4)]}},255:{}},ks={0:{n:"PtgAttrNoop",f:function(e){return e.l+=4,[0,0]}},1:{n:"PtgAttrSemi",f:function(e,t,n){var r=255&e[e.l+1]?1:0;return e.l+=n&&2==n.biff?3:4,[r]}},2:{n:"PtgAttrIf",f:function(e,t,n){var r=255&e[e.l+1]?1:0;return e.l+=2,[r,e.read_shift(n&&2==n.biff?1:2)]}},4:{n:"PtgAttrChoose",f:function(e,t,n){e.l+=2;for(var r=e.read_shift(n&&2==n.biff?1:2),i=[],a=0;a<=r;++a)i.push(e.read_shift(n&&2==n.biff?1:2));return i}},8:{n:"PtgAttrGoto",f:function(e,t,n){var r=255&e[e.l+1]?1:0;return e.l+=2,[r,e.read_shift(n&&2==n.biff?1:2)]}},16:{n:"PtgAttrSum",f:function(e,t,n){e.l+=n&&2==n.biff?3:4}},32:{n:"PtgAttrBaxcel",f:ws},33:{n:"PtgAttrBaxcel",f:ws},64:{n:"PtgAttrSpace",f:function(e){return e.read_shift(2),As(e)}},65:{n:"PtgAttrSpaceSemi",f:function(e){return e.read_shift(2),As(e)}},128:{n:"PtgAttrIfError",f:function(e){var t=255&e[e.l+1]?1:0;return e.l+=2,[t,e.read_shift(2)]}},255:{}};function Rs(e,t,n,r){if(r.biff<8)return qn(e,t);for(var i=e.l+t,a=[],o=0;o!==n.length;++o)switch(n[o][0]){case"PtgArray":n[o][1]=Cs(e,0,r),a.push(n[o][1]);break;case"PtgMemArea":n[o][2]=Ts(e,n[o][1],r),a.push(n[o][2]);break;case"PtgExp":r&&12==r.biff&&(n[o][1][1]=e.read_shift(4),a.push(n[o][1]));break;case"PtgList":case"PtgElfRadicalS":case"PtgElfColS":case"PtgElfColSV":throw"Unsupported "+n[o][0]}return 0!=(t=i-e.l)&&a.push(qn(e,t)),a}function Ls(e,t,n){for(var r,i,a=e.l+t,o=[];a!=e.l;)t=a-e.l,i=e[e.l],r=Is[i]||Is[Os[i]],24!==i&&25!==i||(r=(24===i?Ns:ks)[e[e.l+1]]),r&&r.f?o.push([r.n,r.f(e,t,n)]):qn(e,t);return o}function Fs(e){for(var t=[],n=0;n<e.length;++n){for(var r=e[n],i=[],a=0;a<r.length;++a){var o=r[a];o?2===o[0]?i.push('"'+o[1].replace(/"/g,'""')+'"'):i.push(o[1]):i.push("")}t.push(i.join(","))}return t.join(";")}var Bs={PtgAdd:"+",PtgConcat:"&",PtgDiv:"/",PtgEq:"=",PtgGe:">=",PtgGt:">",PtgLe:"<=",PtgLt:"<",PtgMul:"*",PtgNe:"<>",PtgPower:"^",PtgSub:"-"};function Us(e,t,n){if(!e)return"SH33TJSERR0";if(n.biff>8&&(!e.XTI||!e.XTI[t]))return e.SheetNames[t];if(!e.XTI)return"SH33TJSERR6";var r=e.XTI[t];if(n.biff<8)return t>1e4&&(t-=65536),t<0&&(t=-t),0==t?"":e.XTI[t-1];if(!r)return"SH33TJSERR1";var i="";if(n.biff>8)switch(e[r[0]][0]){case 357:return i=-1==r[1]?"#REF":e.SheetNames[r[1]],r[1]==r[2]?i:i+":"+e.SheetNames[r[2]];case 358:return null!=n.SID?e.SheetNames[n.SID]:"SH33TJSSAME"+e[r[0]][0];default:return"SH33TJSSRC"+e[r[0]][0]}switch(e[r[0]][0][0]){case 1025:return i=-1==r[1]?"#REF":e.SheetNames[r[1]]||"SH33TJSERR3",r[1]==r[2]?i:i+":"+e.SheetNames[r[2]];case 14849:return e[r[0]].slice(1).map((function(e){return e.Name})).join(";;");default:return e[r[0]][0][3]?(i=-1==r[1]?"#REF":e[r[0]][0][3][r[1]]||"SH33TJSERR4",r[1]==r[2]?i:i+":"+e[r[0]][0][3][r[2]]):"SH33TJSERR2"}}function Vs(e,t,n){var r=Us(e,t,n);return"#REF"==r?r:fr(r,n)}function Gs(e,t,n,r,i){var a,o,s,l,c=i&&i.biff||8,u={s:{c:0,r:0},e:{c:0,r:0}},d=[],f=0,p=0,h="";if(!e[0]||!e[0][0])return"";for(var m,g,v,y,b=-1,_="",x=0,w=e[0].length;x<w;++x){var A=e[0][x];switch(A[0]){case"PtgUminus":d.push("-"+d.pop());break;case"PtgUplus":d.push("+"+d.pop());break;case"PtgPercent":d.push(d.pop()+"%");break;case"PtgAdd":case"PtgConcat":case"PtgDiv":case"PtgEq":case"PtgGe":case"PtgGt":case"PtgLe":case"PtgLt":case"PtgMul":case"PtgNe":case"PtgPower":case"PtgSub":if(a=d.pop(),o=d.pop(),b>=0){switch(e[0][b][1][0]){case 0:_=qe(" ",e[0][b][1][1]);break;case 1:_=qe("\r",e[0][b][1][1]);break;default:if(_="",i.WTF)throw new Error("Unexpected PtgAttrSpaceType "+e[0][b][1][0])}o+=_,b=-1}d.push(o+Bs[A[0]]+a);break;case"PtgIsect":a=d.pop(),o=d.pop(),d.push(o+" "+a);break;case"PtgUnion":a=d.pop(),o=d.pop(),d.push(o+","+a);break;case"PtgRange":a=d.pop(),o=d.pop(),d.push((g=a,void 0,void 0,v=(m=o).lastIndexOf("!"),y=g.lastIndexOf("!"),-1==v&&-1==y?m+":"+g:v>0&&y>0&&m.slice(0,v).toLowerCase()==g.slice(0,y).toLowerCase()?m+":"+g.slice(y+1):(console.error("Cannot hydrate range",m,g),m+":"+g)));break;case"PtgAttrChoose":case"PtgAttrGoto":case"PtgAttrIf":case"PtgAttrIfError":case"PtgAttrBaxcel":case"PtgAttrSemi":case"PtgMemArea":case"PtgTbl":case"PtgMemErr":case"PtgMemAreaN":case"PtgMemNoMemN":case"PtgAttrNoop":case"PtgSheet":case"PtgEndSheet":case"PtgMemFunc":case"PtgMemNoMem":break;case"PtgRef":s=Qn(A[1][1],u,i),d.push(tr(s,c));break;case"PtgRefN":s=n?Qn(A[1][1],n,i):A[1][1],d.push(tr(s,c));break;case"PtgRef3d":f=A[1][1],s=Qn(A[1][2],u,i),h=Vs(r,f,i),d.push(h+"!"+tr(s,c));break;case"PtgFunc":case"PtgFuncVar":var S=A[1][0],T=A[1][1];S||(S=0);var C=0==(S&=127)?[]:d.slice(-S);d.length-=S,"User"===T&&(T=C.shift()),d.push(T+"("+C.join(",")+")");break;case"PtgBool":d.push(A[1]?"TRUE":"FALSE");break;case"PtgInt":case"PtgErr":d.push(A[1]);break;case"PtgNum":d.push(String(A[1]));break;case"PtgStr":d.push('"'+A[1].replace(/"/g,'""')+'"');break;case"PtgAreaN":l=er(A[1][1],n?{s:n}:u,i),d.push(nr(l,i));break;case"PtgArea":l=er(A[1][1],u,i),d.push(nr(l,i));break;case"PtgArea3d":f=A[1][1],l=A[1][2],h=Vs(r,f,i),d.push(h+"!"+nr(l,i));break;case"PtgAttrSum":d.push("SUM("+d.pop()+")");break;case"PtgName":p=A[1][2];var E=(r.names||[])[p-1]||(r[0]||[])[p],M=E?E.Name:"SH33TJSNAME"+String(p);M&&"_xlfn."==M.slice(0,6)&&!i.xlfn&&(M=M.slice(6)),d.push(M);break;case"PtgNameX":var D,P=A[1][1];if(p=A[1][2],!(i.biff<=5)){var I="";if(14849==((r[P]||[])[0]||[])[0]||(1025==((r[P]||[])[0]||[])[0]?r[P][p]&&r[P][p].itab>0&&(I=r.SheetNames[r[P][p].itab-1]+"!"):I=r.SheetNames[p-1]+"!"),r[P]&&r[P][p])I+=r[P][p].Name;else if(r[0]&&r[0][p])I+=r[0][p].Name;else{var O=(Us(r,P,i)||"").split(";;");O[p-1]?I=O[p-1]:I+="SH33TJSERRX"}d.push(I);break}P<0&&(P=-P),r[P]&&(D=r[P][p]),D||(D={Name:"SH33TJSERRY"}),d.push(D.Name);break;case"PtgParen":var N="(",k=")";if(b>=0){switch(_="",e[0][b][1][0]){case 2:N=qe(" ",e[0][b][1][1])+N;break;case 3:N=qe("\r",e[0][b][1][1])+N;break;case 4:k=qe(" ",e[0][b][1][1])+k;break;case 5:k=qe("\r",e[0][b][1][1])+k;break;default:if(i.WTF)throw new Error("Unexpected PtgAttrSpaceType "+e[0][b][1][0])}b=-1}d.push(N+d.pop()+k);break;case"PtgRefErr":case"PtgRefErr3d":case"PtgAreaErr":case"PtgAreaErr3d":d.push("#REF!");break;case"PtgExp":s={c:A[1][1],r:A[1][0]};var R={c:n.c,r:n.r};if(r.sharedf[lr(s)]){var L=r.sharedf[lr(s)];d.push(Gs(L,0,R,r,i))}else{var F=!1;for(a=0;a!=r.arrayf.length;++a)if(o=r.arrayf[a],!(s.c<o[0].s.c||s.c>o[0].e.c||s.r<o[0].s.r||s.r>o[0].e.r)){d.push(Gs(o[1],0,R,r,i)),F=!0;break}F||d.push(A[1])}break;case"PtgArray":d.push("{"+Fs(A[1])+"}");break;case"PtgAttrSpace":case"PtgAttrSpaceSemi":b=x;break;case"PtgMissArg":d.push("");break;case"PtgList":d.push("Table"+A[1].idx+"[#"+A[1].rt+"]");break;case"PtgElfCol":case"PtgElfColS":case"PtgElfColSV":case"PtgElfColV":case"PtgElfLel":case"PtgElfRadical":case"PtgElfRadicalLel":case"PtgElfRadicalS":case"PtgElfRw":case"PtgElfRwV":throw new Error("Unsupported ELFs");default:throw new Error("Unrecognized Formula Token: "+String(A))}if(3!=i.biff&&b>=0&&-1==["PtgAttrSpace","PtgAttrSpaceSemi","PtgAttrGoto"].indexOf(e[0][x][0])){var B=!0;switch((A=e[0][b])[1][0]){case 4:B=!1;case 0:_=qe(" ",A[1][1]);break;case 5:B=!1;case 1:_=qe("\r",A[1][1]);break;default:if(_="",i.WTF)throw new Error("Unexpected PtgAttrSpaceType "+A[1][0])}d.push((B?_:"")+d.pop()+(B?"":_)),b=-1}}if(d.length>1&&i.WTF)throw new Error("bad formula stack");return"TRUE"==d[0]||"FALSE"!=d[0]&&d[0]}function zs(e,t,n){var r,i=e.l+t,a=2==n.biff?1:2,o=e.read_shift(a);if(65535==o)return[[],qn(e,t-2)];var s=Ls(e,o,n);return t!==o+a&&(r=Rs(e,t-o-a,s,n)),e.l=i,[s,r]}function js(e,t,n){var r,i=e.l+t,a=e.read_shift(2),o=Ls(e,a,n);return 65535==a?[[],qn(e,t-2)]:(t!==a+2&&(r=Rs(e,i-a-2,o,n)),[o,r])}function Ws(e,t,n){var r=e.l+t,i=da(e,6,n),a=function(e){var t;if(65535!==Ln(e,e.l+6))return[Vr(e),"n"];switch(e[e.l]){case 0:return e.l+=8,["String","s"];case 1:return t=1===e[e.l+2],e.l+=8,[t,"b"];case 2:return t=e[e.l+2],e.l+=8,[t,"e"];case 3:return e.l+=8,["","s"]}return[]}(e),o=e.read_shift(1);2!=n.biff&&(e.read_shift(1),n.biff>=5&&e.read_shift(4));var s=function(e,t,n){var r,i=e.l+t,a=2==n.biff?1:2,o=e.read_shift(a);if(65535==o)return[[],qn(e,t-2)];var s=Ls(e,o,n);return t!==o+a&&(r=Rs(e,t-o-a,s,n)),e.l=i,[s,r]}(e,r-e.l,n);return{cell:i,val:a[0],formula:s,shared:o>>3&1,tt:a[1]}}function Hs(e,t,n){var r=e.read_shift(4),i=Ls(e,r,n),a=e.read_shift(4);return[i,a>0?Rs(e,a,i,n):null]}var $s=Hs,Xs=Hs,qs=Hs,Ks=Hs;function Ys(e){if((0|e)==e&&e<Math.pow(2,16)&&e>=0){var t=Kn(11);return t.write_shift(4,3),t.write_shift(1,30),t.write_shift(2,e),t.write_shift(4,0),t}var n=Kn(17);return n.write_shift(4,11),n.write_shift(1,31),n.write_shift(8,e),n.write_shift(4,0),n}var Js=function(e,t){if("number"==typeof e)return Ys(e);if("boolean"==typeof e)return function(e){var t=Kn(10);return t.write_shift(4,2),t.write_shift(1,29),t.write_shift(1,e?1:0),t.write_shift(4,0),t}(e);if(/^#(DIV\/0!|GETTING_DATA|N\/A|NAME\?|NULL!|NUM!|REF!|VALUE!)$/.test(e))return function(e){var t=Kn(10);return t.write_shift(4,2),t.write_shift(1,28),t.write_shift(1,e),t.write_shift(4,0),t}(+ri[e]);if(e.match(/^\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})$/))return function(e){var t=sr(e),n=Kn(15);return n.write_shift(4,7),n.write_shift(1,36),n.write_shift(4,t.r),n.write_shift(2,t.c|("$"==e.charAt(0)?0:1)<<14|(e.match(/\$\d/)?0:1)<<15),n.write_shift(4,0),n}(e);if(e.match(/^\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5}):\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})$/))return function(e){var t=e.split(":"),n=t[0],r=Kn(23);r.write_shift(4,15);var i=sr(n=t[0]);return r.write_shift(1,36),r.write_shift(4,i.r),r.write_shift(2,i.c|("$"==n.charAt(0)?0:1)<<14|(n.match(/\$\d/)?0:1)<<15),r.write_shift(4,0),i=sr(n=t[1]),r.write_shift(1,36),r.write_shift(4,i.r),r.write_shift(2,i.c|("$"==n.charAt(0)?0:1)<<14|(n.match(/\$\d/)?0:1)<<15),r.write_shift(4,0),r.write_shift(1,17),r.write_shift(4,0),r}(e);if(e.match(/^#REF!\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5}):\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})$/))return function(e,t){var n=e.lastIndexOf("!"),r=e.slice(0,n);e=e.slice(n+1),"'"==r.charAt(0)&&(r=r.slice(1,-1).replace(/''/g,"'"));var i=cr(e),a=Kn(23);return a.write_shift(4,15),a.write_shift(1,59),a.write_shift(2,2+t.SheetNames.map((function(e){return e.toLowerCase()})).indexOf(r.toLowerCase())),a.write_shift(4,i.s.r),a.write_shift(4,i.e.r),a.write_shift(2,i.s.c),a.write_shift(2,i.e.c),a.write_shift(4,0),a}(e,t);if(e.match(/^(?:'[^\\\/?*\[\]:]*'|[^'][^\\\/?*\[\]:'`~!@#$%^()\-=+{}|;,<.>]*)!\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})$/))return function(e,t){var n=e.lastIndexOf("!"),r=e.slice(0,n),i=sr(e=e.slice(n+1));"'"==r.charAt(0)&&(r=r.slice(1,-1).replace(/''/g,"'"));var a=Kn(17);return a.write_shift(4,9),a.write_shift(1,58),a.write_shift(2,2+t.SheetNames.map((function(e){return e.toLowerCase()})).indexOf(r.toLowerCase())),a.write_shift(4,i.r),a.write_shift(2,i.c|("$"==e.charAt(0)?0:1)<<14|(e.match(/\$\d/)?0:1)<<15),a.write_shift(4,0),a}(e,t);if(e.match(/^(?:'[^\\\/?*\[\]:]*'|[^'][^\\\/?*\[\]:'`~!@#$%^()\-=+{}|;,<.>]*)!\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5}):\$?(?:[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D]|[A-Z]{1,2})\$?(?:10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})$/))return function(e,t){var n=e.lastIndexOf("!"),r=e.slice(0,n);e=e.slice(n+1),"'"==r.charAt(0)&&(r=r.slice(1,-1).replace(/''/g,"'"));var i=e.split(":"),a=Kn(27);a.write_shift(4,19);var o=i[0],s=sr(o);return a.write_shift(1,58),a.write_shift(2,2+t.SheetNames.map((function(e){return e.toLowerCase()})).indexOf(r.toLowerCase())),a.write_shift(4,s.r),a.write_shift(2,s.c|("$"==o.charAt(0)?0:1)<<14|(o.match(/\$\d/)?0:1)<<15),s=sr(o=i[1]),a.write_shift(1,58),a.write_shift(2,2+t.SheetNames.map((function(e){return e.toLowerCase()})).indexOf(r.toLowerCase())),a.write_shift(4,s.r),a.write_shift(2,s.c|("$"==o.charAt(0)?0:1)<<14|(o.match(/\$\d/)?0:1)<<15),a.write_shift(1,17),a.write_shift(4,0),a}(e,t);if(/^(?:'[^\\\/?*\[\]:]*'|[^'][^\\\/?*\[\]:'`~!@#$%^()\-=+{}|;,<.>]*)!#REF!$/.test(e))return function(e,t){var n=e.lastIndexOf("!"),r=e.slice(0,n);e=e.slice(n+1),"'"==r.charAt(0)&&(r=r.slice(1,-1).replace(/''/g,"'"));var i=Kn(17);return i.write_shift(4,9),i.write_shift(1,60),i.write_shift(2,2+t.SheetNames.map((function(e){return e.toLowerCase()})).indexOf(r.toLowerCase())),i.write_shift(4,0),i.write_shift(2,0),i.write_shift(4,0),i}(e,t);if(/^".*"$/.test(e))return function(e){var t=Kn(7);t.write_shift(4,3+2*e.length),t.write_shift(1,23),t.write_shift(2,e.length);var n=Kn(2*e.length);n.write_shift(2*e.length,e,"utf16le");var r=Kn(4);return r.write_shift(4,0),O([t,n,r])}(e);if(/^[+-]\d+$/.test(e))return Ys(parseInt(e,10));throw"Formula |"+e+"| not supported for XLSB"},Zs={0:"BEEP",1:"OPEN",2:"OPEN.LINKS",3:"CLOSE.ALL",4:"SAVE",5:"SAVE.AS",6:"FILE.DELETE",7:"PAGE.SETUP",8:"PRINT",9:"PRINTER.SETUP",10:"QUIT",11:"NEW.WINDOW",12:"ARRANGE.ALL",13:"WINDOW.SIZE",14:"WINDOW.MOVE",15:"FULL",16:"CLOSE",17:"RUN",22:"SET.PRINT.AREA",23:"SET.PRINT.TITLES",24:"SET.PAGE.BREAK",25:"REMOVE.PAGE.BREAK",26:"FONT",27:"DISPLAY",28:"PROTECT.DOCUMENT",29:"PRECISION",30:"A1.R1C1",31:"CALCULATE.NOW",32:"CALCULATION",34:"DATA.FIND",35:"EXTRACT",36:"DATA.DELETE",37:"SET.DATABASE",38:"SET.CRITERIA",39:"SORT",40:"DATA.SERIES",41:"TABLE",42:"FORMAT.NUMBER",43:"ALIGNMENT",44:"STYLE",45:"BORDER",46:"CELL.PROTECTION",47:"COLUMN.WIDTH",48:"UNDO",49:"CUT",50:"COPY",51:"PASTE",52:"CLEAR",53:"PASTE.SPECIAL",54:"EDIT.DELETE",55:"INSERT",56:"FILL.RIGHT",57:"FILL.DOWN",61:"DEFINE.NAME",62:"CREATE.NAMES",63:"FORMULA.GOTO",64:"FORMULA.FIND",65:"SELECT.LAST.CELL",66:"SHOW.ACTIVE.CELL",67:"GALLERY.AREA",68:"GALLERY.BAR",69:"GALLERY.COLUMN",70:"GALLERY.LINE",71:"GALLERY.PIE",72:"GALLERY.SCATTER",73:"COMBINATION",74:"PREFERRED",75:"ADD.OVERLAY",76:"GRIDLINES",77:"SET.PREFERRED",78:"AXES",79:"LEGEND",80:"ATTACH.TEXT",81:"ADD.ARROW",82:"SELECT.CHART",83:"SELECT.PLOT.AREA",84:"PATTERNS",85:"MAIN.CHART",86:"OVERLAY",87:"SCALE",88:"FORMAT.LEGEND",89:"FORMAT.TEXT",90:"EDIT.REPEAT",91:"PARSE",92:"JUSTIFY",93:"HIDE",94:"UNHIDE",95:"WORKSPACE",96:"FORMULA",97:"FORMULA.FILL",98:"FORMULA.ARRAY",99:"DATA.FIND.NEXT",100:"DATA.FIND.PREV",101:"FORMULA.FIND.NEXT",102:"FORMULA.FIND.PREV",103:"ACTIVATE",104:"ACTIVATE.NEXT",105:"ACTIVATE.PREV",106:"UNLOCKED.NEXT",107:"UNLOCKED.PREV",108:"COPY.PICTURE",109:"SELECT",110:"DELETE.NAME",111:"DELETE.FORMAT",112:"VLINE",113:"HLINE",114:"VPAGE",115:"HPAGE",116:"VSCROLL",117:"HSCROLL",118:"ALERT",119:"NEW",120:"CANCEL.COPY",121:"SHOW.CLIPBOARD",122:"MESSAGE",124:"PASTE.LINK",125:"APP.ACTIVATE",126:"DELETE.ARROW",127:"ROW.HEIGHT",128:"FORMAT.MOVE",129:"FORMAT.SIZE",130:"FORMULA.REPLACE",131:"SEND.KEYS",132:"SELECT.SPECIAL",133:"APPLY.NAMES",134:"REPLACE.FONT",135:"FREEZE.PANES",136:"SHOW.INFO",137:"SPLIT",138:"ON.WINDOW",139:"ON.DATA",140:"DISABLE.INPUT",142:"OUTLINE",143:"LIST.NAMES",144:"FILE.CLOSE",145:"SAVE.WORKBOOK",146:"DATA.FORM",147:"COPY.CHART",148:"ON.TIME",149:"WAIT",150:"FORMAT.FONT",151:"FILL.UP",152:"FILL.LEFT",153:"DELETE.OVERLAY",155:"SHORT.MENUS",159:"SET.UPDATE.STATUS",161:"COLOR.PALETTE",162:"DELETE.STYLE",163:"WINDOW.RESTORE",164:"WINDOW.MAXIMIZE",166:"CHANGE.LINK",167:"CALCULATE.DOCUMENT",168:"ON.KEY",169:"APP.RESTORE",170:"APP.MOVE",171:"APP.SIZE",172:"APP.MINIMIZE",173:"APP.MAXIMIZE",174:"BRING.TO.FRONT",175:"SEND.TO.BACK",185:"MAIN.CHART.TYPE",186:"OVERLAY.CHART.TYPE",187:"SELECT.END",188:"OPEN.MAIL",189:"SEND.MAIL",190:"STANDARD.FONT",191:"CONSOLIDATE",192:"SORT.SPECIAL",193:"GALLERY.3D.AREA",194:"GALLERY.3D.COLUMN",195:"GALLERY.3D.LINE",196:"GALLERY.3D.PIE",197:"VIEW.3D",198:"GOAL.SEEK",199:"WORKGROUP",200:"FILL.GROUP",201:"UPDATE.LINK",202:"PROMOTE",203:"DEMOTE",204:"SHOW.DETAIL",206:"UNGROUP",207:"OBJECT.PROPERTIES",208:"SAVE.NEW.OBJECT",209:"SHARE",210:"SHARE.NAME",211:"DUPLICATE",212:"APPLY.STYLE",213:"ASSIGN.TO.OBJECT",214:"OBJECT.PROTECTION",215:"HIDE.OBJECT",216:"SET.EXTRACT",217:"CREATE.PUBLISHER",218:"SUBSCRIBE.TO",219:"ATTRIBUTES",220:"SHOW.TOOLBAR",222:"PRINT.PREVIEW",223:"EDIT.COLOR",224:"SHOW.LEVELS",225:"FORMAT.MAIN",226:"FORMAT.OVERLAY",227:"ON.RECALC",228:"EDIT.SERIES",229:"DEFINE.STYLE",240:"LINE.PRINT",243:"ENTER.DATA",249:"GALLERY.RADAR",250:"MERGE.STYLES",251:"EDITION.OPTIONS",252:"PASTE.PICTURE",253:"PASTE.PICTURE.LINK",254:"SPELLING",256:"ZOOM",259:"INSERT.OBJECT",260:"WINDOW.MINIMIZE",265:"SOUND.NOTE",266:"SOUND.PLAY",267:"FORMAT.SHAPE",268:"EXTEND.POLYGON",269:"FORMAT.AUTO",272:"GALLERY.3D.BAR",273:"GALLERY.3D.SURFACE",274:"FILL.AUTO",276:"CUSTOMIZE.TOOLBAR",277:"ADD.TOOL",278:"EDIT.OBJECT",279:"ON.DOUBLECLICK",280:"ON.ENTRY",281:"WORKBOOK.ADD",282:"WORKBOOK.MOVE",283:"WORKBOOK.COPY",284:"WORKBOOK.OPTIONS",285:"SAVE.WORKSPACE",288:"CHART.WIZARD",289:"DELETE.TOOL",290:"MOVE.TOOL",291:"WORKBOOK.SELECT",292:"WORKBOOK.ACTIVATE",293:"ASSIGN.TO.TOOL",295:"COPY.TOOL",296:"RESET.TOOL",297:"CONSTRAIN.NUMERIC",298:"PASTE.TOOL",302:"WORKBOOK.NEW",305:"SCENARIO.CELLS",306:"SCENARIO.DELETE",307:"SCENARIO.ADD",308:"SCENARIO.EDIT",309:"SCENARIO.SHOW",310:"SCENARIO.SHOW.NEXT",311:"SCENARIO.SUMMARY",312:"PIVOT.TABLE.WIZARD",313:"PIVOT.FIELD.PROPERTIES",314:"PIVOT.FIELD",315:"PIVOT.ITEM",316:"PIVOT.ADD.FIELDS",318:"OPTIONS.CALCULATION",319:"OPTIONS.EDIT",320:"OPTIONS.VIEW",321:"ADDIN.MANAGER",322:"MENU.EDITOR",323:"ATTACH.TOOLBARS",324:"VBAActivate",325:"OPTIONS.CHART",328:"VBA.INSERT.FILE",330:"VBA.PROCEDURE.DEFINITION",336:"ROUTING.SLIP",338:"ROUTE.DOCUMENT",339:"MAIL.LOGON",342:"INSERT.PICTURE",343:"EDIT.TOOL",344:"GALLERY.DOUGHNUT",350:"CHART.TREND",352:"PIVOT.ITEM.PROPERTIES",354:"WORKBOOK.INSERT",355:"OPTIONS.TRANSITION",356:"OPTIONS.GENERAL",370:"FILTER.ADVANCED",373:"MAIL.ADD.MAILER",374:"MAIL.DELETE.MAILER",375:"MAIL.REPLY",376:"MAIL.REPLY.ALL",377:"MAIL.FORWARD",378:"MAIL.NEXT.LETTER",379:"DATA.LABEL",380:"INSERT.TITLE",381:"FONT.PROPERTIES",382:"MACRO.OPTIONS",383:"WORKBOOK.HIDE",384:"WORKBOOK.UNHIDE",385:"WORKBOOK.DELETE",386:"WORKBOOK.NAME",388:"GALLERY.CUSTOM",390:"ADD.CHART.AUTOFORMAT",391:"DELETE.CHART.AUTOFORMAT",392:"CHART.ADD.DATA",393:"AUTO.OUTLINE",394:"TAB.ORDER",395:"SHOW.DIALOG",396:"SELECT.ALL",397:"UNGROUP.SHEETS",398:"SUBTOTAL.CREATE",399:"SUBTOTAL.REMOVE",400:"RENAME.OBJECT",412:"WORKBOOK.SCROLL",413:"WORKBOOK.NEXT",414:"WORKBOOK.PREV",415:"WORKBOOK.TAB.SPLIT",416:"FULL.SCREEN",417:"WORKBOOK.PROTECT",420:"SCROLLBAR.PROPERTIES",421:"PIVOT.SHOW.PAGES",422:"TEXT.TO.COLUMNS",423:"FORMAT.CHARTTYPE",424:"LINK.FORMAT",425:"TRACER.DISPLAY",430:"TRACER.NAVIGATE",431:"TRACER.CLEAR",432:"TRACER.ERROR",433:"PIVOT.FIELD.GROUP",434:"PIVOT.FIELD.UNGROUP",435:"CHECKBOX.PROPERTIES",436:"LABEL.PROPERTIES",437:"LISTBOX.PROPERTIES",438:"EDITBOX.PROPERTIES",439:"PIVOT.REFRESH",440:"LINK.COMBO",441:"OPEN.TEXT",442:"HIDE.DIALOG",443:"SET.DIALOG.FOCUS",444:"ENABLE.OBJECT",445:"PUSHBUTTON.PROPERTIES",446:"SET.DIALOG.DEFAULT",447:"FILTER",448:"FILTER.SHOW.ALL",449:"CLEAR.OUTLINE",450:"FUNCTION.WIZARD",451:"ADD.LIST.ITEM",452:"SET.LIST.ITEM",453:"REMOVE.LIST.ITEM",454:"SELECT.LIST.ITEM",455:"SET.CONTROL.VALUE",456:"SAVE.COPY.AS",458:"OPTIONS.LISTS.ADD",459:"OPTIONS.LISTS.DELETE",460:"SERIES.AXES",461:"SERIES.X",462:"SERIES.Y",463:"ERRORBAR.X",464:"ERRORBAR.Y",465:"FORMAT.CHART",466:"SERIES.ORDER",467:"MAIL.LOGOFF",468:"CLEAR.ROUTING.SLIP",469:"APP.ACTIVATE.MICROSOFT",470:"MAIL.EDIT.MAILER",471:"ON.SHEET",472:"STANDARD.WIDTH",473:"SCENARIO.MERGE",474:"SUMMARY.INFO",475:"FIND.FILE",476:"ACTIVE.CELL.FONT",477:"ENABLE.TIPWIZARD",478:"VBA.MAKE.ADDIN",480:"INSERTDATATABLE",481:"WORKGROUP.OPTIONS",482:"MAIL.SEND.MAILER",485:"AUTOCORRECT",489:"POST.DOCUMENT",491:"PICKLIST",493:"VIEW.SHOW",494:"VIEW.DEFINE",495:"VIEW.DELETE",509:"SHEET.BACKGROUND",510:"INSERT.MAP.OBJECT",511:"OPTIONS.MENONO",517:"MSOCHECKS",518:"NORMAL",519:"LAYOUT",520:"RM.PRINT.AREA",521:"CLEAR.PRINT.AREA",522:"ADD.PRINT.AREA",523:"MOVE.BRK",545:"HIDECURR.NOTE",546:"HIDEALL.NOTES",547:"DELETE.NOTE",548:"TRAVERSE.NOTES",549:"ACTIVATE.NOTES",620:"PROTECT.REVISIONS",621:"UNPROTECT.REVISIONS",647:"OPTIONS.ME",653:"WEB.PUBLISH",667:"NEWWEBQUERY",673:"PIVOT.TABLE.CHART",753:"OPTIONS.SAVE",755:"OPTIONS.SPELL",808:"HIDEALL.INKANNOTS"},Qs={0:"COUNT",1:"IF",2:"ISNA",3:"ISERROR",4:"SUM",5:"AVERAGE",6:"MIN",7:"MAX",8:"ROW",9:"COLUMN",10:"NA",11:"NPV",12:"STDEV",13:"DOLLAR",14:"FIXED",15:"SIN",16:"COS",17:"TAN",18:"ATAN",19:"PI",20:"SQRT",21:"EXP",22:"LN",23:"LOG10",24:"ABS",25:"INT",26:"SIGN",27:"ROUND",28:"LOOKUP",29:"INDEX",30:"REPT",31:"MID",32:"LEN",33:"VALUE",34:"TRUE",35:"FALSE",36:"AND",37:"OR",38:"NOT",39:"MOD",40:"DCOUNT",41:"DSUM",42:"DAVERAGE",43:"DMIN",44:"DMAX",45:"DSTDEV",46:"VAR",47:"DVAR",48:"TEXT",49:"LINEST",50:"TREND",51:"LOGEST",52:"GROWTH",53:"GOTO",54:"HALT",55:"RETURN",56:"PV",57:"FV",58:"NPER",59:"PMT",60:"RATE",61:"MIRR",62:"IRR",63:"RAND",64:"MATCH",65:"DATE",66:"TIME",67:"DAY",68:"MONTH",69:"YEAR",70:"WEEKDAY",71:"HOUR",72:"MINUTE",73:"SECOND",74:"NOW",75:"AREAS",76:"ROWS",77:"COLUMNS",78:"OFFSET",79:"ABSREF",80:"RELREF",81:"ARGUMENT",82:"SEARCH",83:"TRANSPOSE",84:"ERROR",85:"STEP",86:"TYPE",87:"ECHO",88:"SET.NAME",89:"CALLER",90:"DEREF",91:"WINDOWS",92:"SERIES",93:"DOCUMENTS",94:"ACTIVE.CELL",95:"SELECTION",96:"RESULT",97:"ATAN2",98:"ASIN",99:"ACOS",100:"CHOOSE",101:"HLOOKUP",102:"VLOOKUP",103:"LINKS",104:"INPUT",105:"ISREF",106:"GET.FORMULA",107:"GET.NAME",108:"SET.VALUE",109:"LOG",110:"EXEC",111:"CHAR",112:"LOWER",113:"UPPER",114:"PROPER",115:"LEFT",116:"RIGHT",117:"EXACT",118:"TRIM",119:"REPLACE",120:"SUBSTITUTE",121:"CODE",122:"NAMES",123:"DIRECTORY",124:"FIND",125:"CELL",126:"ISERR",127:"ISTEXT",128:"ISNUMBER",129:"ISBLANK",130:"T",131:"N",132:"FOPEN",133:"FCLOSE",134:"FSIZE",135:"FREADLN",136:"FREAD",137:"FWRITELN",138:"FWRITE",139:"FPOS",140:"DATEVALUE",141:"TIMEVALUE",142:"SLN",143:"SYD",144:"DDB",145:"GET.DEF",146:"REFTEXT",147:"TEXTREF",148:"INDIRECT",149:"REGISTER",150:"CALL",151:"ADD.BAR",152:"ADD.MENU",153:"ADD.COMMAND",154:"ENABLE.COMMAND",155:"CHECK.COMMAND",156:"RENAME.COMMAND",157:"SHOW.BAR",158:"DELETE.MENU",159:"DELETE.COMMAND",160:"GET.CHART.ITEM",161:"DIALOG.BOX",162:"CLEAN",163:"MDETERM",164:"MINVERSE",165:"MMULT",166:"FILES",167:"IPMT",168:"PPMT",169:"COUNTA",170:"CANCEL.KEY",171:"FOR",172:"WHILE",173:"BREAK",174:"NEXT",175:"INITIATE",176:"REQUEST",177:"POKE",178:"EXECUTE",179:"TERMINATE",180:"RESTART",181:"HELP",182:"GET.BAR",183:"PRODUCT",184:"FACT",185:"GET.CELL",186:"GET.WORKSPACE",187:"GET.WINDOW",188:"GET.DOCUMENT",189:"DPRODUCT",190:"ISNONTEXT",191:"GET.NOTE",192:"NOTE",193:"STDEVP",194:"VARP",195:"DSTDEVP",196:"DVARP",197:"TRUNC",198:"ISLOGICAL",199:"DCOUNTA",200:"DELETE.BAR",201:"UNREGISTER",204:"USDOLLAR",205:"FINDB",206:"SEARCHB",207:"REPLACEB",208:"LEFTB",209:"RIGHTB",210:"MIDB",211:"LENB",212:"ROUNDUP",213:"ROUNDDOWN",214:"ASC",215:"DBCS",216:"RANK",219:"ADDRESS",220:"DAYS360",221:"TODAY",222:"VDB",223:"ELSE",224:"ELSE.IF",225:"END.IF",226:"FOR.CELL",227:"MEDIAN",228:"SUMPRODUCT",229:"SINH",230:"COSH",231:"TANH",232:"ASINH",233:"ACOSH",234:"ATANH",235:"DGET",236:"CREATE.OBJECT",237:"VOLATILE",238:"LAST.ERROR",239:"CUSTOM.UNDO",240:"CUSTOM.REPEAT",241:"FORMULA.CONVERT",242:"GET.LINK.INFO",243:"TEXT.BOX",244:"INFO",245:"GROUP",246:"GET.OBJECT",247:"DB",248:"PAUSE",251:"RESUME",252:"FREQUENCY",253:"ADD.TOOLBAR",254:"DELETE.TOOLBAR",255:"User",256:"RESET.TOOLBAR",257:"EVALUATE",258:"GET.TOOLBAR",259:"GET.TOOL",260:"SPELLING.CHECK",261:"ERROR.TYPE",262:"APP.TITLE",263:"WINDOW.TITLE",264:"SAVE.TOOLBAR",265:"ENABLE.TOOL",266:"PRESS.TOOL",267:"REGISTER.ID",268:"GET.WORKBOOK",269:"AVEDEV",270:"BETADIST",271:"GAMMALN",272:"BETAINV",273:"BINOMDIST",274:"CHIDIST",275:"CHIINV",276:"COMBIN",277:"CONFIDENCE",278:"CRITBINOM",279:"EVEN",280:"EXPONDIST",281:"FDIST",282:"FINV",283:"FISHER",284:"FISHERINV",285:"FLOOR",286:"GAMMADIST",287:"GAMMAINV",288:"CEILING",289:"HYPGEOMDIST",290:"LOGNORMDIST",291:"LOGINV",292:"NEGBINOMDIST",293:"NORMDIST",294:"NORMSDIST",295:"NORMINV",296:"NORMSINV",297:"STANDARDIZE",298:"ODD",299:"PERMUT",300:"POISSON",301:"TDIST",302:"WEIBULL",303:"SUMXMY2",304:"SUMX2MY2",305:"SUMX2PY2",306:"CHITEST",307:"CORREL",308:"COVAR",309:"FORECAST",310:"FTEST",311:"INTERCEPT",312:"PEARSON",313:"RSQ",314:"STEYX",315:"SLOPE",316:"TTEST",317:"PROB",318:"DEVSQ",319:"GEOMEAN",320:"HARMEAN",321:"SUMSQ",322:"KURT",323:"SKEW",324:"ZTEST",325:"LARGE",326:"SMALL",327:"QUARTILE",328:"PERCENTILE",329:"PERCENTRANK",330:"MODE",331:"TRIMMEAN",332:"TINV",334:"MOVIE.COMMAND",335:"GET.MOVIE",336:"CONCATENATE",337:"POWER",338:"PIVOT.ADD.DATA",339:"GET.PIVOT.TABLE",340:"GET.PIVOT.FIELD",341:"GET.PIVOT.ITEM",342:"RADIANS",343:"DEGREES",344:"SUBTOTAL",345:"SUMIF",346:"COUNTIF",347:"COUNTBLANK",348:"SCENARIO.GET",349:"OPTIONS.LISTS.GET",350:"ISPMT",351:"DATEDIF",352:"DATESTRING",353:"NUMBERSTRING",354:"ROMAN",355:"OPEN.DIALOG",356:"SAVE.DIALOG",357:"VIEW.GET",358:"GETPIVOTDATA",359:"HYPERLINK",360:"PHONETIC",361:"AVERAGEA",362:"MAXA",363:"MINA",364:"STDEVPA",365:"VARPA",366:"STDEVA",367:"VARA",368:"BAHTTEXT",369:"THAIDAYOFWEEK",370:"THAIDIGIT",371:"THAIMONTHOFYEAR",372:"THAINUMSOUND",373:"THAINUMSTRING",374:"THAISTRINGLENGTH",375:"ISTHAIDIGIT",376:"ROUNDBAHTDOWN",377:"ROUNDBAHTUP",378:"THAIYEAR",379:"RTD",380:"CUBEVALUE",381:"CUBEMEMBER",382:"CUBEMEMBERPROPERTY",383:"CUBERANKEDMEMBER",384:"HEX2BIN",385:"HEX2DEC",386:"HEX2OCT",387:"DEC2BIN",388:"DEC2HEX",389:"DEC2OCT",390:"OCT2BIN",391:"OCT2HEX",392:"OCT2DEC",393:"BIN2DEC",394:"BIN2OCT",395:"BIN2HEX",396:"IMSUB",397:"IMDIV",398:"IMPOWER",399:"IMABS",400:"IMSQRT",401:"IMLN",402:"IMLOG2",403:"IMLOG10",404:"IMSIN",405:"IMCOS",406:"IMEXP",407:"IMARGUMENT",408:"IMCONJUGATE",409:"IMAGINARY",410:"IMREAL",411:"COMPLEX",412:"IMSUM",413:"IMPRODUCT",414:"SERIESSUM",415:"FACTDOUBLE",416:"SQRTPI",417:"QUOTIENT",418:"DELTA",419:"GESTEP",420:"ISEVEN",421:"ISODD",422:"MROUND",423:"ERF",424:"ERFC",425:"BESSELJ",426:"BESSELK",427:"BESSELY",428:"BESSELI",429:"XIRR",430:"XNPV",431:"PRICEMAT",432:"YIELDMAT",433:"INTRATE",434:"RECEIVED",435:"DISC",436:"PRICEDISC",437:"YIELDDISC",438:"TBILLEQ",439:"TBILLPRICE",440:"TBILLYIELD",441:"PRICE",442:"YIELD",443:"DOLLARDE",444:"DOLLARFR",445:"NOMINAL",446:"EFFECT",447:"CUMPRINC",448:"CUMIPMT",449:"EDATE",450:"EOMONTH",451:"YEARFRAC",452:"COUPDAYBS",453:"COUPDAYS",454:"COUPDAYSNC",455:"COUPNCD",456:"COUPNUM",457:"COUPPCD",458:"DURATION",459:"MDURATION",460:"ODDLPRICE",461:"ODDLYIELD",462:"ODDFPRICE",463:"ODDFYIELD",464:"RANDBETWEEN",465:"WEEKNUM",466:"AMORDEGRC",467:"AMORLINC",468:"CONVERT",724:"SHEETJS",469:"ACCRINT",470:"ACCRINTM",471:"WORKDAY",472:"NETWORKDAYS",473:"GCD",474:"MULTINOMIAL",475:"LCM",476:"FVSCHEDULE",477:"CUBEKPIMEMBER",478:"CUBESET",479:"CUBESETCOUNT",480:"IFERROR",481:"COUNTIFS",482:"SUMIFS",483:"AVERAGEIF",484:"AVERAGEIFS"},el={2:1,3:1,10:0,15:1,16:1,17:1,18:1,19:0,20:1,21:1,22:1,23:1,24:1,25:1,26:1,27:2,30:2,31:3,32:1,33:1,34:0,35:0,38:1,39:2,40:3,41:3,42:3,43:3,44:3,45:3,47:3,48:2,53:1,61:3,63:0,65:3,66:3,67:1,68:1,69:1,70:1,71:1,72:1,73:1,74:0,75:1,76:1,77:1,79:2,80:2,83:1,85:0,86:1,89:0,90:1,94:0,95:0,97:2,98:1,99:1,101:3,102:3,105:1,106:1,108:2,111:1,112:1,113:1,114:1,117:2,118:1,119:4,121:1,126:1,127:1,128:1,129:1,130:1,131:1,133:1,134:1,135:1,136:2,137:2,138:2,140:1,141:1,142:3,143:4,144:4,161:1,162:1,163:1,164:1,165:2,172:1,175:2,176:2,177:3,178:2,179:1,184:1,186:1,189:3,190:1,195:3,196:3,197:1,198:1,199:3,201:1,207:4,210:3,211:1,212:2,213:2,214:1,215:1,225:0,229:1,230:1,231:1,232:1,233:1,234:1,235:3,244:1,247:4,252:2,257:1,261:1,271:1,273:4,274:2,275:2,276:2,277:3,278:3,279:1,280:3,281:3,282:3,283:1,284:1,285:2,286:4,287:3,288:2,289:4,290:3,291:3,292:3,293:4,294:1,295:3,296:1,297:3,298:1,299:2,300:3,301:3,302:4,303:2,304:2,305:2,306:2,307:2,308:2,309:3,310:2,311:2,312:2,313:2,314:2,315:2,316:4,325:2,326:2,327:2,328:2,331:2,332:2,337:2,342:1,343:1,346:2,347:1,350:4,351:3,352:1,353:2,360:1,368:1,369:1,370:1,371:1,372:1,373:1,374:1,375:1,376:1,377:1,378:1,382:3,385:1,392:1,393:1,396:2,397:2,398:2,399:1,400:1,401:1,402:1,403:1,404:1,405:1,406:1,407:1,408:1,409:1,410:1,414:4,415:1,416:1,417:2,420:1,421:1,422:2,424:1,425:2,426:2,427:2,428:2,430:3,438:3,439:3,440:3,443:2,444:2,445:2,446:2,447:6,448:6,449:2,450:2,464:2,468:3,476:2,479:1,480:2,65535:0};function tl(e){return"of:"==e.slice(0,3)&&(e=e.slice(3)),61==e.charCodeAt(0)&&61==(e=e.slice(1)).charCodeAt(0)&&(e=e.slice(1)),(e=(e=(e=(e=(e=e.replace(/COM\.MICROSOFT\./g,"")).replace(/\[((?:\.[A-Z]+[0-9]+)(?::\.[A-Z]+[0-9]+)?)\]/g,(function(e,t){return t.replace(/\./g,"")}))).replace(/\$'([^']|'')+'/g,(function(e){return e.slice(1)}))).replace(/\$([^\]\. #$]+)/g,(function(e,t){return t.match(/^([A-Z]{1,2}|[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D])?(10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})?$/)?e:t}))).replace(/\[.(#[A-Z]*[?!])\]/g,"$1")).replace(/[;~]/g,",").replace(/\|/g,";")}function nl(e){var t=(e=(e=e.replace(/\$'([^']|'')+'/g,(function(e){return e.slice(1)}))).replace(/\$([^\]\. #$]+)/g,(function(e,t){return t.match(/^([A-Z]{1,2}|[A-W][A-Z]{2}|X[A-E][A-Z]|XF[A-D])?(10[0-3]\d{4}|104[0-7]\d{3}|1048[0-4]\d{2}|10485[0-6]\d|104857[0-6]|[1-9]\d{0,5})?$/)?e:t}))).split(":");return[t[0].split(".")[0],t[0].split(".")[1]+(t.length>1?":"+(t[1].split(".")[1]||t[1].split(".")[0]):"")]}function rl(e){return e.replace(/!/,".").replace(/:/,":.")}var il={},al={},ol="undefined"!=typeof Map;function sl(e,t,n){var r=0,i=e.length;if(n){if(ol?n.has(t):Object.prototype.hasOwnProperty.call(n,t))for(var a=ol?n.get(t):n[t];r<a.length;++r)if(e[a[r]].t===t)return e.Count++,a[r]}else for(;r<i;++r)if(e[r].t===t)return e.Count++,r;return e[i]={t:t},e.Count++,e.Unique++,n&&(ol?(n.has(t)||n.set(t,[]),n.get(t).push(i)):(Object.prototype.hasOwnProperty.call(n,t)||(n[t]=[]),n[t].push(i))),i}function ll(e,t){var n={min:e+1,max:e+1},r=-1;return t.MDW&&(Eo=t.MDW),null!=t.width?n.customWidth=1:null!=t.wpx?r=Do(t.wpx):null!=t.wch&&(r=t.wch),r>-1?(n.width=Po(r),n.customWidth=1):null!=t.width&&(n.width=t.width),t.hidden&&(n.hidden=!0),null!=t.level&&(n.outlineLevel=n.level=t.level),n}function cl(e,t){if(e){var n=[.7,.7,.75,.75,.3,.3];"xlml"==t&&(n=[1,1,1,1,.5,.5]),null==e.left&&(e.left=n[0]),null==e.right&&(e.right=n[1]),null==e.top&&(e.top=n[2]),null==e.bottom&&(e.bottom=n[3]),null==e.header&&(e.header=n[4]),null==e.footer&&(e.footer=n[5])}}function ul(e,t,n){var r=n.revssf[null!=t.z?t.z:"General"],i=60,a=e.length;if(null==r&&n.ssf)for(;i<392;++i)if(null==n.ssf[i]){Ce(t.z,i),n.ssf[i]=t.z,n.revssf[t.z]=r=i;break}for(i=0;i!=a;++i)if(e[i].numFmtId===r)return i;return e[a]={numFmtId:r,fontId:0,fillId:0,borderId:0,xfId:0,applyNumberFormat:1},a}function dl(e,t,n,r,i,a,o){try{r.cellNF&&(e.z=W[t])}catch(e){if(r.WTF)throw e}if("z"!==e.t||r.cellStyles){if("d"===e.t&&"string"==typeof e.v&&(e.v=He(e.v)),(!r||!1!==r.cellText)&&"z"!==e.t)try{if(null==W[t]&&Ce(Ae[t]||"General",t),"e"===e.t)e.w=e.w||ni[e.v];else if(0===t)if("n"===e.t)(0|e.v)===e.v?e.w=e.v.toString(10):e.w=J(e.v);else if("d"===e.t){var s=Ue(e.v,!!o);e.w=(0|s)===s?s.toString(10):J(s)}else{if(void 0===e.v)return"";e.w=Z(e.v,al)}else"d"===e.t?e.w=ye(t,Ue(e.v,!!o),al):e.w=ye(t,e.v,al)}catch(e){if(r.WTF)throw e}if(r.cellStyles&&null!=n)try{e.s=a.Fills[n],e.s.fgColor&&e.s.fgColor.theme&&!e.s.fgColor.rgb&&(e.s.fgColor.rgb=Ao(i.themeElements.clrScheme[e.s.fgColor.theme].rgb,e.s.fgColor.tint||0),r.WTF&&(e.s.fgColor.raw_rgb=i.themeElements.clrScheme[e.s.fgColor.theme].rgb)),e.s.bgColor&&e.s.bgColor.theme&&(e.s.bgColor.rgb=Ao(i.themeElements.clrScheme[e.s.bgColor.theme].rgb,e.s.bgColor.tint||0),r.WTF&&(e.s.bgColor.raw_rgb=i.themeElements.clrScheme[e.s.bgColor.theme].rgb))}catch(e){if(r.WTF&&a.Fills)throw e}}}function fl(e,t,n){if(e&&e["!ref"]){var r=pr(e["!ref"]);if(r.e.c<r.s.c||r.e.r<r.s.r)throw new Error("Bad range ("+n+"): "+e["!ref"])}}var pl=/<(?:\w+:)?mergeCell ref=["'][A-Z0-9:]+['"]\s*[\/]?>/g,hl=/<(?:\w+:)?hyperlink [^<>]*>/gm,ml=/"(\w*:\w*)"/,gl=/<(?:\w+:)?col\b[^<>]*[\/]?>/g,vl=/<(?:\w+:)?autoFilter[^>]*/g,yl=/<(?:\w+:)?pageMargins[^<>]*\/>/g,bl=/<(?:\w+:)?sheetPr\b[^<>]*?\/>/;function _l(e,t,n,r){var i=Ot(e);n.Sheets[r]||(n.Sheets[r]={}),i.codeName&&(n.Sheets[r].CodeName=Lt(Yt(i.codeName)))}var xl=["objects","scenarios","selectLockedCells","selectUnlockedCells"],wl=["formatColumns","formatRows","formatCells","insertColumns","insertRows","insertHyperlinks","deleteColumns","deleteRows","sort","autoFilter","pivotTables"],Al=/<(?:\w:)?sheetView(?:[^<>a-z][^<>]*)?\/?>/g;function Sl(e,t,n,r,i,a,o){if(e.c&&n["!comments"].push([t,e.c]),(void 0===e.v||"z"===e.t&&!(r||{}).sheetStubs)&&"string"!=typeof e.f&&void 0===e.z)return"";var s="",l=e.t,c=e.v;if("z"!==e.t)switch(e.t){case"b":s=e.v?"1":"0";break;case"n":isNaN(e.v)?(e.t="e",s=ni[e.v=36]):isFinite(e.v)?s=""+e.v:(e.t="e",s=ni[e.v=7]);break;case"e":s=ni[e.v];break;case"d":if(r&&r.cellDates){var u=He(e.v,o);s=u.toISOString(),u.getUTCFullYear()<1900&&(s=s.slice(s.indexOf("T")+1).replace("Z",""))}else(e=Xe(e)).t="n",s=""+(e.v=Ue(He(e.v,o),o));void 0===e.z&&(e.z=W[14]);break;default:s=e.v}var d="z"==e.t||null==e.v?"":rn("v",Ut(s)),f={r:t},p=ul(r.cellXfs,e,r);switch(0!==p&&(f.s=p),e.t){case"n":case"z":break;case"d":f.t="d";break;case"b":f.t="b";break;case"e":f.t="e";break;default:if(null==e.v){delete e.t;break}if(e.v.length>32767)throw new Error("Text length must not exceed 32767 characters");if(r&&r.bookSST){d=rn("v",""+sl(r.Strings,e.v,r.revStrings)),f.t="s";break}f.t="str"}if(e.t!=l&&(e.t=l,e.v=c),"string"==typeof e.f&&e.f){var h=e.F&&e.F.slice(0,t.length)==t?{t:"array",ref:e.F}:null;d=on("f",Ut(e.f),h)+(null!=e.v?d:"")}return e.l&&(e.l.display=Ut(s),n["!links"].push([t,e.l])),e.D&&(f.cm=1),on("c",d,f)}var Tl=function(){var e=/<(?:\w+:)?c[ \/>]/,t=/<\/(?:\w+:)?row>/,n=/r=["']([^"']*)["']/,r=/ref=["']([^"']*)["']/;return function(i,a,o,s,l,c,u){for(var d,f,p,h,m,g=0,v="",y=[],b=[],_=0,x=0,w=0,A="",S=0,T=0,C=0,E=0,M=Array.isArray(c.CellXf),D=[],P=[],I=null!=a["!data"],O=[],N={},k=!1,R=!!o.sheetStubs,L=!!((u||{}).WBProps||{}).date1904,F=i.split(t),B=0,U=F.length;B!=U;++B){var V=(v=F[B].trim()).length;if(0!==V){var G=0;e:for(g=0;g<V;++g)switch(v[g]){case">":if("/"!=v[g-1]){++g;break e}if(o&&o.cellStyles){if(S=null!=(f=Ot(v.slice(G,g),!0)).r?parseInt(f.r,10):S+1,T=-1,o.sheetRows&&o.sheetRows<S)continue;N={},k=!1,f.ht&&(k=!0,N.hpt=parseFloat(f.ht),N.hpx=Lo(N.hpt)),f.hidden&&Wt(f.hidden)&&(k=!0,N.hidden=!0),null!=f.outlineLevel&&(k=!0,N.level=+f.outlineLevel),k&&(O[S-1]=N)}break;case"<":G=g}if(G>=g)break;if(S=null!=(f=Ot(v.slice(G,g),!0)).r?parseInt(f.r,10):S+1,T=-1,!(o.sheetRows&&o.sheetRows<S)){o.nodim||(s.s.r>S-1&&(s.s.r=S-1),s.e.r<S-1&&(s.e.r=S-1)),o&&o.cellStyles&&(N={},k=!1,f.ht&&(k=!0,N.hpt=parseFloat(f.ht),N.hpx=Lo(N.hpt)),f.hidden&&Wt(f.hidden)&&(k=!0,N.hidden=!0),null!=f.outlineLevel&&(k=!0,N.level=+f.outlineLevel),k&&(O[S-1]=N)),y=v.slice(g).split(e);for(var z=0;z!=y.length&&"<"==y[z].trim().charAt(0);++z);for(y=y.slice(z),g=0;g!=y.length;++g)if(0!==(v=y[g].trim()).length){if(b=v.match(n),_=g,x=0,w=0,v="<c "+("<"==v.slice(0,1)?">":"")+v,null!=b&&2===b.length){for(_=0,A=b[1],x=0;x!=A.length&&!((w=A.charCodeAt(x)-64)<1||w>26);++x)_=26*_+w;T=--_}else++T;for(x=0;x!=v.length&&62!==v.charCodeAt(x);++x);if(++x,(f=Ot(v.slice(0,x),!0)).r||(f.r=lr({r:S-1,c:T})),A=v.slice(x),d={t:""},null!=(b=ut(A,"v"))&&""!==b[1]&&(d.v=Lt(b[1])),o.cellFormula){if(null!=(b=ut(A,"f"))){if(""==b[1])b[0].indexOf('t="shared"')>-1&&P[(h=Ot(b[0])).si]&&(d.f=hs(P[h.si][1],P[h.si][2],f.r));else if(d.f=Lt(Yt(b[1]),!0),o.xlfn||(d.f=ms(d.f)),b[0].indexOf('t="array"')>-1)d.F=(A.match(r)||[])[1],d.F.indexOf(":")>-1&&D.push([pr(d.F),d.F]);else if(b[0].indexOf('t="shared"')>-1){h=Ot(b[0]);var j=Lt(Yt(b[1]));o.xlfn||(j=ms(j)),P[parseInt(h.si,10)]=[h,j,f.r]}}else(b=A.match(/<f[^<>]*\/>/))&&P[(h=Ot(b[0])).si]&&(d.f=hs(P[h.si][1],P[h.si][2],f.r));var H=sr(f.r);for(x=0;x<D.length;++x)H.r>=D[x][0].s.r&&H.r<=D[x][0].e.r&&H.c>=D[x][0].s.c&&H.c<=D[x][0].e.c&&(d.F=D[x][1])}if(null==f.t&&void 0===d.v)if(d.f||d.F)d.v=0,d.t="n";else{if(!R)continue;d.t="z"}else d.t=f.t||"n";switch(s.s.c>T&&(s.s.c=T),s.e.c<T&&(s.e.c=T),d.t){case"n":if(""==d.v||null==d.v){if(!R)continue;d.t="z"}else d.v=parseFloat(d.v);break;case"s":if(void 0===d.v){if(!R)continue;d.t="z"}else p=il[parseInt(d.v,10)],d.v=p.t,d.r=p.r,o.cellHTML&&(d.h=p.h);break;case"str":d.t="s",d.v=null!=d.v?Lt(Yt(d.v),!0):"",o.cellHTML&&(d.h=zt(d.v));break;case"inlineStr":b=ut(A,"is"),d.t="s",null!=b&&(p=ao(b[1]))?(d.v=p.t,o.cellHTML&&(d.h=p.h)):d.v="";break;case"b":d.v=Wt(d.v);break;case"d":o.cellDates?d.v=He(d.v,L):(d.v=Ue(He(d.v,L),L),d.t="n");break;case"e":o&&!1===o.cellText||(d.w=d.v),d.v=ri[d.v]}if(C=E=0,m=null,M&&void 0!==f.s&&null!=(m=c.CellXf[f.s])&&(null!=m.numFmtId&&(C=m.numFmtId),o.cellStyles&&null!=m.fillId&&(E=m.fillId)),dl(d,C,E,o,l,c,L),o.cellDates&&M&&"n"==d.t&&me(W[C])&&(d.v=Ve(d.v+(L?1462:0)),d.t="number"==typeof d.v?"n":"d"),f.cm&&o.xlmeta){var $=(o.xlmeta.Cell||[])[+f.cm-1];$&&"XLDAPR"==$.type&&(d.D=!0)}var X;o.nodim&&(X=sr(f.r),s.s.r>X.r&&(s.s.r=X.r),s.e.r<X.r&&(s.e.r=X.r)),I?(X=sr(f.r),a["!data"][X.r]||(a["!data"][X.r]=[]),a["!data"][X.r][X.c]=d):a[f.r]=d}}}}O.length>0&&(a["!rows"]=O)}}();function Cl(e,t,n,r){var i,a=[Ct,on("worksheet",null,{xmlns:dn[0],"xmlns:r":un.r})],o=n.SheetNames[e],s="",l=n.Sheets[o];null==l&&(l={});var c=l["!ref"]||"A1",u=pr(c);if(u.e.c>16383||u.e.r>1048575){if(t.WTF)throw new Error("Range "+c+" exceeds format limit A1:XFD1048576");u.e.c=Math.min(u.e.c,16383),u.e.r=Math.min(u.e.c,1048575),c=ur(u)}r||(r={}),l["!comments"]=[];var d=[];!function(e,t,n,r,i){var a=!1,o={},s=null;if("xlsx"!==r.bookType&&t.vbaraw){var l=t.SheetNames[n];try{t.Workbook&&(l=t.Workbook.Sheets[n].CodeName||l)}catch(e){}a=!0,o.codeName=Jt(Ut(l))}if(e&&e["!outline"]){var c={summaryBelow:1,summaryRight:1};e["!outline"].above&&(c.summaryBelow=0),e["!outline"].left&&(c.summaryRight=0),s=(s||"")+on("outlinePr",null,c)}(a||s)&&(i[i.length]=on("sheetPr",s,o))}(l,n,e,t,a),a[a.length]=on("dimension",null,{ref:c}),a[a.length]=function(e,t,n,r){var i={workbookViewId:"0"};return(((r||{}).Workbook||{}).Views||[])[0]&&(i.rightToLeft=r.Workbook.Views[0].RTL?"1":"0"),on("sheetViews",on("sheetView",null,i),{})}(0,0,0,n),t.sheetFormat&&(a[a.length]=on("sheetFormatPr",null,{defaultRowHeight:t.sheetFormat.defaultRowHeight||"16",baseColWidth:t.sheetFormat.baseColWidth||"10",outlineLevelRow:t.sheetFormat.outlineLevelRow||"7"})),null!=l["!cols"]&&l["!cols"].length>0&&(a[a.length]=function(e,t){for(var n,r=["<cols>"],i=0;i!=t.length;++i)(n=t[i])&&(r[r.length]=on("col",null,ll(i,n)));return r[r.length]="</cols>",r.join("")}(0,l["!cols"])),a[i=a.length]="<sheetData/>",l["!links"]=[],null!=l["!ref"]&&(s=function(e,t,n,r){var i,a,o=[],s=[],l=pr(e["!ref"]),c="",u="",d=[],f=0,p=0,h=e["!rows"],m=null!=e["!data"],g={r:u},v=-1,y=(((r||{}).Workbook||{}).WBProps||{}).date1904;for(p=l.s.c;p<=l.e.c;++p)d[p]=or(p);for(f=l.s.r;f<=l.e.r;++f){for(s=[],u=ir(f),p=l.s.c;p<=l.e.c;++p){i=d[p]+u;var b=m?(e["!data"][f]||[])[p]:e[i];void 0!==b&&null!=(c=Sl(b,i,e,t,0,0,y))&&s.push(c)}(s.length>0||h&&h[f])&&(g={r:u},h&&h[f]&&((a=h[f]).hidden&&(g.hidden=1),v=-1,a.hpx?v=Ro(a.hpx):a.hpt&&(v=a.hpt),v>-1&&(g.ht=v,g.customHeight=1),a.level&&(g.outlineLevel=a.level)),o[o.length]=on("row",s.join(""),g))}if(h)for(;f<h.length;++f)h&&h[f]&&(g={r:f+1},(a=h[f]).hidden&&(g.hidden=1),v=-1,a.hpx?v=Ro(a.hpx):a.hpt&&(v=a.hpt),v>-1&&(g.ht=v,g.customHeight=1),a.level&&(g.outlineLevel=a.level),o[o.length]=on("row","",g));return o.join("")}(l,t,0,n),s.length>0&&(a[a.length]=s)),a.length>i+1&&(a[a.length]="</sheetData>",a[i]=a[i].replace("/>",">")),l["!protect"]&&(a[a.length]=function(e){var t={sheet:1};return xl.forEach((function(n){null!=e[n]&&e[n]&&(t[n]="1")})),wl.forEach((function(n){null==e[n]||e[n]||(t[n]="0")})),e.password&&(t.password=bo(e.password).toString(16).toUpperCase()),on("sheetProtection",null,t)}(l["!protect"])),null!=l["!autofilter"]&&(a[a.length]=function(e,t,n,r){var i="string"==typeof e.ref?e.ref:ur(e.ref);n.Workbook||(n.Workbook={Sheets:[]}),n.Workbook.Names||(n.Workbook.Names=[]);var a=n.Workbook.Names,o=cr(i);o.s.r==o.e.r&&(o.e.r=cr(t["!ref"]).e.r,i=ur(o));for(var s=0;s<a.length;++s){var l=a[s];if("_xlnm._FilterDatabase"==l.Name&&l.Sheet==r){l.Ref=fr(n.SheetNames[r])+"!"+dr(i);break}}return s==a.length&&a.push({Name:"_xlnm._FilterDatabase",Sheet:r,Ref:"'"+n.SheetNames[r]+"'!"+i}),on("autoFilter",null,{ref:i})}(l["!autofilter"],l,n,e)),null!=l["!merges"]&&l["!merges"].length>0&&(a[a.length]=function(e){if(0===e.length)return"";for(var t='<mergeCells count="'+e.length+'">',n=0;n!=e.length;++n)t+='<mergeCell ref="'+ur(e[n])+'"/>';return t+"</mergeCells>"}(l["!merges"]));var f,p,h=-1,m=-1;return l["!links"].length>0&&(a[a.length]="<hyperlinks>",l["!links"].forEach((function(e){e[1].Target&&(f={ref:e[0]},"#"!=e[1].Target.charAt(0)&&(m=fi(r,-1,Ut(e[1].Target).replace(/#[\s\S]*$/,""),li.HLINK),f["r:id"]="rId"+m),(h=e[1].Target.indexOf("#"))>-1&&(f.location=Ut(e[1].Target.slice(h+1))),e[1].Tooltip&&(f.tooltip=Ut(e[1].Tooltip)),f.display=e[1].display,a[a.length]=on("hyperlink",null,f))})),a[a.length]="</hyperlinks>"),delete l["!links"],null!=l["!margins"]&&(a[a.length]=(cl(p=l["!margins"]),on("pageMargins",null,p))),t&&!t.ignoreEC&&null!=t.ignoreEC||(a[a.length]=rn("ignoredErrors",on("ignoredError",null,{numberStoredAsText:1,sqref:c}))),d.length>0&&(m=fi(r,-1,"../drawings/drawing"+(e+1)+".xml",li.DRAW),a[a.length]=on("drawing",null,{"r:id":"rId"+m}),l["!drawing"]=d),l["!comments"].length>0&&(m=fi(r,-1,"../drawings/vmlDrawing"+(e+1)+".vml",li.VML),a[a.length]=on("legacyDrawing",null,{"r:id":"rId"+m}),l["!legacy"]=m),a.length>1&&(a[a.length]="</worksheet>",a[1]=a[1].replace("/>",">")),a.join("")}function El(e,t,n,r){var i=function(e,t,n){var r=Kn(145),i=(n["!rows"]||[])[e]||{};r.write_shift(4,e),r.write_shift(4,0);var a=320;i.hpx?a=20*Ro(i.hpx):i.hpt&&(a=20*i.hpt),r.write_shift(2,a),r.write_shift(1,0);var o=0;i.level&&(o|=i.level),i.hidden&&(o|=16),(i.hpx||i.hpt)&&(o|=32),r.write_shift(1,o),r.write_shift(1,0);var s=0,l=r.l;r.l+=4;for(var c={r:e,c:0},u=null!=n["!data"],d=0;d<16;++d)if(!(t.s.c>d+1<<10||t.e.c<d<<10)){for(var f=-1,p=-1,h=d<<10;h<d+1<<10;++h)c.c=h,(u?(n["!data"][c.r]||[])[c.c]:n[lr(c)])&&(f<0&&(f=h),p=h);f<0||(++s,r.write_shift(4,f),r.write_shift(4,p))}var m=r.l;return r.l=l,r.write_shift(4,s),r.l=m,r.length>r.l?r.slice(0,r.l):r}(r,n,t);(i.length>17||(t["!rows"]||[])[r])&&Zn(e,0,i)}var Ml=Br,Dl=Ur;function Pl(e,t,n){return null==n&&(n=Kn(9)),Tr(t,n),n.write_shift(1,e.v),n}function Il(e,t,n){return null==n&&(n=Kn(8)),Er(t,n),n.write_shift(1,e.v),n.write_shift(2,0),n.write_shift(1,0),n}function Ol(e){return[Cr(e),Vr(e),"n"]}var Nl=Br,kl=Ur,Rl=["left","right","top","bottom","header","footer"];function Ll(e,t,n,r,i,a,o,s){var l={r:n,c:r};if(t.c&&a["!comments"].push([lr(l),t.c]),void 0===t.v)return!1;var c="";switch(t.t){case"b":c=t.v?"1":"0";break;case"d":(t=Xe(t)).z=t.z||W[14],t.v=Ue(He(t.v,s),s),t.t="n";break;case"n":case"e":c=""+t.v;break;default:c=t.v}switch(l.s=ul(i.cellXfs,t,i),t.l&&a["!links"].push([lr(l),t.l]),t.t){case"s":case"str":return i.bookSST?(c=sl(i.Strings,null==t.v?"":String(t.v),i.revStrings),l.t="s",l.v=c,o?Zn(e,18,function(e,t,n){return null==n&&(n=Kn(8)),Er(t,n),n.write_shift(4,t.v),n}(0,l)):Zn(e,7,function(e,t,n){return null==n&&(n=Kn(12)),Tr(t,n),n.write_shift(4,t.v),n}(0,l))):(l.t="str",o?Zn(e,17,function(e,t,n){var r=null==e.v?"":String(e.v);return null==n&&(n=Kn(8+4*r.length)),Er(t,n),_r(r,n),n.length>n.l?n.slice(0,n.l):n}(t,l)):Zn(e,6,function(e,t,n){var r=null==e.v?"":String(e.v);return null==n&&(n=Kn(12+4*e.v.length)),Tr(t,n),_r(r,n),n.length>n.l?n.slice(0,n.l):n}(t,l))),!0;case"n":return t.v==(0|t.v)&&t.v>-1e3&&t.v<1e3?o?Zn(e,13,function(e,t,n){return null==n&&(n=Kn(8)),Er(t,n),Lr(e.v,n),n}(t,l)):Zn(e,2,function(e,t,n){return null==n&&(n=Kn(12)),Tr(t,n),Lr(e.v,n),n}(t,l)):isNaN(t.v)?o?Zn(e,14,Il({t:"e",v:36},l)):Zn(e,3,Pl({t:"e",v:36},l)):isFinite(t.v)?o?Zn(e,16,function(e,t,n){return null==n&&(n=Kn(12)),Er(t,n),Gr(e.v,n),n}(t,l)):Zn(e,5,function(e,t,n){return null==n&&(n=Kn(16)),Tr(t,n),Gr(e.v,n),n}(t,l)):o?Zn(e,14,Il({t:"e",v:7},l)):Zn(e,3,Pl({t:"e",v:7},l)),!0;case"b":return l.t="b",o?Zn(e,15,function(e,t,n){return null==n&&(n=Kn(5)),Er(t,n),n.write_shift(1,e.v?1:0),n}(t,l)):Zn(e,4,function(e,t,n){return null==n&&(n=Kn(9)),Tr(t,n),n.write_shift(1,e.v?1:0),n}(t,l)),!0;case"e":return l.t="e",o?Zn(e,14,Il(t,l)):Zn(e,3,Pl(t,l)),!0}return o?Zn(e,12,function(e,t,n){return null==n&&(n=Kn(4)),Er(t,n)}(0,l)):Zn(e,1,function(e,t,n){return null==n&&(n=Kn(8)),Tr(t,n)}(0,l)),!0}function Fl(e,t,n,r){var i=Jn(),a=n.SheetNames[e],o=n.Sheets[a]||{},s=a;try{n&&n.Workbook&&(s=n.Workbook.Sheets[e].CodeName||s)}catch(e){}var l,c,u=pr(o["!ref"]||"A1");if(u.e.c>16383||u.e.r>1048575){if(t.WTF)throw new Error("Range "+(o["!ref"]||"A1")+" exceeds format limit A1:XFD1048576");u.e.c=Math.min(u.e.c,16383),u.e.r=Math.min(u.e.c,1048575)}return o["!links"]=[],o["!comments"]=[],Zn(i,129),(n.vbaraw||o["!outline"])&&Zn(i,147,function(e,t,n){null==n&&(n=Kn(84+4*e.length));var r=192;t&&(t.above&&(r&=-65),t.left&&(r&=-129)),n.write_shift(1,r);for(var i=1;i<3;++i)n.write_shift(1,0);return zr({auto:1},n),n.write_shift(-4,-1),n.write_shift(-4,-1),Dr(e,n),n.slice(0,n.l)}(s,o["!outline"])),Zn(i,148,Dl(u)),function(e,t,n){Zn(e,133),Zn(e,137,function(e,t,n){null==n&&(n=Kn(30));var r=924;return(((t||{}).Views||[])[0]||{}).RTL&&(r|=32),n.write_shift(2,r),n.write_shift(4,0),n.write_shift(4,0),n.write_shift(4,0),n.write_shift(1,0),n.write_shift(1,0),n.write_shift(2,0),n.write_shift(2,100),n.write_shift(2,0),n.write_shift(2,0),n.write_shift(2,0),n.write_shift(4,0),n}(0,n)),Zn(e,138),Zn(e,134)}(i,0,n.Workbook),function(e,t){t&&t["!cols"]&&(Zn(e,390),t["!cols"].forEach((function(t,n){t&&Zn(e,60,function(e,t,n){null==n&&(n=Kn(18));var r=ll(e,t);n.write_shift(-4,e),n.write_shift(-4,e),n.write_shift(4,256*(r.width||10)),n.write_shift(4,0);var i=0;return t.hidden&&(i|=1),"number"==typeof r.width&&(i|=2),t.level&&(i|=t.level<<8),n.write_shift(2,i),n}(n,t))})),Zn(e,391))}(i,o),function(e,t,n,r,i){var a,o=pr(t["!ref"]||"A1"),s="",l=[],c=(((i||{}).Workbook||{}).WBProps||{}).date1904;Zn(e,145);var u=null!=t["!data"],d=o.e.r;t["!rows"]&&(d=Math.max(o.e.r,t["!rows"].length-1));for(var f=o.s.r;f<=d;++f){s=ir(f),El(e,t,o,f);var p=!1;if(f<=o.e.r)for(var h=o.s.c;h<=o.e.c;++h){f===o.s.r&&(l[h]=or(h)),a=l[h]+s;var m=u?(t["!data"][f]||[])[h]:t[a];p=!!m&&Ll(e,m,f,h,r,t,p,c)}}Zn(e,146)}(i,o,0,t,n),function(e,t){var n,r;t["!protect"]&&Zn(e,535,(n=t["!protect"],null==r&&(r=Kn(66)),r.write_shift(2,n.password?bo(n.password):0),r.write_shift(4,1),[["objects",!1],["scenarios",!1],["formatCells",!0],["formatColumns",!0],["formatRows",!0],["insertColumns",!0],["insertRows",!0],["insertHyperlinks",!0],["deleteColumns",!0],["deleteRows",!0],["selectLockedCells",!1],["sort",!0],["autoFilter",!0],["pivotTables",!0],["selectUnlockedCells",!1]].forEach((function(e){e[1]?r.write_shift(4,null==n[e[0]]||n[e[0]]?0:1):r.write_shift(4,null!=n[e[0]]&&n[e[0]]?0:1)})),r))}(i,o),function(e,t,n,r){if(t["!autofilter"]){var i=t["!autofilter"],a="string"==typeof i.ref?i.ref:ur(i.ref);n.Workbook||(n.Workbook={Sheets:[]}),n.Workbook.Names||(n.Workbook.Names=[]);var o=n.Workbook.Names,s=cr(a);s.s.r==s.e.r&&(s.e.r=cr(t["!ref"]).e.r,a=ur(s));for(var l=0;l<o.length;++l){var c=o[l];if("_xlnm._FilterDatabase"==c.Name&&c.Sheet==r){c.Ref=fr(n.SheetNames[r])+"!"+dr(a);break}}l==o.length&&o.push({Name:"_xlnm._FilterDatabase",Sheet:r,Ref:fr(n.SheetNames[r])+"!"+dr(a)}),Zn(e,161,Ur(pr(a))),Zn(e,162)}}(i,o,n,e),function(e,t){var n,r;t&&t["!merges"]&&(Zn(e,177,(n=t["!merges"].length,null==r&&(r=Kn(4)),r.write_shift(4,n),r)),t["!merges"].forEach((function(t){Zn(e,176,kl(t))})),Zn(e,178))}(i,o),function(e,t,n){t["!links"].forEach((function(t){if(t[1].Target){var r=fi(n,-1,t[1].Target.replace(/#[\s\S]*$/,""),li.HLINK);Zn(e,494,function(e,t){var n=Kn(50+4*(e[1].Target.length+(e[1].Tooltip||"").length));Ur({s:sr(e[0]),e:sr(e[0])},n),kr("rId"+t,n);var r=e[1].Target.indexOf("#");return _r((-1==r?"":e[1].Target.slice(r+1))||"",n),_r(e[1].Tooltip||"",n),_r("",n),n.slice(0,n.l)}(t,r))}})),delete t["!links"]}(i,o,r),o["!margins"]&&Zn(i,476,(l=o["!margins"],null==c&&(c=Kn(48)),cl(l),Rl.forEach((function(e){Gr(l[e],c)})),c)),t&&!t.ignoreEC&&null!=t.ignoreEC||function(e,t){t&&t["!ref"]&&(Zn(e,648),Zn(e,649,function(e){var t=Kn(24);return t.write_shift(4,4),t.write_shift(4,1),Ur(e,t),t}(pr(t["!ref"]))),Zn(e,650))}(i,o),function(e,t,n,r){if(t["!comments"].length>0){var i=fi(r,-1,"../drawings/vmlDrawing"+(n+1)+".vml",li.VML);Zn(e,551,kr("rId"+i)),t["!legacy"]=i}}(i,o,e,r),Zn(i,130),i.end()}var Bl=[["allowRefreshQuery",!1,"bool"],["autoCompressPictures",!0,"bool"],["backupFile",!1,"bool"],["checkCompatibility",!1,"bool"],["CodeName",""],["date1904",!1,"bool"],["defaultThemeVersion",0,"int"],["filterPrivacy",!1,"bool"],["hidePivotFieldList",!1,"bool"],["promptedSolutions",!1,"bool"],["publishItems",!1,"bool"],["refreshAllConnections",!1,"bool"],["saveExternalLinkValues",!0,"bool"],["showBorderUnselectedTables",!0,"bool"],["showInkAnnotation",!0,"bool"],["showObjects","all"],["showPivotChartFilter",!1,"bool"],["updateLinks","userSet"]],Ul=[["activeTab",0,"int"],["autoFilterDateGrouping",!0,"bool"],["firstSheet",0,"int"],["minimized",!1,"bool"],["showHorizontalScroll",!0,"bool"],["showSheetTabs",!0,"bool"],["showVerticalScroll",!0,"bool"],["tabRatio",600,"int"],["visibility","visible"]],Vl=[],Gl=[["calcCompleted","true"],["calcMode","auto"],["calcOnSave","true"],["concurrentCalc","true"],["fullCalcOnLoad","false"],["fullPrecision","true"],["iterate","false"],["iterateCount","100"],["iterateDelta","0.001"],["refMode","A1"]];function zl(e,t){for(var n=0;n!=e.length;++n)for(var r=e[n],i=0;i!=t.length;++i){var a=t[i];if(null==r[a[0]])r[a[0]]=a[1];else switch(a[2]){case"bool":"string"==typeof r[a[0]]&&(r[a[0]]=Wt(r[a[0]]));break;case"int":"string"==typeof r[a[0]]&&(r[a[0]]=parseInt(r[a[0]],10))}}}function jl(e,t){for(var n=0;n!=t.length;++n){var r=t[n];if(null==e[r[0]])e[r[0]]=r[1];else switch(r[2]){case"bool":"string"==typeof e[r[0]]&&(e[r[0]]=Wt(e[r[0]]));break;case"int":"string"==typeof e[r[0]]&&(e[r[0]]=parseInt(e[r[0]],10))}}}function Wl(e){jl(e.WBProps,Bl),jl(e.CalcPr,Gl),zl(e.WBView,Ul),zl(e.Sheets,Vl),al.date1904=Wt(e.WBProps.date1904)}var Hl=":][*?/\\".split("");function $l(e,t){try{if(""==e)throw new Error("Sheet name cannot be blank");if(e.length>31)throw new Error("Sheet name cannot exceed 31 chars");if(39==e.charCodeAt(0)||39==e.charCodeAt(e.length-1))throw new Error("Sheet name cannot start or end with apostrophe (')");if("history"==e.toLowerCase())throw new Error("Sheet name cannot be 'History'");Hl.forEach((function(t){if(-1!=e.indexOf(t))throw new Error("Sheet name cannot contain : \\ / ? * [ ]")}))}catch(e){if(t)return!1;throw e}return!0}function Xl(e){if(!e||!e.SheetNames||!e.Sheets)throw new Error("Invalid Workbook");if(!e.SheetNames.length)throw new Error("Workbook is empty");var t,n,r,i=e.Workbook&&e.Workbook.Sheets||[];t=e.SheetNames,n=i,r=!!e.vbaraw,t.forEach((function(e,i){$l(e);for(var a=0;a<i;++a)if(e==t[a])throw new Error("Duplicate Sheet Name: "+e);if(r){var o=n&&n[i]&&n[i].CodeName||e;if(95==o.charCodeAt(0)&&o.length>22)throw new Error("Bad Code Name: Worksheet"+o)}}));for(var a=0;a<e.SheetNames.length;++a)fl(e.Sheets[e.SheetNames[a]],e.SheetNames[a],a);e.SheetNames.forEach((function(t,n){var r=e.Sheets[t];if(r&&r["!autofilter"]){var i;e.Workbook||(e.Workbook={}),e.Workbook.Names||(e.Workbook.Names=[]),e.Workbook.Names.forEach((function(e){"_xlnm._FilterDatabase"==e.Name&&e.Sheet==n&&(i=e)}));var a=fr(t)+"!"+dr(r["!autofilter"].ref);i?i.Ref=a:e.Workbook.Names.push({Name:"_xlnm._FilterDatabase",Sheet:n,Ref:a})}}))}var ql=/<\w+:workbook/;function Kl(e,t){var n={};return e.read_shift(4),n.ArchID=e.read_shift(4),e.l+=t-8,n}function Yl(e,t){var n=Jn();return Zn(n,131),Zn(n,128,function(e,t){t||(t=Kn(127));for(var n=0;4!=n;++n)t.write_shift(4,0);return _r("SheetJS",t),_r(a.version,t),_r(a.version,t),_r("7262",t),t.length>t.l?t.slice(0,t.l):t}()),Zn(n,153,function(e,t){t||(t=Kn(72));var n=0;return e&&(e.date1904&&(n|=1),e.filterPrivacy&&(n|=8)),t.write_shift(4,n),t.write_shift(4,0),Dr(e&&e.CodeName||"ThisWorkbook",t),t.slice(0,t.l)}(e.Workbook&&e.Workbook.WBProps||null)),function(e,t){if(t.Workbook&&t.Workbook.Sheets){for(var n,r,i=t.Workbook.Sheets,a=0,o=-1,s=-1;a<i.length;++a)!i[a]||!i[a].Hidden&&-1==o?o=a:1==i[a].Hidden&&-1==s&&(s=a);s>o||(Zn(e,135),Zn(e,158,(n=o,r||(r=Kn(29)),r.write_shift(-4,0),r.write_shift(-4,460),r.write_shift(4,28800),r.write_shift(4,17600),r.write_shift(4,500),r.write_shift(4,n),r.write_shift(4,n),r.write_shift(1,120),r.length>r.l?r.slice(0,r.l):r)),Zn(e,136))}}(n,e),function(e,t){Zn(e,143);for(var n=0;n!=t.SheetNames.length;++n)Zn(e,156,(r={Hidden:t.Workbook&&t.Workbook.Sheets&&t.Workbook.Sheets[n]&&t.Workbook.Sheets[n].Hidden||0,iTabID:n+1,strRelID:"rId"+(n+1),name:t.SheetNames[n]},(i=void 0)||(i=Kn(127)),i.write_shift(4,r.Hidden),i.write_shift(4,r.iTabID),kr(r.strRelID,i),_r(r.name.slice(0,31),i),i.length>i.l?i.slice(0,i.l):i));var r,i;Zn(e,144)}(n,e),function(e,t){Zn(e,353),Zn(e,357),Zn(e,362,function(e){var t=e.SheetNames.length,n=Kn(12*t+28);n.write_shift(4,t+2),n.write_shift(4,0),n.write_shift(4,-2),n.write_shift(4,-2),n.write_shift(4,0),n.write_shift(4,-1),n.write_shift(4,-1);for(var r=0;r<t;++r)n.write_shift(4,0),n.write_shift(4,r),n.write_shift(4,r);return n}(t)),Zn(e,354)}(n,e),(e.Workbook||{}).Names&&function(e,t){t.Workbook&&t.Workbook.Names&&t.Workbook.Names.forEach((function(n){try{if(14&n.Flags)return;Zn(e,39,function(e,t){var n=Kn(9),r=0,i=e.Name;ii.indexOf(i)>-1&&(r|=32,i=i.slice(6)),n.write_shift(4,r),n.write_shift(1,0),n.write_shift(4,null==e.Sheet?4294967295:e.Sheet);var a=[n,_r(i),Js(e.Ref,t)];if(e.Comment)a.push(Ir(e.Comment));else{var o=Kn(4);o.write_shift(4,4294967295),a.push(o)}return O(a)}(n,t))}catch(e){console.error("Could not serialize defined name "+JSON.stringify(n))}}))}(n,e),Zn(n,132),n.end()}function Jl(e,t,n,r,i,a,o,s){return".bin"===t.slice(-4)?function(e,t,n,r,i,a,o){if(!e)return e;var s=t||{};r||(r={"!id":{}}),null!=b&&null==s.dense&&(s.dense=b);var l,c={};s.dense&&(c["!data"]=[]);var u,d,f,p,h,m,g,v,y,_={s:{r:2e6,c:2e6},e:{r:0,c:0}},x=[],w=!1,A=!1,S=[];s.biff=12,s["!row"]=0;var T=0,C=!1,E=[],M={},D=s.supbooks||i.supbooks||[[]];if(D.sharedf=M,D.arrayf=E,D.SheetNames=i.SheetNames||i.Sheets.map((function(e){return e.name})),!s.supbooks&&(s.supbooks=D,i.Names))for(var P=0;P<i.Names.length;++P)D[0][P+1]=i.Names[P];var I,O,N=[],k=[],R=!1;_c[16]={n:"BrtShortReal",f:Ol};var L=1462*+!!((i||{}).WBProps||{}).date1904;if(Yn(e,(function(e,t,b){if(!A)switch(b){case 148:l=e;break;case 0:u=e,s.sheetRows&&s.sheetRows<=u.r&&(A=!0),v=ir(p=u.r),s["!row"]=u.r,(e.hidden||e.hpt||null!=e.level)&&(e.hpt&&(e.hpx=Lo(e.hpt)),k[e.r]=e);break;case 2:case 3:case 4:case 5:case 6:case 7:case 8:case 9:case 10:case 11:case 13:case 14:case 15:case 16:case 17:case 18:case 62:switch(d={t:e[2]},e[2]){case"n":d.v=e[1];break;case"s":g=il[e[1]],d.v=g.t,d.r=g.r;break;case"b":d.v=!!e[1];break;case"e":d.v=e[1],!1!==s.cellText&&(d.w=ni[d.v]);break;case"str":d.t="s",d.v=e[1];break;case"is":d.t="s",d.v=e[1].t}if((f=o.CellXf[e[0].iStyleRef])&&dl(d,f.numFmtId,null,s,a,o,L>0),h=-1==e[0].c?h+1:e[0].c,s.dense?(c["!data"][p]||(c["!data"][p]=[]),c["!data"][p][h]=d):c[or(h)+v]=d,s.cellFormula){for(C=!1,T=0;T<E.length;++T){var P=E[T];u.r>=P[0].s.r&&u.r<=P[0].e.r&&h>=P[0].s.c&&h<=P[0].e.c&&(d.F=ur(P[0]),C=!0)}!C&&e.length>3&&(d.f=e[3])}if(_.s.r>u.r&&(_.s.r=u.r),_.s.c>h&&(_.s.c=h),_.e.r<u.r&&(_.e.r=u.r),_.e.c<h&&(_.e.c=h),s.cellDates&&f&&"n"==d.t&&me(W[f.numFmtId])){var F=K(d.v+L);F&&(d.t="d",d.v=new Date(Date.UTC(F.y,F.m-1,F.d,F.H,F.M,F.S,F.u)))}I&&("XLDAPR"==I.type&&(d.D=!0),I=void 0),O&&(O=void 0);break;case 1:case 12:if(!s.sheetStubs||w)break;d={t:"z",v:void 0},h=-1==e[0].c?h+1:e[0].c,s.dense?(c["!data"][p]||(c["!data"][p]=[]),c["!data"][p][h]=d):c[or(h)+v]=d,_.s.r>u.r&&(_.s.r=u.r),_.s.c>h&&(_.s.c=h),_.e.r<u.r&&(_.e.r=u.r),_.e.c<h&&(_.e.c=h),I&&("XLDAPR"==I.type&&(d.D=!0),I=void 0),O&&(O=void 0);break;case 176:S.push(e);break;case 49:I=((s.xlmeta||{}).Cell||[])[e-1];break;case 494:var B=r["!id"][e.relId];for(B?(e.Target=B.Target,e.loc&&(e.Target+="#"+e.loc),e.Rel=B):""==e.relId&&(e.Target="#"+e.loc),p=e.rfx.s.r;p<=e.rfx.e.r;++p)for(h=e.rfx.s.c;h<=e.rfx.e.c;++h)s.dense?(c["!data"][p]||(c["!data"][p]=[]),c["!data"][p][h]||(c["!data"][p][h]={t:"z",v:void 0}),c["!data"][p][h].l=e):(m=or(h)+ir(p),c[m]||(c[m]={t:"z",v:void 0}),c[m].l=e);break;case 426:if(!s.cellFormula)break;E.push(e),(y=s.dense?c["!data"][p][h]:c[or(h)+v]).f=Gs(e[1],0,{r:u.r,c:h},D,s),y.F=ur(e[0]);break;case 427:if(!s.cellFormula)break;M[lr(e[0].s)]=e[1],(y=s.dense?c["!data"][p][h]:c[or(h)+v]).f=Gs(e[1],0,{r:u.r,c:h},D,s);break;case 60:if(!s.cellStyles)break;for(;e.e>=e.s;)N[e.e--]={width:e.w/256,hidden:!!(1&e.flags),level:e.level},R||(R=!0,Oo(e.w/256)),No(N[e.e+1]);break;case 551:e&&(c["!legrel"]=e);break;case 161:c["!autofilter"]={ref:ur(e)};break;case 476:c["!margins"]=e;break;case 147:i.Sheets[n]||(i.Sheets[n]={}),e.name&&(i.Sheets[n].CodeName=e.name),(e.above||e.left)&&(c["!outline"]={above:e.above,left:e.left});break;case 137:i.Views||(i.Views=[{}]),i.Views[0]||(i.Views[0]={}),e.RTL&&(i.Views[0].RTL=!0);break;case 485:case 64:case 1053:case 151:case 152:case 175:case 644:case 625:case 562:case 396:case 1112:case 1146:case 471:case 1050:case 649:case 1105:case 589:case 607:case 564:case 1055:case 168:case 174:case 1180:case 499:case 507:case 550:case 171:case 167:case 1177:case 169:case 1181:case 552:case 661:case 639:case 478:case 537:case 477:case 536:case 1103:case 680:case 1104:case 1024:case 663:case 535:case 678:case 504:case 1043:case 428:case 170:case 3072:case 50:case 2070:case 1045:break;case 35:w=!0;break;case 36:w=!1;break;case 37:x.push(b),w=!0;break;case 38:x.pop(),w=!1;break;default:if(t.T);else if(!w||s.WTF)throw new Error("Unexpected record 0x"+b.toString(16))}}),s),delete s.supbooks,delete s["!row"],!c["!ref"]&&(_.s.r<2e6||l&&(l.e.r>0||l.e.c>0||l.s.r>0||l.s.c>0))&&(c["!ref"]=ur(l||_)),s.sheetRows&&c["!ref"]){var F=pr(c["!ref"]);s.sheetRows<=+F.e.r&&(F.e.r=s.sheetRows-1,F.e.r>_.e.r&&(F.e.r=_.e.r),F.e.r<F.s.r&&(F.s.r=F.e.r),F.e.c>_.e.c&&(F.e.c=_.e.c),F.e.c<F.s.c&&(F.s.c=F.e.c),c["!fullref"]=c["!ref"],c["!ref"]=ur(F))}return S.length>0&&(c["!merges"]=S),N.length>0&&(c["!cols"]=N),k.length>0&&(c["!rows"]=k),r["!id"][c["!legrel"]]&&(c["!legdrawel"]=r["!id"][c["!legrel"]]),c}(e,r,n,i,a,o,s):function(e,t,n,r,i,a,o){if(!e)return e;r||(r={"!id":{}}),null!=b&&null==t.dense&&(t.dense=b);var s={};t.dense&&(s["!data"]=[]);var l={s:{r:2e6,c:2e6},e:{r:0,c:0}},c="",u="",d=ut(e,"sheetData");d?(c=e.slice(0,d.index),u=e.slice(d.index+d[0].length)):c=u=e;var f=c.match(bl);f?_l(f[0],0,i,n):(f=ut(c,"sheetPr"))&&function(e,t,n,r,i){_l(e.slice(0,e.indexOf(">")),0,r,i)}(f[0],f[1],0,i,n);var p=(c.match(/<(?:\w*:)?dimension/)||{index:-1}).index;if(p>0){var h=c.slice(p,p+50).match(ml);!h||t&&t.nodim||function(e,t){var n=pr(t);n.s.r<=n.e.r&&n.s.c<=n.e.c&&n.s.r>=0&&n.s.c>=0&&(e["!ref"]=ur(n))}(s,h[1])}var m=ut(c,"sheetViews");m&&m[1]&&function(e,t){t.Views||(t.Views=[{}]),(e.match(Al)||[]).forEach((function(e,n){var r=Ot(e);t.Views[n]||(t.Views[n]={}),+r.zoomScale&&(t.Views[n].zoom=+r.zoomScale),r.rightToLeft&&Wt(r.rightToLeft)&&(t.Views[n].RTL=!0)}))}(m[1],i);var g=[];if(t.cellStyles){var v=c.match(gl);v&&function(e,t){for(var n=!1,r=0;r!=t.length;++r){var i=Ot(t[r],!0);i.hidden&&(i.hidden=Wt(i.hidden));var a=parseInt(i.min,10)-1,o=parseInt(i.max,10)-1;for(i.outlineLevel&&(i.level=+i.outlineLevel||0),delete i.min,delete i.max,i.width=+i.width,!n&&i.width&&(n=!0,Oo(i.width)),No(i);a<=o;)e[a++]=Xe(i)}}(g,v)}d&&Tl(d[1],s,t,l,a,o,i);var y=u.match(vl);y&&(s["!autofilter"]=function(e){return{ref:(e.match(/ref="([^"]*)"/)||[])[1]}}(y[0]));var _=[],x=u.match(pl);if(x)for(p=0;p!=x.length;++p)_[p]=pr(x[p].slice(x[p].indexOf('"')+1));var w=u.match(hl);w&&function(e,t,n){for(var r=null!=e["!data"],i=0;i!=t.length;++i){var a=Ot(Yt(t[i]),!0);if(!a.ref)return;var o=((n||{})["!id"]||[])[a.id];o?(a.Target=o.Target,a.location&&(a.Target+="#"+Lt(a.location))):(a.Target="#"+Lt(a.location),o={Target:a.Target,TargetMode:"Internal"}),a.Rel=o,a.tooltip&&(a.Tooltip=a.tooltip,delete a.tooltip);for(var s=pr(a.ref),l=s.s.r;l<=s.e.r;++l)for(var c=s.s.c;c<=s.e.c;++c){var u=or(c)+ir(l);r?(e["!data"][l]||(e["!data"][l]=[]),e["!data"][l][c]||(e["!data"][l][c]={t:"z",v:void 0}),e["!data"][l][c].l=a):(e[u]||(e[u]={t:"z",v:void 0}),e[u].l=a)}}}(s,w,r);var A,S,T,C=u.match(yl);if(C&&(s["!margins"]=(A=Ot(C[0]),S={},["left","right","top","bottom","header","footer"].forEach((function(e){A[e]&&(S[e]=parseFloat(A[e]))})),S)),(T=u.match(/legacyDrawing r:id="(.*?)"/))&&(s["!legrel"]=T[1]),t&&t.nodim&&(l.s.c=l.s.r=0),!s["!ref"]&&l.e.c>=l.s.c&&l.e.r>=l.s.r&&(s["!ref"]=ur(l)),t.sheetRows>0&&s["!ref"]){var E=pr(s["!ref"]);t.sheetRows<=+E.e.r&&(E.e.r=t.sheetRows-1,E.e.r>l.e.r&&(E.e.r=l.e.r),E.e.r<E.s.r&&(E.s.r=E.e.r),E.e.c>l.e.c&&(E.e.c=l.e.c),E.e.c<E.s.c&&(E.s.c=E.e.c),s["!fullref"]=s["!ref"],s["!ref"]=ur(E))}return g.length>0&&(s["!cols"]=g),_.length>0&&(s["!merges"]=_),r["!id"][s["!legrel"]]&&(s["!legdrawel"]=r["!id"][s["!legrel"]]),s}(e,r,n,i,a,o,s)}var Zl,Ql=/\b((?:\w+:)?[\w]+)=((?:")([^"]*)(?:")|(?:')([^']*)(?:'))/g,ec=/\b((?:\w+:)?[\w]+)=((?:")(?:[^"]*)(?:")|(?:')(?:[^']*)(?:'))/;function tc(e,t){var n=e.split(/\s+/),r=[];if(t||(r[0]=n[0]),1===n.length)return r;var i,a,o,s=e.match(Ql);if(s)for(o=0;o!=s.length;++o)-1===(a=(i=s[o].match(ec))[1].indexOf(":"))?r[i[1]]=i[2].slice(1,i[2].length-1):r["xmlns:"===i[1].slice(0,6)?"xmlns"+i[1].slice(6):i[1].slice(a+1)]=i[2].slice(1,i[2].length-1);return r}function nc(e){var t={};if(1===e.split(/\s+/).length)return t;var n,r,i,a=e.match(Ql);if(a)for(i=0;i!=a.length;++i)-1===(r=(n=a[i].match(ec))[1].indexOf(":"))?t[n[1]]=n[2].slice(1,n[2].length-1):t["xmlns:"===n[1].slice(0,6)?"xmlns"+n[1].slice(6):n[1].slice(r+1)]=n[2].slice(1,n[2].length-1);return t}function rc(e,t,n,r){var i=r;switch((n[0].match(/dt:dt="([\w.]+)"/)||["",""])[1]){case"boolean":i=Wt(r);break;case"i2":case"int":i=parseInt(r,10);break;case"r4":case"float":i=parseFloat(r);break;case"date":case"dateTime.tz":i=He(r);break;case"i8":case"string":case"fixed":case"uuid":case"bin.base64":break;default:throw new Error("bad custprop:"+n[0])}e[Lt(t)]=i}function ic(e,t,n){if(n.cellStyles&&t.Interior){var r=t.Interior;r.Pattern&&(r.patternType=Fo[r.Pattern]||r.Pattern)}e[t.ID]=t}function ac(e,t,n,r,i,a,o,s,l,c,u){var d="General",f=r.StyleID,p={};c=c||{};var h=[],m=0;for(void 0===f&&s&&(f=s.StyleID),void 0===f&&o&&(f=o.StyleID);void 0!==a[f];){var g=a[f];if(g.nf&&(d=g.nf),g.Interior&&h.push(g.Interior),!g.Parent)break;f=g.Parent}switch(n.Type){case"Boolean":r.t="b",r.v=Wt(e);break;case"String":r.t="s",r.r=jt(Lt(e)),r.v=e.indexOf("<")>-1?Lt(t||e).replace(/<[^<>]*>/g,""):r.r;break;case"DateTime":"Z"!=e.slice(-1)&&(e+="Z"),r.v=Ue(He(e,u),u),r.v!=r.v&&(r.v=Lt(e)),d&&"General"!=d||(d="yyyy-mm-dd");case"Number":void 0===r.v&&(r.v=+e),r.t||(r.t="n");break;case"Error":r.t="e",r.v=ri[e],!1!==c.cellText&&(r.w=e);break;default:""==e&&""==t?r.t="z":(r.t="s",r.v=jt(t||e))}if(function(e,t,n,r){if("z"!==e.t){if(!n||!1!==n.cellText)try{"e"===e.t?e.w=e.w||ni[e.v]:"General"===t?"n"===e.t?(0|e.v)===e.v?e.w=e.v.toString(10):e.w=J(e.v):e.w=Z(e.v):e.w=function(e,t,n){var r=Zl[e]||Lt(e);return"General"===r?Z(t):ye(r,t,{date1904:!!n})}(t||"General",e.v,r)}catch(e){if(n.WTF)throw e}try{var i=Zl[t]||t||"General";if(n.cellNF&&(e.z=i),n.cellDates&&"n"==e.t&&me(i)){var a=K(e.v+(r?1462:0));a&&(e.t="d",e.v=new Date(Date.UTC(a.y,a.m-1,a.d,a.H,a.M,a.S,a.u)))}}catch(e){if(n.WTF)throw e}}}(r,d,c,u),!1!==c.cellFormula)if(r.Formula){var v=Lt(r.Formula);61==v.charCodeAt(0)&&(v=v.slice(1)),r.f=us(v,i),delete r.Formula,"RC"==r.ArrayRange?r.F=us("RC:RC",i):r.ArrayRange&&(r.F=us(r.ArrayRange,i),l.push([pr(r.F),r.F]))}else for(m=0;m<l.length;++m)i.r>=l[m][0].s.r&&i.r<=l[m][0].e.r&&i.c>=l[m][0].s.c&&i.c<=l[m][0].e.c&&(r.F=l[m][1]);c.cellStyles&&(h.forEach((function(e){!p.patternType&&e.patternType&&(p.patternType=e.patternType)})),r.s=p),void 0!==r.StyleID&&(r.ixfe=r.StyleID)}function oc(e){e.t=e.v||"",e.t=e.t.replace(/\r\n/g,"\n").replace(/\r/g,"\n"),e.v=e.w=e.ixfe=void 0}function sc(e,t){var n=t||{};xe();var r=g(ln(e));"binary"!=n.type&&"array"!=n.type&&"base64"!=n.type||(r=void 0!==i?i.utils.decode(65001,p(r)):Yt(r));var a,o=r.slice(0,1024).toLowerCase(),s=!1;if((1023&(o=o.replace(/".*?"/g,"")).indexOf(">"))>Math.min(1023&o.indexOf(","),1023&o.indexOf(";"))){var l=Xe(n);return l.type="string",Qa.to_workbook(r,l)}if(-1==o.indexOf("<?xml")&&["html","table","head","meta","script","style","div"].forEach((function(e){o.indexOf("<"+e)>=0&&(s=!0)})),s)return function(e,t){var n=pt(e,"table");if(!n||0==n.length)throw new Error("Invalid HTML: could not find <table>");if(1==n.length){var r=mr(Oc(n[0],t),t);return r.bookType="html",r}var i=md();return n.forEach((function(e,n){gd(i,Oc(e,t),"Sheet"+(n+1))})),i.bookType="html",i}(r,n);Zl={"General Number":"General","General Date":W[22],"Long Date":"dddd, mmmm dd, yyyy","Medium Date":W[15],"Short Date":W[14],"Long Time":W[19],"Medium Time":W[18],"Short Time":W[20],Currency:'"$"#,##0.00_);[Red]\\("$"#,##0.00\\)',Fixed:W[2],Standard:W[4],Percent:W[10],Scientific:W[11],"Yes/No":'"Yes";"Yes";"No";@',"True/False":'"True";"True";"False";@',"On/Off":'"Yes";"Yes";"No";@'};var c,u=[];null!=b&&null==n.dense&&(n.dense=b);var d={},f=[],h={},m="";n.dense&&(h["!data"]=[]);var v,y={},_={},x=tc('<Data ss:Type="String">'),w=0,A=0,S=0,T={s:{r:2e6,c:2e6},e:{r:0,c:0}},C={},E={},M="",D=0,P=[],I={},O={},N=0,k=[],R=[],L={},F=[],B=!1,U=[],V=[],G={},z=0,j=0,H={Sheets:[],WBProps:{date1904:!1}},$={};cn.lastIndex=0,r=st(r,"\x3c!--","--\x3e");for(var X,q="";a=cn.exec(r);)switch(a[3]=(q=a[3]).toLowerCase()){case"data":if("data"==q){if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else"/"!==a[0].charAt(a[0].length-2)&&u.push([a[3],!0]);break}if(u[u.length-1][1])break;"/"===a[1]?ac(r.slice(w,a.index),M,x,"comment"==u[u.length-1][0]?L:y,{c:A,r:S},C,F[A],_,U,n,H.WBProps.date1904):(M="",x=tc(a[0]),w=a.index+a[0].length);break;case"cell":if("/"===a[1])if(R.length>0&&(y.c=R),(!n.sheetRows||n.sheetRows>S)&&void 0!==y.v&&(n.dense?(h["!data"][S]||(h["!data"][S]=[]),h["!data"][S][A]=y):h[or(A)+ir(S)]=y),y.HRef&&(y.l={Target:Lt(y.HRef)},y.HRefScreenTip&&(y.l.Tooltip=y.HRefScreenTip),delete y.HRef,delete y.HRefScreenTip),(y.MergeAcross||y.MergeDown)&&(z=A+(0|parseInt(y.MergeAcross,10)),j=S+(0|parseInt(y.MergeDown,10)),(z>A||j>S)&&P.push({s:{c:A,r:S},e:{c:z,r:j}})),n.sheetStubs)if(y.MergeAcross||y.MergeDown){for(var K=A;K<=z;++K)for(var Y=S;Y<=j;++Y)(K>A||Y>S)&&(n.dense?(h["!data"][Y]||(h["!data"][Y]=[]),h["!data"][Y][K]={t:"z"}):h[or(K)+ir(Y)]={t:"z"});A=z+1}else++A;else y.MergeAcross?A=z+1:++A;else(y=nc(a[0])).Index&&(A=+y.Index-1),A<T.s.c&&(T.s.c=A),A>T.e.c&&(T.e.c=A),"/>"===a[0].slice(-2)&&++A,R=[];break;case"row":"/"===a[1]||"/>"===a[0].slice(-2)?(S<T.s.r&&(T.s.r=S),S>T.e.r&&(T.e.r=S),"/>"===a[0].slice(-2)&&(_=tc(a[0])).Index&&(S=+_.Index-1),A=0,++S):((_=tc(a[0])).Index&&(S=+_.Index-1),G={},("0"==_.AutoFitHeight||_.Height)&&(G.hpx=parseInt(_.Height,10),G.hpt=Ro(G.hpx),V[S]=G),"1"==_.Hidden&&(G.hidden=!0,V[S]=G));break;case"worksheet":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"));f.push(m),T.s.r<=T.e.r&&T.s.c<=T.e.c&&(h["!ref"]=ur(T),n.sheetRows&&n.sheetRows<=T.e.r&&(h["!fullref"]=h["!ref"],T.e.r=n.sheetRows-1,h["!ref"]=ur(T))),P.length&&(h["!merges"]=P),F.length>0&&(h["!cols"]=F),V.length>0&&(h["!rows"]=V),d[m]=h}else T={s:{r:2e6,c:2e6},e:{r:0,c:0}},S=A=0,u.push([a[3],!1]),c=tc(a[0]),m=Lt(c.Name),h={},n.dense&&(h["!data"]=[]),P=[],U=[],V=[],$={name:m,Hidden:0},H.Sheets.push($);break;case"table":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else{if("/>"==a[0].slice(-2))break;u.push([a[3],!1]),F=[],B=!1}break;case"style":"/"===a[1]?ic(C,E,n):E=tc(a[0]);break;case"numberformat":E.nf=Lt(tc(a[0]).Format||"General"),Zl[E.nf]&&(E.nf=Zl[E.nf]);for(var J=0;392!=J&&W[J]!=E.nf;++J);if(392==J)for(J=57;392!=J;++J)if(null==W[J]){Ce(E.nf,J);break}break;case"column":if("table"!==u[u.length-1][0])break;if("/"===a[1])break;if((v=tc(a[0])).Hidden&&(v.hidden=!0,delete v.Hidden),v.Width&&(v.wpx=parseInt(v.Width,10)),!B&&v.wpx>10){B=!0,Eo=So;for(var Z=0;Z<F.length;++Z)F[Z]&&No(F[Z])}B&&No(v),F[v.Index-1||F.length]=v;for(var Q=0;Q<+v.Span;++Q)F[F.length]=Xe(v);break;case"namedrange":if("/"===a[1])break;H.Names||(H.Names=[]);var ee=Ot(a[0]),te={Name:(X=ee.Name,ii.indexOf("_xlnm."+X)>-1?"_xlnm."+X:X),Ref:us(ee.RefersTo.slice(1),{r:0,c:0})};H.Sheets.length>0&&(te.Sheet=H.Sheets.length-1),H.Names.push(te);break;case"namedcell":case"b":case"i":case"u":case"s":case"em":case"h2":case"h3":case"sub":case"sup":case"span":case"alignment":case"borders":case"border":case"protection":case"paragraphs":case"name":case"pixelsperinch":case"null":break;case"font":if("/>"===a[0].slice(-2))break;"/"===a[1]?M+=r.slice(D,a.index):D=a.index+a[0].length;break;case"interior":if(!n.cellStyles)break;E.Interior=tc(a[0]);break;case"author":case"title":case"description":case"created":case"keywords":case"subject":case"category":case"company":case"lastauthor":case"lastsaved":case"lastprinted":case"version":case"revision":case"totaltime":case"hyperlinkbase":case"manager":case"contentstatus":case"identifier":case"language":case"appname":if("/>"===a[0].slice(-2))break;"/"===a[1]?Mi(I,q,r.slice(N,a.index)):N=a.index+a[0].length;break;case"styles":case"workbook":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else u.push([a[3],!1]);break;case"comment":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"));oc(L),R.push(L)}else u.push([a[3],!1]),Wt((c=tc(a[0])).ShowAlways||"0")||(R.hidden=!0),L={a:c.Author};break;case"autofilter":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else if("/"!==a[0].charAt(a[0].length-2)){var ne=tc(a[0]);h["!autofilter"]={ref:us(ne.Range).replace(/\$/g,"")},u.push([a[3],!0])}break;case"datavalidation":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else"/"!==a[0].charAt(a[0].length-2)&&u.push([a[3],!0]);break;case"componentoptions":case"documentproperties":case"customdocumentproperties":case"officedocumentsettings":case"pivottable":case"pivotcache":case"names":case"mapinfo":case"pagebreaks":case"querytable":case"sorting":case"schema":case"conditionalformatting":case"smarttagtype":case"smarttags":case"excelworkbook":case"workbookoptions":case"worksheetoptions":if("/"===a[1]){if((c=u.pop())[0]!==a[3])throw new Error("Bad state: "+c.join("|"))}else"/"!==a[0].charAt(a[0].length-2)&&u.push([a[3],!0]);break;default:if(0==u.length&&"document"==a[3])return Wc(r,n);if(0==u.length&&"uof"==a[3])return Wc(r,n);var re=!0;switch(u[u.length-1][0]){case"officedocumentsettings":switch(a[3]){case"allowpng":case"removepersonalinformation":case"downloadcomponents":case"locationofcomponents":case"colors":case"color":case"index":case"rgb":case"targetscreensize":case"readonlyrecommended":break;default:re=!1}break;case"componentoptions":switch(a[3]){case"toolbar":case"hideofficelogo":case"spreadsheetautofit":case"label":case"caption":case"maxheight":case"maxwidth":case"nextsheetnumber":break;default:re=!1}break;case"excelworkbook":switch(a[3]){case"date1904":H.WBProps.date1904=!0;break;case"hidehorizontalscrollbar":case"hideverticalscrollbar":case"hideworkbooktabs":case"windowheight":case"windowwidth":case"windowtopx":case"windowtopy":case"tabratio":case"protectstructure":case"protectwindow":case"protectwindows":case"activesheet":case"displayinknotes":case"firstvisiblesheet":case"supbook":case"sheetname":case"sheetindex":case"sheetindexfirst":case"sheetindexlast":case"dll":case"acceptlabelsinformulas":case"donotsavelinkvalues":case"iteration":case"maxiterations":case"maxchange":case"path":case"xct":case"count":case"selectedsheets":case"calculation":case"uncalced":case"startupprompt":case"crn":case"externname":case"formula":case"colfirst":case"collast":case"wantadvise":case"boolean":case"error":case"text":case"ole":case"noautorecover":case"publishobjects":case"donotcalculatebeforesave":case"number":case"refmoder1c1":case"embedsavesmarttags":break;default:re=!1}break;case"workbookoptions":switch(a[3]){case"owcversion":case"height":case"width":break;default:re=!1}break;case"worksheetoptions":switch(a[3]){case"visible":if("/>"===a[0].slice(-2));else if("/"===a[1])switch(r.slice(N,a.index)){case"SheetHidden":$.Hidden=1;break;case"SheetVeryHidden":$.Hidden=2}else N=a.index+a[0].length;break;case"header":h["!margins"]||cl(h["!margins"]={},"xlml"),isNaN(+Ot(a[0]).Margin)||(h["!margins"].header=+Ot(a[0]).Margin);break;case"footer":h["!margins"]||cl(h["!margins"]={},"xlml"),isNaN(+Ot(a[0]).Margin)||(h["!margins"].footer=+Ot(a[0]).Margin);break;case"pagemargins":var ie=Ot(a[0]);h["!margins"]||cl(h["!margins"]={},"xlml"),isNaN(+ie.Top)||(h["!margins"].top=+ie.Top),isNaN(+ie.Left)||(h["!margins"].left=+ie.Left),isNaN(+ie.Right)||(h["!margins"].right=+ie.Right),isNaN(+ie.Bottom)||(h["!margins"].bottom=+ie.Bottom);break;case"displayrighttoleft":H.Views||(H.Views=[]),H.Views[0]||(H.Views[0]={}),H.Views[0].RTL=!0;break;case"freezepanes":case"frozennosplit":case"splithorizontal":case"splitvertical":case"donotdisplaygridlines":case"activerow":case"activecol":case"toprowbottompane":case"leftcolumnrightpane":case"unsynced":case"print":case"printerrors":case"panes":case"scale":case"pane":case"number":case"layout":case"pagesetup":case"selected":case"protectobjects":case"enableselection":case"protectscenarios":case"validprinterinfo":case"horizontalresolution":case"verticalresolution":case"numberofcopies":case"activepane":case"toprowvisible":case"leftcolumnvisible":case"fittopage":case"rangeselection":case"papersizeindex":case"pagelayoutzoom":case"pagebreakzoom":case"filteron":case"fitwidth":case"fitheight":case"commentslayout":case"zoom":case"lefttoright":case"gridlines":case"allowsort":case"allowfilter":case"allowinsertrows":case"allowdeleterows":case"allowinsertcols":case"allowdeletecols":case"allowinserthyperlinks":case"allowformatcells":case"allowsizecols":case"allowsizerows":case"tabcolorindex":case"donotdisplayheadings":case"showpagelayoutzoom":case"blackandwhite":case"donotdisplayzeros":case"displaypagebreak":case"rowcolheadings":case"donotdisplayoutline":case"noorientation":case"allowusepivottables":case"zeroheight":case"viewablerange":case"selection":case"protectcontents":break;case"nosummaryrowsbelowdetail":h["!outline"]||(h["!outline"]={}),h["!outline"].above=!0;break;case"nosummarycolumnsrightdetail":h["!outline"]||(h["!outline"]={}),h["!outline"].left=!0;break;default:re=!1}break;case"pivottable":case"pivotcache":switch(a[3]){case"immediateitemsondrop":case"showpagemultipleitemlabel":case"compactrowindent":case"location":case"pivotfield":case"orientation":case"layoutform":case"layoutsubtotallocation":case"layoutcompactrow":case"position":case"pivotitem":case"datatype":case"datafield":case"sourcename":case"parentfield":case"ptlineitems":case"ptlineitem":case"countofsameitems":case"item":case"itemtype":case"ptsource":case"cacheindex":case"consolidationreference":case"filename":case"reference":case"nocolumngrand":case"norowgrand":case"blanklineafteritems":case"hidden":case"subtotal":case"basefield":case"mapchilditems":case"function":case"refreshonfileopen":case"printsettitles":case"mergelabels":case"defaultversion":case"refreshname":case"refreshdate":case"refreshdatecopy":case"versionlastrefresh":case"versionlastupdate":case"versionupdateablemin":case"versionrefreshablemin":case"calculation":break;default:re=!1}break;case"pagebreaks":switch(a[3]){case"colbreaks":case"colbreak":case"rowbreaks":case"rowbreak":case"colstart":case"colend":case"rowend":break;default:re=!1}break;case"autofilter":switch(a[3]){case"autofiltercolumn":case"autofiltercondition":case"autofilterand":case"autofilteror":break;default:re=!1}break;case"querytable":switch(a[3]){case"id":case"autoformatfont":case"autoformatpattern":case"querysource":case"querytype":case"enableredirections":case"refreshedinxl9":case"urlstring":case"htmltables":case"connection":case"commandtext":case"refreshinfo":case"notitles":case"nextid":case"columninfo":case"overwritecells":case"donotpromptforfile":case"textwizardsettings":case"source":case"number":case"decimal":case"thousandseparator":case"trailingminusnumbers":case"formatsettings":case"fieldtype":case"delimiters":case"tab":case"comma":case"autoformatname":case"versionlastedit":case"versionlastrefresh":break;default:re=!1}break;case"datavalidation":switch(a[3]){case"range":case"type":case"min":case"max":case"sort":case"descending":case"order":case"casesensitive":case"value":case"errorstyle":case"errormessage":case"errortitle":case"inputmessage":case"inputtitle":case"combohide":case"inputhide":case"condition":case"qualifier":case"useblank":case"value1":case"value2":case"format":case"cellrangelist":break;default:re=!1}break;case"sorting":case"conditionalformatting":switch(a[3]){case"range":case"type":case"min":case"max":case"sort":case"descending":case"order":case"casesensitive":case"value":case"errorstyle":case"errormessage":case"errortitle":case"cellrangelist":case"inputmessage":case"inputtitle":case"combohide":case"inputhide":case"condition":case"qualifier":case"useblank":case"value1":case"value2":case"format":break;default:re=!1}break;case"mapinfo":case"schema":case"data":switch(a[3]){case"map":case"entry":case"range":case"xpath":case"field":case"xsdtype":case"filteron":case"aggregate":case"elementtype":case"attributetype":case"schema":case"element":case"complextype":case"datatype":case"all":case"attribute":case"extends":case"row":break;default:re=!1}break;case"smarttags":break;default:re=!1}if(re)break;if(a[3].match(/!\[CDATA/))break;if(!u[u.length-1][1])throw"Unrecognized tag: "+a[3]+"|"+u.join("|");if("customdocumentproperties"===u[u.length-1][0]){if("/>"===a[0].slice(-2))break;"/"===a[1]?rc(O,q,k,r.slice(N,a.index)):(k=a,N=a.index+a[0].length);break}if(n.WTF)throw"Unrecognized tag: "+a[3]+"|"+u.join("|")}var ae={};return n.bookSheets||n.bookProps||(ae.Sheets=d),ae.SheetNames=f,ae.Workbook=H,ae.SSF=Xe(W),ae.Props=I,ae.Custprops=O,ae.bookType="xlml",ae}function lc(e,t){switch(Vu(t=t||{}),t.type||"base64"){case"base64":return sc(w(e),t);case"binary":case"buffer":case"file":return sc(e,t);case"array":return sc(P(e),t)}}function cc(e){return on("NamedRange",null,{"ss:Name":"_xlnm."==e.Name.slice(0,6)?e.Name.slice(6):e.Name,"ss:RefersTo":"="+fs(e.Ref,{r:0,c:0})})}function uc(e,t,n,r,i,a,o){if(!e||null==e.v&&null==e.f)return"";var s={};if(e.f&&(s["ss:Formula"]="="+Ut(fs(e.f,o))),e.F&&e.F.slice(0,t.length)==t){var l=sr(e.F.slice(t.length+1));s["ss:ArrayRange"]="RC:R"+(l.r==o.r?"":"["+(l.r-o.r)+"]")+"C"+(l.c==o.c?"":"["+(l.c-o.c)+"]")}if(e.l&&e.l.Target&&(s["ss:HRef"]=Ut(e.l.Target),e.l.Tooltip&&(s["x:HRefScreenTip"]=Ut(e.l.Tooltip))),n["!merges"])for(var c=n["!merges"],u=0;u!=c.length;++u)c[u].s.c==o.c&&c[u].s.r==o.r&&(c[u].e.c>c[u].s.c&&(s["ss:MergeAcross"]=c[u].e.c-c[u].s.c),c[u].e.r>c[u].s.r&&(s["ss:MergeDown"]=c[u].e.r-c[u].s.r));var d="",f="";switch(e.t){case"z":if(!r.sheetStubs)return"";break;case"n":d="Number",f=String(e.v);break;case"b":d="Boolean",f=e.v?"1":"0";break;case"e":d="Error",f=ni[e.v];break;case"d":d="DateTime",f=new Date(e.v).toISOString(),null==e.z&&(e.z=e.z||W[14]);break;case"s":d="String",f=((e.v||"")+"").replace(Ft,(function(e){return Rt[e]})).replace(Gt,(function(e){return"&#x"+e.charCodeAt(0).toString(16).toUpperCase()+";"}))}var p=ul(r.cellXfs,e,r);s["ss:StyleID"]="s"+(21+p),s["ss:Index"]=o.c+1;var h,m=null!=e.v?f:"",g="z"==e.t?"":'<Data ss:Type="'+d+'">'+m+"</Data>";return(e.c||[]).length>0&&(g+=(h=e.c).map((function(e){var t=function(e){return e.replace(/(\r\n|[\r\n])/g,"&#10;")}(e.t||""),n=on("ss:Data",t,{xmlns:"http://www.w3.org/TR/REC-html40"}),r={};return e.a&&(r["ss:Author"]=e.a),h.hidden||(r["ss:ShowAlways"]="1"),on("Comment",n,r)})).join("")),on("Cell",g,s)}function dc(e,t){var n='<Row ss:Index="'+(e+1)+'"';return t&&(t.hpt&&!t.hpx&&(t.hpx=Lo(t.hpt)),t.hpx&&(n+=' ss:AutoFitHeight="0" ss:Height="'+t.hpx+'"'),t.hidden&&(n+=' ss:Hidden="1"')),n+">"}function fc(e,t,n){var r=[],i=n.SheetNames[e],a=n.Sheets[i],o=a?function(e,t,n,r){if(!e)return"";if(!((r||{}).Workbook||{}).Names)return"";for(var i=r.Workbook.Names,a=[],o=0;o<i.length;++o){var s=i[o];s.Sheet==n&&(s.Name.match(/^_xlfn\./)||a.push(cc(s)))}return a.join("")}(a,0,e,n):"";return o.length>0&&r.push("<Names>"+o+"</Names>"),o=a?function(e,t,n,r){if(!e["!ref"])return"";var i=pr(e["!ref"]),a=e["!merges"]||[],o=0,s=[];e["!cols"]&&e["!cols"].forEach((function(e,t){No(e);var n=!!e.width,r=ll(t,e),i={"ss:Index":t+1};n&&(i["ss:Width"]=Mo(r.width)),e.hidden&&(i["ss:Hidden"]="1"),s.push(on("Column",null,i))}));for(var l=null!=e["!data"],c=i.s.r;c<=i.e.r;++c){for(var u=[dc(c,(e["!rows"]||[])[c])],d=i.s.c;d<=i.e.c;++d){var f=!1;for(o=0;o!=a.length;++o)if(!(a[o].s.c>d||a[o].s.r>c||a[o].e.c<d||a[o].e.r<c)){a[o].s.c==d&&a[o].s.r==c||(f=!0);break}if(!f){var p={r:c,c:d},h=or(d)+ir(c),m=l?(e["!data"][c]||[])[d]:e[h];u.push(uc(m,h,e,t,0,0,p))}}u.push("</Row>"),u.length>2&&s.push(u.join(""))}return s.join("")}(a,t):"",o.length>0&&r.push("<Table>"+o+"</Table>"),r.push(function(e,t,n,r){if(!e)return"";var i=[];if(e["!margins"]&&(i.push("<PageSetup>"),e["!margins"].header&&i.push(on("Header",null,{"x:Margin":e["!margins"].header})),e["!margins"].footer&&i.push(on("Footer",null,{"x:Margin":e["!margins"].footer})),i.push(on("PageMargins",null,{"x:Bottom":e["!margins"].bottom||"0.75","x:Left":e["!margins"].left||"0.7","x:Right":e["!margins"].right||"0.7","x:Top":e["!margins"].top||"0.75"})),i.push("</PageSetup>")),r&&r.Workbook&&r.Workbook.Sheets&&r.Workbook.Sheets[n])if(r.Workbook.Sheets[n].Hidden)i.push(on("Visible",1==r.Workbook.Sheets[n].Hidden?"SheetHidden":"SheetVeryHidden",{}));else{for(var a=0;a<n&&(!r.Workbook.Sheets[a]||r.Workbook.Sheets[a].Hidden);++a);a==n&&i.push("<Selected/>")}return((((r||{}).Workbook||{}).Views||[])[0]||{}).RTL&&i.push("<DisplayRightToLeft/>"),e["!protect"]&&(i.push(rn("ProtectContents","True")),e["!protect"].objects&&i.push(rn("ProtectObjects","True")),e["!protect"].scenarios&&i.push(rn("ProtectScenarios","True")),null==e["!protect"].selectLockedCells||e["!protect"].selectLockedCells?null==e["!protect"].selectUnlockedCells||e["!protect"].selectUnlockedCells||i.push(rn("EnableSelection","UnlockedCells")):i.push(rn("EnableSelection","NoSelection")),[["formatCells","AllowFormatCells"],["formatColumns","AllowSizeCols"],["formatRows","AllowSizeRows"],["insertColumns","AllowInsertCols"],["insertRows","AllowInsertRows"],["insertHyperlinks","AllowInsertHyperlinks"],["deleteColumns","AllowDeleteCols"],["deleteRows","AllowDeleteRows"],["sort","AllowSort"],["autoFilter","AllowFilter"],["pivotTables","AllowUsePivotTables"]].forEach((function(t){e["!protect"][t[0]]&&i.push("<"+t[1]+"/>")}))),0==i.length?"":on("WorksheetOptions",i.join(""),{xmlns:fn.x})}(a,0,e,n)),a["!autofilter"]&&r.push('<AutoFilter x:Range="'+fs(dr(a["!autofilter"].ref),{r:0,c:0})+'" xmlns="urn:schemas-microsoft-com:office:excel"></AutoFilter>'),r.join("")}function pc(e,t){t||(t={}),e.SSF||(e.SSF=Xe(W)),e.SSF&&(xe(),_e(e.SSF),t.revssf=Re(e.SSF),t.revssf[e.SSF[65535]]=0,t.ssf=e.SSF,t.cellXfs=[],ul(t.cellXfs,{},{revssf:{General:0}}));var n=[];n.push(function(e,t){var n=[];return e.Props&&n.push(function(e,t){var n=[];return Oe(Ei).map((function(e){for(var t=0;t<gi.length;++t)if(gi[t][1]==e)return gi[t];for(t=0;t<_i.length;++t)if(_i[t][1]==e)return _i[t];throw e})).forEach((function(r){if(null!=e[r[1]]){var i=t&&t.Props&&null!=t.Props[r[1]]?t.Props[r[1]]:e[r[1]];"date"===r[2]&&(i=new Date(i).toISOString().replace(/\.\d*Z/,"Z")),"number"==typeof i?i=String(i):!0===i||!1===i?i=i?"1":"0":i instanceof Date&&(i=new Date(i).toISOString().replace(/\.\d*Z/,"")),n.push(rn(Ei[r[1]]||r[1],i))}})),on("DocumentProperties",n.join(""),{xmlns:fn.o})}(e.Props,t)),e.Custprops&&n.push(function(e,t){var n=["Worksheets","SheetNames"],r="CustomDocumentProperties",i=[];return e&&Oe(e).forEach((function(t){if(Object.prototype.hasOwnProperty.call(e,t)){for(var r=0;r<gi.length;++r)if(t==gi[r][1])return;for(r=0;r<_i.length;++r)if(t==_i[r][1])return;for(r=0;r<n.length;++r)if(t==n[r])return;var a=e[t],o="string";"number"==typeof a?(o="float",a=String(a)):!0===a||!1===a?(o="boolean",a=a?"1":"0"):a=String(a),i.push(on(Vt(t),a,{"dt:dt":o}))}})),t&&Oe(t).forEach((function(n){if(Object.prototype.hasOwnProperty.call(t,n)&&(!e||!Object.prototype.hasOwnProperty.call(e,n))){var r=t[n],a="string";"number"==typeof r?(a="float",r=String(r)):!0===r||!1===r?(a="boolean",r=r?"1":"0"):r instanceof Date?(a="dateTime.tz",r=r.toISOString()):r=String(r),i.push(on(Vt(n),r,{"dt:dt":a}))}})),"<"+r+' xmlns="'+fn.o+'">'+i.join("")+"</"+r+">"}(e.Props,e.Custprops)),n.join("")}(e,t)),n.push(function(e){return(((e||{}).Workbook||{}).WBProps||{}).date1904?'<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel"><Date1904/></ExcelWorkbook>':""}(e)),n.push(""),n.push("");for(var r=0;r<e.SheetNames.length;++r)n.push(on("Worksheet",fc(r,t,e),{"ss:Name":Ut(e.SheetNames[r])}));return n[2]=function(e,t){var n=['<Style ss:ID="Default" ss:Name="Normal"><NumberFormat/></Style>'];return t.cellXfs.forEach((function(e,t){var r=[];r.push(on("NumberFormat",null,{"ss:Format":Ut(W[e.numFmtId])}));var i={"ss:ID":"s"+(21+t)};n.push(on("Style",r.join(""),i))})),on("Styles",n.join(""))}(0,t),n[3]=function(e){if(!((e||{}).Workbook||{}).Names)return"";for(var t=e.Workbook.Names,n=[],r=0;r<t.length;++r){var i=t[r];null==i.Sheet&&(i.Name.match(/^_xlfn\./)||n.push(cc(i)))}return on("Names",n.join(""))}(e),Ct+on("Workbook",n.join(""),{xmlns:fn.ss,"xmlns:o":fn.o,"xmlns:x":fn.x,"xmlns:ss":fn.ss,"xmlns:dt":fn.dt,"xmlns:html":fn.html})}var hc=[60,1084,2066,2165,2175];function mc(e,t,n,r,i){var a=r,o=[],s=n.slice(n.l,n.l+a);if(i&&i.enc&&i.enc.insitu&&s.length>0)switch(e){case 9:case 521:case 1033:case 2057:case 47:case 405:case 225:case 406:case 312:case 404:case 10:case 133:break;default:i.enc.insitu(s)}o.push(s),n.l+=a;for(var l=Ln(n,n.l),c=xc[l],u=0;null!=c&&hc.indexOf(l)>-1;)a=Ln(n,n.l+2),u=n.l+4,2066==l?u+=4:2165!=l&&2175!=l||(u+=12),s=n.slice(u,n.l+4+a),o.push(s),n.l+=4+a,c=xc[l=Ln(n,n.l)];var d=O(o);Xn(d,0);var f=0;d.lens=[];for(var p=0;p<o.length;++p)d.lens.push(f),f+=o[p].length;if(d.length<r)throw"XLS Record 0x"+e.toString(16)+" Truncated: "+d.length+" < "+r;return t.f(d,d.length,i)}function gc(e,t,n){if("z"!==e.t&&e.XF){var r=0;try{r=e.z||e.XF.numFmtId||0,t.cellNF&&null==e.z&&(e.z=W[r])}catch(e){if(t.WTF)throw e}if(!t||!1!==t.cellText)try{"e"===e.t?e.w=e.w||ni[e.v]:0===r||"General"==r?"n"===e.t?(0|e.v)===e.v?e.w=e.v.toString(10):e.w=J(e.v):e.w=Z(e.v):e.w=ye(r,e.v,{date1904:!!n,dateNF:t&&t.dateNF})}catch(e){if(t.WTF)throw e}if(t.cellDates&&r&&"n"==e.t&&me(W[r]||String(r))){var i=K(e.v+(n?1462:0));i&&(e.t="d",e.v=new Date(Date.UTC(i.y,i.m-1,i.d,i.H,i.M,i.S,i.u)))}}}function vc(e,t,n){return{v:e,ixfe:t,t:n}}var yc={SI:"e0859ff2f94f6810ab9108002b27b3d9",DSI:"02d5cdd59c2e1b10939708002b2cf9ae",UDI:"05d5cdd59c2e1b10939708002b2cf9ae"};function bc(e,t){var n,r,i,a;if(t||(t={}),Vu(t),f(),t.codepage&&u(t.codepage),e.FullPaths){if(De.find(e,"/encryption"))throw new Error("File is password-protected");n=De.find(e,"!CompObj"),r=De.find(e,"/Workbook")||De.find(e,"/Book")}else{switch(t.type){case"base64":e=M(w(e));break;case"binary":e=M(e);break;case"buffer":break;case"array":Array.isArray(e)||(e=Array.prototype.slice.call(e))}Xn(e,0),r={content:e}}if(n&&function(e){var t={},n=e.content;if(n.l=28,t.AnsiUserType=n.read_shift(0,"lpstr-ansi"),t.AnsiClipboardFormat=function(e){return jr(e,1)}(n),n.length-n.l<=4)return t;var r=n.read_shift(4);0==r||r>40||(n.l-=4,t.Reserved1=n.read_shift(0,"lpstr-ansi"),n.length-n.l<=4||1907505652!==(r=n.read_shift(4))||(t.UnicodeClipboardFormat=function(e){return jr(e,2)}(n),0==(r=n.read_shift(4))||r>40||(n.l-=4,t.Reserved2=n.read_shift(0,"lpwstr"))))}(n),t.bookProps&&!t.bookSheets)i={};else{var o=A?"buffer":"array";if(r&&r.content)i=function(e,t){var n={opts:{}},r={};null!=b&&null==t.dense&&(t.dense=b);var i={};t.dense&&(i["!data"]=[]);var a,o,s,l,c,u,f,p,h={},m={},g=null,v=[],y="",_={},x="",w={},A=[],S=[],T=[],C={Sheets:[],WBProps:{date1904:!1},Views:[{}]},E={},M=!1,D=function(e){return e<8?ti[e]:e<64&&T[e-8]||ti[e]},P=function(e,t,n){if((M||!(V>1))&&!(n.sheetRows&&e.r>=n.sheetRows)){if(n.cellStyles&&t.XF&&t.XF.data&&function(e,t){var n,r=e.XF.data;r&&r.patternType&&t&&t.cellStyles&&(e.s={},e.s.patternType=r.patternType,(n=wo(D(r.icvFore)))&&(e.s.fgColor={rgb:n}),(n=wo(D(r.icvBack)))&&(e.s.bgColor={rgb:n}))}(t,n),delete t.ixfe,delete t.XF,a=e,x=lr(e),m&&m.s&&m.e||(m={s:{r:0,c:0},e:{r:0,c:0}}),e.r<m.s.r&&(m.s.r=e.r),e.c<m.s.c&&(m.s.c=e.c),e.r+1>m.e.r&&(m.e.r=e.r+1),e.c+1>m.e.c&&(m.e.c=e.c+1),n.cellFormula&&t.f)for(var r=0;r<A.length;++r)if(!(A[r][0].s.c>e.c||A[r][0].s.r>e.r||A[r][0].e.c<e.c||A[r][0].e.r<e.r)){t.F=ur(A[r][0]),A[r][0].s.c==e.c&&A[r][0].s.r==e.r||delete t.f,t.f&&(t.f=""+Gs(A[r][1],0,e,F,I));break}n.dense?(i["!data"][e.r]||(i["!data"][e.r]=[]),i["!data"][e.r][e.c]=t):i[x]=t}},I={enc:!1,sbcch:0,snames:[],sharedf:w,arrayf:A,rrtabid:[],lastuser:"",biff:8,codepage:0,winlocked:0,cellStyles:!!t&&!!t.cellStyles,WTF:!!t&&!!t.wtf};t.password&&(I.password=t.password);var O=[],N=[],k=[],R=[],L=!1,F=[];F.SheetNames=I.snames,F.sharedf=I.sharedf,F.arrayf=I.arrayf,F.names=[],F.XTI=[];var B,U=0,V=0,G=0,z=[],j=[];I.codepage=1200,d(1200);for(var H=!1;e.l<e.length-1;){var $=e.l,X=e.read_shift(2);if(0===X&&10===U)break;var q=e.l===e.length?0:e.read_shift(2),K=xc[X];if(0==V&&-1==[9,521,1033,2057].indexOf(X))break;if(K&&K.f){if(t.bookSheets&&133===U&&133!==X)break;if(U=X,2===K.r||12==K.r){var Y=e.read_shift(2);if(q-=2,!I.enc&&Y!==X&&((255&Y)<<8|Y>>8)!==X)throw new Error("rt mismatch: "+Y+"!="+X);12==K.r&&(e.l+=10,q-=10)}var J={};if(J=10===X?K.f(e,q,I):mc(X,K,e,q,I),0==V&&-1===[9,521,1033,2057].indexOf(U))continue;switch(X){case 34:n.opts.Date1904=C.WBProps.date1904=J;break;case 134:n.opts.WriteProtect=!0;break;case 47:if(I.enc||(e.l=0),I.enc=J,!t.password)throw new Error("File is password-protected");if(null==J.valid)throw new Error("Encryption scheme unsupported");if(!J.valid)throw new Error("Password is incorrect");break;case 92:I.lastuser=J;break;case 66:var Z=Number(J);switch(Z){case 21010:Z=1200;break;case 32768:Z=1e4;break;case 32769:Z=1252}d(I.codepage=Z),H=!0;break;case 317:I.rrtabid=J;break;case 25:I.winlocked=J;break;case 439:n.opts.RefreshAll=J;break;case 12:n.opts.CalcCount=J;break;case 16:n.opts.CalcDelta=J;break;case 17:n.opts.CalcIter=J;break;case 13:n.opts.CalcMode=J;break;case 14:n.opts.CalcPrecision=J;break;case 95:n.opts.CalcSaveRecalc=J;break;case 15:I.CalcRefMode=J;break;case 2211:n.opts.FullCalc=J;break;case 129:J.fDialog&&(i["!type"]="dialog"),J.fBelow||((i["!outline"]||(i["!outline"]={})).above=!0),J.fRight||((i["!outline"]||(i["!outline"]={})).left=!0);break;case 67:case 579:case 1091:case 224:S.push(J);break;case 430:F.push([J]),F[F.length-1].XTI=[];break;case 35:case 547:F[F.length-1].push(J);break;case 24:case 536:B={Name:J.Name,Ref:Gs(J.rgce,0,null,F,I)},J.itab>0&&(B.Sheet=J.itab-1),F.names.push(B),F[0]||(F[0]=[],F[0].XTI=[]),F[F.length-1].push(J),"_xlnm._FilterDatabase"==J.Name&&J.itab>0&&J.rgce&&J.rgce[0]&&J.rgce[0][0]&&"PtgArea3d"==J.rgce[0][0][0]&&(j[J.itab-1]={ref:ur(J.rgce[0][0][1][2])});break;case 22:I.ExternCount=J;break;case 23:0==F.length&&(F[0]=[],F[0].XTI=[]),F[F.length-1].XTI=F[F.length-1].XTI.concat(J),F.XTI=F.XTI.concat(J);break;case 2196:if(I.biff<8)break;null!=B&&(B.Comment=J[1]);break;case 18:i["!protect"]=J;break;case 19:0!==J&&I.WTF&&console.error("Password verifier: "+J);break;case 133:h[4==I.biff?I.snames.length:J.pos]=J,I.snames.push(J.name);break;case 10:if(--V?!M:M)break;if(m.e){if(m.e.r>0&&m.e.c>0){if(m.e.r--,m.e.c--,i["!ref"]=ur(m),t.sheetRows&&t.sheetRows<=m.e.r){var Q=m.e.r;m.e.r=t.sheetRows-1,i["!fullref"]=i["!ref"],i["!ref"]=ur(m),m.e.r=Q}m.e.r++,m.e.c++}O.length>0&&(i["!merges"]=O),N.length>0&&(i["!objects"]=N),k.length>0&&(i["!cols"]=k),R.length>0&&(i["!rows"]=R),C.Sheets.push(E)}""===y?_=i:r[y]=i,i={},t.dense&&(i["!data"]=[]);break;case 9:case 521:case 1033:case 2057:if(8===I.biff&&(I.biff={9:2,521:3,1033:4}[X]||{512:2,768:3,1024:4,1280:5,1536:8,2:2,7:2}[J.BIFFVer]||8),I.biffguess=0==J.BIFFVer,0==J.BIFFVer&&4096==J.dt&&(I.biff=5,H=!0,d(I.codepage=28591)),4==I.biff&&256&J.dt&&(M=!0),8==I.biff&&0==J.BIFFVer&&16==J.dt&&(I.biff=2),V++&&!M)break;if(i={},t.dense&&(i["!data"]=[]),I.biff<8&&!H&&(H=!0,d(I.codepage=t.codepage||1252)),4==I.biff&&M)y=(h[I.snames.indexOf(y)+1]||{name:""}).name;else if(I.biff<5||0==J.BIFFVer&&4096==J.dt){""===y&&(y="Sheet1"),m={s:{r:0,c:0},e:{r:0,c:0}};var ee={pos:e.l-q,name:y};h[ee.pos]=ee,I.snames.push(y)}else y=(h[$]||{name:""}).name;32==J.dt&&(i["!type"]="chart"),64==J.dt&&(i["!type"]="macro"),O=[],N=[],I.arrayf=A=[],k=[],R=[],L=!1,E={Hidden:(h[$]||{hs:0}).hs,name:y};break;case 515:case 3:case 2:"chart"==i["!type"]&&(t.dense?(i["!data"][J.r]||[])[J.c]:i[or(J.c)+ir(J.r)])&&++J.c,u={ixfe:J.ixfe,XF:S[J.ixfe]||{},v:J.val,t:"n"},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t);break;case 5:case 517:u={ixfe:J.ixfe,XF:S[J.ixfe],v:J.val,t:J.t},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t);break;case 638:u={ixfe:J.ixfe,XF:S[J.ixfe],v:J.rknum,t:"n"},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t);break;case 189:for(var te=J.c;te<=J.C;++te){var ne=J.rkrec[te-J.c][0];u={ixfe:ne,XF:S[ne],v:J.rkrec[te-J.c][1],t:"n"},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:te,r:J.r},u,t)}break;case 6:case 518:case 1030:if("String"==J.val){g=J;break}if((u=vc(J.val,J.cell.ixfe,J.tt)).XF=S[u.ixfe],t.cellFormula){var re=J.formula;if(re&&re[0]&&re[0][0]&&"PtgExp"==re[0][0][0]){var ie=re[0][0][1][0],ae=re[0][0][1][1],oe=lr({r:ie,c:ae});w[oe]?u.f=""+Gs(J.formula,0,J.cell,F,I):u.F=((t.dense?(i["!data"][ie]||[])[ae]:i[oe])||{}).F}else u.f=""+Gs(J.formula,0,J.cell,F,I)}G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P(J.cell,u,t),g=J;break;case 7:case 519:if(!g)throw new Error("String record expects Formula");g.val=J,(u=vc(J,g.cell.ixfe,"s")).XF=S[u.ixfe],t.cellFormula&&(u.f=""+Gs(g.formula,0,g.cell,F,I)),G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P(g.cell,u,t),g=null;break;case 33:case 545:A.push(J);var se=lr(J[0].s);if(o=t.dense?(i["!data"][J[0].s.r]||[])[J[0].s.c]:i[se],t.cellFormula&&o){if(!g)break;if(!se||!o)break;o.f=""+Gs(J[1],0,J[0],F,I),o.F=ur(J[0])}break;case 1212:if(!t.cellFormula)break;if(x){if(!g)break;w[lr(g.cell)]=J[0],((o=t.dense?(i["!data"][g.cell.r]||[])[g.cell.c]:i[lr(g.cell)])||{}).f=""+Gs(J[0],0,a,F,I)}break;case 253:u=vc(v[J.isst].t,J.ixfe,"s"),v[J.isst].h&&(u.h=v[J.isst].h),u.XF=S[u.ixfe],G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t);break;case 513:t.sheetStubs&&(u={ixfe:J.ixfe,XF:S[J.ixfe],t:"z"},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t));break;case 190:if(t.sheetStubs)for(var le=J.c;le<=J.C;++le){var ce=J.ixfe[le-J.c];u={ixfe:ce,XF:S[ce],t:"z"},G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:le,r:J.r},u,t)}break;case 214:case 516:case 4:(u=vc(J.val,J.ixfe,"s")).XF=S[u.ixfe],G>0&&(u.z=u.XF&&u.XF.numFmtId&&z[u.XF.numFmtId]||z[u.ixfe>>8&63]),gc(u,t,n.opts.Date1904),P({c:J.c,r:J.r},u,t);break;case 0:case 512:1===V&&(m=J);break;case 252:v=J;break;case 1054:if(I.biff>=3&&I.biff<=4){z[G++]=J[1];for(var ue=0;ue<G+163&&W[ue]!=J[1];++ue);ue>=163&&Ce(J[1],G+163)}else Ce(J[1],J[0]);break;case 30:z[G++]=J;for(var de=0;de<G+163&&W[de]!=J;++de);de>=163&&Ce(J,G+163);break;case 229:O=O.concat(J);break;case 93:N[J.cmo[0]]=I.lastobj=J;break;case 438:I.lastobj.TxO=J;break;case 127:I.lastobj.ImData=J;break;case 440:for(c=J[0].s.r;c<=J[0].e.r;++c)for(l=J[0].s.c;l<=J[0].e.c;++l)(o=t.dense?(i["!data"][c]||[])[l]:i[lr({c:l,r:c})])&&(o.l=J[1]);break;case 2048:for(c=J[0].s.r;c<=J[0].e.r;++c)for(l=J[0].s.c;l<=J[0].e.c;++l)(o=t.dense?(i["!data"][c]||[])[l]:i[lr({c:l,r:c})])&&o.l&&(o.l.Tooltip=J[1]);break;case 28:if((o=t.dense?(i["!data"][J[0].r]||[])[J[0].c]:i[lr(J[0])])||(t.dense?(i["!data"][J[0].r]||(i["!data"][J[0].r]=[]),o=i["!data"][J[0].r][J[0].c]={t:"z"}):o=i[lr(J[0])]={t:"z"},m.e.r=Math.max(m.e.r,J[0].r),m.s.r=Math.min(m.s.r,J[0].r),m.e.c=Math.max(m.e.c,J[0].c),m.s.c=Math.min(m.s.c,J[0].c)),o.c||(o.c=[]),I.biff<=5&&I.biff>=2)s={a:"SheetJ5",t:J[1]};else{var fe=N[J[2]];s={a:J[1],t:fe.TxO.t},null==J[3]||2&J[3]||(o.c.hidden=!0)}o.c.push(s);break;case 2173:S[J.ixfe],J.ext.forEach((function(e){e[0]}));break;case 125:if(!I.cellStyles)break;for(;J.e>=J.s;)k[J.e--]={width:J.w/256,level:J.level||0,hidden:!!(1&J.flags)},L||(L=!0,Oo(J.w/256)),No(k[J.e+1]);break;case 520:var pe={};null!=J.level&&(R[J.r]=pe,pe.level=J.level),J.hidden&&(R[J.r]=pe,pe.hidden=!0),J.hpt&&(R[J.r]=pe,pe.hpt=J.hpt,pe.hpx=Lo(J.hpt));break;case 38:case 39:case 40:case 41:i["!margins"]||cl(i["!margins"]={}),i["!margins"][{38:"left",39:"right",40:"top",41:"bottom"}[X]]=J;break;case 161:i["!margins"]||cl(i["!margins"]={}),i["!margins"].header=J.header,i["!margins"].footer=J.footer;break;case 574:J.RTL&&(C.Views[0].RTL=!0);break;case 146:T=J;break;case 2198:p=J;break;case 140:f=J;break;case 442:y?E.CodeName=J||E.name:C.WBProps.CodeName=J||"ThisWorkbook"}}else K||console.error("Missing Info for XLS Record 0x"+X.toString(16)),e.l+=q}return n.SheetNames=Oe(h).sort((function(e,t){return Number(e)-Number(t)})).map((function(e){return h[e].name})),t.bookSheets||(n.Sheets=r),!n.SheetNames.length&&_["!ref"]?(n.SheetNames.push("Sheet1"),n.Sheets&&(n.Sheets.Sheet1=_)):n.Preamble=_,n.Sheets&&j.forEach((function(e,t){n.Sheets[n.SheetNames[t]]["!autofilter"]=e})),n.Strings=v,n.SSF=Xe(W),I.enc&&(n.Encryption=I.enc),p&&(n.Themes=p),n.Metadata={},void 0!==f&&(n.Metadata.Country=f),F.names.length>0&&(C.Names=F.names),n.Workbook=C,n}(r.content,t);else if((a=De.find(e,"PerfectOffice_MAIN"))&&a.content)i=eo.to_workbook(a.content,(t.type=o,t));else{if(!(a=De.find(e,"NativeContent_MAIN"))||!a.content)throw(a=De.find(e,"MN0"))&&a.content?new Error("Unsupported Works 4 for Mac file"):new Error("Cannot find Workbook stream");i=eo.to_workbook(a.content,(t.type=o,t))}t.bookVBA&&e.FullPaths&&De.find(e,"/_VBA_PROJECT_CUR/VBA/dir")&&(i.vbaraw=function(e){var t=De.utils.cfb_new({root:"R"});return e.FullPaths.forEach((function(n,r){if("/"!==n.slice(-1)&&n.match(/_VBA_PROJECT_CUR/)){var i=n.replace(/^[^\/]*/,"R").replace(/\/_VBA_PROJECT_CUR\u0000*/,"");De.utils.cfb_add(t,i,e.FileIndex[r].content)}})),De.write(t)}(e))}var s={};return e.FullPaths&&function(e,t,n){var r=De.find(e,"/!DocumentSummaryInformation");if(r&&r.size>0)try{var i=ji(r,Yr,yc.DSI);for(var a in i)t[a]=i[a]}catch(e){if(n.WTF)throw e}var o=De.find(e,"/!SummaryInformation");if(o&&o.size>0)try{var s=ji(o,Jr,yc.SI);for(var l in s)null==t[l]&&(t[l]=s[l])}catch(e){if(n.WTF)throw e}t.HeadingPairs&&t.TitlesOfParts&&(wi(t.HeadingPairs,t.TitlesOfParts,t,n),delete t.HeadingPairs,delete t.TitlesOfParts)}(e,s,t),i.Props=i.Custprops=s,t.bookFiles&&(i.cfb=e),i}var _c={0:{f:function(e,t){var n={},r=e.l+t;n.r=e.read_shift(4),e.l+=4;var i=e.read_shift(2);e.l+=1;var a=e.read_shift(1);return e.l=r,7&a&&(n.level=7&a),16&a&&(n.hidden=!0),32&a&&(n.hpt=i/20),n}},1:{f:function(e){return[Sr(e)]}},2:{f:function(e){return[Sr(e),Rr(e),"n"]}},3:{f:function(e){return[Sr(e),e.read_shift(1),"e"]}},4:{f:function(e){return[Sr(e),e.read_shift(1),"b"]}},5:{f:function(e){return[Sr(e),Vr(e),"n"]}},6:{f:function(e){return[Sr(e),br(e),"str"]}},7:{f:function(e){return[Sr(e),e.read_shift(4),"s"]}},8:{f:function(e,t,n){var r=e.l+t,i=Sr(e);i.r=n["!row"];var a=[i,br(e),"str"];if(n.cellFormula){e.l+=2;var o=Xs(e,r-e.l,n);a[3]=Gs(o,0,i,n.supbooks,n)}else e.l=r;return a}},9:{f:function(e,t,n){var r=e.l+t,i=Sr(e);i.r=n["!row"];var a=[i,Vr(e),"n"];if(n.cellFormula){e.l+=2;var o=Xs(e,r-e.l,n);a[3]=Gs(o,0,i,n.supbooks,n)}else e.l=r;return a}},10:{f:function(e,t,n){var r=e.l+t,i=Sr(e);i.r=n["!row"];var a=[i,e.read_shift(1),"b"];if(n.cellFormula){e.l+=2;var o=Xs(e,r-e.l,n);a[3]=Gs(o,0,i,n.supbooks,n)}else e.l=r;return a}},11:{f:function(e,t,n){var r=e.l+t,i=Sr(e);i.r=n["!row"];var a=[i,e.read_shift(1),"e"];if(n.cellFormula){e.l+=2;var o=Xs(e,r-e.l,n);a[3]=Gs(o,0,i,n.supbooks,n)}else e.l=r;return a}},12:{f:function(e){return[Cr(e)]}},13:{f:function(e){return[Cr(e),Rr(e),"n"]}},14:{f:function(e){return[Cr(e),e.read_shift(1),"e"]}},15:{f:function(e){return[Cr(e),e.read_shift(1),"b"]}},16:{f:Ol},17:{f:function(e){return[Cr(e),br(e),"str"]}},18:{f:function(e){return[Cr(e),e.read_shift(4),"s"]}},19:{f:wr},20:{},21:{},22:{},23:{},24:{},25:{},26:{},27:{},28:{},29:{},30:{},31:{},32:{},33:{},34:{},35:{T:1},36:{T:-1},37:{T:1},38:{T:-1},39:{f:function(e,t,n){var r=e.l+t,i=e.read_shift(4);e.l+=1;var a,o=e.read_shift(4),s=Or(e),l="";try{a=qs(e,0,n);try{l=Pr(e)}catch(e){}}catch(e){console.error("Could not parse defined name "+s)}32&i&&(s="_xlnm."+s),e.l=r;var c={Name:s,Ptg:a,Flags:i};return o<268435455&&(c.Sheet=o),l&&(c.Comment=l),c}},40:{},42:{},43:{f:function(e,t,n){var r={};r.sz=e.read_shift(2)/20;var i=function(e){var t=e.read_shift(1);return e.l++,{fBold:1&t,fItalic:2&t,fUnderline:4&t,fStrikeout:8&t,fOutline:16&t,fShadow:32&t,fCondense:64&t,fExtend:128&t}}(e);switch(i.fItalic&&(r.italic=1),i.fCondense&&(r.condense=1),i.fExtend&&(r.extend=1),i.fShadow&&(r.shadow=1),i.fOutline&&(r.outline=1),i.fStrikeout&&(r.strike=1),700===e.read_shift(2)&&(r.bold=1),e.read_shift(2)){case 1:r.vertAlign="superscript";break;case 2:r.vertAlign="subscript"}var a=e.read_shift(1);0!=a&&(r.underline=a);var o=e.read_shift(1);o>0&&(r.family=o);var s=e.read_shift(1);switch(s>0&&(r.charset=s),e.l++,r.color=function(e){var t={},n=e.read_shift(1)>>>1,r=e.read_shift(1),i=e.read_shift(2,"i"),a=e.read_shift(1),o=e.read_shift(1),s=e.read_shift(1);switch(e.l++,n){case 0:t.auto=1;break;case 1:t.index=r;var l=ti[r];l&&(t.rgb=wo(l));break;case 2:t.rgb=wo([a,o,s]);break;case 3:t.theme=r}return 0!=i&&(t.tint=i>0?i/32767:i/32768),t}(e),e.read_shift(1)){case 1:r.scheme="major";break;case 2:r.scheme="minor"}return r.name=br(e),r}},44:{f:function(e,t){return[e.read_shift(2),br(e)]}},45:{f:Wo},46:{f:qo},47:{f:function(e,t){var n=e.l+t,r=e.read_shift(2),i=e.read_shift(2);return e.l=n,{ixfe:r,numFmtId:i}}},48:{},49:{f:function(e){return e.read_shift(4,"i")}},50:{},51:{f:function(e){for(var t=[],n=e.read_shift(4);n-- >0;)t.push([e.read_shift(4),e.read_shift(4)]);return t}},52:{T:1},53:{T:-1},54:{T:1},55:{T:-1},56:{T:1},57:{T:-1},58:{},59:{},60:{f:ja},62:{f:function(e){return[Sr(e),wr(e),"is"]}},63:{f:function(e){var t={};t.i=e.read_shift(4);var n={};n.r=e.read_shift(4),n.c=e.read_shift(4),t.r=lr(n);var r=e.read_shift(1);return 2&r&&(t.l="1"),8&r&&(t.a="1"),t}},64:{f:function(){}},65:{},66:{},67:{},68:{},69:{},70:{},128:{},129:{T:1},130:{T:-1},131:{T:1,f:qn,p:0},132:{T:-1},133:{T:1},134:{T:-1},135:{T:1},136:{T:-1},137:{T:1,f:function(e){var t=e.read_shift(2);return e.l+=28,{RTL:32&t}}},138:{T:-1},139:{T:1},140:{T:-1},141:{T:1},142:{T:-1},143:{T:1},144:{T:-1},145:{T:1},146:{T:-1},147:{f:function(e,t){var n={},r=e[e.l];return++e.l,n.above=!(64&r),n.left=!(128&r),e.l+=18,n.name=Mr(e,t-19),n}},148:{f:Ml,p:16},151:{f:function(){}},152:{},153:{f:function(e,t){var n={},r=e.read_shift(4);n.defaultThemeVersion=e.read_shift(4);var i=t>8?br(e):"";return i.length>0&&(n.CodeName=i),n.autoCompressPictures=!!(65536&r),n.backupFile=!!(64&r),n.checkCompatibility=!!(4096&r),n.date1904=!!(1&r),n.filterPrivacy=!!(8&r),n.hidePivotFieldList=!!(1024&r),n.promptedSolutions=!!(16&r),n.publishItems=!!(2048&r),n.refreshAllConnections=!!(262144&r),n.saveExternalLinkValues=!!(128&r),n.showBorderUnselectedTables=!!(4&r),n.showInkAnnotation=!!(32&r),n.showObjects=["all","placeholders","none"][r>>13&3],n.showPivotChartFilter=!!(32768&r),n.updateLinks=["userSet","never","always"][r>>8&3],n}},154:{},155:{},156:{f:function(e,t){var n={};return n.Hidden=e.read_shift(4),n.iTabID=e.read_shift(4),n.strRelID=Nr(e,t-8),n.name=br(e),n}},157:{},158:{},159:{T:1,f:function(e){return[e.read_shift(4),e.read_shift(4)]}},160:{T:-1},161:{T:1,f:Br},162:{T:-1},163:{T:1},164:{T:-1},165:{T:1},166:{T:-1},167:{},168:{},169:{},170:{},171:{},172:{T:1},173:{T:-1},174:{},175:{},176:{f:Nl},177:{T:1},178:{T:-1},179:{T:1},180:{T:-1},181:{T:1},182:{T:-1},183:{T:1},184:{T:-1},185:{T:1},186:{T:-1},187:{T:1},188:{T:-1},189:{T:1},190:{T:-1},191:{T:1},192:{T:-1},193:{T:1},194:{T:-1},195:{T:1},196:{T:-1},197:{T:1},198:{T:-1},199:{T:1},200:{T:-1},201:{T:1},202:{T:-1},203:{T:1},204:{T:-1},205:{T:1},206:{T:-1},207:{T:1},208:{T:-1},209:{T:1},210:{T:-1},211:{T:1},212:{T:-1},213:{T:1},214:{T:-1},215:{T:1},216:{T:-1},217:{T:1},218:{T:-1},219:{T:1},220:{T:-1},221:{T:1},222:{T:-1},223:{T:1},224:{T:-1},225:{T:1},226:{T:-1},227:{T:1},228:{T:-1},229:{T:1},230:{T:-1},231:{T:1},232:{T:-1},233:{T:1},234:{T:-1},235:{T:1},236:{T:-1},237:{T:1},238:{T:-1},239:{T:1},240:{T:-1},241:{T:1},242:{T:-1},243:{T:1},244:{T:-1},245:{T:1},246:{T:-1},247:{T:1},248:{T:-1},249:{T:1},250:{T:-1},251:{T:1},252:{T:-1},253:{T:1},254:{T:-1},255:{T:1},256:{T:-1},257:{T:1},258:{T:-1},259:{T:1},260:{T:-1},261:{T:1},262:{T:-1},263:{T:1},264:{T:-1},265:{T:1},266:{T:-1},267:{T:1},268:{T:-1},269:{T:1},270:{T:-1},271:{T:1},272:{T:-1},273:{T:1},274:{T:-1},275:{T:1},276:{T:-1},277:{},278:{T:1},279:{T:-1},280:{T:1},281:{T:-1},282:{T:1},283:{T:1},284:{T:-1},285:{T:1},286:{T:-1},287:{T:1},288:{T:-1},289:{T:1},290:{T:-1},291:{T:1},292:{T:-1},293:{T:1},294:{T:-1},295:{T:1},296:{T:-1},297:{T:1},298:{T:-1},299:{T:1},300:{T:-1},301:{T:1},302:{T:-1},303:{T:1},304:{T:-1},305:{T:1},306:{T:-1},307:{T:1},308:{T:-1},309:{T:1},310:{T:-1},311:{T:1},312:{T:-1},313:{T:-1},314:{T:1},315:{T:-1},316:{T:1},317:{T:-1},318:{T:1},319:{T:-1},320:{T:1},321:{T:-1},322:{T:1},323:{T:-1},324:{T:1},325:{T:-1},326:{T:1},327:{T:-1},328:{T:1},329:{T:-1},330:{T:1},331:{T:-1},332:{T:1},333:{T:-1},334:{T:1},335:{f:function(e,t){return{flags:e.read_shift(4),version:e.read_shift(4),name:br(e)}}},336:{T:-1},337:{f:function(e){return e.l+=4,0!=e.read_shift(4)},T:1},338:{T:-1},339:{T:1},340:{T:-1},341:{T:1},342:{T:-1},343:{T:1},344:{T:-1},345:{T:1},346:{T:-1},347:{T:1},348:{T:-1},349:{T:1},350:{T:-1},351:{},352:{},353:{T:1},354:{T:-1},355:{f:Nr},357:{},358:{},359:{},360:{T:1},361:{},362:{f:La},363:{},364:{},366:{},367:{},368:{},369:{},370:{},371:{},372:{T:1},373:{T:-1},374:{T:1},375:{T:-1},376:{T:1},377:{T:-1},378:{T:1},379:{T:-1},380:{T:1},381:{T:-1},382:{T:1},383:{T:-1},384:{T:1},385:{T:-1},386:{T:1},387:{T:-1},388:{T:1},389:{T:-1},390:{T:1},391:{T:-1},392:{T:1},393:{T:-1},394:{T:1},395:{T:-1},396:{},397:{},398:{},399:{},400:{},401:{T:1},403:{},404:{},405:{},406:{},407:{},408:{},409:{},410:{},411:{},412:{},413:{},414:{},415:{},416:{},417:{},418:{},419:{},420:{},421:{},422:{T:1},423:{T:1},424:{T:-1},425:{T:-1},426:{f:function(e,t,n){var r=e.l+t,i=Fr(e),a=e.read_shift(1),o=[i];if(o[2]=a,n.cellFormula){var s=$s(e,r-e.l,n);o[1]=s}else e.l=r;return o}},427:{f:function(e,t,n){var r=e.l+t,i=[Br(e,16)];if(n.cellFormula){var a=Ks(e,r-e.l,n);i[1]=a,e.l=r}else e.l=r;return i}},428:{},429:{T:1},430:{T:-1},431:{T:1},432:{T:-1},433:{T:1},434:{T:-1},435:{T:1},436:{T:-1},437:{T:1},438:{T:-1},439:{T:1},440:{T:-1},441:{T:1},442:{T:-1},443:{T:1},444:{T:-1},445:{T:1},446:{T:-1},447:{T:1},448:{T:-1},449:{T:1},450:{T:-1},451:{T:1},452:{T:-1},453:{T:1},454:{T:-1},455:{T:1},456:{T:-1},457:{T:1},458:{T:-1},459:{T:1},460:{T:-1},461:{T:1},462:{T:-1},463:{T:1},464:{T:-1},465:{T:1},466:{T:-1},467:{T:1},468:{T:-1},469:{T:1},470:{T:-1},471:{},472:{},473:{T:1},474:{T:-1},475:{},476:{f:function(e){var t={};return Rl.forEach((function(n){t[n]=Vr(e)})),t}},477:{},478:{},479:{T:1},480:{T:-1},481:{T:1},482:{T:-1},483:{T:1},484:{T:-1},485:{f:function(){}},486:{T:1},487:{T:-1},488:{T:1},489:{T:-1},490:{T:1},491:{T:-1},492:{T:1},493:{T:-1},494:{f:function(e,t){var n=e.l+t,r=Br(e,16),i=Pr(e),a=br(e),o=br(e),s=br(e);e.l=n;var l={rfx:r,relId:i,loc:a,display:s};return o&&(l.Tooltip=o),l}},495:{T:1},496:{T:-1},497:{T:1},498:{T:-1},499:{},500:{T:1},501:{T:-1},502:{T:1},503:{T:-1},504:{},505:{T:1},506:{T:-1},507:{},508:{T:1},509:{T:-1},510:{T:1},511:{T:-1},512:{},513:{},514:{T:1},515:{T:-1},516:{T:1},517:{T:-1},518:{T:1},519:{T:-1},520:{T:1},521:{T:-1},522:{},523:{},524:{},525:{},526:{},527:{},528:{T:1},529:{T:-1},530:{T:1},531:{T:-1},532:{T:1},533:{T:-1},534:{},535:{},536:{},537:{},538:{T:1},539:{T:-1},540:{T:1},541:{T:-1},542:{T:1},548:{},549:{},550:{f:Nr},551:{f:Pr},552:{},553:{},554:{T:1},555:{T:-1},556:{T:1},557:{T:-1},558:{T:1},559:{T:-1},560:{T:1},561:{T:-1},562:{},564:{},565:{T:1},566:{T:-1},569:{T:1},570:{T:-1},572:{},573:{T:1},574:{T:-1},577:{},578:{},579:{},580:{},581:{},582:{},583:{},584:{},585:{},586:{},587:{},588:{T:-1},589:{},590:{T:1},591:{T:-1},592:{T:1},593:{T:-1},594:{T:1},595:{T:-1},596:{},597:{T:1},598:{T:-1},599:{T:1},600:{T:-1},601:{T:1},602:{T:-1},603:{T:1},604:{T:-1},605:{T:1},606:{T:-1},607:{},608:{T:1},609:{T:-1},610:{},611:{T:1},612:{T:-1},613:{T:1},614:{T:-1},615:{T:1},616:{T:-1},617:{T:1},618:{T:-1},619:{T:1},620:{T:-1},625:{},626:{T:1},627:{T:-1},628:{T:1},629:{T:-1},630:{T:1},631:{T:-1},632:{f:as},633:{T:1},634:{T:-1},635:{T:1,f:function(e){var t={};t.iauthor=e.read_shift(4);var n=Br(e,16);return t.rfx=n.s,t.ref=lr(n.s),e.l+=16,t}},636:{T:-1},637:{f:Ar},638:{T:1},639:{},640:{T:-1},641:{T:1},642:{T:-1},643:{T:1},644:{},645:{T:-1},646:{T:1},648:{T:1},649:{},650:{T:-1},651:{f:function(e,t){return e.l+=10,{name:br(e)}}},652:{},653:{T:1},654:{T:-1},655:{T:1},656:{T:-1},657:{T:1},658:{T:-1},659:{},660:{T:1},661:{},662:{T:-1},663:{},664:{T:1},665:{},666:{T:-1},667:{},668:{},669:{},671:{T:1},672:{T:-1},673:{T:1},674:{T:-1},675:{},676:{},677:{},678:{},679:{},680:{},681:{},1024:{},1025:{},1026:{T:1},1027:{T:-1},1028:{T:1},1029:{T:-1},1030:{},1031:{T:1},1032:{T:-1},1033:{T:1},1034:{T:-1},1035:{},1036:{},1037:{},1038:{T:1},1039:{T:-1},1040:{},1041:{T:1},1042:{T:-1},1043:{},1044:{},1045:{},1046:{T:1},1047:{T:-1},1048:{T:1},1049:{T:-1},1050:{},1051:{T:1},1052:{T:1},1053:{f:function(){}},1054:{T:1},1055:{},1056:{T:1},1057:{T:-1},1058:{T:1},1059:{T:-1},1061:{},1062:{T:1},1063:{T:-1},1064:{T:1},1065:{T:-1},1066:{T:1},1067:{T:-1},1068:{T:1},1069:{T:-1},1070:{T:1},1071:{T:-1},1072:{T:1},1073:{T:-1},1075:{T:1},1076:{T:-1},1077:{T:1},1078:{T:-1},1079:{T:1},1080:{T:-1},1081:{T:1},1082:{T:-1},1083:{T:1},1084:{T:-1},1085:{},1086:{T:1},1087:{T:-1},1088:{T:1},1089:{T:-1},1090:{T:1},1091:{T:-1},1092:{T:1},1093:{T:-1},1094:{T:1},1095:{T:-1},1096:{},1097:{T:1},1098:{},1099:{T:-1},1100:{T:1},1101:{T:-1},1102:{},1103:{},1104:{},1105:{},1111:{},1112:{},1113:{T:1},1114:{T:-1},1115:{T:1},1116:{T:-1},1117:{},1118:{T:1},1119:{T:-1},1120:{T:1},1121:{T:-1},1122:{T:1},1123:{T:-1},1124:{T:1},1125:{T:-1},1126:{},1128:{T:1},1129:{T:-1},1130:{},1131:{T:1},1132:{T:-1},1133:{T:1},1134:{T:-1},1135:{T:1},1136:{T:-1},1137:{T:1},1138:{T:-1},1139:{T:1},1140:{T:-1},1141:{},1142:{T:1},1143:{T:-1},1144:{T:1},1145:{T:-1},1146:{},1147:{T:1},1148:{T:-1},1149:{T:1},1150:{T:-1},1152:{T:1},1153:{T:-1},1154:{T:-1},1155:{T:-1},1156:{T:-1},1157:{T:1},1158:{T:-1},1159:{T:1},1160:{T:-1},1161:{T:1},1162:{T:-1},1163:{T:1},1164:{T:-1},1165:{T:1},1166:{T:-1},1167:{T:1},1168:{T:-1},1169:{T:1},1170:{T:-1},1171:{},1172:{T:1},1173:{T:-1},1177:{},1178:{T:1},1180:{},1181:{},1182:{},2048:{T:1},2049:{T:-1},2050:{},2051:{T:1},2052:{T:-1},2053:{},2054:{},2055:{T:1},2056:{T:-1},2057:{T:1},2058:{T:-1},2060:{},2067:{},2068:{T:1},2069:{T:-1},2070:{},2071:{},2072:{T:1},2073:{T:-1},2075:{},2076:{},2077:{T:1},2078:{T:-1},2079:{},2080:{T:1},2081:{T:-1},2082:{},2083:{T:1},2084:{T:-1},2085:{T:1},2086:{T:-1},2087:{T:1},2088:{T:-1},2089:{T:1},2090:{T:-1},2091:{},2092:{},2093:{T:1},2094:{T:-1},2095:{},2096:{T:1},2097:{T:-1},2098:{T:1},2099:{T:-1},2100:{T:1},2101:{T:-1},2102:{},2103:{T:1},2104:{T:-1},2105:{},2106:{T:1},2107:{T:-1},2108:{},2109:{T:1},2110:{T:-1},2111:{T:1},2112:{T:-1},2113:{T:1},2114:{T:-1},2115:{},2116:{},2117:{},2118:{T:1},2119:{T:-1},2120:{},2121:{T:1},2122:{T:-1},2123:{T:1},2124:{T:-1},2125:{},2126:{T:1},2127:{T:-1},2128:{},2129:{T:1},2130:{T:-1},2131:{T:1},2132:{T:-1},2133:{T:1},2134:{},2135:{},2136:{},2137:{T:1},2138:{T:-1},2139:{T:1},2140:{T:-1},2141:{},3072:{},3073:{},4096:{T:1},4097:{T:-1},5002:{T:1},5003:{T:-1},5081:{T:1},5082:{T:-1},5083:{},5084:{T:1},5085:{T:-1},5086:{T:1},5087:{T:-1},5088:{},5089:{},5090:{},5092:{T:1},5093:{T:-1},5094:{},5095:{T:1},5096:{T:-1},5097:{},5099:{},65535:{n:""}},xc={6:{f:Ws},10:{f:Hi},12:{f:qi},13:{f:qi},14:{f:$i},15:{f:$i},16:{f:Vr},17:{f:$i},18:{f:$i},19:{f:qi},20:{f:Na},21:{f:Na},23:{f:La},24:{f:Ra},25:{f:$i},26:{},27:{},28:{f:function(e,t,n){if(n&&n.biff<8){var r=e.read_shift(2),i=e.read_shift(2);if(65535==r||-1==r)return;var a=e.read_shift(2);return[{r:r,c:i},e.read_shift(Math.min(a,2048),"cpstr")]}return function(e,t,n){var r=e.read_shift(2),i=e.read_shift(2),a=e.read_shift(2),o=e.read_shift(2);return[{r:r,c:i},ia(e,0,n),o,a]}(e,0,n)}},29:{},34:{f:$i},35:{f:ka},38:{f:Vr},39:{f:Vr},40:{f:Vr},41:{f:Vr},42:{f:$i},43:{f:$i},47:{f:function(e,t,n){var r={Type:n.biff>=8?e.read_shift(2):0};return r.Type?function(e,t,n){var r=n||{};r.Info=e.read_shift(2),e.l-=2,1===r.Info?r.Data=function(e){var t={},n=t.EncryptionVersionInfo=fo(e,4);if(1!=n.Major||1!=n.Minor)throw"unrecognized version code "+n.Major+" : "+n.Minor;return t.Salt=e.read_shift(16),t.EncryptedVerifier=e.read_shift(16),t.EncryptedVerifierHash=e.read_shift(16),t}(e):r.Data=function(e,t){var n={},r=n.EncryptionVersionInfo=fo(e,4);if(t-=4,2!=r.Minor)throw new Error("unrecognized minor version code: "+r.Minor);if(r.Major>4||r.Major<2)throw new Error("unrecognized major version code: "+r.Major);n.Flags=e.read_shift(4),t-=4;var i=e.read_shift(4);return t-=4,n.EncryptionHeader=ho(e,i),t-=i,n.EncryptionVerifier=mo(e,t),n}(e,t)}(e,t-2,r):function(e,t,n,r){var i,a,o,s={key:qi(e),verificationBytes:qi(e)};n.password&&(s.verifier=bo(n.password)),r.valid=s.verificationBytes===s.verifier,r.valid&&(r.insitu=(i=n.password,a=0,o=_o(i),function(e){var t=function(e,t,n,r,i){var a,o;for(i||(i=t),r||(r=_o("")),a=0;a!=t.length;++a)o=t[a],o=255&((o^=r[n])>>5|o<<3),i[a]=o,++n;return[i,n,r]}(0,e,a,o);return a=t[1],t[0]}))}(e,n.biff,n,r),r}},49:{f:function(e,t,n){var r={dyHeight:e.read_shift(2),fl:e.read_shift(2)};switch(n&&n.biff||8){case 2:break;case 3:case 4:e.l+=2;break;default:e.l+=10}return r.name=Qi(e,0,n),r}},51:{f:qi},60:{},61:{f:function(e){return{Pos:[e.read_shift(2),e.read_shift(2)],Dim:[e.read_shift(2),e.read_shift(2)],Flags:e.read_shift(2),CurTab:e.read_shift(2),FirstTab:e.read_shift(2),Selected:e.read_shift(2),TabRatio:e.read_shift(2)}}},64:{f:$i},65:{f:function(){}},66:{f:qi},77:{},80:{},81:{},82:{},85:{f:qi},89:{},90:{},91:{},92:{f:function(e,t,n){if(n.enc)return e.l+=t,"";var r=e.l,i=ia(e,0,n);return e.read_shift(t+r-e.l),i}},93:{f:function(e,t,n){if(n&&n.biff<8)return function(e,t,n){e.l+=4;var r=e.read_shift(2),i=e.read_shift(2),a=e.read_shift(2);e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=2,e.l+=6,t-=36;var o=[];return o.push((Va[r]||qn)(e,t,n)),{cmo:[i,r,a],ft:o}}(e,t,n);var r=ba(e),i=function(e,t){for(var n=e.l+t,r=[];e.l<n;){var i=e.read_shift(2);e.l-=2;try{r[i]=xa[i](e,n-e.l)}catch(t){return e.l=n,r}}return e.l!=n&&(e.l=n),r}(e,t-22,r[1]);return{cmo:r,ft:i}}},94:{},95:{f:$i},96:{},97:{},99:{f:$i},125:{f:ja},128:{f:function(e){e.l+=4;var t=[e.read_shift(2),e.read_shift(2)];if(0!==t[0]&&t[0]--,0!==t[1]&&t[1]--,t[0]>7||t[1]>7)throw new Error("Bad Gutters: "+t.join("|"));return t}},129:{f:function(e,t,n){var r=n&&8==n.biff||2==t?e.read_shift(2):(e.l+=t,0);return{fDialog:16&r,fBelow:64&r,fRight:128&r}}},130:{f:qi},131:{f:$i},132:{f:$i},133:{f:function(e,t,n){var r="";if(4==n.biff)return 0===(r=Qi(e,0,n)).length&&(r="Sheet1"),{name:r};var i=e.read_shift(4),a=3&e.read_shift(1),o=e.read_shift(1);switch(o){case 0:o="Worksheet";break;case 1:o="Macrosheet";break;case 2:o="Chartsheet";break;case 6:o="VBAModule"}return 0===(r=Qi(e,0,n)).length&&(r="Sheet1"),{pos:i,hs:a,dt:o,name:r}}},134:{},140:{f:function(e){var t,n=[0,0];return t=e.read_shift(2),n[0]=Zr[t]||t,t=e.read_shift(2),n[1]=Zr[t]||t,n}},141:{f:qi},144:{},146:{f:function(e){for(var t=e.read_shift(2),n=[];t-- >0;)n.push(ua(e));return n}},151:{},152:{},153:{},154:{},155:{},156:{f:qi},157:{},158:{},160:{f:Ha},161:{f:function(e,t){var n={};return t<32||(e.l+=16,n.header=Vr(e),n.footer=Vr(e),e.l+=2),n}},174:{},175:{},176:{},177:{},178:{},180:{},181:{},182:{},184:{},185:{},189:{f:function(e,t){for(var n=e.l+t-2,r=e.read_shift(2),i=e.read_shift(2),a=[];e.l<n;)a.push(ha(e));if(e.l!==n)throw new Error("MulRK read error");var o=e.read_shift(2);if(a.length!=o-i+1)throw new Error("MulRK length mismatch");return{r:r,c:i,C:o,rkrec:a}}},190:{f:function(e,t){for(var n=e.l+t-2,r=e.read_shift(2),i=e.read_shift(2),a=[];e.l<n;)a.push(e.read_shift(2));if(e.l!==n)throw new Error("MulBlank read error");var o=e.read_shift(2);if(a.length!=o-i+1)throw new Error("MulBlank length mismatch");return{r:r,c:i,C:o,ixfe:a}}},193:{f:Hi},197:{},198:{},199:{},200:{},201:{},202:{f:$i},203:{},204:{},205:{},206:{},207:{},208:{},209:{},210:{},211:{},213:{},215:{},216:{},217:{},218:{f:qi},220:{},221:{f:$i},222:{},224:{f:function(e,t,n){var r={};return r.ifnt=e.read_shift(2),r.numFmtId=e.read_shift(2),r.flags=e.read_shift(2),r.fStyle=r.flags>>2&1,r.data=function(e,t,n,r){var i={},a=e.read_shift(4),o=e.read_shift(4),s=e.read_shift(4),l=e.read_shift(2);return i.patternType=Qr[s>>26],r.cellStyles?(i.alc=7&a,i.fWrap=a>>3&1,i.alcV=a>>4&7,i.fJustLast=a>>7&1,i.trot=a>>8&255,i.cIndent=a>>16&15,i.fShrinkToFit=a>>20&1,i.iReadOrder=a>>22&2,i.fAtrNum=a>>26&1,i.fAtrFnt=a>>27&1,i.fAtrAlc=a>>28&1,i.fAtrBdr=a>>29&1,i.fAtrPat=a>>30&1,i.fAtrProt=a>>31&1,i.dgLeft=15&o,i.dgRight=o>>4&15,i.dgTop=o>>8&15,i.dgBottom=o>>12&15,i.icvLeft=o>>16&127,i.icvRight=o>>23&127,i.grbitDiag=o>>30&3,i.icvTop=127&s,i.icvBottom=s>>7&127,i.icvDiag=s>>14&127,i.dgDiag=s>>21&15,i.icvFore=127&l,i.icvBack=l>>7&127,i.fsxButton=l>>14&1,i):i}(e,0,r.fStyle,n),r}},225:{f:function(e,t){return 0===t||e.read_shift(2),1200}},226:{f:Hi},227:{},229:{f:function(e,t){for(var n=[],r=e.read_shift(2);r--;)n.push(ma(e));return n}},233:{},235:{},236:{},237:{},239:{},240:{},241:{},242:{},244:{},245:{},246:{},247:{},248:{},249:{},251:{},252:{f:function(e,t){for(var n=e.l+t,r=e.read_shift(4),i=e.read_shift(4),a=[],o=0;o!=i&&e.l<n;++o)a.push(ea(e));return a.Count=r,a.Unique=i,a}},253:{f:function(e,t,n){var r=da(e,t,n);return r.isst=e.read_shift(4),r}},255:{f:function(e,t){var n={};return n.dsst=e.read_shift(2),e.l+=t-2,n}},256:{},259:{},290:{},311:{},312:{},315:{},317:{f:Yi},318:{},319:{},320:{},330:{},331:{},333:{},334:{},335:{},336:{},337:{},338:{},339:{},340:{},351:{},352:{f:$i},353:{f:Hi},401:{},402:{},403:{},404:{},405:{},406:{},407:{},408:{},425:{},426:{},427:{},428:{},429:{},430:{f:function(e,t,n){var r=e.l+t,i=e.read_shift(2),a=e.read_shift(2);if(n.sbcch=a,1025==a||14849==a)return[a,i];if(a<1||a>255)throw new Error("Unexpected SupBook type: "+a);for(var o=na(e,a),s=[];r>e.l;)s.push(ra(e));return[a,i,o,s]}},431:{f:$i},432:{},433:{},434:{},437:{},438:{f:function(e,t,n){var r=e.l,i="";try{e.l+=4;var a=(n.lastobj||{cmo:[0,0]}).cmo[1];-1==[0,5,7,11,12,14].indexOf(a)?e.l+=6:function(e){var t=e.read_shift(1);e.l++;var n=e.read_shift(2);e.l+=2}(e);var o=e.read_shift(2);e.read_shift(2),qi(e);var s=e.read_shift(2);e.l+=s;for(var l=1;l<e.lens.length-1;++l){if(e.l-r!=e.lens[l])throw new Error("TxO: bad continue record");var c=e[e.l];if((i+=na(e,e.lens[l+1]-e.lens[l]-1)).length>=(c?o:2*o))break}if(i.length!==o&&i.length!==2*o)throw new Error("cchText: "+o+" != "+i.length);return e.l=r+t,{t:i}}catch(n){return e.l=r+t,{t:i}}}},439:{f:$i},440:{f:function(e,t){var n=ma(e);e.l+=16;var r=function(e,t){var n=e.l+t,r=e.read_shift(4);if(2!==r)throw new Error("Unrecognized streamVersion: "+r);var i=e.read_shift(2);e.l+=2;var a,o,s,l,c,u,d="";16&i&&(a=oa(e,e.l)),128&i&&(o=oa(e,e.l)),257&~i||(s=oa(e,e.l)),1==(257&i)&&(l=function(e,t){var n=e.read_shift(16);switch(n){case"e0c9ea79f9bace118c8200aa004ba90b":return function(e){var t=e.read_shift(4),n=e.l,r=!1;t>24&&(e.l+=t-24,"795881f43b1d7f48af2c825dc4852763"===e.read_shift(16)&&(r=!0),e.l=n);var i=e.read_shift((r?t-24:t)>>1,"utf16le").replace(N,"");return r&&(e.l+=24),i}(e);case"0303000000000000c000000000000046":return function(e){for(var t=e.read_shift(2),n="";t-- >0;)n+="../";var r=e.read_shift(0,"lpstr-ansi");if(e.l+=2,57005!=e.read_shift(2))throw new Error("Bad FileMoniker");if(0===e.read_shift(4))return n+r.replace(/\\/g,"/");var i=e.read_shift(4);if(3!=e.read_shift(2))throw new Error("Bad FileMoniker");return n+e.read_shift(i>>1,"utf16le").replace(N,"")}(e);default:throw new Error("Unsupported Moniker "+n)}}(e,e.l)),8&i&&(d=oa(e,e.l)),32&i&&(c=e.read_shift(16)),64&i&&(u=Di(e)),e.l=n;var f=o||s||l||"";f&&d&&(f+="#"+d),f||(f="#"+d),2&i&&"/"==f.charAt(0)&&"/"!=f.charAt(1)&&(f="file://"+f);var p={Target:f};return c&&(p.guid=c),u&&(p.time=u),a&&(p.Tooltip=a),p}(e,t-24);return[n,r]}},441:{},442:{f:ra},443:{},444:{f:qi},445:{},446:{},448:{f:Hi},449:{f:function(e){return e.read_shift(2),e.read_shift(4)},r:2},450:{f:Hi},512:{f:Ma},513:{f:Wa},515:{f:function(e,t,n){n.biffguess&&2==n.biff&&(n.biff=5);var r=da(e,6,n),i=Vr(e);return r.val=i,r}},516:{f:function(e,t,n){n.biffguess&&2==n.biff&&(n.biff=5),e.l;var r=da(e,t,n),i=ra(e,e.l,n);return r.val=i,r}},517:{f:function(e,t,n){var r=da(e,6,n),i=Ji(e);return r.val=i,r.t=!0===i||!1===i?"b":"e",r}},519:{f:$a},520:{f:function(e){var t={};t.r=e.read_shift(2),t.c=e.read_shift(2),t.cnt=e.read_shift(2)-t.c;var n=e.read_shift(2);e.l+=4;var r=e.read_shift(1);return e.l+=3,7&r&&(t.level=7&r),32&r&&(t.hidden=!0),64&r&&(t.hpt=n/20),t}},523:{},545:{f:Ba},549:{f:Ta},566:{},574:{f:function(e,t,n){return n&&n.biff>=2&&n.biff<5?{}:{RTL:64&e.read_shift(2)}}},638:{f:function(e){var t=e.read_shift(2),n=e.read_shift(2),r=ha(e);return{r:t,c:n,ixfe:r[0],rknum:r[1]}}},659:{},1048:{},1054:{f:function(e,t,n){return[e.read_shift(2),ia(e,0,n)]}},1084:{},1212:{f:function(e,t,n){var r=va(e);e.l++;var i=e.read_shift(1);return[js(e,t-=8,n),i,r]}},2048:{f:function(e,t){e.read_shift(2);var n=ma(e),r=e.read_shift((t-10)/2,"dbcs-cont");return[n,r=r.replace(N,"")]}},2049:{},2050:{},2051:{},2052:{},2053:{},2054:{},2055:{},2056:{},2057:{f:wa},2058:{},2059:{},2060:{},2061:{},2062:{},2063:{},2064:{},2066:{},2067:{},2128:{},2129:{},2130:{},2131:{},2132:{},2133:{},2134:{},2135:{},2136:{},2137:{},2138:{},2146:{},2147:{r:12},2148:{},2149:{},2150:{},2151:{f:Hi},2152:{},2154:{},2155:{},2156:{},2161:{},2162:{},2164:{},2165:{},2166:{},2167:{},2168:{},2169:{},2170:{},2171:{},2172:{f:function(e){e.l+=2;var t={cxfs:0,crc:0};return t.cxfs=e.read_shift(2),t.crc=e.read_shift(4),t},r:12},2173:{f:function(e,t){e.l,e.l+=2;var n=e.read_shift(2);e.l+=2;for(var r=e.read_shift(2),i=[];r-- >0;)i.push(Qo(e,e.l));return{ixfe:n,ext:i}},r:12},2174:{},2175:{},2180:{},2181:{},2182:{},2183:{},2184:{},2185:{},2186:{},2187:{},2188:{f:$i,r:12},2189:{},2190:{r:12},2191:{},2192:{},2194:{},2195:{},2196:{f:function(e,t,n){if(!(n.biff<8)){var r=e.read_shift(2),i=e.read_shift(2);return[na(e,r,n),na(e,i,n)]}e.l+=t},r:12},2197:{},2198:{f:function(e,t,n){var r=e.l+t;if(124226!==e.read_shift(4))if(n.cellStyles){var i,a=e.slice(e.l);e.l=r;try{i=St(a,{type:"array"})}catch(e){return}var o=bt(i,"theme/theme/theme1.xml",!0);if(o)return Jo(o,n)}else e.l=r},r:12},2199:{},2200:{},2201:{},2202:{f:function(e){return[0!==e.read_shift(4),0!==e.read_shift(4),e.read_shift(4)]},r:12},2203:{f:Hi},2204:{},2205:{},2206:{},2207:{},2211:{f:function(e){var t=function(e){var t=e.read_shift(2),n=e.read_shift(2);return e.l+=8,{type:t,flags:n}}(e);if(2211!=t.type)throw new Error("Invalid Future Record "+t.type);return 0!==e.read_shift(4)}},2212:{},2213:{},2214:{},2215:{},4097:{},4098:{},4099:{},4102:{},4103:{},4105:{},4106:{},4107:{},4108:{},4109:{},4116:{},4117:{},4118:{},4119:{},4120:{},4121:{},4122:{},4123:{},4124:{},4125:{},4126:{},4127:{},4128:{},4129:{},4130:{},4132:{},4133:{},4134:{f:qi},4135:{},4146:{},4147:{},4148:{},4149:{},4154:{},4156:{},4157:{},4158:{},4159:{},4160:{},4161:{},4163:{},4164:{f:function(e,t,n){var r={area:!1};if(5!=n.biff)return e.l+=t,r;var i=e.read_shift(1);return e.l+=3,16&i&&(r.area=!0),r}},4165:{},4166:{},4168:{},4170:{},4171:{},4174:{},4175:{},4176:{},4177:{},4187:{},4188:{f:function(e){for(var t=e.read_shift(2),n=[];t-- >0;)n.push(ua(e));return n}},4189:{},4191:{},4192:{},4193:{},4194:{},4195:{},4196:{},4197:{},4198:{},4199:{},4200:{},0:{f:Ma},1:{},2:{f:function(e,t,n){var r=da(e,7,n),i=e.read_shift(2);return r.t="n",r.val=i,r}},3:{f:function(e,t,n){var r=da(e,7,n),i=Vr(e);return r.t="n",r.val=i,r}},4:{f:function(e,t,n){n.biffguess&&5==n.biff&&(n.biff=2);var r=da(e,7,n),i=ia(e,0,n);return r.t="str",r.val=i,r}},5:{f:function(e,t,n){var r=e.l+7,i=da(e,6,n);e.l=r;var a=Ji(e);return i.val=a,i.t=!0===a||!1===a?"b":"e",i}},7:{f:function(e){var t=e.read_shift(1);return 0===t?(e.l++,""):e.read_shift(t,"sbcs-cont")}},8:{},9:{f:wa},11:{},22:{f:qi},30:{f:Ea},31:{},32:{},33:{f:Ba},36:{},37:{f:Ta},50:{f:function(e,t){e.l+=6,e.l+=2,e.l+=1,e.l+=3,e.l+=1,e.l+=t-13}},62:{},52:{},67:{f:function(e){var t={};return t.ifnt=e.read_shift(1),e.l++,t.flags=e.read_shift(1),t.numFmtId=63&t.flags,t.flags>>=6,t.fStyle=0,t.data={},t}},68:{f:qi},69:{},86:{},126:{},127:{f:function(e){var t=e.read_shift(2),n=e.read_shift(2),r=e.read_shift(4),i={fmt:t,env:n,len:r,data:e.slice(e.l,e.l+r)};return e.l+=r,i}},135:{},136:{},137:{},143:{f:function(e){var t=e.read_shift(4),n=e.read_shift(1),r=e.read_shift(n,"sbcs");return 0===r.length&&(r="Sheet1"),{flags:t,name:r}}},145:{},148:{},149:{},150:{},169:{},171:{},188:{},191:{},192:{},194:{},195:{},214:{f:function(e,t,n){var r=e.l+t,i=da(e,6,n),a=e.read_shift(2),o=na(e,a,n);return e.l=r,i.t="str",i.val=o,i}},223:{},234:{},354:{},421:{},518:{f:Ws},521:{f:wa},536:{f:Ra},547:{f:ka},561:{},579:{f:function(e){var t={};return t.ifnt=e.read_shift(1),t.numFmtId=e.read_shift(1),t.flags=e.read_shift(2),t.fStyle=t.flags>>2&1,t.data={},t}},1030:{f:Ws},1033:{f:wa},1091:{f:function(e){var t={};return t.ifnt=e.read_shift(1),t.numFmtId=e.read_shift(1),t.flags=e.read_shift(2),t.fStyle=t.flags>>2&1,t.data={},t}},2157:{},2163:{},2177:{},2240:{},2241:{},2242:{},2243:{},2244:{},2245:{},2246:{},2247:{},2248:{},2249:{},2250:{},2251:{},2262:{r:12},101:{},102:{},105:{},106:{},107:{},109:{},112:{},114:{},29282:{}};function wc(e,t,n,r){var i=t;if(!isNaN(i)){var a=r||(n||[]).length||0,o=e.next(4);o.write_shift(2,i),o.write_shift(2,a),a>0&&Nn(n)&&e.push(n)}}function Ac(e,t,n,r){var i=Kn(9);return Xa(i,e,t),Zi(n,r||"b",i),i}function Sc(e,t){t.forEach((function(t){var n=t[0].map((function(e){return e.t})).join("");if(n.length<=2048)return wc(e,28,Ua(n,t[1],t[2]));wc(e,28,Ua(n.slice(0,2048),t[1],t[2],n.length));for(var r=2048;r<n.length;r+=2048)wc(e,28,Ua(n.slice(r,Math.min(r+2048,n.length)),-1,-1,Math.min(2048,n.length-r)))}))}function Tc(e,t,n,r,i,a){var o=0;null!=t.z&&-1==(o=i._BIFF2FmtTable.indexOf(t.z))&&(i._BIFF2FmtTable.push(t.z),o=i._BIFF2FmtTable.length-1);var s,l,c,u,d=0;if(null!=t.z){for(;d<i.cellXfs.length&&i.cellXfs[d].numFmtId!=o;++d);d==i.cellXfs.length&&i.cellXfs.push({numFmtId:o})}if(null!=t.v)switch(t.t){case"d":case"n":var f="d"==t.t?Ue(He(t.v,a),a):t.v;return void(2==i.biff&&f==(0|f)&&f>=0&&f<65536?wc(e,2,function(e,t,n,r,i){var a=Kn(9);return Xa(a,e,t,r||0,i||0),a.write_shift(2,n),a}(n,r,f,d,o)):isNaN(f)?wc(e,5,Ac(n,r,36,"e")):isFinite(f)?wc(e,3,function(e,t,n,r,i){var a=Kn(15);return Xa(a,e,t,r||0,i||0),a.write_shift(8,n,"f"),a}(n,r,f,d,o)):wc(e,5,Ac(n,r,7,"e")));case"b":case"e":return void wc(e,5,Ac(n,r,t.v,t.t));case"s":case"str":return void wc(e,4,(s=n,l=r,c=null==t.v?"":String(t.v).slice(0,255),u=Kn(8+2*c.length),Xa(u,s,l),u.write_shift(1,c.length),u.write_shift(c.length,c,"sbcs"),u.l<u.length?u.slice(0,u.l):u))}wc(e,1,Xa(null,n,r))}var Cc=1,Ec=[];function Mc(e,t,n,r,i,a){var o=16+ul(i.cellXfs,t,i);if(null!=t.v||t.bf)if(t.bf)wc(e,6,function(e,t,n,r,i){var a=fa(t,n,i),o=function(e){if(null==e){var t=Kn(8);return t.write_shift(1,3),t.write_shift(1,0),t.write_shift(2,0),t.write_shift(2,0),t.write_shift(2,65535),t}return Gr("number"==typeof e?e:0)}(e.v),s=Kn(6);s.write_shift(2,33),s.write_shift(4,0);for(var l=Kn(e.bf.length),c=0;c<e.bf.length;++c)l[c]=e.bf[c];return O([a,o,s,l])}(t,n,r,0,o));else switch(t.t){case"d":case"n":var s="d"==t.t?Ue(He(t.v,a),a):t.v;isNaN(s)?wc(e,517,Oa(n,r,36,o,0,"e")):isFinite(s)?wc(e,515,function(e,t,n,r){var i=Kn(14);return fa(e,t,r,i),Gr(n,i),i}(n,r,s,o)):wc(e,517,Oa(n,r,7,o,0,"e"));break;case"b":case"e":wc(e,517,Oa(n,r,t.v,o,0,t.t));break;case"s":case"str":i.bookSST?wc(e,253,function(e,t,n,r){var i=Kn(10);return fa(e,t,r,i),i.write_shift(4,n),i}(n,r,sl(i.Strings,null==t.v?"":String(t.v),i.revStrings),o)):wc(e,516,function(e,t,n,r,i){var a=!i||8==i.biff,o=Kn(+a+8+(1+a)*n.length);return fa(e,t,r,o),o.write_shift(2,n.length),a&&o.write_shift(1,1),o.write_shift((1+a)*n.length,n,a?"utf16le":"sbcs"),o}(n,r,(null==t.v?"":String(t.v)).slice(0,255),o,i));break;default:wc(e,513,fa(n,r,o))}else wc(e,513,fa(n,r,o))}function Dc(e,t,n){var r,i,a,o=Jn(),s=n.SheetNames[e],l=n.Sheets[s]||{},c=(n||{}).Workbook||{},u=(c.Sheets||[])[e]||{},d=null!=l["!data"],f=8==t.biff,p="",h=[],m=pr(l["!ref"]||"A1"),g=f?65536:16384;if(m.e.c>255||m.e.r>=g){if(t.WTF)throw new Error("Range "+(l["!ref"]||"A1")+" exceeds format limit A1:IV16384");m.e.c=Math.min(m.e.c,255),m.e.r=Math.min(m.e.c,g-1)}wc(o,2057,Aa(0,16,t)),wc(o,13,Ki(1)),wc(o,12,Ki(100)),wc(o,15,Xi(!0)),wc(o,17,Xi(!1)),wc(o,16,Gr(.001)),wc(o,95,Xi(!0)),wc(o,42,Xi(!1)),wc(o,43,Xi(!1)),wc(o,130,Ki(1)),wc(o,128,(i=[0,0],(a=Kn(8)).write_shift(4,0),a.write_shift(2,i[0]?i[0]+1:0),a.write_shift(2,i[1]?i[1]+1:0),a)),wc(o,131,Xi(!1)),wc(o,132,Xi(!1)),f&&function(e,t){if(t){var n=0;t.forEach((function(t,r){++n<=256&&t&&wc(e,125,function(e,t){var n=Kn(12);n.write_shift(2,t),n.write_shift(2,t),n.write_shift(2,256*e.width),n.write_shift(2,0);var r=0;return e.hidden&&(r|=1),n.write_shift(1,r),r=e.level||0,n.write_shift(1,r),n.write_shift(2,0),n}(ll(r,t),r))}))}}(o,l["!cols"]),wc(o,512,function(e,t){var n=8!=t.biff&&t.biff?2:4,r=Kn(2*n+6);return r.write_shift(n,e.s.r),r.write_shift(n,e.e.r+1),r.write_shift(2,e.s.c),r.write_shift(2,e.e.c+1),r.write_shift(2,0),r}(m,t));var v=(((n||{}).Workbook||{}).WBProps||{}).date1904;f&&(l["!links"]=[]);for(var y=m.s.c;y<=m.e.c;++y)h[y]=or(y);for(var b=[],_=[],x=m.s.r;x<=m.e.r;++x)for(d&&(_=l["!data"][x]||[]),p=ir(x),y=m.s.c;y<=m.e.c;++y){r=h[y]+p;var w=d?_[y]:l[r];w&&(Mc(o,w,x,y,t,v),f&&w.l&&l["!links"].push([r,w.l]),w.c&&b.push([w.c,x,y]))}var A=u.CodeName||u.name||s;return f?function(e,t){var n,r=[],i=0,a=Jn(),o=Cc;t.forEach((function(e,t){var o="",s=e[0].map((function(e){return e.a&&!o&&(o=e.a),e.t})).join("");++Cc;var l=Kn(150);l.write_shift(2,15),l.write_shift(2,61444),l.write_shift(4,150),l.write_shift(2,3234),l.write_shift(2,61450),l.write_shift(4,8),l.write_shift(4,Cc),l.write_shift(4,2560),l.write_shift(2,227),l.write_shift(2,61451),l.write_shift(4,84),l.write_shift(2,128),l.write_shift(4,0),l.write_shift(2,139),l.write_shift(4,2),l.write_shift(2,191),l.write_shift(4,524296),l.write_shift(2,344),l.l+=4,l.write_shift(2,385),l.write_shift(4,134217808),l.write_shift(2,387),l.write_shift(4,134217808),l.write_shift(2,389),l.write_shift(4,268435700),l.write_shift(2,447),l.write_shift(4,1048592),l.write_shift(2,448),l.write_shift(4,134217809),l.write_shift(2,451),l.write_shift(4,268435700),l.write_shift(2,513),l.write_shift(4,134217809),l.write_shift(2,515),l.write_shift(4,268435700),l.write_shift(2,575),l.write_shift(4,196609),l.write_shift(2,959),l.write_shift(4,131072|(e[0].hidden?2:0)),l.l+=2,l.write_shift(2,61456),l.write_shift(4,18),l.write_shift(2,3),l.write_shift(2,e[2]+2),l.l+=2,l.write_shift(2,e[1]+1),l.l+=2,l.write_shift(2,e[2]+4),l.l+=2,l.write_shift(2,e[1]+5),l.l+=2,l.l+=2,l.write_shift(2,61457),l.l+=4,l.l=150,0==t?n=l:wc(a,236,l),i+=150;var c=Kn(52);c.write_shift(2,21),c.write_shift(2,18),c.write_shift(2,25),c.write_shift(2,Cc),c.write_shift(2,0),c.l=22,c.write_shift(2,13),c.write_shift(2,22),c.write_shift(4,1651663474),c.write_shift(4,2503426821),c.write_shift(4,2150634280),c.write_shift(4,1768515844+256*Cc),c.write_shift(2,0),c.write_shift(4,0),c.l+=4,wc(a,93,c);var u=Kn(8);u.l+=2,u.write_shift(2,61453),u.l+=4,wc(a,236,u),i+=8;var d=Kn(18);d.write_shift(2,18),d.l+=8,d.write_shift(2,s.length),d.write_shift(2,16),d.l+=4,wc(a,438,d);var f=Kn(1+s.length);f.write_shift(1,0),f.write_shift(s.length,s,"sbcs"),wc(a,60,f);var p=Kn(16);p.l+=8,p.write_shift(2,s.length),p.l+=6,wc(a,60,p);var h=Kn(12+o.length);h.write_shift(2,e[1]),h.write_shift(2,e[2]),h.write_shift(2,0|(e[0].hidden?0:2)),h.write_shift(2,Cc),h.write_shift(2,o.length),h.write_shift(1,0),h.write_shift(o.length,o,"sbcs"),h.l++,r.push(h)}));var s=Kn(80);s.write_shift(2,15),s.write_shift(2,61442),s.write_shift(4,i+s.length-8),s.write_shift(2,16),s.write_shift(2,61448),s.write_shift(4,8),s.write_shift(4,t.length+1),s.write_shift(4,Cc),s.write_shift(2,15),s.write_shift(2,61443),s.write_shift(4,i+48),s.write_shift(2,15),s.write_shift(2,61444),s.write_shift(4,40),s.write_shift(2,1),s.write_shift(2,61449),s.write_shift(4,16),s.l+=16,s.write_shift(2,2),s.write_shift(2,61450),s.write_shift(4,8),s.write_shift(4,o),s.write_shift(4,5),wc(e,236,n?O([s,n]):s),e.push(a.end()),r.forEach((function(t){wc(e,28,t)})),Ec.push([o,t.length+1,Cc]),++Cc}(o,b):Sc(o,b),f&&wc(o,574,function(e){var t=Kn(18),n=1718;return e&&e.RTL&&(n|=64),t.write_shift(2,n),t.write_shift(4,0),t.write_shift(4,64),t.write_shift(4,0),t.write_shift(4,0),t}((c.Views||[])[0])),f&&(l["!merges"]||[]).length&&wc(o,229,function(e){var t=Kn(2+8*e.length);t.write_shift(2,e.length);for(var n=0;n<e.length;++n)ga(e[n],t);return t}(l["!merges"])),f&&function(e,t){for(var n=0;n<t["!links"].length;++n){var r=t["!links"][n];wc(e,440,Ga(r)),r[1].Tooltip&&wc(e,2048,za(r))}delete t["!links"]}(o,l),wc(o,442,aa(A)),f&&function(e,t){var n=Kn(19);n.write_shift(4,2151),n.write_shift(4,0),n.write_shift(4,0),n.write_shift(2,3),n.write_shift(1,1),n.write_shift(4,0),wc(e,2151,n),(n=Kn(39)).write_shift(4,2152),n.write_shift(4,0),n.write_shift(4,0),n.write_shift(2,3),n.write_shift(1,0),n.write_shift(4,0),n.write_shift(2,1),n.write_shift(4,4),n.write_shift(2,0),ga(pr(t["!ref"]||"A1"),n),n.write_shift(4,4),wc(e,2152,n)}(o,l),wc(o,10),o.end()}function Pc(e,t,n){var r,i=Jn(),a=(e||{}).Workbook||{},o=a.Sheets||[],s=a.WBProps||{},l=8==n.biff,c=5==n.biff;wc(i,2057,Aa(0,5,n)),"xla"==n.bookType&&wc(i,135),wc(i,225,l?Ki(1200):null),wc(i,193,function(e,t){t||(t=Kn(2));for(var n=0;n<2;++n)t.write_shift(1,0);return t}()),c&&wc(i,191),c&&wc(i,192),wc(i,226),wc(i,92,function(e,t){var n=!t||8==t.biff,r=Kn(n?112:54);for(r.write_shift(8==t.biff?2:1,7),n&&r.write_shift(1,0),r.write_shift(4,859007059),r.write_shift(4,5458548|(n?0:536870912));r.l<r.length;)r.write_shift(1,n?0:32);return r}(0,n)),wc(i,66,Ki(l?1200:1252)),l&&wc(i,353,Ki(0)),l&&wc(i,448),wc(i,317,function(e){for(var t=Kn(2*e),n=0;n<e;++n)t.write_shift(2,n+1);return t}(e.SheetNames.length)),l&&e.vbaraw&&wc(i,211),l&&e.vbaraw&&wc(i,442,aa(s.CodeName||"ThisWorkbook")),wc(i,156,Ki(17)),wc(i,25,Xi(!1)),wc(i,18,Xi(!1)),wc(i,19,Ki(0)),l&&wc(i,431,Xi(!1)),l&&wc(i,444,Ki(0)),wc(i,61,((r=Kn(18)).write_shift(2,0),r.write_shift(2,0),r.write_shift(2,29280),r.write_shift(2,17600),r.write_shift(2,56),r.write_shift(2,0),r.write_shift(2,0),r.write_shift(2,1),r.write_shift(2,500),r)),wc(i,64,Xi(!1)),wc(i,141,Ki(0)),wc(i,34,Xi("true"==function(e){return e.Workbook&&e.Workbook.WBProps&&Wt(e.Workbook.WBProps.date1904)?"true":"false"}(e))),wc(i,14,Xi(!0)),l&&wc(i,439,Xi(!1)),wc(i,218,Ki(0)),function(e,t,n){wc(e,49,function(e,t){var n=e.name||"Arial",r=t&&5==t.biff,i=Kn(r?15+n.length:16+2*n.length);return i.write_shift(2,20*(e.sz||12)),i.write_shift(4,0),i.write_shift(2,400),i.write_shift(4,0),i.write_shift(2,0),i.write_shift(1,n.length),r||i.write_shift(1,1),i.write_shift((r?1:2)*n.length,n,r?"sbcs":"utf16le"),i}({sz:12,color:{theme:1},name:"Arial",family:2,scheme:"minor"},n))}(i,0,n),function(e,t,n){t&&[[5,8],[23,26],[41,44],[50,392]].forEach((function(r){for(var i=r[0];i<=r[1];++i)null!=t[i]&&wc(e,1054,Ca(i,t[i],n))}))}(i,e.SSF,n),function(e,t){for(var n=0;n<16;++n)wc(e,224,Da({numFmtId:0,style:!0},0,t));t.cellXfs.forEach((function(n){wc(e,224,Da(n,0,t))}))}(i,n),l&&wc(i,352,Xi(!1));var u=i.end(),d=Jn();l&&wc(d,140,function(e){return e||(e=Kn(4)),e.write_shift(2,1),e.write_shift(2,1),e}()),l&&Ec.length&&wc(d,235,function(){var e=Kn(82+8*Ec.length);e.write_shift(2,15),e.write_shift(2,61440),e.write_shift(4,74+8*Ec.length),e.write_shift(2,0),e.write_shift(2,61446),e.write_shift(4,16+8*Ec.length),e.write_shift(4,Cc),e.write_shift(4,Ec.length+1);for(var t=0,n=0;n<Ec.length;++n)t+=Ec[n]&&Ec[n][1]||0;return e.write_shift(4,t),e.write_shift(4,Ec.length),Ec.forEach((function(t){e.write_shift(4,t[0]),e.write_shift(4,t[2])})),e.write_shift(2,51),e.write_shift(2,61451),e.write_shift(4,18),e.write_shift(2,191),e.write_shift(4,524296),e.write_shift(2,385),e.write_shift(4,134217793),e.write_shift(2,448),e.write_shift(4,134217792),e.write_shift(2,64),e.write_shift(2,61726),e.write_shift(4,16),e.write_shift(4,134217741),e.write_shift(4,134217740),e.write_shift(4,134217751),e.write_shift(4,268435703),e}()),l&&n.Strings&&function(e,t,n,r){var i=(n||[]).length||0;if(i<=8224)return wc(e,252,n,i);if(!isNaN(252)){for(var a=n.parts||[],o=0,s=0,l=0;l+(a[o]||8224)<=8224;)l+=a[o]||8224,o++;var c=e.next(4);for(c.write_shift(2,252),c.write_shift(2,l),e.push(n.slice(s,s+l)),s+=l;s<i;){for((c=e.next(4)).write_shift(2,60),l=0;l+(a[o]||8224)<=8224;)l+=a[o]||8224,o++;c.write_shift(2,l),e.push(n.slice(s,s+l)),s+=l}}}(d,0,function(e,t){var n=Kn(8);n.write_shift(4,e.Count),n.write_shift(4,e.Unique);for(var r=[],i=0;i<e.length;++i)r[i]=ta(e[i]);var a=O([n].concat(r));return a.parts=[n.length].concat(r.map((function(e){return e.length}))),a}(n.Strings)),wc(d,10);var f=d.end(),p=Jn(),h=0,m=0;for(m=0;m<e.SheetNames.length;++m)h+=(l?12:11)+(l?2:1)*e.SheetNames[m].length;var g=u.length+h+f.length;for(m=0;m<e.SheetNames.length;++m)wc(p,133,Sa({pos:g,hs:(o[m]||{}).Hidden||0,dt:0,name:e.SheetNames[m]},n)),g+=t[m].length;var v=p.end();if(h!=v.length)throw new Error("BS8 "+h+" != "+v.length);var y=[];return u.length&&y.push(u),v.length&&y.push(v),f.length&&y.push(f),O(y)}function Ic(e,t){for(var n=0;n<=e.SheetNames.length;++n){var r=e.Sheets[e.SheetNames[n]];r&&r["!ref"]&&cr(r["!ref"]).e.c>255&&"undefined"!=typeof console&&console.error&&console.error("Worksheet '"+e.SheetNames[n]+"' extends beyond column IV (255).  Data may be lost.")}var i=t||{};switch(i.biff||2){case 8:case 5:return function(e,t){var n=t||{},r=[];e&&!e.SSF&&(e.SSF=Xe(W)),e&&e.SSF&&(xe(),_e(e.SSF),n.revssf=Re(e.SSF),n.revssf[e.SSF[65535]]=0,n.ssf=e.SSF),Cc=1,Ec=[],n.Strings=[],n.Strings.Count=0,n.Strings.Unique=0,Gu(n),n.cellXfs=[],ul(n.cellXfs,{},{revssf:{General:0}}),e.Props||(e.Props={});for(var i=0;i<e.SheetNames.length;++i)r[r.length]=Dc(i,n,e);return r.unshift(Pc(e,r,n)),O(r)}(e,t);case 4:case 3:case 2:return function(e,t){for(var n=t||{},r=Jn(),i=0,a=0;a<e.SheetNames.length;++a)e.SheetNames[a]==n.sheet&&(i=a);if(0==i&&n.sheet&&e.SheetNames[0]!=n.sheet)throw new Error("Sheet not found: "+n.sheet);wc(r,4==n.biff?1033:3==n.biff?521:9,Aa(0,16,n)),((e.Workbook||{}).WBProps||{}).date1904&&wc(r,34,Xi(!0)),n.cellXfs=[{numFmtId:0}],n._BIFF2FmtTable=["General"],n._Fonts=[];var o=Jn();return function(e,t,n,r,i){var a=null!=t["!data"],o=pr(t["!ref"]||"A1"),s="",l=[];if(o.e.c>255||o.e.r>16383){if(r.WTF)throw new Error("Range "+(t["!ref"]||"A1")+" exceeds format limit A1:IV16384");o.e.c=Math.min(o.e.c,255),o.e.r=Math.min(o.e.c,16383)}for(var c=(((i||{}).Workbook||{}).WBProps||{}).date1904,u=[],d=[],f=o.s.c;f<=o.e.c;++f)l[f]=or(f);for(var p=o.s.r;p<=o.e.r;++p)for(a&&(u=t["!data"][p]||[]),s=ir(p),f=o.s.c;f<=o.e.c;++f){var h=a?u[f]:t[l[f]+s];h&&(Tc(e,h,p,f,r,c),h.c&&d.push([h.c,p,f]))}Sc(e,d)}(o,e.Sheets[e.SheetNames[i]],0,n,e),n._BIFF2FmtTable.forEach((function(e){n.biff<=3?wc(r,30,function(e){var t=Kn(1+e.length);return t.write_shift(1,e.length),t.write_shift(e.length,e,"sbcs"),t}(e)):wc(r,1054,function(e){var t=Kn(3+e.length);return t.l+=2,t.write_shift(1,e.length),t.write_shift(e.length,e,"sbcs"),t}(e))})),n.cellXfs.forEach((function(e){switch(n.biff){case 2:wc(r,67,function(e){var t=Kn(4);return t.l+=2,t.write_shift(1,e.numFmtId),t.l++,t}(e));break;case 3:wc(r,579,Pa(e));break;case 4:wc(r,1091,Ia(e))}})),delete n._BIFF2FmtTable,delete n.cellXfs,delete n._Fonts,r.push(o.end()),wc(r,10),r.end()}(e,t)}throw new Error("invalid type "+i.bookType+" for BIFF")}function Oc(e,t){var n=t||{},r=null!=n.dense?n.dense:b,i={};r&&(i["!data"]=[]);var a=(e=st(e,"\x3c!--","--\x3e")).match(/<table/i);if(!a)throw new Error("Invalid HTML: could not find <table>");var o=e.match(/<\/table/i),s=a.index,l=o&&o.index||e.length,c=nt(e.slice(s,l),/(:?<tr[^<>]*>)/i,"<tr>"),u=-1,d=0,f=0,p=0,h={s:{r:1e7,c:1e7},e:{r:0,c:0}},m=[];for(s=0;s<c.length;++s){var g=c[s].trim(),v=g.slice(0,3).toLowerCase();if("<tr"!=v){if("<td"==v||"<th"==v){var y=g.split(/<\/t[dh]>/i);for(l=0;l<y.length;++l){var _=y[l].trim();if(_.match(/<t[dh]/i)){for(var x=_,w=0;"<"==x.charAt(0)&&(w=x.indexOf(">"))>-1;)x=x.slice(w+1);for(var A=0;A<m.length;++A){var S=m[A];S.s.c==d&&S.s.r<u&&u<=S.e.r&&(d=S.e.c+1,A=-1)}var T=Ot(_.slice(0,_.indexOf(">")));p=T.colspan?+T.colspan:1,((f=+T.rowspan)>1||p>1)&&m.push({s:{r:u,c:d},e:{r:u+(f||1)-1,c:d+p-1}});var C=T.t||T["data-t"]||"";if(x.length)if(x=Zt(x),h.s.r>u&&(h.s.r=u),h.e.r<u&&(h.e.r=u),h.s.c>d&&(h.s.c=d),h.e.c<d&&(h.e.c=d),x.length){var E={t:"s",v:x};n.raw||!x.trim().length||"s"==C||("TRUE"===x?E={t:"b",v:!0}:"FALSE"===x?E={t:"b",v:!1}:isNaN(Ke(x))?isNaN(tt(x).getDate())||(E={t:"d",v:He(x)},!1===n.UTC&&(E.v=rt(E.v)),n.cellDates||(E={t:"n",v:Ue(E.v)}),E.z=n.dateNF||W[14]):E={t:"n",v:Ke(x)}),!1!==E.cellText&&(E.w=x),r?(i["!data"][u]||(i["!data"][u]=[]),i["!data"][u][d]=E):i[lr({r:u,c:d})]=E,d+=p}else d+=p;else d+=p}}}}else{if(++u,n.sheetRows&&n.sheetRows<=u){--u;break}d=0}}return i["!ref"]=ur(h),m.length&&(i["!merges"]=m),i}function Nc(e,t,n,r){for(var i=e["!merges"]||[],a=[],o={},s=null!=e["!data"],l=t.s.c;l<=t.e.c;++l){for(var c=0,u=0,d=0;d<i.length;++d)if(!(i[d].s.r>n||i[d].s.c>l||i[d].e.r<n||i[d].e.c<l)){if(i[d].s.r<n||i[d].s.c<l){c=-1;break}c=i[d].e.r-i[d].s.r+1,u=i[d].e.c-i[d].s.c+1;break}if(!(c<0)){var f=or(l)+ir(n),p=s?(e["!data"][n]||[])[l]:e[f],h=p&&null!=p.v&&(p.h||zt(p.w||(hr(p),p.w)||""))||"";o={},c>1&&(o.rowspan=c),u>1&&(o.colspan=u),r.editable?h='<span contenteditable="true">'+h+"</span>":p&&(o["data-t"]=p&&p.t||"z",null!=p.v&&(o["data-v"]=zt(p.v instanceof Date?p.v.toISOString():p.v)),null!=p.z&&(o["data-z"]=p.z),p.l&&"#"!=(p.l.Target||"#").charAt(0)&&(h='<a href="'+zt(p.l.Target)+'">'+h+"</a>")),o.id=(r.id||"sjs")+"-"+f,a.push(on("td",h,o))}}return"<tr>"+a.join("")+"</tr>"}var kc='<html><head><meta charset="utf-8"/><title>SheetJS Table Export</title></head><body>',Rc="</body></html>";function Lc(e,t,n){return[].join("")+"<table"+(n&&n.id?' id="'+n.id+'"':"")+">"}function Fc(e,t){var n=t||{},r=null!=n.header?n.header:kc,i=null!=n.footer?n.footer:Rc,a=[r],o=cr(e["!ref"]||"A1");if(a.push(Lc(0,0,n)),e["!ref"])for(var s=o.s.r;s<=o.e.r;++s)a.push(Nc(e,o,s,n));return a.push("</table>"+i),a.join("")}function Bc(e,t,n){var r=t.rows;if(!r)throw"Unsupported origin when "+t.tagName+" is not a TABLE";var i=n||{},a=null!=e["!data"],o=0,s=0;if(null!=i.origin)if("number"==typeof i.origin)o=i.origin;else{var l="string"==typeof i.origin?sr(i.origin):i.origin;o=l.r,s=l.c}var c=Math.min(i.sheetRows||1e7,r.length),u={s:{r:0,c:0},e:{r:o,c:s}};if(e["!ref"]){var d=cr(e["!ref"]);u.s.r=Math.min(u.s.r,d.s.r),u.s.c=Math.min(u.s.c,d.s.c),u.e.r=Math.max(u.e.r,d.e.r),u.e.c=Math.max(u.e.c,d.e.c),-1==o&&(u.e.r=o=d.e.r+1)}var f=[],p=0,h=e["!rows"]||(e["!rows"]=[]),m=0,g=0,v=0,y=0,b=0,_=0;for(e["!cols"]||(e["!cols"]=[]);m<r.length&&g<c;++m){var x=r[m];if(Vc(x)){if(i.display)continue;h[g]={hidden:!0}}var w=x.cells;for(v=y=0;v<w.length;++v){var A=w[v];if(!i.display||!Vc(A)){var S=A.hasAttribute("data-v")?A.getAttribute("data-v"):A.hasAttribute("v")?A.getAttribute("v"):Zt(A.innerHTML),T=A.getAttribute("data-z")||A.getAttribute("z");for(p=0;p<f.length;++p){var C=f[p];C.s.c==y+s&&C.s.r<g+o&&g+o<=C.e.r&&(y=C.e.c+1-s,p=-1)}_=+A.getAttribute("colspan")||1,((b=+A.getAttribute("rowspan")||1)>1||_>1)&&f.push({s:{r:g+o,c:y+s},e:{r:g+o+(b||1)-1,c:y+s+(_||1)-1}});var E={t:"s",v:S},M=A.getAttribute("data-t")||A.getAttribute("t")||"";null!=S&&(0==S.length?E.t=M||"z":i.raw||0==S.trim().length||"s"==M||("TRUE"===S?E={t:"b",v:!0}:"FALSE"===S?E={t:"b",v:!1}:isNaN(Ke(S))?isNaN(tt(S).getDate())||(E={t:"d",v:He(S)},i.UTC&&(E.v=it(E.v)),i.cellDates||(E={t:"n",v:Ue(E.v)}),E.z=i.dateNF||W[14]):E={t:"n",v:Ke(S)})),void 0===E.z&&null!=T&&(E.z=T);var D="",P=A.getElementsByTagName("A");if(P&&P.length)for(var I=0;I<P.length&&(!P[I].hasAttribute("href")||"#"==(D=P[I].getAttribute("href")).charAt(0));++I);D&&"#"!=D.charAt(0)&&"javascript:"!=D.slice(0,11).toLowerCase()&&(E.l={Target:D}),a?(e["!data"][g+o]||(e["!data"][g+o]=[]),e["!data"][g+o][y+s]=E):e[lr({c:y+s,r:g+o})]=E,u.e.c<y+s&&(u.e.c=y+s),y+=_}}++g}return f.length&&(e["!merges"]=(e["!merges"]||[]).concat(f)),u.e.r=Math.max(u.e.r,g-1+o),e["!ref"]=ur(u),g>=c&&(e["!fullref"]=ur((u.e.r=r.length-m+g-1+o,u))),e}function Uc(e,t){var n={};return(t||{}).dense&&(n["!data"]=[]),Bc(n,e,t)}function Vc(e){var t="",n=function(e){return e.ownerDocument.defaultView&&"function"==typeof e.ownerDocument.defaultView.getComputedStyle?e.ownerDocument.defaultView.getComputedStyle:"function"==typeof getComputedStyle?getComputedStyle:null}(e);return n&&(t=n(e).getPropertyValue("display")),t||(t=e.style&&e.style.display),"none"===t}function Gc(e,t,n){var r=n||{},i=ln(e);cn.lastIndex=0,i=at(st(i,"\x3c!--","--\x3e"));for(var a,o,s,l="",c="",u=0,d=-1,f="";a=cn.exec(i);)switch(a[3]=a[3].replace(/_[\s\S]*$/,"")){case"number-style":case"currency-style":case"percentage-style":case"date-style":case"time-style":case"text-style":"/"===a[1]?("false"==o["truncate-on-overflow"]&&(l.match(/h/)?l=l.replace(/h+/,"[$&]"):l.match(/m/)?l=l.replace(/m+/,"[$&]"):l.match(/s/)&&(l=l.replace(/s+/,"[$&]"))),r[o.name]=l,l=""):"/"!==a[0].charAt(a[0].length-2)&&(l="",o=Ot(a[0],!1));break;case"boolean-style":"/"===a[1]?(r[o.name]="General",l=""):"/"!==a[0].charAt(a[0].length-2)&&(l="",o=Ot(a[0],!1));break;case"boolean":l+="General";break;case"text":"/"===a[1]?"%"==(f=i.slice(d,cn.lastIndex-a[0].length))&&"<number:percentage-style"==o[0]?l+="%":l+='"'+f.replace(/"/g,'""')+'"':"/"!==a[0].charAt(a[0].length-2)&&(d=cn.lastIndex);break;case"day":"short"===(s=Ot(a[0],!1)).style?l+="d":l+="dd";break;case"day-of-week":switch((s=Ot(a[0],!1)).style){case"short":default:l+="ddd";break;case"long":l+="dddd"}break;case"era":"short"===(s=Ot(a[0],!1)).style?l+="ee":l+="eeee";break;case"hours":"short"===(s=Ot(a[0],!1)).style?l+="h":l+="hh";break;case"minutes":"short"===(s=Ot(a[0],!1)).style?l+="m":l+="mm";break;case"month":switch((s=Ot(a[0],!1)).textual&&(l+="mm"),s.style){case"short":default:l+="m";break;case"long":l+="mm"}break;case"seconds":"short"===(s=Ot(a[0],!1)).style?l+="s":l+="ss",s["decimal-places"]&&(l+="."+qe("0",+s["decimal-places"]));break;case"year":switch((s=Ot(a[0],!1)).style){case"short":default:l+="yy";break;case"long":l+="yyyy"}break;case"am-pm":l+="AM/PM";break;case"week-of-year":case"quarter":console.error("Excel does not support ODS format token "+a[3]);break;case"fill-character":"/"===a[1]?l+='"'+(f=i.slice(d,cn.lastIndex-a[0].length)).replace(/"/g,'""')+'"*':"/"!==a[0].charAt(a[0].length-2)&&(d=cn.lastIndex);break;case"scientific-number":l+="0."+qe("0",+(s=Ot(a[0],!1))["min-decimal-places"]||+s["decimal-places"]||2)+qe("?",+s["decimal-places"]-+s["min-decimal-places"]||0)+"E"+(Wt(s["forced-exponent-sign"])?"+":"")+qe("0",+s["min-exponent-digits"]||2);break;case"fraction":+(s=Ot(a[0],!1))["min-integer-digits"]?l+=qe("0",+s["min-integer-digits"]):l+="#",l+=" ",l+=qe("?",+s["min-numerator-digits"]||1),l+="/",+s["denominator-value"]?l+=s["denominator-value"]:l+=qe("?",+s["min-denominator-digits"]||1);break;case"currency-symbol":"/"===a[1]?l+='"'+i.slice(d,cn.lastIndex-a[0].length).replace(/"/g,'""')+'"':"/"!==a[0].charAt(a[0].length-2)?d=cn.lastIndex:l+="$";break;case"text-properties":switch(((s=Ot(a[0],!1)).color||"").toLowerCase().replace("#","")){case"ff0000":case"red":l="[Red]"+l}break;case"text-content":l+="@";break;case"map":s=Ot(a[0],!1),"value()>=0"==Lt(s.condition)?l=r[s["apply-style-name"]]+";"+l:console.error("ODS number format may be incorrect: "+s.condition);break;case"number":if("/"===a[1])break;c="",c+=qe("0",+(s=Ot(a[0],!1))["min-integer-digits"]||1),Wt(s.grouping)&&(c=ee(qe("#",Math.max(0,4-c.length))+c)),(+s["min-decimal-places"]||+s["decimal-places"])&&(c+="."),+s["min-decimal-places"]&&(c+=qe("0",+s["min-decimal-places"]||1)),+s["decimal-places"]-(+s["min-decimal-places"]||0)&&(c+=qe("0",+s["decimal-places"]-(+s["min-decimal-places"]||0))),l+=c;break;case"embedded-text":"/"===a[1]?0==u?l+='"'+i.slice(d,cn.lastIndex-a[0].length).replace(/"/g,'""')+'"':l=l.slice(0,u)+'"'+i.slice(d,cn.lastIndex-a[0].length).replace(/"/g,'""')+'"'+l.slice(u):"/"!==a[0].charAt(a[0].length-2)&&(d=cn.lastIndex,u=-+Ot(a[0],!1).position||0)}return r}function zc(e,t,n){var r=t||{};null!=b&&null==r.dense&&(r.dense=b);var i,a,o,s,l,c,u,d=ln(e),f=[],p=0,h={},m=[],g={};r.dense&&(g["!data"]=[]);var v,y={value:""},_="",x=0,w="",A=0,S=[],T=[],C=-1,E=-1,M={s:{r:1e6,c:1e7},e:{r:0,c:0}},D=0,P=n||{},I={},O=[],N={},k=[],R=1,L=1,F=[],B={Names:[],WBProps:{}},U={},V=["",""],G=[],z={},j="",W=0,H=!1,$=!1,X=0;for(cn.lastIndex=0,d=at(st(d,"\x3c!--","--\x3e"));c=cn.exec(d);)switch(c[3]=c[3].replace(/_[\s\S]*$/,"")){case"table":case"工作表":"/"===c[1]?(M.e.c>=M.s.c&&M.e.r>=M.s.r?g["!ref"]=ur(M):g["!ref"]="A1:A1",r.sheetRows>0&&r.sheetRows<=M.e.r&&(g["!fullref"]=g["!ref"],M.e.r=r.sheetRows-1,g["!ref"]=ur(M)),O.length&&(g["!merges"]=O),k.length&&(g["!rows"]=k),s.name=s["名称"]||s.name,"undefined"!=typeof JSON&&JSON.stringify(s),m.push(s.name),h[s.name]=g,$=!1):"/"!==c[0].charAt(c[0].length-2)&&(s=Ot(c[0],!1),C=E=-1,M.s.r=M.s.c=1e7,M.e.r=M.e.c=0,g={},r.dense&&(g["!data"]=[]),O=[],k=[],$=!0);break;case"table-row-group":"/"===c[1]?--D:++D;break;case"table-row":case"行":if("/"===c[1]){C+=R,R=1;break}if((l=Ot(c[0],!1))["行号"]?C=l["行号"]-1:-1==C&&(C=0),(R=+l["number-rows-repeated"]||1)<10)for(X=0;X<R;++X)D>0&&(k[C+X]={level:D});E=-1;break;case"covered-table-cell":"/"!==c[1]&&++E,r.sheetStubs&&(r.dense?(g["!data"][C]||(g["!data"][C]=[]),g["!data"][C][E]={t:"z"}):g[lr({r:C,c:E})]={t:"z"}),_="",S=[];break;case"table-cell":case"数据":if("/"===c[0].charAt(c[0].length-2))++E,y=Ot(c[0],!1),L=parseInt(y["number-columns-repeated"]||"1",10),u={t:"z",v:null},y.formula&&0!=r.cellFormula&&(u.f=tl(Lt(y.formula))),y["style-name"]&&I[y["style-name"]]&&(u.z=I[y["style-name"]]),"string"==(y["数据类型"]||y["value-type"])&&(u.t="s",u.v=Lt(y["string-value"]||""),r.dense?(g["!data"][C]||(g["!data"][C]=[]),g["!data"][C][E]=u):g[or(E)+ir(C)]=u),E+=L-1;else if("/"!==c[1]){_=w="",x=A=0,S=[],T=[],L=1;var q=R?C+R-1:C;if(++E>M.e.c&&(M.e.c=E),E<M.s.c&&(M.s.c=E),C<M.s.r&&(M.s.r=C),q>M.e.r&&(M.e.r=q),G=[],z={},u={t:(y=Ot(c[0],!1))["数据类型"]||y["value-type"],v:null},y["style-name"]&&I[y["style-name"]]&&(u.z=I[y["style-name"]]),r.cellFormula)if(y.formula&&(y.formula=Lt(y.formula)),y["number-matrix-columns-spanned"]&&y["number-matrix-rows-spanned"]&&(N={s:{r:C,c:E},e:{r:C+(parseInt(y["number-matrix-rows-spanned"],10)||0)-1,c:E+(parseInt(y["number-matrix-columns-spanned"],10)||0)-1}},u.F=ur(N),F.push([N,u.F])),y.formula)u.f=tl(y.formula);else for(X=0;X<F.length;++X)C>=F[X][0].s.r&&C<=F[X][0].e.r&&E>=F[X][0].s.c&&E<=F[X][0].e.c&&(u.F=F[X][1]);switch((y["number-columns-spanned"]||y["number-rows-spanned"])&&(N={s:{r:C,c:E},e:{r:C+(parseInt(y["number-rows-spanned"],10)||0)-1,c:E+(parseInt(y["number-columns-spanned"],10)||0)-1}},O.push(N)),y["number-columns-repeated"]&&(L=parseInt(y["number-columns-repeated"],10)),u.t){case"boolean":u.t="b",u.v=Wt(y["boolean-value"])||+y["boolean-value"]>=1;break;case"float":u.t="n",u.v=parseFloat(y.value),r.cellDates&&u.z&&me(u.z)&&(u.v=Ve(u.v+(B.WBProps.date1904?1462:0)),u.t="number"==typeof u.v?"n":"d");break;case"percentage":case"currency":u.t="n",u.v=parseFloat(y.value);break;case"date":u.t="d",u.v=He(y["date-value"],B.WBProps.date1904),r.cellDates||(u.t="n",u.v=Ue(u.v,B.WBProps.date1904)),u.z||(u.z="m/d/yy");break;case"time":u.t="n",u.v=Ge(y["time-value"])/86400,r.cellDates&&(u.v=Ve(u.v),u.t="number"==typeof u.v?"n":"d"),u.z||(u.z="HH:MM:SS");break;case"number":u.t="n",u.v=parseFloat(y["数据数值"]);break;default:if("string"!==u.t&&"text"!==u.t&&u.t)throw new Error("Unsupported value type "+u.t);u.t="s",null!=y["string-value"]&&(_=Lt(y["string-value"]),S=[])}}else{if(H=!1,"s"===u.t&&(u.v=_||"",S.length&&(u.R=S),H=0==x),U.Target&&(u.l=U),G.length>0&&(u.c=G,G=[]),_&&!1!==r.cellText&&(u.w=_),H&&(u.t="z",delete u.v),(!H||r.sheetStubs)&&!(r.sheetRows&&r.sheetRows<=C))for(var K=0;K<R;++K){if(L=parseInt(y["number-columns-repeated"]||"1",10),r.dense)for(g["!data"][C+K]||(g["!data"][C+K]=[]),g["!data"][C+K][E]=0==K?u:Xe(u);--L>0;)g["!data"][C+K][E+L]=Xe(u);else for(g[lr({r:C+K,c:E})]=u;--L>0;)g[lr({r:C+K,c:E+L})]=Xe(u);M.e.c<=E&&(M.e.c=E)}E+=(L=parseInt(y["number-columns-repeated"]||"1",10))-1,L=0,u={},_="",S=[]}U={};break;case"document":case"document-content":case"电子表格文档":case"spreadsheet":case"主体":case"scripts":case"styles":case"font-face-decls":case"master-styles":if("/"===c[1]){if((i=f.pop())[0]!==c[3])throw"Bad state: "+i}else"/"!==c[0].charAt(c[0].length-2)&&f.push([c[3],!0]);break;case"annotation":if("/"===c[1]){if((i=f.pop())[0]!==c[3])throw"Bad state: "+i;z.t=_,S.length&&(z.R=S),z.a=j,G.push(z),_=w,x=A,S=T}else if("/"!==c[0].charAt(c[0].length-2)){f.push([c[3],!1]);var Y=Ot(c[0],!0);Y.display&&Wt(Y.display)||(G.hidden=!0),w=_,A=x,T=S,_="",x=0,S=[]}j="",W=0;break;case"creator":"/"===c[1]?j=d.slice(W,c.index):W=c.index+c[0].length;break;case"meta":case"元数据":case"settings":case"config-item-set":case"config-item-map-indexed":case"config-item-map-entry":case"config-item-map-named":case"shapes":case"frame":case"text-box":case"image":case"data-pilot-tables":case"list-style":case"form":case"dde-links":case"event-listeners":case"chart":if("/"===c[1]){if((i=f.pop())[0]!==c[3])throw"Bad state: "+i}else"/"!==c[0].charAt(c[0].length-2)&&f.push([c[3],!1]);_="",x=0,S=[];break;case"scientific-number":case"currency-symbol":case"fill-character":case"script":case"libraries":case"automatic-styles":case"default-style":case"page-layout":case"map":case"font-face":case"paragraph-properties":case"table-properties":case"table-column-properties":case"table-row-properties":case"table-cell-properties":case"number":case"fraction":case"day":case"month":case"year":case"era":case"day-of-week":case"week-of-year":case"quarter":case"hours":case"minutes":case"seconds":case"am-pm":case"boolean":case"text-content":case"text-properties":case"embedded-text":case"body":case"电子表格":case"forms":case"table-column":case"table-header-rows":case"table-rows":case"table-column-group":case"table-header-columns":case"table-columns":case"graphic-properties":case"calculation-settings":case"named-expressions":case"label-range":case"label-ranges":case"named-expression":case"sort":case"sort-by":case"sort-groups":case"tab":case"line-break":case"span":case"s":case"date":case"object":case"title":case"标题":case"desc":case"binary-data":case"table-source":case"scenario":case"iteration":case"content-validations":case"content-validation":case"help-message":case"error-message":case"database-ranges":case"filter":case"filter-and":case"filter-or":case"filter-condition":case"filter-set-item":case"list-level-style-bullet":case"list-level-style-number":case"list-level-properties":case"sender-firstname":case"sender-lastname":case"sender-initials":case"sender-title":case"sender-position":case"sender-email":case"sender-phone-private":case"sender-fax":case"sender-company":case"sender-phone-work":case"sender-street":case"sender-city":case"sender-postal-code":case"sender-country":case"sender-state-or-province":case"author-name":case"author-initials":case"chapter":case"file-name":case"template-name":case"sheet-name":case"event-listener":case"initial-creator":case"creation-date":case"print-date":case"generator":case"document-statistic":case"user-defined":case"editing-duration":case"editing-cycles":case"config-item":case"page-number":case"page-count":case"time":case"cell-range-source":case"detective":case"operation":case"highlighted-range":case"data-pilot-table":case"source-cell-range":case"source-service":case"data-pilot-field":case"data-pilot-level":case"data-pilot-subtotals":case"data-pilot-subtotal":case"data-pilot-members":case"data-pilot-member":case"data-pilot-display-info":case"data-pilot-sort-info":case"data-pilot-layout-info":case"data-pilot-field-reference":case"data-pilot-groups":case"data-pilot-group":case"data-pilot-group-member":case"rect":case"dde-connection-decls":case"dde-connection-decl":case"dde-link":case"dde-source":case"properties":case"property":case"table-protection":case"data-pilot-grand-total":case"office-document-common-attrs":break;case"text-style":case"boolean-style":case"number-style":case"currency-style":case"percentage-style":case"date-style":case"time-style":if("/"===c[1]){var J=cn.lastIndex;Gc(d.slice(o,cn.lastIndex),0,P),cn.lastIndex=J}else"/"!==c[0].charAt(c[0].length-2)&&(o=cn.lastIndex-c[0].length);break;case"style":var Z=Ot(c[0],!1);"table-cell"==Z.family&&P[Z["data-style-name"]]&&(I[Z.name]=P[Z["data-style-name"]]);break;case"text":if("/>"===c[0].slice(-2))break;if("/"===c[1])switch(f[f.length-1][0]){case"number-style":case"date-style":case"time-style":d.slice(p,c.index)}else p=c.index+c[0].length;break;case"named-range":V=nl((a=Ot(c[0],!1))["cell-range-address"]);var Q={Name:a.name,Ref:V[0]+"!"+V[1]};$&&(Q.Sheet=m.length),B.Names.push(Q);break;case"null-date":"1904-01-01"===(a=Ot(c[0],!1))["date-value"]&&(B.WBProps.date1904=!0);break;case"p":case"文本串":if(["master-styles"].indexOf(f[f.length-1][0])>-1)break;if("/"!==c[1]||y&&y["string-value"])"/>"==c[0].slice(-2)?_+="\n":(Ot(c[0],!1),x=c.index+c[0].length);else{var ee=(v=void 0,v=d.slice(x,c.index).replace(/[\t\r\n]/g," ").trim().replace(/ +/g," ").replace(/<text:s\/>/g," ").replace(/<text:s text:c="(\d+)"\/>/g,(function(e,t){return Array(parseInt(t,10)+1).join(" ")})).replace(/<text:tab[^<>]*\/>/g,"\t").replace(/<text:line-break\/>/g,"\n"),[Lt(v.replace(/<[^<>]*>/g,""))]);_=(_.length>0?_+"\n":"")+ee[0]}break;case"database-range":if("/"===c[1])break;try{h[(V=nl(Ot(c[0])["target-range-address"]))[0]]["!autofilter"]={ref:V[1]}}catch(e){}break;case"a":if("/"!==c[1]){if(!(U=Ot(c[0],!1)).href)break;U.Target=Lt(U.href),delete U.href,"#"==U.Target.charAt(0)&&U.Target.indexOf(".")>-1?(V=nl(U.Target.slice(1)),U.Target="#"+V[0]+"!"+V[1]):U.Target.match(/^\.\.[\\\/]/)&&(U.Target=U.Target.slice(3))}break;default:switch(c[2]){case"dc:":case"calcext:":case"loext:":case"ooo:":case"chartooo:":case"draw:":case"style:":case"chart:":case"form:":case"uof:":case"表:":case"字:":break;default:if(r.WTF)throw new Error(c)}}var te={Sheets:h,SheetNames:m,Workbook:B};return r.bookSheets&&delete te.Sheets,te}function jc(e,t){t=t||{},gt(e,"META-INF/manifest.xml")&&function(e,t){for(var n,r,i=ln(e);n=cn.exec(i);)switch(n[3]){case"manifest":break;case"file-entry":if("/"==(r=Ot(n[0],!1)).path&&r.type!==pi)throw new Error("This OpenDocument is not a spreadsheet");break;case"encryption-data":case"algorithm":case"start-key-generation":case"key-derivation":throw new Error("Unsupported ODS Encryption");default:if(t&&t.WTF)throw n}}(yt(e,"META-INF/manifest.xml"),t);var n=bt(e,"styles.xml"),r=n&&Gc(Yt(n)),i=bt(e,"content.xml");if(!i)throw new Error("Missing content.xml in ODS / UOF file");var a=zc(Yt(i),t,r);return gt(e,"meta.xml")&&(a.Props=vi(yt(e,"meta.xml"))),a.bookType="ods",a}function Wc(e,t){var n=zc(e,t);return n.bookType="fods",n}var Hc=function(){var e=["<office:master-styles>",'<style:master-page style:name="mp1" style:page-layout-name="mp1">',"<style:header/>",'<style:header-left style:display="false"/>',"<style:footer/>",'<style:footer-left style:display="false"/>',"</style:master-page>","</office:master-styles>"].join(""),t="<office:document-styles "+an({"xmlns:office":"urn:oasis:names:tc:opendocument:xmlns:office:1.0","xmlns:table":"urn:oasis:names:tc:opendocument:xmlns:table:1.0","xmlns:style":"urn:oasis:names:tc:opendocument:xmlns:style:1.0","xmlns:text":"urn:oasis:names:tc:opendocument:xmlns:text:1.0","xmlns:draw":"urn:oasis:names:tc:opendocument:xmlns:drawing:1.0","xmlns:fo":"urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0","xmlns:xlink":"http://www.w3.org/1999/xlink","xmlns:dc":"http://purl.org/dc/elements/1.1/","xmlns:number":"urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0","xmlns:svg":"urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0","xmlns:of":"urn:oasis:names:tc:opendocument:xmlns:of:1.2","office:version":"1.2"})+">"+e+"</office:document-styles>";return function(){return Ct+t}}();function $c(e,t){var n="number",r="",i={"style:name":t},a="",o=0;e:if((e=e.replace(/"[$]"/g,"$")).indexOf(";")>-1&&(console.error("Unsupported ODS Style Map exported.  Using first branch of "+e),e=e.slice(0,e.indexOf(";"))),"@"!=e){if(e.indexOf(/\$/)>-1&&(n="currency"),'"'==e[o]){for(a="";'"'!=e[++o]||'"'==e[++o];)a+=e[o];"*"==e[1+--o]?(o++,r+="<number:fill-character>"+Ut(a.replace(/""/g,'"'))+"</number:fill-character>"):r+="<number:text>"+Ut(a.replace(/""/g,'"'))+"</number:text>",e=e.slice(o+1),o=0}var s=e.match(/# (\?+)\/(\?+)/);if(s)r+=on("number:fraction",null,{"number:min-integer-digits":0,"number:min-numerator-digits":s[1].length,"number:max-denominator-value":Math.max(+s[1].replace(/./g,"9"),+s[2].replace(/./g,"9"))});else if(s=e.match(/# (\?+)\/(\d+)/))r+=on("number:fraction",null,{"number:min-integer-digits":0,"number:min-numerator-digits":s[1].length,"number:denominator-value":+s[2]});else if(s=e.match(/\b(\d+)(|\.\d+)%/))n="percentage",r+=on("number:number",null,{"number:decimal-places":s[2]&&s.length-1||0,"number:min-decimal-places":s[2]&&s.length-1||0,"number:min-integer-digits":s[1].length})+"<number:text>%</number:text>";else{var l=!1;if(["y","m","d"].indexOf(e[0])>-1){n="date";t:for(;o<e.length;++o)switch(a=e[o].toLowerCase()){case"h":case"s":l=!0,--o;break t;case"m":n:for(var c=o+1;c<e.length;++c)switch(e[c]){case"y":case"d":break n;case"h":case"s":l=!0,--o;break t}case"y":case"d":for(;(e[++o]||"").toLowerCase()==a[0];)a+=a[0];switch(--o,a){case"y":case"yy":r+="<number:year/>";break;case"yyy":case"yyyy":r+='<number:year number:style="long"/>';break;case"mmmmm":console.error("ODS has no equivalent of format |mmmmm|");case"m":case"mm":case"mmm":case"mmmm":r+='<number:month number:style="'+(a.length%2?"short":"long")+'" number:textual="'+(a.length>=3?"true":"false")+'"/>';break;case"d":case"dd":r+='<number:day number:style="'+(a.length%2?"short":"long")+'"/>';break;case"ddd":case"dddd":r+='<number:day-of-week number:style="'+(a.length%2?"short":"long")+'"/>'}break;case'"':for(;'"'!=e[++o]||'"'==e[++o];)a+=e[o];--o,r+="<number:text>"+Ut(a.slice(1).replace(/""/g,'"'))+"</number:text>";break;case"\\":r+="<number:text>"+Ut(a=e[++o])+"</number:text>";break;case"/":case":":r+="<number:text>"+Ut(a)+"</number:text>";break;default:console.error("unrecognized character "+a+" in ODF format "+e)}if(!l)break e;e=e.slice(o+1),o=0}if(e.match(/^\[?[hms]/))for("number"==n&&(n="time"),e.match(/\[/)&&(e=e.replace(/[\[\]]/g,""),i["number:truncate-on-overflow"]="false");o<e.length;++o)switch(a=e[o].toLowerCase()){case"h":case"m":case"s":for(;(e[++o]||"").toLowerCase()==a[0];)a+=a[0];switch(--o,a){case"h":case"hh":r+='<number:hours number:style="'+(a.length%2?"short":"long")+'"/>';break;case"m":case"mm":r+='<number:minutes number:style="'+(a.length%2?"short":"long")+'"/>';break;case"s":case"ss":if("."==e[o+1])do{a+=e[o+1],++o}while("0"==e[o+1]);r+='<number:seconds number:style="'+(a.match("ss")?"long":"short")+'"'+(a.match(/\./)?' number:decimal-places="'+(a.match(/0+/)||[""])[0].length+'"':"")+"/>"}break;case'"':for(;'"'!=e[++o]||'"'==e[++o];)a+=e[o];--o,r+="<number:text>"+Ut(a.slice(1).replace(/""/g,'"'))+"</number:text>";break;case"/":case":":r+="<number:text>"+Ut(a)+"</number:text>";break;case"a":if("a/p"==e.slice(o,o+3).toLowerCase()){r+="<number:am-pm/>",o+=2;break}if("am/pm"==e.slice(o,o+5).toLowerCase()){r+="<number:am-pm/>",o+=4;break}default:console.error("unrecognized character "+a+" in ODF format "+e)}else{if(e.indexOf(/\$/)>-1&&(n="currency"),"$"==e[0]&&(r+='<number:currency-symbol number:language="en" number:country="US">$</number:currency-symbol>',e=e.slice(1),o=0),'"'==e[o=0]){for(;'"'!=e[++o]||'"'==e[++o];)a+=e[o];"*"==e[1+--o]?(o++,r+="<number:fill-character>"+Ut(a.replace(/""/g,'"'))+"</number:fill-character>"):r+="<number:text>"+Ut(a.replace(/""/g,'"'))+"</number:text>",e=e.slice(o+1),o=0}var u=e.match(/([#0][0#,]*)(\.[0#]*|)(E[+]?0*|)/i);if(u&&u[0]){var d=u[1].replace(/,/g,"");r+="<number:"+(u[3]?"scientific-":"")+'number number:min-integer-digits="'+(-1==d.indexOf("0")?"0":d.length-d.indexOf("0"))+'"'+(u[0].indexOf(",")>-1?' number:grouping="true"':"")+(u[2]&&' number:decimal-places="'+(u[2].length-1)+'"'||' number:decimal-places="0"')+(u[3]&&u[3].indexOf("+")>-1?' number:forced-exponent-sign="true"':"")+(u[3]?' number:min-exponent-digits="'+u[3].match(/0+/)[0].length+'"':"")+"></number:"+(u[3]?"scientific-":"")+"number>",o=u.index+u[0].length}else console.error("Could not find numeric part of "+e);if('"'==e[o]){for(a="";'"'!=e[++o]||'"'==e[++o];)a+=e[o];--o,r+="<number:text>"+Ut(a.replace(/""/g,'"'))+"</number:text>"}}}}else n="text",r="<number:text-content/>";return r?on("number:"+n+"-style",r,i):(console.error("Could not generate ODS number format for |"+e+"|"),"")}function Xc(e,t,n){for(var r=[],i=0;i<e.length;++i){var a=e[i];a&&a.Sheet==(-1==n?null:n)&&r.push(a)}return r.length?"      <table:named-expressions>\n"+r.map((function(e){var t=(-1==n?"$":"")+rl(e.Ref);return"        "+on("table:named-range",null,{"table:name":e.Name,"table:cell-range-address":t,"table:base-cell-address":t.replace(/[\.][^\.]*$/,".$A$1")})})).join("\n")+"\n      </table:named-expressions>\n":""}var qc=function(){var e=function(e,t){return Ut(e).replace(/  +/g,(function(e){return'<text:s text:c="'+e.length+'"/>'})).replace(/\t/g,"<text:tab/>").replace(/\n/g,t?"<text:line-break/>":"</text:p><text:p>").replace(/^ /,"<text:s/>").replace(/ $/,"<text:s/>")},t="          <table:table-cell />\n",n=function(n,r,i,a,o,s){var l=[];l.push('      <table:table table:name="'+Ut(r.SheetNames[i])+'" table:style-name="ta1">\n');var c=0,u=0,d=cr(n["!ref"]||"A1"),f=n["!merges"]||[],p=0,h=null!=n["!data"];if(n["!cols"])for(u=0;u<=d.e.c;++u)l.push("        <table:table-column"+(n["!cols"][u]?' table:style-name="co'+n["!cols"][u].ods+'"':"")+"></table:table-column>\n");var m="",g=n["!rows"]||[];for(c=0;c<d.s.r;++c)m=g[c]?' table:style-name="ro'+g[c].ods+'"':"",l.push("        <table:table-row"+m+"></table:table-row>\n");for(;c<=d.e.r;++c){for(m=g[c]?' table:style-name="ro'+g[c].ods+'"':"",l.push("        <table:table-row"+m+">\n"),u=0;u<d.s.c;++u)l.push(t);for(;u<=d.e.c;++u){var v=!1,y={},b="";for(p=0;p!=f.length;++p)if(!(f[p].s.c>u||f[p].s.r>c||f[p].e.c<u||f[p].e.r<c)){f[p].s.c==u&&f[p].s.r==c||(v=!0),y["table:number-columns-spanned"]=f[p].e.c-f[p].s.c+1,y["table:number-rows-spanned"]=f[p].e.r-f[p].s.r+1;break}if(v)l.push("          <table:covered-table-cell/>\n");else{var _=lr({r:c,c:u}),x=h?(n["!data"][c]||[])[u]:n[_];if(x&&x.f&&(y["table:formula"]=Ut(("of:="+x.f.replace(ds,"$1[.$2$3$4$5]").replace(/\]:\[/g,":")).replace(/;/g,"|").replace(/,/g,";")),x.F&&x.F.slice(0,_.length)==_)){var w=cr(x.F);y["table:number-matrix-columns-spanned"]=w.e.c-w.s.c+1,y["table:number-matrix-rows-spanned"]=w.e.r-w.s.r+1}if(x){switch(x.t){case"b":b=x.v?"TRUE":"FALSE",y["office:value-type"]="boolean",y["office:boolean-value"]=x.v?"true":"false";break;case"n":b=x.w||String(x.v||0),y["office:value-type"]="float",y["office:value"]=x.v||0;break;case"s":case"str":b=null==x.v?"":x.v,y["office:value-type"]="string";break;case"d":b=x.w||He(x.v,s).toISOString(),y["office:value-type"]="date",y["office:date-value"]=He(x.v,s).toISOString(),y["table:style-name"]="ce1";break;default:l.push(t);continue}var A=e(b);if(x.l&&x.l.Target){var S=x.l.Target;"#"==(S="#"==S.charAt(0)?"#"+rl(S.slice(1)):S).charAt(0)||S.match(/^\w+:/)||(S="../"+S),A=on("text:a",A,{"xlink:href":S.replace(/&/g,"&amp;")})}o[x.z]&&(y["table:style-name"]="ce"+o[x.z].slice(1));var T=on("text:p",A,{});if(x.c){for(var C="",E="",M={},D=0;D<x.c.length;++D)!C&&x.c[D].a&&(C=x.c[D].a),E+="<text:p>"+e(x.c[D].t)+"</text:p>";x.c.hidden||(M["office:display"]=!0),T=on("office:annotation",E,M)+T}l.push("          "+on("table:table-cell",T,y)+"\n")}else l.push(t)}}l.push("        </table:table-row>\n")}return(r.Workbook||{}).Names&&l.push(Xc(r.Workbook.Names,r.SheetNames,i)),l.push("      </table:table>\n"),l.join("")};return function(e,t){var r=[Ct],i=an({"xmlns:office":"urn:oasis:names:tc:opendocument:xmlns:office:1.0","xmlns:table":"urn:oasis:names:tc:opendocument:xmlns:table:1.0","xmlns:style":"urn:oasis:names:tc:opendocument:xmlns:style:1.0","xmlns:text":"urn:oasis:names:tc:opendocument:xmlns:text:1.0","xmlns:draw":"urn:oasis:names:tc:opendocument:xmlns:drawing:1.0","xmlns:fo":"urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0","xmlns:xlink":"http://www.w3.org/1999/xlink","xmlns:dc":"http://purl.org/dc/elements/1.1/","xmlns:meta":"urn:oasis:names:tc:opendocument:xmlns:meta:1.0","xmlns:number":"urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0","xmlns:presentation":"urn:oasis:names:tc:opendocument:xmlns:presentation:1.0","xmlns:svg":"urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0","xmlns:chart":"urn:oasis:names:tc:opendocument:xmlns:chart:1.0","xmlns:dr3d":"urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0","xmlns:math":"http://www.w3.org/1998/Math/MathML","xmlns:form":"urn:oasis:names:tc:opendocument:xmlns:form:1.0","xmlns:script":"urn:oasis:names:tc:opendocument:xmlns:script:1.0","xmlns:ooo":"http://openoffice.org/2004/office","xmlns:ooow":"http://openoffice.org/2004/writer","xmlns:oooc":"http://openoffice.org/2004/calc","xmlns:dom":"http://www.w3.org/2001/xml-events","xmlns:xforms":"http://www.w3.org/2002/xforms","xmlns:xsd":"http://www.w3.org/2001/XMLSchema","xmlns:xsi":"http://www.w3.org/2001/XMLSchema-instance","xmlns:sheet":"urn:oasis:names:tc:opendocument:sh33tjs:1.0","xmlns:rpt":"http://openoffice.org/2005/report","xmlns:of":"urn:oasis:names:tc:opendocument:xmlns:of:1.2","xmlns:xhtml":"http://www.w3.org/1999/xhtml","xmlns:grddl":"http://www.w3.org/2003/g/data-view#","xmlns:tableooo":"http://openoffice.org/2009/table","xmlns:drawooo":"http://openoffice.org/2010/draw","xmlns:calcext":"urn:org:documentfoundation:names:experimental:calc:xmlns:calcext:1.0","xmlns:loext":"urn:org:documentfoundation:names:experimental:office:xmlns:loext:1.0","xmlns:field":"urn:openoffice:names:experimental:ooo-ms-interop:xmlns:field:1.0","xmlns:formx":"urn:openoffice:names:experimental:ooxml-odf-interop:xmlns:form:1.0","xmlns:css3t":"http://www.w3.org/TR/css3-text/","office:version":"1.2"}),a=an({"xmlns:config":"urn:oasis:names:tc:opendocument:xmlns:config:1.0","office:mimetype":"application/vnd.oasis.opendocument.spreadsheet"});"fods"==t.bookType?(r.push("<office:document"+i+a+">\n"),r.push(mi().replace(/<office:document-meta[^<>]*?>/,"").replace(/<\/office:document-meta>/,"")+"\n")):r.push("<office:document-content"+i+">\n");var o=function(e,t){e.push(" <office:automatic-styles>\n");var n=0;t.SheetNames.map((function(e){return t.Sheets[e]})).forEach((function(t){if(t&&t["!cols"])for(var r=0;r<t["!cols"].length;++r)if(t["!cols"][r]){var i=t["!cols"][r];if(null==i.width&&null==i.wpx&&null==i.wch)continue;No(i),i.ods=n;var a=t["!cols"][r].wpx+"px";e.push('  <style:style style:name="co'+n+'" style:family="table-column">\n'),e.push('   <style:table-column-properties fo:break-before="auto" style:column-width="'+a+'"/>\n'),e.push("  </style:style>\n"),++n}}));var r=0;t.SheetNames.map((function(e){return t.Sheets[e]})).forEach((function(t){if(t&&t["!rows"])for(var n=0;n<t["!rows"].length;++n)if(t["!rows"][n]){t["!rows"][n].ods=r;var i=t["!rows"][n].hpx+"px";e.push('  <style:style style:name="ro'+r+'" style:family="table-row">\n'),e.push('   <style:table-row-properties fo:break-before="auto" style:row-height="'+i+'"/>\n'),e.push("  </style:style>\n"),++r}})),e.push('  <style:style style:name="ta1" style:family="table" style:master-page-name="mp1">\n'),e.push('   <style:table-properties table:display="true" style:writing-mode="lr-tb"/>\n'),e.push("  </style:style>\n"),e.push('  <number:date-style style:name="N37" number:automatic-order="true">\n'),e.push('   <number:month number:style="long"/>\n'),e.push("   <number:text>/</number:text>\n"),e.push('   <number:day number:style="long"/>\n'),e.push("   <number:text>/</number:text>\n"),e.push("   <number:year/>\n"),e.push("  </number:date-style>\n");var i={},a=69;return t.SheetNames.map((function(e){return t.Sheets[e]})).forEach((function(t){if(t){var n=null!=t["!data"];if(t["!ref"])for(var r=cr(t["!ref"]),o=0;o<=r.e.r;++o)for(var s=0;s<=r.e.c;++s){var l=n?(t["!data"][o]||[])[s]:t[lr({r:o,c:s})];if(l&&l.z&&"general"!=l.z.toLowerCase()&&!i[l.z]){var c=$c(l.z,"N"+a);c&&(i[l.z]="N"+a,++a,e.push(c+"\n"))}}}})),e.push('  <style:style style:name="ce1" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="N37"/>\n'),Oe(i).forEach((function(t){e.push('<style:style style:name="ce'+i[t].slice(1)+'" style:family="table-cell" style:parent-style-name="Default" style:data-style-name="'+i[t]+'"/>\n')})),e.push(" </office:automatic-styles>\n"),i}(r,e);r.push("  <office:body>\n"),r.push("    <office:spreadsheet>\n"),((e.Workbook||{}).WBProps||{}).date1904&&r.push('      <table:calculation-settings table:case-sensitive="false" table:search-criteria-must-apply-to-whole-cell="true" table:use-wildcards="true" table:use-regular-expressions="false" table:automatic-find-labels="false">\n        <table:null-date table:date-value="1904-01-01"/>\n      </table:calculation-settings>\n');for(var s=0;s!=e.SheetNames.length;++s)r.push(n(e.Sheets[e.SheetNames[s]],e,s,0,o,((e.Workbook||{}).WBProps||{}).date1904));return(e.Workbook||{}).Names&&r.push(Xc(e.Workbook.Names,e.SheetNames,-1)),r.push("    </office:spreadsheet>\n"),r.push("  </office:body>\n"),"fods"==t.bookType?r.push("</office:document>"):r.push("</office:document-content>"),r.join("")}}();function Kc(e,t){if("fods"==t.bookType)return qc(e,t);var n=At(),r="",i=[],a=[];return wt(n,r="mimetype","application/vnd.oasis.opendocument.spreadsheet"),wt(n,r="content.xml",qc(e,t)),i.push([r,"text/xml"]),a.push([r,"ContentFile"]),wt(n,r="styles.xml",Hc(e,t)),i.push([r,"text/xml"]),a.push([r,"StylesFile"]),wt(n,r="meta.xml",Ct+mi()),i.push([r,"text/xml"]),a.push([r,"MetadataFile"]),wt(n,r="manifest.rdf",function(e){var t=[Ct];t.push('<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">\n');for(var n=0;n!=e.length;++n)t.push(hi(e[n][0],e[n][1])),t.push(("",['  <rdf:Description rdf:about="">\n','    <ns0:hasPart xmlns:ns0="http://docs.oasis-open.org/ns/office/1.2/meta/pkg#" rdf:resource="'+e[n][0]+'"/>\n',"  </rdf:Description>\n"].join("")));return t.push(hi("","Document","pkg")),t.push("</rdf:RDF>"),t.join("")}(a)),i.push([r,"application/rdf+xml"]),wt(n,r="META-INF/manifest.xml",function(e){var t=[Ct];t.push('<manifest:manifest xmlns:manifest="urn:oasis:names:tc:opendocument:xmlns:manifest:1.0" manifest:version="1.2">\n'),t.push('  <manifest:file-entry manifest:full-path="/" manifest:version="1.2" manifest:media-type="application/vnd.oasis.opendocument.spreadsheet"/>\n');for(var n=0;n<e.length;++n)t.push('  <manifest:file-entry manifest:full-path="'+e[n][0]+'" manifest:media-type="'+e[n][1]+'"/>\n');return t.push("</manifest:manifest>"),t.join("")}(i)),n}var Yc=function(){try{return"undefined"==typeof Uint8Array||void 0===Uint8Array.prototype.subarray?"slice":"undefined"!=typeof Buffer?void 0===Buffer.prototype.subarray?"slice":("function"==typeof Buffer.from?Buffer.from([72,62]):new Buffer([72,62]))instanceof Uint8Array?"subarray":"slice":"subarray"}catch(e){return"slice"}}();function Jc(e){return new DataView(e.buffer,e.byteOffset,e.byteLength)}function Zc(e){return"undefined"!=typeof TextDecoder?(new TextDecoder).decode(e):Yt(P(e))}function Qc(e){return"undefined"!=typeof TextEncoder?(new TextEncoder).encode(e):M(Jt(e))}function eu(e){for(var t=0,n=0;n<e.length;++n)t+=e[n].length;var r=new Uint8Array(t),i=0;for(n=0;n<e.length;++n){var a=e[n],o=a.length;if(o<250)for(var s=0;s<o;++s)r[i++]=a[s];else r.set(a,i),i+=o}return r}function tu(e){return 16843009*((e=(858993459&(e-=e>>1&1431655765))+(e>>2&858993459))+(e>>4)&252645135)>>>24}function nu(e,t){var n=t.l,r=127&e[n];e:if(e[n++]>=128){if(r|=(127&e[n])<<7,e[n++]<128)break e;if(r|=(127&e[n])<<14,e[n++]<128)break e;if(r|=(127&e[n])<<21,e[n++]<128)break e;if(r+=(127&e[n])*Math.pow(2,28),++n,e[n++]<128)break e;if(r+=(127&e[n])*Math.pow(2,35),++n,e[n++]<128)break e;if(r+=(127&e[n])*Math.pow(2,42),++n,e[n++]<128)break e}return t.l=n,r}function ru(e){var t=new Uint8Array(7);t[0]=127&e;var n=1;e:if(e>127){if(t[n-1]|=128,t[n]=e>>7&127,++n,e<=16383)break e;if(t[n-1]|=128,t[n]=e>>14&127,++n,e<=2097151)break e;if(t[n-1]|=128,t[n]=e>>21&127,++n,e<=268435455)break e;if(t[n-1]|=128,t[n]=e/256>>>21&127,++n,e<=34359738367)break e;if(t[n-1]|=128,t[n]=e/65536>>>21&127,++n,e<=4398046511103)break e;t[n-1]|=128,t[n]=e/16777216>>>21&127,++n}return t[Yc](0,n)}function iu(e){for(var t={l:0},n=[];t.l<e.length;)n.push(nu(e,t));return n}function au(e){return eu(e.map((function(e){return ru(e)})))}function ou(e){var t=0,n=127&e[t];return e[t++]<128?n:(n|=(127&e[t])<<7,e[t++]<128?n:(n|=(127&e[t])<<14,e[t++]<128?n:(n|=(127&e[t])<<21,e[t++]<128?n:n|=(15&e[t])<<28)))}function su(e){for(var t=[],n={l:0};n.l<e.length;){var r,i=n.l,a=nu(e,n),o=7&a;a=a/8|0;var s=n.l;switch(o){case 0:for(;e[s++]>=128;);r=e[Yc](n.l,s),n.l=s;break;case 1:r=e[Yc](s,s+8),n.l=s+8;break;case 2:var l=nu(e,n);r=e[Yc](n.l,n.l+l),n.l+=l;break;case 5:r=e[Yc](s,s+4),n.l=s+4;break;default:throw new Error("PB Type ".concat(o," for Field ").concat(a," at offset ").concat(i))}var c={data:r,type:o};null==t[a]&&(t[a]=[]),t[a].push(c)}return t}function lu(e){var t=[];return e.forEach((function(e,n){0!=n&&e.forEach((function(e){e.data&&(t.push(ru(8*n+e.type)),2==e.type&&t.push(ru(e.data.length)),t.push(e.data))}))})),eu(t)}function cu(e,t){return(null==e?void 0:e.map((function(e){return t(e.data)})))||[]}function uu(e){for(var t,n=[],r={l:0};r.l<e.length;){var i=nu(e,r),a=su(e[Yc](r.l,r.l+i));r.l+=i;var o={id:ou(a[1][0].data),messages:[]};a[2].forEach((function(t){var n=su(t.data),i=ou(n[3][0].data);o.messages.push({meta:n,data:e[Yc](r.l,r.l+i)}),r.l+=i})),(null==(t=a[3])?void 0:t[0])&&(o.merge=ou(a[3][0].data)>>>0>0),n.push(o)}return n}function du(e){var t=[];return e.forEach((function(e){var n=[[],[{data:ru(e.id),type:0}],[]];null!=e.merge&&(n[3]=[{data:ru(+!!e.merge),type:0}]);var r=[];e.messages.forEach((function(e){r.push(e.data),e.meta[3]=[{type:0,data:ru(e.data.length)}],n[2].push({data:lu(e.meta),type:2})}));var i=lu(n);t.push(ru(i.length)),t.push(i),r.forEach((function(e){return t.push(e)}))})),eu(t)}function fu(e,t){if(0!=e)throw new Error("Unexpected Snappy chunk type ".concat(e));for(var n={l:0},r=nu(t,n),i=[],a=n.l;a<t.length;){var o=3&t[a];if(0!=o){var s=0,l=0;if(1==o?(l=4+(t[a]>>2&7),s=(224&t[a++])<<3,s|=t[a++]):(l=1+(t[a++]>>2),2==o?(s=t[a]|t[a+1]<<8,a+=2):(s=(t[a]|t[a+1]<<8|t[a+2]<<16|t[a+3]<<24)>>>0,a+=4)),0==s)throw new Error("Invalid offset 0");for(var c=i.length-1,u=s;c>=0&&u>=i[c].length;)u-=i[c].length,--c;if(c<0){if(0!=u)throw new Error("Invalid offset beyond length");u=i[c=0].length}if(l<u)i.push(i[c][Yc](i[c].length-u,i[c].length-u+l));else{for(u>0&&(i.push(i[c][Yc](i[c].length-u)),l-=u),++c;l>=i[c].length;)i.push(i[c]),l-=i[c].length,++c;l&&i.push(i[c][Yc](0,l))}i.length>25&&(i=[eu(i)])}else{var d=t[a++]>>2;if(d<60)++d;else{var f=d-59;d=t[a],f>1&&(d|=t[a+1]<<8),f>2&&(d|=t[a+2]<<16),f>3&&(d|=t[a+3]<<24),d>>>=0,d++,a+=f}i.push(t[Yc](a,a+d)),a+=d}}for(var p=0,h=0;h<i.length;++h)p+=i[h].length;if(p!=r)throw new Error("Unexpected length: ".concat(p," != ").concat(r));return i}function pu(e){Array.isArray(e)&&(e=new Uint8Array(e));for(var t=[],n=0;n<e.length;){var r=e[n++],i=e[n]|e[n+1]<<8|e[n+2]<<16;n+=3,t.push.apply(t,fu(r,e[Yc](n,n+i))),n+=i}if(n!==e.length)throw new Error("data is not a valid framed stream!");return 1==t.length?t[0]:eu(t)}function hu(e){for(var t=[],n=0;n<e.length;){var r=Math.min(e.length-n,268435455),i=new Uint8Array(4);t.push(i);var a=ru(r),o=a.length;t.push(a),r<=60?(o++,t.push(new Uint8Array([r-1<<2]))):r<=256?(o+=2,t.push(new Uint8Array([240,r-1&255]))):r<=65536?(o+=3,t.push(new Uint8Array([244,r-1&255,r-1>>8&255]))):r<=16777216?(o+=4,t.push(new Uint8Array([248,r-1&255,r-1>>8&255,r-1>>16&255]))):r<=4294967296&&(o+=5,t.push(new Uint8Array([252,r-1&255,r-1>>8&255,r-1>>16&255,r-1>>>24&255]))),t.push(e[Yc](n,n+r)),o+=r,i[0]=0,i[1]=255&o,i[2]=o>>8&255,i[3]=o>>16&255,n+=r}return eu(t)}var mu=function(){return{sst:[],rsst:[],ofmt:[],nfmt:[],fmla:[],ferr:[],cmnt:[]}};function gu(e,t,n,r,i){var a,o,s,l,c=255&t,u=t>>8,d=u>=5?i:r;e:if(n&(u>4?8:4)&&"n"==e.t&&7==c){var f=(null==(a=d[7])?void 0:a[0])?ou(d[7][0].data):-1;if(-1==f)break e;var p=(null==(o=d[15])?void 0:o[0])?ou(d[15][0].data):-1,h=(null==(s=d[16])?void 0:s[0])?ou(d[16][0].data):-1,m=(null==(l=d[40])?void 0:l[0])?ou(d[40][0].data):-1,g=e.v,v=g;t:if(m){if(0==g){p=h=2;break t}p=g>=604800?1:g>=86400?2:g>=3600?4:g>=60?8:g>=1?16:32,Math.floor(g)!=g?h=32:g%60?h=16:g%3600?h=8:g%86400?h=4:g%604800&&(h=2),h<p&&(h=p)}if(-1==p||-1==h)break e;var y=[],b=[];1==p&&(v=g/604800,1==h?b.push('d"d"'):g-=604800*(v|=0),y.push(v+(2==f?" week"+(1==v?"":"s"):1==f?"w":""))),p<=2&&h>=2&&(v=g/86400,h>2&&(g-=86400*(v|=0)),b.push('d"d"'),y.push(v+(2==f?" day"+(1==v?"":"s"):1==f?"d":""))),p<=4&&h>=4&&(v=g/3600,h>4&&(g-=3600*(v|=0)),b.push((p>=4?"[h]":"h")+'"h"'),y.push(v+(2==f?" hour"+(1==v?"":"s"):1==f?"h":""))),p<=8&&h>=8&&(v=g/60,h>8&&(g-=60*(v|=0)),b.push((p>=8?"[m]":"m")+'"m"'),0==f?y.push((8==p&&8==h||v>=10?"":"0")+v):y.push(v+(2==f?" minute"+(1==v?"":"s"):1==f?"m":""))),p<=16&&h>=16&&(v=g,h>16&&(g-=v|=0),b.push((p>=16?"[s]":"s")+'"s"'),0==f?y.push((16==h&&16==p||v>=10?"":"0")+v):y.push(v+(2==f?" second"+(1==v?"":"s"):1==f?"s":""))),h>=32&&(v=Math.round(1e3*g),p<32&&b.push('.000"ms"'),0==f?y.push((v>=100?"":v>=10?"0":"00")+v):y.push(v+(2==f?" millisecond"+(1==v?"":"s"):1==f?"ms":""))),e.w=y.join(0==f?":":" "),e.z=b.join(0==f?'":"':" "),0==f&&(e.w=e.w.replace(/:(\d\d\d)$/,".$1"))}}function vu(e,t){var n=new Uint8Array(32),r=Jc(n),i=12,a=0;switch(n[0]=5,e.t){case"n":if(e.z&&me(e.z)){n[1]=5,r.setFloat64(i,(Ve(e.v+1462).getTime()-Date.UTC(2001,0,1))/1e3,!0),a|=4,i+=8;break}n[1]=2,function(e,t,n){var r=Math.floor(0==n?0:Math.LOG10E*Math.log(Math.abs(n)))+6176-16,i=n/Math.pow(10,r-6176);e[t+15]|=r>>7,e[t+14]|=(127&r)<<1;for(var a=0;i>=1;++a,i/=256)e[t+a]=255&i;e[t+15]|=n>=0?0:128}(n,i,e.v),a|=1,i+=16;break;case"b":n[1]=6,r.setFloat64(i,e.v?1:0,!0),a|=2,i+=8;break;case"s":var o=null==e.v?"":String(e.v);if(e.l){var s=t.rsst.findIndex((function(t){var n;return t.v==o&&t.l==(null==(n=e.l)?void 0:n.Target)}));-1==s&&(t.rsst[s=t.rsst.length]={v:o,l:e.l.Target}),n[1]=9,r.setUint32(i,s,!0),a|=16,i+=4}else{var l=t.sst.indexOf(o);-1==l&&(t.sst[l=t.sst.length]=o),n[1]=3,r.setUint32(i,l,!0),a|=8,i+=4}break;case"d":n[1]=5,r.setFloat64(i,(e.v.getTime()-Date.UTC(2001,0,1))/1e3,!0),a|=4,i+=8;break;case"z":n[1]=0;break;default:throw"unsupported cell type "+e.t}return e.c&&(t.cmnt.push(function(e){for(var t={a:"",t:"",replies:[]},n=0;n<e.length;++n)0==n?(t.a=e[n].a,t.t=e[n].t):t.replies.push({a:e[n].a,t:e[n].t});return t}(e.c)),r.setUint32(i,t.cmnt.length-1,!0),a|=524288,i+=4),r.setUint32(8,a,!0),n[Yc](0,i)}function yu(e,t){var n=new Uint8Array(32),r=Jc(n),i=12,a=0,o="";switch(n[0]=4,e.t){case"n":case"b":case"d":case"e":case"z":break;case"s":if(o=null==e.v?"":String(e.v),e.l){var s=t.rsst.findIndex((function(t){var n;return t.v==o&&t.l==(null==(n=e.l)?void 0:n.Target)}));-1==s&&(t.rsst[s=t.rsst.length]={v:o,l:e.l.Target}),n[1]=9,r.setUint32(i,s,!0),a|=512,i+=4}break;default:throw"unsupported cell type "+e.t}switch(e.c&&(r.setUint32(i,t.cmnt.length-1,!0),a|=4096,i+=4),e.t){case"n":n[1]=2,r.setFloat64(i,e.v,!0),a|=32,i+=8;break;case"b":n[1]=6,r.setFloat64(i,e.v?1:0,!0),a|=32,i+=8;break;case"s":if(o=null==e.v?"":String(e.v),e.l);else{var l=t.sst.indexOf(o);-1==l&&(t.sst[l=t.sst.length]=o),n[1]=3,r.setUint32(i,l,!0),a|=16,i+=4}break;case"d":n[1]=5,r.setFloat64(i,(e.v.getTime()-Date.UTC(2001,0,1))/1e3,!0),a|=64,i+=8;break;case"z":n[1]=0;break;default:throw"unsupported cell type "+e.t}return r.setUint32(8,a,!0),n[Yc](0,i)}function bu(e,t,n){switch(e[0]){case 0:case 1:case 2:case 3:case 4:return function(e,t,n,r){var i,a=Jc(e),o=a.getUint32(4,!0),s=-1,l=-1,c=-1,u=NaN,d=0,f=new Date(Date.UTC(2001,0,1)),p=n>1?12:8;2&o&&(c=a.getUint32(p,!0),p+=4),p+=4*tu(o&(n>1?3468:396)),512&o&&(s=a.getUint32(p,!0),p+=4),p+=4*tu(o&(n>1?12288:4096)),16&o&&(l=a.getUint32(p,!0),p+=4),32&o&&(u=a.getFloat64(p,!0),p+=8),64&o&&(f.setTime(f.getTime()+1e3*(d=a.getFloat64(p,!0))),p+=8),n>1&&255&(o=a.getUint32(8,!0)>>>16)&&(-1==c&&(c=a.getUint32(p,!0)),p+=4);var h=e[n>=4?1:2];switch(h){case 0:return;case 2:case 7:i={t:"n",v:u};break;case 3:i={t:"s",v:t.sst[l]};break;case 5:i=(null==r?void 0:r.cellDates)?{t:"d",v:f}:{t:"n",v:d/86400+35430,z:W[14]};break;case 6:i={t:"b",v:u>0};break;case 8:i={t:"e",v:0};break;case 9:if(!(s>-1))throw new Error("Unsupported cell type ".concat(e[Yc](0,4)));var m=t.rsst[s];i={t:"s",v:m.v},m.l&&(i.l={Target:m.l});break;default:throw new Error("Unsupported cell type ".concat(e[Yc](0,4)))}return c>-1&&gu(i,h|n<<8,o,t.ofmt[c],t.nfmt[c]),7==h&&(i.v/=86400),i}(e,t,e[0],n);case 5:return function(e,t,n){var r,i=Jc(e),a=(i.getUint32(4,!0),i.getUint32(8,!0)),o=12,s=-1,l=-1,c=-1,u=NaN,d=NaN,f=0,p=new Date(Date.UTC(2001,0,1));1&a&&(u=function(e,t){for(var n=(127&e[t+15])<<7|e[t+14]>>1,r=1&e[t+14],i=t+13;i>=t;--i)r=256*r+e[i];return(128&e[t+15]?-r:r)*Math.pow(10,n-6176)}(e,o),o+=16),2&a&&(d=i.getFloat64(o,!0),o+=8),4&a&&(p.setTime(p.getTime()+1e3*(f=i.getFloat64(o,!0))),o+=8),8&a&&(l=i.getUint32(o,!0),o+=4),16&a&&(s=i.getUint32(o,!0),o+=4),o+=4*tu(480&a),512&a&&(i.getUint32(o,!0),o+=4),o+=4*tu(1024&a),2048&a&&(i.getUint32(o,!0),o+=4);var h,m,g=e[1];switch(g){case 0:r={t:"z"};break;case 2:case 10:r={t:"n",v:u};break;case 3:r={t:"s",v:t.sst[l]};break;case 5:r=(null==n?void 0:n.cellDates)?{t:"d",v:p}:{t:"n",v:f/86400+35430,z:W[14]};break;case 6:r={t:"b",v:d>0};break;case 7:r={t:"n",v:d};break;case 8:r={t:"e",v:0};break;case 9:if(!(s>-1))throw new Error("Unsupported cell type ".concat(e[1]," : ").concat(31&a," : ").concat(e[Yc](0,4)));var v=t.rsst[s];r={t:"s",v:v.v},v.l&&(r.l={Target:v.l});break;default:throw new Error("Unsupported cell type ".concat(e[1]," : ").concat(31&a," : ").concat(e[Yc](0,4)))}if(o+=4*tu(4096&a),516096&a&&(-1==c&&(c=i.getUint32(o,!0)),o+=4),524288&a){var y=i.getUint32(o,!0);o+=4,t.cmnt[y]&&(r.c=(h=t.cmnt[y],(m=[]).push({t:h.t||"",a:h.a,T:h.replies&&h.replies.length>0}),h.replies&&h.replies.forEach((function(e){m.push({t:e.t||"",a:e.a,T:!0})})),m))}return c>-1&&gu(r,1280|g,a>>13,t.ofmt[c],t.nfmt[c]),7==g&&(r.v/=86400),r}(e,t,n);default:throw new Error("Unsupported payload version ".concat(e[0]))}}function _u(e){return ou(su(e)[1][0].data)}function xu(e){return lu([[],[{type:0,data:ru(e)}]])}function wu(e,t){var n,r=(null==(n=e.messages[0].meta[5])?void 0:n[0])?iu(e.messages[0].meta[5][0].data):[];-1==r.indexOf(t)&&(r.push(t),e.messages[0].meta[5]=[{type:2,data:au(r)}])}function Au(e,t){var n,r=(null==(n=e.messages[0].meta[5])?void 0:n[0])?iu(e.messages[0].meta[5][0].data):[];e.messages[0].meta[5]=[{type:2,data:au(r.filter((function(e){return e!=t})))}]}function Su(e,t){var n=su(t.data),r=ou(n[1][0].data),i=n[3],a=[];return(i||[]).forEach((function(t){var n,i,o=su(t.data);if(o[1]){var s=ou(o[1][0].data)>>>0;switch(r){case 1:a[s]=Zc(o[3][0].data);break;case 8:var l=su(e[_u(o[9][0].data)][0].data),c=e[_u(l[1][0].data)][0],u=ou(c.meta[1][0].data);if(2001!=u)throw new Error("2000 unexpected reference to ".concat(u));var d=su(c.data),f={v:d[3].map((function(e){return Zc(e.data)})).join("")};a[s]=f;e:if(null==(n=null==d?void 0:d[11])?void 0:n[0]){var p=null==(i=su(d[11][0].data))?void 0:i[1];if(!p)break e;p.forEach((function(t){var n,r,i,a=su(t.data);if(null==(n=a[2])?void 0:n[0]){var o=e[_u(null==(r=a[2])?void 0:r[0].data)][0],s=ou(o.meta[1][0].data);switch(s){case 2032:var l=su(o.data);(null==(i=null==l?void 0:l[2])?void 0:i[0])&&!f.l&&(f.l=Zc(l[2][0].data));break;case 2039:break;default:console.log("unrecognized ObjectAttribute type ".concat(s))}}}))}break;case 2:a[s]=su(o[6][0].data);break;case 3:a[s]=su(o[5][0].data);break;case 10:var h=e[_u(o[10][0].data)][0];a[s]=Tu(e,h.data);break;default:throw r}}})),a}function Tu(e,t){var n,r,i,a,o,s,l,c,u,d,f={t:"",a:""},p=su(t);if((null==(r=null==(n=null==p?void 0:p[1])?void 0:n[0])?void 0:r.data)&&(f.t=Zc(null==(a=null==(i=null==p?void 0:p[1])?void 0:i[0])?void 0:a.data)||""),null==(s=null==(o=null==p?void 0:p[3])?void 0:o[0])?void 0:s.data){var h=su(e[_u(null==(c=null==(l=null==p?void 0:p[3])?void 0:l[0])?void 0:c.data)][0].data);(null==(d=null==(u=h[1])?void 0:u[0])?void 0:d.data)&&(f.a=Zc(h[1][0].data))}return(null==p?void 0:p[4])&&(f.replies=[],p[4].forEach((function(t){var n=e[_u(t.data)][0];f.replies.push(Tu(e,n.data))}))),f}function Cu(e,t,n){var r=su(t.data),i={"!ref":"A1"};(null==n?void 0:n.dense)&&(i["!data"]=[]);var a=e[_u(r[2][0].data)],o=ou(a[0].meta[1][0].data);if(6001!=o)throw new Error("6000 unexpected reference to ".concat(o));return function(e,t,n,r){var i,a,o,s,l,c,u,d,f,p,h=su(t.data),m={s:{r:0,c:0},e:{r:0,c:0}};if(m.e.r=(ou(h[6][0].data)>>>0)-1,m.e.r<0)throw new Error("Invalid row varint ".concat(h[6][0].data));if(m.e.c=(ou(h[7][0].data)>>>0)-1,m.e.c<0)throw new Error("Invalid col varint ".concat(h[7][0].data));n["!ref"]=ur(m);var g=null!=n["!data"],v=n,y=su(h[4][0].data),b=mu();(null==(i=y[4])?void 0:i[0])&&(b.sst=Su(e,e[_u(y[4][0].data)][0])),(null==(a=y[6])?void 0:a[0])&&(b.fmla=Su(e,e[_u(y[6][0].data)][0])),(null==(o=y[11])?void 0:o[0])&&(b.ofmt=Su(e,e[_u(y[11][0].data)][0])),(null==(s=y[12])?void 0:s[0])&&(b.ferr=Su(e,e[_u(y[12][0].data)][0])),(null==(l=y[17])?void 0:l[0])&&(b.rsst=Su(e,e[_u(y[17][0].data)][0])),(null==(c=y[19])?void 0:c[0])&&(b.cmnt=Su(e,e[_u(y[19][0].data)][0])),(null==(u=y[22])?void 0:u[0])&&(b.nfmt=Su(e,e[_u(y[22][0].data)][0]));var _=su(y[3][0].data),x=0;if(!(null==(d=y[9])?void 0:d[0]))throw"NUMBERS file missing row tree";var w=su(y[9][0].data)[1].map((function(e){return su(e.data)}));if(w.forEach((function(t){x=ou(t[1][0].data);var i=ou(t[2][0].data),a=_[1][i];if(!a)throw"NUMBERS missing tile "+i;var o=su(a.data),s=e[_u(o[2][0].data)][0],l=ou(s.meta[1][0].data);if(6002!=l)throw new Error("6001 unexpected reference to ".concat(l));var c=function(e,t){var n,r=su(t.data),i=-1;(null==(n=null==r?void 0:r[7])?void 0:n[0])&&(i=ou(r[7][0].data)>>>0?1:0);var a=cu(r[5],(function(e){return function(e,t){var n,r,i,a,o,s,l,c,u,d,f,p,h,m,g,v,y=su(e),b=ou(y[1][0].data)>>>0,_=ou(y[2][0].data)>>>0,x=(null==(r=null==(n=y[8])?void 0:n[0])?void 0:r.data)&&ou(y[8][0].data)>0||!1;if((null==(a=null==(i=y[7])?void 0:i[0])?void 0:a.data)&&0!=t)g=null==(s=null==(o=y[7])?void 0:o[0])?void 0:s.data,v=null==(c=null==(l=y[6])?void 0:l[0])?void 0:c.data;else{if(!(null==(d=null==(u=y[4])?void 0:u[0])?void 0:d.data)||1==t)throw"NUMBERS Tile missing ".concat(t," cell storage");g=null==(p=null==(f=y[4])?void 0:f[0])?void 0:p.data,v=null==(m=null==(h=y[3])?void 0:h[0])?void 0:m.data}for(var w=x?4:1,A=Jc(g),S=[],T=0;T<g.length/2;++T){var C=A.getUint16(2*T,!0);C<65535&&S.push([T,C])}if(S.length!=_)throw"Expected ".concat(_," cells, found ").concat(S.length);var E=[];for(T=0;T<S.length-1;++T)E[S[T][0]]=v[Yc](S[T][1]*w,S[T+1][1]*w);return S.length>=1&&(E[S[S.length-1][0]]=v[Yc](S[S.length-1][1]*w)),{R:b,cells:E}}(e,i)}));return{nrows:ou(r[4][0].data)>>>0,data:a.reduce((function(e,t){return e[t.R]||(e[t.R]=[]),t.cells.forEach((function(n,r){if(e[t.R][r])throw new Error("Duplicate cell r=".concat(t.R," c=").concat(r));e[t.R][r]=n})),e}),[])}}(0,s);c.data.forEach((function(e,t){e.forEach((function(e,i){var a=bu(e,b,r);a&&(g?(v["!data"][x+t]||(v["!data"][x+t]=[]),v["!data"][x+t][i]=a):n[or(i)+ir(x+t)]=a)}))})),x+=c.nrows})),null==(f=y[13])?void 0:f[0]){var A=e[_u(y[13][0].data)][0],S=ou(A.meta[1][0].data);if(6144!=S)throw new Error("Expected merge type 6144, found ".concat(S));n["!merges"]=null==(p=su(A.data))?void 0:p[1].map((function(e){var t=su(e.data),n=Jc(su(t[1][0].data)[1][0].data),r=Jc(su(t[2][0].data)[1][0].data);return{s:{r:n.getUint16(0,!0),c:n.getUint16(2,!0)},e:{r:n.getUint16(0,!0)+r.getUint16(0,!0)-1,c:n.getUint16(2,!0)+r.getUint16(2,!0)-1}}}))}}(e,a[0],i,n),i}function Eu(e,t){var n,r,i,a,o,s,l,c={},u=[];if(e.FullPaths.forEach((function(e){if(e.match(/\.iwpv2/))throw new Error("Unsupported password protection")})),e.FileIndex.forEach((function(e){if(e.name.match(/\.iwa$/)&&0==e.content[0]){var t,n;try{t=pu(e.content)}catch(t){return console.log("?? "+e.content.length+" "+(t.message||t))}try{n=uu(t)}catch(e){return console.log("## "+(e.message||e))}n.forEach((function(e){c[e.id]=e.messages,u.push(e.id)}))}})),!u.length)throw new Error("File has no messages");if((null==(i=null==(r=null==(n=null==c?void 0:c[1])?void 0:n[0].meta)?void 0:r[1])?void 0:i[0].data)&&1e4==ou(c[1][0].meta[1][0].data))throw new Error("Pages documents are not supported");var d=(null==(l=null==(s=null==(o=null==(a=null==c?void 0:c[1])?void 0:a[0])?void 0:o.meta)?void 0:s[1])?void 0:l[0].data)&&1==ou(c[1][0].meta[1][0].data)&&c[1][0];if(d||u.forEach((function(e){c[e].forEach((function(e){if(1==ou(e.meta[1][0].data)>>>0){if(d)throw new Error("Document has multiple roots");d=e}}))})),!d)throw new Error("Cannot find Document root");return function(e,t,n){var r,i=md();i.Workbook={WBProps:{date1904:!0}};var a=su(t.data);if(null==(r=a[2])?void 0:r[0])throw new Error("Keynote presentations are not supported");if(cu(a[1],_u).forEach((function(t){e[t].forEach((function(t){if(2==ou(t.meta[1][0].data)){var r=function(e,t,n){var r,i=su(t.data),a={name:(null==(r=i[1])?void 0:r[0])?Zc(i[1][0].data):"",sheets:[]};return cu(i[2],_u).forEach((function(t){e[t].forEach((function(t){6e3==ou(t.meta[1][0].data)&&a.sheets.push(Cu(e,t,n))}))})),a}(e,t,n);r.sheets.forEach((function(e,t){gd(i,e,0==t?r.name:r.name+"_"+t,!0)}))}}))})),0==i.SheetNames.length)throw new Error("Empty NUMBERS file");return i.bookType="numbers",i}(c,d,t)}function Mu(e,t,n){var r,i,a,o=[[],[{type:0,data:ru(0)}],[{type:0,data:ru(0)}],[{type:2,data:new Uint8Array([])}],[{type:2,data:new Uint8Array(Array.from({length:510},(function(){return 255})))}],[{type:0,data:ru(5)}],[{type:2,data:new Uint8Array([])}],[{type:2,data:new Uint8Array(Array.from({length:510},(function(){return 255})))}],[{type:0,data:ru(1)}]];if(!(null==(r=o[6])?void 0:r[0])||!(null==(i=o[7])?void 0:i[0]))throw"Mutation only works on post-BNC storages!";var s=0;if(o[7][0].data.length<2*e.length){var l=new Uint8Array(2*e.length);l.set(o[7][0].data),o[7][0].data=l}if(o[4][0].data.length<2*e.length){var c=new Uint8Array(2*e.length);c.set(o[4][0].data),o[4][0].data=c}for(var u=Jc(o[7][0].data),d=0,f=[],p=Jc(o[4][0].data),h=0,m=[],g=n?4:1,v=0;v<e.length;++v)if(null==e[v]||"z"==e[v].t&&!(null==(a=e[v].c)?void 0:a.length)||"e"==e[v].t)u.setUint16(2*v,65535,!0),p.setUint16(2*v,65535);else{var y,b;switch(u.setUint16(2*v,d/g,!0),p.setUint16(2*v,h/g,!0),e[v].t){case"d":if(e[v].v instanceof Date){y=vu(e[v],t),b=yu(e[v],t);break}y=vu(e[v],t),b=yu(e[v],t);break;case"s":case"n":case"b":case"z":y=vu(e[v],t),b=yu(e[v],t);break;default:throw new Error("Unsupported value "+e[v])}f.push(y),d+=y.length,m.push(b),h+=b.length,++s}for(o[2][0].data=ru(s),o[5][0].data=ru(5);v<o[7][0].data.length/2;++v)u.setUint16(2*v,65535,!0),p.setUint16(2*v,65535,!0);return o[6][0].data=eu(f),o[3][0].data=eu(m),o[8]=[{type:0,data:ru(n?1:0)}],o}function Du(e,t){return{meta:[[],[{type:0,data:ru(e)}]],data:t}}function Pu(e,t){t.last||(t.last=927262);for(var n=t.last;n<2e6;++n)if(!t[n])return t[t.last=n]=e,n;throw new Error("Too many messages")}function Iu(e,t,n){return lu([[],[{type:0,data:ru(1)}],[],[{type:5,data:new Uint8Array(Float32Array.from([e/255]).buffer)}],[{type:5,data:new Uint8Array(Float32Array.from([t/255]).buffer)}],[{type:5,data:new Uint8Array(Float32Array.from([n/255]).buffer)}],[{type:5,data:new Uint8Array(Float32Array.from([1]).buffer)}],[],[],[],[],[],[{type:0,data:ru(1)}]])}function Ou(e){switch(e){case 0:return Iu(99,222,171);case 1:return Iu(162,197,240);case 2:return Iu(255,189,189)}return Iu(255*Math.random(),255*Math.random(),255*Math.random())}function Nu(e,t,n,r){var i=De.find(e,t[n].location);if(!i)throw"Could not find ".concat(t[n].location," in Numbers template");var a=uu(pu(i.content));r(a.find((function(e){return e.id==n})),a),i.content=hu(du(a)),i.size=i.content.length}function ku(e,t,n){var r=De.find(e,t[n].location);if(!r)throw"Could not find ".concat(t[n].location," in Numbers template");return uu(pu(r.content)).find((function(e){return e.id==n}))}function Ru(e,t,n){e[3].push({type:2,data:lu([[],[{type:0,data:ru(t)}],[{type:2,data:Qc(n.replace(/-[\s\S]*$/,""))}],[{type:2,data:Qc(n)}],[{type:2,data:new Uint8Array([2,0,0])}],[{type:2,data:new Uint8Array([2,0,0])}],[],[],[],[],[{type:0,data:ru(0)}],[],[{type:0,data:ru(0)}]])}),e[1]=[{type:0,data:ru(Math.max(t+1,ou(e[1][0].data)))}]}function Lu(e,t,n,r,i,a){a||(a=Pu({deps:[],location:"",type:t},i));var o="".concat(r,"-").concat(a,".iwa");i[a].location="Root Entry"+o,De.utils.cfb_add(e,o,hu(du([{id:a,messages:[Du(t,lu(n))]}])));var s=o.replace(/^[\/]/,"").replace(/^Index\//,"").replace(/\.iwa$/,"");return Nu(e,i,2,(function(e){var t=su(e.messages[0].data);Ru(t,a||0,s),e.messages[0].data=lu(t)})),a}function Fu(e,t,n,r){var i=t[n].location.replace(/^Root Entry\//,"").replace(/^Index\//,"").replace(/\.iwa$/,""),a=e[3].findIndex((function(e){var t,n,r=su(e.data);return(null==(t=r[3])?void 0:t[0])?Zc(r[3][0].data)==i:!(!(null==(n=r[2])?void 0:n[0])||Zc(r[2][0].data)!=i)})),o=su(e[3][a].data);o[6]||(o[6]=[]),(Array.isArray(r)?r:[r]).forEach((function(e){o[6].push({type:2,data:lu([[],[{type:0,data:ru(e)}]])})})),e[3][a].data=lu(o)}var Bu=!0;function Uu(e){return function(t){for(var n=0;n!=e.length;++n){var r=e[n];void 0===t[r[0]]&&(t[r[0]]=r[1]),"n"===r[2]&&(t[r[0]]=Number(t[r[0]]))}}}function Vu(e){Uu([["cellNF",!1],["cellHTML",!0],["cellFormula",!0],["cellStyles",!1],["cellText",!0],["cellDates",!1],["sheetStubs",!1],["sheetRows",0,"n"],["bookDeps",!1],["bookSheets",!1],["bookProps",!1],["bookFiles",!1],["bookVBA",!1],["password",""],["WTF",!1]])(e)}function Gu(e){Uu([["cellDates",!1],["bookSST",!1],["bookType","xlsx"],["compression",!1],["WTF",!1]])(e)}function zu(e,t,n,r,i,a,o,s,l,c,u,d){try{a[r]=ui(bt(e,n,!0),t);var f,p=yt(e,t);switch(s){case"sheet":f=Jl(p,t,i,l,a[r],c,u,d);break;case"chart":if(!(f=function(e,t,n,r,i,a,o,s){return".bin"===t.slice(-4)?function(e,t,n,r,i){if(!e)return e;r||(r={"!id":{}});var a={"!type":"chart","!drawel":null,"!rel":""},o=[],s=!1;return Yn(e,(function(e,r,l){switch(l){case 550:a["!rel"]=e;break;case 651:i.Sheets[n]||(i.Sheets[n]={}),e.name&&(i.Sheets[n].CodeName=e.name);break;case 562:case 652:case 669:case 679:case 551:case 552:case 476:case 3072:break;case 35:s=!0;break;case 36:s=!1;break;case 37:o.push(l);break;case 38:o.pop();break;default:if(r.T>0)o.push(l);else if(r.T<0)o.pop();else if(!s||t.WTF)throw new Error("Unexpected record 0x"+l.toString(16))}}),t),r["!id"][a["!rel"]]&&(a["!drawel"]=r["!id"][a["!rel"]]),a}(e,r,n,i,a):function(e,t,n,r,i){if(!e)return e;r||(r={"!id":{}});var a,o={"!type":"chart","!drawel":null,"!rel":""},s=e.match(bl);return s&&_l(s[0],0,i,n),(a=e.match(/drawing r:id="(.*?)"/))&&(o["!rel"]=a[1]),r["!id"][o["!rel"]]&&(o["!drawel"]=r["!id"][o["!rel"]]),o}(e,0,n,i,a)}(p,t,i,l,a[r],c))||!f["!drawel"])break;var h=Tt(f["!drawel"].Target,t),m=ci(h),g=function(e,t){if(!e)return"??";var n=(e.match(/<c:chart [^<>]*r:id="([^<>"]*)"/)||["",""])[1];return t["!id"][n].Target}(bt(e,h,!0),ui(bt(e,m,!0),h)),v=Tt(g,h),y=ci(v);f=function(e,t,n,r,i,a){var o=a||{"!type":"chart"};if(!e)return a;var s=0,l=0,c="A",u={s:{r:2e6,c:2e6},e:{r:0,c:0}};return(ot(e,"<c:numCache>","</c:numCache>")||[]).forEach((function(e){var t=function(e){var t,n=[],r=e.match(/^<c:numCache>/);(e.match(/<c:pt idx="(\d*)"[^<>\/]*><c:v>([^<])<\/c:v><\/c:pt>/gm)||[]).forEach((function(e){var t=e.match(/<c:pt idx="(\d*)"[^<>\/]*><c:v>([^<]*)<\/c:v><\/c:pt>/);t&&(n[+t[1]]=r?+t[2]:t[2])}));var i=Lt((ct(e,"c:formatCode")||["","General"])[1]);return(ot(e,"<c:f>","</c:f>")||[]).forEach((function(e){t=e.replace(/<[^<>]*>/g,"")})),[n,i,t]}(e);u.s.r=u.s.c=0,u.e.c=s,c=or(s),t[0].forEach((function(e,n){o["!data"]?(o["!data"][n]||(o["!data"][n]=[]),o["!data"][n][s]={t:"n",v:e,z:t[1]}):o[c+ir(n)]={t:"n",v:e,z:t[1]},l=n})),u.e.r<l&&(u.e.r=l),++s})),s>0&&(o["!ref"]=ur(u)),o}(bt(e,v,!0),0,0,ui(bt(e,y,!0),v),0,f);break;case"macro":x=t,a[r],x.slice(-4),f={"!type":"macro"};break;case"dialog":f=function(e,t,n,r,i,a,o,s){return t.slice(-4),{"!type":"dialog"}}(0,t,0,0,a[r]);break;default:throw new Error("Unrecognized sheet type "+s)}o[r]=f;var b=[],_=[];a&&a[r]&&Oe(a[r]).forEach((function(n){var i="";if(a[r][n].Type==li.CMNT){if(i=Tt(a[r][n].Target,t),!(b=function(e,t,n){return".bin"===t.slice(-4)?function(e,t){var n=[],r=[],i={},a=!1;return Yn(e,(function(e,o,s){switch(s){case 632:r.push(e);break;case 635:i=e;break;case 637:i.t=e.t,i.h=e.h,i.r=e.r;break;case 636:if(i.author=r[i.iauthor],delete i.iauthor,t.sheetRows&&i.rfx&&t.sheetRows<=i.rfx.r)break;i.t||(i.t=""),delete i.rfx,n.push(i);break;case 3072:case 37:case 38:break;case 35:a=!0;break;case 36:a=!1;break;default:if(o.T);else if(!a||t.WTF)throw new Error("Unexpected record 0x"+s.toString(16))}})),n}(e,n):function(e,t){if(e.match(/<(?:\w+:)?comments *\/>/))return[];var n=[],r=[],i=ut(e,"authors");i&&i[1]&&i[1].split(/<\/\w*:?author>/).forEach((function(e){if(""!==e&&""!==e.trim()){var t=e.match(/<(?:\w+:)?author[^<>]*>(.*)/);t&&n.push(t[1])}}));var a=ut(e,"commentList");return a&&a[1]&&a[1].split(/<\/\w*:?comment>/).forEach((function(e){if(""!==e&&""!==e.trim()){var i=e.match(/<(?:\w+:)?comment[^<>]*>/);if(i){var a=Ot(i[0]),o={author:a.authorId&&n[a.authorId]||"sheetjsghost",ref:a.ref,guid:a.guid},s=sr(a.ref);if(!(t.sheetRows&&t.sheetRows<=s.r)){var l=ut(e,"text"),c=!!l&&!!l[1]&&ao(l[1])||{r:"",t:"",h:""};o.r=c.r,"<t></t>"==c.r&&(c.t=c.h=""),o.t=(c.t||"").replace(/\r\n/g,"\n").replace(/\r/g,"\n"),t.cellHTML&&(o.h=c.h),r.push(o)}}}})),r}(e,n)}(yt(e,i,!0),i,l))||!b.length)return;ts(f,b,!1)}a[r][n].Type==li.TCMNT&&(i=Tt(a[r][n].Target,t),_=_.concat(function(e,t){var n=[],r=!1,i={},a=0;return e.replace(Dt,(function(o,s){var l=Ot(o);switch(Nt(l[0])){case"<?xml":case"<ThreadedComments":case"</ThreadedComments>":case"<extLst":case"<extLst>":case"</extLst>":case"<extLst/>":break;case"<threadedComment":i={author:l.personId,guid:l.id,ref:l.ref,T:1};break;case"</threadedComment>":null!=i.t&&n.push(i);break;case"<text>":case"<text":a=s+o.length;break;case"</text>":i.t=e.slice(a,s).replace(/\r\n/g,"\n").replace(/\r/g,"\n");break;case"<mentions":case"<mentions>":case"<ext":r=!0;break;case"</mentions>":case"</ext>":r=!1;break;default:if(!r&&t.WTF)throw new Error("unrecognized "+l[0]+" in threaded comments")}return o})),n}(yt(e,i,!0),l)))})),_&&_.length&&ts(f,_,!0,l.people||[]),function(e,t,n,r,i,a,o,s){if(e&&e["!legdrawel"]){var l=bt(n,Tt(e["!legdrawel"].Target,r),!0);l&&function(e,t,n){var r=0;(dt(e,"shape")||[]).forEach((function(e){var i="",a=!0,o=-1,s=-1,l=-1;if(e.replace(Dt,(function(t,n){var r=Ot(t);switch(Nt(r[0])){case"<ClientData":r.ObjectType&&(i=r.ObjectType);break;case"<Visible":case"<Visible/>":a=!1;break;case"<Row":case"<Row>":case"<Column":case"<Column>":o=n+t.length;break;case"</Row>":s=+e.slice(o,n).trim();break;case"</Column>":l=+e.slice(o,n).trim()}return""})),"Note"===i){var c=hd(t,s>=0&&l>=0?lr({r:s,c:l}):n[r].ref);c.c&&(c.c.hidden=a),++r}}))}(Yt(l),e,s||[])}}(f,0,e,t,0,0,0,b)}catch(e){if(l.WTF)throw e}var x}function ju(e){return"/"==e.charAt(0)?e.slice(1):e}function Wu(e,t){if(xe(),Vu(t=t||{}),gt(e,"META-INF/manifest.xml"))return jc(e,t);if(gt(e,"objectdata.xml"))return jc(e,t);if(gt(e,"Index/Document.iwa")){if("undefined"==typeof Uint8Array)throw new Error("NUMBERS file parsing requires Uint8Array support");if(void 0!==Eu){if(e.FileIndex)return Eu(e,t);var n=De.utils.cfb_new();return xt(e).forEach((function(t){wt(n,t,_t(e,t))})),Eu(n,t)}throw new Error("Unsupported NUMBERS file")}if(!gt(e,"[Content_Types].xml")){if(gt(e,"index.xml.gz"))throw new Error("Unsupported NUMBERS 08 file");if(gt(e,"index.xml"))throw new Error("Unsupported NUMBERS 09 file");var r=De.find(e,"Index.zip");if(r)return delete(t=Xe(t)).type,"string"==typeof r.content&&(t.type="binary"),"undefined"!=typeof Bun&&Buffer.isBuffer(r.content)?Yu(new Uint8Array(r.content),t):Yu(r.content,t);throw new Error("Unsupported ZIP file")}var i,a,o=xt(e),s=function(e){var t={workbooks:[],sheets:[],charts:[],dialogs:[],macros:[],rels:[],strs:[],comments:[],threadedcomments:[],links:[],coreprops:[],extprops:[],custprops:[],themes:[],styles:[],calcchains:[],vba:[],drawings:[],metadata:[],people:[],TODO:[],xmlns:""};if(!e||!e.match)return t;var n={};if((e.match(Dt)||[]).forEach((function(e){var r=Ot(e);switch(r[0].replace(Pt,"<")){case"<?xml":break;case"<Types":t.xmlns=r["xmlns"+(r[0].match(/<(\w+):/)||["",""])[1]];break;case"<Default":n[r.Extension.toLowerCase()]=r.ContentType;break;case"<Override":void 0!==t[ai[r.ContentType]]&&t[ai[r.ContentType]].push(r.PartName)}})),t.xmlns!==un.CT)throw new Error("Unknown Namespace: "+t.xmlns);return t.calcchain=t.calcchains.length>0?t.calcchains[0]:"",t.sst=t.strs.length>0?t.strs[0]:"",t.style=t.styles.length>0?t.styles[0]:"",t.defaults=n,delete t.calcchains,t}(bt(e,"[Content_Types].xml")),l=!1;if(0===s.workbooks.length&&yt(e,a="xl/workbook.xml",!0)&&s.workbooks.push(a),0===s.workbooks.length){if(!yt(e,a="xl/workbook.bin",!0))throw new Error("Could not find workbook");s.workbooks.push(a),l=!0}"bin"==s.workbooks[0].slice(-3)&&(l=!0);var c={},u={};if(!t.bookSheets&&!t.bookProps){if(il=[],s.sst)try{il=function(e,t,n){return".bin"===t.slice(-4)?function(e,t){var n=[],r=!1;return Yn(e,(function(e,i,a){switch(a){case 159:n.Count=e[0],n.Unique=e[1];break;case 19:n.push(e);break;case 160:return!0;case 35:r=!0;break;case 36:r=!1;break;default:if(i.T,!r||t.WTF)throw new Error("Unexpected record 0x"+a.toString(16))}})),n}(e,n):function(e,t){var n=[],r="";if(!e)return n;var i=ut(e,"sst");if(i){r=i[1].replace(oo,"").split(so);for(var a=0;a!=r.length;++a){var o=ao(r[a].trim(),t);null!=o&&(n[n.length]=o)}i=Ot(i[0].slice(0,i[0].indexOf(">"))),n.Count=i.count,n.Unique=i.uniqueCount}return n}(e,n)}(yt(e,ju(s.sst)),s.sst,t)}catch(e){if(t.WTF)throw e}t.cellStyles&&s.themes.length&&(c=Jo(bt(e,s.themes[0].replace(/^\//,""),!0)||"",t)),s.style&&(u=function(e,t,n,r){return".bin"===t.slice(-4)?function(e,t,n){var r={NumberFmt:[]};for(var i in W)r.NumberFmt[i]=W[i];r.CellXf=[],r.Fonts=[];var a=[],o=!1;return Yn(e,(function(e,i,s){switch(s){case 44:r.NumberFmt[e[0]]=e[1],Ce(e[1],e[0]);break;case 43:r.Fonts.push(e),null!=e.color.theme&&t&&t.themeElements&&t.themeElements.clrScheme&&(e.color.rgb=Ao(t.themeElements.clrScheme[e.color.theme].rgb,e.color.tint||0));break;case 1025:case 45:case 46:case 48:case 507:case 572:case 475:case 1171:case 2102:case 1130:case 512:case 2095:case 3072:break;case 47:617==a[a.length-1]&&r.CellXf.push(e);break;case 35:o=!0;break;case 36:o=!1;break;case 37:a.push(s),o=!0;break;case 38:a.pop(),o=!1;break;default:if(i.T>0)a.push(s);else if(i.T<0)a.pop();else if(!o||n.WTF&&37!=a[a.length-1])throw new Error("Unexpected record 0x"+s.toString(16))}})),r}(e,n,r):Vo(e,n,r)}(yt(e,ju(s.style)),s.style,c,t))}s.links.map((function(n){try{return ui(bt(e,ci(ju(n))),n),function(e,t,n,r){if(".bin"===n.slice(-4))return function(e,t,n,r){if(!e)return e;var i=r||{},a=!1;Yn(e,(function(e,t,n){switch(n){case 359:case 363:case 364:case 366:case 367:case 368:case 369:case 370:case 371:case 472:case 577:case 578:case 579:case 580:case 581:case 582:case 583:case 584:case 585:case 586:case 587:break;case 35:a=!0;break;case 36:a=!1;break;default:if(t.T);else if(!a||i.WTF)throw new Error("Unexpected record 0x"+n.toString(16))}}),i)}(e,0,0,r)}(yt(e,ju(n)),0,n,t)}catch(e){}}));var d=function(e,t,n){return".bin"===t.slice(-4)?function(e,t){var n={AppVersion:{},WBProps:{},WBView:[],Sheets:[],CalcPr:{},xmlns:""},r=[],i=!1;t||(t={}),t.biff=12;var a=[],o=[[]];return o.SheetNames=[],o.XTI=[],_c[16]={n:"BrtFRTArchID$",f:Kl},Yn(e,(function(e,s,l){switch(l){case 156:o.SheetNames.push(e.name),n.Sheets.push(e);break;case 153:n.WBProps=e;break;case 39:null!=e.Sheet&&(t.SID=e.Sheet),e.Ref=e.Ptg?Gs(e.Ptg,0,null,o,t):"#REF!",delete t.SID,delete e.Ptg,a.push(e);break;case 1036:case 361:case 2071:case 158:case 143:case 664:case 353:case 3072:case 3073:case 534:case 677:case 157:case 610:case 2050:case 155:case 548:case 676:case 128:case 665:case 2128:case 2125:case 549:case 2053:case 596:case 2076:case 2075:case 2082:case 397:case 154:case 1117:case 553:case 2091:case 16:break;case 357:case 358:case 355:case 667:o[0].length?o.push([l,e]):o[0]=[l,e],o[o.length-1].XTI=[];break;case 362:0===o.length&&(o[0]=[],o[0].XTI=[]),o[o.length-1].XTI=o[o.length-1].XTI.concat(e),o.XTI=o.XTI.concat(e);break;case 35:case 37:r.push(l),i=!0;break;case 36:case 38:r.pop(),i=!1;break;default:if(s.T);else if(!i||t.WTF&&37!=r[r.length-1]&&35!=r[r.length-1])throw new Error("Unexpected record 0x"+l.toString(16))}}),t),Wl(n),n.Names=a,n.supbooks=o,n}(e,n):function(e,t){if(!e)throw new Error("Could not find file");var n={AppVersion:{},WBProps:{},WBView:[],Sheets:[],CalcPr:{},Names:[],xmlns:""},r=!1,i="xmlns",a={},o=0;if(e.replace(Dt,(function(s,l){var c=Ot(s);switch(Nt(c[0])){case"<?xml":case"</workbook>":case"<fileVersion/>":case"</fileVersion>":case"<fileSharing":case"<fileSharing/>":case"</workbookPr>":case"<workbookProtection":case"<workbookProtection/>":case"<bookViews":case"<bookViews>":case"</bookViews>":case"</workbookView>":case"<sheets":case"<sheets>":case"</sheets>":case"</sheet>":case"<functionGroups":case"<functionGroups/>":case"<functionGroup":case"<externalReferences":case"</externalReferences>":case"<externalReferences>":case"<externalReference":case"<definedNames/>":case"<definedName/>":case"</calcPr>":case"<oleSize":case"<customWorkbookViews>":case"</customWorkbookViews>":case"<customWorkbookViews":case"<customWorkbookView":case"</customWorkbookView>":case"<pivotCaches>":case"</pivotCaches>":case"<pivotCaches":case"<pivotCache":case"<smartTagPr":case"<smartTagPr/>":case"<smartTagTypes":case"<smartTagTypes>":case"</smartTagTypes>":case"<smartTagType":case"<webPublishing":case"<webPublishing/>":case"<fileRecoveryPr":case"<fileRecoveryPr/>":case"<webPublishObjects>":case"<webPublishObjects":case"</webPublishObjects>":case"<webPublishObject":case"<extLst":case"<extLst>":case"</extLst>":case"<extLst/>":case"<ArchID":case"<revisionPtr":break;case"<workbook":s.match(ql)&&(i="xmlns"+s.match(/<(\w+):/)[1]),n.xmlns=c[i];break;case"<fileVersion":delete c[0],n.AppVersion=c;break;case"<workbookPr":case"<workbookPr/>":Bl.forEach((function(e){if(null!=c[e[0]])switch(e[2]){case"bool":n.WBProps[e[0]]=Wt(c[e[0]]);break;case"int":n.WBProps[e[0]]=parseInt(c[e[0]],10);break;default:n.WBProps[e[0]]=c[e[0]]}})),c.codeName&&(n.WBProps.CodeName=Yt(c.codeName));break;case"<workbookView":case"<workbookView/>":delete c[0],n.WBView.push(c);break;case"<sheet":switch(c.state){case"hidden":c.Hidden=1;break;case"veryHidden":c.Hidden=2;break;default:c.Hidden=0}delete c.state,c.name=Lt(Yt(c.name)),delete c[0],n.Sheets.push(c);break;case"<definedNames>":case"<definedNames":case"<ext":case"<AlternateContent":case"<AlternateContent>":r=!0;break;case"</definedNames>":case"</ext>":case"</AlternateContent>":r=!1;break;case"<definedName":(a={}).Name=Yt(c.name),c.comment&&(a.Comment=c.comment),c.localSheetId&&(a.Sheet=+c.localSheetId),Wt(c.hidden||"0")&&(a.Hidden=!0),o=l+s.length;break;case"</definedName>":a.Ref=Lt(Yt(e.slice(o,l))),n.Names.push(a);break;case"<calcPr":case"<calcPr/>":delete c[0],n.CalcPr=c;break;default:if(!r&&t.WTF)throw new Error("unrecognized "+c[0]+" in workbook")}return s})),-1===dn.indexOf(n.xmlns))throw new Error("Unknown Namespace: "+n.xmlns);return Wl(n),n}(e,n)}(yt(e,ju(s.workbooks[0])),s.workbooks[0],t),f={},p="";s.coreprops.length&&((p=yt(e,ju(s.coreprops[0]),!0))&&(f=vi(p)),0!==s.extprops.length&&(p=yt(e,ju(s.extprops[0]),!0))&&function(e,t,n){var r={};t||(t={}),e=Yt(e),_i.forEach((function(n){var i=(ut(e,n[0])||[])[1];switch(n[2]){case"string":i&&(t[n[1]]=Lt(i));break;case"bool":t[n[1]]="true"===i;break;case"raw":var a=ct(e,n[0]);a&&a.length>0&&(r[n[1]]=a[1])}})),r.HeadingPairs&&r.TitlesOfParts&&wi(r.HeadingPairs,r.TitlesOfParts,t,n)}(p,f,t));var h={};t.bookSheets&&!t.bookProps||0!==s.custprops.length&&(p=bt(e,ju(s.custprops[0]),!0))&&(h=function(e,t){var n={},r="",i=e.match(Si);if(i)for(var a=0;a!=i.length;++a){var o=i[a],s=Ot(o);switch(Nt(s[0])){case"<?xml":case"<Properties":break;case"<property":r=Lt(s.name);break;case"</property>":r=null;break;default:if(0===o.indexOf("<vt:")){var l=o.split(">"),c=l[0].slice(4),u=l[1];switch(c){case"lpstr":case"bstr":case"lpwstr":case"cy":case"error":n[r]=Lt(u);break;case"bool":n[r]=Wt(u);break;case"i1":case"i2":case"i4":case"i8":case"int":case"uint":n[r]=parseInt(u,10);break;case"r4":case"r8":case"decimal":n[r]=parseFloat(u);break;case"filetime":case"date":n[r]=He(u);break;default:if("/"==c.slice(-1))break;t.WTF&&"undefined"!=typeof console&&console.warn("Unexpected",o,c,l)}}else if("</"===o.slice(0,2));else if(t.WTF)throw new Error(o)}}return n}(p,t));var m={};if((t.bookSheets||t.bookProps)&&(d.Sheets?i=d.Sheets.map((function(e){return e.name})):f.Worksheets&&f.SheetNames.length>0&&(i=f.SheetNames),t.bookProps&&(m.Props=f,m.Custprops=h),t.bookSheets&&void 0!==i&&(m.SheetNames=i),t.bookSheets?m.SheetNames:t.bookProps))return m;i={};var g,v={};t.bookDeps&&s.calcchain&&(g=yt(e,ju(s.calcchain)),v=".bin"===s.calcchain.slice(-4)?function(e,t,n){var r=[];return Yn(e,(function(e,t,n){if(63===n)r.push(e);else if(!t.T)throw new Error("Unexpected record 0x"+n.toString(16))})),r}(g):function(e){var t=[];if(!e)return t;var n=1;return(e.match(Dt)||[]).forEach((function(e){var r=Ot(e);switch(r[0]){case"<?xml":case"<calcChain":case"<calcChain>":case"</calcChain>":break;case"<c":delete r[0],r.i?n=r.i:r.i=n,t.push(r)}})),t}(g));var y,b,_=0,x={},w=d.Sheets;f.Worksheets=w.length,f.SheetNames=[];for(var A=0;A!=w.length;++A)f.SheetNames[A]=w[A].name;var S=l?"bin":"xml",T=s.workbooks[0].lastIndexOf("/"),C=(s.workbooks[0].slice(0,T+1)+"_rels/"+s.workbooks[0].slice(T+1)+".rels").replace(/^\//,"");gt(e,C)||(C="xl/_rels/workbook."+S+".rels");var E=ui(bt(e,C,!0),C.replace(/_rels.*/,"s5s"));(s.metadata||[]).length>=1&&(t.xlmeta=function(e,t,n){return".bin"===t.slice(-4)?function(e,t,n){var r={Types:[],Cell:[],Value:[]},i=n||{},a=[],o=!1,s=2;return Yn(e,(function(e,t,n){switch(n){case 335:r.Types.push({name:e.name});break;case 51:e.forEach((function(e){1==s?r.Cell.push({type:r.Types[e[0]-1].name,index:e[1]}):0==s&&r.Value.push({type:r.Types[e[0]-1].name,index:e[1]})}));break;case 337:s=e?1:0;break;case 338:s=2;break;case 35:a.push(n),o=!0;break;case 36:a.pop(),o=!1;break;default:if(t.T);else if(!o||i.WTF&&35!=a[a.length-1])throw new Error("Unexpected record 0x"+n.toString(16))}})),r}(e,0,n):function(e,t,n){var r={Types:[],Cell:[],Value:[]};if(!e)return r;var i,a=!1,o=2;return e.replace(Dt,(function(e){var t=Ot(e);switch(Nt(t[0])){case"<?xml":case"<metadata":case"</metadata>":case"<metadataTypes":case"</metadataTypes>":case"</metadataType>":case"</futureMetadata>":case"<bk>":case"</bk>":case"</rc>":case"<extLst":case"<extLst>":case"</extLst>":case"<extLst/>":break;case"<metadataType":r.Types.push({name:t.name});break;case"<futureMetadata":for(var s=0;s<r.Types.length;++s)r.Types[s].name==t.name&&(i=r.Types[s]);break;case"<rc":1==o?r.Cell.push({type:r.Types[t.t-1].name,index:+t.v}):0==o&&r.Value.push({type:r.Types[t.t-1].name,index:+t.v});break;case"<cellMetadata":o=1;break;case"</cellMetadata>":case"</valueMetadata>":o=2;break;case"<valueMetadata":o=0;break;case"<ext":a=!0;break;case"</ext>":a=!1;break;case"<rvb":if(!i)break;i.offsets||(i.offsets=[]),i.offsets.push(+t.i);break;default:if(!a&&(null==n?void 0:n.WTF))throw new Error("unrecognized "+t[0]+" in metadata")}return e})),r}(e,0,n)}(yt(e,ju(s.metadata[0])),s.metadata[0],t)),(s.people||[]).length>=1&&(t.people=function(e,t){var n=[],r=!1;return e.replace(Dt,(function(e){var i=Ot(e);switch(Nt(i[0])){case"<?xml":case"<personList":case"</personList>":case"</person>":case"<extLst":case"<extLst>":case"</extLst>":case"<extLst/>":break;case"<person":n.push({name:i.displayname,id:i.id});break;case"<ext":r=!0;break;case"</ext>":r=!1;break;default:if(!r&&t.WTF)throw new Error("unrecognized "+i[0]+" in threaded comments")}return e})),n}(yt(e,ju(s.people[0])),t)),E&&(E=function(e,t){if(!e)return 0;try{e=t.map((function(t){return t.id||(t.id=t.strRelID),[t.name,e["!id"][t.id].Target,(n=e["!id"][t.id].Type,li.WS.indexOf(n)>-1?"sheet":li.CS&&n==li.CS?"chart":li.DS&&n==li.DS?"dialog":li.MS&&n==li.MS?"macro":n&&n.length?n:"sheet")];var n}))}catch(e){return null}return e&&0!==e.length?e:null}(E,d.Sheets));var M=yt(e,"xl/worksheets/sheet.xml",!0)?1:0;e:for(_=0;_!=f.Worksheets;++_){var D="sheet";if(E&&E[_]?(y="xl/"+E[_][1].replace(/[\/]?xl\//,""),gt(e,y)||(y=E[_][1]),gt(e,y)||(y=C.replace(/_rels\/[\S\s]*$/,"")+E[_][1]),D=E[_][2]):y=(y="xl/worksheets/sheet"+(_+1-M)+"."+S).replace(/sheet0\./,"sheet."),b=y.replace(/^(.*)(\/)([^\/]*)$/,"$1/_rels/$3.rels"),t&&null!=t.sheets)switch(typeof t.sheets){case"number":if(_!=t.sheets)continue e;break;case"string":if(f.SheetNames[_].toLowerCase()!=t.sheets.toLowerCase())continue e;break;default:if(Array.isArray&&Array.isArray(t.sheets)){for(var P=!1,I=0;I!=t.sheets.length;++I)"number"==typeof t.sheets[I]&&t.sheets[I]==_&&(P=1),"string"==typeof t.sheets[I]&&t.sheets[I].toLowerCase()==f.SheetNames[_].toLowerCase()&&(P=1);if(!P)continue e}}zu(e,y,b,f.SheetNames[_],_,x,i,D,t,d,c,u)}return m={Directory:s,Workbook:d,Props:f,Custprops:h,Deps:v,Sheets:i,SheetNames:f.SheetNames,Strings:il,Styles:u,Themes:c,SSF:Xe(W)},t&&t.bookFiles&&(e.files?(m.keys=o,m.files=e.files):(m.keys=[],m.files={},e.FullPaths.forEach((function(t,n){t=t.replace(/^Root Entry[\/]/,""),m.keys.push(t),m.files[t]=e.FileIndex[n]})))),t&&t.bookVBA&&(s.vba.length>0?m.vbaraw=yt(e,ju(s.vba[0]),!0):s.defaults&&s.defaults.bin===ls&&(m.vbaraw=yt(e,"xl/vbaProject.bin",!0))),m.bookType=l?"xlsb":"xlsx",m}function Hu(e,t){var n,r,i=t||{},a="Workbook",o=De.find(e,a);try{if(a="/!DataSpaces/Version",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);if(n=o.content,(r={}).id=n.read_shift(0,"lpp4"),r.R=fo(n,4),r.U=fo(n,4),r.W=fo(n,4),a="/!DataSpaces/DataSpaceMap",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);var s=function(e){var t=[];e.l+=4;for(var n=e.read_shift(4);n-- >0;)t.push(po(e));return t}(o.content);if(1!==s.length||1!==s[0].comps.length||0!==s[0].comps[0].t||"StrongEncryptionDataSpace"!==s[0].name||"EncryptedPackage"!==s[0].comps[0].v)throw new Error("ECMA-376 Encrypted file bad "+a);if(a="/!DataSpaces/DataSpaceInfo/StrongEncryptionDataSpace",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);var l=function(e){var t=[];e.l+=4;for(var n=e.read_shift(4);n-- >0;)t.push(e.read_shift(0,"lpp4"));return t}(o.content);if(1!=l.length||"StrongEncryptionTransform"!=l[0])throw new Error("ECMA-376 Encrypted file bad "+a);if(a="/!DataSpaces/TransformInfo/StrongEncryptionTransform/!Primary",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);!function(e){var t=function(e){var t={};return e.read_shift(4),e.l+=4,t.id=e.read_shift(0,"lpp4"),t.name=e.read_shift(0,"lpp4"),t.R=fo(e,4),t.U=fo(e,4),t.W=fo(e,4),t}(e);if(t.ename=e.read_shift(0,"8lpp4"),t.blksz=e.read_shift(4),t.cmode=e.read_shift(4),4!=e.read_shift(4))throw new Error("Bad !Primary record")}(o.content)}catch(e){}if(a="/EncryptionInfo",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);var c=function(e){var t=fo(e);switch(t.Minor){case 2:return[t.Minor,go(e)];case 3:return[t.Minor,vo()];case 4:return[t.Minor,yo(e)]}throw new Error("ECMA-376 Encrypted file unrecognized Version: "+t.Minor)}(o.content);if(a="/EncryptedPackage",!(o=De.find(e,a))||!o.content)throw new Error("ECMA-376 Encrypted file missing "+a);if(4==c[0]&&"undefined"!=typeof decrypt_agile)return decrypt_agile(c[1],o.content,i.password||"",i);if(2==c[0]&&"undefined"!=typeof decrypt_std76)return decrypt_std76(c[1],o.content,i.password||"",i);throw new Error("File is password-protected")}function $u(e,t){e&&!e.SSF&&(e.SSF=Xe(W)),e&&e.SSF&&(xe(),_e(e.SSF),t.revssf=Re(e.SSF),t.revssf[e.SSF[65535]]=0,t.ssf=e.SSF),t.rels={},t.wbrels={},t.Strings=[],t.Strings.Count=0,t.Strings.Unique=0,ol?t.revStrings=new Map:(t.revStrings={},t.revStrings.foo=[],delete t.revStrings.foo);var n="xml",r=cs.indexOf(t.bookType)>-1,i={workbooks:[],sheets:[],charts:[],dialogs:[],macros:[],rels:[],strs:[],comments:[],threadedcomments:[],links:[],coreprops:[],extprops:[],custprops:[],themes:[],styles:[],calcchains:[],vba:[],drawings:[],metadata:[],people:[],TODO:[],xmlns:""};Gu(t=t||{});var a=At(),o="",s=0;if(t.cellXfs=[],ul(t.cellXfs,{},{revssf:{General:0}}),e.Props||(e.Props={}),wt(a,o="docProps/core.xml",bi(e.Props,t)),i.coreprops.push(o),fi(t.rels,2,o,li.CORE_PROPS),o="docProps/app.xml",e.Props&&e.Props.SheetNames);else if(e.Workbook&&e.Workbook.Sheets){for(var l=[],c=0;c<e.SheetNames.length;++c)2!=(e.Workbook.Sheets[c]||{}).Hidden&&l.push(e.SheetNames[c]);e.Props.SheetNames=l}else e.Props.SheetNames=e.SheetNames;e.Props.Worksheets=e.Props.SheetNames.length,wt(a,o,Ai(e.Props)),i.extprops.push(o),fi(t.rels,3,o,li.EXT_PROPS),e.Custprops!==e.Props&&Oe(e.Custprops||{}).length>0&&(wt(a,o="docProps/custom.xml",Ti(e.Custprops)),i.custprops.push(o),fi(t.rels,4,o,li.CUST_PROPS));var u,d=["SheetJ5"];for(t.tcid=0,s=1;s<=e.SheetNames.length;++s){var f={"!id":{}},p=e.Sheets[e.SheetNames[s-1]];if((p||{})["!type"],wt(a,o="xl/worksheets/sheet"+s+"."+n,Cl(s-1,t,e,f)),i.sheets.push(o),fi(t.wbrels,-1,"worksheets/sheet"+s+"."+n,li.WS[0]),p){var h=p["!comments"],m=!1,g="";if(h&&h.length>0){var v=!1;h.forEach((function(e){e[1].forEach((function(e){1==e.T&&(v=!0)}))})),v&&(wt(a,g="xl/threadedComments/threadedComment"+s+".xml",rs(h,d,t)),i.threadedcomments.push(g),fi(f,-1,"../threadedComments/threadedComment"+s+".xml",li.TCMNT)),wt(a,g="xl/comments"+s+"."+n,ns(h)),i.comments.push(g),fi(f,-1,"../comments"+s+"."+n,li.CMNT),m=!0}p["!legacy"]&&m&&wt(a,"xl/drawings/vmlDrawing"+s+".vml",es(s,p["!comments"])),delete p["!comments"],delete p["!legacy"]}f["!id"].rId1&&wt(a,ci(o),di(f))}return null!=t.Strings&&t.Strings.length>0&&(wt(a,o="xl/sharedStrings."+n,function(e,t){if(!t.bookSST)return"";var n=[Ct];n[n.length]=on("sst",null,{xmlns:dn[0],count:e.Count,uniqueCount:e.Unique});for(var r=0;r!=e.length;++r)if(null!=e[r]){var i=e[r],a="<si>";i.r?a+=i.r:(a+="<t",i.t||(i.t=""),"string"!=typeof i.t&&(i.t=String(i.t)),i.t.match(lo)&&(a+=' xml:space="preserve"'),a+=">"+Ut(i.t)+"</t>"),a+="</si>",n[n.length]=a}return n.length>2&&(n[n.length]="</sst>",n[1]=n[1].replace("/>",">")),n.join("")}(t.Strings,t)),i.strs.push(o),fi(t.wbrels,-1,"sharedStrings."+n,li.SST)),wt(a,o="xl/workbook."+n,function(e){var t=[Ct];t[t.length]=on("workbook",null,{xmlns:dn[0],"xmlns:r":un.r});var n=e.Workbook&&(e.Workbook.Names||[]).length>0,r={codeName:"ThisWorkbook"};e.Workbook&&e.Workbook.WBProps&&(Bl.forEach((function(t){null!=e.Workbook.WBProps[t[0]]&&e.Workbook.WBProps[t[0]]!=t[1]&&(r[t[0]]=e.Workbook.WBProps[t[0]])})),e.Workbook.WBProps.CodeName&&(r.codeName=e.Workbook.WBProps.CodeName,delete r.CodeName)),t[t.length]=on("workbookPr",null,r);var i=e.Workbook&&e.Workbook.Sheets||[],a=0;if(i&&i[0]&&i[0].Hidden){for(t[t.length]="<bookViews>",a=0;a!=e.SheetNames.length&&i[a]&&i[a].Hidden;++a);a==e.SheetNames.length&&(a=0),t[t.length]='<workbookView firstSheet="'+a+'" activeTab="'+a+'"/>',t[t.length]="</bookViews>"}for(t[t.length]="<sheets>",a=0;a!=e.SheetNames.length;++a){var o={name:Ut(e.SheetNames[a].slice(0,31))};if(o.sheetId=""+(a+1),o["r:id"]="rId"+(a+1),i[a])switch(i[a].Hidden){case 1:o.state="hidden";break;case 2:o.state="veryHidden"}t[t.length]=on("sheet",null,o)}return t[t.length]="</sheets>",n&&(t[t.length]="<definedNames>",e.Workbook&&e.Workbook.Names&&e.Workbook.Names.forEach((function(e){var n={name:e.Name};e.Comment&&(n.comment=e.Comment),null!=e.Sheet&&(n.localSheetId=""+e.Sheet),e.Hidden&&(n.hidden="1"),e.Ref&&(t[t.length]=on("definedName",Ut(e.Ref),n))})),t[t.length]="</definedNames>"),t.length>2&&(t[t.length]="</workbook>",t[1]=t[1].replace("/>",">")),t.join("")}(e)),i.workbooks.push(o),fi(t.rels,1,o,li.WB),wt(a,o="xl/theme/theme1.xml",Zo(e.Themes,t)),i.themes.push(o),fi(t.wbrels,-1,"theme/theme1.xml",li.THEME),wt(a,o="xl/styles."+n,function(e,t){var n,r=[Ct,on("styleSheet",null,{xmlns:dn[0],"xmlns:vt":un.vt})];return e.SSF&&null!=(n=function(e){var t=["<numFmts>"];return[[5,8],[23,26],[41,44],[50,392]].forEach((function(n){for(var r=n[0];r<=n[1];++r)null!=e[r]&&(t[t.length]=on("numFmt",null,{numFmtId:r,formatCode:Ut(e[r])}))})),1===t.length?"":(t[t.length]="</numFmts>",t[0]=on("numFmts",null,{count:t.length-2}).replace("/>",">"),t.join(""))}(e.SSF))&&(r[r.length]=n),r[r.length]='<fonts count="1"><font><sz val="12"/><color theme="1"/><name val="Calibri"/><family val="2"/><scheme val="minor"/></font></fonts>',r[r.length]='<fills count="2"><fill><patternFill patternType="none"/></fill><fill><patternFill patternType="gray125"/></fill></fills>',r[r.length]='<borders count="1"><border><left/><right/><top/><bottom/><diagonal/></border></borders>',r[r.length]='<cellStyleXfs count="1"><xf numFmtId="0" fontId="0" fillId="0" borderId="0"/></cellStyleXfs>',(n=function(e){var t=[];return t[t.length]=on("cellXfs",null),e.forEach((function(e){t[t.length]=on("xf",null,e)})),t[t.length]="</cellXfs>",2===t.length?"":(t[0]=on("cellXfs",null,{count:t.length-2}).replace("/>",">"),t.join(""))}(t.cellXfs))&&(r[r.length]=n),r[r.length]='<cellStyles count="1"><cellStyle name="Normal" xfId="0" builtinId="0"/></cellStyles>',r[r.length]='<dxfs count="0"/>',r[r.length]='<tableStyles count="0" defaultTableStyle="TableStyleMedium9" defaultPivotStyle="PivotStyleMedium4"/>',r.length>2&&(r[r.length]="</styleSheet>",r[1]=r[1].replace("/>",">")),r.join("")}(e,t)),i.styles.push(o),fi(t.wbrels,-1,"styles."+n,li.STY),e.vbaraw&&r&&(wt(a,o="xl/vbaProject.bin",e.vbaraw),i.vba.push(o),fi(t.wbrels,-1,"vbaProject.bin",li.VBA)),wt(a,o="xl/metadata."+n,((u=[Ct]).push('<metadata xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:xlrd="http://schemas.microsoft.com/office/spreadsheetml/2017/richdata" xmlns:xda="http://schemas.microsoft.com/office/spreadsheetml/2017/dynamicarray">\n  <metadataTypes count="1">\n    <metadataType name="XLDAPR" minSupportedVersion="120000" copy="1" pasteAll="1" pasteValues="1" merge="1" splitFirst="1" rowColShift="1" clearFormats="1" clearComments="1" assign="1" coerce="1" cellMeta="1"/>\n  </metadataTypes>\n  <futureMetadata name="XLDAPR" count="1">\n    <bk>\n      <extLst>\n        <ext uri="{bdbb8cdc-fa1e-496e-a857-3c3f30c029c3}">\n          <xda:dynamicArrayProperties fDynamic="1" fCollapsed="0"/>\n        </ext>\n      </extLst>\n    </bk>\n  </futureMetadata>\n  <cellMetadata count="1">\n    <bk>\n      <rc t="1" v="0"/>\n    </bk>\n  </cellMetadata>\n</metadata>'),u.join(""))),i.metadata.push(o),fi(t.wbrels,-1,"metadata."+n,li.XLMETA),d.length>1&&(wt(a,o="xl/persons/person.xml",is(d)),i.people.push(o),fi(t.wbrels,-1,"persons/person.xml",li.PEOPLE)),wt(a,"[Content_Types].xml",si(i,t)),wt(a,"_rels/.rels",di(t.rels)),wt(a,"xl/_rels/workbook.xml.rels",di(t.wbrels)),delete t.revssf,delete t.ssf,a}function Xu(e,t){var n="";switch((t||{}).type||"base64"){case"buffer":case"array":return[e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7]];case"base64":n=w(e.slice(0,12));break;case"binary":n=e;break;default:throw new Error("Unrecognized type "+(t&&t.type||"undefined"))}return[n.charCodeAt(0),n.charCodeAt(1),n.charCodeAt(2),n.charCodeAt(3),n.charCodeAt(4),n.charCodeAt(5),n.charCodeAt(6),n.charCodeAt(7)]}function qu(e,t){var n=0;e:for(;n<e.length;)switch(e.charCodeAt(n)){case 10:case 13:case 32:++n;break;case 60:return lc(e.slice(n),t);default:break e}return Qa.to_workbook(e,t)}function Ku(e,t,n,r){return r?(n.type="string",Qa.to_workbook(e,n)):Qa.to_workbook(t,n)}function Yu(e,t){f();var n=t||{};if(n.codepage&&void 0===i&&console.error("Codepage tables are not loaded.  Non-ASCII characters may not give expected results"),"undefined"!=typeof ArrayBuffer&&e instanceof ArrayBuffer)return Yu(new Uint8Array(e),((n=Xe(n)).type="array",n));"undefined"!=typeof Uint8Array&&e instanceof Uint8Array&&!n.type&&(n.type="undefined"!=typeof Deno?"buffer":"array");var r,a=e,o=!1;if(n.cellStyles&&(n.cellNF=!0,n.sheetStubs=!0),al={},n.dateNF&&(al.dateNF=n.dateNF),n.type||(n.type=A&&Buffer.isBuffer(e)?"buffer":"base64"),"file"==n.type&&(n.type=A?"buffer":"binary",a=function(e){if(void 0!==Ee)return Ee.readFileSync(e);if("undefined"!=typeof Deno)return Deno.readFileSync(e);if("undefined"!=typeof $&&"undefined"!=typeof File&&"undefined"!=typeof Folder)try{var t=File(e);t.open("r"),t.encoding="binary";var n=t.read();return t.close(),n}catch(e){if(!e.message||-1==e.message.indexOf("onstruct"))throw e}throw new Error("Cannot access file "+e)}(e),"undefined"==typeof Uint8Array||A||(n.type="array")),"string"==n.type&&(o=!0,n.type="binary",n.codepage=65001,a=function(e){return e.match(/[^\x00-\x7F]/)?Jt(e):e}(e)),"array"==n.type&&"undefined"!=typeof Uint8Array&&e instanceof Uint8Array&&"undefined"!=typeof ArrayBuffer){var s=new ArrayBuffer(3),l=new Uint8Array(s);if(l.foo="bar",!l.foo)return(n=Xe(n)).type="array",Yu(I(a),n)}switch((r=Xu(a,n))[0]){case 208:if(207===r[1]&&17===r[2]&&224===r[3]&&161===r[4]&&177===r[5]&&26===r[6]&&225===r[7])return function(e,t){return De.find(e,"EncryptedPackage")?Hu(e,t):bc(e,t)}(De.read(a,n),n);break;case 9:if(r[1]<=8)return bc(a,n);break;case 60:return lc(a,n);case 73:if(73===r[1]&&42===r[2]&&0===r[3])throw new Error("TIFF Image File is not a spreadsheet");if(68===r[1])return function(e,t){var n=t||{},r=!!n.WTF;n.WTF=!0;try{var i=Ya.to_workbook(e,n);return n.WTF=r,i}catch(i){if(n.WTF=r,-1==i.message.indexOf("SYLK bad record ID")&&r)throw i;return Qa.to_workbook(e,t)}}(a,n);break;case 84:if(65===r[1]&&66===r[2]&&76===r[3])return Ja.to_workbook(a,n);break;case 80:return 75===r[1]&&r[2]<9&&r[3]<9?function(e,t){var n=e,r=t||{};return r.type||(r.type=A&&Buffer.isBuffer(e)?"buffer":"base64"),Wu(St(n,r),r)}(a,n):Ku(e,a,n,o);case 239:return 60===r[3]?lc(a,n):Ku(e,a,n,o);case 255:if(254===r[1])return function(e,t){var n=e;return"base64"==t.type&&(n=w(n)),"undefined"!=typeof ArrayBuffer&&e instanceof ArrayBuffer&&(n=new Uint8Array(e)),n=void 0!==i?i.utils.decode(1200,n.slice(2),"str"):A&&Buffer.isBuffer(e)?e.slice(2).toString("utf16le"):"undefined"!=typeof Uint8Array&&n instanceof Uint8Array?"undefined"!=typeof TextDecoder?new TextDecoder("utf-16le").decode(n.slice(2)):function(e){for(var t=[],n=0;n<e.length>>1;++n)t[n]=String.fromCharCode(e[2*n]+(e[2*n+1]<<8));return t.join("")}(n.slice(2)):h(n.slice(2)),t.type="binary",qu(n,t)}(a,n);if(0===r[1]&&2===r[2]&&0===r[3])return eo.to_workbook(a,n);break;case 0:if(0===r[1]){if(r[2]>=2&&0===r[3])return eo.to_workbook(a,n);if(0===r[2]&&(8===r[3]||9===r[3]))return eo.to_workbook(a,n)}break;case 3:case 131:case 139:case 140:return Ka.to_workbook(a,n);case 123:if(92===r[1]&&114===r[2]&&116===r[3])return function(e,t){var n=mr(function(e,t){switch(t.type){case"base64":return xo(w(e),t);case"binary":return xo(e,t);case"buffer":return xo(A&&Buffer.isBuffer(e)?e.toString("binary"):P(e),t);case"array":return xo($e(e),t)}throw new Error("Unrecognized type "+t.type)}(e,t),t);return n.bookType="rtf",n}(a,n);break;case 10:case 13:case 32:return function(e,t){var n="",r=Xu(e,t);switch(t.type){case"base64":n=w(e);break;case"binary":n=e;break;case"buffer":n=e.toString("binary");break;case"array":n=$e(e);break;default:throw new Error("Unrecognized type "+t.type)}return 239==r[0]&&187==r[1]&&191==r[2]&&(n=Yt(n)),t.type="binary",qu(n,t)}(a,n);case 137:if(80===r[1]&&78===r[2]&&71===r[3])throw new Error("PNG Image File is not a spreadsheet");break;case 8:if(231===r[1])throw new Error("Unsupported Multiplan 1.x file!");break;case 12:if(236===r[1])throw new Error("Unsupported Multiplan 2.x file!");if(237===r[1])throw new Error("Unsupported Multiplan 3.x file!")}return qa.indexOf(r[0])>-1&&r[2]<=12&&r[3]<=31?Ka.to_workbook(a,n):Ku(e,a,n,o)}function Ju(e,t){var n=t||{};return n.type="file",Yu(e,n)}function Zu(e,t){switch(t.type){case"base64":case"binary":break;case"buffer":case"array":t.type="";break;case"file":return Ie(t.file,De.write(e,{type:A?"buffer":""}));case"string":throw new Error("'string' output type invalid for '"+t.bookType+"' files");default:throw new Error("Unrecognized type "+t.type)}return De.write(e,t)}function Qu(e,t){switch(t.bookType){case"ods":return Kc(e,t);case"numbers":return function(e,t){if(!t||!t.numbers)throw new Error("Must pass a `numbers` option -- check the README");var n=De.read(t.numbers,{type:"base64"}),r=function(e){var t={},n=[];return e.FileIndex.map((function(t,n){return[t,e.FullPaths[n]]})).forEach((function(e){var r=e[0],i=e[1];2==r.type&&r.name.match(/\.iwa/)&&0==r.content[0]&&uu(pu(r.content)).forEach((function(e){n.push(e.id),t[e.id]={deps:[],location:i,type:ou(e.messages[0].meta[1][0].data)}}))})),e.FileIndex.forEach((function(e){e.name.match(/\.iwa/)&&0==e.content[0]&&uu(pu(e.content)).forEach((function(e){e.messages.forEach((function(n){[5,6].forEach((function(r){n.meta[r]&&n.meta[r].forEach((function(n){t[e.id].deps.push(ou(n.data))}))}))}))}))})),t}(n),i=ku(n,r,1);if(null==i)throw"Could not find message ".concat(1," in Numbers template");var a=cu(su(i.messages[0].data)[1],_u);if(a.length>1)throw new Error("Template NUMBERS file must have exactly one sheet");return e.SheetNames.forEach((function(t,o){o>=1&&(function(e,t,n){var r=-1,i=-1,a={};Nu(e,t,1,(function(n,o){var s=su(n.messages[0].data);r=_u(su(n.messages[0].data)[1][0].data),i=Pu({deps:[1],location:t[r].location,type:2},t),a[r]=i,wu(n,i),s[1].push({type:2,data:xu(i)});var l=ku(e,t,r);l.id=i,t[1].location==t[i].location?o.push(l):Nu(e,t,i,(function(e,t){return t.push(l)})),n.messages[0].data=lu(s)}));var o=-1;Nu(e,t,i,(function(n,r){for(var s=su(n.messages[0].data),l=3;l<=69;++l)delete s[l];var c=cu(s[2],_u);c.forEach((function(e){return Au(n,e)})),o=Pu({deps:[i],location:t[c[0]].location,type:t[c[0]].type},t),wu(n,o),a[c[0]]=o,s[2]=[{type:2,data:xu(o)}];var u=ku(e,t,c[0]);u.id=o,t[c[0]].location==t[i].location?r.push(u):(Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Fu(n,t,i,o),e.messages[0].data=lu(n)})),Nu(e,t,o,(function(e,t){return t.push(u)}))),n.messages[0].data=lu(s)}));var s=-1;Nu(e,t,o,(function(n,r){for(var i=su(n.messages[0].data),l=su(i[1][0].data),c=3;c<=69;++c)delete l[c];var u=_u(l[2][0].data);l[2][0].data=xu(a[u]),i[1][0].data=lu(l);var d=_u(i[2][0].data);Au(n,d),wu(n,s=Pu({deps:[o],location:t[d].location,type:t[d].type},t)),a[d]=s,i[2][0].data=xu(s);var f=ku(e,t,d);f.id=s,t[o].location==t[s].location?r.push(f):Nu(e,t,s,(function(e,t){return t.push(f)})),n.messages[0].data=lu(i)})),Nu(e,t,s,(function(r,i){var o,l,c=su(r.messages[0].data),u=Zc(c[1][0].data).replace(/-[A-Z0-9]*/,"-".concat(("0000"+n.toString(16)).slice(-4)));if(c[1][0].data=Qc(u),[12,13,29,31,32,33,39,44,47,81,82,84].forEach((function(e){return delete c[e]})),c[45]){var d=_u(su(c[45][0].data)[1][0].data);Au(r,d),delete c[45]}c[70]&&(null==(o=su(c[70][0].data)[2])||o.forEach((function(e){var t=su(e.data);[2,3].map((function(e){return t[e][0]})).forEach((function(e){var t=su(e.data);if(t[8]){var n=_u(t[8][0].data);Au(r,n)}}))})),delete c[70]),[46,30,34,35,36,38,48,49,60,61,62,63,64,71,72,73,74,75,85,86,87,88,89].forEach((function(e){if(c[e]){var t=_u(c[e][0].data);delete c[e],Au(r,t)}}));var f=su(c[4][0].data);[2,4,5,6,11,12,13,15,16,17,18,19,20,21,22].forEach((function(n){var o;if(null==(o=f[n])?void 0:o[0]){var l=_u(f[n][0].data),c=Pu({deps:[s],location:t[l].location,type:t[l].type},t);Au(r,l),wu(r,c),a[l]=c;var u=ku(e,t,l);if(u.id=c,t[l].location==t[s].location)i.push(u);else{t[c].location=t[l].location.replace(l.toString(),c.toString()),t[c].location==t[l].location&&(t[c].location=t[c].location.replace(/\.iwa/,"-".concat(c,".iwa"))),De.utils.cfb_add(e,t[c].location,hu(du([u])));var d=t[c].location.replace(/^Root Entry\//,"").replace(/^Index\//,"").replace(/\.iwa$/,"");Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Ru(n,c,d),Fu(n,t,s,c),e.messages[0].data=lu(n)}))}f[n][0].data=xu(c)}}));var p=su(f[1][0].data);null==(l=p[2])||l.forEach((function(n){var o=_u(n.data),l=Pu({deps:[s],location:t[o].location,type:t[o].type},t);Au(r,o),wu(r,l),a[o]=l;var c=ku(e,t,o);if(c.id=l,t[o].location==t[s].location)i.push(c);else{t[l].location=t[o].location.replace(o.toString(),l.toString()),t[l].location==t[o].location&&(t[l].location=t[l].location.replace(/\.iwa/,"-".concat(l,".iwa"))),De.utils.cfb_add(e,t[l].location,hu(du([c])));var u=t[l].location.replace(/^Root Entry\//,"").replace(/^Index\//,"").replace(/\.iwa$/,"");Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Ru(n,l,u),Fu(n,t,s,l),e.messages[0].data=lu(n)}))}n.data=xu(l)})),f[1][0].data=lu(p);var h=su(f[3][0].data);h[1].forEach((function(n){var i=su(n.data),o=_u(i[2][0].data),l=a[o];if(!a[o]){l=Pu({deps:[s],location:"",type:t[o].type},t),t[l].location="Root Entry/Index/Tables/Tile-".concat(l,".iwa"),a[o]=l;var c=ku(e,t,o);c.id=l,Au(r,o),wu(r,l),De.utils.cfb_add(e,"/Index/Tables/Tile-".concat(l,".iwa"),hu(du([c]))),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);n[3].push({type:2,data:lu([[],[{type:0,data:ru(l)}],[{type:2,data:Qc("Tables/Tile")}],[{type:2,data:Qc("Tables/Tile-".concat(l))}],[{type:2,data:new Uint8Array([2,0,0])}],[{type:2,data:new Uint8Array([2,0,0])}],[],[],[],[],[{type:0,data:ru(0)}],[],[{type:0,data:ru(0)}]])}),n[1]=[{type:0,data:ru(Math.max(l+1,ou(n[1][0].data)))}],Fu(n,t,s,l),e.messages[0].data=lu(n)}))}i[2][0].data=xu(l),n.data=lu(i)})),f[3][0].data=lu(h),c[4][0].data=lu(f),r.messages[0].data=lu(c)}))}(n,r,o+1),i=ku(n,r,1),a=cu(su(i.messages[0].data)[1],_u)),function(e,t,n,r,i,a){var o=[];Nu(e,t,a,(function(e){var t=su(e.messages[0].data);t[1]=[{type:2,data:Qc(r)}],o=cu(t[2],_u),e.messages[0].data=lu(t)}));var s=_u(su(ku(e,t,o[0]).messages[0].data)[2][0].data);Nu(e,t,s,(function(r,i){return function(e,t,n,r,i,a){if(!n["!ref"])throw new Error("Cannot export empty sheet to NUMBERS");var o=cr(n["!ref"]);o.s.r=o.s.c=0;var s=!1;o.e.c>999&&(s=!0,o.e.c=999),o.e.r>999999&&(s=!0,o.e.r=999999),s&&console.error("Truncating to ".concat(ur(o)));var l=[];if(n["!data"])l=n["!data"];else{for(var c=[],u=0;u<=o.e.c;++u)c[u]=or(u);for(var d=0;d<=o.e.r;++d){l[d]=[];var f=""+(d+1);for(u=0;u<=o.e.c;++u){var p=n[c[u]+f];p&&(l[d][u]=p)}}}var h={cmnt:[{a:"~54ee77S~",t:"... the people who are crazy enough to think they can change the world, are the ones who do."}],ferr:[],fmla:[],nfmt:[],ofmt:[],rsst:[{v:"~54ee77S~",l:"https://sheetjs.com/"}],sst:["~Sh33tJ5~"]},m=su(r.messages[0].data);m[6][0].data=ru(o.e.r+1),m[7][0].data=ru(o.e.c+1),delete m[46];var g=su(m[4][0].data),v=_u(su(g[1][0].data)[2][0].data);Nu(e,t,v,(function(e,t){var n,r=su(e.messages[0].data);if(null==(n=null==r?void 0:r[2])?void 0:n[0])for(var i=0;i<l.length;++i){var a=su(r[2][0].data);a[1][0].data=ru(i),a[4][0].data=ru(l[i].length),r[2][i]={type:r[2][0].type,data:lu(a)}}e.messages[0].data=lu(r)}));var y=_u(g[2][0].data);Nu(e,t,y,(function(e,t){for(var n=su(e.messages[0].data),r=0;r<=o.e.c;++r){var i=su(n[2][0].data);i[1][0].data=ru(r),i[4][0].data=ru(o.e.r+1),n[2][r]={type:n[2][0].type,data:lu(i)}}e.messages[0].data=lu(n)}));var b=su(g[9][0].data);b[1]=[];var _=su(g[3][0].data),x=256;_[2]=[{type:0,data:ru(x)}];var w,A=_u(su(_[1][0].data)[2][0].data),S=(null==(w=su(ku(e,t,2).messages[0].data)[3].filter((function(e){return ou(su(e.data)[1][0].data)==A})))?void 0:w.length)?ou(su(w[0].data)[12][0].data):0;De.utils.cfb_del(e,t[A].location),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);n[3]=n[3].filter((function(e){return ou(su(e.data)[1][0].data)!=A})),function(e,t,n,r){var i=t[n].location.replace(/^Root Entry\//,"").replace(/^Index\//,"").replace(/\.iwa$/,""),a=e[3].findIndex((function(e){var t,n,r=su(e.data);return(null==(t=r[3])?void 0:t[0])?Zc(r[3][0].data)==i:!(!(null==(n=r[2])?void 0:n[0])||Zc(r[2][0].data)!=i)})),o=su(e[3][a].data);o[6]||(o[6]=[]),o[6]=o[6].filter((function(e){return ou(su(e.data)[1][0].data)!=r})),e[3][a].data=lu(o)}(n,t,a,A),e.messages[0].data=lu(n)})),Au(r,A),_[1]=[];for(var T=Math.ceil((o.e.r+1)/x),C=0;C<T;++C){var E=Pu({deps:[],location:"",type:6002},t);t[E].location="Root Entry/Index/Tables/Tile-".concat(E,".iwa");for(var M=[[],[{type:0,data:ru(0)}],[{type:0,data:ru(Math.min(o.e.r+1,(C+1)*x))}],[{type:0,data:ru(0)}],[{type:0,data:ru(Math.min((C+1)*x,o.e.r+1)-C*x)}],[],[{type:0,data:ru(5)}],[{type:0,data:ru(1)}],[{type:0,data:ru(Bu?1:0)}]],D=C*x;D<=Math.min(o.e.r,(C+1)*x-1);++D){var P=Mu(l[D],h,Bu);P[1][0].data=ru(D-C*x),M[5].push({data:lu(P),type:2})}_[1].push({type:2,data:lu([[],[{type:0,data:ru(C)}],[{type:2,data:xu(E)}]])});var I=hu(du([{id:E,messages:[Du(6002,lu(M))]}]));De.utils.cfb_add(e,"/Index/Tables/Tile-".concat(E,".iwa"),I),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);n[3].push({type:2,data:lu([[],[{type:0,data:ru(E)}],[{type:2,data:Qc("Tables/Tile")}],[{type:2,data:Qc("Tables/Tile-".concat(E))}],[{type:2,data:new Uint8Array([2,0,0])}],[{type:2,data:new Uint8Array([2,0,0])}],[],[],[],[],[{type:0,data:ru(0)}],[],[{type:0,data:ru(S)}]])}),n[1]=[{type:0,data:ru(Math.max(E+1,ou(n[1][0].data)))}],Fu(n,t,a,E),e.messages[0].data=lu(n)})),wu(r,E),b[1].push({type:2,data:lu([[],[{type:0,data:ru(C*x)}],[{type:0,data:ru(C)}]])})}if(g[3][0].data=lu(_),g[9][0].data=lu(b),g[10]=[{type:2,data:new Uint8Array([])}],n["!merges"]){var O=Pu({type:6144,deps:[a],location:t[a].location},t);i.push({id:O,messages:[Du(6144,lu([[],n["!merges"].map((function(e){return{type:2,data:lu([[],[{type:2,data:lu([[],[{type:5,data:new Uint8Array(new Uint16Array([e.s.r,e.s.c]).buffer)}]])}],[{type:2,data:lu([[],[{type:5,data:new Uint8Array(new Uint16Array([e.e.r-e.s.r+1,e.e.c-e.s.c+1]).buffer)}]])}]])}}))]))]}),g[13]=[{type:2,data:xu(O)}],Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Fu(n,t,a,O),e.messages[0].data=lu(n)})),wu(r,O)}else delete g[13];var N=_u(g[4][0].data);Nu(e,t,N,(function(e){var t=su(e.messages[0].data);t[3]=[],h.sst.forEach((function(e,n){0!=n&&t[3].push({type:2,data:lu([[],[{type:0,data:ru(n)}],[{type:0,data:ru(1)}],[{type:2,data:Qc(e)}]])})})),e.messages[0].data=lu(t)}));var k=_u(g[17][0].data);if(Nu(e,t,k,(function(n){var r=su(n.messages[0].data);r[3]=[];var i=[904980,903835,903815,903845];h.rsst.forEach((function(a,o){if(0!=o){var s=[[],[{type:0,data:new Uint8Array([5])}],[],[{type:2,data:Qc(a.v)}]];s[10]=[{type:0,data:new Uint8Array([1])}],s[19]=[{type:2,data:new Uint8Array([10,6,8,0,18,2,101,110])}],s[5]=[{type:2,data:new Uint8Array([10,8,8,0,18,4,8,155,149,55])}],s[2]=[{type:2,data:new Uint8Array([8,148,158,55])}],s[6]=[{type:2,data:new Uint8Array([10,6,8,0,16,0,24,0])}],s[7]=[{type:2,data:new Uint8Array([10,8,8,0,18,4,8,135,149,55])}],s[8]=[{type:2,data:new Uint8Array([10,8,8,0,18,4,8,165,149,55])}],s[14]=[{type:2,data:new Uint8Array([10,6,8,0,16,0,24,0])}],s[24]=[{type:2,data:new Uint8Array([10,6,8,0,16,0,24,0])}];var l=Pu({deps:[],location:"",type:2001},t),c=[];if(a.l){var u=Lu(e,2032,[[],[],[{type:2,data:Qc(a.l)}]],"/Index/Tables/DataList",t);s[11]=[];var d=[[],[]];d[1]||(d[1]=[]),d[1].push({type:2,data:lu([[],[{type:0,data:ru(0)}],[{type:2,data:xu(u)}]])}),s[11][0]={type:2,data:lu(d)},c.push(u)}Lu(e,2001,s,"/Index/Tables/DataList",t,l),Nu(e,t,l,(function(e){i.forEach((function(t){return wu(e,t)})),c.forEach((function(t){return wu(e,t)}))}));var f=Lu(e,6218,[[],[{type:2,data:xu(l)}],[],[{type:2,data:new Uint8Array([13,255,255,255,0,18,10,16,255,255,1,24,255,255,255,255,7])}]],"/Index/Tables/DataList",t);Nu(e,t,f,(function(e){return wu(e,l)})),r[3].push({type:2,data:lu([[],[{type:0,data:ru(o)}],[{type:0,data:ru(1)}],[],[],[],[],[],[],[{type:2,data:xu(f)}]])}),wu(n,f),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Fu(n,t,k,f),Fu(n,t,f,l),Fu(n,t,l,c),Fu(n,t,l,i),e.messages[0].data=lu(n)}))}})),n.messages[0].data=lu(r)})),h.cmnt.length>1){var R=_u(g[19][0].data),L={},F=0;Nu(e,t,R,(function(n){var r=su(n.messages[0].data);r[3]=[],h.cmnt.forEach((function(i,a){if(0!=a){var o=[];i.replies&&i.replies.forEach((function(n){L[n.a||""]||(L[n.a||""]=Lu(e,212,[[],[{type:2,data:Qc(n.a||"")}],[{type:2,data:Ou(++F)}],[],[{type:0,data:ru(0)}]],"/Index/Tables/DataList",t));var r=L[n.a||""],i=Lu(e,3056,[[],[{type:2,data:Qc(n.t||"")}],[{type:2,data:lu([[],[{type:1,data:new Uint8Array([0,0,0,128,116,109,182,65])}]])}],[{type:2,data:xu(r)}]],"/Index/Tables/DataList",t);Nu(e,t,i,(function(e){return wu(e,r)})),o.push(i),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Fu(n,t,i,r),e.messages[0].data=lu(n)}))})),L[i.a||""]||(L[i.a||""]=Lu(e,212,[[],[{type:2,data:Qc(i.a||"")}],[{type:2,data:Ou(++F)}],[],[{type:0,data:ru(0)}]],"/Index/Tables/DataList",t));var s=L[i.a||""],l=Lu(e,3056,[[],[{type:2,data:Qc(i.t||"")}],[{type:2,data:lu([[],[{type:1,data:new Uint8Array([0,0,0,128,116,109,182,65])}]])}],[{type:2,data:xu(s)}],o.map((function(e){return{type:2,data:xu(e)}})),[{type:2,data:lu([[],[{type:0,data:ru(a)}],[{type:0,data:ru(0)}]])}]],"/Index/Tables/DataList",t);Nu(e,t,l,(function(e){wu(e,s),o.forEach((function(t){return wu(e,t)}))})),r[3].push({type:2,data:lu([[],[{type:0,data:ru(a)}],[{type:0,data:ru(1)}],[],[],[],[],[],[],[],[{type:2,data:xu(l)}]])}),wu(n,l),Nu(e,t,2,(function(e){var n=su(e.messages[0].data);Fu(n,t,R,l),Fu(n,t,l,s),o.length&&Fu(n,t,l,o),e.messages[0].data=lu(n)}))}})),r[2][0].data=ru(h.cmnt.length+1),n.messages[0].data=lu(r)}))}m[4][0].data=lu(g),r.messages[0].data=lu(m)}(e,t,n,r,i,s)}))}(n,r,e.Sheets[t],t,0,a[o])})),n}(e,t);case"xlsb":return function(e,t){e&&!e.SSF&&(e.SSF=Xe(W)),e&&e.SSF&&(xe(),_e(e.SSF),t.revssf=Re(e.SSF),t.revssf[e.SSF[65535]]=0,t.ssf=e.SSF),t.rels={},t.wbrels={},t.Strings=[],t.Strings.Count=0,t.Strings.Unique=0,ol?t.revStrings=new Map:(t.revStrings={},t.revStrings.foo=[],delete t.revStrings.foo);var n="bin",r={workbooks:[],sheets:[],charts:[],dialogs:[],macros:[],rels:[],strs:[],comments:[],threadedcomments:[],links:[],coreprops:[],extprops:[],custprops:[],themes:[],styles:[],calcchains:[],vba:[],drawings:[],metadata:[],people:[],TODO:[],xmlns:""};Gu(t=t||{});var i=At(),a="",o=0;if(t.cellXfs=[],ul(t.cellXfs,{},{revssf:{General:0}}),e.Props||(e.Props={}),wt(i,a="docProps/core.xml",bi(e.Props,t)),r.coreprops.push(a),fi(t.rels,2,a,li.CORE_PROPS),a="docProps/app.xml",e.Props&&e.Props.SheetNames);else if(e.Workbook&&e.Workbook.Sheets){for(var s=[],l=0;l<e.SheetNames.length;++l)2!=(e.Workbook.Sheets[l]||{}).Hidden&&s.push(e.SheetNames[l]);e.Props.SheetNames=s}else e.Props.SheetNames=e.SheetNames;e.Props.Worksheets=e.Props.SheetNames.length,wt(i,a,Ai(e.Props)),r.extprops.push(a),fi(t.rels,3,a,li.EXT_PROPS),e.Custprops!==e.Props&&Oe(e.Custprops||{}).length>0&&(wt(i,a="docProps/custom.xml",Ti(e.Custprops)),r.custprops.push(a),fi(t.rels,4,a,li.CUST_PROPS));var c,u,d,f=["SheetJ5"];for(t.tcid=0,o=1;o<=e.SheetNames.length;++o){var p={"!id":{}},h=e.Sheets[e.SheetNames[o-1]];if((h||{})["!type"],wt(i,a="xl/worksheets/sheet"+o+"."+n,Fl(o-1,t,e,p)),r.sheets.push(a),fi(t.wbrels,-1,"worksheets/sheet"+o+"."+n,li.WS[0]),h){var m=h["!comments"],g=!1,v="";if(m&&m.length>0){var y=!1;m.forEach((function(e){e[1].forEach((function(e){1==e.T&&(y=!0)}))})),y&&(wt(i,v="xl/threadedComments/threadedComment"+o+".xml",rs(m,f,t)),r.threadedcomments.push(v),fi(p,-1,"../threadedComments/threadedComment"+o+".xml",li.TCMNT)),wt(i,v="xl/comments"+o+"."+n,ss(m)),r.comments.push(v),fi(p,-1,"../comments"+o+"."+n,li.CMNT),g=!0}h["!legacy"]&&g&&wt(i,"xl/drawings/vmlDrawing"+o+".vml",es(o,h["!comments"])),delete h["!comments"],delete h["!legacy"]}p["!id"].rId1&&wt(i,ci(a),di(p))}return null!=t.Strings&&t.Strings.length>0&&(wt(i,a="xl/sharedStrings."+n,function(e){var t=Jn();Zn(t,159,function(e,t){return t||(t=Kn(8)),t.write_shift(4,e.Count),t.write_shift(4,e.Unique),t}(e));for(var n=0;n<e.length;++n)Zn(t,19,co(e[n]));return Zn(t,160),t.end()}(t.Strings)),r.strs.push(a),fi(t.wbrels,-1,"sharedStrings."+n,li.SST)),wt(i,a="xl/workbook."+n,Yl(e)),r.workbooks.push(a),fi(t.rels,1,a,li.WB),wt(i,a="xl/theme/theme1.xml",Zo(e.Themes,t)),r.themes.push(a),fi(t.wbrels,-1,"theme/theme1.xml",li.THEME),wt(i,a="xl/styles."+n,Ko(e,t)),r.styles.push(a),fi(t.wbrels,-1,"styles."+n,li.STY),e.vbaraw&&(wt(i,a="xl/vbaProject.bin",e.vbaraw),r.vba.push(a),fi(t.wbrels,-1,"vbaProject.bin",li.VBA)),wt(i,a="xl/metadata."+n,(Zn(d=Jn(),332),Zn(d,334,yr(1)),Zn(d,335,((u=Kn(12+2*(c={name:"XLDAPR",version:12e4,flags:3496657072}).name.length)).write_shift(4,c.flags),u.write_shift(4,c.version),_r(c.name,u),u.slice(0,u.l))),Zn(d,336),Zn(d,339,function(e,t){var n=Kn(20);return n.write_shift(4,1),_r(t,n),n.slice(0,n.l)}(0,"XLDAPR")),Zn(d,52),Zn(d,35,yr(514)),Zn(d,4096,yr(0)),Zn(d,4097,Ki(1)),Zn(d,36),Zn(d,53),Zn(d,340),Zn(d,337,function(e,t){var n=Kn(8);return n.write_shift(4,1),n.write_shift(4,1),n}()),Zn(d,51,function(e){var t=Kn(4+8*e.length);t.write_shift(4,e.length);for(var n=0;n<e.length;++n)t.write_shift(4,e[n][0]),t.write_shift(4,e[n][1]);return t}([[1,0]])),Zn(d,338),Zn(d,333),d.end())),r.metadata.push(a),fi(t.wbrels,-1,"metadata."+n,li.XLMETA),f.length>1&&(wt(i,a="xl/persons/person.xml",is(f)),r.people.push(a),fi(t.wbrels,-1,"persons/person.xml",li.PEOPLE)),wt(i,"[Content_Types].xml",si(r,t)),wt(i,"_rels/.rels",di(t.rels)),wt(i,"xl/_rels/workbook.bin.rels",di(t.wbrels)),delete t.revssf,delete t.ssf,i}(e,t);default:return $u(e,t)}}function ed(e,t){var n={},r=A?"nodebuffer":"undefined"!=typeof Uint8Array?"array":"string";if(t.compression&&(n.compression="DEFLATE"),t.password)n.type=r;else switch(t.type){case"base64":n.type="base64";break;case"binary":n.type="string";break;case"string":throw new Error("'string' output type invalid for '"+t.bookType+"' files");case"buffer":case"file":n.type=r;break;default:throw new Error("Unrecognized type "+t.type)}var i=e.FullPaths?De.write(e,{fileType:"zip",type:{nodebuffer:"buffer",string:"binary"}[n.type]||n.type,compression:!!t.compression}):e.generate(n);if("undefined"!=typeof Deno&&"string"==typeof i){if("binary"==t.type||"base64"==t.type)return i;i=new Uint8Array(D(i))}return t.password&&"undefined"!=typeof encrypt_agile?Zu(encrypt_agile(i,t.password),t):"file"===t.type?Ie(t.file,i):"string"==t.type?Yt(i):i}function td(e,t,n){n||(n="");var r=n+e;switch(t.type){case"base64":return x(Jt(r));case"binary":return Jt(r);case"string":return e;case"file":return Ie(t.file,r,"utf8");case"buffer":return A?S(r,"utf8"):"undefined"!=typeof TextEncoder?(new TextEncoder).encode(r):td(r,{type:"binary"}).split("").map((function(e){return e.charCodeAt(0)}))}throw new Error("Unrecognized type "+t.type)}function nd(e,t){switch(t.type){case"string":case"base64":case"binary":for(var n="",r=0;r<e.length;++r)n+=String.fromCharCode(e[r]);return"base64"==t.type?x(n):"string"==t.type?Yt(n):n;case"file":return Ie(t.file,e);case"buffer":return e;default:throw new Error("Unrecognized type "+t.type)}}function rd(e,t){f(),Xl(e);var n=Xe(t||{});if(n.cellStyles&&(n.cellNF=!0,n.sheetStubs=!0),"array"==n.type){n.type="binary";var r=rd(e,n);return n.type="array",D(r)}return function(e,t){var n=Xe(t||{});return ed($u(e,n),n)}(e,n)}function id(e,t){f(),Xl(e);var n=Xe(t||{});if(n.cellStyles&&(n.cellNF=!0,n.sheetStubs=!0),"array"==n.type){n.type="binary";var r=id(e,n);return n.type="array",D(r)}var i=0;if(n.sheet&&(i="number"==typeof n.sheet?n.sheet:e.SheetNames.indexOf(n.sheet),!e.SheetNames[i]))throw new Error("Sheet not found: "+n.sheet+" : "+typeof n.sheet);switch(n.bookType||"xlsb"){case"xml":case"xlml":return td(pc(e,n),n);case"slk":case"sylk":return td(Ya.from_sheet(e.Sheets[e.SheetNames[i]],n,e),n);case"htm":case"html":return td(Fc(e.Sheets[e.SheetNames[i]],n),n);case"txt":return function(e,t){switch(t.type){case"base64":return function(e){for(var t="",n=0,r=0,i=0,a=0,o=0,s=0,l=0,c=0;c<e.length;)(n=e.charCodeAt(c++))>255&&(n=95),a=n>>2,(r=e.charCodeAt(c++))>255&&(r=95),o=(3&n)<<4|r>>4,(i=e.charCodeAt(c++))>255&&(i=95),s=(15&r)<<2|i>>6,l=63&i,isNaN(r)?s=l=64:isNaN(i)&&(l=64),t+=_.charAt(a)+_.charAt(o)+_.charAt(s)+_.charAt(l);return t}(e);case"binary":case"string":return e;case"file":return Ie(t.file,e,"binary");case"buffer":return A?S(e,"binary"):e.split("").map((function(e){return e.charCodeAt(0)}))}throw new Error("Unrecognized type "+t.type)}(fd(e.Sheets[e.SheetNames[i]],n),n);case"csv":return td(dd(e.Sheets[e.SheetNames[i]],n),n,"\ufeff");case"dif":return td(Ja.from_sheet(e.Sheets[e.SheetNames[i]],n),n);case"dbf":return nd(Ka.from_sheet(e.Sheets[e.SheetNames[i]],n),n);case"prn":return td(Qa.from_sheet(e.Sheets[e.SheetNames[i]],n),n);case"rtf":return td(function(e,t){var n=["{\\rtf1\\ansi"];if(!e["!ref"])return n[0]+"}";for(var r,i=pr(e["!ref"]),a=null!=e["!data"],o=[],s=i.s.r;s<=i.e.r;++s){n.push("\\trowd\\trautofit1");for(var l=i.s.c;l<=i.e.c;++l)n.push("\\cellx"+(l+1));for(n.push("\\pard\\intbl"),a&&(o=e["!data"][s]||[]),l=i.s.c;l<=i.e.c;++l){var c=lr({r:s,c:l});(r=a?o[l]:e[c])&&(null!=r.v||r.f&&!r.F)?(n.push(" "+(r.w||(hr(r),r.w)||"").replace(/[\r\n]/g,"\\par ")),n.push("\\cell")):n.push(" \\cell")}n.push("\\pard\\intbl\\row")}return n.join("")+"}"}(e.Sheets[e.SheetNames[i]]),n);case"eth":return td(Za.from_sheet(e.Sheets[e.SheetNames[i]],n),n);case"fods":return td(Kc(e,n),n);case"wk1":return nd(eo.sheet_to_wk1(e.Sheets[e.SheetNames[i]],n),n);case"wk3":return nd(eo.book_to_wk3(e,n),n);case"biff2":n.biff||(n.biff=2);case"biff3":n.biff||(n.biff=3);case"biff4":return n.biff||(n.biff=4),nd(Ic(e,n),n);case"biff5":n.biff||(n.biff=5);case"biff8":case"xla":case"xls":return n.biff||(n.biff=8),function(e,t){var n=t||{};return Zu(function(e,t){var n=t||{},r=De.utils.cfb_new({root:"R"}),i="/Workbook";switch(n.bookType||"xls"){case"xls":n.bookType="biff8";case"xla":n.bookType||(n.bookType="xla");case"biff8":i="/Workbook",n.biff=8;break;case"biff5":i="/Book",n.biff=5;break;default:throw new Error("invalid type "+n.bookType+" for XLS CFB")}return De.utils.cfb_add(r,i,Ic(e,n)),8==n.biff&&(e.Props||e.Custprops)&&function(e,t){var n,r=[],i=[],a=[],o=0,s=Ne(Yr,"n"),l=Ne(Jr,"n");if(e.Props)for(n=Oe(e.Props),o=0;o<n.length;++o)(Object.prototype.hasOwnProperty.call(s,n[o])?r:Object.prototype.hasOwnProperty.call(l,n[o])?i:a).push([n[o],e.Props[n[o]]]);if(e.Custprops)for(n=Oe(e.Custprops),o=0;o<n.length;++o)Object.prototype.hasOwnProperty.call(e.Props||{},n[o])||(Object.prototype.hasOwnProperty.call(s,n[o])?r:Object.prototype.hasOwnProperty.call(l,n[o])?i:a).push([n[o],e.Custprops[n[o]]]);var c=[];for(o=0;o<a.length;++o)Vi.indexOf(a[o][0])>-1||xi.indexOf(a[o][0])>-1||null!=a[o][1]&&c.push(a[o]);i.length&&De.utils.cfb_add(t,"/SummaryInformation",Wi(i,yc.SI,l,Jr)),(r.length||c.length)&&De.utils.cfb_add(t,"/DocumentSummaryInformation",Wi(r,yc.DSI,s,Yr,c.length?c:null,yc.UDI))}(e,r),8==n.biff&&e.vbaraw&&function(e,t){t.FullPaths.forEach((function(n,r){if(0!=r){var i=n.replace(/^[\/]*[^\/]*[\/]/,"/_VBA_PROJECT_CUR/");"/"!==i.slice(-1)&&De.utils.cfb_add(e,i,t.FileIndex[r].content)}}))}(r,De.read(e.vbaraw,{type:"string"==typeof e.vbaraw?"binary":"buffer"})),r}(e,n),n)}(e,n);case"xlsx":case"xlsm":case"xlam":case"xlsb":case"numbers":case"ods":return function(e,t){var n=Xe(t||{});return ed(Qu(e,n),n)}(e,n);default:throw new Error("Unrecognized bookType |"+n.bookType+"|")}}function ad(e){if(!e.bookType){var t=e.file.slice(e.file.lastIndexOf(".")).toLowerCase();t.match(/^\.[a-z]+$/)&&(e.bookType=t.slice(1)),e.bookType={xls:"biff8",htm:"html",slk:"sylk",socialcalc:"eth",Sh33tJS:"WTF"}[e.bookType]||e.bookType}}function od(e,t,n){var r=n||{};return r.type="file",r.file=t,ad(r),id(e,r)}function sd(e,t,n,r,i,a,o){var s=ir(n),l=o.defval,c=o.raw||!Object.prototype.hasOwnProperty.call(o,"raw"),u=!0,d=null!=e["!data"],f=1===i?[]:{};if(1!==i)if(Object.defineProperty)try{Object.defineProperty(f,"__rowNum__",{value:n,enumerable:!1})}catch(e){f.__rowNum__=n}else f.__rowNum__=n;if(!d||e["!data"][n])for(var p=t.s.c;p<=t.e.c;++p){var h=d?(e["!data"][n]||[])[p]:e[r[p]+s];if(null!=h&&void 0!==h.t){var m=h.v;switch(h.t){case"z":if(null==m)break;continue;case"e":m=0==m?null:void 0;break;case"s":case"b":case"n":if(!h.z||!me(h.z))break;if("number"==typeof(m=Ve(m)))break;case"d":o&&(o.UTC||!1===o.raw)||(m=rt(new Date(m)));break;default:throw new Error("unrecognized type "+h.t)}if(null!=a[p]){if(null==m)if("e"==h.t&&null===m)f[a[p]]=null;else if(void 0!==l)f[a[p]]=l;else{if(!c||null!==m)continue;f[a[p]]=null}else f[a[p]]=("n"===h.t&&"boolean"==typeof o.rawNumbers?o.rawNumbers:c)?m:hr(h,m,o);null!=m&&(u=!1)}}else{if(void 0===l)continue;null!=a[p]&&(f[a[p]]=l)}}return{row:f,isempty:u}}function ld(e,t){if(null==e||null==e["!ref"])return[];var n={t:"n",v:0},r=0,i=1,a=[],o=0,s="",l={s:{r:0,c:0},e:{r:0,c:0}},c=t||{},u=null!=c.range?c.range:e["!ref"];switch(1===c.header?r=1:"A"===c.header?r=2:Array.isArray(c.header)?r=3:null==c.header&&(r=0),typeof u){case"string":l=pr(u);break;case"number":(l=pr(e["!ref"])).s.r=u;break;default:l=u}r>0&&(i=0);var d=ir(l.s.r),f=[],p=[],h=0,m=0,g=null!=e["!data"],v=l.s.r,y=0,b={};g&&!e["!data"][v]&&(e["!data"][v]=[]);var _=c.skipHidden&&e["!cols"]||[],x=c.skipHidden&&e["!rows"]||[];for(y=l.s.c;y<=l.e.c;++y)if(!(_[y]||{}).hidden)switch(f[y]=or(y),n=g?e["!data"][v][y]:e[f[y]+d],r){case 1:a[y]=y-l.s.c;break;case 2:a[y]=f[y];break;case 3:a[y]=c.header[y-l.s.c];break;default:if(null==n&&(n={w:"__EMPTY",t:"s"}),s=o=hr(n,null,c),m=b[o]||0){do{s=o+"_"+m++}while(b[s]);b[o]=m,b[s]=1}else b[o]=1;a[y]=s}for(v=l.s.r+i;v<=l.e.r;++v)if(!(x[v]||{}).hidden){var w=sd(e,l,v,f,r,a,c);(!1===w.isempty||(1===r?!1!==c.blankrows:c.blankrows))&&(p[h++]=w.row)}return p.length=h,p}var cd=/"/g;function ud(e,t,n,r,i,a,o,s){for(var l=!0,c=[],u="",d=ir(n),f=null!=e["!data"],p=f&&e["!data"][n]||[],h=t.s.c;h<=t.e.c;++h)if(r[h]){var m=f?p[h]:e[r[h]+d];if(null==m)u="";else if(null!=m.v){l=!1,u=""+(s.rawNumbers&&"n"==m.t?m.v:hr(m,null,s));for(var g=0,v=0;g!==u.length;++g)if((v=u.charCodeAt(g))===i||v===a||34===v||s.forceQuotes){u='"'+u.replace(cd,'""')+'"';break}"ID"==u&&(u='"ID"')}else null==m.f||m.F?u="":(l=!1,(u="="+m.f).indexOf(",")>=0&&(u='"'+u.replace(cd,'""')+'"'));c.push(u)}if(s.strip)for(;""===c[c.length-1];)--c.length;return!1===s.blankrows&&l?null:c.join(o)}function dd(e,t){var n=[],r=null==t?{}:t;if(null==e||null==e["!ref"])return"";for(var i=pr(e["!ref"]),a=void 0!==r.FS?r.FS:",",o=a.charCodeAt(0),s=void 0!==r.RS?r.RS:"\n",l=s.charCodeAt(0),c="",u=[],d=r.skipHidden&&e["!cols"]||[],f=r.skipHidden&&e["!rows"]||[],p=i.s.c;p<=i.e.c;++p)(d[p]||{}).hidden||(u[p]=or(p));for(var h=0,m=i.s.r;m<=i.e.r;++m)(f[m]||{}).hidden||null!=(c=ud(e,i,m,u,o,l,a,r))&&(c||!1!==r.blankrows)&&n.push((h++?s:"")+c);return n.join("")}function fd(e,t){t||(t={}),t.FS="\t",t.RS="\n";var n=dd(e,t);if(void 0===i||"string"==t.type)return n;var r=i.utils.encode(1200,n,"str");return String.fromCharCode(255)+String.fromCharCode(254)+r}function pd(e,t,n){var r=n||{},i=e?null!=e["!data"]:r.dense;null!=b&&null==i&&(i=b);var a=+!r.skipHeader,o=e||{};!e&&i&&(o["!data"]=[]);var s=0,l=0;if(o&&null!=r.origin)if("number"==typeof r.origin)s=r.origin;else{var c="string"==typeof r.origin?sr(r.origin):r.origin;s=c.r,l=c.c}var u={s:{c:0,r:0},e:{c:l,r:s+t.length-1+a}};if(o["!ref"]){var d=pr(o["!ref"]);u.e.c=Math.max(u.e.c,d.e.c),u.e.r=Math.max(u.e.r,d.e.r),-1==s&&(s=d.e.r+1,u.e.r=s+t.length-1+a)}else-1==s&&(s=0,u.e.r=t.length-1+a);var f=r.header||[],p=0,h=[];t.forEach((function(e,t){i&&!o["!data"][s+t+a]&&(o["!data"][s+t+a]=[]),i&&(h=o["!data"][s+t+a]),Oe(e).forEach((function(n){-1==(p=f.indexOf(n))&&(f[p=f.length]=n);var c=e[n],u="z",d="",m=i?"":or(l+p)+ir(s+t+a),g=i?h[l+p]:o[m];!c||"object"!=typeof c||c instanceof Date?("number"==typeof c?u="n":"boolean"==typeof c?u="b":"string"==typeof c?u="s":c instanceof Date?(u="d",r.UTC||(c=it(c)),r.cellDates||(u="n",c=Ue(c)),d=null!=g&&g.z&&me(g.z)?g.z:r.dateNF||W[14]):null===c&&r.nullError&&(u="e",c=0),g?(g.t=u,g.v=c,delete g.w,delete g.R,d&&(g.z=d)):i?h[l+p]=g={t:u,v:c}:o[m]=g={t:u,v:c},d&&(g.z=d)):i?h[l+p]=c:o[m]=c}))})),u.e.c=Math.max(u.e.c,l+f.length-1);var m=ir(s);if(i&&!o["!data"][s]&&(o["!data"][s]=[]),a)for(p=0;p<f.length;++p)i?o["!data"][s][p+l]={t:"s",v:f[p]}:o[or(p+l)+m]={t:"s",v:f[p]};return o["!ref"]=ur(u),o}function hd(e,t,n){if("string"==typeof t){if(null!=e["!data"]){var r=sr(t);return e["!data"][r.r]||(e["!data"][r.r]=[]),e["!data"][r.r][r.c]||(e["!data"][r.r][r.c]={t:"z"})}return e[t]||(e[t]={t:"z"})}return hd(e,"number"!=typeof t?lr(t):or(n||0)+ir(t))}function md(e,t){var n={SheetNames:[],Sheets:{}};return e&&gd(n,e,t||"Sheet1"),n}function gd(e,t,n,r){var i=1;if(!n)for(;i<=65535&&-1!=e.SheetNames.indexOf(n="Sheet"+i);++i,n=void 0);if(!n||e.SheetNames.length>=65535)throw new Error("Too many worksheets");if(r&&e.SheetNames.indexOf(n)>=0&&n.length<32){var a=n.match(/\d+$/);i=a&&+a[0]||0;var o=a&&n.slice(0,a.index)||n;for(++i;i<=65535&&-1!=e.SheetNames.indexOf(n=o+i);++i);}if($l(n),e.SheetNames.indexOf(n)>=0)throw new Error("Worksheet with name |"+n+"| already exists!");return e.SheetNames.push(n),e.Sheets[n]=t,n}function vd(e,t,n){return t?(e.l={Target:t},n&&(e.l.Tooltip=n)):delete e.l,e}var yd,bd={encode_col:or,encode_row:ir,encode_cell:lr,encode_range:ur,decode_col:ar,decode_row:rr,split_cell:function(e){return e.replace(/(\$?[A-Z]*)(\$?\d*)/,"$1,$2").split(",")},decode_cell:sr,decode_range:cr,format_cell:hr,sheet_new:function(e){var t={};return(e||{}).dense&&(t["!data"]=[]),t},sheet_add_aoa:gr,sheet_add_json:pd,sheet_add_dom:Bc,aoa_to_sheet:vr,json_to_sheet:function(e,t){return pd(null,e,t)},table_to_sheet:Uc,table_to_book:function(e,t){return mr(Uc(e,t),t)},sheet_to_csv:dd,sheet_to_txt:fd,sheet_to_json:ld,sheet_to_html:Fc,sheet_to_formulae:function(e){var t,n="",r="";if(null==e||null==e["!ref"])return[];var i,a=pr(e["!ref"]),o="",s=[],l=[],c=null!=e["!data"];for(i=a.s.c;i<=a.e.c;++i)s[i]=or(i);for(var u=a.s.r;u<=a.e.r;++u)for(o=ir(u),i=a.s.c;i<=a.e.c;++i)if(n=s[i]+o,r="",void 0!==(t=c?(e["!data"][u]||[])[i]:e[n])){if(null!=t.F){if(n=t.F,!t.f)continue;r=t.f,-1==n.indexOf(":")&&(n=n+":"+n)}if(null!=t.f)r=t.f;else{if("z"==t.t)continue;if("n"==t.t&&null!=t.v)r=""+t.v;else if("b"==t.t)r=t.v?"TRUE":"FALSE";else if(void 0!==t.w)r="'"+t.w;else{if(void 0===t.v)continue;r="s"==t.t?"'"+t.v:""+t.v}}l[l.length]=n+"="+r}return l},sheet_to_row_object_array:ld,sheet_get_cell:hd,book_new:md,book_append_sheet:gd,book_set_sheet_visibility:function(e,t,n){e.Workbook||(e.Workbook={}),e.Workbook.Sheets||(e.Workbook.Sheets=[]);var r=function(e,t){if("number"==typeof t){if(t>=0&&e.SheetNames.length>t)return t;throw new Error("Cannot find sheet # "+t)}if("string"==typeof t){var n=e.SheetNames.indexOf(t);if(n>-1)return n;throw new Error("Cannot find sheet name |"+t+"|")}throw new Error("Cannot find sheet |"+t+"|")}(e,t);switch(e.Workbook.Sheets[r]||(e.Workbook.Sheets[r]={}),n){case 0:case 1:case 2:break;default:throw new Error("Bad sheet visibility setting "+n)}e.Workbook.Sheets[r].Hidden=n},cell_set_number_format:function(e,t){return e.z=t,e},cell_set_hyperlink:vd,cell_set_internal_link:function(e,t,n){return vd(e,"#"+t,n)},cell_add_comment:function(e,t,n){e.c||(e.c=[]),e.c.push({t:t,a:n||"SheetJS"})},sheet_set_array_formula:function(e,t,n,r){for(var i="string"!=typeof t?t:pr(t),a="string"==typeof t?t:ur(t),o=i.s.r;o<=i.e.r;++o)for(var s=i.s.c;s<=i.e.c;++s){var l=hd(e,o,s);l.t="n",l.F=a,delete l.v,o==i.s.r&&s==i.s.c&&(l.f=n,r&&(l.D=!0))}var c=cr(e["!ref"]);return c.s.r>i.s.r&&(c.s.r=i.s.r),c.s.c>i.s.c&&(c.s.c=i.s.c),c.e.r<i.e.r&&(c.e.r=i.e.r),c.e.c<i.e.c&&(c.e.c=i.e.c),e["!ref"]=ur(c),e},consts:{SHEET_VISIBLE:0,SHEET_HIDDEN:1,SHEET_VERY_HIDDEN:2}},_d={to_json:function(e,t){var n=yd({objectMode:!0});if(null==e||null==e["!ref"])return n.push(null),n;var r={t:"n",v:0},i=0,a=1,o=[],s=0,l="",c={s:{r:0,c:0},e:{r:0,c:0}},u=t||{},d=null!=u.range?u.range:e["!ref"];switch(1===u.header?i=1:"A"===u.header?i=2:Array.isArray(u.header)&&(i=3),typeof d){case"string":c=pr(d);break;case"number":(c=pr(e["!ref"])).s.r=d;break;default:c=d}i>0&&(a=0);var f=ir(c.s.r),p=[],h=0,m=null!=e["!data"],g=c.s.r,v=0,y={};m&&!e["!data"][g]&&(e["!data"][g]=[]);var b=u.skipHidden&&e["!cols"]||[],_=u.skipHidden&&e["!rows"]||[];for(v=c.s.c;v<=c.e.c;++v)if(!(b[v]||{}).hidden)switch(p[v]=or(v),r=m?e["!data"][g][v]:e[p[v]+f],i){case 1:o[v]=v-c.s.c;break;case 2:o[v]=p[v];break;case 3:o[v]=u.header[v-c.s.c];break;default:if(null==r&&(r={w:"__EMPTY",t:"s"}),l=s=hr(r,null,u),h=y[s]||0){do{l=s+"_"+h++}while(y[l]);y[s]=h,y[l]=1}else y[s]=1;o[v]=l}return g=c.s.r+a,n._read=function(){for(;g<=c.e.r;)if(!(_[g-1]||{}).hidden){var t=sd(e,c,g,p,i,o,u);if(++g,!1===t.isempty||(1===i?!1!==u.blankrows:u.blankrows))return void n.push(t.row)}return n.push(null)},n},to_html:function(e,t){var n=yd(),r=t||{},i=null!=r.header?r.header:kc,a=null!=r.footer?r.footer:Rc;n.push(i);var o=cr(e["!ref"]);n.push(Lc(0,0,r));var s=o.s.r,l=!1;return n._read=function(){if(s>o.e.r)return l||(l=!0,n.push("</table>"+a)),n.push(null);for(;s<=o.e.r;){n.push(Nc(e,o,s,r)),++s;break}},n},to_csv:function(e,t){var n=yd(),r=null==t?{}:t;if(null==e||null==e["!ref"])return n.push(null),n;for(var i=pr(e["!ref"]),a=void 0!==r.FS?r.FS:",",o=a.charCodeAt(0),s=void 0!==r.RS?r.RS:"\n",l=s.charCodeAt(0),c="",u=[],d=r.skipHidden&&e["!cols"]||[],f=r.skipHidden&&e["!rows"]||[],p=i.s.c;p<=i.e.c;++p)(d[p]||{}).hidden||(u[p]=or(p));var h=i.s.r,m=!1,g=0;return n._read=function(){if(!m)return m=!0,n.push("\ufeff");for(;h<=i.e.r;)if(++h,!(f[h-1]||{}).hidden&&null!=(c=ud(e,i,h-1,u,o,l,a,r))&&(c||!1!==r.blankrows))return n.push((g++?s:"")+c);return n.push(null)},n},set_readable:function(e){yd=e}};a.version;var xd={parse_xlscfb:bc,parse_zip:Wu,read:Yu,readFile:Ju,readFileSync:Ju,write:id,writeFile:od,writeFileSync:od,writeFileAsync:function(e,t,n,r){var i=n||{};i.type="file",i.file=e,ad(i),i.type="buffer";var a=r;return a instanceof Function||(a=n),Ee.writeFile(e,id(t,i),a)},writeXLSX:rd,writeFileXLSX:function(e,t,n){var r=n||{};return r.type="file",r.file=t,ad(r),rd(e,r)},utils:bd,set_fs:function(e){Ee=e},set_cptable:function(e){i=e,d=function(e){o=e,u(e)},g=function(e){return 255===e.charCodeAt(0)&&254===e.charCodeAt(1)?i.utils.decode(1200,p(e.slice(2))):e},v=function(e){return 1200===o?String.fromCharCode(e):i.utils.decode(o,[255&e,e>>8])[0]},y=function(e){return i.utils.decode(s,[e])[0]},kn()},stream:_d,SSF:we,CFB:De},wd={props:{sheetUrl:String,fileSize:Number,maxFileSize:Number},data(){return{workbook:null,sheetNames:[],sheets:{},currentSheetName:null,currentSheet:[],loading:!0,forceLoad:!1}},mounted(){this.fileSize<=this.maxFileSize&&this.loadWorkbook()},methods:{async loadWorkbook(){this.forceLoad=!0;try{const e=await axios.get(this.sheetUrl,{responseType:"arraybuffer"});try{this.workbook=xd.read(e.data,{cellDates:!0,cellFormula:!1,cellHTML:!1,cellText:!1}),this.sheetNames=this.workbook.SheetNames,this.loadSheet(this.sheetNames[0])}catch(e){console.error(e),kadi.base.flashDanger($t("Error parsing workbook."))}}catch(e){kadi.base.flashDanger($t("Error loading workbook."),{request:e.request})}finally{this.loading=!1}},loadSheet(e){this.sheets[e]||(this.sheets[e]=xd.utils.sheet_to_json(this.workbook.Sheets[e],{blankrows:!0,dateNF:"dd mmm yyyy hh:mm:ss",defval:"",header:"A",raw:!1})),this.currentSheet=this.sheets[e],this.currentSheetName=e}}};function Ad(e,t,n,r,i,a,o,s){var l,c="function"==typeof e?e.options:e;if(t&&(c.render=t,c.staticRenderFns=n,c._compiled=!0),r&&(c.functional=!0),a&&(c._scopeId="data-v-"+a),o?(l=function(e){(e=e||this.$vnode&&this.$vnode.ssrContext||this.parent&&this.parent.$vnode&&this.parent.$vnode.ssrContext)||"undefined"==typeof __VUE_SSR_CONTEXT__||(e=__VUE_SSR_CONTEXT__),i&&i.call(this,e),e&&e._registeredComponents&&e._registeredComponents.add(o)},c._ssrRegister=l):i&&(l=s?function(){i.call(this,(c.functional?this.parent:this).$root.$options.shadowRoot)}:i),l)if(c.functional){c._injectStyles=l;var u=c.render;c.render=function(e,t){return l.call(t),u(e,t)}}else{var d=c.beforeCreate;c.beforeCreate=d?[].concat(d,l):[l]}return{exports:e,options:c}}n(7627);var Sd=Ad(wd,r,[],!1,null,"1cde7181",null).exports,Td=function(){var e=this,t=e._self._c;return t("div",[e.fileSize>e.maxFileSize&&!e.forceLoad?t("div",[t("button",{staticClass:"btn btn-sm btn-light mb-2",attrs:{type:"button"},on:{click:e.loadFile}},[t("i",{staticClass:"fa-solid fa-eye"}),e._v(" "+e._s(e.$t("Load preview"))+"\n    ")])]):t("div",{ref:"container"},[t("div",{ref:"toolbar",staticClass:"card toolbar"},[t("div",{staticClass:"card-body px-1 py-0"},[null!==e.material?t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Toggle wireframe")},on:{click:e.toggleWireframe}},[t("i",{staticClass:"fa-solid fa-cube"})]):e._e(),e._v(" "),t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Reset view")},on:{click:e.resetView}},[t("i",{staticClass:"fa-solid fa-eye"})]),e._v(" "),t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Toggle fullscreen")},on:{click:e.toggleFullscreen}},[t("i",{staticClass:"fa-solid fa-expand"})])])]),e._v(" "),t("div",{ref:"renderContainer",staticClass:"render-container bg-light"},[e.error?t("div",{staticClass:"text-muted ml-3 my-2"},[t("i",{staticClass:"fa-solid fa-triangle-exclamation mr-1"}),e._v(" "+e._s(e.error)+"\n      ")]):e.loading?t("div",{staticClass:"text-muted ml-3 my-2"},[t("i",{staticClass:"fa-solid fa-circle-notch fa-spin mr-1"}),e._v(" "+e._s(e.$t("Loading model..."))+"\n      ")]):e._e()])])])};Td._withStripped=!0;const Cd="164",Ed=1,Md=2,Dd=3,Pd=0,Id=1,Od=2,Nd=100,kd=101,Rd=102,Ld=200,Fd=201,Bd=202,Ud=203,Vd=204,Gd=205,zd=206,jd=207,Wd=208,Hd=209,$d=210,Xd=211,qd=212,Kd=213,Yd=214,Jd=0,Zd=1,Qd=2,ef=0,tf=1,nf=2,rf=3,af=4,of=5,sf=6,lf=7,cf=301,uf=302,df=306,ff=1e3,pf=1001,hf=1002,mf=1003,gf=1004,vf=1005,yf=1006,bf=1007,_f=1008,xf=1009,wf=1014,Af=1015,Sf=1016,Tf=1020,Cf=1023,Ef=1026,Mf=1027,Df=33776,Pf=33777,If=33778,Of=33779,Nf=36492,kf=2300,Rf=2301,Lf=2302,Ff="",Bf="srgb",Uf="srgb-linear",Vf="display-p3",Gf="display-p3-linear",zf="linear",jf="srgb",Wf="rec709",Hf="p3",$f=7680,Xf=512,qf=513,Kf=514,Yf=515,Jf=516,Zf=517,Qf=518,ep=519,tp="300 es",np=2e3,rp=2001;class ip{addEventListener(e,t){void 0===this._listeners&&(this._listeners={});const n=this._listeners;void 0===n[e]&&(n[e]=[]),-1===n[e].indexOf(t)&&n[e].push(t)}hasEventListener(e,t){if(void 0===this._listeners)return!1;const n=this._listeners;return void 0!==n[e]&&-1!==n[e].indexOf(t)}removeEventListener(e,t){if(void 0===this._listeners)return;const n=this._listeners[e];if(void 0!==n){const e=n.indexOf(t);-1!==e&&n.splice(e,1)}}dispatchEvent(e){if(void 0===this._listeners)return;const t=this._listeners[e.type];if(void 0!==t){e.target=this;const n=t.slice(0);for(let t=0,r=n.length;t<r;t++)n[t].call(this,e);e.target=null}}}const ap=["00","01","02","03","04","05","06","07","08","09","0a","0b","0c","0d","0e","0f","10","11","12","13","14","15","16","17","18","19","1a","1b","1c","1d","1e","1f","20","21","22","23","24","25","26","27","28","29","2a","2b","2c","2d","2e","2f","30","31","32","33","34","35","36","37","38","39","3a","3b","3c","3d","3e","3f","40","41","42","43","44","45","46","47","48","49","4a","4b","4c","4d","4e","4f","50","51","52","53","54","55","56","57","58","59","5a","5b","5c","5d","5e","5f","60","61","62","63","64","65","66","67","68","69","6a","6b","6c","6d","6e","6f","70","71","72","73","74","75","76","77","78","79","7a","7b","7c","7d","7e","7f","80","81","82","83","84","85","86","87","88","89","8a","8b","8c","8d","8e","8f","90","91","92","93","94","95","96","97","98","99","9a","9b","9c","9d","9e","9f","a0","a1","a2","a3","a4","a5","a6","a7","a8","a9","aa","ab","ac","ad","ae","af","b0","b1","b2","b3","b4","b5","b6","b7","b8","b9","ba","bb","bc","bd","be","bf","c0","c1","c2","c3","c4","c5","c6","c7","c8","c9","ca","cb","cc","cd","ce","cf","d0","d1","d2","d3","d4","d5","d6","d7","d8","d9","da","db","dc","dd","de","df","e0","e1","e2","e3","e4","e5","e6","e7","e8","e9","ea","eb","ec","ed","ee","ef","f0","f1","f2","f3","f4","f5","f6","f7","f8","f9","fa","fb","fc","fd","fe","ff"];let op=1234567;const sp=Math.PI/180,lp=180/Math.PI;function cp(){const e=4294967295*Math.random()|0,t=4294967295*Math.random()|0,n=4294967295*Math.random()|0,r=4294967295*Math.random()|0;return(ap[255&e]+ap[e>>8&255]+ap[e>>16&255]+ap[e>>24&255]+"-"+ap[255&t]+ap[t>>8&255]+"-"+ap[t>>16&15|64]+ap[t>>24&255]+"-"+ap[63&n|128]+ap[n>>8&255]+"-"+ap[n>>16&255]+ap[n>>24&255]+ap[255&r]+ap[r>>8&255]+ap[r>>16&255]+ap[r>>24&255]).toLowerCase()}function up(e,t,n){return Math.max(t,Math.min(n,e))}function dp(e,t){return(e%t+t)%t}function fp(e,t,n){return(1-n)*e+n*t}function pp(e,t){switch(t.constructor){case Float32Array:return e;case Uint32Array:return e/4294967295;case Uint16Array:return e/65535;case Uint8Array:return e/255;case Int32Array:return Math.max(e/2147483647,-1);case Int16Array:return Math.max(e/32767,-1);case Int8Array:return Math.max(e/127,-1);default:throw new Error("Invalid component type.")}}function hp(e,t){switch(t.constructor){case Float32Array:return e;case Uint32Array:return Math.round(4294967295*e);case Uint16Array:return Math.round(65535*e);case Uint8Array:return Math.round(255*e);case Int32Array:return Math.round(2147483647*e);case Int16Array:return Math.round(32767*e);case Int8Array:return Math.round(127*e);default:throw new Error("Invalid component type.")}}const mp={DEG2RAD:sp,RAD2DEG:lp,generateUUID:cp,clamp:up,euclideanModulo:dp,mapLinear:function(e,t,n,r,i){return r+(e-t)*(i-r)/(n-t)},inverseLerp:function(e,t,n){return e!==t?(n-e)/(t-e):0},lerp:fp,damp:function(e,t,n,r){return fp(e,t,1-Math.exp(-n*r))},pingpong:function(e,t=1){return t-Math.abs(dp(e,2*t)-t)},smoothstep:function(e,t,n){return e<=t?0:e>=n?1:(e=(e-t)/(n-t))*e*(3-2*e)},smootherstep:function(e,t,n){return e<=t?0:e>=n?1:(e=(e-t)/(n-t))*e*e*(e*(6*e-15)+10)},randInt:function(e,t){return e+Math.floor(Math.random()*(t-e+1))},randFloat:function(e,t){return e+Math.random()*(t-e)},randFloatSpread:function(e){return e*(.5-Math.random())},seededRandom:function(e){void 0!==e&&(op=e);let t=op+=1831565813;return t=Math.imul(t^t>>>15,1|t),t^=t+Math.imul(t^t>>>7,61|t),((t^t>>>14)>>>0)/4294967296},degToRad:function(e){return e*sp},radToDeg:function(e){return e*lp},isPowerOfTwo:function(e){return!(e&e-1)&&0!==e},ceilPowerOfTwo:function(e){return Math.pow(2,Math.ceil(Math.log(e)/Math.LN2))},floorPowerOfTwo:function(e){return Math.pow(2,Math.floor(Math.log(e)/Math.LN2))},setQuaternionFromProperEuler:function(e,t,n,r,i){const a=Math.cos,o=Math.sin,s=a(n/2),l=o(n/2),c=a((t+r)/2),u=o((t+r)/2),d=a((t-r)/2),f=o((t-r)/2),p=a((r-t)/2),h=o((r-t)/2);switch(i){case"XYX":e.set(s*u,l*d,l*f,s*c);break;case"YZY":e.set(l*f,s*u,l*d,s*c);break;case"ZXZ":e.set(l*d,l*f,s*u,s*c);break;case"XZX":e.set(s*u,l*h,l*p,s*c);break;case"YXY":e.set(l*p,s*u,l*h,s*c);break;case"ZYZ":e.set(l*h,l*p,s*u,s*c);break;default:console.warn("THREE.MathUtils: .setQuaternionFromProperEuler() encountered an unknown order: "+i)}},normalize:hp,denormalize:pp};class gp{constructor(e=0,t=0){gp.prototype.isVector2=!0,this.x=e,this.y=t}get width(){return this.x}set width(e){this.x=e}get height(){return this.y}set height(e){this.y=e}set(e,t){return this.x=e,this.y=t,this}setScalar(e){return this.x=e,this.y=e,this}setX(e){return this.x=e,this}setY(e){return this.y=e,this}setComponent(e,t){switch(e){case 0:this.x=t;break;case 1:this.y=t;break;default:throw new Error("index is out of range: "+e)}return this}getComponent(e){switch(e){case 0:return this.x;case 1:return this.y;default:throw new Error("index is out of range: "+e)}}clone(){return new this.constructor(this.x,this.y)}copy(e){return this.x=e.x,this.y=e.y,this}add(e){return this.x+=e.x,this.y+=e.y,this}addScalar(e){return this.x+=e,this.y+=e,this}addVectors(e,t){return this.x=e.x+t.x,this.y=e.y+t.y,this}addScaledVector(e,t){return this.x+=e.x*t,this.y+=e.y*t,this}sub(e){return this.x-=e.x,this.y-=e.y,this}subScalar(e){return this.x-=e,this.y-=e,this}subVectors(e,t){return this.x=e.x-t.x,this.y=e.y-t.y,this}multiply(e){return this.x*=e.x,this.y*=e.y,this}multiplyScalar(e){return this.x*=e,this.y*=e,this}divide(e){return this.x/=e.x,this.y/=e.y,this}divideScalar(e){return this.multiplyScalar(1/e)}applyMatrix3(e){const t=this.x,n=this.y,r=e.elements;return this.x=r[0]*t+r[3]*n+r[6],this.y=r[1]*t+r[4]*n+r[7],this}min(e){return this.x=Math.min(this.x,e.x),this.y=Math.min(this.y,e.y),this}max(e){return this.x=Math.max(this.x,e.x),this.y=Math.max(this.y,e.y),this}clamp(e,t){return this.x=Math.max(e.x,Math.min(t.x,this.x)),this.y=Math.max(e.y,Math.min(t.y,this.y)),this}clampScalar(e,t){return this.x=Math.max(e,Math.min(t,this.x)),this.y=Math.max(e,Math.min(t,this.y)),this}clampLength(e,t){const n=this.length();return this.divideScalar(n||1).multiplyScalar(Math.max(e,Math.min(t,n)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this}roundToZero(){return this.x=Math.trunc(this.x),this.y=Math.trunc(this.y),this}negate(){return this.x=-this.x,this.y=-this.y,this}dot(e){return this.x*e.x+this.y*e.y}cross(e){return this.x*e.y-this.y*e.x}lengthSq(){return this.x*this.x+this.y*this.y}length(){return Math.sqrt(this.x*this.x+this.y*this.y)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)}normalize(){return this.divideScalar(this.length()||1)}angle(){return Math.atan2(-this.y,-this.x)+Math.PI}angleTo(e){const t=Math.sqrt(this.lengthSq()*e.lengthSq());if(0===t)return Math.PI/2;const n=this.dot(e)/t;return Math.acos(up(n,-1,1))}distanceTo(e){return Math.sqrt(this.distanceToSquared(e))}distanceToSquared(e){const t=this.x-e.x,n=this.y-e.y;return t*t+n*n}manhattanDistanceTo(e){return Math.abs(this.x-e.x)+Math.abs(this.y-e.y)}setLength(e){return this.normalize().multiplyScalar(e)}lerp(e,t){return this.x+=(e.x-this.x)*t,this.y+=(e.y-this.y)*t,this}lerpVectors(e,t,n){return this.x=e.x+(t.x-e.x)*n,this.y=e.y+(t.y-e.y)*n,this}equals(e){return e.x===this.x&&e.y===this.y}fromArray(e,t=0){return this.x=e[t],this.y=e[t+1],this}toArray(e=[],t=0){return e[t]=this.x,e[t+1]=this.y,e}fromBufferAttribute(e,t){return this.x=e.getX(t),this.y=e.getY(t),this}rotateAround(e,t){const n=Math.cos(t),r=Math.sin(t),i=this.x-e.x,a=this.y-e.y;return this.x=i*n-a*r+e.x,this.y=i*r+a*n+e.y,this}random(){return this.x=Math.random(),this.y=Math.random(),this}*[Symbol.iterator](){yield this.x,yield this.y}}class vp{constructor(e,t,n,r,i,a,o,s,l){vp.prototype.isMatrix3=!0,this.elements=[1,0,0,0,1,0,0,0,1],void 0!==e&&this.set(e,t,n,r,i,a,o,s,l)}set(e,t,n,r,i,a,o,s,l){const c=this.elements;return c[0]=e,c[1]=r,c[2]=o,c[3]=t,c[4]=i,c[5]=s,c[6]=n,c[7]=a,c[8]=l,this}identity(){return this.set(1,0,0,0,1,0,0,0,1),this}copy(e){const t=this.elements,n=e.elements;return t[0]=n[0],t[1]=n[1],t[2]=n[2],t[3]=n[3],t[4]=n[4],t[5]=n[5],t[6]=n[6],t[7]=n[7],t[8]=n[8],this}extractBasis(e,t,n){return e.setFromMatrix3Column(this,0),t.setFromMatrix3Column(this,1),n.setFromMatrix3Column(this,2),this}setFromMatrix4(e){const t=e.elements;return this.set(t[0],t[4],t[8],t[1],t[5],t[9],t[2],t[6],t[10]),this}multiply(e){return this.multiplyMatrices(this,e)}premultiply(e){return this.multiplyMatrices(e,this)}multiplyMatrices(e,t){const n=e.elements,r=t.elements,i=this.elements,a=n[0],o=n[3],s=n[6],l=n[1],c=n[4],u=n[7],d=n[2],f=n[5],p=n[8],h=r[0],m=r[3],g=r[6],v=r[1],y=r[4],b=r[7],_=r[2],x=r[5],w=r[8];return i[0]=a*h+o*v+s*_,i[3]=a*m+o*y+s*x,i[6]=a*g+o*b+s*w,i[1]=l*h+c*v+u*_,i[4]=l*m+c*y+u*x,i[7]=l*g+c*b+u*w,i[2]=d*h+f*v+p*_,i[5]=d*m+f*y+p*x,i[8]=d*g+f*b+p*w,this}multiplyScalar(e){const t=this.elements;return t[0]*=e,t[3]*=e,t[6]*=e,t[1]*=e,t[4]*=e,t[7]*=e,t[2]*=e,t[5]*=e,t[8]*=e,this}determinant(){const e=this.elements,t=e[0],n=e[1],r=e[2],i=e[3],a=e[4],o=e[5],s=e[6],l=e[7],c=e[8];return t*a*c-t*o*l-n*i*c+n*o*s+r*i*l-r*a*s}invert(){const e=this.elements,t=e[0],n=e[1],r=e[2],i=e[3],a=e[4],o=e[5],s=e[6],l=e[7],c=e[8],u=c*a-o*l,d=o*s-c*i,f=l*i-a*s,p=t*u+n*d+r*f;if(0===p)return this.set(0,0,0,0,0,0,0,0,0);const h=1/p;return e[0]=u*h,e[1]=(r*l-c*n)*h,e[2]=(o*n-r*a)*h,e[3]=d*h,e[4]=(c*t-r*s)*h,e[5]=(r*i-o*t)*h,e[6]=f*h,e[7]=(n*s-l*t)*h,e[8]=(a*t-n*i)*h,this}transpose(){let e;const t=this.elements;return e=t[1],t[1]=t[3],t[3]=e,e=t[2],t[2]=t[6],t[6]=e,e=t[5],t[5]=t[7],t[7]=e,this}getNormalMatrix(e){return this.setFromMatrix4(e).invert().transpose()}transposeIntoArray(e){const t=this.elements;return e[0]=t[0],e[1]=t[3],e[2]=t[6],e[3]=t[1],e[4]=t[4],e[5]=t[7],e[6]=t[2],e[7]=t[5],e[8]=t[8],this}setUvTransform(e,t,n,r,i,a,o){const s=Math.cos(i),l=Math.sin(i);return this.set(n*s,n*l,-n*(s*a+l*o)+a+e,-r*l,r*s,-r*(-l*a+s*o)+o+t,0,0,1),this}scale(e,t){return this.premultiply(yp.makeScale(e,t)),this}rotate(e){return this.premultiply(yp.makeRotation(-e)),this}translate(e,t){return this.premultiply(yp.makeTranslation(e,t)),this}makeTranslation(e,t){return e.isVector2?this.set(1,0,e.x,0,1,e.y,0,0,1):this.set(1,0,e,0,1,t,0,0,1),this}makeRotation(e){const t=Math.cos(e),n=Math.sin(e);return this.set(t,-n,0,n,t,0,0,0,1),this}makeScale(e,t){return this.set(e,0,0,0,t,0,0,0,1),this}equals(e){const t=this.elements,n=e.elements;for(let e=0;e<9;e++)if(t[e]!==n[e])return!1;return!0}fromArray(e,t=0){for(let n=0;n<9;n++)this.elements[n]=e[n+t];return this}toArray(e=[],t=0){const n=this.elements;return e[t]=n[0],e[t+1]=n[1],e[t+2]=n[2],e[t+3]=n[3],e[t+4]=n[4],e[t+5]=n[5],e[t+6]=n[6],e[t+7]=n[7],e[t+8]=n[8],e}clone(){return(new this.constructor).fromArray(this.elements)}}const yp=new vp;function bp(e){for(let t=e.length-1;t>=0;--t)if(e[t]>=65535)return!0;return!1}function _p(e){return document.createElementNS("http://www.w3.org/1999/xhtml",e)}function xp(){const e=_p("canvas");return e.style.display="block",e}Int8Array,Uint8Array,Uint8ClampedArray,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array;const wp={};const Ap=(new vp).set(.8224621,.177538,0,.0331941,.9668058,0,.0170827,.0723974,.9105199),Sp=(new vp).set(1.2249401,-.2249404,0,-.0420569,1.0420571,0,-.0196376,-.0786361,1.0982735),Tp={[Uf]:{transfer:zf,primaries:Wf,toReference:e=>e,fromReference:e=>e},[Bf]:{transfer:jf,primaries:Wf,toReference:e=>e.convertSRGBToLinear(),fromReference:e=>e.convertLinearToSRGB()},[Gf]:{transfer:zf,primaries:Hf,toReference:e=>e.applyMatrix3(Sp),fromReference:e=>e.applyMatrix3(Ap)},[Vf]:{transfer:jf,primaries:Hf,toReference:e=>e.convertSRGBToLinear().applyMatrix3(Sp),fromReference:e=>e.applyMatrix3(Ap).convertLinearToSRGB()}},Cp=new Set([Uf,Gf]),Ep={enabled:!0,_workingColorSpace:Uf,get workingColorSpace(){return this._workingColorSpace},set workingColorSpace(e){if(!Cp.has(e))throw new Error(`Unsupported working color space, "${e}".`);this._workingColorSpace=e},convert:function(e,t,n){if(!1===this.enabled||t===n||!t||!n)return e;const r=Tp[t].toReference;return(0,Tp[n].fromReference)(r(e))},fromWorkingColorSpace:function(e,t){return this.convert(e,this._workingColorSpace,t)},toWorkingColorSpace:function(e,t){return this.convert(e,t,this._workingColorSpace)},getPrimaries:function(e){return Tp[e].primaries},getTransfer:function(e){return e===Ff?zf:Tp[e].transfer}};function Mp(e){return e<.04045?.0773993808*e:Math.pow(.9478672986*e+.0521327014,2.4)}function Dp(e){return e<.0031308?12.92*e:1.055*Math.pow(e,.41666)-.055}let Pp;class Ip{static getDataURL(e){if(/^data:/i.test(e.src))return e.src;if("undefined"==typeof HTMLCanvasElement)return e.src;let t;if(e instanceof HTMLCanvasElement)t=e;else{void 0===Pp&&(Pp=_p("canvas")),Pp.width=e.width,Pp.height=e.height;const n=Pp.getContext("2d");e instanceof ImageData?n.putImageData(e,0,0):n.drawImage(e,0,0,e.width,e.height),t=Pp}return t.width>2048||t.height>2048?(console.warn("THREE.ImageUtils.getDataURL: Image converted to jpg for performance reasons",e),t.toDataURL("image/jpeg",.6)):t.toDataURL("image/png")}static sRGBToLinear(e){if("undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&e instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&e instanceof ImageBitmap){const t=_p("canvas");t.width=e.width,t.height=e.height;const n=t.getContext("2d");n.drawImage(e,0,0,e.width,e.height);const r=n.getImageData(0,0,e.width,e.height),i=r.data;for(let e=0;e<i.length;e++)i[e]=255*Mp(i[e]/255);return n.putImageData(r,0,0),t}if(e.data){const t=e.data.slice(0);for(let e=0;e<t.length;e++)t instanceof Uint8Array||t instanceof Uint8ClampedArray?t[e]=Math.floor(255*Mp(t[e]/255)):t[e]=Mp(t[e]);return{data:t,width:e.width,height:e.height}}return console.warn("THREE.ImageUtils.sRGBToLinear(): Unsupported image type. No color space conversion applied."),e}}let Op=0;class Np{constructor(e=null){this.isSource=!0,Object.defineProperty(this,"id",{value:Op++}),this.uuid=cp(),this.data=e,this.dataReady=!0,this.version=0}set needsUpdate(e){!0===e&&this.version++}toJSON(e){const t=void 0===e||"string"==typeof e;if(!t&&void 0!==e.images[this.uuid])return e.images[this.uuid];const n={uuid:this.uuid,url:""},r=this.data;if(null!==r){let e;if(Array.isArray(r)){e=[];for(let t=0,n=r.length;t<n;t++)r[t].isDataTexture?e.push(kp(r[t].image)):e.push(kp(r[t]))}else e=kp(r);n.url=e}return t||(e.images[this.uuid]=n),n}}function kp(e){return"undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&e instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&e instanceof ImageBitmap?Ip.getDataURL(e):e.data?{data:Array.from(e.data),width:e.width,height:e.height,type:e.data.constructor.name}:(console.warn("THREE.Texture: Unable to serialize Texture."),{})}let Rp=0;class Lp extends ip{constructor(e=Lp.DEFAULT_IMAGE,t=Lp.DEFAULT_MAPPING,n=1001,r=1001,i=1006,a=1008,o=1023,s=1009,l=Lp.DEFAULT_ANISOTROPY,c=""){super(),this.isTexture=!0,Object.defineProperty(this,"id",{value:Rp++}),this.uuid=cp(),this.name="",this.source=new Np(e),this.mipmaps=[],this.mapping=t,this.channel=0,this.wrapS=n,this.wrapT=r,this.magFilter=i,this.minFilter=a,this.anisotropy=l,this.format=o,this.internalFormat=null,this.type=s,this.offset=new gp(0,0),this.repeat=new gp(1,1),this.center=new gp(0,0),this.rotation=0,this.matrixAutoUpdate=!0,this.matrix=new vp,this.generateMipmaps=!0,this.premultiplyAlpha=!1,this.flipY=!0,this.unpackAlignment=4,this.colorSpace=c,this.userData={},this.version=0,this.onUpdate=null,this.isRenderTargetTexture=!1,this.pmremVersion=0}get image(){return this.source.data}set image(e=null){this.source.data=e}updateMatrix(){this.matrix.setUvTransform(this.offset.x,this.offset.y,this.repeat.x,this.repeat.y,this.rotation,this.center.x,this.center.y)}clone(){return(new this.constructor).copy(this)}copy(e){return this.name=e.name,this.source=e.source,this.mipmaps=e.mipmaps.slice(0),this.mapping=e.mapping,this.channel=e.channel,this.wrapS=e.wrapS,this.wrapT=e.wrapT,this.magFilter=e.magFilter,this.minFilter=e.minFilter,this.anisotropy=e.anisotropy,this.format=e.format,this.internalFormat=e.internalFormat,this.type=e.type,this.offset.copy(e.offset),this.repeat.copy(e.repeat),this.center.copy(e.center),this.rotation=e.rotation,this.matrixAutoUpdate=e.matrixAutoUpdate,this.matrix.copy(e.matrix),this.generateMipmaps=e.generateMipmaps,this.premultiplyAlpha=e.premultiplyAlpha,this.flipY=e.flipY,this.unpackAlignment=e.unpackAlignment,this.colorSpace=e.colorSpace,this.userData=JSON.parse(JSON.stringify(e.userData)),this.needsUpdate=!0,this}toJSON(e){const t=void 0===e||"string"==typeof e;if(!t&&void 0!==e.textures[this.uuid])return e.textures[this.uuid];const n={metadata:{version:4.6,type:"Texture",generator:"Texture.toJSON"},uuid:this.uuid,name:this.name,image:this.source.toJSON(e).uuid,mapping:this.mapping,channel:this.channel,repeat:[this.repeat.x,this.repeat.y],offset:[this.offset.x,this.offset.y],center:[this.center.x,this.center.y],rotation:this.rotation,wrap:[this.wrapS,this.wrapT],format:this.format,internalFormat:this.internalFormat,type:this.type,colorSpace:this.colorSpace,minFilter:this.minFilter,magFilter:this.magFilter,anisotropy:this.anisotropy,flipY:this.flipY,generateMipmaps:this.generateMipmaps,premultiplyAlpha:this.premultiplyAlpha,unpackAlignment:this.unpackAlignment};return Object.keys(this.userData).length>0&&(n.userData=this.userData),t||(e.textures[this.uuid]=n),n}dispose(){this.dispatchEvent({type:"dispose"})}transformUv(e){if(300!==this.mapping)return e;if(e.applyMatrix3(this.matrix),e.x<0||e.x>1)switch(this.wrapS){case ff:e.x=e.x-Math.floor(e.x);break;case pf:e.x=e.x<0?0:1;break;case hf:1===Math.abs(Math.floor(e.x)%2)?e.x=Math.ceil(e.x)-e.x:e.x=e.x-Math.floor(e.x)}if(e.y<0||e.y>1)switch(this.wrapT){case ff:e.y=e.y-Math.floor(e.y);break;case pf:e.y=e.y<0?0:1;break;case hf:1===Math.abs(Math.floor(e.y)%2)?e.y=Math.ceil(e.y)-e.y:e.y=e.y-Math.floor(e.y)}return this.flipY&&(e.y=1-e.y),e}set needsUpdate(e){!0===e&&(this.version++,this.source.needsUpdate=!0)}set needsPMREMUpdate(e){!0===e&&this.pmremVersion++}}Lp.DEFAULT_IMAGE=null,Lp.DEFAULT_MAPPING=300,Lp.DEFAULT_ANISOTROPY=1;class Fp{constructor(e=0,t=0,n=0,r=1){Fp.prototype.isVector4=!0,this.x=e,this.y=t,this.z=n,this.w=r}get width(){return this.z}set width(e){this.z=e}get height(){return this.w}set height(e){this.w=e}set(e,t,n,r){return this.x=e,this.y=t,this.z=n,this.w=r,this}setScalar(e){return this.x=e,this.y=e,this.z=e,this.w=e,this}setX(e){return this.x=e,this}setY(e){return this.y=e,this}setZ(e){return this.z=e,this}setW(e){return this.w=e,this}setComponent(e,t){switch(e){case 0:this.x=t;break;case 1:this.y=t;break;case 2:this.z=t;break;case 3:this.w=t;break;default:throw new Error("index is out of range: "+e)}return this}getComponent(e){switch(e){case 0:return this.x;case 1:return this.y;case 2:return this.z;case 3:return this.w;default:throw new Error("index is out of range: "+e)}}clone(){return new this.constructor(this.x,this.y,this.z,this.w)}copy(e){return this.x=e.x,this.y=e.y,this.z=e.z,this.w=void 0!==e.w?e.w:1,this}add(e){return this.x+=e.x,this.y+=e.y,this.z+=e.z,this.w+=e.w,this}addScalar(e){return this.x+=e,this.y+=e,this.z+=e,this.w+=e,this}addVectors(e,t){return this.x=e.x+t.x,this.y=e.y+t.y,this.z=e.z+t.z,this.w=e.w+t.w,this}addScaledVector(e,t){return this.x+=e.x*t,this.y+=e.y*t,this.z+=e.z*t,this.w+=e.w*t,this}sub(e){return this.x-=e.x,this.y-=e.y,this.z-=e.z,this.w-=e.w,this}subScalar(e){return this.x-=e,this.y-=e,this.z-=e,this.w-=e,this}subVectors(e,t){return this.x=e.x-t.x,this.y=e.y-t.y,this.z=e.z-t.z,this.w=e.w-t.w,this}multiply(e){return this.x*=e.x,this.y*=e.y,this.z*=e.z,this.w*=e.w,this}multiplyScalar(e){return this.x*=e,this.y*=e,this.z*=e,this.w*=e,this}applyMatrix4(e){const t=this.x,n=this.y,r=this.z,i=this.w,a=e.elements;return this.x=a[0]*t+a[4]*n+a[8]*r+a[12]*i,this.y=a[1]*t+a[5]*n+a[9]*r+a[13]*i,this.z=a[2]*t+a[6]*n+a[10]*r+a[14]*i,this.w=a[3]*t+a[7]*n+a[11]*r+a[15]*i,this}divideScalar(e){return this.multiplyScalar(1/e)}setAxisAngleFromQuaternion(e){this.w=2*Math.acos(e.w);const t=Math.sqrt(1-e.w*e.w);return t<1e-4?(this.x=1,this.y=0,this.z=0):(this.x=e.x/t,this.y=e.y/t,this.z=e.z/t),this}setAxisAngleFromRotationMatrix(e){let t,n,r,i;const a=.01,o=.1,s=e.elements,l=s[0],c=s[4],u=s[8],d=s[1],f=s[5],p=s[9],h=s[2],m=s[6],g=s[10];if(Math.abs(c-d)<a&&Math.abs(u-h)<a&&Math.abs(p-m)<a){if(Math.abs(c+d)<o&&Math.abs(u+h)<o&&Math.abs(p+m)<o&&Math.abs(l+f+g-3)<o)return this.set(1,0,0,0),this;t=Math.PI;const e=(l+1)/2,s=(f+1)/2,v=(g+1)/2,y=(c+d)/4,b=(u+h)/4,_=(p+m)/4;return e>s&&e>v?e<a?(n=0,r=.707106781,i=.707106781):(n=Math.sqrt(e),r=y/n,i=b/n):s>v?s<a?(n=.707106781,r=0,i=.707106781):(r=Math.sqrt(s),n=y/r,i=_/r):v<a?(n=.707106781,r=.707106781,i=0):(i=Math.sqrt(v),n=b/i,r=_/i),this.set(n,r,i,t),this}let v=Math.sqrt((m-p)*(m-p)+(u-h)*(u-h)+(d-c)*(d-c));return Math.abs(v)<.001&&(v=1),this.x=(m-p)/v,this.y=(u-h)/v,this.z=(d-c)/v,this.w=Math.acos((l+f+g-1)/2),this}min(e){return this.x=Math.min(this.x,e.x),this.y=Math.min(this.y,e.y),this.z=Math.min(this.z,e.z),this.w=Math.min(this.w,e.w),this}max(e){return this.x=Math.max(this.x,e.x),this.y=Math.max(this.y,e.y),this.z=Math.max(this.z,e.z),this.w=Math.max(this.w,e.w),this}clamp(e,t){return this.x=Math.max(e.x,Math.min(t.x,this.x)),this.y=Math.max(e.y,Math.min(t.y,this.y)),this.z=Math.max(e.z,Math.min(t.z,this.z)),this.w=Math.max(e.w,Math.min(t.w,this.w)),this}clampScalar(e,t){return this.x=Math.max(e,Math.min(t,this.x)),this.y=Math.max(e,Math.min(t,this.y)),this.z=Math.max(e,Math.min(t,this.z)),this.w=Math.max(e,Math.min(t,this.w)),this}clampLength(e,t){const n=this.length();return this.divideScalar(n||1).multiplyScalar(Math.max(e,Math.min(t,n)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this.w=Math.floor(this.w),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this.w=Math.ceil(this.w),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this.w=Math.round(this.w),this}roundToZero(){return this.x=Math.trunc(this.x),this.y=Math.trunc(this.y),this.z=Math.trunc(this.z),this.w=Math.trunc(this.w),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this.w=-this.w,this}dot(e){return this.x*e.x+this.y*e.y+this.z*e.z+this.w*e.w}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)+Math.abs(this.w)}normalize(){return this.divideScalar(this.length()||1)}setLength(e){return this.normalize().multiplyScalar(e)}lerp(e,t){return this.x+=(e.x-this.x)*t,this.y+=(e.y-this.y)*t,this.z+=(e.z-this.z)*t,this.w+=(e.w-this.w)*t,this}lerpVectors(e,t,n){return this.x=e.x+(t.x-e.x)*n,this.y=e.y+(t.y-e.y)*n,this.z=e.z+(t.z-e.z)*n,this.w=e.w+(t.w-e.w)*n,this}equals(e){return e.x===this.x&&e.y===this.y&&e.z===this.z&&e.w===this.w}fromArray(e,t=0){return this.x=e[t],this.y=e[t+1],this.z=e[t+2],this.w=e[t+3],this}toArray(e=[],t=0){return e[t]=this.x,e[t+1]=this.y,e[t+2]=this.z,e[t+3]=this.w,e}fromBufferAttribute(e,t){return this.x=e.getX(t),this.y=e.getY(t),this.z=e.getZ(t),this.w=e.getW(t),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this.w=Math.random(),this}*[Symbol.iterator](){yield this.x,yield this.y,yield this.z,yield this.w}}class Bp extends ip{constructor(e=1,t=1,n={}){super(),this.isRenderTarget=!0,this.width=e,this.height=t,this.depth=1,this.scissor=new Fp(0,0,e,t),this.scissorTest=!1,this.viewport=new Fp(0,0,e,t);const r={width:e,height:t,depth:1};n=Object.assign({generateMipmaps:!1,internalFormat:null,minFilter:yf,depthBuffer:!0,stencilBuffer:!1,resolveDepthBuffer:!0,resolveStencilBuffer:!0,depthTexture:null,samples:0,count:1},n);const i=new Lp(r,n.mapping,n.wrapS,n.wrapT,n.magFilter,n.minFilter,n.format,n.type,n.anisotropy,n.colorSpace);i.flipY=!1,i.generateMipmaps=n.generateMipmaps,i.internalFormat=n.internalFormat,this.textures=[];const a=n.count;for(let e=0;e<a;e++)this.textures[e]=i.clone(),this.textures[e].isRenderTargetTexture=!0;this.depthBuffer=n.depthBuffer,this.stencilBuffer=n.stencilBuffer,this.resolveDepthBuffer=n.resolveDepthBuffer,this.resolveStencilBuffer=n.resolveStencilBuffer,this.depthTexture=n.depthTexture,this.samples=n.samples}get texture(){return this.textures[0]}set texture(e){this.textures[0]=e}setSize(e,t,n=1){if(this.width!==e||this.height!==t||this.depth!==n){this.width=e,this.height=t,this.depth=n;for(let r=0,i=this.textures.length;r<i;r++)this.textures[r].image.width=e,this.textures[r].image.height=t,this.textures[r].image.depth=n;this.dispose()}this.viewport.set(0,0,e,t),this.scissor.set(0,0,e,t)}clone(){return(new this.constructor).copy(this)}copy(e){this.width=e.width,this.height=e.height,this.depth=e.depth,this.scissor.copy(e.scissor),this.scissorTest=e.scissorTest,this.viewport.copy(e.viewport),this.textures.length=0;for(let t=0,n=e.textures.length;t<n;t++)this.textures[t]=e.textures[t].clone(),this.textures[t].isRenderTargetTexture=!0;const t=Object.assign({},e.texture.image);return this.texture.source=new Np(t),this.depthBuffer=e.depthBuffer,this.stencilBuffer=e.stencilBuffer,this.resolveDepthBuffer=e.resolveDepthBuffer,this.resolveStencilBuffer=e.resolveStencilBuffer,null!==e.depthTexture&&(this.depthTexture=e.depthTexture.clone()),this.samples=e.samples,this}dispose(){this.dispatchEvent({type:"dispose"})}}class Up extends Bp{constructor(e=1,t=1,n={}){super(e,t,n),this.isWebGLRenderTarget=!0}}class Vp extends Lp{constructor(e=null,t=1,n=1,r=1){super(null),this.isDataArrayTexture=!0,this.image={data:e,width:t,height:n,depth:r},this.magFilter=mf,this.minFilter=mf,this.wrapR=pf,this.generateMipmaps=!1,this.flipY=!1,this.unpackAlignment=1}}class Gp extends Lp{constructor(e=null,t=1,n=1,r=1){super(null),this.isData3DTexture=!0,this.image={data:e,width:t,height:n,depth:r},this.magFilter=mf,this.minFilter=mf,this.wrapR=pf,this.generateMipmaps=!1,this.flipY=!1,this.unpackAlignment=1}}class zp{constructor(e=0,t=0,n=0,r=1){this.isQuaternion=!0,this._x=e,this._y=t,this._z=n,this._w=r}static slerpFlat(e,t,n,r,i,a,o){let s=n[r+0],l=n[r+1],c=n[r+2],u=n[r+3];const d=i[a+0],f=i[a+1],p=i[a+2],h=i[a+3];if(0===o)return e[t+0]=s,e[t+1]=l,e[t+2]=c,void(e[t+3]=u);if(1===o)return e[t+0]=d,e[t+1]=f,e[t+2]=p,void(e[t+3]=h);if(u!==h||s!==d||l!==f||c!==p){let e=1-o;const t=s*d+l*f+c*p+u*h,n=t>=0?1:-1,r=1-t*t;if(r>Number.EPSILON){const i=Math.sqrt(r),a=Math.atan2(i,t*n);e=Math.sin(e*a)/i,o=Math.sin(o*a)/i}const i=o*n;if(s=s*e+d*i,l=l*e+f*i,c=c*e+p*i,u=u*e+h*i,e===1-o){const e=1/Math.sqrt(s*s+l*l+c*c+u*u);s*=e,l*=e,c*=e,u*=e}}e[t]=s,e[t+1]=l,e[t+2]=c,e[t+3]=u}static multiplyQuaternionsFlat(e,t,n,r,i,a){const o=n[r],s=n[r+1],l=n[r+2],c=n[r+3],u=i[a],d=i[a+1],f=i[a+2],p=i[a+3];return e[t]=o*p+c*u+s*f-l*d,e[t+1]=s*p+c*d+l*u-o*f,e[t+2]=l*p+c*f+o*d-s*u,e[t+3]=c*p-o*u-s*d-l*f,e}get x(){return this._x}set x(e){this._x=e,this._onChangeCallback()}get y(){return this._y}set y(e){this._y=e,this._onChangeCallback()}get z(){return this._z}set z(e){this._z=e,this._onChangeCallback()}get w(){return this._w}set w(e){this._w=e,this._onChangeCallback()}set(e,t,n,r){return this._x=e,this._y=t,this._z=n,this._w=r,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._w)}copy(e){return this._x=e.x,this._y=e.y,this._z=e.z,this._w=e.w,this._onChangeCallback(),this}setFromEuler(e,t=!0){const n=e._x,r=e._y,i=e._z,a=e._order,o=Math.cos,s=Math.sin,l=o(n/2),c=o(r/2),u=o(i/2),d=s(n/2),f=s(r/2),p=s(i/2);switch(a){case"XYZ":this._x=d*c*u+l*f*p,this._y=l*f*u-d*c*p,this._z=l*c*p+d*f*u,this._w=l*c*u-d*f*p;break;case"YXZ":this._x=d*c*u+l*f*p,this._y=l*f*u-d*c*p,this._z=l*c*p-d*f*u,this._w=l*c*u+d*f*p;break;case"ZXY":this._x=d*c*u-l*f*p,this._y=l*f*u+d*c*p,this._z=l*c*p+d*f*u,this._w=l*c*u-d*f*p;break;case"ZYX":this._x=d*c*u-l*f*p,this._y=l*f*u+d*c*p,this._z=l*c*p-d*f*u,this._w=l*c*u+d*f*p;break;case"YZX":this._x=d*c*u+l*f*p,this._y=l*f*u+d*c*p,this._z=l*c*p-d*f*u,this._w=l*c*u-d*f*p;break;case"XZY":this._x=d*c*u-l*f*p,this._y=l*f*u-d*c*p,this._z=l*c*p+d*f*u,this._w=l*c*u+d*f*p;break;default:console.warn("THREE.Quaternion: .setFromEuler() encountered an unknown order: "+a)}return!0===t&&this._onChangeCallback(),this}setFromAxisAngle(e,t){const n=t/2,r=Math.sin(n);return this._x=e.x*r,this._y=e.y*r,this._z=e.z*r,this._w=Math.cos(n),this._onChangeCallback(),this}setFromRotationMatrix(e){const t=e.elements,n=t[0],r=t[4],i=t[8],a=t[1],o=t[5],s=t[9],l=t[2],c=t[6],u=t[10],d=n+o+u;if(d>0){const e=.5/Math.sqrt(d+1);this._w=.25/e,this._x=(c-s)*e,this._y=(i-l)*e,this._z=(a-r)*e}else if(n>o&&n>u){const e=2*Math.sqrt(1+n-o-u);this._w=(c-s)/e,this._x=.25*e,this._y=(r+a)/e,this._z=(i+l)/e}else if(o>u){const e=2*Math.sqrt(1+o-n-u);this._w=(i-l)/e,this._x=(r+a)/e,this._y=.25*e,this._z=(s+c)/e}else{const e=2*Math.sqrt(1+u-n-o);this._w=(a-r)/e,this._x=(i+l)/e,this._y=(s+c)/e,this._z=.25*e}return this._onChangeCallback(),this}setFromUnitVectors(e,t){let n=e.dot(t)+1;return n<Number.EPSILON?(n=0,Math.abs(e.x)>Math.abs(e.z)?(this._x=-e.y,this._y=e.x,this._z=0,this._w=n):(this._x=0,this._y=-e.z,this._z=e.y,this._w=n)):(this._x=e.y*t.z-e.z*t.y,this._y=e.z*t.x-e.x*t.z,this._z=e.x*t.y-e.y*t.x,this._w=n),this.normalize()}angleTo(e){return 2*Math.acos(Math.abs(up(this.dot(e),-1,1)))}rotateTowards(e,t){const n=this.angleTo(e);if(0===n)return this;const r=Math.min(1,t/n);return this.slerp(e,r),this}identity(){return this.set(0,0,0,1)}invert(){return this.conjugate()}conjugate(){return this._x*=-1,this._y*=-1,this._z*=-1,this._onChangeCallback(),this}dot(e){return this._x*e._x+this._y*e._y+this._z*e._z+this._w*e._w}lengthSq(){return this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w}length(){return Math.sqrt(this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w)}normalize(){let e=this.length();return 0===e?(this._x=0,this._y=0,this._z=0,this._w=1):(e=1/e,this._x=this._x*e,this._y=this._y*e,this._z=this._z*e,this._w=this._w*e),this._onChangeCallback(),this}multiply(e){return this.multiplyQuaternions(this,e)}premultiply(e){return this.multiplyQuaternions(e,this)}multiplyQuaternions(e,t){const n=e._x,r=e._y,i=e._z,a=e._w,o=t._x,s=t._y,l=t._z,c=t._w;return this._x=n*c+a*o+r*l-i*s,this._y=r*c+a*s+i*o-n*l,this._z=i*c+a*l+n*s-r*o,this._w=a*c-n*o-r*s-i*l,this._onChangeCallback(),this}slerp(e,t){if(0===t)return this;if(1===t)return this.copy(e);const n=this._x,r=this._y,i=this._z,a=this._w;let o=a*e._w+n*e._x+r*e._y+i*e._z;if(o<0?(this._w=-e._w,this._x=-e._x,this._y=-e._y,this._z=-e._z,o=-o):this.copy(e),o>=1)return this._w=a,this._x=n,this._y=r,this._z=i,this;const s=1-o*o;if(s<=Number.EPSILON){const e=1-t;return this._w=e*a+t*this._w,this._x=e*n+t*this._x,this._y=e*r+t*this._y,this._z=e*i+t*this._z,this.normalize(),this}const l=Math.sqrt(s),c=Math.atan2(l,o),u=Math.sin((1-t)*c)/l,d=Math.sin(t*c)/l;return this._w=a*u+this._w*d,this._x=n*u+this._x*d,this._y=r*u+this._y*d,this._z=i*u+this._z*d,this._onChangeCallback(),this}slerpQuaternions(e,t,n){return this.copy(e).slerp(t,n)}random(){const e=2*Math.PI*Math.random(),t=2*Math.PI*Math.random(),n=Math.random(),r=Math.sqrt(1-n),i=Math.sqrt(n);return this.set(r*Math.sin(e),r*Math.cos(e),i*Math.sin(t),i*Math.cos(t))}equals(e){return e._x===this._x&&e._y===this._y&&e._z===this._z&&e._w===this._w}fromArray(e,t=0){return this._x=e[t],this._y=e[t+1],this._z=e[t+2],this._w=e[t+3],this._onChangeCallback(),this}toArray(e=[],t=0){return e[t]=this._x,e[t+1]=this._y,e[t+2]=this._z,e[t+3]=this._w,e}fromBufferAttribute(e,t){return this._x=e.getX(t),this._y=e.getY(t),this._z=e.getZ(t),this._w=e.getW(t),this._onChangeCallback(),this}toJSON(){return this.toArray()}_onChange(e){return this._onChangeCallback=e,this}_onChangeCallback(){}*[Symbol.iterator](){yield this._x,yield this._y,yield this._z,yield this._w}}class jp{constructor(e=0,t=0,n=0){jp.prototype.isVector3=!0,this.x=e,this.y=t,this.z=n}set(e,t,n){return void 0===n&&(n=this.z),this.x=e,this.y=t,this.z=n,this}setScalar(e){return this.x=e,this.y=e,this.z=e,this}setX(e){return this.x=e,this}setY(e){return this.y=e,this}setZ(e){return this.z=e,this}setComponent(e,t){switch(e){case 0:this.x=t;break;case 1:this.y=t;break;case 2:this.z=t;break;default:throw new Error("index is out of range: "+e)}return this}getComponent(e){switch(e){case 0:return this.x;case 1:return this.y;case 2:return this.z;default:throw new Error("index is out of range: "+e)}}clone(){return new this.constructor(this.x,this.y,this.z)}copy(e){return this.x=e.x,this.y=e.y,this.z=e.z,this}add(e){return this.x+=e.x,this.y+=e.y,this.z+=e.z,this}addScalar(e){return this.x+=e,this.y+=e,this.z+=e,this}addVectors(e,t){return this.x=e.x+t.x,this.y=e.y+t.y,this.z=e.z+t.z,this}addScaledVector(e,t){return this.x+=e.x*t,this.y+=e.y*t,this.z+=e.z*t,this}sub(e){return this.x-=e.x,this.y-=e.y,this.z-=e.z,this}subScalar(e){return this.x-=e,this.y-=e,this.z-=e,this}subVectors(e,t){return this.x=e.x-t.x,this.y=e.y-t.y,this.z=e.z-t.z,this}multiply(e){return this.x*=e.x,this.y*=e.y,this.z*=e.z,this}multiplyScalar(e){return this.x*=e,this.y*=e,this.z*=e,this}multiplyVectors(e,t){return this.x=e.x*t.x,this.y=e.y*t.y,this.z=e.z*t.z,this}applyEuler(e){return this.applyQuaternion(Hp.setFromEuler(e))}applyAxisAngle(e,t){return this.applyQuaternion(Hp.setFromAxisAngle(e,t))}applyMatrix3(e){const t=this.x,n=this.y,r=this.z,i=e.elements;return this.x=i[0]*t+i[3]*n+i[6]*r,this.y=i[1]*t+i[4]*n+i[7]*r,this.z=i[2]*t+i[5]*n+i[8]*r,this}applyNormalMatrix(e){return this.applyMatrix3(e).normalize()}applyMatrix4(e){const t=this.x,n=this.y,r=this.z,i=e.elements,a=1/(i[3]*t+i[7]*n+i[11]*r+i[15]);return this.x=(i[0]*t+i[4]*n+i[8]*r+i[12])*a,this.y=(i[1]*t+i[5]*n+i[9]*r+i[13])*a,this.z=(i[2]*t+i[6]*n+i[10]*r+i[14])*a,this}applyQuaternion(e){const t=this.x,n=this.y,r=this.z,i=e.x,a=e.y,o=e.z,s=e.w,l=2*(a*r-o*n),c=2*(o*t-i*r),u=2*(i*n-a*t);return this.x=t+s*l+a*u-o*c,this.y=n+s*c+o*l-i*u,this.z=r+s*u+i*c-a*l,this}project(e){return this.applyMatrix4(e.matrixWorldInverse).applyMatrix4(e.projectionMatrix)}unproject(e){return this.applyMatrix4(e.projectionMatrixInverse).applyMatrix4(e.matrixWorld)}transformDirection(e){const t=this.x,n=this.y,r=this.z,i=e.elements;return this.x=i[0]*t+i[4]*n+i[8]*r,this.y=i[1]*t+i[5]*n+i[9]*r,this.z=i[2]*t+i[6]*n+i[10]*r,this.normalize()}divide(e){return this.x/=e.x,this.y/=e.y,this.z/=e.z,this}divideScalar(e){return this.multiplyScalar(1/e)}min(e){return this.x=Math.min(this.x,e.x),this.y=Math.min(this.y,e.y),this.z=Math.min(this.z,e.z),this}max(e){return this.x=Math.max(this.x,e.x),this.y=Math.max(this.y,e.y),this.z=Math.max(this.z,e.z),this}clamp(e,t){return this.x=Math.max(e.x,Math.min(t.x,this.x)),this.y=Math.max(e.y,Math.min(t.y,this.y)),this.z=Math.max(e.z,Math.min(t.z,this.z)),this}clampScalar(e,t){return this.x=Math.max(e,Math.min(t,this.x)),this.y=Math.max(e,Math.min(t,this.y)),this.z=Math.max(e,Math.min(t,this.z)),this}clampLength(e,t){const n=this.length();return this.divideScalar(n||1).multiplyScalar(Math.max(e,Math.min(t,n)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this}roundToZero(){return this.x=Math.trunc(this.x),this.y=Math.trunc(this.y),this.z=Math.trunc(this.z),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this}dot(e){return this.x*e.x+this.y*e.y+this.z*e.z}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)}normalize(){return this.divideScalar(this.length()||1)}setLength(e){return this.normalize().multiplyScalar(e)}lerp(e,t){return this.x+=(e.x-this.x)*t,this.y+=(e.y-this.y)*t,this.z+=(e.z-this.z)*t,this}lerpVectors(e,t,n){return this.x=e.x+(t.x-e.x)*n,this.y=e.y+(t.y-e.y)*n,this.z=e.z+(t.z-e.z)*n,this}cross(e){return this.crossVectors(this,e)}crossVectors(e,t){const n=e.x,r=e.y,i=e.z,a=t.x,o=t.y,s=t.z;return this.x=r*s-i*o,this.y=i*a-n*s,this.z=n*o-r*a,this}projectOnVector(e){const t=e.lengthSq();if(0===t)return this.set(0,0,0);const n=e.dot(this)/t;return this.copy(e).multiplyScalar(n)}projectOnPlane(e){return Wp.copy(this).projectOnVector(e),this.sub(Wp)}reflect(e){return this.sub(Wp.copy(e).multiplyScalar(2*this.dot(e)))}angleTo(e){const t=Math.sqrt(this.lengthSq()*e.lengthSq());if(0===t)return Math.PI/2;const n=this.dot(e)/t;return Math.acos(up(n,-1,1))}distanceTo(e){return Math.sqrt(this.distanceToSquared(e))}distanceToSquared(e){const t=this.x-e.x,n=this.y-e.y,r=this.z-e.z;return t*t+n*n+r*r}manhattanDistanceTo(e){return Math.abs(this.x-e.x)+Math.abs(this.y-e.y)+Math.abs(this.z-e.z)}setFromSpherical(e){return this.setFromSphericalCoords(e.radius,e.phi,e.theta)}setFromSphericalCoords(e,t,n){const r=Math.sin(t)*e;return this.x=r*Math.sin(n),this.y=Math.cos(t)*e,this.z=r*Math.cos(n),this}setFromCylindrical(e){return this.setFromCylindricalCoords(e.radius,e.theta,e.y)}setFromCylindricalCoords(e,t,n){return this.x=e*Math.sin(t),this.y=n,this.z=e*Math.cos(t),this}setFromMatrixPosition(e){const t=e.elements;return this.x=t[12],this.y=t[13],this.z=t[14],this}setFromMatrixScale(e){const t=this.setFromMatrixColumn(e,0).length(),n=this.setFromMatrixColumn(e,1).length(),r=this.setFromMatrixColumn(e,2).length();return this.x=t,this.y=n,this.z=r,this}setFromMatrixColumn(e,t){return this.fromArray(e.elements,4*t)}setFromMatrix3Column(e,t){return this.fromArray(e.elements,3*t)}setFromEuler(e){return this.x=e._x,this.y=e._y,this.z=e._z,this}setFromColor(e){return this.x=e.r,this.y=e.g,this.z=e.b,this}equals(e){return e.x===this.x&&e.y===this.y&&e.z===this.z}fromArray(e,t=0){return this.x=e[t],this.y=e[t+1],this.z=e[t+2],this}toArray(e=[],t=0){return e[t]=this.x,e[t+1]=this.y,e[t+2]=this.z,e}fromBufferAttribute(e,t){return this.x=e.getX(t),this.y=e.getY(t),this.z=e.getZ(t),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this}randomDirection(){const e=Math.random()*Math.PI*2,t=2*Math.random()-1,n=Math.sqrt(1-t*t);return this.x=n*Math.cos(e),this.y=t,this.z=n*Math.sin(e),this}*[Symbol.iterator](){yield this.x,yield this.y,yield this.z}}const Wp=new jp,Hp=new zp;class $p{constructor(e=new jp(1/0,1/0,1/0),t=new jp(-1/0,-1/0,-1/0)){this.isBox3=!0,this.min=e,this.max=t}set(e,t){return this.min.copy(e),this.max.copy(t),this}setFromArray(e){this.makeEmpty();for(let t=0,n=e.length;t<n;t+=3)this.expandByPoint(qp.fromArray(e,t));return this}setFromBufferAttribute(e){this.makeEmpty();for(let t=0,n=e.count;t<n;t++)this.expandByPoint(qp.fromBufferAttribute(e,t));return this}setFromPoints(e){this.makeEmpty();for(let t=0,n=e.length;t<n;t++)this.expandByPoint(e[t]);return this}setFromCenterAndSize(e,t){const n=qp.copy(t).multiplyScalar(.5);return this.min.copy(e).sub(n),this.max.copy(e).add(n),this}setFromObject(e,t=!1){return this.makeEmpty(),this.expandByObject(e,t)}clone(){return(new this.constructor).copy(this)}copy(e){return this.min.copy(e.min),this.max.copy(e.max),this}makeEmpty(){return this.min.x=this.min.y=this.min.z=1/0,this.max.x=this.max.y=this.max.z=-1/0,this}isEmpty(){return this.max.x<this.min.x||this.max.y<this.min.y||this.max.z<this.min.z}getCenter(e){return this.isEmpty()?e.set(0,0,0):e.addVectors(this.min,this.max).multiplyScalar(.5)}getSize(e){return this.isEmpty()?e.set(0,0,0):e.subVectors(this.max,this.min)}expandByPoint(e){return this.min.min(e),this.max.max(e),this}expandByVector(e){return this.min.sub(e),this.max.add(e),this}expandByScalar(e){return this.min.addScalar(-e),this.max.addScalar(e),this}expandByObject(e,t=!1){e.updateWorldMatrix(!1,!1);const n=e.geometry;if(void 0!==n){const r=n.getAttribute("position");if(!0===t&&void 0!==r&&!0!==e.isInstancedMesh)for(let t=0,n=r.count;t<n;t++)!0===e.isMesh?e.getVertexPosition(t,qp):qp.fromBufferAttribute(r,t),qp.applyMatrix4(e.matrixWorld),this.expandByPoint(qp);else void 0!==e.boundingBox?(null===e.boundingBox&&e.computeBoundingBox(),Kp.copy(e.boundingBox)):(null===n.boundingBox&&n.computeBoundingBox(),Kp.copy(n.boundingBox)),Kp.applyMatrix4(e.matrixWorld),this.union(Kp)}const r=e.children;for(let e=0,n=r.length;e<n;e++)this.expandByObject(r[e],t);return this}containsPoint(e){return!(e.x<this.min.x||e.x>this.max.x||e.y<this.min.y||e.y>this.max.y||e.z<this.min.z||e.z>this.max.z)}containsBox(e){return this.min.x<=e.min.x&&e.max.x<=this.max.x&&this.min.y<=e.min.y&&e.max.y<=this.max.y&&this.min.z<=e.min.z&&e.max.z<=this.max.z}getParameter(e,t){return t.set((e.x-this.min.x)/(this.max.x-this.min.x),(e.y-this.min.y)/(this.max.y-this.min.y),(e.z-this.min.z)/(this.max.z-this.min.z))}intersectsBox(e){return!(e.max.x<this.min.x||e.min.x>this.max.x||e.max.y<this.min.y||e.min.y>this.max.y||e.max.z<this.min.z||e.min.z>this.max.z)}intersectsSphere(e){return this.clampPoint(e.center,qp),qp.distanceToSquared(e.center)<=e.radius*e.radius}intersectsPlane(e){let t,n;return e.normal.x>0?(t=e.normal.x*this.min.x,n=e.normal.x*this.max.x):(t=e.normal.x*this.max.x,n=e.normal.x*this.min.x),e.normal.y>0?(t+=e.normal.y*this.min.y,n+=e.normal.y*this.max.y):(t+=e.normal.y*this.max.y,n+=e.normal.y*this.min.y),e.normal.z>0?(t+=e.normal.z*this.min.z,n+=e.normal.z*this.max.z):(t+=e.normal.z*this.max.z,n+=e.normal.z*this.min.z),t<=-e.constant&&n>=-e.constant}intersectsTriangle(e){if(this.isEmpty())return!1;this.getCenter(nh),rh.subVectors(this.max,nh),Yp.subVectors(e.a,nh),Jp.subVectors(e.b,nh),Zp.subVectors(e.c,nh),Qp.subVectors(Jp,Yp),eh.subVectors(Zp,Jp),th.subVectors(Yp,Zp);let t=[0,-Qp.z,Qp.y,0,-eh.z,eh.y,0,-th.z,th.y,Qp.z,0,-Qp.x,eh.z,0,-eh.x,th.z,0,-th.x,-Qp.y,Qp.x,0,-eh.y,eh.x,0,-th.y,th.x,0];return!!oh(t,Yp,Jp,Zp,rh)&&(t=[1,0,0,0,1,0,0,0,1],!!oh(t,Yp,Jp,Zp,rh)&&(ih.crossVectors(Qp,eh),t=[ih.x,ih.y,ih.z],oh(t,Yp,Jp,Zp,rh)))}clampPoint(e,t){return t.copy(e).clamp(this.min,this.max)}distanceToPoint(e){return this.clampPoint(e,qp).distanceTo(e)}getBoundingSphere(e){return this.isEmpty()?e.makeEmpty():(this.getCenter(e.center),e.radius=.5*this.getSize(qp).length()),e}intersect(e){return this.min.max(e.min),this.max.min(e.max),this.isEmpty()&&this.makeEmpty(),this}union(e){return this.min.min(e.min),this.max.max(e.max),this}applyMatrix4(e){return this.isEmpty()||(Xp[0].set(this.min.x,this.min.y,this.min.z).applyMatrix4(e),Xp[1].set(this.min.x,this.min.y,this.max.z).applyMatrix4(e),Xp[2].set(this.min.x,this.max.y,this.min.z).applyMatrix4(e),Xp[3].set(this.min.x,this.max.y,this.max.z).applyMatrix4(e),Xp[4].set(this.max.x,this.min.y,this.min.z).applyMatrix4(e),Xp[5].set(this.max.x,this.min.y,this.max.z).applyMatrix4(e),Xp[6].set(this.max.x,this.max.y,this.min.z).applyMatrix4(e),Xp[7].set(this.max.x,this.max.y,this.max.z).applyMatrix4(e),this.setFromPoints(Xp)),this}translate(e){return this.min.add(e),this.max.add(e),this}equals(e){return e.min.equals(this.min)&&e.max.equals(this.max)}}const Xp=[new jp,new jp,new jp,new jp,new jp,new jp,new jp,new jp],qp=new jp,Kp=new $p,Yp=new jp,Jp=new jp,Zp=new jp,Qp=new jp,eh=new jp,th=new jp,nh=new jp,rh=new jp,ih=new jp,ah=new jp;function oh(e,t,n,r,i){for(let a=0,o=e.length-3;a<=o;a+=3){ah.fromArray(e,a);const o=i.x*Math.abs(ah.x)+i.y*Math.abs(ah.y)+i.z*Math.abs(ah.z),s=t.dot(ah),l=n.dot(ah),c=r.dot(ah);if(Math.max(-Math.max(s,l,c),Math.min(s,l,c))>o)return!1}return!0}const sh=new $p,lh=new jp,ch=new jp;class uh{constructor(e=new jp,t=-1){this.isSphere=!0,this.center=e,this.radius=t}set(e,t){return this.center.copy(e),this.radius=t,this}setFromPoints(e,t){const n=this.center;void 0!==t?n.copy(t):sh.setFromPoints(e).getCenter(n);let r=0;for(let t=0,i=e.length;t<i;t++)r=Math.max(r,n.distanceToSquared(e[t]));return this.radius=Math.sqrt(r),this}copy(e){return this.center.copy(e.center),this.radius=e.radius,this}isEmpty(){return this.radius<0}makeEmpty(){return this.center.set(0,0,0),this.radius=-1,this}containsPoint(e){return e.distanceToSquared(this.center)<=this.radius*this.radius}distanceToPoint(e){return e.distanceTo(this.center)-this.radius}intersectsSphere(e){const t=this.radius+e.radius;return e.center.distanceToSquared(this.center)<=t*t}intersectsBox(e){return e.intersectsSphere(this)}intersectsPlane(e){return Math.abs(e.distanceToPoint(this.center))<=this.radius}clampPoint(e,t){const n=this.center.distanceToSquared(e);return t.copy(e),n>this.radius*this.radius&&(t.sub(this.center).normalize(),t.multiplyScalar(this.radius).add(this.center)),t}getBoundingBox(e){return this.isEmpty()?(e.makeEmpty(),e):(e.set(this.center,this.center),e.expandByScalar(this.radius),e)}applyMatrix4(e){return this.center.applyMatrix4(e),this.radius=this.radius*e.getMaxScaleOnAxis(),this}translate(e){return this.center.add(e),this}expandByPoint(e){if(this.isEmpty())return this.center.copy(e),this.radius=0,this;lh.subVectors(e,this.center);const t=lh.lengthSq();if(t>this.radius*this.radius){const e=Math.sqrt(t),n=.5*(e-this.radius);this.center.addScaledVector(lh,n/e),this.radius+=n}return this}union(e){return e.isEmpty()?this:this.isEmpty()?(this.copy(e),this):(!0===this.center.equals(e.center)?this.radius=Math.max(this.radius,e.radius):(ch.subVectors(e.center,this.center).setLength(e.radius),this.expandByPoint(lh.copy(e.center).add(ch)),this.expandByPoint(lh.copy(e.center).sub(ch))),this)}equals(e){return e.center.equals(this.center)&&e.radius===this.radius}clone(){return(new this.constructor).copy(this)}}const dh=new jp,fh=new jp,ph=new jp,hh=new jp,mh=new jp,gh=new jp,vh=new jp;class yh{constructor(e=new jp,t=new jp(0,0,-1)){this.origin=e,this.direction=t}set(e,t){return this.origin.copy(e),this.direction.copy(t),this}copy(e){return this.origin.copy(e.origin),this.direction.copy(e.direction),this}at(e,t){return t.copy(this.origin).addScaledVector(this.direction,e)}lookAt(e){return this.direction.copy(e).sub(this.origin).normalize(),this}recast(e){return this.origin.copy(this.at(e,dh)),this}closestPointToPoint(e,t){t.subVectors(e,this.origin);const n=t.dot(this.direction);return n<0?t.copy(this.origin):t.copy(this.origin).addScaledVector(this.direction,n)}distanceToPoint(e){return Math.sqrt(this.distanceSqToPoint(e))}distanceSqToPoint(e){const t=dh.subVectors(e,this.origin).dot(this.direction);return t<0?this.origin.distanceToSquared(e):(dh.copy(this.origin).addScaledVector(this.direction,t),dh.distanceToSquared(e))}distanceSqToSegment(e,t,n,r){fh.copy(e).add(t).multiplyScalar(.5),ph.copy(t).sub(e).normalize(),hh.copy(this.origin).sub(fh);const i=.5*e.distanceTo(t),a=-this.direction.dot(ph),o=hh.dot(this.direction),s=-hh.dot(ph),l=hh.lengthSq(),c=Math.abs(1-a*a);let u,d,f,p;if(c>0)if(u=a*s-o,d=a*o-s,p=i*c,u>=0)if(d>=-p)if(d<=p){const e=1/c;u*=e,d*=e,f=u*(u+a*d+2*o)+d*(a*u+d+2*s)+l}else d=i,u=Math.max(0,-(a*d+o)),f=-u*u+d*(d+2*s)+l;else d=-i,u=Math.max(0,-(a*d+o)),f=-u*u+d*(d+2*s)+l;else d<=-p?(u=Math.max(0,-(-a*i+o)),d=u>0?-i:Math.min(Math.max(-i,-s),i),f=-u*u+d*(d+2*s)+l):d<=p?(u=0,d=Math.min(Math.max(-i,-s),i),f=d*(d+2*s)+l):(u=Math.max(0,-(a*i+o)),d=u>0?i:Math.min(Math.max(-i,-s),i),f=-u*u+d*(d+2*s)+l);else d=a>0?-i:i,u=Math.max(0,-(a*d+o)),f=-u*u+d*(d+2*s)+l;return n&&n.copy(this.origin).addScaledVector(this.direction,u),r&&r.copy(fh).addScaledVector(ph,d),f}intersectSphere(e,t){dh.subVectors(e.center,this.origin);const n=dh.dot(this.direction),r=dh.dot(dh)-n*n,i=e.radius*e.radius;if(r>i)return null;const a=Math.sqrt(i-r),o=n-a,s=n+a;return s<0?null:o<0?this.at(s,t):this.at(o,t)}intersectsSphere(e){return this.distanceSqToPoint(e.center)<=e.radius*e.radius}distanceToPlane(e){const t=e.normal.dot(this.direction);if(0===t)return 0===e.distanceToPoint(this.origin)?0:null;const n=-(this.origin.dot(e.normal)+e.constant)/t;return n>=0?n:null}intersectPlane(e,t){const n=this.distanceToPlane(e);return null===n?null:this.at(n,t)}intersectsPlane(e){const t=e.distanceToPoint(this.origin);return 0===t||e.normal.dot(this.direction)*t<0}intersectBox(e,t){let n,r,i,a,o,s;const l=1/this.direction.x,c=1/this.direction.y,u=1/this.direction.z,d=this.origin;return l>=0?(n=(e.min.x-d.x)*l,r=(e.max.x-d.x)*l):(n=(e.max.x-d.x)*l,r=(e.min.x-d.x)*l),c>=0?(i=(e.min.y-d.y)*c,a=(e.max.y-d.y)*c):(i=(e.max.y-d.y)*c,a=(e.min.y-d.y)*c),n>a||i>r?null:((i>n||isNaN(n))&&(n=i),(a<r||isNaN(r))&&(r=a),u>=0?(o=(e.min.z-d.z)*u,s=(e.max.z-d.z)*u):(o=(e.max.z-d.z)*u,s=(e.min.z-d.z)*u),n>s||o>r?null:((o>n||n!=n)&&(n=o),(s<r||r!=r)&&(r=s),r<0?null:this.at(n>=0?n:r,t)))}intersectsBox(e){return null!==this.intersectBox(e,dh)}intersectTriangle(e,t,n,r,i){mh.subVectors(t,e),gh.subVectors(n,e),vh.crossVectors(mh,gh);let a,o=this.direction.dot(vh);if(o>0){if(r)return null;a=1}else{if(!(o<0))return null;a=-1,o=-o}hh.subVectors(this.origin,e);const s=a*this.direction.dot(gh.crossVectors(hh,gh));if(s<0)return null;const l=a*this.direction.dot(mh.cross(hh));if(l<0)return null;if(s+l>o)return null;const c=-a*hh.dot(vh);return c<0?null:this.at(c/o,i)}applyMatrix4(e){return this.origin.applyMatrix4(e),this.direction.transformDirection(e),this}equals(e){return e.origin.equals(this.origin)&&e.direction.equals(this.direction)}clone(){return(new this.constructor).copy(this)}}class bh{constructor(e,t,n,r,i,a,o,s,l,c,u,d,f,p,h,m){bh.prototype.isMatrix4=!0,this.elements=[1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1],void 0!==e&&this.set(e,t,n,r,i,a,o,s,l,c,u,d,f,p,h,m)}set(e,t,n,r,i,a,o,s,l,c,u,d,f,p,h,m){const g=this.elements;return g[0]=e,g[4]=t,g[8]=n,g[12]=r,g[1]=i,g[5]=a,g[9]=o,g[13]=s,g[2]=l,g[6]=c,g[10]=u,g[14]=d,g[3]=f,g[7]=p,g[11]=h,g[15]=m,this}identity(){return this.set(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1),this}clone(){return(new bh).fromArray(this.elements)}copy(e){const t=this.elements,n=e.elements;return t[0]=n[0],t[1]=n[1],t[2]=n[2],t[3]=n[3],t[4]=n[4],t[5]=n[5],t[6]=n[6],t[7]=n[7],t[8]=n[8],t[9]=n[9],t[10]=n[10],t[11]=n[11],t[12]=n[12],t[13]=n[13],t[14]=n[14],t[15]=n[15],this}copyPosition(e){const t=this.elements,n=e.elements;return t[12]=n[12],t[13]=n[13],t[14]=n[14],this}setFromMatrix3(e){const t=e.elements;return this.set(t[0],t[3],t[6],0,t[1],t[4],t[7],0,t[2],t[5],t[8],0,0,0,0,1),this}extractBasis(e,t,n){return e.setFromMatrixColumn(this,0),t.setFromMatrixColumn(this,1),n.setFromMatrixColumn(this,2),this}makeBasis(e,t,n){return this.set(e.x,t.x,n.x,0,e.y,t.y,n.y,0,e.z,t.z,n.z,0,0,0,0,1),this}extractRotation(e){const t=this.elements,n=e.elements,r=1/_h.setFromMatrixColumn(e,0).length(),i=1/_h.setFromMatrixColumn(e,1).length(),a=1/_h.setFromMatrixColumn(e,2).length();return t[0]=n[0]*r,t[1]=n[1]*r,t[2]=n[2]*r,t[3]=0,t[4]=n[4]*i,t[5]=n[5]*i,t[6]=n[6]*i,t[7]=0,t[8]=n[8]*a,t[9]=n[9]*a,t[10]=n[10]*a,t[11]=0,t[12]=0,t[13]=0,t[14]=0,t[15]=1,this}makeRotationFromEuler(e){const t=this.elements,n=e.x,r=e.y,i=e.z,a=Math.cos(n),o=Math.sin(n),s=Math.cos(r),l=Math.sin(r),c=Math.cos(i),u=Math.sin(i);if("XYZ"===e.order){const e=a*c,n=a*u,r=o*c,i=o*u;t[0]=s*c,t[4]=-s*u,t[8]=l,t[1]=n+r*l,t[5]=e-i*l,t[9]=-o*s,t[2]=i-e*l,t[6]=r+n*l,t[10]=a*s}else if("YXZ"===e.order){const e=s*c,n=s*u,r=l*c,i=l*u;t[0]=e+i*o,t[4]=r*o-n,t[8]=a*l,t[1]=a*u,t[5]=a*c,t[9]=-o,t[2]=n*o-r,t[6]=i+e*o,t[10]=a*s}else if("ZXY"===e.order){const e=s*c,n=s*u,r=l*c,i=l*u;t[0]=e-i*o,t[4]=-a*u,t[8]=r+n*o,t[1]=n+r*o,t[5]=a*c,t[9]=i-e*o,t[2]=-a*l,t[6]=o,t[10]=a*s}else if("ZYX"===e.order){const e=a*c,n=a*u,r=o*c,i=o*u;t[0]=s*c,t[4]=r*l-n,t[8]=e*l+i,t[1]=s*u,t[5]=i*l+e,t[9]=n*l-r,t[2]=-l,t[6]=o*s,t[10]=a*s}else if("YZX"===e.order){const e=a*s,n=a*l,r=o*s,i=o*l;t[0]=s*c,t[4]=i-e*u,t[8]=r*u+n,t[1]=u,t[5]=a*c,t[9]=-o*c,t[2]=-l*c,t[6]=n*u+r,t[10]=e-i*u}else if("XZY"===e.order){const e=a*s,n=a*l,r=o*s,i=o*l;t[0]=s*c,t[4]=-u,t[8]=l*c,t[1]=e*u+i,t[5]=a*c,t[9]=n*u-r,t[2]=r*u-n,t[6]=o*c,t[10]=i*u+e}return t[3]=0,t[7]=0,t[11]=0,t[12]=0,t[13]=0,t[14]=0,t[15]=1,this}makeRotationFromQuaternion(e){return this.compose(wh,e,Ah)}lookAt(e,t,n){const r=this.elements;return Ch.subVectors(e,t),0===Ch.lengthSq()&&(Ch.z=1),Ch.normalize(),Sh.crossVectors(n,Ch),0===Sh.lengthSq()&&(1===Math.abs(n.z)?Ch.x+=1e-4:Ch.z+=1e-4,Ch.normalize(),Sh.crossVectors(n,Ch)),Sh.normalize(),Th.crossVectors(Ch,Sh),r[0]=Sh.x,r[4]=Th.x,r[8]=Ch.x,r[1]=Sh.y,r[5]=Th.y,r[9]=Ch.y,r[2]=Sh.z,r[6]=Th.z,r[10]=Ch.z,this}multiply(e){return this.multiplyMatrices(this,e)}premultiply(e){return this.multiplyMatrices(e,this)}multiplyMatrices(e,t){const n=e.elements,r=t.elements,i=this.elements,a=n[0],o=n[4],s=n[8],l=n[12],c=n[1],u=n[5],d=n[9],f=n[13],p=n[2],h=n[6],m=n[10],g=n[14],v=n[3],y=n[7],b=n[11],_=n[15],x=r[0],w=r[4],A=r[8],S=r[12],T=r[1],C=r[5],E=r[9],M=r[13],D=r[2],P=r[6],I=r[10],O=r[14],N=r[3],k=r[7],R=r[11],L=r[15];return i[0]=a*x+o*T+s*D+l*N,i[4]=a*w+o*C+s*P+l*k,i[8]=a*A+o*E+s*I+l*R,i[12]=a*S+o*M+s*O+l*L,i[1]=c*x+u*T+d*D+f*N,i[5]=c*w+u*C+d*P+f*k,i[9]=c*A+u*E+d*I+f*R,i[13]=c*S+u*M+d*O+f*L,i[2]=p*x+h*T+m*D+g*N,i[6]=p*w+h*C+m*P+g*k,i[10]=p*A+h*E+m*I+g*R,i[14]=p*S+h*M+m*O+g*L,i[3]=v*x+y*T+b*D+_*N,i[7]=v*w+y*C+b*P+_*k,i[11]=v*A+y*E+b*I+_*R,i[15]=v*S+y*M+b*O+_*L,this}multiplyScalar(e){const t=this.elements;return t[0]*=e,t[4]*=e,t[8]*=e,t[12]*=e,t[1]*=e,t[5]*=e,t[9]*=e,t[13]*=e,t[2]*=e,t[6]*=e,t[10]*=e,t[14]*=e,t[3]*=e,t[7]*=e,t[11]*=e,t[15]*=e,this}determinant(){const e=this.elements,t=e[0],n=e[4],r=e[8],i=e[12],a=e[1],o=e[5],s=e[9],l=e[13],c=e[2],u=e[6],d=e[10],f=e[14];return e[3]*(+i*s*u-r*l*u-i*o*d+n*l*d+r*o*f-n*s*f)+e[7]*(+t*s*f-t*l*d+i*a*d-r*a*f+r*l*c-i*s*c)+e[11]*(+t*l*u-t*o*f-i*a*u+n*a*f+i*o*c-n*l*c)+e[15]*(-r*o*c-t*s*u+t*o*d+r*a*u-n*a*d+n*s*c)}transpose(){const e=this.elements;let t;return t=e[1],e[1]=e[4],e[4]=t,t=e[2],e[2]=e[8],e[8]=t,t=e[6],e[6]=e[9],e[9]=t,t=e[3],e[3]=e[12],e[12]=t,t=e[7],e[7]=e[13],e[13]=t,t=e[11],e[11]=e[14],e[14]=t,this}setPosition(e,t,n){const r=this.elements;return e.isVector3?(r[12]=e.x,r[13]=e.y,r[14]=e.z):(r[12]=e,r[13]=t,r[14]=n),this}invert(){const e=this.elements,t=e[0],n=e[1],r=e[2],i=e[3],a=e[4],o=e[5],s=e[6],l=e[7],c=e[8],u=e[9],d=e[10],f=e[11],p=e[12],h=e[13],m=e[14],g=e[15],v=u*m*l-h*d*l+h*s*f-o*m*f-u*s*g+o*d*g,y=p*d*l-c*m*l-p*s*f+a*m*f+c*s*g-a*d*g,b=c*h*l-p*u*l+p*o*f-a*h*f-c*o*g+a*u*g,_=p*u*s-c*h*s-p*o*d+a*h*d+c*o*m-a*u*m,x=t*v+n*y+r*b+i*_;if(0===x)return this.set(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);const w=1/x;return e[0]=v*w,e[1]=(h*d*i-u*m*i-h*r*f+n*m*f+u*r*g-n*d*g)*w,e[2]=(o*m*i-h*s*i+h*r*l-n*m*l-o*r*g+n*s*g)*w,e[3]=(u*s*i-o*d*i-u*r*l+n*d*l+o*r*f-n*s*f)*w,e[4]=y*w,e[5]=(c*m*i-p*d*i+p*r*f-t*m*f-c*r*g+t*d*g)*w,e[6]=(p*s*i-a*m*i-p*r*l+t*m*l+a*r*g-t*s*g)*w,e[7]=(a*d*i-c*s*i+c*r*l-t*d*l-a*r*f+t*s*f)*w,e[8]=b*w,e[9]=(p*u*i-c*h*i-p*n*f+t*h*f+c*n*g-t*u*g)*w,e[10]=(a*h*i-p*o*i+p*n*l-t*h*l-a*n*g+t*o*g)*w,e[11]=(c*o*i-a*u*i-c*n*l+t*u*l+a*n*f-t*o*f)*w,e[12]=_*w,e[13]=(c*h*r-p*u*r+p*n*d-t*h*d-c*n*m+t*u*m)*w,e[14]=(p*o*r-a*h*r-p*n*s+t*h*s+a*n*m-t*o*m)*w,e[15]=(a*u*r-c*o*r+c*n*s-t*u*s-a*n*d+t*o*d)*w,this}scale(e){const t=this.elements,n=e.x,r=e.y,i=e.z;return t[0]*=n,t[4]*=r,t[8]*=i,t[1]*=n,t[5]*=r,t[9]*=i,t[2]*=n,t[6]*=r,t[10]*=i,t[3]*=n,t[7]*=r,t[11]*=i,this}getMaxScaleOnAxis(){const e=this.elements,t=e[0]*e[0]+e[1]*e[1]+e[2]*e[2],n=e[4]*e[4]+e[5]*e[5]+e[6]*e[6],r=e[8]*e[8]+e[9]*e[9]+e[10]*e[10];return Math.sqrt(Math.max(t,n,r))}makeTranslation(e,t,n){return e.isVector3?this.set(1,0,0,e.x,0,1,0,e.y,0,0,1,e.z,0,0,0,1):this.set(1,0,0,e,0,1,0,t,0,0,1,n,0,0,0,1),this}makeRotationX(e){const t=Math.cos(e),n=Math.sin(e);return this.set(1,0,0,0,0,t,-n,0,0,n,t,0,0,0,0,1),this}makeRotationY(e){const t=Math.cos(e),n=Math.sin(e);return this.set(t,0,n,0,0,1,0,0,-n,0,t,0,0,0,0,1),this}makeRotationZ(e){const t=Math.cos(e),n=Math.sin(e);return this.set(t,-n,0,0,n,t,0,0,0,0,1,0,0,0,0,1),this}makeRotationAxis(e,t){const n=Math.cos(t),r=Math.sin(t),i=1-n,a=e.x,o=e.y,s=e.z,l=i*a,c=i*o;return this.set(l*a+n,l*o-r*s,l*s+r*o,0,l*o+r*s,c*o+n,c*s-r*a,0,l*s-r*o,c*s+r*a,i*s*s+n,0,0,0,0,1),this}makeScale(e,t,n){return this.set(e,0,0,0,0,t,0,0,0,0,n,0,0,0,0,1),this}makeShear(e,t,n,r,i,a){return this.set(1,n,i,0,e,1,a,0,t,r,1,0,0,0,0,1),this}compose(e,t,n){const r=this.elements,i=t._x,a=t._y,o=t._z,s=t._w,l=i+i,c=a+a,u=o+o,d=i*l,f=i*c,p=i*u,h=a*c,m=a*u,g=o*u,v=s*l,y=s*c,b=s*u,_=n.x,x=n.y,w=n.z;return r[0]=(1-(h+g))*_,r[1]=(f+b)*_,r[2]=(p-y)*_,r[3]=0,r[4]=(f-b)*x,r[5]=(1-(d+g))*x,r[6]=(m+v)*x,r[7]=0,r[8]=(p+y)*w,r[9]=(m-v)*w,r[10]=(1-(d+h))*w,r[11]=0,r[12]=e.x,r[13]=e.y,r[14]=e.z,r[15]=1,this}decompose(e,t,n){const r=this.elements;let i=_h.set(r[0],r[1],r[2]).length();const a=_h.set(r[4],r[5],r[6]).length(),o=_h.set(r[8],r[9],r[10]).length();this.determinant()<0&&(i=-i),e.x=r[12],e.y=r[13],e.z=r[14],xh.copy(this);const s=1/i,l=1/a,c=1/o;return xh.elements[0]*=s,xh.elements[1]*=s,xh.elements[2]*=s,xh.elements[4]*=l,xh.elements[5]*=l,xh.elements[6]*=l,xh.elements[8]*=c,xh.elements[9]*=c,xh.elements[10]*=c,t.setFromRotationMatrix(xh),n.x=i,n.y=a,n.z=o,this}makePerspective(e,t,n,r,i,a,o=2e3){const s=this.elements,l=2*i/(t-e),c=2*i/(n-r),u=(t+e)/(t-e),d=(n+r)/(n-r);let f,p;if(o===np)f=-(a+i)/(a-i),p=-2*a*i/(a-i);else{if(o!==rp)throw new Error("THREE.Matrix4.makePerspective(): Invalid coordinate system: "+o);f=-a/(a-i),p=-a*i/(a-i)}return s[0]=l,s[4]=0,s[8]=u,s[12]=0,s[1]=0,s[5]=c,s[9]=d,s[13]=0,s[2]=0,s[6]=0,s[10]=f,s[14]=p,s[3]=0,s[7]=0,s[11]=-1,s[15]=0,this}makeOrthographic(e,t,n,r,i,a,o=2e3){const s=this.elements,l=1/(t-e),c=1/(n-r),u=1/(a-i),d=(t+e)*l,f=(n+r)*c;let p,h;if(o===np)p=(a+i)*u,h=-2*u;else{if(o!==rp)throw new Error("THREE.Matrix4.makeOrthographic(): Invalid coordinate system: "+o);p=i*u,h=-1*u}return s[0]=2*l,s[4]=0,s[8]=0,s[12]=-d,s[1]=0,s[5]=2*c,s[9]=0,s[13]=-f,s[2]=0,s[6]=0,s[10]=h,s[14]=-p,s[3]=0,s[7]=0,s[11]=0,s[15]=1,this}equals(e){const t=this.elements,n=e.elements;for(let e=0;e<16;e++)if(t[e]!==n[e])return!1;return!0}fromArray(e,t=0){for(let n=0;n<16;n++)this.elements[n]=e[n+t];return this}toArray(e=[],t=0){const n=this.elements;return e[t]=n[0],e[t+1]=n[1],e[t+2]=n[2],e[t+3]=n[3],e[t+4]=n[4],e[t+5]=n[5],e[t+6]=n[6],e[t+7]=n[7],e[t+8]=n[8],e[t+9]=n[9],e[t+10]=n[10],e[t+11]=n[11],e[t+12]=n[12],e[t+13]=n[13],e[t+14]=n[14],e[t+15]=n[15],e}}const _h=new jp,xh=new bh,wh=new jp(0,0,0),Ah=new jp(1,1,1),Sh=new jp,Th=new jp,Ch=new jp,Eh=new bh,Mh=new zp;class Dh{constructor(e=0,t=0,n=0,r=Dh.DEFAULT_ORDER){this.isEuler=!0,this._x=e,this._y=t,this._z=n,this._order=r}get x(){return this._x}set x(e){this._x=e,this._onChangeCallback()}get y(){return this._y}set y(e){this._y=e,this._onChangeCallback()}get z(){return this._z}set z(e){this._z=e,this._onChangeCallback()}get order(){return this._order}set order(e){this._order=e,this._onChangeCallback()}set(e,t,n,r=this._order){return this._x=e,this._y=t,this._z=n,this._order=r,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._order)}copy(e){return this._x=e._x,this._y=e._y,this._z=e._z,this._order=e._order,this._onChangeCallback(),this}setFromRotationMatrix(e,t=this._order,n=!0){const r=e.elements,i=r[0],a=r[4],o=r[8],s=r[1],l=r[5],c=r[9],u=r[2],d=r[6],f=r[10];switch(t){case"XYZ":this._y=Math.asin(up(o,-1,1)),Math.abs(o)<.9999999?(this._x=Math.atan2(-c,f),this._z=Math.atan2(-a,i)):(this._x=Math.atan2(d,l),this._z=0);break;case"YXZ":this._x=Math.asin(-up(c,-1,1)),Math.abs(c)<.9999999?(this._y=Math.atan2(o,f),this._z=Math.atan2(s,l)):(this._y=Math.atan2(-u,i),this._z=0);break;case"ZXY":this._x=Math.asin(up(d,-1,1)),Math.abs(d)<.9999999?(this._y=Math.atan2(-u,f),this._z=Math.atan2(-a,l)):(this._y=0,this._z=Math.atan2(s,i));break;case"ZYX":this._y=Math.asin(-up(u,-1,1)),Math.abs(u)<.9999999?(this._x=Math.atan2(d,f),this._z=Math.atan2(s,i)):(this._x=0,this._z=Math.atan2(-a,l));break;case"YZX":this._z=Math.asin(up(s,-1,1)),Math.abs(s)<.9999999?(this._x=Math.atan2(-c,l),this._y=Math.atan2(-u,i)):(this._x=0,this._y=Math.atan2(o,f));break;case"XZY":this._z=Math.asin(-up(a,-1,1)),Math.abs(a)<.9999999?(this._x=Math.atan2(d,l),this._y=Math.atan2(o,i)):(this._x=Math.atan2(-c,f),this._y=0);break;default:console.warn("THREE.Euler: .setFromRotationMatrix() encountered an unknown order: "+t)}return this._order=t,!0===n&&this._onChangeCallback(),this}setFromQuaternion(e,t,n){return Eh.makeRotationFromQuaternion(e),this.setFromRotationMatrix(Eh,t,n)}setFromVector3(e,t=this._order){return this.set(e.x,e.y,e.z,t)}reorder(e){return Mh.setFromEuler(this),this.setFromQuaternion(Mh,e)}equals(e){return e._x===this._x&&e._y===this._y&&e._z===this._z&&e._order===this._order}fromArray(e){return this._x=e[0],this._y=e[1],this._z=e[2],void 0!==e[3]&&(this._order=e[3]),this._onChangeCallback(),this}toArray(e=[],t=0){return e[t]=this._x,e[t+1]=this._y,e[t+2]=this._z,e[t+3]=this._order,e}_onChange(e){return this._onChangeCallback=e,this}_onChangeCallback(){}*[Symbol.iterator](){yield this._x,yield this._y,yield this._z,yield this._order}}Dh.DEFAULT_ORDER="XYZ";class Ph{constructor(){this.mask=1}set(e){this.mask=1<<e>>>0}enable(e){this.mask|=1<<e}enableAll(){this.mask=-1}toggle(e){this.mask^=1<<e}disable(e){this.mask&=~(1<<e)}disableAll(){this.mask=0}test(e){return!!(this.mask&e.mask)}isEnabled(e){return!!(this.mask&1<<e)}}let Ih=0;const Oh=new jp,Nh=new zp,kh=new bh,Rh=new jp,Lh=new jp,Fh=new jp,Bh=new zp,Uh=new jp(1,0,0),Vh=new jp(0,1,0),Gh=new jp(0,0,1),zh={type:"added"},jh={type:"removed"},Wh={type:"childadded",child:null},Hh={type:"childremoved",child:null};class $h extends ip{constructor(){super(),this.isObject3D=!0,Object.defineProperty(this,"id",{value:Ih++}),this.uuid=cp(),this.name="",this.type="Object3D",this.parent=null,this.children=[],this.up=$h.DEFAULT_UP.clone();const e=new jp,t=new Dh,n=new zp,r=new jp(1,1,1);t._onChange((function(){n.setFromEuler(t,!1)})),n._onChange((function(){t.setFromQuaternion(n,void 0,!1)})),Object.defineProperties(this,{position:{configurable:!0,enumerable:!0,value:e},rotation:{configurable:!0,enumerable:!0,value:t},quaternion:{configurable:!0,enumerable:!0,value:n},scale:{configurable:!0,enumerable:!0,value:r},modelViewMatrix:{value:new bh},normalMatrix:{value:new vp}}),this.matrix=new bh,this.matrixWorld=new bh,this.matrixAutoUpdate=$h.DEFAULT_MATRIX_AUTO_UPDATE,this.matrixWorldAutoUpdate=$h.DEFAULT_MATRIX_WORLD_AUTO_UPDATE,this.matrixWorldNeedsUpdate=!1,this.layers=new Ph,this.visible=!0,this.castShadow=!1,this.receiveShadow=!1,this.frustumCulled=!0,this.renderOrder=0,this.animations=[],this.userData={}}onBeforeShadow(){}onAfterShadow(){}onBeforeRender(){}onAfterRender(){}applyMatrix4(e){this.matrixAutoUpdate&&this.updateMatrix(),this.matrix.premultiply(e),this.matrix.decompose(this.position,this.quaternion,this.scale)}applyQuaternion(e){return this.quaternion.premultiply(e),this}setRotationFromAxisAngle(e,t){this.quaternion.setFromAxisAngle(e,t)}setRotationFromEuler(e){this.quaternion.setFromEuler(e,!0)}setRotationFromMatrix(e){this.quaternion.setFromRotationMatrix(e)}setRotationFromQuaternion(e){this.quaternion.copy(e)}rotateOnAxis(e,t){return Nh.setFromAxisAngle(e,t),this.quaternion.multiply(Nh),this}rotateOnWorldAxis(e,t){return Nh.setFromAxisAngle(e,t),this.quaternion.premultiply(Nh),this}rotateX(e){return this.rotateOnAxis(Uh,e)}rotateY(e){return this.rotateOnAxis(Vh,e)}rotateZ(e){return this.rotateOnAxis(Gh,e)}translateOnAxis(e,t){return Oh.copy(e).applyQuaternion(this.quaternion),this.position.add(Oh.multiplyScalar(t)),this}translateX(e){return this.translateOnAxis(Uh,e)}translateY(e){return this.translateOnAxis(Vh,e)}translateZ(e){return this.translateOnAxis(Gh,e)}localToWorld(e){return this.updateWorldMatrix(!0,!1),e.applyMatrix4(this.matrixWorld)}worldToLocal(e){return this.updateWorldMatrix(!0,!1),e.applyMatrix4(kh.copy(this.matrixWorld).invert())}lookAt(e,t,n){e.isVector3?Rh.copy(e):Rh.set(e,t,n);const r=this.parent;this.updateWorldMatrix(!0,!1),Lh.setFromMatrixPosition(this.matrixWorld),this.isCamera||this.isLight?kh.lookAt(Lh,Rh,this.up):kh.lookAt(Rh,Lh,this.up),this.quaternion.setFromRotationMatrix(kh),r&&(kh.extractRotation(r.matrixWorld),Nh.setFromRotationMatrix(kh),this.quaternion.premultiply(Nh.invert()))}add(e){if(arguments.length>1){for(let e=0;e<arguments.length;e++)this.add(arguments[e]);return this}return e===this?(console.error("THREE.Object3D.add: object can't be added as a child of itself.",e),this):(e&&e.isObject3D?(e.removeFromParent(),e.parent=this,this.children.push(e),e.dispatchEvent(zh),Wh.child=e,this.dispatchEvent(Wh),Wh.child=null):console.error("THREE.Object3D.add: object not an instance of THREE.Object3D.",e),this)}remove(e){if(arguments.length>1){for(let e=0;e<arguments.length;e++)this.remove(arguments[e]);return this}const t=this.children.indexOf(e);return-1!==t&&(e.parent=null,this.children.splice(t,1),e.dispatchEvent(jh),Hh.child=e,this.dispatchEvent(Hh),Hh.child=null),this}removeFromParent(){const e=this.parent;return null!==e&&e.remove(this),this}clear(){return this.remove(...this.children)}attach(e){return this.updateWorldMatrix(!0,!1),kh.copy(this.matrixWorld).invert(),null!==e.parent&&(e.parent.updateWorldMatrix(!0,!1),kh.multiply(e.parent.matrixWorld)),e.applyMatrix4(kh),e.removeFromParent(),e.parent=this,this.children.push(e),e.updateWorldMatrix(!1,!0),e.dispatchEvent(zh),Wh.child=e,this.dispatchEvent(Wh),Wh.child=null,this}getObjectById(e){return this.getObjectByProperty("id",e)}getObjectByName(e){return this.getObjectByProperty("name",e)}getObjectByProperty(e,t){if(this[e]===t)return this;for(let n=0,r=this.children.length;n<r;n++){const r=this.children[n].getObjectByProperty(e,t);if(void 0!==r)return r}}getObjectsByProperty(e,t,n=[]){this[e]===t&&n.push(this);const r=this.children;for(let i=0,a=r.length;i<a;i++)r[i].getObjectsByProperty(e,t,n);return n}getWorldPosition(e){return this.updateWorldMatrix(!0,!1),e.setFromMatrixPosition(this.matrixWorld)}getWorldQuaternion(e){return this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Lh,e,Fh),e}getWorldScale(e){return this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Lh,Bh,e),e}getWorldDirection(e){this.updateWorldMatrix(!0,!1);const t=this.matrixWorld.elements;return e.set(t[8],t[9],t[10]).normalize()}raycast(){}traverse(e){e(this);const t=this.children;for(let n=0,r=t.length;n<r;n++)t[n].traverse(e)}traverseVisible(e){if(!1===this.visible)return;e(this);const t=this.children;for(let n=0,r=t.length;n<r;n++)t[n].traverseVisible(e)}traverseAncestors(e){const t=this.parent;null!==t&&(e(t),t.traverseAncestors(e))}updateMatrix(){this.matrix.compose(this.position,this.quaternion,this.scale),this.matrixWorldNeedsUpdate=!0}updateMatrixWorld(e){this.matrixAutoUpdate&&this.updateMatrix(),(this.matrixWorldNeedsUpdate||e)&&(null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),this.matrixWorldNeedsUpdate=!1,e=!0);const t=this.children;for(let n=0,r=t.length;n<r;n++){const r=t[n];!0!==r.matrixWorldAutoUpdate&&!0!==e||r.updateMatrixWorld(e)}}updateWorldMatrix(e,t){const n=this.parent;if(!0===e&&null!==n&&!0===n.matrixWorldAutoUpdate&&n.updateWorldMatrix(!0,!1),this.matrixAutoUpdate&&this.updateMatrix(),null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),!0===t){const e=this.children;for(let t=0,n=e.length;t<n;t++){const n=e[t];!0===n.matrixWorldAutoUpdate&&n.updateWorldMatrix(!1,!0)}}}toJSON(e){const t=void 0===e||"string"==typeof e,n={};t&&(e={geometries:{},materials:{},textures:{},images:{},shapes:{},skeletons:{},animations:{},nodes:{}},n.metadata={version:4.6,type:"Object",generator:"Object3D.toJSON"});const r={};function i(t,n){return void 0===t[n.uuid]&&(t[n.uuid]=n.toJSON(e)),n.uuid}if(r.uuid=this.uuid,r.type=this.type,""!==this.name&&(r.name=this.name),!0===this.castShadow&&(r.castShadow=!0),!0===this.receiveShadow&&(r.receiveShadow=!0),!1===this.visible&&(r.visible=!1),!1===this.frustumCulled&&(r.frustumCulled=!1),0!==this.renderOrder&&(r.renderOrder=this.renderOrder),Object.keys(this.userData).length>0&&(r.userData=this.userData),r.layers=this.layers.mask,r.matrix=this.matrix.toArray(),r.up=this.up.toArray(),!1===this.matrixAutoUpdate&&(r.matrixAutoUpdate=!1),this.isInstancedMesh&&(r.type="InstancedMesh",r.count=this.count,r.instanceMatrix=this.instanceMatrix.toJSON(),null!==this.instanceColor&&(r.instanceColor=this.instanceColor.toJSON())),this.isBatchedMesh&&(r.type="BatchedMesh",r.perObjectFrustumCulled=this.perObjectFrustumCulled,r.sortObjects=this.sortObjects,r.drawRanges=this._drawRanges,r.reservedRanges=this._reservedRanges,r.visibility=this._visibility,r.active=this._active,r.bounds=this._bounds.map((e=>({boxInitialized:e.boxInitialized,boxMin:e.box.min.toArray(),boxMax:e.box.max.toArray(),sphereInitialized:e.sphereInitialized,sphereRadius:e.sphere.radius,sphereCenter:e.sphere.center.toArray()}))),r.maxGeometryCount=this._maxGeometryCount,r.maxVertexCount=this._maxVertexCount,r.maxIndexCount=this._maxIndexCount,r.geometryInitialized=this._geometryInitialized,r.geometryCount=this._geometryCount,r.matricesTexture=this._matricesTexture.toJSON(e),null!==this.boundingSphere&&(r.boundingSphere={center:r.boundingSphere.center.toArray(),radius:r.boundingSphere.radius}),null!==this.boundingBox&&(r.boundingBox={min:r.boundingBox.min.toArray(),max:r.boundingBox.max.toArray()})),this.isScene)this.background&&(this.background.isColor?r.background=this.background.toJSON():this.background.isTexture&&(r.background=this.background.toJSON(e).uuid)),this.environment&&this.environment.isTexture&&!0!==this.environment.isRenderTargetTexture&&(r.environment=this.environment.toJSON(e).uuid);else if(this.isMesh||this.isLine||this.isPoints){r.geometry=i(e.geometries,this.geometry);const t=this.geometry.parameters;if(void 0!==t&&void 0!==t.shapes){const n=t.shapes;if(Array.isArray(n))for(let t=0,r=n.length;t<r;t++){const r=n[t];i(e.shapes,r)}else i(e.shapes,n)}}if(this.isSkinnedMesh&&(r.bindMode=this.bindMode,r.bindMatrix=this.bindMatrix.toArray(),void 0!==this.skeleton&&(i(e.skeletons,this.skeleton),r.skeleton=this.skeleton.uuid)),void 0!==this.material)if(Array.isArray(this.material)){const t=[];for(let n=0,r=this.material.length;n<r;n++)t.push(i(e.materials,this.material[n]));r.material=t}else r.material=i(e.materials,this.material);if(this.children.length>0){r.children=[];for(let t=0;t<this.children.length;t++)r.children.push(this.children[t].toJSON(e).object)}if(this.animations.length>0){r.animations=[];for(let t=0;t<this.animations.length;t++){const n=this.animations[t];r.animations.push(i(e.animations,n))}}if(t){const t=a(e.geometries),r=a(e.materials),i=a(e.textures),o=a(e.images),s=a(e.shapes),l=a(e.skeletons),c=a(e.animations),u=a(e.nodes);t.length>0&&(n.geometries=t),r.length>0&&(n.materials=r),i.length>0&&(n.textures=i),o.length>0&&(n.images=o),s.length>0&&(n.shapes=s),l.length>0&&(n.skeletons=l),c.length>0&&(n.animations=c),u.length>0&&(n.nodes=u)}return n.object=r,n;function a(e){const t=[];for(const n in e){const r=e[n];delete r.metadata,t.push(r)}return t}}clone(e){return(new this.constructor).copy(this,e)}copy(e,t=!0){if(this.name=e.name,this.up.copy(e.up),this.position.copy(e.position),this.rotation.order=e.rotation.order,this.quaternion.copy(e.quaternion),this.scale.copy(e.scale),this.matrix.copy(e.matrix),this.matrixWorld.copy(e.matrixWorld),this.matrixAutoUpdate=e.matrixAutoUpdate,this.matrixWorldAutoUpdate=e.matrixWorldAutoUpdate,this.matrixWorldNeedsUpdate=e.matrixWorldNeedsUpdate,this.layers.mask=e.layers.mask,this.visible=e.visible,this.castShadow=e.castShadow,this.receiveShadow=e.receiveShadow,this.frustumCulled=e.frustumCulled,this.renderOrder=e.renderOrder,this.animations=e.animations.slice(),this.userData=JSON.parse(JSON.stringify(e.userData)),!0===t)for(let t=0;t<e.children.length;t++){const n=e.children[t];this.add(n.clone())}return this}}$h.DEFAULT_UP=new jp(0,1,0),$h.DEFAULT_MATRIX_AUTO_UPDATE=!0,$h.DEFAULT_MATRIX_WORLD_AUTO_UPDATE=!0;const Xh=new jp,qh=new jp,Kh=new jp,Yh=new jp,Jh=new jp,Zh=new jp,Qh=new jp,em=new jp,tm=new jp,nm=new jp;class rm{constructor(e=new jp,t=new jp,n=new jp){this.a=e,this.b=t,this.c=n}static getNormal(e,t,n,r){r.subVectors(n,t),Xh.subVectors(e,t),r.cross(Xh);const i=r.lengthSq();return i>0?r.multiplyScalar(1/Math.sqrt(i)):r.set(0,0,0)}static getBarycoord(e,t,n,r,i){Xh.subVectors(r,t),qh.subVectors(n,t),Kh.subVectors(e,t);const a=Xh.dot(Xh),o=Xh.dot(qh),s=Xh.dot(Kh),l=qh.dot(qh),c=qh.dot(Kh),u=a*l-o*o;if(0===u)return i.set(0,0,0),null;const d=1/u,f=(l*s-o*c)*d,p=(a*c-o*s)*d;return i.set(1-f-p,p,f)}static containsPoint(e,t,n,r){return null!==this.getBarycoord(e,t,n,r,Yh)&&Yh.x>=0&&Yh.y>=0&&Yh.x+Yh.y<=1}static getInterpolation(e,t,n,r,i,a,o,s){return null===this.getBarycoord(e,t,n,r,Yh)?(s.x=0,s.y=0,"z"in s&&(s.z=0),"w"in s&&(s.w=0),null):(s.setScalar(0),s.addScaledVector(i,Yh.x),s.addScaledVector(a,Yh.y),s.addScaledVector(o,Yh.z),s)}static isFrontFacing(e,t,n,r){return Xh.subVectors(n,t),qh.subVectors(e,t),Xh.cross(qh).dot(r)<0}set(e,t,n){return this.a.copy(e),this.b.copy(t),this.c.copy(n),this}setFromPointsAndIndices(e,t,n,r){return this.a.copy(e[t]),this.b.copy(e[n]),this.c.copy(e[r]),this}setFromAttributeAndIndices(e,t,n,r){return this.a.fromBufferAttribute(e,t),this.b.fromBufferAttribute(e,n),this.c.fromBufferAttribute(e,r),this}clone(){return(new this.constructor).copy(this)}copy(e){return this.a.copy(e.a),this.b.copy(e.b),this.c.copy(e.c),this}getArea(){return Xh.subVectors(this.c,this.b),qh.subVectors(this.a,this.b),.5*Xh.cross(qh).length()}getMidpoint(e){return e.addVectors(this.a,this.b).add(this.c).multiplyScalar(1/3)}getNormal(e){return rm.getNormal(this.a,this.b,this.c,e)}getPlane(e){return e.setFromCoplanarPoints(this.a,this.b,this.c)}getBarycoord(e,t){return rm.getBarycoord(e,this.a,this.b,this.c,t)}getInterpolation(e,t,n,r,i){return rm.getInterpolation(e,this.a,this.b,this.c,t,n,r,i)}containsPoint(e){return rm.containsPoint(e,this.a,this.b,this.c)}isFrontFacing(e){return rm.isFrontFacing(this.a,this.b,this.c,e)}intersectsBox(e){return e.intersectsTriangle(this)}closestPointToPoint(e,t){const n=this.a,r=this.b,i=this.c;let a,o;Jh.subVectors(r,n),Zh.subVectors(i,n),em.subVectors(e,n);const s=Jh.dot(em),l=Zh.dot(em);if(s<=0&&l<=0)return t.copy(n);tm.subVectors(e,r);const c=Jh.dot(tm),u=Zh.dot(tm);if(c>=0&&u<=c)return t.copy(r);const d=s*u-c*l;if(d<=0&&s>=0&&c<=0)return a=s/(s-c),t.copy(n).addScaledVector(Jh,a);nm.subVectors(e,i);const f=Jh.dot(nm),p=Zh.dot(nm);if(p>=0&&f<=p)return t.copy(i);const h=f*l-s*p;if(h<=0&&l>=0&&p<=0)return o=l/(l-p),t.copy(n).addScaledVector(Zh,o);const m=c*p-f*u;if(m<=0&&u-c>=0&&f-p>=0)return Qh.subVectors(i,r),o=(u-c)/(u-c+(f-p)),t.copy(r).addScaledVector(Qh,o);const g=1/(m+h+d);return a=h*g,o=d*g,t.copy(n).addScaledVector(Jh,a).addScaledVector(Zh,o)}equals(e){return e.a.equals(this.a)&&e.b.equals(this.b)&&e.c.equals(this.c)}}const im={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074},am={h:0,s:0,l:0},om={h:0,s:0,l:0};function sm(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+6*(t-e)*(2/3-n):e}class lm{constructor(e,t,n){return this.isColor=!0,this.r=1,this.g=1,this.b=1,this.set(e,t,n)}set(e,t,n){if(void 0===t&&void 0===n){const t=e;t&&t.isColor?this.copy(t):"number"==typeof t?this.setHex(t):"string"==typeof t&&this.setStyle(t)}else this.setRGB(e,t,n);return this}setScalar(e){return this.r=e,this.g=e,this.b=e,this}setHex(e,t=Bf){return e=Math.floor(e),this.r=(e>>16&255)/255,this.g=(e>>8&255)/255,this.b=(255&e)/255,Ep.toWorkingColorSpace(this,t),this}setRGB(e,t,n,r=Ep.workingColorSpace){return this.r=e,this.g=t,this.b=n,Ep.toWorkingColorSpace(this,r),this}setHSL(e,t,n,r=Ep.workingColorSpace){if(e=dp(e,1),t=up(t,0,1),n=up(n,0,1),0===t)this.r=this.g=this.b=n;else{const r=n<=.5?n*(1+t):n+t-n*t,i=2*n-r;this.r=sm(i,r,e+1/3),this.g=sm(i,r,e),this.b=sm(i,r,e-1/3)}return Ep.toWorkingColorSpace(this,r),this}setStyle(e,t=Bf){function n(t){void 0!==t&&parseFloat(t)<1&&console.warn("THREE.Color: Alpha component of "+e+" will be ignored.")}let r;if(r=/^(\w+)\(([^\)]*)\)/.exec(e)){let i;const a=r[1],o=r[2];switch(a){case"rgb":case"rgba":if(i=/^\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(o))return n(i[4]),this.setRGB(Math.min(255,parseInt(i[1],10))/255,Math.min(255,parseInt(i[2],10))/255,Math.min(255,parseInt(i[3],10))/255,t);if(i=/^\s*(\d+)\%\s*,\s*(\d+)\%\s*,\s*(\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(o))return n(i[4]),this.setRGB(Math.min(100,parseInt(i[1],10))/100,Math.min(100,parseInt(i[2],10))/100,Math.min(100,parseInt(i[3],10))/100,t);break;case"hsl":case"hsla":if(i=/^\s*(\d*\.?\d+)\s*,\s*(\d*\.?\d+)\%\s*,\s*(\d*\.?\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(o))return n(i[4]),this.setHSL(parseFloat(i[1])/360,parseFloat(i[2])/100,parseFloat(i[3])/100,t);break;default:console.warn("THREE.Color: Unknown color model "+e)}}else if(r=/^\#([A-Fa-f\d]+)$/.exec(e)){const n=r[1],i=n.length;if(3===i)return this.setRGB(parseInt(n.charAt(0),16)/15,parseInt(n.charAt(1),16)/15,parseInt(n.charAt(2),16)/15,t);if(6===i)return this.setHex(parseInt(n,16),t);console.warn("THREE.Color: Invalid hex color "+e)}else if(e&&e.length>0)return this.setColorName(e,t);return this}setColorName(e,t=Bf){const n=im[e.toLowerCase()];return void 0!==n?this.setHex(n,t):console.warn("THREE.Color: Unknown color "+e),this}clone(){return new this.constructor(this.r,this.g,this.b)}copy(e){return this.r=e.r,this.g=e.g,this.b=e.b,this}copySRGBToLinear(e){return this.r=Mp(e.r),this.g=Mp(e.g),this.b=Mp(e.b),this}copyLinearToSRGB(e){return this.r=Dp(e.r),this.g=Dp(e.g),this.b=Dp(e.b),this}convertSRGBToLinear(){return this.copySRGBToLinear(this),this}convertLinearToSRGB(){return this.copyLinearToSRGB(this),this}getHex(e=Bf){return Ep.fromWorkingColorSpace(cm.copy(this),e),65536*Math.round(up(255*cm.r,0,255))+256*Math.round(up(255*cm.g,0,255))+Math.round(up(255*cm.b,0,255))}getHexString(e=Bf){return("000000"+this.getHex(e).toString(16)).slice(-6)}getHSL(e,t=Ep.workingColorSpace){Ep.fromWorkingColorSpace(cm.copy(this),t);const n=cm.r,r=cm.g,i=cm.b,a=Math.max(n,r,i),o=Math.min(n,r,i);let s,l;const c=(o+a)/2;if(o===a)s=0,l=0;else{const e=a-o;switch(l=c<=.5?e/(a+o):e/(2-a-o),a){case n:s=(r-i)/e+(r<i?6:0);break;case r:s=(i-n)/e+2;break;case i:s=(n-r)/e+4}s/=6}return e.h=s,e.s=l,e.l=c,e}getRGB(e,t=Ep.workingColorSpace){return Ep.fromWorkingColorSpace(cm.copy(this),t),e.r=cm.r,e.g=cm.g,e.b=cm.b,e}getStyle(e=Bf){Ep.fromWorkingColorSpace(cm.copy(this),e);const t=cm.r,n=cm.g,r=cm.b;return e!==Bf?`color(${e} ${t.toFixed(3)} ${n.toFixed(3)} ${r.toFixed(3)})`:`rgb(${Math.round(255*t)},${Math.round(255*n)},${Math.round(255*r)})`}offsetHSL(e,t,n){return this.getHSL(am),this.setHSL(am.h+e,am.s+t,am.l+n)}add(e){return this.r+=e.r,this.g+=e.g,this.b+=e.b,this}addColors(e,t){return this.r=e.r+t.r,this.g=e.g+t.g,this.b=e.b+t.b,this}addScalar(e){return this.r+=e,this.g+=e,this.b+=e,this}sub(e){return this.r=Math.max(0,this.r-e.r),this.g=Math.max(0,this.g-e.g),this.b=Math.max(0,this.b-e.b),this}multiply(e){return this.r*=e.r,this.g*=e.g,this.b*=e.b,this}multiplyScalar(e){return this.r*=e,this.g*=e,this.b*=e,this}lerp(e,t){return this.r+=(e.r-this.r)*t,this.g+=(e.g-this.g)*t,this.b+=(e.b-this.b)*t,this}lerpColors(e,t,n){return this.r=e.r+(t.r-e.r)*n,this.g=e.g+(t.g-e.g)*n,this.b=e.b+(t.b-e.b)*n,this}lerpHSL(e,t){this.getHSL(am),e.getHSL(om);const n=fp(am.h,om.h,t),r=fp(am.s,om.s,t),i=fp(am.l,om.l,t);return this.setHSL(n,r,i),this}setFromVector3(e){return this.r=e.x,this.g=e.y,this.b=e.z,this}applyMatrix3(e){const t=this.r,n=this.g,r=this.b,i=e.elements;return this.r=i[0]*t+i[3]*n+i[6]*r,this.g=i[1]*t+i[4]*n+i[7]*r,this.b=i[2]*t+i[5]*n+i[8]*r,this}equals(e){return e.r===this.r&&e.g===this.g&&e.b===this.b}fromArray(e,t=0){return this.r=e[t],this.g=e[t+1],this.b=e[t+2],this}toArray(e=[],t=0){return e[t]=this.r,e[t+1]=this.g,e[t+2]=this.b,e}fromBufferAttribute(e,t){return this.r=e.getX(t),this.g=e.getY(t),this.b=e.getZ(t),this}toJSON(){return this.getHex()}*[Symbol.iterator](){yield this.r,yield this.g,yield this.b}}const cm=new lm;lm.NAMES=im;let um=0;class dm extends ip{constructor(){super(),this.isMaterial=!0,Object.defineProperty(this,"id",{value:um++}),this.uuid=cp(),this.name="",this.type="Material",this.blending=1,this.side=0,this.vertexColors=!1,this.opacity=1,this.transparent=!1,this.alphaHash=!1,this.blendSrc=204,this.blendDst=205,this.blendEquation=Nd,this.blendSrcAlpha=null,this.blendDstAlpha=null,this.blendEquationAlpha=null,this.blendColor=new lm(0,0,0),this.blendAlpha=0,this.depthFunc=3,this.depthTest=!0,this.depthWrite=!0,this.stencilWriteMask=255,this.stencilFunc=519,this.stencilRef=0,this.stencilFuncMask=255,this.stencilFail=$f,this.stencilZFail=$f,this.stencilZPass=$f,this.stencilWrite=!1,this.clippingPlanes=null,this.clipIntersection=!1,this.clipShadows=!1,this.shadowSide=null,this.colorWrite=!0,this.precision=null,this.polygonOffset=!1,this.polygonOffsetFactor=0,this.polygonOffsetUnits=0,this.dithering=!1,this.alphaToCoverage=!1,this.premultipliedAlpha=!1,this.forceSinglePass=!1,this.visible=!0,this.toneMapped=!0,this.userData={},this.version=0,this._alphaTest=0}get alphaTest(){return this._alphaTest}set alphaTest(e){this._alphaTest>0!=e>0&&this.version++,this._alphaTest=e}onBuild(){}onBeforeRender(){}onBeforeCompile(){}customProgramCacheKey(){return this.onBeforeCompile.toString()}setValues(e){if(void 0!==e)for(const t in e){const n=e[t];if(void 0===n){console.warn(`THREE.Material: parameter '${t}' has value of undefined.`);continue}const r=this[t];void 0!==r?r&&r.isColor?r.set(n):r&&r.isVector3&&n&&n.isVector3?r.copy(n):this[t]=n:console.warn(`THREE.Material: '${t}' is not a property of THREE.${this.type}.`)}}toJSON(e){const t=void 0===e||"string"==typeof e;t&&(e={textures:{},images:{}});const n={metadata:{version:4.6,type:"Material",generator:"Material.toJSON"}};function r(e){const t=[];for(const n in e){const r=e[n];delete r.metadata,t.push(r)}return t}if(n.uuid=this.uuid,n.type=this.type,""!==this.name&&(n.name=this.name),this.color&&this.color.isColor&&(n.color=this.color.getHex()),void 0!==this.roughness&&(n.roughness=this.roughness),void 0!==this.metalness&&(n.metalness=this.metalness),void 0!==this.sheen&&(n.sheen=this.sheen),this.sheenColor&&this.sheenColor.isColor&&(n.sheenColor=this.sheenColor.getHex()),void 0!==this.sheenRoughness&&(n.sheenRoughness=this.sheenRoughness),this.emissive&&this.emissive.isColor&&(n.emissive=this.emissive.getHex()),void 0!==this.emissiveIntensity&&1!==this.emissiveIntensity&&(n.emissiveIntensity=this.emissiveIntensity),this.specular&&this.specular.isColor&&(n.specular=this.specular.getHex()),void 0!==this.specularIntensity&&(n.specularIntensity=this.specularIntensity),this.specularColor&&this.specularColor.isColor&&(n.specularColor=this.specularColor.getHex()),void 0!==this.shininess&&(n.shininess=this.shininess),void 0!==this.clearcoat&&(n.clearcoat=this.clearcoat),void 0!==this.clearcoatRoughness&&(n.clearcoatRoughness=this.clearcoatRoughness),this.clearcoatMap&&this.clearcoatMap.isTexture&&(n.clearcoatMap=this.clearcoatMap.toJSON(e).uuid),this.clearcoatRoughnessMap&&this.clearcoatRoughnessMap.isTexture&&(n.clearcoatRoughnessMap=this.clearcoatRoughnessMap.toJSON(e).uuid),this.clearcoatNormalMap&&this.clearcoatNormalMap.isTexture&&(n.clearcoatNormalMap=this.clearcoatNormalMap.toJSON(e).uuid,n.clearcoatNormalScale=this.clearcoatNormalScale.toArray()),void 0!==this.dispersion&&(n.dispersion=this.dispersion),void 0!==this.iridescence&&(n.iridescence=this.iridescence),void 0!==this.iridescenceIOR&&(n.iridescenceIOR=this.iridescenceIOR),void 0!==this.iridescenceThicknessRange&&(n.iridescenceThicknessRange=this.iridescenceThicknessRange),this.iridescenceMap&&this.iridescenceMap.isTexture&&(n.iridescenceMap=this.iridescenceMap.toJSON(e).uuid),this.iridescenceThicknessMap&&this.iridescenceThicknessMap.isTexture&&(n.iridescenceThicknessMap=this.iridescenceThicknessMap.toJSON(e).uuid),void 0!==this.anisotropy&&(n.anisotropy=this.anisotropy),void 0!==this.anisotropyRotation&&(n.anisotropyRotation=this.anisotropyRotation),this.anisotropyMap&&this.anisotropyMap.isTexture&&(n.anisotropyMap=this.anisotropyMap.toJSON(e).uuid),this.map&&this.map.isTexture&&(n.map=this.map.toJSON(e).uuid),this.matcap&&this.matcap.isTexture&&(n.matcap=this.matcap.toJSON(e).uuid),this.alphaMap&&this.alphaMap.isTexture&&(n.alphaMap=this.alphaMap.toJSON(e).uuid),this.lightMap&&this.lightMap.isTexture&&(n.lightMap=this.lightMap.toJSON(e).uuid,n.lightMapIntensity=this.lightMapIntensity),this.aoMap&&this.aoMap.isTexture&&(n.aoMap=this.aoMap.toJSON(e).uuid,n.aoMapIntensity=this.aoMapIntensity),this.bumpMap&&this.bumpMap.isTexture&&(n.bumpMap=this.bumpMap.toJSON(e).uuid,n.bumpScale=this.bumpScale),this.normalMap&&this.normalMap.isTexture&&(n.normalMap=this.normalMap.toJSON(e).uuid,n.normalMapType=this.normalMapType,n.normalScale=this.normalScale.toArray()),this.displacementMap&&this.displacementMap.isTexture&&(n.displacementMap=this.displacementMap.toJSON(e).uuid,n.displacementScale=this.displacementScale,n.displacementBias=this.displacementBias),this.roughnessMap&&this.roughnessMap.isTexture&&(n.roughnessMap=this.roughnessMap.toJSON(e).uuid),this.metalnessMap&&this.metalnessMap.isTexture&&(n.metalnessMap=this.metalnessMap.toJSON(e).uuid),this.emissiveMap&&this.emissiveMap.isTexture&&(n.emissiveMap=this.emissiveMap.toJSON(e).uuid),this.specularMap&&this.specularMap.isTexture&&(n.specularMap=this.specularMap.toJSON(e).uuid),this.specularIntensityMap&&this.specularIntensityMap.isTexture&&(n.specularIntensityMap=this.specularIntensityMap.toJSON(e).uuid),this.specularColorMap&&this.specularColorMap.isTexture&&(n.specularColorMap=this.specularColorMap.toJSON(e).uuid),this.envMap&&this.envMap.isTexture&&(n.envMap=this.envMap.toJSON(e).uuid,void 0!==this.combine&&(n.combine=this.combine)),void 0!==this.envMapRotation&&(n.envMapRotation=this.envMapRotation.toArray()),void 0!==this.envMapIntensity&&(n.envMapIntensity=this.envMapIntensity),void 0!==this.reflectivity&&(n.reflectivity=this.reflectivity),void 0!==this.refractionRatio&&(n.refractionRatio=this.refractionRatio),this.gradientMap&&this.gradientMap.isTexture&&(n.gradientMap=this.gradientMap.toJSON(e).uuid),void 0!==this.transmission&&(n.transmission=this.transmission),this.transmissionMap&&this.transmissionMap.isTexture&&(n.transmissionMap=this.transmissionMap.toJSON(e).uuid),void 0!==this.thickness&&(n.thickness=this.thickness),this.thicknessMap&&this.thicknessMap.isTexture&&(n.thicknessMap=this.thicknessMap.toJSON(e).uuid),void 0!==this.attenuationDistance&&this.attenuationDistance!==1/0&&(n.attenuationDistance=this.attenuationDistance),void 0!==this.attenuationColor&&(n.attenuationColor=this.attenuationColor.getHex()),void 0!==this.size&&(n.size=this.size),null!==this.shadowSide&&(n.shadowSide=this.shadowSide),void 0!==this.sizeAttenuation&&(n.sizeAttenuation=this.sizeAttenuation),1!==this.blending&&(n.blending=this.blending),0!==this.side&&(n.side=this.side),!0===this.vertexColors&&(n.vertexColors=!0),this.opacity<1&&(n.opacity=this.opacity),!0===this.transparent&&(n.transparent=!0),204!==this.blendSrc&&(n.blendSrc=this.blendSrc),205!==this.blendDst&&(n.blendDst=this.blendDst),this.blendEquation!==Nd&&(n.blendEquation=this.blendEquation),null!==this.blendSrcAlpha&&(n.blendSrcAlpha=this.blendSrcAlpha),null!==this.blendDstAlpha&&(n.blendDstAlpha=this.blendDstAlpha),null!==this.blendEquationAlpha&&(n.blendEquationAlpha=this.blendEquationAlpha),this.blendColor&&this.blendColor.isColor&&(n.blendColor=this.blendColor.getHex()),0!==this.blendAlpha&&(n.blendAlpha=this.blendAlpha),3!==this.depthFunc&&(n.depthFunc=this.depthFunc),!1===this.depthTest&&(n.depthTest=this.depthTest),!1===this.depthWrite&&(n.depthWrite=this.depthWrite),!1===this.colorWrite&&(n.colorWrite=this.colorWrite),255!==this.stencilWriteMask&&(n.stencilWriteMask=this.stencilWriteMask),519!==this.stencilFunc&&(n.stencilFunc=this.stencilFunc),0!==this.stencilRef&&(n.stencilRef=this.stencilRef),255!==this.stencilFuncMask&&(n.stencilFuncMask=this.stencilFuncMask),this.stencilFail!==$f&&(n.stencilFail=this.stencilFail),this.stencilZFail!==$f&&(n.stencilZFail=this.stencilZFail),this.stencilZPass!==$f&&(n.stencilZPass=this.stencilZPass),!0===this.stencilWrite&&(n.stencilWrite=this.stencilWrite),void 0!==this.rotation&&0!==this.rotation&&(n.rotation=this.rotation),!0===this.polygonOffset&&(n.polygonOffset=!0),0!==this.polygonOffsetFactor&&(n.polygonOffsetFactor=this.polygonOffsetFactor),0!==this.polygonOffsetUnits&&(n.polygonOffsetUnits=this.polygonOffsetUnits),void 0!==this.linewidth&&1!==this.linewidth&&(n.linewidth=this.linewidth),void 0!==this.dashSize&&(n.dashSize=this.dashSize),void 0!==this.gapSize&&(n.gapSize=this.gapSize),void 0!==this.scale&&(n.scale=this.scale),!0===this.dithering&&(n.dithering=!0),this.alphaTest>0&&(n.alphaTest=this.alphaTest),!0===this.alphaHash&&(n.alphaHash=!0),!0===this.alphaToCoverage&&(n.alphaToCoverage=!0),!0===this.premultipliedAlpha&&(n.premultipliedAlpha=!0),!0===this.forceSinglePass&&(n.forceSinglePass=!0),!0===this.wireframe&&(n.wireframe=!0),this.wireframeLinewidth>1&&(n.wireframeLinewidth=this.wireframeLinewidth),"round"!==this.wireframeLinecap&&(n.wireframeLinecap=this.wireframeLinecap),"round"!==this.wireframeLinejoin&&(n.wireframeLinejoin=this.wireframeLinejoin),!0===this.flatShading&&(n.flatShading=!0),!1===this.visible&&(n.visible=!1),!1===this.toneMapped&&(n.toneMapped=!1),!1===this.fog&&(n.fog=!1),Object.keys(this.userData).length>0&&(n.userData=this.userData),t){const t=r(e.textures),i=r(e.images);t.length>0&&(n.textures=t),i.length>0&&(n.images=i)}return n}clone(){return(new this.constructor).copy(this)}copy(e){this.name=e.name,this.blending=e.blending,this.side=e.side,this.vertexColors=e.vertexColors,this.opacity=e.opacity,this.transparent=e.transparent,this.blendSrc=e.blendSrc,this.blendDst=e.blendDst,this.blendEquation=e.blendEquation,this.blendSrcAlpha=e.blendSrcAlpha,this.blendDstAlpha=e.blendDstAlpha,this.blendEquationAlpha=e.blendEquationAlpha,this.blendColor.copy(e.blendColor),this.blendAlpha=e.blendAlpha,this.depthFunc=e.depthFunc,this.depthTest=e.depthTest,this.depthWrite=e.depthWrite,this.stencilWriteMask=e.stencilWriteMask,this.stencilFunc=e.stencilFunc,this.stencilRef=e.stencilRef,this.stencilFuncMask=e.stencilFuncMask,this.stencilFail=e.stencilFail,this.stencilZFail=e.stencilZFail,this.stencilZPass=e.stencilZPass,this.stencilWrite=e.stencilWrite;const t=e.clippingPlanes;let n=null;if(null!==t){const e=t.length;n=new Array(e);for(let r=0;r!==e;++r)n[r]=t[r].clone()}return this.clippingPlanes=n,this.clipIntersection=e.clipIntersection,this.clipShadows=e.clipShadows,this.shadowSide=e.shadowSide,this.colorWrite=e.colorWrite,this.precision=e.precision,this.polygonOffset=e.polygonOffset,this.polygonOffsetFactor=e.polygonOffsetFactor,this.polygonOffsetUnits=e.polygonOffsetUnits,this.dithering=e.dithering,this.alphaTest=e.alphaTest,this.alphaHash=e.alphaHash,this.alphaToCoverage=e.alphaToCoverage,this.premultipliedAlpha=e.premultipliedAlpha,this.forceSinglePass=e.forceSinglePass,this.visible=e.visible,this.toneMapped=e.toneMapped,this.userData=JSON.parse(JSON.stringify(e.userData)),this}dispose(){this.dispatchEvent({type:"dispose"})}set needsUpdate(e){!0===e&&this.version++}}class fm extends dm{constructor(e){super(),this.isMeshBasicMaterial=!0,this.type="MeshBasicMaterial",this.color=new lm(16777215),this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.envMapRotation=new Dh,this.combine=Jd,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.fog=!0,this.setValues(e)}copy(e){return super.copy(e),this.color.copy(e.color),this.map=e.map,this.lightMap=e.lightMap,this.lightMapIntensity=e.lightMapIntensity,this.aoMap=e.aoMap,this.aoMapIntensity=e.aoMapIntensity,this.specularMap=e.specularMap,this.alphaMap=e.alphaMap,this.envMap=e.envMap,this.envMapRotation.copy(e.envMapRotation),this.combine=e.combine,this.reflectivity=e.reflectivity,this.refractionRatio=e.refractionRatio,this.wireframe=e.wireframe,this.wireframeLinewidth=e.wireframeLinewidth,this.wireframeLinecap=e.wireframeLinecap,this.wireframeLinejoin=e.wireframeLinejoin,this.fog=e.fog,this}}const pm=new jp,hm=new gp;class mm{constructor(e,t,n=!1){if(Array.isArray(e))throw new TypeError("THREE.BufferAttribute: array should be a Typed Array.");this.isBufferAttribute=!0,this.name="",this.array=e,this.itemSize=t,this.count=void 0!==e?e.length/t:0,this.normalized=n,this.usage=35044,this._updateRange={offset:0,count:-1},this.updateRanges=[],this.gpuType=Af,this.version=0}onUploadCallback(){}set needsUpdate(e){!0===e&&this.version++}get updateRange(){return(e="THREE.BufferAttribute: updateRange() is deprecated and will be removed in r169. Use addUpdateRange() instead.")in wp||(wp[e]=!0,console.warn(e)),this._updateRange;var e}setUsage(e){return this.usage=e,this}addUpdateRange(e,t){this.updateRanges.push({start:e,count:t})}clearUpdateRanges(){this.updateRanges.length=0}copy(e){return this.name=e.name,this.array=new e.array.constructor(e.array),this.itemSize=e.itemSize,this.count=e.count,this.normalized=e.normalized,this.usage=e.usage,this.gpuType=e.gpuType,this}copyAt(e,t,n){e*=this.itemSize,n*=t.itemSize;for(let r=0,i=this.itemSize;r<i;r++)this.array[e+r]=t.array[n+r];return this}copyArray(e){return this.array.set(e),this}applyMatrix3(e){if(2===this.itemSize)for(let t=0,n=this.count;t<n;t++)hm.fromBufferAttribute(this,t),hm.applyMatrix3(e),this.setXY(t,hm.x,hm.y);else if(3===this.itemSize)for(let t=0,n=this.count;t<n;t++)pm.fromBufferAttribute(this,t),pm.applyMatrix3(e),this.setXYZ(t,pm.x,pm.y,pm.z);return this}applyMatrix4(e){for(let t=0,n=this.count;t<n;t++)pm.fromBufferAttribute(this,t),pm.applyMatrix4(e),this.setXYZ(t,pm.x,pm.y,pm.z);return this}applyNormalMatrix(e){for(let t=0,n=this.count;t<n;t++)pm.fromBufferAttribute(this,t),pm.applyNormalMatrix(e),this.setXYZ(t,pm.x,pm.y,pm.z);return this}transformDirection(e){for(let t=0,n=this.count;t<n;t++)pm.fromBufferAttribute(this,t),pm.transformDirection(e),this.setXYZ(t,pm.x,pm.y,pm.z);return this}set(e,t=0){return this.array.set(e,t),this}getComponent(e,t){let n=this.array[e*this.itemSize+t];return this.normalized&&(n=pp(n,this.array)),n}setComponent(e,t,n){return this.normalized&&(n=hp(n,this.array)),this.array[e*this.itemSize+t]=n,this}getX(e){let t=this.array[e*this.itemSize];return this.normalized&&(t=pp(t,this.array)),t}setX(e,t){return this.normalized&&(t=hp(t,this.array)),this.array[e*this.itemSize]=t,this}getY(e){let t=this.array[e*this.itemSize+1];return this.normalized&&(t=pp(t,this.array)),t}setY(e,t){return this.normalized&&(t=hp(t,this.array)),this.array[e*this.itemSize+1]=t,this}getZ(e){let t=this.array[e*this.itemSize+2];return this.normalized&&(t=pp(t,this.array)),t}setZ(e,t){return this.normalized&&(t=hp(t,this.array)),this.array[e*this.itemSize+2]=t,this}getW(e){let t=this.array[e*this.itemSize+3];return this.normalized&&(t=pp(t,this.array)),t}setW(e,t){return this.normalized&&(t=hp(t,this.array)),this.array[e*this.itemSize+3]=t,this}setXY(e,t,n){return e*=this.itemSize,this.normalized&&(t=hp(t,this.array),n=hp(n,this.array)),this.array[e+0]=t,this.array[e+1]=n,this}setXYZ(e,t,n,r){return e*=this.itemSize,this.normalized&&(t=hp(t,this.array),n=hp(n,this.array),r=hp(r,this.array)),this.array[e+0]=t,this.array[e+1]=n,this.array[e+2]=r,this}setXYZW(e,t,n,r,i){return e*=this.itemSize,this.normalized&&(t=hp(t,this.array),n=hp(n,this.array),r=hp(r,this.array),i=hp(i,this.array)),this.array[e+0]=t,this.array[e+1]=n,this.array[e+2]=r,this.array[e+3]=i,this}onUpload(e){return this.onUploadCallback=e,this}clone(){return new this.constructor(this.array,this.itemSize).copy(this)}toJSON(){const e={itemSize:this.itemSize,type:this.array.constructor.name,array:Array.from(this.array),normalized:this.normalized};return""!==this.name&&(e.name=this.name),35044!==this.usage&&(e.usage=this.usage),e}}class gm extends mm{constructor(e,t,n){super(new Uint16Array(e),t,n)}}class vm extends mm{constructor(e,t,n){super(new Uint32Array(e),t,n)}}class ym extends mm{constructor(e,t,n){super(new Float32Array(e),t,n)}}let bm=0;const _m=new bh,xm=new $h,wm=new jp,Am=new $p,Sm=new $p,Tm=new jp;class Cm extends ip{constructor(){super(),this.isBufferGeometry=!0,Object.defineProperty(this,"id",{value:bm++}),this.uuid=cp(),this.name="",this.type="BufferGeometry",this.index=null,this.attributes={},this.morphAttributes={},this.morphTargetsRelative=!1,this.groups=[],this.boundingBox=null,this.boundingSphere=null,this.drawRange={start:0,count:1/0},this.userData={}}getIndex(){return this.index}setIndex(e){return Array.isArray(e)?this.index=new(bp(e)?vm:gm)(e,1):this.index=e,this}getAttribute(e){return this.attributes[e]}setAttribute(e,t){return this.attributes[e]=t,this}deleteAttribute(e){return delete this.attributes[e],this}hasAttribute(e){return void 0!==this.attributes[e]}addGroup(e,t,n=0){this.groups.push({start:e,count:t,materialIndex:n})}clearGroups(){this.groups=[]}setDrawRange(e,t){this.drawRange.start=e,this.drawRange.count=t}applyMatrix4(e){const t=this.attributes.position;void 0!==t&&(t.applyMatrix4(e),t.needsUpdate=!0);const n=this.attributes.normal;if(void 0!==n){const t=(new vp).getNormalMatrix(e);n.applyNormalMatrix(t),n.needsUpdate=!0}const r=this.attributes.tangent;return void 0!==r&&(r.transformDirection(e),r.needsUpdate=!0),null!==this.boundingBox&&this.computeBoundingBox(),null!==this.boundingSphere&&this.computeBoundingSphere(),this}applyQuaternion(e){return _m.makeRotationFromQuaternion(e),this.applyMatrix4(_m),this}rotateX(e){return _m.makeRotationX(e),this.applyMatrix4(_m),this}rotateY(e){return _m.makeRotationY(e),this.applyMatrix4(_m),this}rotateZ(e){return _m.makeRotationZ(e),this.applyMatrix4(_m),this}translate(e,t,n){return _m.makeTranslation(e,t,n),this.applyMatrix4(_m),this}scale(e,t,n){return _m.makeScale(e,t,n),this.applyMatrix4(_m),this}lookAt(e){return xm.lookAt(e),xm.updateMatrix(),this.applyMatrix4(xm.matrix),this}center(){return this.computeBoundingBox(),this.boundingBox.getCenter(wm).negate(),this.translate(wm.x,wm.y,wm.z),this}setFromPoints(e){const t=[];for(let n=0,r=e.length;n<r;n++){const r=e[n];t.push(r.x,r.y,r.z||0)}return this.setAttribute("position",new ym(t,3)),this}computeBoundingBox(){null===this.boundingBox&&(this.boundingBox=new $p);const e=this.attributes.position,t=this.morphAttributes.position;if(e&&e.isGLBufferAttribute)return console.error("THREE.BufferGeometry.computeBoundingBox(): GLBufferAttribute requires a manual bounding box.",this),void this.boundingBox.set(new jp(-1/0,-1/0,-1/0),new jp(1/0,1/0,1/0));if(void 0!==e){if(this.boundingBox.setFromBufferAttribute(e),t)for(let e=0,n=t.length;e<n;e++){const n=t[e];Am.setFromBufferAttribute(n),this.morphTargetsRelative?(Tm.addVectors(this.boundingBox.min,Am.min),this.boundingBox.expandByPoint(Tm),Tm.addVectors(this.boundingBox.max,Am.max),this.boundingBox.expandByPoint(Tm)):(this.boundingBox.expandByPoint(Am.min),this.boundingBox.expandByPoint(Am.max))}}else this.boundingBox.makeEmpty();(isNaN(this.boundingBox.min.x)||isNaN(this.boundingBox.min.y)||isNaN(this.boundingBox.min.z))&&console.error('THREE.BufferGeometry.computeBoundingBox(): Computed min/max have NaN values. The "position" attribute is likely to have NaN values.',this)}computeBoundingSphere(){null===this.boundingSphere&&(this.boundingSphere=new uh);const e=this.attributes.position,t=this.morphAttributes.position;if(e&&e.isGLBufferAttribute)return console.error("THREE.BufferGeometry.computeBoundingSphere(): GLBufferAttribute requires a manual bounding sphere.",this),void this.boundingSphere.set(new jp,1/0);if(e){const n=this.boundingSphere.center;if(Am.setFromBufferAttribute(e),t)for(let e=0,n=t.length;e<n;e++){const n=t[e];Sm.setFromBufferAttribute(n),this.morphTargetsRelative?(Tm.addVectors(Am.min,Sm.min),Am.expandByPoint(Tm),Tm.addVectors(Am.max,Sm.max),Am.expandByPoint(Tm)):(Am.expandByPoint(Sm.min),Am.expandByPoint(Sm.max))}Am.getCenter(n);let r=0;for(let t=0,i=e.count;t<i;t++)Tm.fromBufferAttribute(e,t),r=Math.max(r,n.distanceToSquared(Tm));if(t)for(let i=0,a=t.length;i<a;i++){const a=t[i],o=this.morphTargetsRelative;for(let t=0,i=a.count;t<i;t++)Tm.fromBufferAttribute(a,t),o&&(wm.fromBufferAttribute(e,t),Tm.add(wm)),r=Math.max(r,n.distanceToSquared(Tm))}this.boundingSphere.radius=Math.sqrt(r),isNaN(this.boundingSphere.radius)&&console.error('THREE.BufferGeometry.computeBoundingSphere(): Computed radius is NaN. The "position" attribute is likely to have NaN values.',this)}}computeTangents(){const e=this.index,t=this.attributes;if(null===e||void 0===t.position||void 0===t.normal||void 0===t.uv)return void console.error("THREE.BufferGeometry: .computeTangents() failed. Missing required attributes (index, position, normal or uv)");const n=t.position,r=t.normal,i=t.uv;!1===this.hasAttribute("tangent")&&this.setAttribute("tangent",new mm(new Float32Array(4*n.count),4));const a=this.getAttribute("tangent"),o=[],s=[];for(let e=0;e<n.count;e++)o[e]=new jp,s[e]=new jp;const l=new jp,c=new jp,u=new jp,d=new gp,f=new gp,p=new gp,h=new jp,m=new jp;function g(e,t,r){l.fromBufferAttribute(n,e),c.fromBufferAttribute(n,t),u.fromBufferAttribute(n,r),d.fromBufferAttribute(i,e),f.fromBufferAttribute(i,t),p.fromBufferAttribute(i,r),c.sub(l),u.sub(l),f.sub(d),p.sub(d);const a=1/(f.x*p.y-p.x*f.y);isFinite(a)&&(h.copy(c).multiplyScalar(p.y).addScaledVector(u,-f.y).multiplyScalar(a),m.copy(u).multiplyScalar(f.x).addScaledVector(c,-p.x).multiplyScalar(a),o[e].add(h),o[t].add(h),o[r].add(h),s[e].add(m),s[t].add(m),s[r].add(m))}let v=this.groups;0===v.length&&(v=[{start:0,count:e.count}]);for(let t=0,n=v.length;t<n;++t){const n=v[t],r=n.start;for(let t=r,i=r+n.count;t<i;t+=3)g(e.getX(t+0),e.getX(t+1),e.getX(t+2))}const y=new jp,b=new jp,_=new jp,x=new jp;function w(e){_.fromBufferAttribute(r,e),x.copy(_);const t=o[e];y.copy(t),y.sub(_.multiplyScalar(_.dot(t))).normalize(),b.crossVectors(x,t);const n=b.dot(s[e])<0?-1:1;a.setXYZW(e,y.x,y.y,y.z,n)}for(let t=0,n=v.length;t<n;++t){const n=v[t],r=n.start;for(let t=r,i=r+n.count;t<i;t+=3)w(e.getX(t+0)),w(e.getX(t+1)),w(e.getX(t+2))}}computeVertexNormals(){const e=this.index,t=this.getAttribute("position");if(void 0!==t){let n=this.getAttribute("normal");if(void 0===n)n=new mm(new Float32Array(3*t.count),3),this.setAttribute("normal",n);else for(let e=0,t=n.count;e<t;e++)n.setXYZ(e,0,0,0);const r=new jp,i=new jp,a=new jp,o=new jp,s=new jp,l=new jp,c=new jp,u=new jp;if(e)for(let d=0,f=e.count;d<f;d+=3){const f=e.getX(d+0),p=e.getX(d+1),h=e.getX(d+2);r.fromBufferAttribute(t,f),i.fromBufferAttribute(t,p),a.fromBufferAttribute(t,h),c.subVectors(a,i),u.subVectors(r,i),c.cross(u),o.fromBufferAttribute(n,f),s.fromBufferAttribute(n,p),l.fromBufferAttribute(n,h),o.add(c),s.add(c),l.add(c),n.setXYZ(f,o.x,o.y,o.z),n.setXYZ(p,s.x,s.y,s.z),n.setXYZ(h,l.x,l.y,l.z)}else for(let e=0,o=t.count;e<o;e+=3)r.fromBufferAttribute(t,e+0),i.fromBufferAttribute(t,e+1),a.fromBufferAttribute(t,e+2),c.subVectors(a,i),u.subVectors(r,i),c.cross(u),n.setXYZ(e+0,c.x,c.y,c.z),n.setXYZ(e+1,c.x,c.y,c.z),n.setXYZ(e+2,c.x,c.y,c.z);this.normalizeNormals(),n.needsUpdate=!0}}normalizeNormals(){const e=this.attributes.normal;for(let t=0,n=e.count;t<n;t++)Tm.fromBufferAttribute(e,t),Tm.normalize(),e.setXYZ(t,Tm.x,Tm.y,Tm.z)}toNonIndexed(){function e(e,t){const n=e.array,r=e.itemSize,i=e.normalized,a=new n.constructor(t.length*r);let o=0,s=0;for(let i=0,l=t.length;i<l;i++){o=e.isInterleavedBufferAttribute?t[i]*e.data.stride+e.offset:t[i]*r;for(let e=0;e<r;e++)a[s++]=n[o++]}return new mm(a,r,i)}if(null===this.index)return console.warn("THREE.BufferGeometry.toNonIndexed(): BufferGeometry is already non-indexed."),this;const t=new Cm,n=this.index.array,r=this.attributes;for(const i in r){const a=e(r[i],n);t.setAttribute(i,a)}const i=this.morphAttributes;for(const r in i){const a=[],o=i[r];for(let t=0,r=o.length;t<r;t++){const r=e(o[t],n);a.push(r)}t.morphAttributes[r]=a}t.morphTargetsRelative=this.morphTargetsRelative;const a=this.groups;for(let e=0,n=a.length;e<n;e++){const n=a[e];t.addGroup(n.start,n.count,n.materialIndex)}return t}toJSON(){const e={metadata:{version:4.6,type:"BufferGeometry",generator:"BufferGeometry.toJSON"}};if(e.uuid=this.uuid,e.type=this.type,""!==this.name&&(e.name=this.name),Object.keys(this.userData).length>0&&(e.userData=this.userData),void 0!==this.parameters){const t=this.parameters;for(const n in t)void 0!==t[n]&&(e[n]=t[n]);return e}e.data={attributes:{}};const t=this.index;null!==t&&(e.data.index={type:t.array.constructor.name,array:Array.prototype.slice.call(t.array)});const n=this.attributes;for(const t in n){const r=n[t];e.data.attributes[t]=r.toJSON(e.data)}const r={};let i=!1;for(const t in this.morphAttributes){const n=this.morphAttributes[t],a=[];for(let t=0,r=n.length;t<r;t++){const r=n[t];a.push(r.toJSON(e.data))}a.length>0&&(r[t]=a,i=!0)}i&&(e.data.morphAttributes=r,e.data.morphTargetsRelative=this.morphTargetsRelative);const a=this.groups;a.length>0&&(e.data.groups=JSON.parse(JSON.stringify(a)));const o=this.boundingSphere;return null!==o&&(e.data.boundingSphere={center:o.center.toArray(),radius:o.radius}),e}clone(){return(new this.constructor).copy(this)}copy(e){this.index=null,this.attributes={},this.morphAttributes={},this.groups=[],this.boundingBox=null,this.boundingSphere=null;const t={};this.name=e.name;const n=e.index;null!==n&&this.setIndex(n.clone(t));const r=e.attributes;for(const e in r){const n=r[e];this.setAttribute(e,n.clone(t))}const i=e.morphAttributes;for(const e in i){const n=[],r=i[e];for(let e=0,i=r.length;e<i;e++)n.push(r[e].clone(t));this.morphAttributes[e]=n}this.morphTargetsRelative=e.morphTargetsRelative;const a=e.groups;for(let e=0,t=a.length;e<t;e++){const t=a[e];this.addGroup(t.start,t.count,t.materialIndex)}const o=e.boundingBox;null!==o&&(this.boundingBox=o.clone());const s=e.boundingSphere;return null!==s&&(this.boundingSphere=s.clone()),this.drawRange.start=e.drawRange.start,this.drawRange.count=e.drawRange.count,this.userData=e.userData,this}dispose(){this.dispatchEvent({type:"dispose"})}}const Em=new bh,Mm=new yh,Dm=new uh,Pm=new jp,Im=new jp,Om=new jp,Nm=new jp,km=new jp,Rm=new jp,Lm=new gp,Fm=new gp,Bm=new gp,Um=new jp,Vm=new jp,Gm=new jp,zm=new jp,jm=new jp;class Wm extends $h{constructor(e=new Cm,t=new fm){super(),this.isMesh=!0,this.type="Mesh",this.geometry=e,this.material=t,this.updateMorphTargets()}copy(e,t){return super.copy(e,t),void 0!==e.morphTargetInfluences&&(this.morphTargetInfluences=e.morphTargetInfluences.slice()),void 0!==e.morphTargetDictionary&&(this.morphTargetDictionary=Object.assign({},e.morphTargetDictionary)),this.material=Array.isArray(e.material)?e.material.slice():e.material,this.geometry=e.geometry,this}updateMorphTargets(){const e=this.geometry.morphAttributes,t=Object.keys(e);if(t.length>0){const n=e[t[0]];if(void 0!==n){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let e=0,t=n.length;e<t;e++){const t=n[e].name||String(e);this.morphTargetInfluences.push(0),this.morphTargetDictionary[t]=e}}}}getVertexPosition(e,t){const n=this.geometry,r=n.attributes.position,i=n.morphAttributes.position,a=n.morphTargetsRelative;t.fromBufferAttribute(r,e);const o=this.morphTargetInfluences;if(i&&o){Rm.set(0,0,0);for(let n=0,r=i.length;n<r;n++){const r=o[n],s=i[n];0!==r&&(km.fromBufferAttribute(s,e),a?Rm.addScaledVector(km,r):Rm.addScaledVector(km.sub(t),r))}t.add(Rm)}return t}raycast(e,t){const n=this.geometry,r=this.material,i=this.matrixWorld;if(void 0!==r){if(null===n.boundingSphere&&n.computeBoundingSphere(),Dm.copy(n.boundingSphere),Dm.applyMatrix4(i),Mm.copy(e.ray).recast(e.near),!1===Dm.containsPoint(Mm.origin)){if(null===Mm.intersectSphere(Dm,Pm))return;if(Mm.origin.distanceToSquared(Pm)>(e.far-e.near)**2)return}Em.copy(i).invert(),Mm.copy(e.ray).applyMatrix4(Em),null!==n.boundingBox&&!1===Mm.intersectsBox(n.boundingBox)||this._computeIntersections(e,t,Mm)}}_computeIntersections(e,t,n){let r;const i=this.geometry,a=this.material,o=i.index,s=i.attributes.position,l=i.attributes.uv,c=i.attributes.uv1,u=i.attributes.normal,d=i.groups,f=i.drawRange;if(null!==o)if(Array.isArray(a))for(let i=0,s=d.length;i<s;i++){const s=d[i],p=a[s.materialIndex];for(let i=Math.max(s.start,f.start),a=Math.min(o.count,Math.min(s.start+s.count,f.start+f.count));i<a;i+=3)r=Hm(this,p,e,n,l,c,u,o.getX(i),o.getX(i+1),o.getX(i+2)),r&&(r.faceIndex=Math.floor(i/3),r.face.materialIndex=s.materialIndex,t.push(r))}else for(let i=Math.max(0,f.start),s=Math.min(o.count,f.start+f.count);i<s;i+=3)r=Hm(this,a,e,n,l,c,u,o.getX(i),o.getX(i+1),o.getX(i+2)),r&&(r.faceIndex=Math.floor(i/3),t.push(r));else if(void 0!==s)if(Array.isArray(a))for(let i=0,o=d.length;i<o;i++){const o=d[i],p=a[o.materialIndex];for(let i=Math.max(o.start,f.start),a=Math.min(s.count,Math.min(o.start+o.count,f.start+f.count));i<a;i+=3)r=Hm(this,p,e,n,l,c,u,i,i+1,i+2),r&&(r.faceIndex=Math.floor(i/3),r.face.materialIndex=o.materialIndex,t.push(r))}else for(let i=Math.max(0,f.start),o=Math.min(s.count,f.start+f.count);i<o;i+=3)r=Hm(this,a,e,n,l,c,u,i,i+1,i+2),r&&(r.faceIndex=Math.floor(i/3),t.push(r))}}function Hm(e,t,n,r,i,a,o,s,l,c){e.getVertexPosition(s,Im),e.getVertexPosition(l,Om),e.getVertexPosition(c,Nm);const u=function(e,t,n,r,i,a,o,s){let l;if(l=1===t.side?r.intersectTriangle(o,a,i,!0,s):r.intersectTriangle(i,a,o,0===t.side,s),null===l)return null;jm.copy(s),jm.applyMatrix4(e.matrixWorld);const c=n.ray.origin.distanceTo(jm);return c<n.near||c>n.far?null:{distance:c,point:jm.clone(),object:e}}(e,t,n,r,Im,Om,Nm,zm);if(u){i&&(Lm.fromBufferAttribute(i,s),Fm.fromBufferAttribute(i,l),Bm.fromBufferAttribute(i,c),u.uv=rm.getInterpolation(zm,Im,Om,Nm,Lm,Fm,Bm,new gp)),a&&(Lm.fromBufferAttribute(a,s),Fm.fromBufferAttribute(a,l),Bm.fromBufferAttribute(a,c),u.uv1=rm.getInterpolation(zm,Im,Om,Nm,Lm,Fm,Bm,new gp)),o&&(Um.fromBufferAttribute(o,s),Vm.fromBufferAttribute(o,l),Gm.fromBufferAttribute(o,c),u.normal=rm.getInterpolation(zm,Im,Om,Nm,Um,Vm,Gm,new jp),u.normal.dot(r.direction)>0&&u.normal.multiplyScalar(-1));const e={a:s,b:l,c:c,normal:new jp,materialIndex:0};rm.getNormal(Im,Om,Nm,e.normal),u.face=e}return u}class $m extends Cm{constructor(e=1,t=1,n=1,r=1,i=1,a=1){super(),this.type="BoxGeometry",this.parameters={width:e,height:t,depth:n,widthSegments:r,heightSegments:i,depthSegments:a};const o=this;r=Math.floor(r),i=Math.floor(i),a=Math.floor(a);const s=[],l=[],c=[],u=[];let d=0,f=0;function p(e,t,n,r,i,a,p,h,m,g,v){const y=a/m,b=p/g,_=a/2,x=p/2,w=h/2,A=m+1,S=g+1;let T=0,C=0;const E=new jp;for(let a=0;a<S;a++){const o=a*b-x;for(let s=0;s<A;s++){const d=s*y-_;E[e]=d*r,E[t]=o*i,E[n]=w,l.push(E.x,E.y,E.z),E[e]=0,E[t]=0,E[n]=h>0?1:-1,c.push(E.x,E.y,E.z),u.push(s/m),u.push(1-a/g),T+=1}}for(let e=0;e<g;e++)for(let t=0;t<m;t++){const n=d+t+A*e,r=d+t+A*(e+1),i=d+(t+1)+A*(e+1),a=d+(t+1)+A*e;s.push(n,r,a),s.push(r,i,a),C+=6}o.addGroup(f,C,v),f+=C,d+=T}p("z","y","x",-1,-1,n,t,e,a,i,0),p("z","y","x",1,-1,n,t,-e,a,i,1),p("x","z","y",1,1,e,n,t,r,a,2),p("x","z","y",1,-1,e,n,-t,r,a,3),p("x","y","z",1,-1,e,t,n,r,i,4),p("x","y","z",-1,-1,e,t,-n,r,i,5),this.setIndex(s),this.setAttribute("position",new ym(l,3)),this.setAttribute("normal",new ym(c,3)),this.setAttribute("uv",new ym(u,2))}copy(e){return super.copy(e),this.parameters=Object.assign({},e.parameters),this}static fromJSON(e){return new $m(e.width,e.height,e.depth,e.widthSegments,e.heightSegments,e.depthSegments)}}function Xm(e){const t={};for(const n in e){t[n]={};for(const r in e[n]){const i=e[n][r];i&&(i.isColor||i.isMatrix3||i.isMatrix4||i.isVector2||i.isVector3||i.isVector4||i.isTexture||i.isQuaternion)?i.isRenderTargetTexture?(console.warn("UniformsUtils: Textures of render targets cannot be cloned via cloneUniforms() or mergeUniforms()."),t[n][r]=null):t[n][r]=i.clone():Array.isArray(i)?t[n][r]=i.slice():t[n][r]=i}}return t}function qm(e){const t={};for(let n=0;n<e.length;n++){const r=Xm(e[n]);for(const e in r)t[e]=r[e]}return t}function Km(e){const t=e.getRenderTarget();return null===t?e.outputColorSpace:!0===t.isXRRenderTarget?t.texture.colorSpace:Ep.workingColorSpace}const Ym={clone:Xm,merge:qm};class Jm extends dm{constructor(e){super(),this.isShaderMaterial=!0,this.type="ShaderMaterial",this.defines={},this.uniforms={},this.uniformsGroups=[],this.vertexShader="void main() {\n\tgl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n}",this.fragmentShader="void main() {\n\tgl_FragColor = vec4( 1.0, 0.0, 0.0, 1.0 );\n}",this.linewidth=1,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.lights=!1,this.clipping=!1,this.forceSinglePass=!0,this.extensions={clipCullDistance:!1,multiDraw:!1},this.defaultAttributeValues={color:[1,1,1],uv:[0,0],uv1:[0,0]},this.index0AttributeName=void 0,this.uniformsNeedUpdate=!1,this.glslVersion=null,void 0!==e&&this.setValues(e)}copy(e){return super.copy(e),this.fragmentShader=e.fragmentShader,this.vertexShader=e.vertexShader,this.uniforms=Xm(e.uniforms),this.uniformsGroups=function(e){const t=[];for(let n=0;n<e.length;n++)t.push(e[n].clone());return t}(e.uniformsGroups),this.defines=Object.assign({},e.defines),this.wireframe=e.wireframe,this.wireframeLinewidth=e.wireframeLinewidth,this.fog=e.fog,this.lights=e.lights,this.clipping=e.clipping,this.extensions=Object.assign({},e.extensions),this.glslVersion=e.glslVersion,this}toJSON(e){const t=super.toJSON(e);t.glslVersion=this.glslVersion,t.uniforms={};for(const n in this.uniforms){const r=this.uniforms[n].value;r&&r.isTexture?t.uniforms[n]={type:"t",value:r.toJSON(e).uuid}:r&&r.isColor?t.uniforms[n]={type:"c",value:r.getHex()}:r&&r.isVector2?t.uniforms[n]={type:"v2",value:r.toArray()}:r&&r.isVector3?t.uniforms[n]={type:"v3",value:r.toArray()}:r&&r.isVector4?t.uniforms[n]={type:"v4",value:r.toArray()}:r&&r.isMatrix3?t.uniforms[n]={type:"m3",value:r.toArray()}:r&&r.isMatrix4?t.uniforms[n]={type:"m4",value:r.toArray()}:t.uniforms[n]={value:r}}Object.keys(this.defines).length>0&&(t.defines=this.defines),t.vertexShader=this.vertexShader,t.fragmentShader=this.fragmentShader,t.lights=this.lights,t.clipping=this.clipping;const n={};for(const e in this.extensions)!0===this.extensions[e]&&(n[e]=!0);return Object.keys(n).length>0&&(t.extensions=n),t}}class Zm extends $h{constructor(){super(),this.isCamera=!0,this.type="Camera",this.matrixWorldInverse=new bh,this.projectionMatrix=new bh,this.projectionMatrixInverse=new bh,this.coordinateSystem=np}copy(e,t){return super.copy(e,t),this.matrixWorldInverse.copy(e.matrixWorldInverse),this.projectionMatrix.copy(e.projectionMatrix),this.projectionMatrixInverse.copy(e.projectionMatrixInverse),this.coordinateSystem=e.coordinateSystem,this}getWorldDirection(e){return super.getWorldDirection(e).negate()}updateMatrixWorld(e){super.updateMatrixWorld(e),this.matrixWorldInverse.copy(this.matrixWorld).invert()}updateWorldMatrix(e,t){super.updateWorldMatrix(e,t),this.matrixWorldInverse.copy(this.matrixWorld).invert()}clone(){return(new this.constructor).copy(this)}}const Qm=new jp,eg=new gp,tg=new gp;class ng extends Zm{constructor(e=50,t=1,n=.1,r=2e3){super(),this.isPerspectiveCamera=!0,this.type="PerspectiveCamera",this.fov=e,this.zoom=1,this.near=n,this.far=r,this.focus=10,this.aspect=t,this.view=null,this.filmGauge=35,this.filmOffset=0,this.updateProjectionMatrix()}copy(e,t){return super.copy(e,t),this.fov=e.fov,this.zoom=e.zoom,this.near=e.near,this.far=e.far,this.focus=e.focus,this.aspect=e.aspect,this.view=null===e.view?null:Object.assign({},e.view),this.filmGauge=e.filmGauge,this.filmOffset=e.filmOffset,this}setFocalLength(e){const t=.5*this.getFilmHeight()/e;this.fov=2*lp*Math.atan(t),this.updateProjectionMatrix()}getFocalLength(){const e=Math.tan(.5*sp*this.fov);return.5*this.getFilmHeight()/e}getEffectiveFOV(){return 2*lp*Math.atan(Math.tan(.5*sp*this.fov)/this.zoom)}getFilmWidth(){return this.filmGauge*Math.min(this.aspect,1)}getFilmHeight(){return this.filmGauge/Math.max(this.aspect,1)}getViewBounds(e,t,n){Qm.set(-1,-1,.5).applyMatrix4(this.projectionMatrixInverse),t.set(Qm.x,Qm.y).multiplyScalar(-e/Qm.z),Qm.set(1,1,.5).applyMatrix4(this.projectionMatrixInverse),n.set(Qm.x,Qm.y).multiplyScalar(-e/Qm.z)}getViewSize(e,t){return this.getViewBounds(e,eg,tg),t.subVectors(tg,eg)}setViewOffset(e,t,n,r,i,a){this.aspect=e/t,null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=e,this.view.fullHeight=t,this.view.offsetX=n,this.view.offsetY=r,this.view.width=i,this.view.height=a,this.updateProjectionMatrix()}clearViewOffset(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()}updateProjectionMatrix(){const e=this.near;let t=e*Math.tan(.5*sp*this.fov)/this.zoom,n=2*t,r=this.aspect*n,i=-.5*r;const a=this.view;if(null!==this.view&&this.view.enabled){const e=a.fullWidth,o=a.fullHeight;i+=a.offsetX*r/e,t-=a.offsetY*n/o,r*=a.width/e,n*=a.height/o}const o=this.filmOffset;0!==o&&(i+=e*o/this.getFilmWidth()),this.projectionMatrix.makePerspective(i,i+r,t,t-n,e,this.far,this.coordinateSystem),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()}toJSON(e){const t=super.toJSON(e);return t.object.fov=this.fov,t.object.zoom=this.zoom,t.object.near=this.near,t.object.far=this.far,t.object.focus=this.focus,t.object.aspect=this.aspect,null!==this.view&&(t.object.view=Object.assign({},this.view)),t.object.filmGauge=this.filmGauge,t.object.filmOffset=this.filmOffset,t}}const rg=-90;class ig extends $h{constructor(e,t,n){super(),this.type="CubeCamera",this.renderTarget=n,this.coordinateSystem=null,this.activeMipmapLevel=0;const r=new ng(rg,1,e,t);r.layers=this.layers,this.add(r);const i=new ng(rg,1,e,t);i.layers=this.layers,this.add(i);const a=new ng(rg,1,e,t);a.layers=this.layers,this.add(a);const o=new ng(rg,1,e,t);o.layers=this.layers,this.add(o);const s=new ng(rg,1,e,t);s.layers=this.layers,this.add(s);const l=new ng(rg,1,e,t);l.layers=this.layers,this.add(l)}updateCoordinateSystem(){const e=this.coordinateSystem,t=this.children.concat(),[n,r,i,a,o,s]=t;for(const e of t)this.remove(e);if(e===np)n.up.set(0,1,0),n.lookAt(1,0,0),r.up.set(0,1,0),r.lookAt(-1,0,0),i.up.set(0,0,-1),i.lookAt(0,1,0),a.up.set(0,0,1),a.lookAt(0,-1,0),o.up.set(0,1,0),o.lookAt(0,0,1),s.up.set(0,1,0),s.lookAt(0,0,-1);else{if(e!==rp)throw new Error("THREE.CubeCamera.updateCoordinateSystem(): Invalid coordinate system: "+e);n.up.set(0,-1,0),n.lookAt(-1,0,0),r.up.set(0,-1,0),r.lookAt(1,0,0),i.up.set(0,0,1),i.lookAt(0,1,0),a.up.set(0,0,-1),a.lookAt(0,-1,0),o.up.set(0,-1,0),o.lookAt(0,0,1),s.up.set(0,-1,0),s.lookAt(0,0,-1)}for(const e of t)this.add(e),e.updateMatrixWorld()}update(e,t){null===this.parent&&this.updateMatrixWorld();const{renderTarget:n,activeMipmapLevel:r}=this;this.coordinateSystem!==e.coordinateSystem&&(this.coordinateSystem=e.coordinateSystem,this.updateCoordinateSystem());const[i,a,o,s,l,c]=this.children,u=e.getRenderTarget(),d=e.getActiveCubeFace(),f=e.getActiveMipmapLevel(),p=e.xr.enabled;e.xr.enabled=!1;const h=n.texture.generateMipmaps;n.texture.generateMipmaps=!1,e.setRenderTarget(n,0,r),e.render(t,i),e.setRenderTarget(n,1,r),e.render(t,a),e.setRenderTarget(n,2,r),e.render(t,o),e.setRenderTarget(n,3,r),e.render(t,s),e.setRenderTarget(n,4,r),e.render(t,l),n.texture.generateMipmaps=h,e.setRenderTarget(n,5,r),e.render(t,c),e.setRenderTarget(u,d,f),e.xr.enabled=p,n.texture.needsPMREMUpdate=!0}}class ag extends Lp{constructor(e,t,n,r,i,a,o,s,l,c){super(e=void 0!==e?e:[],t=void 0!==t?t:cf,n,r,i,a,o,s,l,c),this.isCubeTexture=!0,this.flipY=!1}get images(){return this.image}set images(e){this.image=e}}class og extends Up{constructor(e=1,t={}){super(e,e,t),this.isWebGLCubeRenderTarget=!0;const n={width:e,height:e,depth:1},r=[n,n,n,n,n,n];this.texture=new ag(r,t.mapping,t.wrapS,t.wrapT,t.magFilter,t.minFilter,t.format,t.type,t.anisotropy,t.colorSpace),this.texture.isRenderTargetTexture=!0,this.texture.generateMipmaps=void 0!==t.generateMipmaps&&t.generateMipmaps,this.texture.minFilter=void 0!==t.minFilter?t.minFilter:yf}fromEquirectangularTexture(e,t){this.texture.type=t.type,this.texture.colorSpace=t.colorSpace,this.texture.generateMipmaps=t.generateMipmaps,this.texture.minFilter=t.minFilter,this.texture.magFilter=t.magFilter;const n={tEquirect:{value:null}},r="\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\tvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\n\t\t\t\t\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n\n\t\t\t\t}\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvWorldDirection = transformDirection( position, modelMatrix );\n\n\t\t\t\t\t#include <begin_vertex>\n\t\t\t\t\t#include <project_vertex>\n\n\t\t\t\t}\n\t\t\t",i="\n\n\t\t\t\tuniform sampler2D tEquirect;\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\t#include <common>\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvec3 direction = normalize( vWorldDirection );\n\n\t\t\t\t\tvec2 sampleUV = equirectUv( direction );\n\n\t\t\t\t\tgl_FragColor = texture2D( tEquirect, sampleUV );\n\n\t\t\t\t}\n\t\t\t",a=new $m(5,5,5),o=new Jm({name:"CubemapFromEquirect",uniforms:Xm(n),vertexShader:r,fragmentShader:i,side:1,blending:0});o.uniforms.tEquirect.value=t;const s=new Wm(a,o),l=t.minFilter;return t.minFilter===_f&&(t.minFilter=yf),new ig(1,10,this).update(e,s),t.minFilter=l,s.geometry.dispose(),s.material.dispose(),this}clear(e,t,n,r){const i=e.getRenderTarget();for(let i=0;i<6;i++)e.setRenderTarget(this,i),e.clear(t,n,r);e.setRenderTarget(i)}}const sg=new jp,lg=new jp,cg=new vp;class ug{constructor(e=new jp(1,0,0),t=0){this.isPlane=!0,this.normal=e,this.constant=t}set(e,t){return this.normal.copy(e),this.constant=t,this}setComponents(e,t,n,r){return this.normal.set(e,t,n),this.constant=r,this}setFromNormalAndCoplanarPoint(e,t){return this.normal.copy(e),this.constant=-t.dot(this.normal),this}setFromCoplanarPoints(e,t,n){const r=sg.subVectors(n,t).cross(lg.subVectors(e,t)).normalize();return this.setFromNormalAndCoplanarPoint(r,e),this}copy(e){return this.normal.copy(e.normal),this.constant=e.constant,this}normalize(){const e=1/this.normal.length();return this.normal.multiplyScalar(e),this.constant*=e,this}negate(){return this.constant*=-1,this.normal.negate(),this}distanceToPoint(e){return this.normal.dot(e)+this.constant}distanceToSphere(e){return this.distanceToPoint(e.center)-e.radius}projectPoint(e,t){return t.copy(e).addScaledVector(this.normal,-this.distanceToPoint(e))}intersectLine(e,t){const n=e.delta(sg),r=this.normal.dot(n);if(0===r)return 0===this.distanceToPoint(e.start)?t.copy(e.start):null;const i=-(e.start.dot(this.normal)+this.constant)/r;return i<0||i>1?null:t.copy(e.start).addScaledVector(n,i)}intersectsLine(e){const t=this.distanceToPoint(e.start),n=this.distanceToPoint(e.end);return t<0&&n>0||n<0&&t>0}intersectsBox(e){return e.intersectsPlane(this)}intersectsSphere(e){return e.intersectsPlane(this)}coplanarPoint(e){return e.copy(this.normal).multiplyScalar(-this.constant)}applyMatrix4(e,t){const n=t||cg.getNormalMatrix(e),r=this.coplanarPoint(sg).applyMatrix4(e),i=this.normal.applyMatrix3(n).normalize();return this.constant=-r.dot(i),this}translate(e){return this.constant-=e.dot(this.normal),this}equals(e){return e.normal.equals(this.normal)&&e.constant===this.constant}clone(){return(new this.constructor).copy(this)}}const dg=new uh,fg=new jp;class pg{constructor(e=new ug,t=new ug,n=new ug,r=new ug,i=new ug,a=new ug){this.planes=[e,t,n,r,i,a]}set(e,t,n,r,i,a){const o=this.planes;return o[0].copy(e),o[1].copy(t),o[2].copy(n),o[3].copy(r),o[4].copy(i),o[5].copy(a),this}copy(e){const t=this.planes;for(let n=0;n<6;n++)t[n].copy(e.planes[n]);return this}setFromProjectionMatrix(e,t=2e3){const n=this.planes,r=e.elements,i=r[0],a=r[1],o=r[2],s=r[3],l=r[4],c=r[5],u=r[6],d=r[7],f=r[8],p=r[9],h=r[10],m=r[11],g=r[12],v=r[13],y=r[14],b=r[15];if(n[0].setComponents(s-i,d-l,m-f,b-g).normalize(),n[1].setComponents(s+i,d+l,m+f,b+g).normalize(),n[2].setComponents(s+a,d+c,m+p,b+v).normalize(),n[3].setComponents(s-a,d-c,m-p,b-v).normalize(),n[4].setComponents(s-o,d-u,m-h,b-y).normalize(),t===np)n[5].setComponents(s+o,d+u,m+h,b+y).normalize();else{if(t!==rp)throw new Error("THREE.Frustum.setFromProjectionMatrix(): Invalid coordinate system: "+t);n[5].setComponents(o,u,h,y).normalize()}return this}intersectsObject(e){if(void 0!==e.boundingSphere)null===e.boundingSphere&&e.computeBoundingSphere(),dg.copy(e.boundingSphere).applyMatrix4(e.matrixWorld);else{const t=e.geometry;null===t.boundingSphere&&t.computeBoundingSphere(),dg.copy(t.boundingSphere).applyMatrix4(e.matrixWorld)}return this.intersectsSphere(dg)}intersectsSprite(e){return dg.center.set(0,0,0),dg.radius=.7071067811865476,dg.applyMatrix4(e.matrixWorld),this.intersectsSphere(dg)}intersectsSphere(e){const t=this.planes,n=e.center,r=-e.radius;for(let e=0;e<6;e++)if(t[e].distanceToPoint(n)<r)return!1;return!0}intersectsBox(e){const t=this.planes;for(let n=0;n<6;n++){const r=t[n];if(fg.x=r.normal.x>0?e.max.x:e.min.x,fg.y=r.normal.y>0?e.max.y:e.min.y,fg.z=r.normal.z>0?e.max.z:e.min.z,r.distanceToPoint(fg)<0)return!1}return!0}containsPoint(e){const t=this.planes;for(let n=0;n<6;n++)if(t[n].distanceToPoint(e)<0)return!1;return!0}clone(){return(new this.constructor).copy(this)}}function hg(){let e=null,t=!1,n=null,r=null;function i(t,a){n(t,a),r=e.requestAnimationFrame(i)}return{start:function(){!0!==t&&null!==n&&(r=e.requestAnimationFrame(i),t=!0)},stop:function(){e.cancelAnimationFrame(r),t=!1},setAnimationLoop:function(e){n=e},setContext:function(t){e=t}}}function mg(e){const t=new WeakMap;return{get:function(e){return e.isInterleavedBufferAttribute&&(e=e.data),t.get(e)},remove:function(n){n.isInterleavedBufferAttribute&&(n=n.data);const r=t.get(n);r&&(e.deleteBuffer(r.buffer),t.delete(n))},update:function(n,r){if(n.isGLBufferAttribute){const e=t.get(n);return void((!e||e.version<n.version)&&t.set(n,{buffer:n.buffer,type:n.type,bytesPerElement:n.elementSize,version:n.version}))}n.isInterleavedBufferAttribute&&(n=n.data);const i=t.get(n);if(void 0===i)t.set(n,function(t,n){const r=t.array,i=t.usage,a=r.byteLength,o=e.createBuffer();let s;if(e.bindBuffer(n,o),e.bufferData(n,r,i),t.onUploadCallback(),r instanceof Float32Array)s=e.FLOAT;else if(r instanceof Uint16Array)s=t.isFloat16BufferAttribute?e.HALF_FLOAT:e.UNSIGNED_SHORT;else if(r instanceof Int16Array)s=e.SHORT;else if(r instanceof Uint32Array)s=e.UNSIGNED_INT;else if(r instanceof Int32Array)s=e.INT;else if(r instanceof Int8Array)s=e.BYTE;else if(r instanceof Uint8Array)s=e.UNSIGNED_BYTE;else{if(!(r instanceof Uint8ClampedArray))throw new Error("THREE.WebGLAttributes: Unsupported buffer data format: "+r);s=e.UNSIGNED_BYTE}return{buffer:o,type:s,bytesPerElement:r.BYTES_PER_ELEMENT,version:t.version,size:a}}(n,r));else if(i.version<n.version){if(i.size!==n.array.byteLength)throw new Error("THREE.WebGLAttributes: The size of the buffer attribute's array buffer does not match the original size. Resizing buffer attributes is not supported.");!function(t,n,r){const i=n.array,a=n._updateRange,o=n.updateRanges;if(e.bindBuffer(r,t),-1===a.count&&0===o.length&&e.bufferSubData(r,0,i),0!==o.length){for(let t=0,n=o.length;t<n;t++){const n=o[t];e.bufferSubData(r,n.start*i.BYTES_PER_ELEMENT,i,n.start,n.count)}n.clearUpdateRanges()}-1!==a.count&&(e.bufferSubData(r,a.offset*i.BYTES_PER_ELEMENT,i,a.offset,a.count),a.count=-1),n.onUploadCallback()}(i.buffer,n,r),i.version=n.version}}}}class gg extends Cm{constructor(e=1,t=1,n=1,r=1){super(),this.type="PlaneGeometry",this.parameters={width:e,height:t,widthSegments:n,heightSegments:r};const i=e/2,a=t/2,o=Math.floor(n),s=Math.floor(r),l=o+1,c=s+1,u=e/o,d=t/s,f=[],p=[],h=[],m=[];for(let e=0;e<c;e++){const t=e*d-a;for(let n=0;n<l;n++){const r=n*u-i;p.push(r,-t,0),h.push(0,0,1),m.push(n/o),m.push(1-e/s)}}for(let e=0;e<s;e++)for(let t=0;t<o;t++){const n=t+l*e,r=t+l*(e+1),i=t+1+l*(e+1),a=t+1+l*e;f.push(n,r,a),f.push(r,i,a)}this.setIndex(f),this.setAttribute("position",new ym(p,3)),this.setAttribute("normal",new ym(h,3)),this.setAttribute("uv",new ym(m,2))}copy(e){return super.copy(e),this.parameters=Object.assign({},e.parameters),this}static fromJSON(e){return new gg(e.width,e.height,e.widthSegments,e.heightSegments)}}const vg={alphahash_fragment:"#ifdef USE_ALPHAHASH\n\tif ( diffuseColor.a < getAlphaHashThreshold( vPosition ) ) discard;\n#endif",alphahash_pars_fragment:"#ifdef USE_ALPHAHASH\n\tconst float ALPHA_HASH_SCALE = 0.05;\n\tfloat hash2D( vec2 value ) {\n\t\treturn fract( 1.0e4 * sin( 17.0 * value.x + 0.1 * value.y ) * ( 0.1 + abs( sin( 13.0 * value.y + value.x ) ) ) );\n\t}\n\tfloat hash3D( vec3 value ) {\n\t\treturn hash2D( vec2( hash2D( value.xy ), value.z ) );\n\t}\n\tfloat getAlphaHashThreshold( vec3 position ) {\n\t\tfloat maxDeriv = max(\n\t\t\tlength( dFdx( position.xyz ) ),\n\t\t\tlength( dFdy( position.xyz ) )\n\t\t);\n\t\tfloat pixScale = 1.0 / ( ALPHA_HASH_SCALE * maxDeriv );\n\t\tvec2 pixScales = vec2(\n\t\t\texp2( floor( log2( pixScale ) ) ),\n\t\t\texp2( ceil( log2( pixScale ) ) )\n\t\t);\n\t\tvec2 alpha = vec2(\n\t\t\thash3D( floor( pixScales.x * position.xyz ) ),\n\t\t\thash3D( floor( pixScales.y * position.xyz ) )\n\t\t);\n\t\tfloat lerpFactor = fract( log2( pixScale ) );\n\t\tfloat x = ( 1.0 - lerpFactor ) * alpha.x + lerpFactor * alpha.y;\n\t\tfloat a = min( lerpFactor, 1.0 - lerpFactor );\n\t\tvec3 cases = vec3(\n\t\t\tx * x / ( 2.0 * a * ( 1.0 - a ) ),\n\t\t\t( x - 0.5 * a ) / ( 1.0 - a ),\n\t\t\t1.0 - ( ( 1.0 - x ) * ( 1.0 - x ) / ( 2.0 * a * ( 1.0 - a ) ) )\n\t\t);\n\t\tfloat threshold = ( x < ( 1.0 - a ) )\n\t\t\t? ( ( x < a ) ? cases.x : cases.y )\n\t\t\t: cases.z;\n\t\treturn clamp( threshold , 1.0e-6, 1.0 );\n\t}\n#endif",alphamap_fragment:"#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, vAlphaMapUv ).g;\n#endif",alphamap_pars_fragment:"#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",alphatest_fragment:"#ifdef USE_ALPHATEST\n\t#ifdef ALPHA_TO_COVERAGE\n\tdiffuseColor.a = smoothstep( alphaTest, alphaTest + fwidth( diffuseColor.a ), diffuseColor.a );\n\tif ( diffuseColor.a == 0.0 ) discard;\n\t#else\n\tif ( diffuseColor.a < alphaTest ) discard;\n\t#endif\n#endif",alphatest_pars_fragment:"#ifdef USE_ALPHATEST\n\tuniform float alphaTest;\n#endif",aomap_fragment:"#ifdef USE_AOMAP\n\tfloat ambientOcclusion = ( texture2D( aoMap, vAoMapUv ).r - 1.0 ) * aoMapIntensity + 1.0;\n\treflectedLight.indirectDiffuse *= ambientOcclusion;\n\t#if defined( USE_CLEARCOAT ) \n\t\tclearcoatSpecularIndirect *= ambientOcclusion;\n\t#endif\n\t#if defined( USE_SHEEN ) \n\t\tsheenSpecularIndirect *= ambientOcclusion;\n\t#endif\n\t#if defined( USE_ENVMAP ) && defined( STANDARD )\n\t\tfloat dotNV = saturate( dot( geometryNormal, geometryViewDir ) );\n\t\treflectedLight.indirectSpecular *= computeSpecularOcclusion( dotNV, ambientOcclusion, material.roughness );\n\t#endif\n#endif",aomap_pars_fragment:"#ifdef USE_AOMAP\n\tuniform sampler2D aoMap;\n\tuniform float aoMapIntensity;\n#endif",batching_pars_vertex:"#ifdef USE_BATCHING\n\tattribute float batchId;\n\tuniform highp sampler2D batchingTexture;\n\tmat4 getBatchingMatrix( const in float i ) {\n\t\tint size = textureSize( batchingTexture, 0 ).x;\n\t\tint j = int( i ) * 4;\n\t\tint x = j % size;\n\t\tint y = j / size;\n\t\tvec4 v1 = texelFetch( batchingTexture, ivec2( x, y ), 0 );\n\t\tvec4 v2 = texelFetch( batchingTexture, ivec2( x + 1, y ), 0 );\n\t\tvec4 v3 = texelFetch( batchingTexture, ivec2( x + 2, y ), 0 );\n\t\tvec4 v4 = texelFetch( batchingTexture, ivec2( x + 3, y ), 0 );\n\t\treturn mat4( v1, v2, v3, v4 );\n\t}\n#endif",batching_vertex:"#ifdef USE_BATCHING\n\tmat4 batchingMatrix = getBatchingMatrix( batchId );\n#endif",begin_vertex:"vec3 transformed = vec3( position );\n#ifdef USE_ALPHAHASH\n\tvPosition = vec3( position );\n#endif",beginnormal_vertex:"vec3 objectNormal = vec3( normal );\n#ifdef USE_TANGENT\n\tvec3 objectTangent = vec3( tangent.xyz );\n#endif",bsdfs:"float G_BlinnPhong_Implicit( ) {\n\treturn 0.25;\n}\nfloat D_BlinnPhong( const in float shininess, const in float dotNH ) {\n\treturn RECIPROCAL_PI * ( shininess * 0.5 + 1.0 ) * pow( dotNH, shininess );\n}\nvec3 BRDF_BlinnPhong( const in vec3 lightDir, const in vec3 viewDir, const in vec3 normal, const in vec3 specularColor, const in float shininess ) {\n\tvec3 halfDir = normalize( lightDir + viewDir );\n\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\tfloat dotVH = saturate( dot( viewDir, halfDir ) );\n\tvec3 F = F_Schlick( specularColor, 1.0, dotVH );\n\tfloat G = G_BlinnPhong_Implicit( );\n\tfloat D = D_BlinnPhong( shininess, dotNH );\n\treturn F * ( G * D );\n} // validated",iridescence_fragment:"#ifdef USE_IRIDESCENCE\n\tconst mat3 XYZ_TO_REC709 = mat3(\n\t\t 3.2404542, -0.9692660,  0.0556434,\n\t\t-1.5371385,  1.8760108, -0.2040259,\n\t\t-0.4985314,  0.0415560,  1.0572252\n\t);\n\tvec3 Fresnel0ToIor( vec3 fresnel0 ) {\n\t\tvec3 sqrtF0 = sqrt( fresnel0 );\n\t\treturn ( vec3( 1.0 ) + sqrtF0 ) / ( vec3( 1.0 ) - sqrtF0 );\n\t}\n\tvec3 IorToFresnel0( vec3 transmittedIor, float incidentIor ) {\n\t\treturn pow2( ( transmittedIor - vec3( incidentIor ) ) / ( transmittedIor + vec3( incidentIor ) ) );\n\t}\n\tfloat IorToFresnel0( float transmittedIor, float incidentIor ) {\n\t\treturn pow2( ( transmittedIor - incidentIor ) / ( transmittedIor + incidentIor ));\n\t}\n\tvec3 evalSensitivity( float OPD, vec3 shift ) {\n\t\tfloat phase = 2.0 * PI * OPD * 1.0e-9;\n\t\tvec3 val = vec3( 5.4856e-13, 4.4201e-13, 5.2481e-13 );\n\t\tvec3 pos = vec3( 1.6810e+06, 1.7953e+06, 2.2084e+06 );\n\t\tvec3 var = vec3( 4.3278e+09, 9.3046e+09, 6.6121e+09 );\n\t\tvec3 xyz = val * sqrt( 2.0 * PI * var ) * cos( pos * phase + shift ) * exp( - pow2( phase ) * var );\n\t\txyz.x += 9.7470e-14 * sqrt( 2.0 * PI * 4.5282e+09 ) * cos( 2.2399e+06 * phase + shift[ 0 ] ) * exp( - 4.5282e+09 * pow2( phase ) );\n\t\txyz /= 1.0685e-7;\n\t\tvec3 rgb = XYZ_TO_REC709 * xyz;\n\t\treturn rgb;\n\t}\n\tvec3 evalIridescence( float outsideIOR, float eta2, float cosTheta1, float thinFilmThickness, vec3 baseF0 ) {\n\t\tvec3 I;\n\t\tfloat iridescenceIOR = mix( outsideIOR, eta2, smoothstep( 0.0, 0.03, thinFilmThickness ) );\n\t\tfloat sinTheta2Sq = pow2( outsideIOR / iridescenceIOR ) * ( 1.0 - pow2( cosTheta1 ) );\n\t\tfloat cosTheta2Sq = 1.0 - sinTheta2Sq;\n\t\tif ( cosTheta2Sq < 0.0 ) {\n\t\t\treturn vec3( 1.0 );\n\t\t}\n\t\tfloat cosTheta2 = sqrt( cosTheta2Sq );\n\t\tfloat R0 = IorToFresnel0( iridescenceIOR, outsideIOR );\n\t\tfloat R12 = F_Schlick( R0, 1.0, cosTheta1 );\n\t\tfloat T121 = 1.0 - R12;\n\t\tfloat phi12 = 0.0;\n\t\tif ( iridescenceIOR < outsideIOR ) phi12 = PI;\n\t\tfloat phi21 = PI - phi12;\n\t\tvec3 baseIOR = Fresnel0ToIor( clamp( baseF0, 0.0, 0.9999 ) );\t\tvec3 R1 = IorToFresnel0( baseIOR, iridescenceIOR );\n\t\tvec3 R23 = F_Schlick( R1, 1.0, cosTheta2 );\n\t\tvec3 phi23 = vec3( 0.0 );\n\t\tif ( baseIOR[ 0 ] < iridescenceIOR ) phi23[ 0 ] = PI;\n\t\tif ( baseIOR[ 1 ] < iridescenceIOR ) phi23[ 1 ] = PI;\n\t\tif ( baseIOR[ 2 ] < iridescenceIOR ) phi23[ 2 ] = PI;\n\t\tfloat OPD = 2.0 * iridescenceIOR * thinFilmThickness * cosTheta2;\n\t\tvec3 phi = vec3( phi21 ) + phi23;\n\t\tvec3 R123 = clamp( R12 * R23, 1e-5, 0.9999 );\n\t\tvec3 r123 = sqrt( R123 );\n\t\tvec3 Rs = pow2( T121 ) * R23 / ( vec3( 1.0 ) - R123 );\n\t\tvec3 C0 = R12 + Rs;\n\t\tI = C0;\n\t\tvec3 Cm = Rs - T121;\n\t\tfor ( int m = 1; m <= 2; ++ m ) {\n\t\t\tCm *= r123;\n\t\t\tvec3 Sm = 2.0 * evalSensitivity( float( m ) * OPD, float( m ) * phi );\n\t\t\tI += Cm * Sm;\n\t\t}\n\t\treturn max( I, vec3( 0.0 ) );\n\t}\n#endif",bumpmap_pars_fragment:"#ifdef USE_BUMPMAP\n\tuniform sampler2D bumpMap;\n\tuniform float bumpScale;\n\tvec2 dHdxy_fwd() {\n\t\tvec2 dSTdx = dFdx( vBumpMapUv );\n\t\tvec2 dSTdy = dFdy( vBumpMapUv );\n\t\tfloat Hll = bumpScale * texture2D( bumpMap, vBumpMapUv ).x;\n\t\tfloat dBx = bumpScale * texture2D( bumpMap, vBumpMapUv + dSTdx ).x - Hll;\n\t\tfloat dBy = bumpScale * texture2D( bumpMap, vBumpMapUv + dSTdy ).x - Hll;\n\t\treturn vec2( dBx, dBy );\n\t}\n\tvec3 perturbNormalArb( vec3 surf_pos, vec3 surf_norm, vec2 dHdxy, float faceDirection ) {\n\t\tvec3 vSigmaX = normalize( dFdx( surf_pos.xyz ) );\n\t\tvec3 vSigmaY = normalize( dFdy( surf_pos.xyz ) );\n\t\tvec3 vN = surf_norm;\n\t\tvec3 R1 = cross( vSigmaY, vN );\n\t\tvec3 R2 = cross( vN, vSigmaX );\n\t\tfloat fDet = dot( vSigmaX, R1 ) * faceDirection;\n\t\tvec3 vGrad = sign( fDet ) * ( dHdxy.x * R1 + dHdxy.y * R2 );\n\t\treturn normalize( abs( fDet ) * surf_norm - vGrad );\n\t}\n#endif",clipping_planes_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvec4 plane;\n\t#ifdef ALPHA_TO_COVERAGE\n\t\tfloat distanceToPlane, distanceGradient;\n\t\tfloat clipOpacity = 1.0;\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < UNION_CLIPPING_PLANES; i ++ ) {\n\t\t\tplane = clippingPlanes[ i ];\n\t\t\tdistanceToPlane = - dot( vClipPosition, plane.xyz ) + plane.w;\n\t\t\tdistanceGradient = fwidth( distanceToPlane ) / 2.0;\n\t\t\tclipOpacity *= smoothstep( - distanceGradient, distanceGradient, distanceToPlane );\n\t\t\tif ( clipOpacity == 0.0 ) discard;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t\t#if UNION_CLIPPING_PLANES < NUM_CLIPPING_PLANES\n\t\t\tfloat unionClipOpacity = 1.0;\n\t\t\t#pragma unroll_loop_start\n\t\t\tfor ( int i = UNION_CLIPPING_PLANES; i < NUM_CLIPPING_PLANES; i ++ ) {\n\t\t\t\tplane = clippingPlanes[ i ];\n\t\t\t\tdistanceToPlane = - dot( vClipPosition, plane.xyz ) + plane.w;\n\t\t\t\tdistanceGradient = fwidth( distanceToPlane ) / 2.0;\n\t\t\t\tunionClipOpacity *= 1.0 - smoothstep( - distanceGradient, distanceGradient, distanceToPlane );\n\t\t\t}\n\t\t\t#pragma unroll_loop_end\n\t\t\tclipOpacity *= 1.0 - unionClipOpacity;\n\t\t#endif\n\t\tdiffuseColor.a *= clipOpacity;\n\t\tif ( diffuseColor.a == 0.0 ) discard;\n\t#else\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < UNION_CLIPPING_PLANES; i ++ ) {\n\t\t\tplane = clippingPlanes[ i ];\n\t\t\tif ( dot( vClipPosition, plane.xyz ) > plane.w ) discard;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t\t#if UNION_CLIPPING_PLANES < NUM_CLIPPING_PLANES\n\t\t\tbool clipped = true;\n\t\t\t#pragma unroll_loop_start\n\t\t\tfor ( int i = UNION_CLIPPING_PLANES; i < NUM_CLIPPING_PLANES; i ++ ) {\n\t\t\t\tplane = clippingPlanes[ i ];\n\t\t\t\tclipped = ( dot( vClipPosition, plane.xyz ) > plane.w ) && clipped;\n\t\t\t}\n\t\t\t#pragma unroll_loop_end\n\t\t\tif ( clipped ) discard;\n\t\t#endif\n\t#endif\n#endif",clipping_planes_pars_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n\tuniform vec4 clippingPlanes[ NUM_CLIPPING_PLANES ];\n#endif",clipping_planes_pars_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n#endif",clipping_planes_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvClipPosition = - mvPosition.xyz;\n#endif",color_fragment:"#if defined( USE_COLOR_ALPHA )\n\tdiffuseColor *= vColor;\n#elif defined( USE_COLOR )\n\tdiffuseColor.rgb *= vColor;\n#endif",color_pars_fragment:"#if defined( USE_COLOR_ALPHA )\n\tvarying vec4 vColor;\n#elif defined( USE_COLOR )\n\tvarying vec3 vColor;\n#endif",color_pars_vertex:"#if defined( USE_COLOR_ALPHA )\n\tvarying vec4 vColor;\n#elif defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvarying vec3 vColor;\n#endif",color_vertex:"#if defined( USE_COLOR_ALPHA )\n\tvColor = vec4( 1.0 );\n#elif defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvColor = vec3( 1.0 );\n#endif\n#ifdef USE_COLOR\n\tvColor *= color;\n#endif\n#ifdef USE_INSTANCING_COLOR\n\tvColor.xyz *= instanceColor.xyz;\n#endif",common:"#define PI 3.141592653589793\n#define PI2 6.283185307179586\n#define PI_HALF 1.5707963267948966\n#define RECIPROCAL_PI 0.3183098861837907\n#define RECIPROCAL_PI2 0.15915494309189535\n#define EPSILON 1e-6\n#ifndef saturate\n#define saturate( a ) clamp( a, 0.0, 1.0 )\n#endif\n#define whiteComplement( a ) ( 1.0 - saturate( a ) )\nfloat pow2( const in float x ) { return x*x; }\nvec3 pow2( const in vec3 x ) { return x*x; }\nfloat pow3( const in float x ) { return x*x*x; }\nfloat pow4( const in float x ) { float x2 = x*x; return x2*x2; }\nfloat max3( const in vec3 v ) { return max( max( v.x, v.y ), v.z ); }\nfloat average( const in vec3 v ) { return dot( v, vec3( 0.3333333 ) ); }\nhighp float rand( const in vec2 uv ) {\n\tconst highp float a = 12.9898, b = 78.233, c = 43758.5453;\n\thighp float dt = dot( uv.xy, vec2( a,b ) ), sn = mod( dt, PI );\n\treturn fract( sin( sn ) * c );\n}\n#ifdef HIGH_PRECISION\n\tfloat precisionSafeLength( vec3 v ) { return length( v ); }\n#else\n\tfloat precisionSafeLength( vec3 v ) {\n\t\tfloat maxComponent = max3( abs( v ) );\n\t\treturn length( v / maxComponent ) * maxComponent;\n\t}\n#endif\nstruct IncidentLight {\n\tvec3 color;\n\tvec3 direction;\n\tbool visible;\n};\nstruct ReflectedLight {\n\tvec3 directDiffuse;\n\tvec3 directSpecular;\n\tvec3 indirectDiffuse;\n\tvec3 indirectSpecular;\n};\n#ifdef USE_ALPHAHASH\n\tvarying vec3 vPosition;\n#endif\nvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n}\nvec3 inverseTransformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( vec4( dir, 0.0 ) * matrix ).xyz );\n}\nmat3 transposeMat3( const in mat3 m ) {\n\tmat3 tmp;\n\ttmp[ 0 ] = vec3( m[ 0 ].x, m[ 1 ].x, m[ 2 ].x );\n\ttmp[ 1 ] = vec3( m[ 0 ].y, m[ 1 ].y, m[ 2 ].y );\n\ttmp[ 2 ] = vec3( m[ 0 ].z, m[ 1 ].z, m[ 2 ].z );\n\treturn tmp;\n}\nfloat luminance( const in vec3 rgb ) {\n\tconst vec3 weights = vec3( 0.2126729, 0.7151522, 0.0721750 );\n\treturn dot( weights, rgb );\n}\nbool isPerspectiveMatrix( mat4 m ) {\n\treturn m[ 2 ][ 3 ] == - 1.0;\n}\nvec2 equirectUv( in vec3 dir ) {\n\tfloat u = atan( dir.z, dir.x ) * RECIPROCAL_PI2 + 0.5;\n\tfloat v = asin( clamp( dir.y, - 1.0, 1.0 ) ) * RECIPROCAL_PI + 0.5;\n\treturn vec2( u, v );\n}\nvec3 BRDF_Lambert( const in vec3 diffuseColor ) {\n\treturn RECIPROCAL_PI * diffuseColor;\n}\nvec3 F_Schlick( const in vec3 f0, const in float f90, const in float dotVH ) {\n\tfloat fresnel = exp2( ( - 5.55473 * dotVH - 6.98316 ) * dotVH );\n\treturn f0 * ( 1.0 - fresnel ) + ( f90 * fresnel );\n}\nfloat F_Schlick( const in float f0, const in float f90, const in float dotVH ) {\n\tfloat fresnel = exp2( ( - 5.55473 * dotVH - 6.98316 ) * dotVH );\n\treturn f0 * ( 1.0 - fresnel ) + ( f90 * fresnel );\n} // validated",cube_uv_reflection_fragment:"#ifdef ENVMAP_TYPE_CUBE_UV\n\t#define cubeUV_minMipLevel 4.0\n\t#define cubeUV_minTileSize 16.0\n\tfloat getFace( vec3 direction ) {\n\t\tvec3 absDirection = abs( direction );\n\t\tfloat face = - 1.0;\n\t\tif ( absDirection.x > absDirection.z ) {\n\t\t\tif ( absDirection.x > absDirection.y )\n\t\t\t\tface = direction.x > 0.0 ? 0.0 : 3.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t} else {\n\t\t\tif ( absDirection.z > absDirection.y )\n\t\t\t\tface = direction.z > 0.0 ? 2.0 : 5.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t}\n\t\treturn face;\n\t}\n\tvec2 getUV( vec3 direction, float face ) {\n\t\tvec2 uv;\n\t\tif ( face == 0.0 ) {\n\t\t\tuv = vec2( direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 1.0 ) {\n\t\t\tuv = vec2( - direction.x, - direction.z ) / abs( direction.y );\n\t\t} else if ( face == 2.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.y ) / abs( direction.z );\n\t\t} else if ( face == 3.0 ) {\n\t\t\tuv = vec2( - direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 4.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.z ) / abs( direction.y );\n\t\t} else {\n\t\t\tuv = vec2( direction.x, direction.y ) / abs( direction.z );\n\t\t}\n\t\treturn 0.5 * ( uv + 1.0 );\n\t}\n\tvec3 bilinearCubeUV( sampler2D envMap, vec3 direction, float mipInt ) {\n\t\tfloat face = getFace( direction );\n\t\tfloat filterInt = max( cubeUV_minMipLevel - mipInt, 0.0 );\n\t\tmipInt = max( mipInt, cubeUV_minMipLevel );\n\t\tfloat faceSize = exp2( mipInt );\n\t\thighp vec2 uv = getUV( direction, face ) * ( faceSize - 2.0 ) + 1.0;\n\t\tif ( face > 2.0 ) {\n\t\t\tuv.y += faceSize;\n\t\t\tface -= 3.0;\n\t\t}\n\t\tuv.x += face * faceSize;\n\t\tuv.x += filterInt * 3.0 * cubeUV_minTileSize;\n\t\tuv.y += 4.0 * ( exp2( CUBEUV_MAX_MIP ) - faceSize );\n\t\tuv.x *= CUBEUV_TEXEL_WIDTH;\n\t\tuv.y *= CUBEUV_TEXEL_HEIGHT;\n\t\t#ifdef texture2DGradEXT\n\t\t\treturn texture2DGradEXT( envMap, uv, vec2( 0.0 ), vec2( 0.0 ) ).rgb;\n\t\t#else\n\t\t\treturn texture2D( envMap, uv ).rgb;\n\t\t#endif\n\t}\n\t#define cubeUV_r0 1.0\n\t#define cubeUV_m0 - 2.0\n\t#define cubeUV_r1 0.8\n\t#define cubeUV_m1 - 1.0\n\t#define cubeUV_r4 0.4\n\t#define cubeUV_m4 2.0\n\t#define cubeUV_r5 0.305\n\t#define cubeUV_m5 3.0\n\t#define cubeUV_r6 0.21\n\t#define cubeUV_m6 4.0\n\tfloat roughnessToMip( float roughness ) {\n\t\tfloat mip = 0.0;\n\t\tif ( roughness >= cubeUV_r1 ) {\n\t\t\tmip = ( cubeUV_r0 - roughness ) * ( cubeUV_m1 - cubeUV_m0 ) / ( cubeUV_r0 - cubeUV_r1 ) + cubeUV_m0;\n\t\t} else if ( roughness >= cubeUV_r4 ) {\n\t\t\tmip = ( cubeUV_r1 - roughness ) * ( cubeUV_m4 - cubeUV_m1 ) / ( cubeUV_r1 - cubeUV_r4 ) + cubeUV_m1;\n\t\t} else if ( roughness >= cubeUV_r5 ) {\n\t\t\tmip = ( cubeUV_r4 - roughness ) * ( cubeUV_m5 - cubeUV_m4 ) / ( cubeUV_r4 - cubeUV_r5 ) + cubeUV_m4;\n\t\t} else if ( roughness >= cubeUV_r6 ) {\n\t\t\tmip = ( cubeUV_r5 - roughness ) * ( cubeUV_m6 - cubeUV_m5 ) / ( cubeUV_r5 - cubeUV_r6 ) + cubeUV_m5;\n\t\t} else {\n\t\t\tmip = - 2.0 * log2( 1.16 * roughness );\t\t}\n\t\treturn mip;\n\t}\n\tvec4 textureCubeUV( sampler2D envMap, vec3 sampleDir, float roughness ) {\n\t\tfloat mip = clamp( roughnessToMip( roughness ), cubeUV_m0, CUBEUV_MAX_MIP );\n\t\tfloat mipF = fract( mip );\n\t\tfloat mipInt = floor( mip );\n\t\tvec3 color0 = bilinearCubeUV( envMap, sampleDir, mipInt );\n\t\tif ( mipF == 0.0 ) {\n\t\t\treturn vec4( color0, 1.0 );\n\t\t} else {\n\t\t\tvec3 color1 = bilinearCubeUV( envMap, sampleDir, mipInt + 1.0 );\n\t\t\treturn vec4( mix( color0, color1, mipF ), 1.0 );\n\t\t}\n\t}\n#endif",defaultnormal_vertex:"vec3 transformedNormal = objectNormal;\n#ifdef USE_TANGENT\n\tvec3 transformedTangent = objectTangent;\n#endif\n#ifdef USE_BATCHING\n\tmat3 bm = mat3( batchingMatrix );\n\ttransformedNormal /= vec3( dot( bm[ 0 ], bm[ 0 ] ), dot( bm[ 1 ], bm[ 1 ] ), dot( bm[ 2 ], bm[ 2 ] ) );\n\ttransformedNormal = bm * transformedNormal;\n\t#ifdef USE_TANGENT\n\t\ttransformedTangent = bm * transformedTangent;\n\t#endif\n#endif\n#ifdef USE_INSTANCING\n\tmat3 im = mat3( instanceMatrix );\n\ttransformedNormal /= vec3( dot( im[ 0 ], im[ 0 ] ), dot( im[ 1 ], im[ 1 ] ), dot( im[ 2 ], im[ 2 ] ) );\n\ttransformedNormal = im * transformedNormal;\n\t#ifdef USE_TANGENT\n\t\ttransformedTangent = im * transformedTangent;\n\t#endif\n#endif\ntransformedNormal = normalMatrix * transformedNormal;\n#ifdef FLIP_SIDED\n\ttransformedNormal = - transformedNormal;\n#endif\n#ifdef USE_TANGENT\n\ttransformedTangent = ( modelViewMatrix * vec4( transformedTangent, 0.0 ) ).xyz;\n\t#ifdef FLIP_SIDED\n\t\ttransformedTangent = - transformedTangent;\n\t#endif\n#endif",displacementmap_pars_vertex:"#ifdef USE_DISPLACEMENTMAP\n\tuniform sampler2D displacementMap;\n\tuniform float displacementScale;\n\tuniform float displacementBias;\n#endif",displacementmap_vertex:"#ifdef USE_DISPLACEMENTMAP\n\ttransformed += normalize( objectNormal ) * ( texture2D( displacementMap, vDisplacementMapUv ).x * displacementScale + displacementBias );\n#endif",emissivemap_fragment:"#ifdef USE_EMISSIVEMAP\n\tvec4 emissiveColor = texture2D( emissiveMap, vEmissiveMapUv );\n\ttotalEmissiveRadiance *= emissiveColor.rgb;\n#endif",emissivemap_pars_fragment:"#ifdef USE_EMISSIVEMAP\n\tuniform sampler2D emissiveMap;\n#endif",colorspace_fragment:"gl_FragColor = linearToOutputTexel( gl_FragColor );",colorspace_pars_fragment:"\nconst mat3 LINEAR_SRGB_TO_LINEAR_DISPLAY_P3 = mat3(\n\tvec3( 0.8224621, 0.177538, 0.0 ),\n\tvec3( 0.0331941, 0.9668058, 0.0 ),\n\tvec3( 0.0170827, 0.0723974, 0.9105199 )\n);\nconst mat3 LINEAR_DISPLAY_P3_TO_LINEAR_SRGB = mat3(\n\tvec3( 1.2249401, - 0.2249404, 0.0 ),\n\tvec3( - 0.0420569, 1.0420571, 0.0 ),\n\tvec3( - 0.0196376, - 0.0786361, 1.0982735 )\n);\nvec4 LinearSRGBToLinearDisplayP3( in vec4 value ) {\n\treturn vec4( value.rgb * LINEAR_SRGB_TO_LINEAR_DISPLAY_P3, value.a );\n}\nvec4 LinearDisplayP3ToLinearSRGB( in vec4 value ) {\n\treturn vec4( value.rgb * LINEAR_DISPLAY_P3_TO_LINEAR_SRGB, value.a );\n}\nvec4 LinearTransferOETF( in vec4 value ) {\n\treturn value;\n}\nvec4 sRGBTransferOETF( in vec4 value ) {\n\treturn vec4( mix( pow( value.rgb, vec3( 0.41666 ) ) * 1.055 - vec3( 0.055 ), value.rgb * 12.92, vec3( lessThanEqual( value.rgb, vec3( 0.0031308 ) ) ) ), value.a );\n}\nvec4 LinearToLinear( in vec4 value ) {\n\treturn value;\n}\nvec4 LinearTosRGB( in vec4 value ) {\n\treturn sRGBTransferOETF( value );\n}",envmap_fragment:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvec3 cameraToFrag;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToFrag = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToFrag = normalize( vWorldPosition - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( normal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvec3 reflectVec = reflect( cameraToFrag, worldNormal );\n\t\t#else\n\t\t\tvec3 reflectVec = refract( cameraToFrag, worldNormal, refractionRatio );\n\t\t#endif\n\t#else\n\t\tvec3 reflectVec = vReflect;\n\t#endif\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tvec4 envColor = textureCube( envMap, envMapRotation * vec3( flipEnvMap * reflectVec.x, reflectVec.yz ) );\n\t#else\n\t\tvec4 envColor = vec4( 0.0 );\n\t#endif\n\t#ifdef ENVMAP_BLENDING_MULTIPLY\n\t\toutgoingLight = mix( outgoingLight, outgoingLight * envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_MIX )\n\t\toutgoingLight = mix( outgoingLight, envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_ADD )\n\t\toutgoingLight += envColor.xyz * specularStrength * reflectivity;\n\t#endif\n#endif",envmap_common_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float envMapIntensity;\n\tuniform float flipEnvMap;\n\tuniform mat3 envMapRotation;\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tuniform samplerCube envMap;\n\t#else\n\t\tuniform sampler2D envMap;\n\t#endif\n\t\n#endif",envmap_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float reflectivity;\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) || defined( PHONG ) || defined( LAMBERT )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\tvarying vec3 vWorldPosition;\n\t\tuniform float refractionRatio;\n\t#else\n\t\tvarying vec3 vReflect;\n\t#endif\n#endif",envmap_pars_vertex:"#ifdef USE_ENVMAP\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) || defined( PHONG ) || defined( LAMBERT )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\t\n\t\tvarying vec3 vWorldPosition;\n\t#else\n\t\tvarying vec3 vReflect;\n\t\tuniform float refractionRatio;\n\t#endif\n#endif",envmap_physical_pars_fragment:"#ifdef USE_ENVMAP\n\tvec3 getIBLIrradiance( const in vec3 normal ) {\n\t\t#ifdef ENVMAP_TYPE_CUBE_UV\n\t\t\tvec3 worldNormal = inverseTransformDirection( normal, viewMatrix );\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, envMapRotation * worldNormal, 1.0 );\n\t\t\treturn PI * envMapColor.rgb * envMapIntensity;\n\t\t#else\n\t\t\treturn vec3( 0.0 );\n\t\t#endif\n\t}\n\tvec3 getIBLRadiance( const in vec3 viewDir, const in vec3 normal, const in float roughness ) {\n\t\t#ifdef ENVMAP_TYPE_CUBE_UV\n\t\t\tvec3 reflectVec = reflect( - viewDir, normal );\n\t\t\treflectVec = normalize( mix( reflectVec, normal, roughness * roughness) );\n\t\t\treflectVec = inverseTransformDirection( reflectVec, viewMatrix );\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, envMapRotation * reflectVec, roughness );\n\t\t\treturn envMapColor.rgb * envMapIntensity;\n\t\t#else\n\t\t\treturn vec3( 0.0 );\n\t\t#endif\n\t}\n\t#ifdef USE_ANISOTROPY\n\t\tvec3 getIBLAnisotropyRadiance( const in vec3 viewDir, const in vec3 normal, const in float roughness, const in vec3 bitangent, const in float anisotropy ) {\n\t\t\t#ifdef ENVMAP_TYPE_CUBE_UV\n\t\t\t\tvec3 bentNormal = cross( bitangent, viewDir );\n\t\t\t\tbentNormal = normalize( cross( bentNormal, bitangent ) );\n\t\t\t\tbentNormal = normalize( mix( bentNormal, normal, pow2( pow2( 1.0 - anisotropy * ( 1.0 - roughness ) ) ) ) );\n\t\t\t\treturn getIBLRadiance( viewDir, bentNormal, roughness );\n\t\t\t#else\n\t\t\t\treturn vec3( 0.0 );\n\t\t\t#endif\n\t\t}\n\t#endif\n#endif",envmap_vertex:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvWorldPosition = worldPosition.xyz;\n\t#else\n\t\tvec3 cameraToVertex;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToVertex = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToVertex = normalize( worldPosition.xyz - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvReflect = reflect( cameraToVertex, worldNormal );\n\t\t#else\n\t\t\tvReflect = refract( cameraToVertex, worldNormal, refractionRatio );\n\t\t#endif\n\t#endif\n#endif",fog_vertex:"#ifdef USE_FOG\n\tvFogDepth = - mvPosition.z;\n#endif",fog_pars_vertex:"#ifdef USE_FOG\n\tvarying float vFogDepth;\n#endif",fog_fragment:"#ifdef USE_FOG\n\t#ifdef FOG_EXP2\n\t\tfloat fogFactor = 1.0 - exp( - fogDensity * fogDensity * vFogDepth * vFogDepth );\n\t#else\n\t\tfloat fogFactor = smoothstep( fogNear, fogFar, vFogDepth );\n\t#endif\n\tgl_FragColor.rgb = mix( gl_FragColor.rgb, fogColor, fogFactor );\n#endif",fog_pars_fragment:"#ifdef USE_FOG\n\tuniform vec3 fogColor;\n\tvarying float vFogDepth;\n\t#ifdef FOG_EXP2\n\t\tuniform float fogDensity;\n\t#else\n\t\tuniform float fogNear;\n\t\tuniform float fogFar;\n\t#endif\n#endif",gradientmap_pars_fragment:"#ifdef USE_GRADIENTMAP\n\tuniform sampler2D gradientMap;\n#endif\nvec3 getGradientIrradiance( vec3 normal, vec3 lightDirection ) {\n\tfloat dotNL = dot( normal, lightDirection );\n\tvec2 coord = vec2( dotNL * 0.5 + 0.5, 0.0 );\n\t#ifdef USE_GRADIENTMAP\n\t\treturn vec3( texture2D( gradientMap, coord ).r );\n\t#else\n\t\tvec2 fw = fwidth( coord ) * 0.5;\n\t\treturn mix( vec3( 0.7 ), vec3( 1.0 ), smoothstep( 0.7 - fw.x, 0.7 + fw.x, coord.x ) );\n\t#endif\n}",lightmap_pars_fragment:"#ifdef USE_LIGHTMAP\n\tuniform sampler2D lightMap;\n\tuniform float lightMapIntensity;\n#endif",lights_lambert_fragment:"LambertMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;\nmaterial.specularStrength = specularStrength;",lights_lambert_pars_fragment:"varying vec3 vViewPosition;\nstruct LambertMaterial {\n\tvec3 diffuseColor;\n\tfloat specularStrength;\n};\nvoid RE_Direct_Lambert( const in IncidentLight directLight, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in LambertMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometryNormal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\treflectedLight.directDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Lambert( const in vec3 irradiance, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in LambertMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_Lambert\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Lambert",lights_pars_begin:"uniform bool receiveShadow;\nuniform vec3 ambientLightColor;\n#if defined( USE_LIGHT_PROBES )\n\tuniform vec3 lightProbe[ 9 ];\n#endif\nvec3 shGetIrradianceAt( in vec3 normal, in vec3 shCoefficients[ 9 ] ) {\n\tfloat x = normal.x, y = normal.y, z = normal.z;\n\tvec3 result = shCoefficients[ 0 ] * 0.886227;\n\tresult += shCoefficients[ 1 ] * 2.0 * 0.511664 * y;\n\tresult += shCoefficients[ 2 ] * 2.0 * 0.511664 * z;\n\tresult += shCoefficients[ 3 ] * 2.0 * 0.511664 * x;\n\tresult += shCoefficients[ 4 ] * 2.0 * 0.429043 * x * y;\n\tresult += shCoefficients[ 5 ] * 2.0 * 0.429043 * y * z;\n\tresult += shCoefficients[ 6 ] * ( 0.743125 * z * z - 0.247708 );\n\tresult += shCoefficients[ 7 ] * 2.0 * 0.429043 * x * z;\n\tresult += shCoefficients[ 8 ] * 0.429043 * ( x * x - y * y );\n\treturn result;\n}\nvec3 getLightProbeIrradiance( const in vec3 lightProbe[ 9 ], const in vec3 normal ) {\n\tvec3 worldNormal = inverseTransformDirection( normal, viewMatrix );\n\tvec3 irradiance = shGetIrradianceAt( worldNormal, lightProbe );\n\treturn irradiance;\n}\nvec3 getAmbientLightIrradiance( const in vec3 ambientLightColor ) {\n\tvec3 irradiance = ambientLightColor;\n\treturn irradiance;\n}\nfloat getDistanceAttenuation( const in float lightDistance, const in float cutoffDistance, const in float decayExponent ) {\n\t#if defined ( LEGACY_LIGHTS )\n\t\tif ( cutoffDistance > 0.0 && decayExponent > 0.0 ) {\n\t\t\treturn pow( saturate( - lightDistance / cutoffDistance + 1.0 ), decayExponent );\n\t\t}\n\t\treturn 1.0;\n\t#else\n\t\tfloat distanceFalloff = 1.0 / max( pow( lightDistance, decayExponent ), 0.01 );\n\t\tif ( cutoffDistance > 0.0 ) {\n\t\t\tdistanceFalloff *= pow2( saturate( 1.0 - pow4( lightDistance / cutoffDistance ) ) );\n\t\t}\n\t\treturn distanceFalloff;\n\t#endif\n}\nfloat getSpotAttenuation( const in float coneCosine, const in float penumbraCosine, const in float angleCosine ) {\n\treturn smoothstep( coneCosine, penumbraCosine, angleCosine );\n}\n#if NUM_DIR_LIGHTS > 0\n\tstruct DirectionalLight {\n\t\tvec3 direction;\n\t\tvec3 color;\n\t};\n\tuniform DirectionalLight directionalLights[ NUM_DIR_LIGHTS ];\n\tvoid getDirectionalLightInfo( const in DirectionalLight directionalLight, out IncidentLight light ) {\n\t\tlight.color = directionalLight.color;\n\t\tlight.direction = directionalLight.direction;\n\t\tlight.visible = true;\n\t}\n#endif\n#if NUM_POINT_LIGHTS > 0\n\tstruct PointLight {\n\t\tvec3 position;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t};\n\tuniform PointLight pointLights[ NUM_POINT_LIGHTS ];\n\tvoid getPointLightInfo( const in PointLight pointLight, const in vec3 geometryPosition, out IncidentLight light ) {\n\t\tvec3 lVector = pointLight.position - geometryPosition;\n\t\tlight.direction = normalize( lVector );\n\t\tfloat lightDistance = length( lVector );\n\t\tlight.color = pointLight.color;\n\t\tlight.color *= getDistanceAttenuation( lightDistance, pointLight.distance, pointLight.decay );\n\t\tlight.visible = ( light.color != vec3( 0.0 ) );\n\t}\n#endif\n#if NUM_SPOT_LIGHTS > 0\n\tstruct SpotLight {\n\t\tvec3 position;\n\t\tvec3 direction;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t\tfloat coneCos;\n\t\tfloat penumbraCos;\n\t};\n\tuniform SpotLight spotLights[ NUM_SPOT_LIGHTS ];\n\tvoid getSpotLightInfo( const in SpotLight spotLight, const in vec3 geometryPosition, out IncidentLight light ) {\n\t\tvec3 lVector = spotLight.position - geometryPosition;\n\t\tlight.direction = normalize( lVector );\n\t\tfloat angleCos = dot( light.direction, spotLight.direction );\n\t\tfloat spotAttenuation = getSpotAttenuation( spotLight.coneCos, spotLight.penumbraCos, angleCos );\n\t\tif ( spotAttenuation > 0.0 ) {\n\t\t\tfloat lightDistance = length( lVector );\n\t\t\tlight.color = spotLight.color * spotAttenuation;\n\t\t\tlight.color *= getDistanceAttenuation( lightDistance, spotLight.distance, spotLight.decay );\n\t\t\tlight.visible = ( light.color != vec3( 0.0 ) );\n\t\t} else {\n\t\t\tlight.color = vec3( 0.0 );\n\t\t\tlight.visible = false;\n\t\t}\n\t}\n#endif\n#if NUM_RECT_AREA_LIGHTS > 0\n\tstruct RectAreaLight {\n\t\tvec3 color;\n\t\tvec3 position;\n\t\tvec3 halfWidth;\n\t\tvec3 halfHeight;\n\t};\n\tuniform sampler2D ltc_1;\tuniform sampler2D ltc_2;\n\tuniform RectAreaLight rectAreaLights[ NUM_RECT_AREA_LIGHTS ];\n#endif\n#if NUM_HEMI_LIGHTS > 0\n\tstruct HemisphereLight {\n\t\tvec3 direction;\n\t\tvec3 skyColor;\n\t\tvec3 groundColor;\n\t};\n\tuniform HemisphereLight hemisphereLights[ NUM_HEMI_LIGHTS ];\n\tvec3 getHemisphereLightIrradiance( const in HemisphereLight hemiLight, const in vec3 normal ) {\n\t\tfloat dotNL = dot( normal, hemiLight.direction );\n\t\tfloat hemiDiffuseWeight = 0.5 * dotNL + 0.5;\n\t\tvec3 irradiance = mix( hemiLight.groundColor, hemiLight.skyColor, hemiDiffuseWeight );\n\t\treturn irradiance;\n\t}\n#endif",lights_toon_fragment:"ToonMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;",lights_toon_pars_fragment:"varying vec3 vViewPosition;\nstruct ToonMaterial {\n\tvec3 diffuseColor;\n};\nvoid RE_Direct_Toon( const in IncidentLight directLight, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\tvec3 irradiance = getGradientIrradiance( geometryNormal, directLight.direction ) * directLight.color;\n\treflectedLight.directDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Toon( const in vec3 irradiance, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_Toon\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Toon",lights_phong_fragment:"BlinnPhongMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;\nmaterial.specularColor = specular;\nmaterial.specularShininess = shininess;\nmaterial.specularStrength = specularStrength;",lights_phong_pars_fragment:"varying vec3 vViewPosition;\nstruct BlinnPhongMaterial {\n\tvec3 diffuseColor;\n\tvec3 specularColor;\n\tfloat specularShininess;\n\tfloat specularStrength;\n};\nvoid RE_Direct_BlinnPhong( const in IncidentLight directLight, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometryNormal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\treflectedLight.directDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n\treflectedLight.directSpecular += irradiance * BRDF_BlinnPhong( directLight.direction, geometryViewDir, geometryNormal, material.specularColor, material.specularShininess ) * material.specularStrength;\n}\nvoid RE_IndirectDiffuse_BlinnPhong( const in vec3 irradiance, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_BlinnPhong\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_BlinnPhong",lights_physical_fragment:"PhysicalMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb * ( 1.0 - metalnessFactor );\nvec3 dxy = max( abs( dFdx( nonPerturbedNormal ) ), abs( dFdy( nonPerturbedNormal ) ) );\nfloat geometryRoughness = max( max( dxy.x, dxy.y ), dxy.z );\nmaterial.roughness = max( roughnessFactor, 0.0525 );material.roughness += geometryRoughness;\nmaterial.roughness = min( material.roughness, 1.0 );\n#ifdef IOR\n\tmaterial.ior = ior;\n\t#ifdef USE_SPECULAR\n\t\tfloat specularIntensityFactor = specularIntensity;\n\t\tvec3 specularColorFactor = specularColor;\n\t\t#ifdef USE_SPECULAR_COLORMAP\n\t\t\tspecularColorFactor *= texture2D( specularColorMap, vSpecularColorMapUv ).rgb;\n\t\t#endif\n\t\t#ifdef USE_SPECULAR_INTENSITYMAP\n\t\t\tspecularIntensityFactor *= texture2D( specularIntensityMap, vSpecularIntensityMapUv ).a;\n\t\t#endif\n\t\tmaterial.specularF90 = mix( specularIntensityFactor, 1.0, metalnessFactor );\n\t#else\n\t\tfloat specularIntensityFactor = 1.0;\n\t\tvec3 specularColorFactor = vec3( 1.0 );\n\t\tmaterial.specularF90 = 1.0;\n\t#endif\n\tmaterial.specularColor = mix( min( pow2( ( material.ior - 1.0 ) / ( material.ior + 1.0 ) ) * specularColorFactor, vec3( 1.0 ) ) * specularIntensityFactor, diffuseColor.rgb, metalnessFactor );\n#else\n\tmaterial.specularColor = mix( vec3( 0.04 ), diffuseColor.rgb, metalnessFactor );\n\tmaterial.specularF90 = 1.0;\n#endif\n#ifdef USE_CLEARCOAT\n\tmaterial.clearcoat = clearcoat;\n\tmaterial.clearcoatRoughness = clearcoatRoughness;\n\tmaterial.clearcoatF0 = vec3( 0.04 );\n\tmaterial.clearcoatF90 = 1.0;\n\t#ifdef USE_CLEARCOATMAP\n\t\tmaterial.clearcoat *= texture2D( clearcoatMap, vClearcoatMapUv ).x;\n\t#endif\n\t#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\t\tmaterial.clearcoatRoughness *= texture2D( clearcoatRoughnessMap, vClearcoatRoughnessMapUv ).y;\n\t#endif\n\tmaterial.clearcoat = saturate( material.clearcoat );\tmaterial.clearcoatRoughness = max( material.clearcoatRoughness, 0.0525 );\n\tmaterial.clearcoatRoughness += geometryRoughness;\n\tmaterial.clearcoatRoughness = min( material.clearcoatRoughness, 1.0 );\n#endif\n#ifdef USE_DISPERSION\n\tmaterial.dispersion = dispersion;\n#endif\n#ifdef USE_IRIDESCENCE\n\tmaterial.iridescence = iridescence;\n\tmaterial.iridescenceIOR = iridescenceIOR;\n\t#ifdef USE_IRIDESCENCEMAP\n\t\tmaterial.iridescence *= texture2D( iridescenceMap, vIridescenceMapUv ).r;\n\t#endif\n\t#ifdef USE_IRIDESCENCE_THICKNESSMAP\n\t\tmaterial.iridescenceThickness = (iridescenceThicknessMaximum - iridescenceThicknessMinimum) * texture2D( iridescenceThicknessMap, vIridescenceThicknessMapUv ).g + iridescenceThicknessMinimum;\n\t#else\n\t\tmaterial.iridescenceThickness = iridescenceThicknessMaximum;\n\t#endif\n#endif\n#ifdef USE_SHEEN\n\tmaterial.sheenColor = sheenColor;\n\t#ifdef USE_SHEEN_COLORMAP\n\t\tmaterial.sheenColor *= texture2D( sheenColorMap, vSheenColorMapUv ).rgb;\n\t#endif\n\tmaterial.sheenRoughness = clamp( sheenRoughness, 0.07, 1.0 );\n\t#ifdef USE_SHEEN_ROUGHNESSMAP\n\t\tmaterial.sheenRoughness *= texture2D( sheenRoughnessMap, vSheenRoughnessMapUv ).a;\n\t#endif\n#endif\n#ifdef USE_ANISOTROPY\n\t#ifdef USE_ANISOTROPYMAP\n\t\tmat2 anisotropyMat = mat2( anisotropyVector.x, anisotropyVector.y, - anisotropyVector.y, anisotropyVector.x );\n\t\tvec3 anisotropyPolar = texture2D( anisotropyMap, vAnisotropyMapUv ).rgb;\n\t\tvec2 anisotropyV = anisotropyMat * normalize( 2.0 * anisotropyPolar.rg - vec2( 1.0 ) ) * anisotropyPolar.b;\n\t#else\n\t\tvec2 anisotropyV = anisotropyVector;\n\t#endif\n\tmaterial.anisotropy = length( anisotropyV );\n\tif( material.anisotropy == 0.0 ) {\n\t\tanisotropyV = vec2( 1.0, 0.0 );\n\t} else {\n\t\tanisotropyV /= material.anisotropy;\n\t\tmaterial.anisotropy = saturate( material.anisotropy );\n\t}\n\tmaterial.alphaT = mix( pow2( material.roughness ), 1.0, pow2( material.anisotropy ) );\n\tmaterial.anisotropyT = tbn[ 0 ] * anisotropyV.x + tbn[ 1 ] * anisotropyV.y;\n\tmaterial.anisotropyB = tbn[ 1 ] * anisotropyV.x - tbn[ 0 ] * anisotropyV.y;\n#endif",lights_physical_pars_fragment:"struct PhysicalMaterial {\n\tvec3 diffuseColor;\n\tfloat roughness;\n\tvec3 specularColor;\n\tfloat specularF90;\n\tfloat dispersion;\n\t#ifdef USE_CLEARCOAT\n\t\tfloat clearcoat;\n\t\tfloat clearcoatRoughness;\n\t\tvec3 clearcoatF0;\n\t\tfloat clearcoatF90;\n\t#endif\n\t#ifdef USE_IRIDESCENCE\n\t\tfloat iridescence;\n\t\tfloat iridescenceIOR;\n\t\tfloat iridescenceThickness;\n\t\tvec3 iridescenceFresnel;\n\t\tvec3 iridescenceF0;\n\t#endif\n\t#ifdef USE_SHEEN\n\t\tvec3 sheenColor;\n\t\tfloat sheenRoughness;\n\t#endif\n\t#ifdef IOR\n\t\tfloat ior;\n\t#endif\n\t#ifdef USE_TRANSMISSION\n\t\tfloat transmission;\n\t\tfloat transmissionAlpha;\n\t\tfloat thickness;\n\t\tfloat attenuationDistance;\n\t\tvec3 attenuationColor;\n\t#endif\n\t#ifdef USE_ANISOTROPY\n\t\tfloat anisotropy;\n\t\tfloat alphaT;\n\t\tvec3 anisotropyT;\n\t\tvec3 anisotropyB;\n\t#endif\n};\nvec3 clearcoatSpecularDirect = vec3( 0.0 );\nvec3 clearcoatSpecularIndirect = vec3( 0.0 );\nvec3 sheenSpecularDirect = vec3( 0.0 );\nvec3 sheenSpecularIndirect = vec3(0.0 );\nvec3 Schlick_to_F0( const in vec3 f, const in float f90, const in float dotVH ) {\n    float x = clamp( 1.0 - dotVH, 0.0, 1.0 );\n    float x2 = x * x;\n    float x5 = clamp( x * x2 * x2, 0.0, 0.9999 );\n    return ( f - vec3( f90 ) * x5 ) / ( 1.0 - x5 );\n}\nfloat V_GGX_SmithCorrelated( const in float alpha, const in float dotNL, const in float dotNV ) {\n\tfloat a2 = pow2( alpha );\n\tfloat gv = dotNL * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNV ) );\n\tfloat gl = dotNV * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNL ) );\n\treturn 0.5 / max( gv + gl, EPSILON );\n}\nfloat D_GGX( const in float alpha, const in float dotNH ) {\n\tfloat a2 = pow2( alpha );\n\tfloat denom = pow2( dotNH ) * ( a2 - 1.0 ) + 1.0;\n\treturn RECIPROCAL_PI * a2 / pow2( denom );\n}\n#ifdef USE_ANISOTROPY\n\tfloat V_GGX_SmithCorrelated_Anisotropic( const in float alphaT, const in float alphaB, const in float dotTV, const in float dotBV, const in float dotTL, const in float dotBL, const in float dotNV, const in float dotNL ) {\n\t\tfloat gv = dotNL * length( vec3( alphaT * dotTV, alphaB * dotBV, dotNV ) );\n\t\tfloat gl = dotNV * length( vec3( alphaT * dotTL, alphaB * dotBL, dotNL ) );\n\t\tfloat v = 0.5 / ( gv + gl );\n\t\treturn saturate(v);\n\t}\n\tfloat D_GGX_Anisotropic( const in float alphaT, const in float alphaB, const in float dotNH, const in float dotTH, const in float dotBH ) {\n\t\tfloat a2 = alphaT * alphaB;\n\t\thighp vec3 v = vec3( alphaB * dotTH, alphaT * dotBH, a2 * dotNH );\n\t\thighp float v2 = dot( v, v );\n\t\tfloat w2 = a2 / v2;\n\t\treturn RECIPROCAL_PI * a2 * pow2 ( w2 );\n\t}\n#endif\n#ifdef USE_CLEARCOAT\n\tvec3 BRDF_GGX_Clearcoat( const in vec3 lightDir, const in vec3 viewDir, const in vec3 normal, const in PhysicalMaterial material) {\n\t\tvec3 f0 = material.clearcoatF0;\n\t\tfloat f90 = material.clearcoatF90;\n\t\tfloat roughness = material.clearcoatRoughness;\n\t\tfloat alpha = pow2( roughness );\n\t\tvec3 halfDir = normalize( lightDir + viewDir );\n\t\tfloat dotNL = saturate( dot( normal, lightDir ) );\n\t\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\t\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\t\tfloat dotVH = saturate( dot( viewDir, halfDir ) );\n\t\tvec3 F = F_Schlick( f0, f90, dotVH );\n\t\tfloat V = V_GGX_SmithCorrelated( alpha, dotNL, dotNV );\n\t\tfloat D = D_GGX( alpha, dotNH );\n\t\treturn F * ( V * D );\n\t}\n#endif\nvec3 BRDF_GGX( const in vec3 lightDir, const in vec3 viewDir, const in vec3 normal, const in PhysicalMaterial material ) {\n\tvec3 f0 = material.specularColor;\n\tfloat f90 = material.specularF90;\n\tfloat roughness = material.roughness;\n\tfloat alpha = pow2( roughness );\n\tvec3 halfDir = normalize( lightDir + viewDir );\n\tfloat dotNL = saturate( dot( normal, lightDir ) );\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\tfloat dotVH = saturate( dot( viewDir, halfDir ) );\n\tvec3 F = F_Schlick( f0, f90, dotVH );\n\t#ifdef USE_IRIDESCENCE\n\t\tF = mix( F, material.iridescenceFresnel, material.iridescence );\n\t#endif\n\t#ifdef USE_ANISOTROPY\n\t\tfloat dotTL = dot( material.anisotropyT, lightDir );\n\t\tfloat dotTV = dot( material.anisotropyT, viewDir );\n\t\tfloat dotTH = dot( material.anisotropyT, halfDir );\n\t\tfloat dotBL = dot( material.anisotropyB, lightDir );\n\t\tfloat dotBV = dot( material.anisotropyB, viewDir );\n\t\tfloat dotBH = dot( material.anisotropyB, halfDir );\n\t\tfloat V = V_GGX_SmithCorrelated_Anisotropic( material.alphaT, alpha, dotTV, dotBV, dotTL, dotBL, dotNV, dotNL );\n\t\tfloat D = D_GGX_Anisotropic( material.alphaT, alpha, dotNH, dotTH, dotBH );\n\t#else\n\t\tfloat V = V_GGX_SmithCorrelated( alpha, dotNL, dotNV );\n\t\tfloat D = D_GGX( alpha, dotNH );\n\t#endif\n\treturn F * ( V * D );\n}\nvec2 LTC_Uv( const in vec3 N, const in vec3 V, const in float roughness ) {\n\tconst float LUT_SIZE = 64.0;\n\tconst float LUT_SCALE = ( LUT_SIZE - 1.0 ) / LUT_SIZE;\n\tconst float LUT_BIAS = 0.5 / LUT_SIZE;\n\tfloat dotNV = saturate( dot( N, V ) );\n\tvec2 uv = vec2( roughness, sqrt( 1.0 - dotNV ) );\n\tuv = uv * LUT_SCALE + LUT_BIAS;\n\treturn uv;\n}\nfloat LTC_ClippedSphereFormFactor( const in vec3 f ) {\n\tfloat l = length( f );\n\treturn max( ( l * l + f.z ) / ( l + 1.0 ), 0.0 );\n}\nvec3 LTC_EdgeVectorFormFactor( const in vec3 v1, const in vec3 v2 ) {\n\tfloat x = dot( v1, v2 );\n\tfloat y = abs( x );\n\tfloat a = 0.8543985 + ( 0.4965155 + 0.0145206 * y ) * y;\n\tfloat b = 3.4175940 + ( 4.1616724 + y ) * y;\n\tfloat v = a / b;\n\tfloat theta_sintheta = ( x > 0.0 ) ? v : 0.5 * inversesqrt( max( 1.0 - x * x, 1e-7 ) ) - v;\n\treturn cross( v1, v2 ) * theta_sintheta;\n}\nvec3 LTC_Evaluate( const in vec3 N, const in vec3 V, const in vec3 P, const in mat3 mInv, const in vec3 rectCoords[ 4 ] ) {\n\tvec3 v1 = rectCoords[ 1 ] - rectCoords[ 0 ];\n\tvec3 v2 = rectCoords[ 3 ] - rectCoords[ 0 ];\n\tvec3 lightNormal = cross( v1, v2 );\n\tif( dot( lightNormal, P - rectCoords[ 0 ] ) < 0.0 ) return vec3( 0.0 );\n\tvec3 T1, T2;\n\tT1 = normalize( V - N * dot( V, N ) );\n\tT2 = - cross( N, T1 );\n\tmat3 mat = mInv * transposeMat3( mat3( T1, T2, N ) );\n\tvec3 coords[ 4 ];\n\tcoords[ 0 ] = mat * ( rectCoords[ 0 ] - P );\n\tcoords[ 1 ] = mat * ( rectCoords[ 1 ] - P );\n\tcoords[ 2 ] = mat * ( rectCoords[ 2 ] - P );\n\tcoords[ 3 ] = mat * ( rectCoords[ 3 ] - P );\n\tcoords[ 0 ] = normalize( coords[ 0 ] );\n\tcoords[ 1 ] = normalize( coords[ 1 ] );\n\tcoords[ 2 ] = normalize( coords[ 2 ] );\n\tcoords[ 3 ] = normalize( coords[ 3 ] );\n\tvec3 vectorFormFactor = vec3( 0.0 );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 0 ], coords[ 1 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 1 ], coords[ 2 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 2 ], coords[ 3 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 3 ], coords[ 0 ] );\n\tfloat result = LTC_ClippedSphereFormFactor( vectorFormFactor );\n\treturn vec3( result );\n}\n#if defined( USE_SHEEN )\nfloat D_Charlie( float roughness, float dotNH ) {\n\tfloat alpha = pow2( roughness );\n\tfloat invAlpha = 1.0 / alpha;\n\tfloat cos2h = dotNH * dotNH;\n\tfloat sin2h = max( 1.0 - cos2h, 0.0078125 );\n\treturn ( 2.0 + invAlpha ) * pow( sin2h, invAlpha * 0.5 ) / ( 2.0 * PI );\n}\nfloat V_Neubelt( float dotNV, float dotNL ) {\n\treturn saturate( 1.0 / ( 4.0 * ( dotNL + dotNV - dotNL * dotNV ) ) );\n}\nvec3 BRDF_Sheen( const in vec3 lightDir, const in vec3 viewDir, const in vec3 normal, vec3 sheenColor, const in float sheenRoughness ) {\n\tvec3 halfDir = normalize( lightDir + viewDir );\n\tfloat dotNL = saturate( dot( normal, lightDir ) );\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\tfloat D = D_Charlie( sheenRoughness, dotNH );\n\tfloat V = V_Neubelt( dotNV, dotNL );\n\treturn sheenColor * ( D * V );\n}\n#endif\nfloat IBLSheenBRDF( const in vec3 normal, const in vec3 viewDir, const in float roughness ) {\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tfloat r2 = roughness * roughness;\n\tfloat a = roughness < 0.25 ? -339.2 * r2 + 161.4 * roughness - 25.9 : -8.48 * r2 + 14.3 * roughness - 9.95;\n\tfloat b = roughness < 0.25 ? 44.0 * r2 - 23.7 * roughness + 3.26 : 1.97 * r2 - 3.27 * roughness + 0.72;\n\tfloat DG = exp( a * dotNV + b ) + ( roughness < 0.25 ? 0.0 : 0.1 * ( roughness - 0.25 ) );\n\treturn saturate( DG * RECIPROCAL_PI );\n}\nvec2 DFGApprox( const in vec3 normal, const in vec3 viewDir, const in float roughness ) {\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tconst vec4 c0 = vec4( - 1, - 0.0275, - 0.572, 0.022 );\n\tconst vec4 c1 = vec4( 1, 0.0425, 1.04, - 0.04 );\n\tvec4 r = roughness * c0 + c1;\n\tfloat a004 = min( r.x * r.x, exp2( - 9.28 * dotNV ) ) * r.x + r.y;\n\tvec2 fab = vec2( - 1.04, 1.04 ) * a004 + r.zw;\n\treturn fab;\n}\nvec3 EnvironmentBRDF( const in vec3 normal, const in vec3 viewDir, const in vec3 specularColor, const in float specularF90, const in float roughness ) {\n\tvec2 fab = DFGApprox( normal, viewDir, roughness );\n\treturn specularColor * fab.x + specularF90 * fab.y;\n}\n#ifdef USE_IRIDESCENCE\nvoid computeMultiscatteringIridescence( const in vec3 normal, const in vec3 viewDir, const in vec3 specularColor, const in float specularF90, const in float iridescence, const in vec3 iridescenceF0, const in float roughness, inout vec3 singleScatter, inout vec3 multiScatter ) {\n#else\nvoid computeMultiscattering( const in vec3 normal, const in vec3 viewDir, const in vec3 specularColor, const in float specularF90, const in float roughness, inout vec3 singleScatter, inout vec3 multiScatter ) {\n#endif\n\tvec2 fab = DFGApprox( normal, viewDir, roughness );\n\t#ifdef USE_IRIDESCENCE\n\t\tvec3 Fr = mix( specularColor, iridescenceF0, iridescence );\n\t#else\n\t\tvec3 Fr = specularColor;\n\t#endif\n\tvec3 FssEss = Fr * fab.x + specularF90 * fab.y;\n\tfloat Ess = fab.x + fab.y;\n\tfloat Ems = 1.0 - Ess;\n\tvec3 Favg = Fr + ( 1.0 - Fr ) * 0.047619;\tvec3 Fms = FssEss * Favg / ( 1.0 - Ems * Favg );\n\tsingleScatter += FssEss;\n\tmultiScatter += Fms * Ems;\n}\n#if NUM_RECT_AREA_LIGHTS > 0\n\tvoid RE_Direct_RectArea_Physical( const in RectAreaLight rectAreaLight, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\t\tvec3 normal = geometryNormal;\n\t\tvec3 viewDir = geometryViewDir;\n\t\tvec3 position = geometryPosition;\n\t\tvec3 lightPos = rectAreaLight.position;\n\t\tvec3 halfWidth = rectAreaLight.halfWidth;\n\t\tvec3 halfHeight = rectAreaLight.halfHeight;\n\t\tvec3 lightColor = rectAreaLight.color;\n\t\tfloat roughness = material.roughness;\n\t\tvec3 rectCoords[ 4 ];\n\t\trectCoords[ 0 ] = lightPos + halfWidth - halfHeight;\t\trectCoords[ 1 ] = lightPos - halfWidth - halfHeight;\n\t\trectCoords[ 2 ] = lightPos - halfWidth + halfHeight;\n\t\trectCoords[ 3 ] = lightPos + halfWidth + halfHeight;\n\t\tvec2 uv = LTC_Uv( normal, viewDir, roughness );\n\t\tvec4 t1 = texture2D( ltc_1, uv );\n\t\tvec4 t2 = texture2D( ltc_2, uv );\n\t\tmat3 mInv = mat3(\n\t\t\tvec3( t1.x, 0, t1.y ),\n\t\t\tvec3(    0, 1,    0 ),\n\t\t\tvec3( t1.z, 0, t1.w )\n\t\t);\n\t\tvec3 fresnel = ( material.specularColor * t2.x + ( vec3( 1.0 ) - material.specularColor ) * t2.y );\n\t\treflectedLight.directSpecular += lightColor * fresnel * LTC_Evaluate( normal, viewDir, position, mInv, rectCoords );\n\t\treflectedLight.directDiffuse += lightColor * material.diffuseColor * LTC_Evaluate( normal, viewDir, position, mat3( 1.0 ), rectCoords );\n\t}\n#endif\nvoid RE_Direct_Physical( const in IncidentLight directLight, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometryNormal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\t#ifdef USE_CLEARCOAT\n\t\tfloat dotNLcc = saturate( dot( geometryClearcoatNormal, directLight.direction ) );\n\t\tvec3 ccIrradiance = dotNLcc * directLight.color;\n\t\tclearcoatSpecularDirect += ccIrradiance * BRDF_GGX_Clearcoat( directLight.direction, geometryViewDir, geometryClearcoatNormal, material );\n\t#endif\n\t#ifdef USE_SHEEN\n\t\tsheenSpecularDirect += irradiance * BRDF_Sheen( directLight.direction, geometryViewDir, geometryNormal, material.sheenColor, material.sheenRoughness );\n\t#endif\n\treflectedLight.directSpecular += irradiance * BRDF_GGX( directLight.direction, geometryViewDir, geometryNormal, material );\n\treflectedLight.directDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Physical( const in vec3 irradiance, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectSpecular_Physical( const in vec3 radiance, const in vec3 irradiance, const in vec3 clearcoatRadiance, const in vec3 geometryPosition, const in vec3 geometryNormal, const in vec3 geometryViewDir, const in vec3 geometryClearcoatNormal, const in PhysicalMaterial material, inout ReflectedLight reflectedLight) {\n\t#ifdef USE_CLEARCOAT\n\t\tclearcoatSpecularIndirect += clearcoatRadiance * EnvironmentBRDF( geometryClearcoatNormal, geometryViewDir, material.clearcoatF0, material.clearcoatF90, material.clearcoatRoughness );\n\t#endif\n\t#ifdef USE_SHEEN\n\t\tsheenSpecularIndirect += irradiance * material.sheenColor * IBLSheenBRDF( geometryNormal, geometryViewDir, material.sheenRoughness );\n\t#endif\n\tvec3 singleScattering = vec3( 0.0 );\n\tvec3 multiScattering = vec3( 0.0 );\n\tvec3 cosineWeightedIrradiance = irradiance * RECIPROCAL_PI;\n\t#ifdef USE_IRIDESCENCE\n\t\tcomputeMultiscatteringIridescence( geometryNormal, geometryViewDir, material.specularColor, material.specularF90, material.iridescence, material.iridescenceFresnel, material.roughness, singleScattering, multiScattering );\n\t#else\n\t\tcomputeMultiscattering( geometryNormal, geometryViewDir, material.specularColor, material.specularF90, material.roughness, singleScattering, multiScattering );\n\t#endif\n\tvec3 totalScattering = singleScattering + multiScattering;\n\tvec3 diffuse = material.diffuseColor * ( 1.0 - max( max( totalScattering.r, totalScattering.g ), totalScattering.b ) );\n\treflectedLight.indirectSpecular += radiance * singleScattering;\n\treflectedLight.indirectSpecular += multiScattering * cosineWeightedIrradiance;\n\treflectedLight.indirectDiffuse += diffuse * cosineWeightedIrradiance;\n}\n#define RE_Direct\t\t\t\tRE_Direct_Physical\n#define RE_Direct_RectArea\t\tRE_Direct_RectArea_Physical\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Physical\n#define RE_IndirectSpecular\t\tRE_IndirectSpecular_Physical\nfloat computeSpecularOcclusion( const in float dotNV, const in float ambientOcclusion, const in float roughness ) {\n\treturn saturate( pow( dotNV + ambientOcclusion, exp2( - 16.0 * roughness - 1.0 ) ) - 1.0 + ambientOcclusion );\n}",lights_fragment_begin:"\nvec3 geometryPosition = - vViewPosition;\nvec3 geometryNormal = normal;\nvec3 geometryViewDir = ( isOrthographic ) ? vec3( 0, 0, 1 ) : normalize( vViewPosition );\nvec3 geometryClearcoatNormal = vec3( 0.0 );\n#ifdef USE_CLEARCOAT\n\tgeometryClearcoatNormal = clearcoatNormal;\n#endif\n#ifdef USE_IRIDESCENCE\n\tfloat dotNVi = saturate( dot( normal, geometryViewDir ) );\n\tif ( material.iridescenceThickness == 0.0 ) {\n\t\tmaterial.iridescence = 0.0;\n\t} else {\n\t\tmaterial.iridescence = saturate( material.iridescence );\n\t}\n\tif ( material.iridescence > 0.0 ) {\n\t\tmaterial.iridescenceFresnel = evalIridescence( 1.0, material.iridescenceIOR, dotNVi, material.iridescenceThickness, material.specularColor );\n\t\tmaterial.iridescenceF0 = Schlick_to_F0( material.iridescenceFresnel, 1.0, dotNVi );\n\t}\n#endif\nIncidentLight directLight;\n#if ( NUM_POINT_LIGHTS > 0 ) && defined( RE_Direct )\n\tPointLight pointLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHTS; i ++ ) {\n\t\tpointLight = pointLights[ i ];\n\t\tgetPointLightInfo( pointLight, geometryPosition, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_POINT_LIGHT_SHADOWS )\n\t\tpointLightShadow = pointLightShadows[ i ];\n\t\tdirectLight.color *= ( directLight.visible && receiveShadow ) ? getPointShadow( pointShadowMap[ i ], pointLightShadow.shadowMapSize, pointLightShadow.shadowBias, pointLightShadow.shadowRadius, vPointShadowCoord[ i ], pointLightShadow.shadowCameraNear, pointLightShadow.shadowCameraFar ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_SPOT_LIGHTS > 0 ) && defined( RE_Direct )\n\tSpotLight spotLight;\n\tvec4 spotColor;\n\tvec3 spotLightCoord;\n\tbool inSpotLightMap;\n\t#if defined( USE_SHADOWMAP ) && NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHTS; i ++ ) {\n\t\tspotLight = spotLights[ i ];\n\t\tgetSpotLightInfo( spotLight, geometryPosition, directLight );\n\t\t#if ( UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS_WITH_MAPS )\n\t\t#define SPOT_LIGHT_MAP_INDEX UNROLLED_LOOP_INDEX\n\t\t#elif ( UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS )\n\t\t#define SPOT_LIGHT_MAP_INDEX NUM_SPOT_LIGHT_MAPS\n\t\t#else\n\t\t#define SPOT_LIGHT_MAP_INDEX ( UNROLLED_LOOP_INDEX - NUM_SPOT_LIGHT_SHADOWS + NUM_SPOT_LIGHT_SHADOWS_WITH_MAPS )\n\t\t#endif\n\t\t#if ( SPOT_LIGHT_MAP_INDEX < NUM_SPOT_LIGHT_MAPS )\n\t\t\tspotLightCoord = vSpotLightCoord[ i ].xyz / vSpotLightCoord[ i ].w;\n\t\t\tinSpotLightMap = all( lessThan( abs( spotLightCoord * 2. - 1. ), vec3( 1.0 ) ) );\n\t\t\tspotColor = texture2D( spotLightMap[ SPOT_LIGHT_MAP_INDEX ], spotLightCoord.xy );\n\t\t\tdirectLight.color = inSpotLightMap ? directLight.color * spotColor.rgb : directLight.color;\n\t\t#endif\n\t\t#undef SPOT_LIGHT_MAP_INDEX\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS )\n\t\tspotLightShadow = spotLightShadows[ i ];\n\t\tdirectLight.color *= ( directLight.visible && receiveShadow ) ? getShadow( spotShadowMap[ i ], spotLightShadow.shadowMapSize, spotLightShadow.shadowBias, spotLightShadow.shadowRadius, vSpotLightCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_DIR_LIGHTS > 0 ) && defined( RE_Direct )\n\tDirectionalLight directionalLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHTS; i ++ ) {\n\t\tdirectionalLight = directionalLights[ i ];\n\t\tgetDirectionalLightInfo( directionalLight, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_DIR_LIGHT_SHADOWS )\n\t\tdirectionalLightShadow = directionalLightShadows[ i ];\n\t\tdirectLight.color *= ( directLight.visible && receiveShadow ) ? getShadow( directionalShadowMap[ i ], directionalLightShadow.shadowMapSize, directionalLightShadow.shadowBias, directionalLightShadow.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_RECT_AREA_LIGHTS > 0 ) && defined( RE_Direct_RectArea )\n\tRectAreaLight rectAreaLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_RECT_AREA_LIGHTS; i ++ ) {\n\t\trectAreaLight = rectAreaLights[ i ];\n\t\tRE_Direct_RectArea( rectAreaLight, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if defined( RE_IndirectDiffuse )\n\tvec3 iblIrradiance = vec3( 0.0 );\n\tvec3 irradiance = getAmbientLightIrradiance( ambientLightColor );\n\t#if defined( USE_LIGHT_PROBES )\n\t\tirradiance += getLightProbeIrradiance( lightProbe, geometryNormal );\n\t#endif\n\t#if ( NUM_HEMI_LIGHTS > 0 )\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < NUM_HEMI_LIGHTS; i ++ ) {\n\t\t\tirradiance += getHemisphereLightIrradiance( hemisphereLights[ i ], geometryNormal );\n\t\t}\n\t\t#pragma unroll_loop_end\n\t#endif\n#endif\n#if defined( RE_IndirectSpecular )\n\tvec3 radiance = vec3( 0.0 );\n\tvec3 clearcoatRadiance = vec3( 0.0 );\n#endif",lights_fragment_maps:"#if defined( RE_IndirectDiffuse )\n\t#ifdef USE_LIGHTMAP\n\t\tvec4 lightMapTexel = texture2D( lightMap, vLightMapUv );\n\t\tvec3 lightMapIrradiance = lightMapTexel.rgb * lightMapIntensity;\n\t\tirradiance += lightMapIrradiance;\n\t#endif\n\t#if defined( USE_ENVMAP ) && defined( STANDARD ) && defined( ENVMAP_TYPE_CUBE_UV )\n\t\tiblIrradiance += getIBLIrradiance( geometryNormal );\n\t#endif\n#endif\n#if defined( USE_ENVMAP ) && defined( RE_IndirectSpecular )\n\t#ifdef USE_ANISOTROPY\n\t\tradiance += getIBLAnisotropyRadiance( geometryViewDir, geometryNormal, material.roughness, material.anisotropyB, material.anisotropy );\n\t#else\n\t\tradiance += getIBLRadiance( geometryViewDir, geometryNormal, material.roughness );\n\t#endif\n\t#ifdef USE_CLEARCOAT\n\t\tclearcoatRadiance += getIBLRadiance( geometryViewDir, geometryClearcoatNormal, material.clearcoatRoughness );\n\t#endif\n#endif",lights_fragment_end:"#if defined( RE_IndirectDiffuse )\n\tRE_IndirectDiffuse( irradiance, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n#endif\n#if defined( RE_IndirectSpecular )\n\tRE_IndirectSpecular( radiance, iblIrradiance, clearcoatRadiance, geometryPosition, geometryNormal, geometryViewDir, geometryClearcoatNormal, material, reflectedLight );\n#endif",logdepthbuf_fragment:"#if defined( USE_LOGDEPTHBUF )\n\tgl_FragDepth = vIsPerspective == 0.0 ? gl_FragCoord.z : log2( vFragDepth ) * logDepthBufFC * 0.5;\n#endif",logdepthbuf_pars_fragment:"#if defined( USE_LOGDEPTHBUF )\n\tuniform float logDepthBufFC;\n\tvarying float vFragDepth;\n\tvarying float vIsPerspective;\n#endif",logdepthbuf_pars_vertex:"#ifdef USE_LOGDEPTHBUF\n\tvarying float vFragDepth;\n\tvarying float vIsPerspective;\n#endif",logdepthbuf_vertex:"#ifdef USE_LOGDEPTHBUF\n\tvFragDepth = 1.0 + gl_Position.w;\n\tvIsPerspective = float( isPerspectiveMatrix( projectionMatrix ) );\n#endif",map_fragment:"#ifdef USE_MAP\n\tvec4 sampledDiffuseColor = texture2D( map, vMapUv );\n\t#ifdef DECODE_VIDEO_TEXTURE\n\t\tsampledDiffuseColor = vec4( mix( pow( sampledDiffuseColor.rgb * 0.9478672986 + vec3( 0.0521327014 ), vec3( 2.4 ) ), sampledDiffuseColor.rgb * 0.0773993808, vec3( lessThanEqual( sampledDiffuseColor.rgb, vec3( 0.04045 ) ) ) ), sampledDiffuseColor.w );\n\t\n\t#endif\n\tdiffuseColor *= sampledDiffuseColor;\n#endif",map_pars_fragment:"#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif",map_particle_fragment:"#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\t#if defined( USE_POINTS_UV )\n\t\tvec2 uv = vUv;\n\t#else\n\t\tvec2 uv = ( uvTransform * vec3( gl_PointCoord.x, 1.0 - gl_PointCoord.y, 1 ) ).xy;\n\t#endif\n#endif\n#ifdef USE_MAP\n\tdiffuseColor *= texture2D( map, uv );\n#endif\n#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, uv ).g;\n#endif",map_particle_pars_fragment:"#if defined( USE_POINTS_UV )\n\tvarying vec2 vUv;\n#else\n\t#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\t\tuniform mat3 uvTransform;\n\t#endif\n#endif\n#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif\n#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",metalnessmap_fragment:"float metalnessFactor = metalness;\n#ifdef USE_METALNESSMAP\n\tvec4 texelMetalness = texture2D( metalnessMap, vMetalnessMapUv );\n\tmetalnessFactor *= texelMetalness.b;\n#endif",metalnessmap_pars_fragment:"#ifdef USE_METALNESSMAP\n\tuniform sampler2D metalnessMap;\n#endif",morphinstance_vertex:"#ifdef USE_INSTANCING_MORPH\n\tfloat morphTargetInfluences[MORPHTARGETS_COUNT];\n\tfloat morphTargetBaseInfluence = texelFetch( morphTexture, ivec2( 0, gl_InstanceID ), 0 ).r;\n\tfor ( int i = 0; i < MORPHTARGETS_COUNT; i ++ ) {\n\t\tmorphTargetInfluences[i] =  texelFetch( morphTexture, ivec2( i + 1, gl_InstanceID ), 0 ).r;\n\t}\n#endif",morphcolor_vertex:"#if defined( USE_MORPHCOLORS ) && defined( MORPHTARGETS_TEXTURE )\n\tvColor *= morphTargetBaseInfluence;\n\tfor ( int i = 0; i < MORPHTARGETS_COUNT; i ++ ) {\n\t\t#if defined( USE_COLOR_ALPHA )\n\t\t\tif ( morphTargetInfluences[ i ] != 0.0 ) vColor += getMorph( gl_VertexID, i, 2 ) * morphTargetInfluences[ i ];\n\t\t#elif defined( USE_COLOR )\n\t\t\tif ( morphTargetInfluences[ i ] != 0.0 ) vColor += getMorph( gl_VertexID, i, 2 ).rgb * morphTargetInfluences[ i ];\n\t\t#endif\n\t}\n#endif",morphnormal_vertex:"#ifdef USE_MORPHNORMALS\n\tobjectNormal *= morphTargetBaseInfluence;\n\t#ifdef MORPHTARGETS_TEXTURE\n\t\tfor ( int i = 0; i < MORPHTARGETS_COUNT; i ++ ) {\n\t\t\tif ( morphTargetInfluences[ i ] != 0.0 ) objectNormal += getMorph( gl_VertexID, i, 1 ).xyz * morphTargetInfluences[ i ];\n\t\t}\n\t#else\n\t\tobjectNormal += morphNormal0 * morphTargetInfluences[ 0 ];\n\t\tobjectNormal += morphNormal1 * morphTargetInfluences[ 1 ];\n\t\tobjectNormal += morphNormal2 * morphTargetInfluences[ 2 ];\n\t\tobjectNormal += morphNormal3 * morphTargetInfluences[ 3 ];\n\t#endif\n#endif",morphtarget_pars_vertex:"#ifdef USE_MORPHTARGETS\n\t#ifndef USE_INSTANCING_MORPH\n\t\tuniform float morphTargetBaseInfluence;\n\t#endif\n\t#ifdef MORPHTARGETS_TEXTURE\n\t\t#ifndef USE_INSTANCING_MORPH\n\t\t\tuniform float morphTargetInfluences[ MORPHTARGETS_COUNT ];\n\t\t#endif\n\t\tuniform sampler2DArray morphTargetsTexture;\n\t\tuniform ivec2 morphTargetsTextureSize;\n\t\tvec4 getMorph( const in int vertexIndex, const in int morphTargetIndex, const in int offset ) {\n\t\t\tint texelIndex = vertexIndex * MORPHTARGETS_TEXTURE_STRIDE + offset;\n\t\t\tint y = texelIndex / morphTargetsTextureSize.x;\n\t\t\tint x = texelIndex - y * morphTargetsTextureSize.x;\n\t\t\tivec3 morphUV = ivec3( x, y, morphTargetIndex );\n\t\t\treturn texelFetch( morphTargetsTexture, morphUV, 0 );\n\t\t}\n\t#else\n\t\t#ifndef USE_MORPHNORMALS\n\t\t\tuniform float morphTargetInfluences[ 8 ];\n\t\t#else\n\t\t\tuniform float morphTargetInfluences[ 4 ];\n\t\t#endif\n\t#endif\n#endif",morphtarget_vertex:"#ifdef USE_MORPHTARGETS\n\ttransformed *= morphTargetBaseInfluence;\n\t#ifdef MORPHTARGETS_TEXTURE\n\t\tfor ( int i = 0; i < MORPHTARGETS_COUNT; i ++ ) {\n\t\t\tif ( morphTargetInfluences[ i ] != 0.0 ) transformed += getMorph( gl_VertexID, i, 0 ).xyz * morphTargetInfluences[ i ];\n\t\t}\n\t#else\n\t\ttransformed += morphTarget0 * morphTargetInfluences[ 0 ];\n\t\ttransformed += morphTarget1 * morphTargetInfluences[ 1 ];\n\t\ttransformed += morphTarget2 * morphTargetInfluences[ 2 ];\n\t\ttransformed += morphTarget3 * morphTargetInfluences[ 3 ];\n\t\t#ifndef USE_MORPHNORMALS\n\t\t\ttransformed += morphTarget4 * morphTargetInfluences[ 4 ];\n\t\t\ttransformed += morphTarget5 * morphTargetInfluences[ 5 ];\n\t\t\ttransformed += morphTarget6 * morphTargetInfluences[ 6 ];\n\t\t\ttransformed += morphTarget7 * morphTargetInfluences[ 7 ];\n\t\t#endif\n\t#endif\n#endif",normal_fragment_begin:"float faceDirection = gl_FrontFacing ? 1.0 : - 1.0;\n#ifdef FLAT_SHADED\n\tvec3 fdx = dFdx( vViewPosition );\n\tvec3 fdy = dFdy( vViewPosition );\n\tvec3 normal = normalize( cross( fdx, fdy ) );\n#else\n\tvec3 normal = normalize( vNormal );\n\t#ifdef DOUBLE_SIDED\n\t\tnormal *= faceDirection;\n\t#endif\n#endif\n#if defined( USE_NORMALMAP_TANGENTSPACE ) || defined( USE_CLEARCOAT_NORMALMAP ) || defined( USE_ANISOTROPY )\n\t#ifdef USE_TANGENT\n\t\tmat3 tbn = mat3( normalize( vTangent ), normalize( vBitangent ), normal );\n\t#else\n\t\tmat3 tbn = getTangentFrame( - vViewPosition, normal,\n\t\t#if defined( USE_NORMALMAP )\n\t\t\tvNormalMapUv\n\t\t#elif defined( USE_CLEARCOAT_NORMALMAP )\n\t\t\tvClearcoatNormalMapUv\n\t\t#else\n\t\t\tvUv\n\t\t#endif\n\t\t);\n\t#endif\n\t#if defined( DOUBLE_SIDED ) && ! defined( FLAT_SHADED )\n\t\ttbn[0] *= faceDirection;\n\t\ttbn[1] *= faceDirection;\n\t#endif\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\t#ifdef USE_TANGENT\n\t\tmat3 tbn2 = mat3( normalize( vTangent ), normalize( vBitangent ), normal );\n\t#else\n\t\tmat3 tbn2 = getTangentFrame( - vViewPosition, normal, vClearcoatNormalMapUv );\n\t#endif\n\t#if defined( DOUBLE_SIDED ) && ! defined( FLAT_SHADED )\n\t\ttbn2[0] *= faceDirection;\n\t\ttbn2[1] *= faceDirection;\n\t#endif\n#endif\nvec3 nonPerturbedNormal = normal;",normal_fragment_maps:"#ifdef USE_NORMALMAP_OBJECTSPACE\n\tnormal = texture2D( normalMap, vNormalMapUv ).xyz * 2.0 - 1.0;\n\t#ifdef FLIP_SIDED\n\t\tnormal = - normal;\n\t#endif\n\t#ifdef DOUBLE_SIDED\n\t\tnormal = normal * faceDirection;\n\t#endif\n\tnormal = normalize( normalMatrix * normal );\n#elif defined( USE_NORMALMAP_TANGENTSPACE )\n\tvec3 mapN = texture2D( normalMap, vNormalMapUv ).xyz * 2.0 - 1.0;\n\tmapN.xy *= normalScale;\n\tnormal = normalize( tbn * mapN );\n#elif defined( USE_BUMPMAP )\n\tnormal = perturbNormalArb( - vViewPosition, normal, dHdxy_fwd(), faceDirection );\n#endif",normal_pars_fragment:"#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif",normal_pars_vertex:"#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif",normal_vertex:"#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n\t#ifdef USE_TANGENT\n\t\tvTangent = normalize( transformedTangent );\n\t\tvBitangent = normalize( cross( vNormal, vTangent ) * tangent.w );\n\t#endif\n#endif",normalmap_pars_fragment:"#ifdef USE_NORMALMAP\n\tuniform sampler2D normalMap;\n\tuniform vec2 normalScale;\n#endif\n#ifdef USE_NORMALMAP_OBJECTSPACE\n\tuniform mat3 normalMatrix;\n#endif\n#if ! defined ( USE_TANGENT ) && ( defined ( USE_NORMALMAP_TANGENTSPACE ) || defined ( USE_CLEARCOAT_NORMALMAP ) || defined( USE_ANISOTROPY ) )\n\tmat3 getTangentFrame( vec3 eye_pos, vec3 surf_norm, vec2 uv ) {\n\t\tvec3 q0 = dFdx( eye_pos.xyz );\n\t\tvec3 q1 = dFdy( eye_pos.xyz );\n\t\tvec2 st0 = dFdx( uv.st );\n\t\tvec2 st1 = dFdy( uv.st );\n\t\tvec3 N = surf_norm;\n\t\tvec3 q1perp = cross( q1, N );\n\t\tvec3 q0perp = cross( N, q0 );\n\t\tvec3 T = q1perp * st0.x + q0perp * st1.x;\n\t\tvec3 B = q1perp * st0.y + q0perp * st1.y;\n\t\tfloat det = max( dot( T, T ), dot( B, B ) );\n\t\tfloat scale = ( det == 0.0 ) ? 0.0 : inversesqrt( det );\n\t\treturn mat3( T * scale, B * scale, N );\n\t}\n#endif",clearcoat_normal_fragment_begin:"#ifdef USE_CLEARCOAT\n\tvec3 clearcoatNormal = nonPerturbedNormal;\n#endif",clearcoat_normal_fragment_maps:"#ifdef USE_CLEARCOAT_NORMALMAP\n\tvec3 clearcoatMapN = texture2D( clearcoatNormalMap, vClearcoatNormalMapUv ).xyz * 2.0 - 1.0;\n\tclearcoatMapN.xy *= clearcoatNormalScale;\n\tclearcoatNormal = normalize( tbn2 * clearcoatMapN );\n#endif",clearcoat_pars_fragment:"#ifdef USE_CLEARCOATMAP\n\tuniform sampler2D clearcoatMap;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tuniform sampler2D clearcoatNormalMap;\n\tuniform vec2 clearcoatNormalScale;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tuniform sampler2D clearcoatRoughnessMap;\n#endif",iridescence_pars_fragment:"#ifdef USE_IRIDESCENCEMAP\n\tuniform sampler2D iridescenceMap;\n#endif\n#ifdef USE_IRIDESCENCE_THICKNESSMAP\n\tuniform sampler2D iridescenceThicknessMap;\n#endif",opaque_fragment:"#ifdef OPAQUE\ndiffuseColor.a = 1.0;\n#endif\n#ifdef USE_TRANSMISSION\ndiffuseColor.a *= material.transmissionAlpha;\n#endif\ngl_FragColor = vec4( outgoingLight, diffuseColor.a );",packing:"vec3 packNormalToRGB( const in vec3 normal ) {\n\treturn normalize( normal ) * 0.5 + 0.5;\n}\nvec3 unpackRGBToNormal( const in vec3 rgb ) {\n\treturn 2.0 * rgb.xyz - 1.0;\n}\nconst float PackUpscale = 256. / 255.;const float UnpackDownscale = 255. / 256.;\nconst vec3 PackFactors = vec3( 256. * 256. * 256., 256. * 256., 256. );\nconst vec4 UnpackFactors = UnpackDownscale / vec4( PackFactors, 1. );\nconst float ShiftRight8 = 1. / 256.;\nvec4 packDepthToRGBA( const in float v ) {\n\tvec4 r = vec4( fract( v * PackFactors ), v );\n\tr.yzw -= r.xyz * ShiftRight8;\treturn r * PackUpscale;\n}\nfloat unpackRGBAToDepth( const in vec4 v ) {\n\treturn dot( v, UnpackFactors );\n}\nvec2 packDepthToRG( in highp float v ) {\n\treturn packDepthToRGBA( v ).yx;\n}\nfloat unpackRGToDepth( const in highp vec2 v ) {\n\treturn unpackRGBAToDepth( vec4( v.xy, 0.0, 0.0 ) );\n}\nvec4 pack2HalfToRGBA( vec2 v ) {\n\tvec4 r = vec4( v.x, fract( v.x * 255.0 ), v.y, fract( v.y * 255.0 ) );\n\treturn vec4( r.x - r.y / 255.0, r.y, r.z - r.w / 255.0, r.w );\n}\nvec2 unpackRGBATo2Half( vec4 v ) {\n\treturn vec2( v.x + ( v.y / 255.0 ), v.z + ( v.w / 255.0 ) );\n}\nfloat viewZToOrthographicDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn ( viewZ + near ) / ( near - far );\n}\nfloat orthographicDepthToViewZ( const in float depth, const in float near, const in float far ) {\n\treturn depth * ( near - far ) - near;\n}\nfloat viewZToPerspectiveDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn ( ( near + viewZ ) * far ) / ( ( far - near ) * viewZ );\n}\nfloat perspectiveDepthToViewZ( const in float depth, const in float near, const in float far ) {\n\treturn ( near * far ) / ( ( far - near ) * depth - far );\n}",premultiplied_alpha_fragment:"#ifdef PREMULTIPLIED_ALPHA\n\tgl_FragColor.rgb *= gl_FragColor.a;\n#endif",project_vertex:"vec4 mvPosition = vec4( transformed, 1.0 );\n#ifdef USE_BATCHING\n\tmvPosition = batchingMatrix * mvPosition;\n#endif\n#ifdef USE_INSTANCING\n\tmvPosition = instanceMatrix * mvPosition;\n#endif\nmvPosition = modelViewMatrix * mvPosition;\ngl_Position = projectionMatrix * mvPosition;",dithering_fragment:"#ifdef DITHERING\n\tgl_FragColor.rgb = dithering( gl_FragColor.rgb );\n#endif",dithering_pars_fragment:"#ifdef DITHERING\n\tvec3 dithering( vec3 color ) {\n\t\tfloat grid_position = rand( gl_FragCoord.xy );\n\t\tvec3 dither_shift_RGB = vec3( 0.25 / 255.0, -0.25 / 255.0, 0.25 / 255.0 );\n\t\tdither_shift_RGB = mix( 2.0 * dither_shift_RGB, -2.0 * dither_shift_RGB, grid_position );\n\t\treturn color + dither_shift_RGB;\n\t}\n#endif",roughnessmap_fragment:"float roughnessFactor = roughness;\n#ifdef USE_ROUGHNESSMAP\n\tvec4 texelRoughness = texture2D( roughnessMap, vRoughnessMapUv );\n\troughnessFactor *= texelRoughness.g;\n#endif",roughnessmap_pars_fragment:"#ifdef USE_ROUGHNESSMAP\n\tuniform sampler2D roughnessMap;\n#endif",shadowmap_pars_fragment:"#if NUM_SPOT_LIGHT_COORDS > 0\n\tvarying vec4 vSpotLightCoord[ NUM_SPOT_LIGHT_COORDS ];\n#endif\n#if NUM_SPOT_LIGHT_MAPS > 0\n\tuniform sampler2D spotLightMap[ NUM_SPOT_LIGHT_MAPS ];\n#endif\n#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D directionalShadowMap[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D spotShadowMap[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D pointShadowMap[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n\tfloat texture2DCompare( sampler2D depths, vec2 uv, float compare ) {\n\t\treturn step( compare, unpackRGBAToDepth( texture2D( depths, uv ) ) );\n\t}\n\tvec2 texture2DDistribution( sampler2D shadow, vec2 uv ) {\n\t\treturn unpackRGBATo2Half( texture2D( shadow, uv ) );\n\t}\n\tfloat VSMShadow (sampler2D shadow, vec2 uv, float compare ){\n\t\tfloat occlusion = 1.0;\n\t\tvec2 distribution = texture2DDistribution( shadow, uv );\n\t\tfloat hard_shadow = step( compare , distribution.x );\n\t\tif (hard_shadow != 1.0 ) {\n\t\t\tfloat distance = compare - distribution.x ;\n\t\t\tfloat variance = max( 0.00000, distribution.y * distribution.y );\n\t\t\tfloat softness_probability = variance / (variance + distance * distance );\t\t\tsoftness_probability = clamp( ( softness_probability - 0.3 ) / ( 0.95 - 0.3 ), 0.0, 1.0 );\t\t\tocclusion = clamp( max( hard_shadow, softness_probability ), 0.0, 1.0 );\n\t\t}\n\t\treturn occlusion;\n\t}\n\tfloat getShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord ) {\n\t\tfloat shadow = 1.0;\n\t\tshadowCoord.xyz /= shadowCoord.w;\n\t\tshadowCoord.z += shadowBias;\n\t\tbool inFrustum = shadowCoord.x >= 0.0 && shadowCoord.x <= 1.0 && shadowCoord.y >= 0.0 && shadowCoord.y <= 1.0;\n\t\tbool frustumTest = inFrustum && shadowCoord.z <= 1.0;\n\t\tif ( frustumTest ) {\n\t\t#if defined( SHADOWMAP_TYPE_PCF )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx0 = - texelSize.x * shadowRadius;\n\t\t\tfloat dy0 = - texelSize.y * shadowRadius;\n\t\t\tfloat dx1 = + texelSize.x * shadowRadius;\n\t\t\tfloat dy1 = + texelSize.y * shadowRadius;\n\t\t\tfloat dx2 = dx0 / 2.0;\n\t\t\tfloat dy2 = dy0 / 2.0;\n\t\t\tfloat dx3 = dx1 / 2.0;\n\t\t\tfloat dy3 = dy1 / 2.0;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy1 ), shadowCoord.z )\n\t\t\t) * ( 1.0 / 17.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_PCF_SOFT )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx = texelSize.x;\n\t\t\tfloat dy = texelSize.y;\n\t\t\tvec2 uv = shadowCoord.xy;\n\t\t\tvec2 f = fract( uv * shadowMapSize + 0.5 );\n\t\t\tuv -= f * texelSize;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, uv, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( dx, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( 0.0, dy ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + texelSize, shadowCoord.z ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, 0.0 ), shadowCoord.z ),\n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 0.0 ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, dy ), shadowCoord.z ),\n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, dy ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( 0.0, -dy ), shadowCoord.z ),\n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 0.0, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( dx, -dy ), shadowCoord.z ),\n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( mix( texture2DCompare( shadowMap, uv + vec2( -dx, -dy ), shadowCoord.z ),\n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, -dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t mix( texture2DCompare( shadowMap, uv + vec2( -dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t f.y )\n\t\t\t) * ( 1.0 / 9.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_VSM )\n\t\t\tshadow = VSMShadow( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#else\n\t\t\tshadow = texture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#endif\n\t\t}\n\t\treturn shadow;\n\t}\n\tvec2 cubeToUV( vec3 v, float texelSizeY ) {\n\t\tvec3 absV = abs( v );\n\t\tfloat scaleToCube = 1.0 / max( absV.x, max( absV.y, absV.z ) );\n\t\tabsV *= scaleToCube;\n\t\tv *= scaleToCube * ( 1.0 - 2.0 * texelSizeY );\n\t\tvec2 planar = v.xy;\n\t\tfloat almostATexel = 1.5 * texelSizeY;\n\t\tfloat almostOne = 1.0 - almostATexel;\n\t\tif ( absV.z >= almostOne ) {\n\t\t\tif ( v.z > 0.0 )\n\t\t\t\tplanar.x = 4.0 - v.x;\n\t\t} else if ( absV.x >= almostOne ) {\n\t\t\tfloat signX = sign( v.x );\n\t\t\tplanar.x = v.z * signX + 2.0 * signX;\n\t\t} else if ( absV.y >= almostOne ) {\n\t\t\tfloat signY = sign( v.y );\n\t\t\tplanar.x = v.x + 2.0 * signY + 2.0;\n\t\t\tplanar.y = v.z * signY - 2.0;\n\t\t}\n\t\treturn vec2( 0.125, 0.25 ) * planar + vec2( 0.375, 0.75 );\n\t}\n\tfloat getPointShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord, float shadowCameraNear, float shadowCameraFar ) {\n\t\tfloat shadow = 1.0;\n\t\tvec3 lightToPosition = shadowCoord.xyz;\n\t\t\n\t\tfloat lightToPositionLength = length( lightToPosition );\n\t\tif ( lightToPositionLength - shadowCameraFar <= 0.0 && lightToPositionLength - shadowCameraNear >= 0.0 ) {\n\t\t\tfloat dp = ( lightToPositionLength - shadowCameraNear ) / ( shadowCameraFar - shadowCameraNear );\t\t\tdp += shadowBias;\n\t\t\tvec3 bd3D = normalize( lightToPosition );\n\t\t\tvec2 texelSize = vec2( 1.0 ) / ( shadowMapSize * vec2( 4.0, 2.0 ) );\n\t\t\t#if defined( SHADOWMAP_TYPE_PCF ) || defined( SHADOWMAP_TYPE_PCF_SOFT ) || defined( SHADOWMAP_TYPE_VSM )\n\t\t\t\tvec2 offset = vec2( - 1, 1 ) * shadowRadius * texelSize.y;\n\t\t\t\tshadow = (\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyy, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyy, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyx, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyx, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxy, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxy, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxx, texelSize.y ), dp ) +\n\t\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxx, texelSize.y ), dp )\n\t\t\t\t) * ( 1.0 / 9.0 );\n\t\t\t#else\n\t\t\t\tshadow = texture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp );\n\t\t\t#endif\n\t\t}\n\t\treturn shadow;\n\t}\n#endif",shadowmap_pars_vertex:"#if NUM_SPOT_LIGHT_COORDS > 0\n\tuniform mat4 spotLightMatrix[ NUM_SPOT_LIGHT_COORDS ];\n\tvarying vec4 vSpotLightCoord[ NUM_SPOT_LIGHT_COORDS ];\n#endif\n#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform mat4 directionalShadowMatrix[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform mat4 pointShadowMatrix[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n#endif",shadowmap_vertex:"#if ( defined( USE_SHADOWMAP ) && ( NUM_DIR_LIGHT_SHADOWS > 0 || NUM_POINT_LIGHT_SHADOWS > 0 ) ) || ( NUM_SPOT_LIGHT_COORDS > 0 )\n\tvec3 shadowWorldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\tvec4 shadowWorldPosition;\n#endif\n#if defined( USE_SHADOWMAP )\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * directionalLightShadows[ i ].shadowNormalBias, 0 );\n\t\t\tvDirectionalShadowCoord[ i ] = directionalShadowMatrix[ i ] * shadowWorldPosition;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * pointLightShadows[ i ].shadowNormalBias, 0 );\n\t\t\tvPointShadowCoord[ i ] = pointShadowMatrix[ i ] * shadowWorldPosition;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t#endif\n#endif\n#if NUM_SPOT_LIGHT_COORDS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_COORDS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition;\n\t\t#if ( defined( USE_SHADOWMAP ) && UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS )\n\t\t\tshadowWorldPosition.xyz += shadowWorldNormal * spotLightShadows[ i ].shadowNormalBias;\n\t\t#endif\n\t\tvSpotLightCoord[ i ] = spotLightMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n#endif",shadowmask_pars_fragment:"float getShadowMask() {\n\tfloat shadow = 1.0;\n\t#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\tdirectionalLight = directionalLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( directionalShadowMap[ i ], directionalLight.shadowMapSize, directionalLight.shadowBias, directionalLight.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_SHADOWS; i ++ ) {\n\t\tspotLight = spotLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( spotShadowMap[ i ], spotLight.shadowMapSize, spotLight.shadowBias, spotLight.shadowRadius, vSpotLightCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\tpointLight = pointLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getPointShadow( pointShadowMap[ i ], pointLight.shadowMapSize, pointLight.shadowBias, pointLight.shadowRadius, vPointShadowCoord[ i ], pointLight.shadowCameraNear, pointLight.shadowCameraFar ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#endif\n\treturn shadow;\n}",skinbase_vertex:"#ifdef USE_SKINNING\n\tmat4 boneMatX = getBoneMatrix( skinIndex.x );\n\tmat4 boneMatY = getBoneMatrix( skinIndex.y );\n\tmat4 boneMatZ = getBoneMatrix( skinIndex.z );\n\tmat4 boneMatW = getBoneMatrix( skinIndex.w );\n#endif",skinning_pars_vertex:"#ifdef USE_SKINNING\n\tuniform mat4 bindMatrix;\n\tuniform mat4 bindMatrixInverse;\n\tuniform highp sampler2D boneTexture;\n\tmat4 getBoneMatrix( const in float i ) {\n\t\tint size = textureSize( boneTexture, 0 ).x;\n\t\tint j = int( i ) * 4;\n\t\tint x = j % size;\n\t\tint y = j / size;\n\t\tvec4 v1 = texelFetch( boneTexture, ivec2( x, y ), 0 );\n\t\tvec4 v2 = texelFetch( boneTexture, ivec2( x + 1, y ), 0 );\n\t\tvec4 v3 = texelFetch( boneTexture, ivec2( x + 2, y ), 0 );\n\t\tvec4 v4 = texelFetch( boneTexture, ivec2( x + 3, y ), 0 );\n\t\treturn mat4( v1, v2, v3, v4 );\n\t}\n#endif",skinning_vertex:"#ifdef USE_SKINNING\n\tvec4 skinVertex = bindMatrix * vec4( transformed, 1.0 );\n\tvec4 skinned = vec4( 0.0 );\n\tskinned += boneMatX * skinVertex * skinWeight.x;\n\tskinned += boneMatY * skinVertex * skinWeight.y;\n\tskinned += boneMatZ * skinVertex * skinWeight.z;\n\tskinned += boneMatW * skinVertex * skinWeight.w;\n\ttransformed = ( bindMatrixInverse * skinned ).xyz;\n#endif",skinnormal_vertex:"#ifdef USE_SKINNING\n\tmat4 skinMatrix = mat4( 0.0 );\n\tskinMatrix += skinWeight.x * boneMatX;\n\tskinMatrix += skinWeight.y * boneMatY;\n\tskinMatrix += skinWeight.z * boneMatZ;\n\tskinMatrix += skinWeight.w * boneMatW;\n\tskinMatrix = bindMatrixInverse * skinMatrix * bindMatrix;\n\tobjectNormal = vec4( skinMatrix * vec4( objectNormal, 0.0 ) ).xyz;\n\t#ifdef USE_TANGENT\n\t\tobjectTangent = vec4( skinMatrix * vec4( objectTangent, 0.0 ) ).xyz;\n\t#endif\n#endif",specularmap_fragment:"float specularStrength;\n#ifdef USE_SPECULARMAP\n\tvec4 texelSpecular = texture2D( specularMap, vSpecularMapUv );\n\tspecularStrength = texelSpecular.r;\n#else\n\tspecularStrength = 1.0;\n#endif",specularmap_pars_fragment:"#ifdef USE_SPECULARMAP\n\tuniform sampler2D specularMap;\n#endif",tonemapping_fragment:"#if defined( TONE_MAPPING )\n\tgl_FragColor.rgb = toneMapping( gl_FragColor.rgb );\n#endif",tonemapping_pars_fragment:"#ifndef saturate\n#define saturate( a ) clamp( a, 0.0, 1.0 )\n#endif\nuniform float toneMappingExposure;\nvec3 LinearToneMapping( vec3 color ) {\n\treturn saturate( toneMappingExposure * color );\n}\nvec3 ReinhardToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\treturn saturate( color / ( vec3( 1.0 ) + color ) );\n}\nvec3 OptimizedCineonToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\tcolor = max( vec3( 0.0 ), color - 0.004 );\n\treturn pow( ( color * ( 6.2 * color + 0.5 ) ) / ( color * ( 6.2 * color + 1.7 ) + 0.06 ), vec3( 2.2 ) );\n}\nvec3 RRTAndODTFit( vec3 v ) {\n\tvec3 a = v * ( v + 0.0245786 ) - 0.000090537;\n\tvec3 b = v * ( 0.983729 * v + 0.4329510 ) + 0.238081;\n\treturn a / b;\n}\nvec3 ACESFilmicToneMapping( vec3 color ) {\n\tconst mat3 ACESInputMat = mat3(\n\t\tvec3( 0.59719, 0.07600, 0.02840 ),\t\tvec3( 0.35458, 0.90834, 0.13383 ),\n\t\tvec3( 0.04823, 0.01566, 0.83777 )\n\t);\n\tconst mat3 ACESOutputMat = mat3(\n\t\tvec3(  1.60475, -0.10208, -0.00327 ),\t\tvec3( -0.53108,  1.10813, -0.07276 ),\n\t\tvec3( -0.07367, -0.00605,  1.07602 )\n\t);\n\tcolor *= toneMappingExposure / 0.6;\n\tcolor = ACESInputMat * color;\n\tcolor = RRTAndODTFit( color );\n\tcolor = ACESOutputMat * color;\n\treturn saturate( color );\n}\nconst mat3 LINEAR_REC2020_TO_LINEAR_SRGB = mat3(\n\tvec3( 1.6605, - 0.1246, - 0.0182 ),\n\tvec3( - 0.5876, 1.1329, - 0.1006 ),\n\tvec3( - 0.0728, - 0.0083, 1.1187 )\n);\nconst mat3 LINEAR_SRGB_TO_LINEAR_REC2020 = mat3(\n\tvec3( 0.6274, 0.0691, 0.0164 ),\n\tvec3( 0.3293, 0.9195, 0.0880 ),\n\tvec3( 0.0433, 0.0113, 0.8956 )\n);\nvec3 agxDefaultContrastApprox( vec3 x ) {\n\tvec3 x2 = x * x;\n\tvec3 x4 = x2 * x2;\n\treturn + 15.5 * x4 * x2\n\t\t- 40.14 * x4 * x\n\t\t+ 31.96 * x4\n\t\t- 6.868 * x2 * x\n\t\t+ 0.4298 * x2\n\t\t+ 0.1191 * x\n\t\t- 0.00232;\n}\nvec3 AgXToneMapping( vec3 color ) {\n\tconst mat3 AgXInsetMatrix = mat3(\n\t\tvec3( 0.856627153315983, 0.137318972929847, 0.11189821299995 ),\n\t\tvec3( 0.0951212405381588, 0.761241990602591, 0.0767994186031903 ),\n\t\tvec3( 0.0482516061458583, 0.101439036467562, 0.811302368396859 )\n\t);\n\tconst mat3 AgXOutsetMatrix = mat3(\n\t\tvec3( 1.1271005818144368, - 0.1413297634984383, - 0.14132976349843826 ),\n\t\tvec3( - 0.11060664309660323, 1.157823702216272, - 0.11060664309660294 ),\n\t\tvec3( - 0.016493938717834573, - 0.016493938717834257, 1.2519364065950405 )\n\t);\n\tconst float AgxMinEv = - 12.47393;\tconst float AgxMaxEv = 4.026069;\n\tcolor *= toneMappingExposure;\n\tcolor = LINEAR_SRGB_TO_LINEAR_REC2020 * color;\n\tcolor = AgXInsetMatrix * color;\n\tcolor = max( color, 1e-10 );\tcolor = log2( color );\n\tcolor = ( color - AgxMinEv ) / ( AgxMaxEv - AgxMinEv );\n\tcolor = clamp( color, 0.0, 1.0 );\n\tcolor = agxDefaultContrastApprox( color );\n\tcolor = AgXOutsetMatrix * color;\n\tcolor = pow( max( vec3( 0.0 ), color ), vec3( 2.2 ) );\n\tcolor = LINEAR_REC2020_TO_LINEAR_SRGB * color;\n\tcolor = clamp( color, 0.0, 1.0 );\n\treturn color;\n}\nvec3 NeutralToneMapping( vec3 color ) {\n\tconst float StartCompression = 0.8 - 0.04;\n\tconst float Desaturation = 0.15;\n\tcolor *= toneMappingExposure;\n\tfloat x = min( color.r, min( color.g, color.b ) );\n\tfloat offset = x < 0.08 ? x - 6.25 * x * x : 0.04;\n\tcolor -= offset;\n\tfloat peak = max( color.r, max( color.g, color.b ) );\n\tif ( peak < StartCompression ) return color;\n\tfloat d = 1. - StartCompression;\n\tfloat newPeak = 1. - d * d / ( peak + d - StartCompression );\n\tcolor *= newPeak / peak;\n\tfloat g = 1. - 1. / ( Desaturation * ( peak - newPeak ) + 1. );\n\treturn mix( color, vec3( newPeak ), g );\n}\nvec3 CustomToneMapping( vec3 color ) { return color; }",transmission_fragment:"#ifdef USE_TRANSMISSION\n\tmaterial.transmission = transmission;\n\tmaterial.transmissionAlpha = 1.0;\n\tmaterial.thickness = thickness;\n\tmaterial.attenuationDistance = attenuationDistance;\n\tmaterial.attenuationColor = attenuationColor;\n\t#ifdef USE_TRANSMISSIONMAP\n\t\tmaterial.transmission *= texture2D( transmissionMap, vTransmissionMapUv ).r;\n\t#endif\n\t#ifdef USE_THICKNESSMAP\n\t\tmaterial.thickness *= texture2D( thicknessMap, vThicknessMapUv ).g;\n\t#endif\n\tvec3 pos = vWorldPosition;\n\tvec3 v = normalize( cameraPosition - pos );\n\tvec3 n = inverseTransformDirection( normal, viewMatrix );\n\tvec4 transmitted = getIBLVolumeRefraction(\n\t\tn, v, material.roughness, material.diffuseColor, material.specularColor, material.specularF90,\n\t\tpos, modelMatrix, viewMatrix, projectionMatrix, material.dispersion, material.ior, material.thickness,\n\t\tmaterial.attenuationColor, material.attenuationDistance );\n\tmaterial.transmissionAlpha = mix( material.transmissionAlpha, transmitted.a, material.transmission );\n\ttotalDiffuse = mix( totalDiffuse, transmitted.rgb, material.transmission );\n#endif",transmission_pars_fragment:"#ifdef USE_TRANSMISSION\n\tuniform float transmission;\n\tuniform float thickness;\n\tuniform float attenuationDistance;\n\tuniform vec3 attenuationColor;\n\t#ifdef USE_TRANSMISSIONMAP\n\t\tuniform sampler2D transmissionMap;\n\t#endif\n\t#ifdef USE_THICKNESSMAP\n\t\tuniform sampler2D thicknessMap;\n\t#endif\n\tuniform vec2 transmissionSamplerSize;\n\tuniform sampler2D transmissionSamplerMap;\n\tuniform mat4 modelMatrix;\n\tuniform mat4 projectionMatrix;\n\tvarying vec3 vWorldPosition;\n\tfloat w0( float a ) {\n\t\treturn ( 1.0 / 6.0 ) * ( a * ( a * ( - a + 3.0 ) - 3.0 ) + 1.0 );\n\t}\n\tfloat w1( float a ) {\n\t\treturn ( 1.0 / 6.0 ) * ( a *  a * ( 3.0 * a - 6.0 ) + 4.0 );\n\t}\n\tfloat w2( float a ){\n\t\treturn ( 1.0 / 6.0 ) * ( a * ( a * ( - 3.0 * a + 3.0 ) + 3.0 ) + 1.0 );\n\t}\n\tfloat w3( float a ) {\n\t\treturn ( 1.0 / 6.0 ) * ( a * a * a );\n\t}\n\tfloat g0( float a ) {\n\t\treturn w0( a ) + w1( a );\n\t}\n\tfloat g1( float a ) {\n\t\treturn w2( a ) + w3( a );\n\t}\n\tfloat h0( float a ) {\n\t\treturn - 1.0 + w1( a ) / ( w0( a ) + w1( a ) );\n\t}\n\tfloat h1( float a ) {\n\t\treturn 1.0 + w3( a ) / ( w2( a ) + w3( a ) );\n\t}\n\tvec4 bicubic( sampler2D tex, vec2 uv, vec4 texelSize, float lod ) {\n\t\tuv = uv * texelSize.zw + 0.5;\n\t\tvec2 iuv = floor( uv );\n\t\tvec2 fuv = fract( uv );\n\t\tfloat g0x = g0( fuv.x );\n\t\tfloat g1x = g1( fuv.x );\n\t\tfloat h0x = h0( fuv.x );\n\t\tfloat h1x = h1( fuv.x );\n\t\tfloat h0y = h0( fuv.y );\n\t\tfloat h1y = h1( fuv.y );\n\t\tvec2 p0 = ( vec2( iuv.x + h0x, iuv.y + h0y ) - 0.5 ) * texelSize.xy;\n\t\tvec2 p1 = ( vec2( iuv.x + h1x, iuv.y + h0y ) - 0.5 ) * texelSize.xy;\n\t\tvec2 p2 = ( vec2( iuv.x + h0x, iuv.y + h1y ) - 0.5 ) * texelSize.xy;\n\t\tvec2 p3 = ( vec2( iuv.x + h1x, iuv.y + h1y ) - 0.5 ) * texelSize.xy;\n\t\treturn g0( fuv.y ) * ( g0x * textureLod( tex, p0, lod ) + g1x * textureLod( tex, p1, lod ) ) +\n\t\t\tg1( fuv.y ) * ( g0x * textureLod( tex, p2, lod ) + g1x * textureLod( tex, p3, lod ) );\n\t}\n\tvec4 textureBicubic( sampler2D sampler, vec2 uv, float lod ) {\n\t\tvec2 fLodSize = vec2( textureSize( sampler, int( lod ) ) );\n\t\tvec2 cLodSize = vec2( textureSize( sampler, int( lod + 1.0 ) ) );\n\t\tvec2 fLodSizeInv = 1.0 / fLodSize;\n\t\tvec2 cLodSizeInv = 1.0 / cLodSize;\n\t\tvec4 fSample = bicubic( sampler, uv, vec4( fLodSizeInv, fLodSize ), floor( lod ) );\n\t\tvec4 cSample = bicubic( sampler, uv, vec4( cLodSizeInv, cLodSize ), ceil( lod ) );\n\t\treturn mix( fSample, cSample, fract( lod ) );\n\t}\n\tvec3 getVolumeTransmissionRay( const in vec3 n, const in vec3 v, const in float thickness, const in float ior, const in mat4 modelMatrix ) {\n\t\tvec3 refractionVector = refract( - v, normalize( n ), 1.0 / ior );\n\t\tvec3 modelScale;\n\t\tmodelScale.x = length( vec3( modelMatrix[ 0 ].xyz ) );\n\t\tmodelScale.y = length( vec3( modelMatrix[ 1 ].xyz ) );\n\t\tmodelScale.z = length( vec3( modelMatrix[ 2 ].xyz ) );\n\t\treturn normalize( refractionVector ) * thickness * modelScale;\n\t}\n\tfloat applyIorToRoughness( const in float roughness, const in float ior ) {\n\t\treturn roughness * clamp( ior * 2.0 - 2.0, 0.0, 1.0 );\n\t}\n\tvec4 getTransmissionSample( const in vec2 fragCoord, const in float roughness, const in float ior ) {\n\t\tfloat lod = log2( transmissionSamplerSize.x ) * applyIorToRoughness( roughness, ior );\n\t\treturn textureBicubic( transmissionSamplerMap, fragCoord.xy, lod );\n\t}\n\tvec3 volumeAttenuation( const in float transmissionDistance, const in vec3 attenuationColor, const in float attenuationDistance ) {\n\t\tif ( isinf( attenuationDistance ) ) {\n\t\t\treturn vec3( 1.0 );\n\t\t} else {\n\t\t\tvec3 attenuationCoefficient = -log( attenuationColor ) / attenuationDistance;\n\t\t\tvec3 transmittance = exp( - attenuationCoefficient * transmissionDistance );\t\t\treturn transmittance;\n\t\t}\n\t}\n\tvec4 getIBLVolumeRefraction( const in vec3 n, const in vec3 v, const in float roughness, const in vec3 diffuseColor,\n\t\tconst in vec3 specularColor, const in float specularF90, const in vec3 position, const in mat4 modelMatrix,\n\t\tconst in mat4 viewMatrix, const in mat4 projMatrix, const in float dispersion, const in float ior, const in float thickness,\n\t\tconst in vec3 attenuationColor, const in float attenuationDistance ) {\n\t\tvec4 transmittedLight;\n\t\tvec3 transmittance;\n\t\t#ifdef USE_DISPERSION\n\t\t\tfloat halfSpread = ( ior - 1.0 ) * 0.025 * dispersion;\n\t\t\tvec3 iors = vec3( ior - halfSpread, ior, ior + halfSpread );\n\t\t\tfor ( int i = 0; i < 3; i ++ ) {\n\t\t\t\tvec3 transmissionRay = getVolumeTransmissionRay( n, v, thickness, iors[ i ], modelMatrix );\n\t\t\t\tvec3 refractedRayExit = position + transmissionRay;\n\t\t\n\t\t\t\tvec4 ndcPos = projMatrix * viewMatrix * vec4( refractedRayExit, 1.0 );\n\t\t\t\tvec2 refractionCoords = ndcPos.xy / ndcPos.w;\n\t\t\t\trefractionCoords += 1.0;\n\t\t\t\trefractionCoords /= 2.0;\n\t\t\n\t\t\t\tvec4 transmissionSample = getTransmissionSample( refractionCoords, roughness, iors[ i ] );\n\t\t\t\ttransmittedLight[ i ] = transmissionSample[ i ];\n\t\t\t\ttransmittedLight.a += transmissionSample.a;\n\t\t\t\ttransmittance[ i ] = diffuseColor[ i ] * volumeAttenuation( length( transmissionRay ), attenuationColor, attenuationDistance )[ i ];\n\t\t\t}\n\t\t\ttransmittedLight.a /= 3.0;\n\t\t\n\t\t#else\n\t\t\n\t\t\tvec3 transmissionRay = getVolumeTransmissionRay( n, v, thickness, ior, modelMatrix );\n\t\t\tvec3 refractedRayExit = position + transmissionRay;\n\t\t\tvec4 ndcPos = projMatrix * viewMatrix * vec4( refractedRayExit, 1.0 );\n\t\t\tvec2 refractionCoords = ndcPos.xy / ndcPos.w;\n\t\t\trefractionCoords += 1.0;\n\t\t\trefractionCoords /= 2.0;\n\t\t\ttransmittedLight = getTransmissionSample( refractionCoords, roughness, ior );\n\t\t\ttransmittance = diffuseColor * volumeAttenuation( length( transmissionRay ), attenuationColor, attenuationDistance );\n\t\t\n\t\t#endif\n\t\tvec3 attenuatedColor = transmittance * transmittedLight.rgb;\n\t\tvec3 F = EnvironmentBRDF( n, v, specularColor, specularF90, roughness );\n\t\tfloat transmittanceFactor = ( transmittance.r + transmittance.g + transmittance.b ) / 3.0;\n\t\treturn vec4( ( 1.0 - F ) * attenuatedColor, 1.0 - ( 1.0 - transmittedLight.a ) * transmittanceFactor );\n\t}\n#endif",uv_pars_fragment:"#if defined( USE_UV ) || defined( USE_ANISOTROPY )\n\tvarying vec2 vUv;\n#endif\n#ifdef USE_MAP\n\tvarying vec2 vMapUv;\n#endif\n#ifdef USE_ALPHAMAP\n\tvarying vec2 vAlphaMapUv;\n#endif\n#ifdef USE_LIGHTMAP\n\tvarying vec2 vLightMapUv;\n#endif\n#ifdef USE_AOMAP\n\tvarying vec2 vAoMapUv;\n#endif\n#ifdef USE_BUMPMAP\n\tvarying vec2 vBumpMapUv;\n#endif\n#ifdef USE_NORMALMAP\n\tvarying vec2 vNormalMapUv;\n#endif\n#ifdef USE_EMISSIVEMAP\n\tvarying vec2 vEmissiveMapUv;\n#endif\n#ifdef USE_METALNESSMAP\n\tvarying vec2 vMetalnessMapUv;\n#endif\n#ifdef USE_ROUGHNESSMAP\n\tvarying vec2 vRoughnessMapUv;\n#endif\n#ifdef USE_ANISOTROPYMAP\n\tvarying vec2 vAnisotropyMapUv;\n#endif\n#ifdef USE_CLEARCOATMAP\n\tvarying vec2 vClearcoatMapUv;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tvarying vec2 vClearcoatNormalMapUv;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tvarying vec2 vClearcoatRoughnessMapUv;\n#endif\n#ifdef USE_IRIDESCENCEMAP\n\tvarying vec2 vIridescenceMapUv;\n#endif\n#ifdef USE_IRIDESCENCE_THICKNESSMAP\n\tvarying vec2 vIridescenceThicknessMapUv;\n#endif\n#ifdef USE_SHEEN_COLORMAP\n\tvarying vec2 vSheenColorMapUv;\n#endif\n#ifdef USE_SHEEN_ROUGHNESSMAP\n\tvarying vec2 vSheenRoughnessMapUv;\n#endif\n#ifdef USE_SPECULARMAP\n\tvarying vec2 vSpecularMapUv;\n#endif\n#ifdef USE_SPECULAR_COLORMAP\n\tvarying vec2 vSpecularColorMapUv;\n#endif\n#ifdef USE_SPECULAR_INTENSITYMAP\n\tvarying vec2 vSpecularIntensityMapUv;\n#endif\n#ifdef USE_TRANSMISSIONMAP\n\tuniform mat3 transmissionMapTransform;\n\tvarying vec2 vTransmissionMapUv;\n#endif\n#ifdef USE_THICKNESSMAP\n\tuniform mat3 thicknessMapTransform;\n\tvarying vec2 vThicknessMapUv;\n#endif",uv_pars_vertex:"#if defined( USE_UV ) || defined( USE_ANISOTROPY )\n\tvarying vec2 vUv;\n#endif\n#ifdef USE_MAP\n\tuniform mat3 mapTransform;\n\tvarying vec2 vMapUv;\n#endif\n#ifdef USE_ALPHAMAP\n\tuniform mat3 alphaMapTransform;\n\tvarying vec2 vAlphaMapUv;\n#endif\n#ifdef USE_LIGHTMAP\n\tuniform mat3 lightMapTransform;\n\tvarying vec2 vLightMapUv;\n#endif\n#ifdef USE_AOMAP\n\tuniform mat3 aoMapTransform;\n\tvarying vec2 vAoMapUv;\n#endif\n#ifdef USE_BUMPMAP\n\tuniform mat3 bumpMapTransform;\n\tvarying vec2 vBumpMapUv;\n#endif\n#ifdef USE_NORMALMAP\n\tuniform mat3 normalMapTransform;\n\tvarying vec2 vNormalMapUv;\n#endif\n#ifdef USE_DISPLACEMENTMAP\n\tuniform mat3 displacementMapTransform;\n\tvarying vec2 vDisplacementMapUv;\n#endif\n#ifdef USE_EMISSIVEMAP\n\tuniform mat3 emissiveMapTransform;\n\tvarying vec2 vEmissiveMapUv;\n#endif\n#ifdef USE_METALNESSMAP\n\tuniform mat3 metalnessMapTransform;\n\tvarying vec2 vMetalnessMapUv;\n#endif\n#ifdef USE_ROUGHNESSMAP\n\tuniform mat3 roughnessMapTransform;\n\tvarying vec2 vRoughnessMapUv;\n#endif\n#ifdef USE_ANISOTROPYMAP\n\tuniform mat3 anisotropyMapTransform;\n\tvarying vec2 vAnisotropyMapUv;\n#endif\n#ifdef USE_CLEARCOATMAP\n\tuniform mat3 clearcoatMapTransform;\n\tvarying vec2 vClearcoatMapUv;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tuniform mat3 clearcoatNormalMapTransform;\n\tvarying vec2 vClearcoatNormalMapUv;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tuniform mat3 clearcoatRoughnessMapTransform;\n\tvarying vec2 vClearcoatRoughnessMapUv;\n#endif\n#ifdef USE_SHEEN_COLORMAP\n\tuniform mat3 sheenColorMapTransform;\n\tvarying vec2 vSheenColorMapUv;\n#endif\n#ifdef USE_SHEEN_ROUGHNESSMAP\n\tuniform mat3 sheenRoughnessMapTransform;\n\tvarying vec2 vSheenRoughnessMapUv;\n#endif\n#ifdef USE_IRIDESCENCEMAP\n\tuniform mat3 iridescenceMapTransform;\n\tvarying vec2 vIridescenceMapUv;\n#endif\n#ifdef USE_IRIDESCENCE_THICKNESSMAP\n\tuniform mat3 iridescenceThicknessMapTransform;\n\tvarying vec2 vIridescenceThicknessMapUv;\n#endif\n#ifdef USE_SPECULARMAP\n\tuniform mat3 specularMapTransform;\n\tvarying vec2 vSpecularMapUv;\n#endif\n#ifdef USE_SPECULAR_COLORMAP\n\tuniform mat3 specularColorMapTransform;\n\tvarying vec2 vSpecularColorMapUv;\n#endif\n#ifdef USE_SPECULAR_INTENSITYMAP\n\tuniform mat3 specularIntensityMapTransform;\n\tvarying vec2 vSpecularIntensityMapUv;\n#endif\n#ifdef USE_TRANSMISSIONMAP\n\tuniform mat3 transmissionMapTransform;\n\tvarying vec2 vTransmissionMapUv;\n#endif\n#ifdef USE_THICKNESSMAP\n\tuniform mat3 thicknessMapTransform;\n\tvarying vec2 vThicknessMapUv;\n#endif",uv_vertex:"#if defined( USE_UV ) || defined( USE_ANISOTROPY )\n\tvUv = vec3( uv, 1 ).xy;\n#endif\n#ifdef USE_MAP\n\tvMapUv = ( mapTransform * vec3( MAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_ALPHAMAP\n\tvAlphaMapUv = ( alphaMapTransform * vec3( ALPHAMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_LIGHTMAP\n\tvLightMapUv = ( lightMapTransform * vec3( LIGHTMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_AOMAP\n\tvAoMapUv = ( aoMapTransform * vec3( AOMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_BUMPMAP\n\tvBumpMapUv = ( bumpMapTransform * vec3( BUMPMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_NORMALMAP\n\tvNormalMapUv = ( normalMapTransform * vec3( NORMALMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_DISPLACEMENTMAP\n\tvDisplacementMapUv = ( displacementMapTransform * vec3( DISPLACEMENTMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_EMISSIVEMAP\n\tvEmissiveMapUv = ( emissiveMapTransform * vec3( EMISSIVEMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_METALNESSMAP\n\tvMetalnessMapUv = ( metalnessMapTransform * vec3( METALNESSMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_ROUGHNESSMAP\n\tvRoughnessMapUv = ( roughnessMapTransform * vec3( ROUGHNESSMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_ANISOTROPYMAP\n\tvAnisotropyMapUv = ( anisotropyMapTransform * vec3( ANISOTROPYMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_CLEARCOATMAP\n\tvClearcoatMapUv = ( clearcoatMapTransform * vec3( CLEARCOATMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tvClearcoatNormalMapUv = ( clearcoatNormalMapTransform * vec3( CLEARCOAT_NORMALMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tvClearcoatRoughnessMapUv = ( clearcoatRoughnessMapTransform * vec3( CLEARCOAT_ROUGHNESSMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_IRIDESCENCEMAP\n\tvIridescenceMapUv = ( iridescenceMapTransform * vec3( IRIDESCENCEMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_IRIDESCENCE_THICKNESSMAP\n\tvIridescenceThicknessMapUv = ( iridescenceThicknessMapTransform * vec3( IRIDESCENCE_THICKNESSMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_SHEEN_COLORMAP\n\tvSheenColorMapUv = ( sheenColorMapTransform * vec3( SHEEN_COLORMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_SHEEN_ROUGHNESSMAP\n\tvSheenRoughnessMapUv = ( sheenRoughnessMapTransform * vec3( SHEEN_ROUGHNESSMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_SPECULARMAP\n\tvSpecularMapUv = ( specularMapTransform * vec3( SPECULARMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_SPECULAR_COLORMAP\n\tvSpecularColorMapUv = ( specularColorMapTransform * vec3( SPECULAR_COLORMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_SPECULAR_INTENSITYMAP\n\tvSpecularIntensityMapUv = ( specularIntensityMapTransform * vec3( SPECULAR_INTENSITYMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_TRANSMISSIONMAP\n\tvTransmissionMapUv = ( transmissionMapTransform * vec3( TRANSMISSIONMAP_UV, 1 ) ).xy;\n#endif\n#ifdef USE_THICKNESSMAP\n\tvThicknessMapUv = ( thicknessMapTransform * vec3( THICKNESSMAP_UV, 1 ) ).xy;\n#endif",worldpos_vertex:"#if defined( USE_ENVMAP ) || defined( DISTANCE ) || defined ( USE_SHADOWMAP ) || defined ( USE_TRANSMISSION ) || NUM_SPOT_LIGHT_COORDS > 0\n\tvec4 worldPosition = vec4( transformed, 1.0 );\n\t#ifdef USE_BATCHING\n\t\tworldPosition = batchingMatrix * worldPosition;\n\t#endif\n\t#ifdef USE_INSTANCING\n\t\tworldPosition = instanceMatrix * worldPosition;\n\t#endif\n\tworldPosition = modelMatrix * worldPosition;\n#endif",background_vert:"varying vec2 vUv;\nuniform mat3 uvTransform;\nvoid main() {\n\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n\tgl_Position = vec4( position.xy, 1.0, 1.0 );\n}",background_frag:"uniform sampler2D t2D;\nuniform float backgroundIntensity;\nvarying vec2 vUv;\nvoid main() {\n\tvec4 texColor = texture2D( t2D, vUv );\n\t#ifdef DECODE_VIDEO_TEXTURE\n\t\ttexColor = vec4( mix( pow( texColor.rgb * 0.9478672986 + vec3( 0.0521327014 ), vec3( 2.4 ) ), texColor.rgb * 0.0773993808, vec3( lessThanEqual( texColor.rgb, vec3( 0.04045 ) ) ) ), texColor.w );\n\t#endif\n\ttexColor.rgb *= backgroundIntensity;\n\tgl_FragColor = texColor;\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n}",backgroundCube_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\tgl_Position.z = gl_Position.w;\n}",backgroundCube_frag:"#ifdef ENVMAP_TYPE_CUBE\n\tuniform samplerCube envMap;\n#elif defined( ENVMAP_TYPE_CUBE_UV )\n\tuniform sampler2D envMap;\n#endif\nuniform float flipEnvMap;\nuniform float backgroundBlurriness;\nuniform float backgroundIntensity;\nuniform mat3 backgroundRotation;\nvarying vec3 vWorldDirection;\n#include <cube_uv_reflection_fragment>\nvoid main() {\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tvec4 texColor = textureCube( envMap, backgroundRotation * vec3( flipEnvMap * vWorldDirection.x, vWorldDirection.yz ) );\n\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\tvec4 texColor = textureCubeUV( envMap, backgroundRotation * vWorldDirection, backgroundBlurriness );\n\t#else\n\t\tvec4 texColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t#endif\n\ttexColor.rgb *= backgroundIntensity;\n\tgl_FragColor = texColor;\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n}",cube_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\tgl_Position.z = gl_Position.w;\n}",cube_frag:"uniform samplerCube tCube;\nuniform float tFlip;\nuniform float opacity;\nvarying vec3 vWorldDirection;\nvoid main() {\n\tvec4 texColor = textureCube( tCube, vec3( tFlip * vWorldDirection.x, vWorldDirection.yz ) );\n\tgl_FragColor = texColor;\n\tgl_FragColor.a *= opacity;\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n}",depth_vert:"#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\t#include <uv_vertex>\n\t#include <batching_vertex>\n\t#include <skinbase_vertex>\n\t#include <morphinstance_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvHighPrecisionZW = gl_Position.zw;\n}",depth_frag:"#if DEPTH_PACKING == 3200\n\tuniform float opacity;\n#endif\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#include <clipping_planes_fragment>\n\t#if DEPTH_PACKING == 3200\n\t\tdiffuseColor.a = opacity;\n\t#endif\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <logdepthbuf_fragment>\n\tfloat fragCoordZ = 0.5 * vHighPrecisionZW[0] / vHighPrecisionZW[1] + 0.5;\n\t#if DEPTH_PACKING == 3200\n\t\tgl_FragColor = vec4( vec3( 1.0 - fragCoordZ ), opacity );\n\t#elif DEPTH_PACKING == 3201\n\t\tgl_FragColor = packDepthToRGBA( fragCoordZ );\n\t#endif\n}",distanceRGBA_vert:"#define DISTANCE\nvarying vec3 vWorldPosition;\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <batching_vertex>\n\t#include <skinbase_vertex>\n\t#include <morphinstance_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <worldpos_vertex>\n\t#include <clipping_planes_vertex>\n\tvWorldPosition = worldPosition.xyz;\n}",distanceRGBA_frag:"#define DISTANCE\nuniform vec3 referencePosition;\nuniform float nearDistance;\nuniform float farDistance;\nvarying vec3 vWorldPosition;\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main () {\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#include <clipping_planes_fragment>\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\tfloat dist = length( vWorldPosition - referencePosition );\n\tdist = ( dist - nearDistance ) / ( farDistance - nearDistance );\n\tdist = saturate( dist );\n\tgl_FragColor = packDepthToRGBA( dist );\n}",equirect_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n}",equirect_frag:"uniform sampler2D tEquirect;\nvarying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvec3 direction = normalize( vWorldDirection );\n\tvec2 sampleUV = equirectUv( direction );\n\tgl_FragColor = texture2D( tEquirect, sampleUV );\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n}",linedashed_vert:"uniform float scale;\nattribute float lineDistance;\nvarying float vLineDistance;\n#include <common>\n#include <uv_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\tvLineDistance = scale * lineDistance;\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}",linedashed_frag:"uniform vec3 diffuse;\nuniform float opacity;\nuniform float dashSize;\nuniform float totalSize;\nvarying float vLineDistance;\n#include <common>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tif ( mod( vLineDistance, totalSize ) > dashSize ) {\n\t\tdiscard;\n\t}\n\tvec3 outgoingLight = vec3( 0.0 );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",meshbasic_vert:"#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#if defined ( USE_ENVMAP ) || defined ( USE_SKINNING )\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinbase_vertex>\n\t\t#include <skinnormal_vertex>\n\t\t#include <defaultnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <fog_vertex>\n}",meshbasic_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <specularmap_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\t#ifdef USE_LIGHTMAP\n\t\tvec4 lightMapTexel = texture2D( lightMap, vLightMapUv );\n\t\treflectedLight.indirectDiffuse += lightMapTexel.rgb * lightMapIntensity * RECIPROCAL_PI;\n\t#else\n\t\treflectedLight.indirectDiffuse += vec3( 1.0 );\n\t#endif\n\t#include <aomap_fragment>\n\treflectedLight.indirectDiffuse *= diffuseColor.rgb;\n\tvec3 outgoingLight = reflectedLight.indirectDiffuse;\n\t#include <envmap_fragment>\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshlambert_vert:"#define LAMBERT\nvarying vec3 vViewPosition;\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshlambert_frag:"#define LAMBERT\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <normal_pars_fragment>\n#include <lights_lambert_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <specularmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_lambert_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshmatcap_vert:"#define MATCAP\nvarying vec3 vViewPosition;\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <color_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <fog_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n\tvViewPosition = - mvPosition.xyz;\n}",meshmatcap_frag:"#define MATCAP\nuniform vec3 diffuse;\nuniform float opacity;\nuniform sampler2D matcap;\nvarying vec3 vViewPosition;\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <fog_pars_fragment>\n#include <normal_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tvec3 viewDir = normalize( vViewPosition );\n\tvec3 x = normalize( vec3( viewDir.z, 0.0, - viewDir.x ) );\n\tvec3 y = cross( viewDir, x );\n\tvec2 uv = vec2( dot( x, normal ), dot( y, normal ) ) * 0.495 + 0.5;\n\t#ifdef USE_MATCAP\n\t\tvec4 matcapColor = texture2D( matcap, uv );\n\t#else\n\t\tvec4 matcapColor = vec4( vec3( mix( 0.2, 0.8, uv.y ) ), 1.0 );\n\t#endif\n\tvec3 outgoingLight = diffuseColor.rgb * matcapColor.rgb;\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshnormal_vert:"#define NORMAL\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( USE_NORMALMAP_TANGENTSPACE )\n\tvarying vec3 vViewPosition;\n#endif\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( USE_NORMALMAP_TANGENTSPACE )\n\tvViewPosition = - mvPosition.xyz;\n#endif\n}",meshnormal_frag:"#define NORMAL\nuniform float opacity;\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( USE_NORMALMAP_TANGENTSPACE )\n\tvarying vec3 vViewPosition;\n#endif\n#include <packing>\n#include <uv_pars_fragment>\n#include <normal_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( 0.0, 0.0, 0.0, opacity );\n\t#include <clipping_planes_fragment>\n\t#include <logdepthbuf_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tgl_FragColor = vec4( packNormalToRGB( normal ), diffuseColor.a );\n\t#ifdef OPAQUE\n\t\tgl_FragColor.a = 1.0;\n\t#endif\n}",meshphong_vert:"#define PHONG\nvarying vec3 vViewPosition;\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshphong_frag:"#define PHONG\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform vec3 specular;\nuniform float shininess;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <normal_pars_fragment>\n#include <lights_phong_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <specularmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_phong_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + reflectedLight.directSpecular + reflectedLight.indirectSpecular + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshphysical_vert:"#define STANDARD\nvarying vec3 vViewPosition;\n#ifdef USE_TRANSMISSION\n\tvarying vec3 vWorldPosition;\n#endif\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n#ifdef USE_TRANSMISSION\n\tvWorldPosition = worldPosition.xyz;\n#endif\n}",meshphysical_frag:"#define STANDARD\n#ifdef PHYSICAL\n\t#define IOR\n\t#define USE_SPECULAR\n#endif\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float roughness;\nuniform float metalness;\nuniform float opacity;\n#ifdef IOR\n\tuniform float ior;\n#endif\n#ifdef USE_SPECULAR\n\tuniform float specularIntensity;\n\tuniform vec3 specularColor;\n\t#ifdef USE_SPECULAR_COLORMAP\n\t\tuniform sampler2D specularColorMap;\n\t#endif\n\t#ifdef USE_SPECULAR_INTENSITYMAP\n\t\tuniform sampler2D specularIntensityMap;\n\t#endif\n#endif\n#ifdef USE_CLEARCOAT\n\tuniform float clearcoat;\n\tuniform float clearcoatRoughness;\n#endif\n#ifdef USE_DISPERSION\n\tuniform float dispersion;\n#endif\n#ifdef USE_IRIDESCENCE\n\tuniform float iridescence;\n\tuniform float iridescenceIOR;\n\tuniform float iridescenceThicknessMinimum;\n\tuniform float iridescenceThicknessMaximum;\n#endif\n#ifdef USE_SHEEN\n\tuniform vec3 sheenColor;\n\tuniform float sheenRoughness;\n\t#ifdef USE_SHEEN_COLORMAP\n\t\tuniform sampler2D sheenColorMap;\n\t#endif\n\t#ifdef USE_SHEEN_ROUGHNESSMAP\n\t\tuniform sampler2D sheenRoughnessMap;\n\t#endif\n#endif\n#ifdef USE_ANISOTROPY\n\tuniform vec2 anisotropyVector;\n\t#ifdef USE_ANISOTROPYMAP\n\t\tuniform sampler2D anisotropyMap;\n\t#endif\n#endif\nvarying vec3 vViewPosition;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <iridescence_fragment>\n#include <cube_uv_reflection_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_physical_pars_fragment>\n#include <fog_pars_fragment>\n#include <lights_pars_begin>\n#include <normal_pars_fragment>\n#include <lights_physical_pars_fragment>\n#include <transmission_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <clearcoat_pars_fragment>\n#include <iridescence_pars_fragment>\n#include <roughnessmap_pars_fragment>\n#include <metalnessmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <roughnessmap_fragment>\n\t#include <metalnessmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <clearcoat_normal_fragment_begin>\n\t#include <clearcoat_normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_physical_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 totalDiffuse = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse;\n\tvec3 totalSpecular = reflectedLight.directSpecular + reflectedLight.indirectSpecular;\n\t#include <transmission_fragment>\n\tvec3 outgoingLight = totalDiffuse + totalSpecular + totalEmissiveRadiance;\n\t#ifdef USE_SHEEN\n\t\tfloat sheenEnergyComp = 1.0 - 0.157 * max3( material.sheenColor );\n\t\toutgoingLight = outgoingLight * sheenEnergyComp + sheenSpecularDirect + sheenSpecularIndirect;\n\t#endif\n\t#ifdef USE_CLEARCOAT\n\t\tfloat dotNVcc = saturate( dot( geometryClearcoatNormal, geometryViewDir ) );\n\t\tvec3 Fcc = F_Schlick( material.clearcoatF0, material.clearcoatF90, dotNVcc );\n\t\toutgoingLight = outgoingLight * ( 1.0 - material.clearcoat * Fcc ) + ( clearcoatSpecularDirect + clearcoatSpecularIndirect ) * material.clearcoat;\n\t#endif\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshtoon_vert:"#define TOON\nvarying vec3 vViewPosition;\n#include <common>\n#include <batching_pars_vertex>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <normal_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <normal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshtoon_frag:"#define TOON\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <gradientmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <normal_pars_fragment>\n#include <lights_toon_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_toon_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",points_vert:"uniform float size;\nuniform float scale;\n#include <common>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\n#ifdef USE_POINTS_UV\n\tvarying vec2 vUv;\n\tuniform mat3 uvTransform;\n#endif\nvoid main() {\n\t#ifdef USE_POINTS_UV\n\t\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n\t#endif\n\t#include <color_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphcolor_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\tgl_PointSize = size;\n\t#ifdef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) gl_PointSize *= ( scale / - mvPosition.z );\n\t#endif\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <fog_vertex>\n}",points_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <color_pars_fragment>\n#include <map_particle_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\t#include <logdepthbuf_fragment>\n\t#include <map_particle_fragment>\n\t#include <color_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",shadow_vert:"#include <common>\n#include <batching_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <shadowmap_pars_vertex>\nvoid main() {\n\t#include <batching_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphinstance_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",shadow_frag:"uniform vec3 color;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <logdepthbuf_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <shadowmask_pars_fragment>\nvoid main() {\n\t#include <logdepthbuf_fragment>\n\tgl_FragColor = vec4( color, opacity * ( 1.0 - getShadowMask() ) );\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n}",sprite_vert:"uniform float rotation;\nuniform vec2 center;\n#include <common>\n#include <uv_pars_vertex>\n#include <fog_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\tvec4 mvPosition = modelViewMatrix * vec4( 0.0, 0.0, 0.0, 1.0 );\n\tvec2 scale;\n\tscale.x = length( vec3( modelMatrix[ 0 ].x, modelMatrix[ 0 ].y, modelMatrix[ 0 ].z ) );\n\tscale.y = length( vec3( modelMatrix[ 1 ].x, modelMatrix[ 1 ].y, modelMatrix[ 1 ].z ) );\n\t#ifndef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) scale *= - mvPosition.z;\n\t#endif\n\tvec2 alignedPosition = ( position.xy - ( center - vec2( 0.5 ) ) ) * scale;\n\tvec2 rotatedPosition;\n\trotatedPosition.x = cos( rotation ) * alignedPosition.x - sin( rotation ) * alignedPosition.y;\n\trotatedPosition.y = sin( rotation ) * alignedPosition.x + cos( rotation ) * alignedPosition.y;\n\tmvPosition.xy += rotatedPosition;\n\tgl_Position = projectionMatrix * mvPosition;\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}",sprite_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <alphatest_pars_fragment>\n#include <alphahash_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <alphahash_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\t#include <opaque_fragment>\n\t#include <tonemapping_fragment>\n\t#include <colorspace_fragment>\n\t#include <fog_fragment>\n}"},yg={common:{diffuse:{value:new lm(16777215)},opacity:{value:1},map:{value:null},mapTransform:{value:new vp},alphaMap:{value:null},alphaMapTransform:{value:new vp},alphaTest:{value:0}},specularmap:{specularMap:{value:null},specularMapTransform:{value:new vp}},envmap:{envMap:{value:null},envMapRotation:{value:new vp},flipEnvMap:{value:-1},reflectivity:{value:1},ior:{value:1.5},refractionRatio:{value:.98}},aomap:{aoMap:{value:null},aoMapIntensity:{value:1},aoMapTransform:{value:new vp}},lightmap:{lightMap:{value:null},lightMapIntensity:{value:1},lightMapTransform:{value:new vp}},bumpmap:{bumpMap:{value:null},bumpMapTransform:{value:new vp},bumpScale:{value:1}},normalmap:{normalMap:{value:null},normalMapTransform:{value:new vp},normalScale:{value:new gp(1,1)}},displacementmap:{displacementMap:{value:null},displacementMapTransform:{value:new vp},displacementScale:{value:1},displacementBias:{value:0}},emissivemap:{emissiveMap:{value:null},emissiveMapTransform:{value:new vp}},metalnessmap:{metalnessMap:{value:null},metalnessMapTransform:{value:new vp}},roughnessmap:{roughnessMap:{value:null},roughnessMapTransform:{value:new vp}},gradientmap:{gradientMap:{value:null}},fog:{fogDensity:{value:25e-5},fogNear:{value:1},fogFar:{value:2e3},fogColor:{value:new lm(16777215)}},lights:{ambientLightColor:{value:[]},lightProbe:{value:[]},directionalLights:{value:[],properties:{direction:{},color:{}}},directionalLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},directionalShadowMap:{value:[]},directionalShadowMatrix:{value:[]},spotLights:{value:[],properties:{color:{},position:{},direction:{},distance:{},coneCos:{},penumbraCos:{},decay:{}}},spotLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},spotLightMap:{value:[]},spotShadowMap:{value:[]},spotLightMatrix:{value:[]},pointLights:{value:[],properties:{color:{},position:{},decay:{},distance:{}}},pointLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{},shadowCameraNear:{},shadowCameraFar:{}}},pointShadowMap:{value:[]},pointShadowMatrix:{value:[]},hemisphereLights:{value:[],properties:{direction:{},skyColor:{},groundColor:{}}},rectAreaLights:{value:[],properties:{color:{},position:{},width:{},height:{}}},ltc_1:{value:null},ltc_2:{value:null}},points:{diffuse:{value:new lm(16777215)},opacity:{value:1},size:{value:1},scale:{value:1},map:{value:null},alphaMap:{value:null},alphaMapTransform:{value:new vp},alphaTest:{value:0},uvTransform:{value:new vp}},sprite:{diffuse:{value:new lm(16777215)},opacity:{value:1},center:{value:new gp(.5,.5)},rotation:{value:0},map:{value:null},mapTransform:{value:new vp},alphaMap:{value:null},alphaMapTransform:{value:new vp},alphaTest:{value:0}}},bg={basic:{uniforms:qm([yg.common,yg.specularmap,yg.envmap,yg.aomap,yg.lightmap,yg.fog]),vertexShader:vg.meshbasic_vert,fragmentShader:vg.meshbasic_frag},lambert:{uniforms:qm([yg.common,yg.specularmap,yg.envmap,yg.aomap,yg.lightmap,yg.emissivemap,yg.bumpmap,yg.normalmap,yg.displacementmap,yg.fog,yg.lights,{emissive:{value:new lm(0)}}]),vertexShader:vg.meshlambert_vert,fragmentShader:vg.meshlambert_frag},phong:{uniforms:qm([yg.common,yg.specularmap,yg.envmap,yg.aomap,yg.lightmap,yg.emissivemap,yg.bumpmap,yg.normalmap,yg.displacementmap,yg.fog,yg.lights,{emissive:{value:new lm(0)},specular:{value:new lm(1118481)},shininess:{value:30}}]),vertexShader:vg.meshphong_vert,fragmentShader:vg.meshphong_frag},standard:{uniforms:qm([yg.common,yg.envmap,yg.aomap,yg.lightmap,yg.emissivemap,yg.bumpmap,yg.normalmap,yg.displacementmap,yg.roughnessmap,yg.metalnessmap,yg.fog,yg.lights,{emissive:{value:new lm(0)},roughness:{value:1},metalness:{value:0},envMapIntensity:{value:1}}]),vertexShader:vg.meshphysical_vert,fragmentShader:vg.meshphysical_frag},toon:{uniforms:qm([yg.common,yg.aomap,yg.lightmap,yg.emissivemap,yg.bumpmap,yg.normalmap,yg.displacementmap,yg.gradientmap,yg.fog,yg.lights,{emissive:{value:new lm(0)}}]),vertexShader:vg.meshtoon_vert,fragmentShader:vg.meshtoon_frag},matcap:{uniforms:qm([yg.common,yg.bumpmap,yg.normalmap,yg.displacementmap,yg.fog,{matcap:{value:null}}]),vertexShader:vg.meshmatcap_vert,fragmentShader:vg.meshmatcap_frag},points:{uniforms:qm([yg.points,yg.fog]),vertexShader:vg.points_vert,fragmentShader:vg.points_frag},dashed:{uniforms:qm([yg.common,yg.fog,{scale:{value:1},dashSize:{value:1},totalSize:{value:2}}]),vertexShader:vg.linedashed_vert,fragmentShader:vg.linedashed_frag},depth:{uniforms:qm([yg.common,yg.displacementmap]),vertexShader:vg.depth_vert,fragmentShader:vg.depth_frag},normal:{uniforms:qm([yg.common,yg.bumpmap,yg.normalmap,yg.displacementmap,{opacity:{value:1}}]),vertexShader:vg.meshnormal_vert,fragmentShader:vg.meshnormal_frag},sprite:{uniforms:qm([yg.sprite,yg.fog]),vertexShader:vg.sprite_vert,fragmentShader:vg.sprite_frag},background:{uniforms:{uvTransform:{value:new vp},t2D:{value:null},backgroundIntensity:{value:1}},vertexShader:vg.background_vert,fragmentShader:vg.background_frag},backgroundCube:{uniforms:{envMap:{value:null},flipEnvMap:{value:-1},backgroundBlurriness:{value:0},backgroundIntensity:{value:1},backgroundRotation:{value:new vp}},vertexShader:vg.backgroundCube_vert,fragmentShader:vg.backgroundCube_frag},cube:{uniforms:{tCube:{value:null},tFlip:{value:-1},opacity:{value:1}},vertexShader:vg.cube_vert,fragmentShader:vg.cube_frag},equirect:{uniforms:{tEquirect:{value:null}},vertexShader:vg.equirect_vert,fragmentShader:vg.equirect_frag},distanceRGBA:{uniforms:qm([yg.common,yg.displacementmap,{referencePosition:{value:new jp},nearDistance:{value:1},farDistance:{value:1e3}}]),vertexShader:vg.distanceRGBA_vert,fragmentShader:vg.distanceRGBA_frag},shadow:{uniforms:qm([yg.lights,yg.fog,{color:{value:new lm(0)},opacity:{value:1}}]),vertexShader:vg.shadow_vert,fragmentShader:vg.shadow_frag}};bg.physical={uniforms:qm([bg.standard.uniforms,{clearcoat:{value:0},clearcoatMap:{value:null},clearcoatMapTransform:{value:new vp},clearcoatNormalMap:{value:null},clearcoatNormalMapTransform:{value:new vp},clearcoatNormalScale:{value:new gp(1,1)},clearcoatRoughness:{value:0},clearcoatRoughnessMap:{value:null},clearcoatRoughnessMapTransform:{value:new vp},dispersion:{value:0},iridescence:{value:0},iridescenceMap:{value:null},iridescenceMapTransform:{value:new vp},iridescenceIOR:{value:1.3},iridescenceThicknessMinimum:{value:100},iridescenceThicknessMaximum:{value:400},iridescenceThicknessMap:{value:null},iridescenceThicknessMapTransform:{value:new vp},sheen:{value:0},sheenColor:{value:new lm(0)},sheenColorMap:{value:null},sheenColorMapTransform:{value:new vp},sheenRoughness:{value:1},sheenRoughnessMap:{value:null},sheenRoughnessMapTransform:{value:new vp},transmission:{value:0},transmissionMap:{value:null},transmissionMapTransform:{value:new vp},transmissionSamplerSize:{value:new gp},transmissionSamplerMap:{value:null},thickness:{value:0},thicknessMap:{value:null},thicknessMapTransform:{value:new vp},attenuationDistance:{value:0},attenuationColor:{value:new lm(0)},specularColor:{value:new lm(1,1,1)},specularColorMap:{value:null},specularColorMapTransform:{value:new vp},specularIntensity:{value:1},specularIntensityMap:{value:null},specularIntensityMapTransform:{value:new vp},anisotropyVector:{value:new gp},anisotropyMap:{value:null},anisotropyMapTransform:{value:new vp}}]),vertexShader:vg.meshphysical_vert,fragmentShader:vg.meshphysical_frag};const _g={r:0,b:0,g:0},xg=new Dh,wg=new bh;function Ag(e,t,n,r,i,a,o){const s=new lm(0);let l,c,u=!0===a?0:1,d=null,f=0,p=null;function h(e){let r=!0===e.isScene?e.background:null;return r&&r.isTexture&&(r=(e.backgroundBlurriness>0?n:t).get(r)),r}function m(t,n){t.getRGB(_g,Km(e)),r.buffers.color.setClear(_g.r,_g.g,_g.b,n,o)}return{getClearColor:function(){return s},setClearColor:function(e,t=1){s.set(e),u=t,m(s,u)},getClearAlpha:function(){return u},setClearAlpha:function(e){u=e,m(s,u)},render:function(t){let n=!1;const i=h(t);null===i?m(s,u):i&&i.isColor&&(m(i,1),n=!0);const a=e.xr.getEnvironmentBlendMode();"additive"===a?r.buffers.color.setClear(0,0,0,1,o):"alpha-blend"===a&&r.buffers.color.setClear(0,0,0,0,o),(e.autoClear||n)&&e.clear(e.autoClearColor,e.autoClearDepth,e.autoClearStencil)},addToRenderList:function(t,n){const r=h(n);r&&(r.isCubeTexture||r.mapping===df)?(void 0===c&&(c=new Wm(new $m(1,1,1),new Jm({name:"BackgroundCubeMaterial",uniforms:Xm(bg.backgroundCube.uniforms),vertexShader:bg.backgroundCube.vertexShader,fragmentShader:bg.backgroundCube.fragmentShader,side:1,depthTest:!1,depthWrite:!1,fog:!1})),c.geometry.deleteAttribute("normal"),c.geometry.deleteAttribute("uv"),c.onBeforeRender=function(e,t,n){this.matrixWorld.copyPosition(n.matrixWorld)},Object.defineProperty(c.material,"envMap",{get:function(){return this.uniforms.envMap.value}}),i.update(c)),xg.copy(n.backgroundRotation),xg.x*=-1,xg.y*=-1,xg.z*=-1,r.isCubeTexture&&!1===r.isRenderTargetTexture&&(xg.y*=-1,xg.z*=-1),c.material.uniforms.envMap.value=r,c.material.uniforms.flipEnvMap.value=r.isCubeTexture&&!1===r.isRenderTargetTexture?-1:1,c.material.uniforms.backgroundBlurriness.value=n.backgroundBlurriness,c.material.uniforms.backgroundIntensity.value=n.backgroundIntensity,c.material.uniforms.backgroundRotation.value.setFromMatrix4(wg.makeRotationFromEuler(xg)),c.material.toneMapped=Ep.getTransfer(r.colorSpace)!==jf,d===r&&f===r.version&&p===e.toneMapping||(c.material.needsUpdate=!0,d=r,f=r.version,p=e.toneMapping),c.layers.enableAll(),t.unshift(c,c.geometry,c.material,0,0,null)):r&&r.isTexture&&(void 0===l&&(l=new Wm(new gg(2,2),new Jm({name:"BackgroundMaterial",uniforms:Xm(bg.background.uniforms),vertexShader:bg.background.vertexShader,fragmentShader:bg.background.fragmentShader,side:0,depthTest:!1,depthWrite:!1,fog:!1})),l.geometry.deleteAttribute("normal"),Object.defineProperty(l.material,"map",{get:function(){return this.uniforms.t2D.value}}),i.update(l)),l.material.uniforms.t2D.value=r,l.material.uniforms.backgroundIntensity.value=n.backgroundIntensity,l.material.toneMapped=Ep.getTransfer(r.colorSpace)!==jf,!0===r.matrixAutoUpdate&&r.updateMatrix(),l.material.uniforms.uvTransform.value.copy(r.matrix),d===r&&f===r.version&&p===e.toneMapping||(l.material.needsUpdate=!0,d=r,f=r.version,p=e.toneMapping),l.layers.enableAll(),t.unshift(l,l.geometry,l.material,0,0,null))}}}function Sg(e,t){const n=e.getParameter(e.MAX_VERTEX_ATTRIBS),r={},i=c(null);let a=i,o=!1;function s(t){return e.bindVertexArray(t)}function l(t){return e.deleteVertexArray(t)}function c(e){const t=[],r=[],i=[];for(let e=0;e<n;e++)t[e]=0,r[e]=0,i[e]=0;return{geometry:null,program:null,wireframe:!1,newAttributes:t,enabledAttributes:r,attributeDivisors:i,object:e,attributes:{},index:null}}function u(){const e=a.newAttributes;for(let t=0,n=e.length;t<n;t++)e[t]=0}function d(e){f(e,0)}function f(t,n){const r=a.newAttributes,i=a.enabledAttributes,o=a.attributeDivisors;r[t]=1,0===i[t]&&(e.enableVertexAttribArray(t),i[t]=1),o[t]!==n&&(e.vertexAttribDivisor(t,n),o[t]=n)}function p(){const t=a.newAttributes,n=a.enabledAttributes;for(let r=0,i=n.length;r<i;r++)n[r]!==t[r]&&(e.disableVertexAttribArray(r),n[r]=0)}function h(t,n,r,i,a,o,s){!0===s?e.vertexAttribIPointer(t,n,r,a,o):e.vertexAttribPointer(t,n,r,i,a,o)}function m(){g(),o=!0,a!==i&&(a=i,s(a.object))}function g(){i.geometry=null,i.program=null,i.wireframe=!1}return{setup:function(n,i,l,m,g){let v=!1;const y=function(t,n,i){const a=!0===i.wireframe;let o=r[t.id];void 0===o&&(o={},r[t.id]=o);let s=o[n.id];void 0===s&&(s={},o[n.id]=s);let l=s[a];return void 0===l&&(l=c(e.createVertexArray()),s[a]=l),l}(m,l,i);a!==y&&(a=y,s(a.object)),v=function(e,t,n,r){const i=a.attributes,o=t.attributes;let s=0;const l=n.getAttributes();for(const t in l)if(l[t].location>=0){const n=i[t];let r=o[t];if(void 0===r&&("instanceMatrix"===t&&e.instanceMatrix&&(r=e.instanceMatrix),"instanceColor"===t&&e.instanceColor&&(r=e.instanceColor)),void 0===n)return!0;if(n.attribute!==r)return!0;if(r&&n.data!==r.data)return!0;s++}return a.attributesNum!==s||a.index!==r}(n,m,l,g),v&&function(e,t,n,r){const i={},o=t.attributes;let s=0;const l=n.getAttributes();for(const t in l)if(l[t].location>=0){let n=o[t];void 0===n&&("instanceMatrix"===t&&e.instanceMatrix&&(n=e.instanceMatrix),"instanceColor"===t&&e.instanceColor&&(n=e.instanceColor));const r={};r.attribute=n,n&&n.data&&(r.data=n.data),i[t]=r,s++}a.attributes=i,a.attributesNum=s,a.index=r}(n,m,l,g),null!==g&&t.update(g,e.ELEMENT_ARRAY_BUFFER),(v||o)&&(o=!1,function(n,r,i,a){u();const o=a.attributes,s=i.getAttributes(),l=r.defaultAttributeValues;for(const r in s){const i=s[r];if(i.location>=0){let s=o[r];if(void 0===s&&("instanceMatrix"===r&&n.instanceMatrix&&(s=n.instanceMatrix),"instanceColor"===r&&n.instanceColor&&(s=n.instanceColor)),void 0!==s){const r=s.normalized,o=s.itemSize,l=t.get(s);if(void 0===l)continue;const c=l.buffer,u=l.type,p=l.bytesPerElement,m=u===e.INT||u===e.UNSIGNED_INT||1013===s.gpuType;if(s.isInterleavedBufferAttribute){const t=s.data,l=t.stride,g=s.offset;if(t.isInstancedInterleavedBuffer){for(let e=0;e<i.locationSize;e++)f(i.location+e,t.meshPerAttribute);!0!==n.isInstancedMesh&&void 0===a._maxInstanceCount&&(a._maxInstanceCount=t.meshPerAttribute*t.count)}else for(let e=0;e<i.locationSize;e++)d(i.location+e);e.bindBuffer(e.ARRAY_BUFFER,c);for(let e=0;e<i.locationSize;e++)h(i.location+e,o/i.locationSize,u,r,l*p,(g+o/i.locationSize*e)*p,m)}else{if(s.isInstancedBufferAttribute){for(let e=0;e<i.locationSize;e++)f(i.location+e,s.meshPerAttribute);!0!==n.isInstancedMesh&&void 0===a._maxInstanceCount&&(a._maxInstanceCount=s.meshPerAttribute*s.count)}else for(let e=0;e<i.locationSize;e++)d(i.location+e);e.bindBuffer(e.ARRAY_BUFFER,c);for(let e=0;e<i.locationSize;e++)h(i.location+e,o/i.locationSize,u,r,o*p,o/i.locationSize*e*p,m)}}else if(void 0!==l){const t=l[r];if(void 0!==t)switch(t.length){case 2:e.vertexAttrib2fv(i.location,t);break;case 3:e.vertexAttrib3fv(i.location,t);break;case 4:e.vertexAttrib4fv(i.location,t);break;default:e.vertexAttrib1fv(i.location,t)}}}}p()}(n,i,l,m),null!==g&&e.bindBuffer(e.ELEMENT_ARRAY_BUFFER,t.get(g).buffer))},reset:m,resetDefaultState:g,dispose:function(){m();for(const e in r){const t=r[e];for(const e in t){const n=t[e];for(const e in n)l(n[e].object),delete n[e];delete t[e]}delete r[e]}},releaseStatesOfGeometry:function(e){if(void 0===r[e.id])return;const t=r[e.id];for(const e in t){const n=t[e];for(const e in n)l(n[e].object),delete n[e];delete t[e]}delete r[e.id]},releaseStatesOfProgram:function(e){for(const t in r){const n=r[t];if(void 0===n[e.id])continue;const i=n[e.id];for(const e in i)l(i[e].object),delete i[e];delete n[e.id]}},initAttributes:u,enableAttribute:d,disableUnusedAttributes:p}}function Tg(e,t,n){let r;function i(t,i,a){0!==a&&(e.drawArraysInstanced(r,t,i,a),n.update(i,r,a))}this.setMode=function(e){r=e},this.render=function(t,i){e.drawArrays(r,t,i),n.update(i,r,1)},this.renderInstances=i,this.renderMultiDraw=function(e,i,a){if(0===a)return;const o=t.get("WEBGL_multi_draw");if(null===o)for(let t=0;t<a;t++)this.render(e[t],i[t]);else{o.multiDrawArraysWEBGL(r,e,0,i,0,a);let t=0;for(let e=0;e<a;e++)t+=i[e];n.update(t,r,1)}},this.renderMultiDrawInstances=function(e,a,o,s){if(0===o)return;const l=t.get("WEBGL_multi_draw");if(null===l)for(let t=0;t<e.length;t++)i(e[t],a[t],s[t]);else{l.multiDrawArraysInstancedWEBGL(r,e,0,a,0,s,0,o);let t=0;for(let e=0;e<o;e++)t+=a[e];for(let e=0;e<s.length;e++)n.update(t,r,s[e])}}}function Cg(e,t,n,r){let i;function a(t){if("highp"===t){if(e.getShaderPrecisionFormat(e.VERTEX_SHADER,e.HIGH_FLOAT).precision>0&&e.getShaderPrecisionFormat(e.FRAGMENT_SHADER,e.HIGH_FLOAT).precision>0)return"highp";t="mediump"}return"mediump"===t&&e.getShaderPrecisionFormat(e.VERTEX_SHADER,e.MEDIUM_FLOAT).precision>0&&e.getShaderPrecisionFormat(e.FRAGMENT_SHADER,e.MEDIUM_FLOAT).precision>0?"mediump":"lowp"}let o=void 0!==n.precision?n.precision:"highp";const s=a(o);s!==o&&(console.warn("THREE.WebGLRenderer:",o,"not supported, using",s,"instead."),o=s);const l=!0===n.logarithmicDepthBuffer,c=e.getParameter(e.MAX_TEXTURE_IMAGE_UNITS),u=e.getParameter(e.MAX_VERTEX_TEXTURE_IMAGE_UNITS);return{isWebGL2:!0,getMaxAnisotropy:function(){if(void 0!==i)return i;if(!0===t.has("EXT_texture_filter_anisotropic")){const n=t.get("EXT_texture_filter_anisotropic");i=e.getParameter(n.MAX_TEXTURE_MAX_ANISOTROPY_EXT)}else i=0;return i},getMaxPrecision:a,textureFormatReadable:function(t){return t===Cf||r.convert(t)===e.getParameter(e.IMPLEMENTATION_COLOR_READ_FORMAT)},textureTypeReadable:function(n){const i=n===Sf&&(t.has("EXT_color_buffer_half_float")||t.has("EXT_color_buffer_float"));return!(n!==xf&&r.convert(n)!==e.getParameter(e.IMPLEMENTATION_COLOR_READ_TYPE)&&n!==Af&&!i)},precision:o,logarithmicDepthBuffer:l,maxTextures:c,maxVertexTextures:u,maxTextureSize:e.getParameter(e.MAX_TEXTURE_SIZE),maxCubemapSize:e.getParameter(e.MAX_CUBE_MAP_TEXTURE_SIZE),maxAttributes:e.getParameter(e.MAX_VERTEX_ATTRIBS),maxVertexUniforms:e.getParameter(e.MAX_VERTEX_UNIFORM_VECTORS),maxVaryings:e.getParameter(e.MAX_VARYING_VECTORS),maxFragmentUniforms:e.getParameter(e.MAX_FRAGMENT_UNIFORM_VECTORS),vertexTextures:u>0,maxSamples:e.getParameter(e.MAX_SAMPLES)}}function Eg(e){const t=this;let n=null,r=0,i=!1,a=!1;const o=new ug,s=new vp,l={value:null,needsUpdate:!1};function c(e,n,r,i){const a=null!==e?e.length:0;let c=null;if(0!==a){if(c=l.value,!0!==i||null===c){const t=r+4*a,i=n.matrixWorldInverse;s.getNormalMatrix(i),(null===c||c.length<t)&&(c=new Float32Array(t));for(let t=0,n=r;t!==a;++t,n+=4)o.copy(e[t]).applyMatrix4(i,s),o.normal.toArray(c,n),c[n+3]=o.constant}l.value=c,l.needsUpdate=!0}return t.numPlanes=a,t.numIntersection=0,c}this.uniform=l,this.numPlanes=0,this.numIntersection=0,this.init=function(e,t){const n=0!==e.length||t||0!==r||i;return i=t,r=e.length,n},this.beginShadows=function(){a=!0,c(null)},this.endShadows=function(){a=!1},this.setGlobalState=function(e,t){n=c(e,t,0)},this.setState=function(o,s,u){const d=o.clippingPlanes,f=o.clipIntersection,p=o.clipShadows,h=e.get(o);if(!i||null===d||0===d.length||a&&!p)a?c(null):(l.value!==n&&(l.value=n,l.needsUpdate=r>0),t.numPlanes=r,t.numIntersection=0);else{const e=a?0:r,t=4*e;let i=h.clippingState||null;l.value=i,i=c(d,s,t,u);for(let e=0;e!==t;++e)i[e]=n[e];h.clippingState=i,this.numIntersection=f?this.numPlanes:0,this.numPlanes+=e}}}function Mg(e){let t=new WeakMap;function n(e,t){return 303===t?e.mapping=cf:304===t&&(e.mapping=uf),e}function r(e){const n=e.target;n.removeEventListener("dispose",r);const i=t.get(n);void 0!==i&&(t.delete(n),i.dispose())}return{get:function(i){if(i&&i.isTexture){const a=i.mapping;if(303===a||304===a){if(t.has(i))return n(t.get(i).texture,i.mapping);{const a=i.image;if(a&&a.height>0){const o=new og(a.height);return o.fromEquirectangularTexture(e,i),t.set(i,o),i.addEventListener("dispose",r),n(o.texture,i.mapping)}return null}}}return i},dispose:function(){t=new WeakMap}}}class Dg extends Zm{constructor(e=-1,t=1,n=1,r=-1,i=.1,a=2e3){super(),this.isOrthographicCamera=!0,this.type="OrthographicCamera",this.zoom=1,this.view=null,this.left=e,this.right=t,this.top=n,this.bottom=r,this.near=i,this.far=a,this.updateProjectionMatrix()}copy(e,t){return super.copy(e,t),this.left=e.left,this.right=e.right,this.top=e.top,this.bottom=e.bottom,this.near=e.near,this.far=e.far,this.zoom=e.zoom,this.view=null===e.view?null:Object.assign({},e.view),this}setViewOffset(e,t,n,r,i,a){null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=e,this.view.fullHeight=t,this.view.offsetX=n,this.view.offsetY=r,this.view.width=i,this.view.height=a,this.updateProjectionMatrix()}clearViewOffset(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()}updateProjectionMatrix(){const e=(this.right-this.left)/(2*this.zoom),t=(this.top-this.bottom)/(2*this.zoom),n=(this.right+this.left)/2,r=(this.top+this.bottom)/2;let i=n-e,a=n+e,o=r+t,s=r-t;if(null!==this.view&&this.view.enabled){const e=(this.right-this.left)/this.view.fullWidth/this.zoom,t=(this.top-this.bottom)/this.view.fullHeight/this.zoom;i+=e*this.view.offsetX,a=i+e*this.view.width,o-=t*this.view.offsetY,s=o-t*this.view.height}this.projectionMatrix.makeOrthographic(i,a,o,s,this.near,this.far,this.coordinateSystem),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()}toJSON(e){const t=super.toJSON(e);return t.object.zoom=this.zoom,t.object.left=this.left,t.object.right=this.right,t.object.top=this.top,t.object.bottom=this.bottom,t.object.near=this.near,t.object.far=this.far,null!==this.view&&(t.object.view=Object.assign({},this.view)),t}}const Pg=[.125,.215,.35,.446,.526,.582],Ig=new Dg,Og=new lm;let Ng=null,kg=0,Rg=0,Lg=!1;const Fg=(1+Math.sqrt(5))/2,Bg=1/Fg,Ug=[new jp(-Fg,Bg,0),new jp(Fg,Bg,0),new jp(-Bg,0,Fg),new jp(Bg,0,Fg),new jp(0,Fg,-Bg),new jp(0,Fg,Bg),new jp(-1,1,-1),new jp(1,1,-1),new jp(-1,1,1),new jp(1,1,1)];class Vg{constructor(e){this._renderer=e,this._pingPongRenderTarget=null,this._lodMax=0,this._cubeSize=0,this._lodPlanes=[],this._sizeLods=[],this._sigmas=[],this._blurMaterial=null,this._cubemapMaterial=null,this._equirectMaterial=null,this._compileMaterial(this._blurMaterial)}fromScene(e,t=0,n=.1,r=100){Ng=this._renderer.getRenderTarget(),kg=this._renderer.getActiveCubeFace(),Rg=this._renderer.getActiveMipmapLevel(),Lg=this._renderer.xr.enabled,this._renderer.xr.enabled=!1,this._setSize(256);const i=this._allocateTargets();return i.depthBuffer=!0,this._sceneToCubeUV(e,n,r,i),t>0&&this._blur(i,0,0,t),this._applyPMREM(i),this._cleanup(i),i}fromEquirectangular(e,t=null){return this._fromTexture(e,t)}fromCubemap(e,t=null){return this._fromTexture(e,t)}compileCubemapShader(){null===this._cubemapMaterial&&(this._cubemapMaterial=Wg(),this._compileMaterial(this._cubemapMaterial))}compileEquirectangularShader(){null===this._equirectMaterial&&(this._equirectMaterial=jg(),this._compileMaterial(this._equirectMaterial))}dispose(){this._dispose(),null!==this._cubemapMaterial&&this._cubemapMaterial.dispose(),null!==this._equirectMaterial&&this._equirectMaterial.dispose()}_setSize(e){this._lodMax=Math.floor(Math.log2(e)),this._cubeSize=Math.pow(2,this._lodMax)}_dispose(){null!==this._blurMaterial&&this._blurMaterial.dispose(),null!==this._pingPongRenderTarget&&this._pingPongRenderTarget.dispose();for(let e=0;e<this._lodPlanes.length;e++)this._lodPlanes[e].dispose()}_cleanup(e){this._renderer.setRenderTarget(Ng,kg,Rg),this._renderer.xr.enabled=Lg,e.scissorTest=!1,zg(e,0,0,e.width,e.height)}_fromTexture(e,t){e.mapping===cf||e.mapping===uf?this._setSize(0===e.image.length?16:e.image[0].width||e.image[0].image.width):this._setSize(e.image.width/4),Ng=this._renderer.getRenderTarget(),kg=this._renderer.getActiveCubeFace(),Rg=this._renderer.getActiveMipmapLevel(),Lg=this._renderer.xr.enabled,this._renderer.xr.enabled=!1;const n=t||this._allocateTargets();return this._textureToCubeUV(e,n),this._applyPMREM(n),this._cleanup(n),n}_allocateTargets(){const e=3*Math.max(this._cubeSize,112),t=4*this._cubeSize,n={magFilter:yf,minFilter:yf,generateMipmaps:!1,type:Sf,format:Cf,colorSpace:Uf,depthBuffer:!1},r=Gg(e,t,n);if(null===this._pingPongRenderTarget||this._pingPongRenderTarget.width!==e||this._pingPongRenderTarget.height!==t){null!==this._pingPongRenderTarget&&this._dispose(),this._pingPongRenderTarget=Gg(e,t,n);const{_lodMax:r}=this;({sizeLods:this._sizeLods,lodPlanes:this._lodPlanes,sigmas:this._sigmas}=function(e){const t=[],n=[],r=[];let i=e;const a=e-4+1+Pg.length;for(let o=0;o<a;o++){const a=Math.pow(2,i);n.push(a);let s=1/a;o>e-4?s=Pg[o-e+4-1]:0===o&&(s=0),r.push(s);const l=1/(a-2),c=-l,u=1+l,d=[c,c,u,c,u,u,c,c,u,u,c,u],f=6,p=6,h=3,m=2,g=1,v=new Float32Array(h*p*f),y=new Float32Array(m*p*f),b=new Float32Array(g*p*f);for(let e=0;e<f;e++){const t=e%3*2/3-1,n=e>2?0:-1,r=[t,n,0,t+2/3,n,0,t+2/3,n+1,0,t,n,0,t+2/3,n+1,0,t,n+1,0];v.set(r,h*p*e),y.set(d,m*p*e);const i=[e,e,e,e,e,e];b.set(i,g*p*e)}const _=new Cm;_.setAttribute("position",new mm(v,h)),_.setAttribute("uv",new mm(y,m)),_.setAttribute("faceIndex",new mm(b,g)),t.push(_),i>4&&i--}return{lodPlanes:t,sizeLods:n,sigmas:r}}(r)),this._blurMaterial=function(e,t,n){const r=new Float32Array(20),i=new jp(0,1,0);return new Jm({name:"SphericalGaussianBlur",defines:{n:20,CUBEUV_TEXEL_WIDTH:1/t,CUBEUV_TEXEL_HEIGHT:1/n,CUBEUV_MAX_MIP:`${e}.0`},uniforms:{envMap:{value:null},samples:{value:1},weights:{value:r},latitudinal:{value:!1},dTheta:{value:0},mipInt:{value:0},poleAxis:{value:i}},vertexShader:"\n\n\t\tprecision mediump float;\n\t\tprecision mediump int;\n\n\t\tattribute float faceIndex;\n\n\t\tvarying vec3 vOutputDirection;\n\n\t\t// RH coordinate system; PMREM face-indexing convention\n\t\tvec3 getDirection( vec2 uv, float face ) {\n\n\t\t\tuv = 2.0 * uv - 1.0;\n\n\t\t\tvec3 direction = vec3( uv, 1.0 );\n\n\t\t\tif ( face == 0.0 ) {\n\n\t\t\t\tdirection = direction.zyx; // ( 1, v, u ) pos x\n\n\t\t\t} else if ( face == 1.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xz *= -1.0; // ( -u, 1, -v ) pos y\n\n\t\t\t} else if ( face == 2.0 ) {\n\n\t\t\t\tdirection.x *= -1.0; // ( -u, v, 1 ) pos z\n\n\t\t\t} else if ( face == 3.0 ) {\n\n\t\t\t\tdirection = direction.zyx;\n\t\t\t\tdirection.xz *= -1.0; // ( -1, v, -u ) neg x\n\n\t\t\t} else if ( face == 4.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xy *= -1.0; // ( -u, -1, v ) neg y\n\n\t\t\t} else if ( face == 5.0 ) {\n\n\t\t\t\tdirection.z *= -1.0; // ( u, v, -1 ) neg z\n\n\t\t\t}\n\n\t\t\treturn direction;\n\n\t\t}\n\n\t\tvoid main() {\n\n\t\t\tvOutputDirection = getDirection( uv, faceIndex );\n\t\t\tgl_Position = vec4( position, 1.0 );\n\n\t\t}\n\t",fragmentShader:"\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\t\t\tuniform int samples;\n\t\t\tuniform float weights[ n ];\n\t\t\tuniform bool latitudinal;\n\t\t\tuniform float dTheta;\n\t\t\tuniform float mipInt;\n\t\t\tuniform vec3 poleAxis;\n\n\t\t\t#define ENVMAP_TYPE_CUBE_UV\n\t\t\t#include <cube_uv_reflection_fragment>\n\n\t\t\tvec3 getSample( float theta, vec3 axis ) {\n\n\t\t\t\tfloat cosTheta = cos( theta );\n\t\t\t\t// Rodrigues' axis-angle rotation\n\t\t\t\tvec3 sampleDirection = vOutputDirection * cosTheta\n\t\t\t\t\t+ cross( axis, vOutputDirection ) * sin( theta )\n\t\t\t\t\t+ axis * dot( axis, vOutputDirection ) * ( 1.0 - cosTheta );\n\n\t\t\t\treturn bilinearCubeUV( envMap, sampleDirection, mipInt );\n\n\t\t\t}\n\n\t\t\tvoid main() {\n\n\t\t\t\tvec3 axis = latitudinal ? poleAxis : cross( poleAxis, vOutputDirection );\n\n\t\t\t\tif ( all( equal( axis, vec3( 0.0 ) ) ) ) {\n\n\t\t\t\t\taxis = vec3( vOutputDirection.z, 0.0, - vOutputDirection.x );\n\n\t\t\t\t}\n\n\t\t\t\taxis = normalize( axis );\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t\t\t\tgl_FragColor.rgb += weights[ 0 ] * getSample( 0.0, axis );\n\n\t\t\t\tfor ( int i = 1; i < n; i++ ) {\n\n\t\t\t\t\tif ( i >= samples ) {\n\n\t\t\t\t\t\tbreak;\n\n\t\t\t\t\t}\n\n\t\t\t\t\tfloat theta = dTheta * float( i );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( -1.0 * theta, axis );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( theta, axis );\n\n\t\t\t\t}\n\n\t\t\t}\n\t\t",blending:0,depthTest:!1,depthWrite:!1})}(r,e,t)}return r}_compileMaterial(e){const t=new Wm(this._lodPlanes[0],e);this._renderer.compile(t,Ig)}_sceneToCubeUV(e,t,n,r){const i=new ng(90,1,t,n),a=[1,-1,1,1,1,1],o=[1,1,1,-1,-1,-1],s=this._renderer,l=s.autoClear,c=s.toneMapping;s.getClearColor(Og),s.toneMapping=ef,s.autoClear=!1;const u=new fm({name:"PMREM.Background",side:1,depthWrite:!1,depthTest:!1}),d=new Wm(new $m,u);let f=!1;const p=e.background;p?p.isColor&&(u.color.copy(p),e.background=null,f=!0):(u.color.copy(Og),f=!0);for(let t=0;t<6;t++){const n=t%3;0===n?(i.up.set(0,a[t],0),i.lookAt(o[t],0,0)):1===n?(i.up.set(0,0,a[t]),i.lookAt(0,o[t],0)):(i.up.set(0,a[t],0),i.lookAt(0,0,o[t]));const l=this._cubeSize;zg(r,n*l,t>2?l:0,l,l),s.setRenderTarget(r),f&&s.render(d,i),s.render(e,i)}d.geometry.dispose(),d.material.dispose(),s.toneMapping=c,s.autoClear=l,e.background=p}_textureToCubeUV(e,t){const n=this._renderer,r=e.mapping===cf||e.mapping===uf;r?(null===this._cubemapMaterial&&(this._cubemapMaterial=Wg()),this._cubemapMaterial.uniforms.flipEnvMap.value=!1===e.isRenderTargetTexture?-1:1):null===this._equirectMaterial&&(this._equirectMaterial=jg());const i=r?this._cubemapMaterial:this._equirectMaterial,a=new Wm(this._lodPlanes[0],i);i.uniforms.envMap.value=e;const o=this._cubeSize;zg(t,0,0,3*o,2*o),n.setRenderTarget(t),n.render(a,Ig)}_applyPMREM(e){const t=this._renderer,n=t.autoClear;t.autoClear=!1;const r=this._lodPlanes.length;for(let t=1;t<r;t++){const n=Math.sqrt(this._sigmas[t]*this._sigmas[t]-this._sigmas[t-1]*this._sigmas[t-1]),i=Ug[(r-t-1)%Ug.length];this._blur(e,t-1,t,n,i)}t.autoClear=n}_blur(e,t,n,r,i){const a=this._pingPongRenderTarget;this._halfBlur(e,a,t,n,r,"latitudinal",i),this._halfBlur(a,e,n,n,r,"longitudinal",i)}_halfBlur(e,t,n,r,i,a,o){const s=this._renderer,l=this._blurMaterial;"latitudinal"!==a&&"longitudinal"!==a&&console.error("blur direction must be either latitudinal or longitudinal!");const c=new Wm(this._lodPlanes[r],l),u=l.uniforms,d=this._sizeLods[n]-1,f=isFinite(i)?Math.PI/(2*d):2*Math.PI/39,p=i/f,h=isFinite(i)?1+Math.floor(3*p):20;h>20&&console.warn(`sigmaRadians, ${i}, is too large and will clip, as it requested ${h} samples when the maximum is set to 20`);const m=[];let g=0;for(let e=0;e<20;++e){const t=e/p,n=Math.exp(-t*t/2);m.push(n),0===e?g+=n:e<h&&(g+=2*n)}for(let e=0;e<m.length;e++)m[e]=m[e]/g;u.envMap.value=e.texture,u.samples.value=h,u.weights.value=m,u.latitudinal.value="latitudinal"===a,o&&(u.poleAxis.value=o);const{_lodMax:v}=this;u.dTheta.value=f,u.mipInt.value=v-n;const y=this._sizeLods[r];zg(t,3*y*(r>v-4?r-v+4:0),4*(this._cubeSize-y),3*y,2*y),s.setRenderTarget(t),s.render(c,Ig)}}function Gg(e,t,n){const r=new Up(e,t,n);return r.texture.mapping=df,r.texture.name="PMREM.cubeUv",r.scissorTest=!0,r}function zg(e,t,n,r,i){e.viewport.set(t,n,r,i),e.scissor.set(t,n,r,i)}function jg(){return new Jm({name:"EquirectangularToCubeUV",uniforms:{envMap:{value:null}},vertexShader:"\n\n\t\tprecision mediump float;\n\t\tprecision mediump int;\n\n\t\tattribute float faceIndex;\n\n\t\tvarying vec3 vOutputDirection;\n\n\t\t// RH coordinate system; PMREM face-indexing convention\n\t\tvec3 getDirection( vec2 uv, float face ) {\n\n\t\t\tuv = 2.0 * uv - 1.0;\n\n\t\t\tvec3 direction = vec3( uv, 1.0 );\n\n\t\t\tif ( face == 0.0 ) {\n\n\t\t\t\tdirection = direction.zyx; // ( 1, v, u ) pos x\n\n\t\t\t} else if ( face == 1.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xz *= -1.0; // ( -u, 1, -v ) pos y\n\n\t\t\t} else if ( face == 2.0 ) {\n\n\t\t\t\tdirection.x *= -1.0; // ( -u, v, 1 ) pos z\n\n\t\t\t} else if ( face == 3.0 ) {\n\n\t\t\t\tdirection = direction.zyx;\n\t\t\t\tdirection.xz *= -1.0; // ( -1, v, -u ) neg x\n\n\t\t\t} else if ( face == 4.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xy *= -1.0; // ( -u, -1, v ) neg y\n\n\t\t\t} else if ( face == 5.0 ) {\n\n\t\t\t\tdirection.z *= -1.0; // ( u, v, -1 ) neg z\n\n\t\t\t}\n\n\t\t\treturn direction;\n\n\t\t}\n\n\t\tvoid main() {\n\n\t\t\tvOutputDirection = getDirection( uv, faceIndex );\n\t\t\tgl_Position = vec4( position, 1.0 );\n\n\t\t}\n\t",fragmentShader:"\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\n\t\t\t#include <common>\n\n\t\t\tvoid main() {\n\n\t\t\t\tvec3 outputDirection = normalize( vOutputDirection );\n\t\t\t\tvec2 uv = equirectUv( outputDirection );\n\n\t\t\t\tgl_FragColor = vec4( texture2D ( envMap, uv ).rgb, 1.0 );\n\n\t\t\t}\n\t\t",blending:0,depthTest:!1,depthWrite:!1})}function Wg(){return new Jm({name:"CubemapToCubeUV",uniforms:{envMap:{value:null},flipEnvMap:{value:-1}},vertexShader:"\n\n\t\tprecision mediump float;\n\t\tprecision mediump int;\n\n\t\tattribute float faceIndex;\n\n\t\tvarying vec3 vOutputDirection;\n\n\t\t// RH coordinate system; PMREM face-indexing convention\n\t\tvec3 getDirection( vec2 uv, float face ) {\n\n\t\t\tuv = 2.0 * uv - 1.0;\n\n\t\t\tvec3 direction = vec3( uv, 1.0 );\n\n\t\t\tif ( face == 0.0 ) {\n\n\t\t\t\tdirection = direction.zyx; // ( 1, v, u ) pos x\n\n\t\t\t} else if ( face == 1.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xz *= -1.0; // ( -u, 1, -v ) pos y\n\n\t\t\t} else if ( face == 2.0 ) {\n\n\t\t\t\tdirection.x *= -1.0; // ( -u, v, 1 ) pos z\n\n\t\t\t} else if ( face == 3.0 ) {\n\n\t\t\t\tdirection = direction.zyx;\n\t\t\t\tdirection.xz *= -1.0; // ( -1, v, -u ) neg x\n\n\t\t\t} else if ( face == 4.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xy *= -1.0; // ( -u, -1, v ) neg y\n\n\t\t\t} else if ( face == 5.0 ) {\n\n\t\t\t\tdirection.z *= -1.0; // ( u, v, -1 ) neg z\n\n\t\t\t}\n\n\t\t\treturn direction;\n\n\t\t}\n\n\t\tvoid main() {\n\n\t\t\tvOutputDirection = getDirection( uv, faceIndex );\n\t\t\tgl_Position = vec4( position, 1.0 );\n\n\t\t}\n\t",fragmentShader:"\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tuniform float flipEnvMap;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform samplerCube envMap;\n\n\t\t\tvoid main() {\n\n\t\t\t\tgl_FragColor = textureCube( envMap, vec3( flipEnvMap * vOutputDirection.x, vOutputDirection.yz ) );\n\n\t\t\t}\n\t\t",blending:0,depthTest:!1,depthWrite:!1})}function Hg(e){let t=new WeakMap,n=null;function r(e){const n=e.target;n.removeEventListener("dispose",r);const i=t.get(n);void 0!==i&&(t.delete(n),i.dispose())}return{get:function(i){if(i&&i.isTexture){const a=i.mapping,o=303===a||304===a,s=a===cf||a===uf;if(o||s){let a=t.get(i);const l=void 0!==a?a.texture.pmremVersion:0;if(i.isRenderTargetTexture&&i.pmremVersion!==l)return null===n&&(n=new Vg(e)),a=o?n.fromEquirectangular(i,a):n.fromCubemap(i,a),a.texture.pmremVersion=i.pmremVersion,t.set(i,a),a.texture;if(void 0!==a)return a.texture;{const l=i.image;return o&&l&&l.height>0||s&&l&&function(e){let t=0;for(let n=0;n<6;n++)void 0!==e[n]&&t++;return 6===t}(l)?(null===n&&(n=new Vg(e)),a=o?n.fromEquirectangular(i):n.fromCubemap(i),a.texture.pmremVersion=i.pmremVersion,t.set(i,a),i.addEventListener("dispose",r),a.texture):null}}}return i},dispose:function(){t=new WeakMap,null!==n&&(n.dispose(),n=null)}}}function $g(e){const t={};function n(n){if(void 0!==t[n])return t[n];let r;switch(n){case"WEBGL_depth_texture":r=e.getExtension("WEBGL_depth_texture")||e.getExtension("MOZ_WEBGL_depth_texture")||e.getExtension("WEBKIT_WEBGL_depth_texture");break;case"EXT_texture_filter_anisotropic":r=e.getExtension("EXT_texture_filter_anisotropic")||e.getExtension("MOZ_EXT_texture_filter_anisotropic")||e.getExtension("WEBKIT_EXT_texture_filter_anisotropic");break;case"WEBGL_compressed_texture_s3tc":r=e.getExtension("WEBGL_compressed_texture_s3tc")||e.getExtension("MOZ_WEBGL_compressed_texture_s3tc")||e.getExtension("WEBKIT_WEBGL_compressed_texture_s3tc");break;case"WEBGL_compressed_texture_pvrtc":r=e.getExtension("WEBGL_compressed_texture_pvrtc")||e.getExtension("WEBKIT_WEBGL_compressed_texture_pvrtc");break;default:r=e.getExtension(n)}return t[n]=r,r}return{has:function(e){return null!==n(e)},init:function(){n("EXT_color_buffer_float"),n("WEBGL_clip_cull_distance"),n("OES_texture_float_linear"),n("EXT_color_buffer_half_float"),n("WEBGL_multisampled_render_to_texture"),n("WEBGL_render_shared_exponent")},get:function(e){const t=n(e);return null===t&&console.warn("THREE.WebGLRenderer: "+e+" extension not supported."),t}}}function Xg(e,t,n,r){const i={},a=new WeakMap;function o(e){const s=e.target;null!==s.index&&t.remove(s.index);for(const e in s.attributes)t.remove(s.attributes[e]);for(const e in s.morphAttributes){const n=s.morphAttributes[e];for(let e=0,r=n.length;e<r;e++)t.remove(n[e])}s.removeEventListener("dispose",o),delete i[s.id];const l=a.get(s);l&&(t.remove(l),a.delete(s)),r.releaseStatesOfGeometry(s),!0===s.isInstancedBufferGeometry&&delete s._maxInstanceCount,n.memory.geometries--}function s(e){const n=[],r=e.index,i=e.attributes.position;let o=0;if(null!==r){const e=r.array;o=r.version;for(let t=0,r=e.length;t<r;t+=3){const r=e[t+0],i=e[t+1],a=e[t+2];n.push(r,i,i,a,a,r)}}else{if(void 0===i)return;{const e=i.array;o=i.version;for(let t=0,r=e.length/3-1;t<r;t+=3){const e=t+0,r=t+1,i=t+2;n.push(e,r,r,i,i,e)}}}const s=new(bp(n)?vm:gm)(n,1);s.version=o;const l=a.get(e);l&&t.remove(l),a.set(e,s)}return{get:function(e,t){return!0===i[t.id]||(t.addEventListener("dispose",o),i[t.id]=!0,n.memory.geometries++),t},update:function(n){const r=n.attributes;for(const n in r)t.update(r[n],e.ARRAY_BUFFER);const i=n.morphAttributes;for(const n in i){const r=i[n];for(let n=0,i=r.length;n<i;n++)t.update(r[n],e.ARRAY_BUFFER)}},getWireframeAttribute:function(e){const t=a.get(e);if(t){const n=e.index;null!==n&&t.version<n.version&&s(e)}else s(e);return a.get(e)}}}function qg(e,t,n){let r,i,a;function o(t,o,s){0!==s&&(e.drawElementsInstanced(r,o,i,t*a,s),n.update(o,r,s))}this.setMode=function(e){r=e},this.setIndex=function(e){i=e.type,a=e.bytesPerElement},this.render=function(t,o){e.drawElements(r,o,i,t*a),n.update(o,r,1)},this.renderInstances=o,this.renderMultiDraw=function(e,o,s){if(0===s)return;const l=t.get("WEBGL_multi_draw");if(null===l)for(let t=0;t<s;t++)this.render(e[t]/a,o[t]);else{l.multiDrawElementsWEBGL(r,o,0,i,e,0,s);let t=0;for(let e=0;e<s;e++)t+=o[e];n.update(t,r,1)}},this.renderMultiDrawInstances=function(e,s,l,c){if(0===l)return;const u=t.get("WEBGL_multi_draw");if(null===u)for(let t=0;t<e.length;t++)o(e[t]/a,s[t],c[t]);else{u.multiDrawElementsInstancedWEBGL(r,s,0,i,e,0,c,0,l);let t=0;for(let e=0;e<l;e++)t+=s[e];for(let e=0;e<c.length;e++)n.update(t,r,c[e])}}}function Kg(e){const t={frame:0,calls:0,triangles:0,points:0,lines:0};return{memory:{geometries:0,textures:0},render:t,programs:null,autoReset:!0,reset:function(){t.calls=0,t.triangles=0,t.points=0,t.lines=0},update:function(n,r,i){switch(t.calls++,r){case e.TRIANGLES:t.triangles+=i*(n/3);break;case e.LINES:t.lines+=i*(n/2);break;case e.LINE_STRIP:t.lines+=i*(n-1);break;case e.LINE_LOOP:t.lines+=i*n;break;case e.POINTS:t.points+=i*n;break;default:console.error("THREE.WebGLInfo: Unknown draw mode:",r)}}}}function Yg(e,t,n){const r=new WeakMap,i=new Fp;return{update:function(a,o,s){const l=a.morphTargetInfluences,c=o.morphAttributes.position||o.morphAttributes.normal||o.morphAttributes.color,u=void 0!==c?c.length:0;let d=r.get(o);if(void 0===d||d.count!==u){void 0!==d&&d.texture.dispose();const f=void 0!==o.morphAttributes.position,p=void 0!==o.morphAttributes.normal,h=void 0!==o.morphAttributes.color,m=o.morphAttributes.position||[],g=o.morphAttributes.normal||[],v=o.morphAttributes.color||[];let y=0;!0===f&&(y=1),!0===p&&(y=2),!0===h&&(y=3);let b=o.attributes.position.count*y,_=1;b>t.maxTextureSize&&(_=Math.ceil(b/t.maxTextureSize),b=t.maxTextureSize);const x=new Float32Array(b*_*4*u),w=new Vp(x,b,_,u);w.type=Af,w.needsUpdate=!0;const A=4*y;for(let T=0;T<u;T++){const C=m[T],E=g[T],M=v[T],D=b*_*4*T;for(let P=0;P<C.count;P++){const I=P*A;!0===f&&(i.fromBufferAttribute(C,P),x[D+I+0]=i.x,x[D+I+1]=i.y,x[D+I+2]=i.z,x[D+I+3]=0),!0===p&&(i.fromBufferAttribute(E,P),x[D+I+4]=i.x,x[D+I+5]=i.y,x[D+I+6]=i.z,x[D+I+7]=0),!0===h&&(i.fromBufferAttribute(M,P),x[D+I+8]=i.x,x[D+I+9]=i.y,x[D+I+10]=i.z,x[D+I+11]=4===M.itemSize?i.w:1)}}function S(){w.dispose(),r.delete(o),o.removeEventListener("dispose",S)}d={count:u,texture:w,size:new gp(b,_)},r.set(o,d),o.addEventListener("dispose",S)}if(!0===a.isInstancedMesh&&null!==a.morphTexture)s.getUniforms().setValue(e,"morphTexture",a.morphTexture,n);else{let O=0;for(let k=0;k<l.length;k++)O+=l[k];const N=o.morphTargetsRelative?1:1-O;s.getUniforms().setValue(e,"morphTargetBaseInfluence",N),s.getUniforms().setValue(e,"morphTargetInfluences",l)}s.getUniforms().setValue(e,"morphTargetsTexture",d.texture,n),s.getUniforms().setValue(e,"morphTargetsTextureSize",d.size)}}}function Jg(e,t,n,r){let i=new WeakMap;function a(e){const t=e.target;t.removeEventListener("dispose",a),n.remove(t.instanceMatrix),null!==t.instanceColor&&n.remove(t.instanceColor)}return{update:function(o){const s=r.render.frame,l=o.geometry,c=t.get(o,l);if(i.get(c)!==s&&(t.update(c),i.set(c,s)),o.isInstancedMesh&&(!1===o.hasEventListener("dispose",a)&&o.addEventListener("dispose",a),i.get(o)!==s&&(n.update(o.instanceMatrix,e.ARRAY_BUFFER),null!==o.instanceColor&&n.update(o.instanceColor,e.ARRAY_BUFFER),i.set(o,s))),o.isSkinnedMesh){const e=o.skeleton;i.get(e)!==s&&(e.update(),i.set(e,s))}return c},dispose:function(){i=new WeakMap}}}class Zg extends Lp{constructor(e,t,n,r,i,a,o,s,l,c){if((c=void 0!==c?c:Ef)!==Ef&&c!==Mf)throw new Error("DepthTexture format must be either THREE.DepthFormat or THREE.DepthStencilFormat");void 0===n&&c===Ef&&(n=wf),void 0===n&&c===Mf&&(n=Tf),super(null,r,i,a,o,s,c,n,l),this.isDepthTexture=!0,this.image={width:e,height:t},this.magFilter=void 0!==o?o:mf,this.minFilter=void 0!==s?s:mf,this.flipY=!1,this.generateMipmaps=!1,this.compareFunction=null}copy(e){return super.copy(e),this.compareFunction=e.compareFunction,this}toJSON(e){const t=super.toJSON(e);return null!==this.compareFunction&&(t.compareFunction=this.compareFunction),t}}const Qg=new Lp,ev=new Zg(1,1);ev.compareFunction=515;const tv=new Vp,nv=new Gp,rv=new ag,iv=[],av=[],ov=new Float32Array(16),sv=new Float32Array(9),lv=new Float32Array(4);function cv(e,t,n){const r=e[0];if(r<=0||r>0)return e;const i=t*n;let a=iv[i];if(void 0===a&&(a=new Float32Array(i),iv[i]=a),0!==t){r.toArray(a,0);for(let r=1,i=0;r!==t;++r)i+=n,e[r].toArray(a,i)}return a}function uv(e,t){if(e.length!==t.length)return!1;for(let n=0,r=e.length;n<r;n++)if(e[n]!==t[n])return!1;return!0}function dv(e,t){for(let n=0,r=t.length;n<r;n++)e[n]=t[n]}function fv(e,t){let n=av[t];void 0===n&&(n=new Int32Array(t),av[t]=n);for(let r=0;r!==t;++r)n[r]=e.allocateTextureUnit();return n}function pv(e,t){const n=this.cache;n[0]!==t&&(e.uniform1f(this.addr,t),n[0]=t)}function hv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y||(e.uniform2f(this.addr,t.x,t.y),n[0]=t.x,n[1]=t.y);else{if(uv(n,t))return;e.uniform2fv(this.addr,t),dv(n,t)}}function mv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z||(e.uniform3f(this.addr,t.x,t.y,t.z),n[0]=t.x,n[1]=t.y,n[2]=t.z);else if(void 0!==t.r)n[0]===t.r&&n[1]===t.g&&n[2]===t.b||(e.uniform3f(this.addr,t.r,t.g,t.b),n[0]=t.r,n[1]=t.g,n[2]=t.b);else{if(uv(n,t))return;e.uniform3fv(this.addr,t),dv(n,t)}}function gv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z&&n[3]===t.w||(e.uniform4f(this.addr,t.x,t.y,t.z,t.w),n[0]=t.x,n[1]=t.y,n[2]=t.z,n[3]=t.w);else{if(uv(n,t))return;e.uniform4fv(this.addr,t),dv(n,t)}}function vv(e,t){const n=this.cache,r=t.elements;if(void 0===r){if(uv(n,t))return;e.uniformMatrix2fv(this.addr,!1,t),dv(n,t)}else{if(uv(n,r))return;lv.set(r),e.uniformMatrix2fv(this.addr,!1,lv),dv(n,r)}}function yv(e,t){const n=this.cache,r=t.elements;if(void 0===r){if(uv(n,t))return;e.uniformMatrix3fv(this.addr,!1,t),dv(n,t)}else{if(uv(n,r))return;sv.set(r),e.uniformMatrix3fv(this.addr,!1,sv),dv(n,r)}}function bv(e,t){const n=this.cache,r=t.elements;if(void 0===r){if(uv(n,t))return;e.uniformMatrix4fv(this.addr,!1,t),dv(n,t)}else{if(uv(n,r))return;ov.set(r),e.uniformMatrix4fv(this.addr,!1,ov),dv(n,r)}}function _v(e,t){const n=this.cache;n[0]!==t&&(e.uniform1i(this.addr,t),n[0]=t)}function xv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y||(e.uniform2i(this.addr,t.x,t.y),n[0]=t.x,n[1]=t.y);else{if(uv(n,t))return;e.uniform2iv(this.addr,t),dv(n,t)}}function wv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z||(e.uniform3i(this.addr,t.x,t.y,t.z),n[0]=t.x,n[1]=t.y,n[2]=t.z);else{if(uv(n,t))return;e.uniform3iv(this.addr,t),dv(n,t)}}function Av(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z&&n[3]===t.w||(e.uniform4i(this.addr,t.x,t.y,t.z,t.w),n[0]=t.x,n[1]=t.y,n[2]=t.z,n[3]=t.w);else{if(uv(n,t))return;e.uniform4iv(this.addr,t),dv(n,t)}}function Sv(e,t){const n=this.cache;n[0]!==t&&(e.uniform1ui(this.addr,t),n[0]=t)}function Tv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y||(e.uniform2ui(this.addr,t.x,t.y),n[0]=t.x,n[1]=t.y);else{if(uv(n,t))return;e.uniform2uiv(this.addr,t),dv(n,t)}}function Cv(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z||(e.uniform3ui(this.addr,t.x,t.y,t.z),n[0]=t.x,n[1]=t.y,n[2]=t.z);else{if(uv(n,t))return;e.uniform3uiv(this.addr,t),dv(n,t)}}function Ev(e,t){const n=this.cache;if(void 0!==t.x)n[0]===t.x&&n[1]===t.y&&n[2]===t.z&&n[3]===t.w||(e.uniform4ui(this.addr,t.x,t.y,t.z,t.w),n[0]=t.x,n[1]=t.y,n[2]=t.z,n[3]=t.w);else{if(uv(n,t))return;e.uniform4uiv(this.addr,t),dv(n,t)}}function Mv(e,t,n){const r=this.cache,i=n.allocateTextureUnit();r[0]!==i&&(e.uniform1i(this.addr,i),r[0]=i);const a=this.type===e.SAMPLER_2D_SHADOW?ev:Qg;n.setTexture2D(t||a,i)}function Dv(e,t,n){const r=this.cache,i=n.allocateTextureUnit();r[0]!==i&&(e.uniform1i(this.addr,i),r[0]=i),n.setTexture3D(t||nv,i)}function Pv(e,t,n){const r=this.cache,i=n.allocateTextureUnit();r[0]!==i&&(e.uniform1i(this.addr,i),r[0]=i),n.setTextureCube(t||rv,i)}function Iv(e,t,n){const r=this.cache,i=n.allocateTextureUnit();r[0]!==i&&(e.uniform1i(this.addr,i),r[0]=i),n.setTexture2DArray(t||tv,i)}function Ov(e,t){e.uniform1fv(this.addr,t)}function Nv(e,t){const n=cv(t,this.size,2);e.uniform2fv(this.addr,n)}function kv(e,t){const n=cv(t,this.size,3);e.uniform3fv(this.addr,n)}function Rv(e,t){const n=cv(t,this.size,4);e.uniform4fv(this.addr,n)}function Lv(e,t){const n=cv(t,this.size,4);e.uniformMatrix2fv(this.addr,!1,n)}function Fv(e,t){const n=cv(t,this.size,9);e.uniformMatrix3fv(this.addr,!1,n)}function Bv(e,t){const n=cv(t,this.size,16);e.uniformMatrix4fv(this.addr,!1,n)}function Uv(e,t){e.uniform1iv(this.addr,t)}function Vv(e,t){e.uniform2iv(this.addr,t)}function Gv(e,t){e.uniform3iv(this.addr,t)}function zv(e,t){e.uniform4iv(this.addr,t)}function jv(e,t){e.uniform1uiv(this.addr,t)}function Wv(e,t){e.uniform2uiv(this.addr,t)}function Hv(e,t){e.uniform3uiv(this.addr,t)}function $v(e,t){e.uniform4uiv(this.addr,t)}function Xv(e,t,n){const r=this.cache,i=t.length,a=fv(n,i);uv(r,a)||(e.uniform1iv(this.addr,a),dv(r,a));for(let e=0;e!==i;++e)n.setTexture2D(t[e]||Qg,a[e])}function qv(e,t,n){const r=this.cache,i=t.length,a=fv(n,i);uv(r,a)||(e.uniform1iv(this.addr,a),dv(r,a));for(let e=0;e!==i;++e)n.setTexture3D(t[e]||nv,a[e])}function Kv(e,t,n){const r=this.cache,i=t.length,a=fv(n,i);uv(r,a)||(e.uniform1iv(this.addr,a),dv(r,a));for(let e=0;e!==i;++e)n.setTextureCube(t[e]||rv,a[e])}function Yv(e,t,n){const r=this.cache,i=t.length,a=fv(n,i);uv(r,a)||(e.uniform1iv(this.addr,a),dv(r,a));for(let e=0;e!==i;++e)n.setTexture2DArray(t[e]||tv,a[e])}class Jv{constructor(e,t,n){this.id=e,this.addr=n,this.cache=[],this.type=t.type,this.setValue=function(e){switch(e){case 5126:return pv;case 35664:return hv;case 35665:return mv;case 35666:return gv;case 35674:return vv;case 35675:return yv;case 35676:return bv;case 5124:case 35670:return _v;case 35667:case 35671:return xv;case 35668:case 35672:return wv;case 35669:case 35673:return Av;case 5125:return Sv;case 36294:return Tv;case 36295:return Cv;case 36296:return Ev;case 35678:case 36198:case 36298:case 36306:case 35682:return Mv;case 35679:case 36299:case 36307:return Dv;case 35680:case 36300:case 36308:case 36293:return Pv;case 36289:case 36303:case 36311:case 36292:return Iv}}(t.type)}}class Zv{constructor(e,t,n){this.id=e,this.addr=n,this.cache=[],this.type=t.type,this.size=t.size,this.setValue=function(e){switch(e){case 5126:return Ov;case 35664:return Nv;case 35665:return kv;case 35666:return Rv;case 35674:return Lv;case 35675:return Fv;case 35676:return Bv;case 5124:case 35670:return Uv;case 35667:case 35671:return Vv;case 35668:case 35672:return Gv;case 35669:case 35673:return zv;case 5125:return jv;case 36294:return Wv;case 36295:return Hv;case 36296:return $v;case 35678:case 36198:case 36298:case 36306:case 35682:return Xv;case 35679:case 36299:case 36307:return qv;case 35680:case 36300:case 36308:case 36293:return Kv;case 36289:case 36303:case 36311:case 36292:return Yv}}(t.type)}}class Qv{constructor(e){this.id=e,this.seq=[],this.map={}}setValue(e,t,n){const r=this.seq;for(let i=0,a=r.length;i!==a;++i){const a=r[i];a.setValue(e,t[a.id],n)}}}const ey=/(\w+)(\])?(\[|\.)?/g;function ty(e,t){e.seq.push(t),e.map[t.id]=t}function ny(e,t,n){const r=e.name,i=r.length;for(ey.lastIndex=0;;){const a=ey.exec(r),o=ey.lastIndex;let s=a[1];const l="]"===a[2],c=a[3];if(l&&(s|=0),void 0===c||"["===c&&o+2===i){ty(n,void 0===c?new Jv(s,e,t):new Zv(s,e,t));break}{let e=n.map[s];void 0===e&&(e=new Qv(s),ty(n,e)),n=e}}}class ry{constructor(e,t){this.seq=[],this.map={};const n=e.getProgramParameter(t,e.ACTIVE_UNIFORMS);for(let r=0;r<n;++r){const n=e.getActiveUniform(t,r);ny(n,e.getUniformLocation(t,n.name),this)}}setValue(e,t,n,r){const i=this.map[t];void 0!==i&&i.setValue(e,n,r)}setOptional(e,t,n){const r=t[n];void 0!==r&&this.setValue(e,n,r)}static upload(e,t,n,r){for(let i=0,a=t.length;i!==a;++i){const a=t[i],o=n[a.id];!1!==o.needsUpdate&&a.setValue(e,o.value,r)}}static seqWithValue(e,t){const n=[];for(let r=0,i=e.length;r!==i;++r){const i=e[r];i.id in t&&n.push(i)}return n}}function iy(e,t,n){const r=e.createShader(t);return e.shaderSource(r,n),e.compileShader(r),r}const ay=37297;let oy=0;function sy(e,t,n){const r=e.getShaderParameter(t,e.COMPILE_STATUS),i=e.getShaderInfoLog(t).trim();if(r&&""===i)return"";const a=/ERROR: 0:(\d+)/.exec(i);if(a){const r=parseInt(a[1]);return n.toUpperCase()+"\n\n"+i+"\n\n"+function(e,t){const n=e.split("\n"),r=[],i=Math.max(t-6,0),a=Math.min(t+6,n.length);for(let e=i;e<a;e++){const i=e+1;r.push(`${i===t?">":" "} ${i}: ${n[e]}`)}return r.join("\n")}(e.getShaderSource(t),r)}return i}function ly(e,t){const n=function(e){const t=Ep.getPrimaries(Ep.workingColorSpace),n=Ep.getPrimaries(e);let r;switch(t===n?r="":t===Hf&&n===Wf?r="LinearDisplayP3ToLinearSRGB":t===Wf&&n===Hf&&(r="LinearSRGBToLinearDisplayP3"),e){case Uf:case Gf:return[r,"LinearTransferOETF"];case Bf:case Vf:return[r,"sRGBTransferOETF"];default:return console.warn("THREE.WebGLProgram: Unsupported color space:",e),[r,"LinearTransferOETF"]}}(t);return`vec4 ${e}( vec4 value ) { return ${n[0]}( ${n[1]}( value ) ); }`}function cy(e,t){let n;switch(t){case tf:n="Linear";break;case nf:n="Reinhard";break;case rf:n="OptimizedCineon";break;case af:n="ACESFilmic";break;case sf:n="AgX";break;case lf:n="Neutral";break;case of:n="Custom";break;default:console.warn("THREE.WebGLProgram: Unsupported toneMapping:",t),n="Linear"}return"vec3 "+e+"( vec3 color ) { return "+n+"ToneMapping( color ); }"}function uy(e){return""!==e}function dy(e,t){const n=t.numSpotLightShadows+t.numSpotLightMaps-t.numSpotLightShadowsWithMaps;return e.replace(/NUM_DIR_LIGHTS/g,t.numDirLights).replace(/NUM_SPOT_LIGHTS/g,t.numSpotLights).replace(/NUM_SPOT_LIGHT_MAPS/g,t.numSpotLightMaps).replace(/NUM_SPOT_LIGHT_COORDS/g,n).replace(/NUM_RECT_AREA_LIGHTS/g,t.numRectAreaLights).replace(/NUM_POINT_LIGHTS/g,t.numPointLights).replace(/NUM_HEMI_LIGHTS/g,t.numHemiLights).replace(/NUM_DIR_LIGHT_SHADOWS/g,t.numDirLightShadows).replace(/NUM_SPOT_LIGHT_SHADOWS_WITH_MAPS/g,t.numSpotLightShadowsWithMaps).replace(/NUM_SPOT_LIGHT_SHADOWS/g,t.numSpotLightShadows).replace(/NUM_POINT_LIGHT_SHADOWS/g,t.numPointLightShadows)}function fy(e,t){return e.replace(/NUM_CLIPPING_PLANES/g,t.numClippingPlanes).replace(/UNION_CLIPPING_PLANES/g,t.numClippingPlanes-t.numClipIntersection)}const py=/^[ \t]*#include +<([\w\d./]+)>/gm;function hy(e){return e.replace(py,gy)}const my=new Map;function gy(e,t){let n=vg[t];if(void 0===n){const e=my.get(t);if(void 0===e)throw new Error("Can not resolve #include <"+t+">");n=vg[e],console.warn('THREE.WebGLRenderer: Shader chunk "%s" has been deprecated. Use "%s" instead.',t,e)}return hy(n)}const vy=/#pragma unroll_loop_start\s+for\s*\(\s*int\s+i\s*=\s*(\d+)\s*;\s*i\s*<\s*(\d+)\s*;\s*i\s*\+\+\s*\)\s*{([\s\S]+?)}\s+#pragma unroll_loop_end/g;function yy(e){return e.replace(vy,by)}function by(e,t,n,r){let i="";for(let e=parseInt(t);e<parseInt(n);e++)i+=r.replace(/\[\s*i\s*\]/g,"[ "+e+" ]").replace(/UNROLLED_LOOP_INDEX/g,e);return i}function _y(e){let t=`precision ${e.precision} float;\n\tprecision ${e.precision} int;\n\tprecision ${e.precision} sampler2D;\n\tprecision ${e.precision} samplerCube;\n\tprecision ${e.precision} sampler3D;\n\tprecision ${e.precision} sampler2DArray;\n\tprecision ${e.precision} sampler2DShadow;\n\tprecision ${e.precision} samplerCubeShadow;\n\tprecision ${e.precision} sampler2DArrayShadow;\n\tprecision ${e.precision} isampler2D;\n\tprecision ${e.precision} isampler3D;\n\tprecision ${e.precision} isamplerCube;\n\tprecision ${e.precision} isampler2DArray;\n\tprecision ${e.precision} usampler2D;\n\tprecision ${e.precision} usampler3D;\n\tprecision ${e.precision} usamplerCube;\n\tprecision ${e.precision} usampler2DArray;\n\t`;return"highp"===e.precision?t+="\n#define HIGH_PRECISION":"mediump"===e.precision?t+="\n#define MEDIUM_PRECISION":"lowp"===e.precision&&(t+="\n#define LOW_PRECISION"),t}function xy(e,t,n,r){const i=e.getContext(),a=n.defines;let o=n.vertexShader,s=n.fragmentShader;const l=function(e){let t="SHADOWMAP_TYPE_BASIC";return e.shadowMapType===Ed?t="SHADOWMAP_TYPE_PCF":e.shadowMapType===Md?t="SHADOWMAP_TYPE_PCF_SOFT":e.shadowMapType===Dd&&(t="SHADOWMAP_TYPE_VSM"),t}(n),c=function(e){let t="ENVMAP_TYPE_CUBE";if(e.envMap)switch(e.envMapMode){case cf:case uf:t="ENVMAP_TYPE_CUBE";break;case df:t="ENVMAP_TYPE_CUBE_UV"}return t}(n),u=function(e){let t="ENVMAP_MODE_REFLECTION";return e.envMap&&e.envMapMode===uf&&(t="ENVMAP_MODE_REFRACTION"),t}(n),d=function(e){let t="ENVMAP_BLENDING_NONE";if(e.envMap)switch(e.combine){case Jd:t="ENVMAP_BLENDING_MULTIPLY";break;case Zd:t="ENVMAP_BLENDING_MIX";break;case Qd:t="ENVMAP_BLENDING_ADD"}return t}(n),f=function(e){const t=e.envMapCubeUVHeight;if(null===t)return null;const n=Math.log2(t)-2,r=1/t;return{texelWidth:1/(3*Math.max(Math.pow(2,n),112)),texelHeight:r,maxMip:n}}(n),p=function(e){return[e.extensionClipCullDistance?"#extension GL_ANGLE_clip_cull_distance : require":"",e.extensionMultiDraw?"#extension GL_ANGLE_multi_draw : require":""].filter(uy).join("\n")}(n),h=function(e){const t=[];for(const n in e){const r=e[n];!1!==r&&t.push("#define "+n+" "+r)}return t.join("\n")}(a),m=i.createProgram();let g,v,y=n.glslVersion?"#version "+n.glslVersion+"\n":"";n.isRawShaderMaterial?(g=["#define SHADER_TYPE "+n.shaderType,"#define SHADER_NAME "+n.shaderName,h].filter(uy).join("\n"),g.length>0&&(g+="\n"),v=["#define SHADER_TYPE "+n.shaderType,"#define SHADER_NAME "+n.shaderName,h].filter(uy).join("\n"),v.length>0&&(v+="\n")):(g=[_y(n),"#define SHADER_TYPE "+n.shaderType,"#define SHADER_NAME "+n.shaderName,h,n.extensionClipCullDistance?"#define USE_CLIP_DISTANCE":"",n.batching?"#define USE_BATCHING":"",n.instancing?"#define USE_INSTANCING":"",n.instancingColor?"#define USE_INSTANCING_COLOR":"",n.instancingMorph?"#define USE_INSTANCING_MORPH":"",n.useFog&&n.fog?"#define USE_FOG":"",n.useFog&&n.fogExp2?"#define FOG_EXP2":"",n.map?"#define USE_MAP":"",n.envMap?"#define USE_ENVMAP":"",n.envMap?"#define "+u:"",n.lightMap?"#define USE_LIGHTMAP":"",n.aoMap?"#define USE_AOMAP":"",n.bumpMap?"#define USE_BUMPMAP":"",n.normalMap?"#define USE_NORMALMAP":"",n.normalMapObjectSpace?"#define USE_NORMALMAP_OBJECTSPACE":"",n.normalMapTangentSpace?"#define USE_NORMALMAP_TANGENTSPACE":"",n.displacementMap?"#define USE_DISPLACEMENTMAP":"",n.emissiveMap?"#define USE_EMISSIVEMAP":"",n.anisotropy?"#define USE_ANISOTROPY":"",n.anisotropyMap?"#define USE_ANISOTROPYMAP":"",n.clearcoatMap?"#define USE_CLEARCOATMAP":"",n.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",n.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",n.iridescenceMap?"#define USE_IRIDESCENCEMAP":"",n.iridescenceThicknessMap?"#define USE_IRIDESCENCE_THICKNESSMAP":"",n.specularMap?"#define USE_SPECULARMAP":"",n.specularColorMap?"#define USE_SPECULAR_COLORMAP":"",n.specularIntensityMap?"#define USE_SPECULAR_INTENSITYMAP":"",n.roughnessMap?"#define USE_ROUGHNESSMAP":"",n.metalnessMap?"#define USE_METALNESSMAP":"",n.alphaMap?"#define USE_ALPHAMAP":"",n.alphaHash?"#define USE_ALPHAHASH":"",n.transmission?"#define USE_TRANSMISSION":"",n.transmissionMap?"#define USE_TRANSMISSIONMAP":"",n.thicknessMap?"#define USE_THICKNESSMAP":"",n.sheenColorMap?"#define USE_SHEEN_COLORMAP":"",n.sheenRoughnessMap?"#define USE_SHEEN_ROUGHNESSMAP":"",n.mapUv?"#define MAP_UV "+n.mapUv:"",n.alphaMapUv?"#define ALPHAMAP_UV "+n.alphaMapUv:"",n.lightMapUv?"#define LIGHTMAP_UV "+n.lightMapUv:"",n.aoMapUv?"#define AOMAP_UV "+n.aoMapUv:"",n.emissiveMapUv?"#define EMISSIVEMAP_UV "+n.emissiveMapUv:"",n.bumpMapUv?"#define BUMPMAP_UV "+n.bumpMapUv:"",n.normalMapUv?"#define NORMALMAP_UV "+n.normalMapUv:"",n.displacementMapUv?"#define DISPLACEMENTMAP_UV "+n.displacementMapUv:"",n.metalnessMapUv?"#define METALNESSMAP_UV "+n.metalnessMapUv:"",n.roughnessMapUv?"#define ROUGHNESSMAP_UV "+n.roughnessMapUv:"",n.anisotropyMapUv?"#define ANISOTROPYMAP_UV "+n.anisotropyMapUv:"",n.clearcoatMapUv?"#define CLEARCOATMAP_UV "+n.clearcoatMapUv:"",n.clearcoatNormalMapUv?"#define CLEARCOAT_NORMALMAP_UV "+n.clearcoatNormalMapUv:"",n.clearcoatRoughnessMapUv?"#define CLEARCOAT_ROUGHNESSMAP_UV "+n.clearcoatRoughnessMapUv:"",n.iridescenceMapUv?"#define IRIDESCENCEMAP_UV "+n.iridescenceMapUv:"",n.iridescenceThicknessMapUv?"#define IRIDESCENCE_THICKNESSMAP_UV "+n.iridescenceThicknessMapUv:"",n.sheenColorMapUv?"#define SHEEN_COLORMAP_UV "+n.sheenColorMapUv:"",n.sheenRoughnessMapUv?"#define SHEEN_ROUGHNESSMAP_UV "+n.sheenRoughnessMapUv:"",n.specularMapUv?"#define SPECULARMAP_UV "+n.specularMapUv:"",n.specularColorMapUv?"#define SPECULAR_COLORMAP_UV "+n.specularColorMapUv:"",n.specularIntensityMapUv?"#define SPECULAR_INTENSITYMAP_UV "+n.specularIntensityMapUv:"",n.transmissionMapUv?"#define TRANSMISSIONMAP_UV "+n.transmissionMapUv:"",n.thicknessMapUv?"#define THICKNESSMAP_UV "+n.thicknessMapUv:"",n.vertexTangents&&!1===n.flatShading?"#define USE_TANGENT":"",n.vertexColors?"#define USE_COLOR":"",n.vertexAlphas?"#define USE_COLOR_ALPHA":"",n.vertexUv1s?"#define USE_UV1":"",n.vertexUv2s?"#define USE_UV2":"",n.vertexUv3s?"#define USE_UV3":"",n.pointsUvs?"#define USE_POINTS_UV":"",n.flatShading?"#define FLAT_SHADED":"",n.skinning?"#define USE_SKINNING":"",n.morphTargets?"#define USE_MORPHTARGETS":"",n.morphNormals&&!1===n.flatShading?"#define USE_MORPHNORMALS":"",n.morphColors?"#define USE_MORPHCOLORS":"",n.morphTargetsCount>0?"#define MORPHTARGETS_TEXTURE":"",n.morphTargetsCount>0?"#define MORPHTARGETS_TEXTURE_STRIDE "+n.morphTextureStride:"",n.morphTargetsCount>0?"#define MORPHTARGETS_COUNT "+n.morphTargetsCount:"",n.doubleSided?"#define DOUBLE_SIDED":"",n.flipSided?"#define FLIP_SIDED":"",n.shadowMapEnabled?"#define USE_SHADOWMAP":"",n.shadowMapEnabled?"#define "+l:"",n.sizeAttenuation?"#define USE_SIZEATTENUATION":"",n.numLightProbes>0?"#define USE_LIGHT_PROBES":"",n.useLegacyLights?"#define LEGACY_LIGHTS":"",n.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"","uniform mat4 modelMatrix;","uniform mat4 modelViewMatrix;","uniform mat4 projectionMatrix;","uniform mat4 viewMatrix;","uniform mat3 normalMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;","#ifdef USE_INSTANCING","\tattribute mat4 instanceMatrix;","#endif","#ifdef USE_INSTANCING_COLOR","\tattribute vec3 instanceColor;","#endif","#ifdef USE_INSTANCING_MORPH","\tuniform sampler2D morphTexture;","#endif","attribute vec3 position;","attribute vec3 normal;","attribute vec2 uv;","#ifdef USE_UV1","\tattribute vec2 uv1;","#endif","#ifdef USE_UV2","\tattribute vec2 uv2;","#endif","#ifdef USE_UV3","\tattribute vec2 uv3;","#endif","#ifdef USE_TANGENT","\tattribute vec4 tangent;","#endif","#if defined( USE_COLOR_ALPHA )","\tattribute vec4 color;","#elif defined( USE_COLOR )","\tattribute vec3 color;","#endif","#if ( defined( USE_MORPHTARGETS ) && ! defined( MORPHTARGETS_TEXTURE ) )","\tattribute vec3 morphTarget0;","\tattribute vec3 morphTarget1;","\tattribute vec3 morphTarget2;","\tattribute vec3 morphTarget3;","\t#ifdef USE_MORPHNORMALS","\t\tattribute vec3 morphNormal0;","\t\tattribute vec3 morphNormal1;","\t\tattribute vec3 morphNormal2;","\t\tattribute vec3 morphNormal3;","\t#else","\t\tattribute vec3 morphTarget4;","\t\tattribute vec3 morphTarget5;","\t\tattribute vec3 morphTarget6;","\t\tattribute vec3 morphTarget7;","\t#endif","#endif","#ifdef USE_SKINNING","\tattribute vec4 skinIndex;","\tattribute vec4 skinWeight;","#endif","\n"].filter(uy).join("\n"),v=[_y(n),"#define SHADER_TYPE "+n.shaderType,"#define SHADER_NAME "+n.shaderName,h,n.useFog&&n.fog?"#define USE_FOG":"",n.useFog&&n.fogExp2?"#define FOG_EXP2":"",n.alphaToCoverage?"#define ALPHA_TO_COVERAGE":"",n.map?"#define USE_MAP":"",n.matcap?"#define USE_MATCAP":"",n.envMap?"#define USE_ENVMAP":"",n.envMap?"#define "+c:"",n.envMap?"#define "+u:"",n.envMap?"#define "+d:"",f?"#define CUBEUV_TEXEL_WIDTH "+f.texelWidth:"",f?"#define CUBEUV_TEXEL_HEIGHT "+f.texelHeight:"",f?"#define CUBEUV_MAX_MIP "+f.maxMip+".0":"",n.lightMap?"#define USE_LIGHTMAP":"",n.aoMap?"#define USE_AOMAP":"",n.bumpMap?"#define USE_BUMPMAP":"",n.normalMap?"#define USE_NORMALMAP":"",n.normalMapObjectSpace?"#define USE_NORMALMAP_OBJECTSPACE":"",n.normalMapTangentSpace?"#define USE_NORMALMAP_TANGENTSPACE":"",n.emissiveMap?"#define USE_EMISSIVEMAP":"",n.anisotropy?"#define USE_ANISOTROPY":"",n.anisotropyMap?"#define USE_ANISOTROPYMAP":"",n.clearcoat?"#define USE_CLEARCOAT":"",n.clearcoatMap?"#define USE_CLEARCOATMAP":"",n.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",n.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",n.dispersion?"#define USE_DISPERSION":"",n.iridescence?"#define USE_IRIDESCENCE":"",n.iridescenceMap?"#define USE_IRIDESCENCEMAP":"",n.iridescenceThicknessMap?"#define USE_IRIDESCENCE_THICKNESSMAP":"",n.specularMap?"#define USE_SPECULARMAP":"",n.specularColorMap?"#define USE_SPECULAR_COLORMAP":"",n.specularIntensityMap?"#define USE_SPECULAR_INTENSITYMAP":"",n.roughnessMap?"#define USE_ROUGHNESSMAP":"",n.metalnessMap?"#define USE_METALNESSMAP":"",n.alphaMap?"#define USE_ALPHAMAP":"",n.alphaTest?"#define USE_ALPHATEST":"",n.alphaHash?"#define USE_ALPHAHASH":"",n.sheen?"#define USE_SHEEN":"",n.sheenColorMap?"#define USE_SHEEN_COLORMAP":"",n.sheenRoughnessMap?"#define USE_SHEEN_ROUGHNESSMAP":"",n.transmission?"#define USE_TRANSMISSION":"",n.transmissionMap?"#define USE_TRANSMISSIONMAP":"",n.thicknessMap?"#define USE_THICKNESSMAP":"",n.vertexTangents&&!1===n.flatShading?"#define USE_TANGENT":"",n.vertexColors||n.instancingColor?"#define USE_COLOR":"",n.vertexAlphas?"#define USE_COLOR_ALPHA":"",n.vertexUv1s?"#define USE_UV1":"",n.vertexUv2s?"#define USE_UV2":"",n.vertexUv3s?"#define USE_UV3":"",n.pointsUvs?"#define USE_POINTS_UV":"",n.gradientMap?"#define USE_GRADIENTMAP":"",n.flatShading?"#define FLAT_SHADED":"",n.doubleSided?"#define DOUBLE_SIDED":"",n.flipSided?"#define FLIP_SIDED":"",n.shadowMapEnabled?"#define USE_SHADOWMAP":"",n.shadowMapEnabled?"#define "+l:"",n.premultipliedAlpha?"#define PREMULTIPLIED_ALPHA":"",n.numLightProbes>0?"#define USE_LIGHT_PROBES":"",n.useLegacyLights?"#define LEGACY_LIGHTS":"",n.decodeVideoTexture?"#define DECODE_VIDEO_TEXTURE":"",n.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"","uniform mat4 viewMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;",n.toneMapping!==ef?"#define TONE_MAPPING":"",n.toneMapping!==ef?vg.tonemapping_pars_fragment:"",n.toneMapping!==ef?cy("toneMapping",n.toneMapping):"",n.dithering?"#define DITHERING":"",n.opaque?"#define OPAQUE":"",vg.colorspace_pars_fragment,ly("linearToOutputTexel",n.outputColorSpace),n.useDepthPacking?"#define DEPTH_PACKING "+n.depthPacking:"","\n"].filter(uy).join("\n")),o=hy(o),o=dy(o,n),o=fy(o,n),s=hy(s),s=dy(s,n),s=fy(s,n),o=yy(o),s=yy(s),!0!==n.isRawShaderMaterial&&(y="#version 300 es\n",g=[p,"#define attribute in","#define varying out","#define texture2D texture"].join("\n")+"\n"+g,v=["#define varying in",n.glslVersion===tp?"":"layout(location = 0) out highp vec4 pc_fragColor;",n.glslVersion===tp?"":"#define gl_FragColor pc_fragColor","#define gl_FragDepthEXT gl_FragDepth","#define texture2D texture","#define textureCube texture","#define texture2DProj textureProj","#define texture2DLodEXT textureLod","#define texture2DProjLodEXT textureProjLod","#define textureCubeLodEXT textureLod","#define texture2DGradEXT textureGrad","#define texture2DProjGradEXT textureProjGrad","#define textureCubeGradEXT textureGrad"].join("\n")+"\n"+v);const b=y+g+o,_=y+v+s,x=iy(i,i.VERTEX_SHADER,b),w=iy(i,i.FRAGMENT_SHADER,_);function A(t){if(e.debug.checkShaderErrors){const n=i.getProgramInfoLog(m).trim(),r=i.getShaderInfoLog(x).trim(),a=i.getShaderInfoLog(w).trim();let o=!0,s=!0;if(!1===i.getProgramParameter(m,i.LINK_STATUS))if(o=!1,"function"==typeof e.debug.onShaderError)e.debug.onShaderError(i,m,x,w);else{const e=sy(i,x,"vertex"),r=sy(i,w,"fragment");console.error("THREE.WebGLProgram: Shader Error "+i.getError()+" - VALIDATE_STATUS "+i.getProgramParameter(m,i.VALIDATE_STATUS)+"\n\nMaterial Name: "+t.name+"\nMaterial Type: "+t.type+"\n\nProgram Info Log: "+n+"\n"+e+"\n"+r)}else""!==n?console.warn("THREE.WebGLProgram: Program Info Log:",n):""!==r&&""!==a||(s=!1);s&&(t.diagnostics={runnable:o,programLog:n,vertexShader:{log:r,prefix:g},fragmentShader:{log:a,prefix:v}})}i.deleteShader(x),i.deleteShader(w),S=new ry(i,m),T=function(e,t){const n={},r=e.getProgramParameter(t,e.ACTIVE_ATTRIBUTES);for(let i=0;i<r;i++){const r=e.getActiveAttrib(t,i),a=r.name;let o=1;r.type===e.FLOAT_MAT2&&(o=2),r.type===e.FLOAT_MAT3&&(o=3),r.type===e.FLOAT_MAT4&&(o=4),n[a]={type:r.type,location:e.getAttribLocation(t,a),locationSize:o}}return n}(i,m)}let S,T;i.attachShader(m,x),i.attachShader(m,w),void 0!==n.index0AttributeName?i.bindAttribLocation(m,0,n.index0AttributeName):!0===n.morphTargets&&i.bindAttribLocation(m,0,"position"),i.linkProgram(m),this.getUniforms=function(){return void 0===S&&A(this),S},this.getAttributes=function(){return void 0===T&&A(this),T};let C=!1===n.rendererExtensionParallelShaderCompile;return this.isReady=function(){return!1===C&&(C=i.getProgramParameter(m,ay)),C},this.destroy=function(){r.releaseStatesOfProgram(this),i.deleteProgram(m),this.program=void 0},this.type=n.shaderType,this.name=n.shaderName,this.id=oy++,this.cacheKey=t,this.usedTimes=1,this.program=m,this.vertexShader=x,this.fragmentShader=w,this}let wy=0;class Ay{constructor(){this.shaderCache=new Map,this.materialCache=new Map}update(e){const t=e.vertexShader,n=e.fragmentShader,r=this._getShaderStage(t),i=this._getShaderStage(n),a=this._getShaderCacheForMaterial(e);return!1===a.has(r)&&(a.add(r),r.usedTimes++),!1===a.has(i)&&(a.add(i),i.usedTimes++),this}remove(e){const t=this.materialCache.get(e);for(const e of t)e.usedTimes--,0===e.usedTimes&&this.shaderCache.delete(e.code);return this.materialCache.delete(e),this}getVertexShaderID(e){return this._getShaderStage(e.vertexShader).id}getFragmentShaderID(e){return this._getShaderStage(e.fragmentShader).id}dispose(){this.shaderCache.clear(),this.materialCache.clear()}_getShaderCacheForMaterial(e){const t=this.materialCache;let n=t.get(e);return void 0===n&&(n=new Set,t.set(e,n)),n}_getShaderStage(e){const t=this.shaderCache;let n=t.get(e);return void 0===n&&(n=new Sy(e),t.set(e,n)),n}}class Sy{constructor(e){this.id=wy++,this.code=e,this.usedTimes=0}}function Ty(e,t,n,r,i,a,o){const s=new Ph,l=new Ay,c=new Set,u=[],d=i.logarithmicDepthBuffer,f=i.vertexTextures;let p=i.precision;const h={MeshDepthMaterial:"depth",MeshDistanceMaterial:"distanceRGBA",MeshNormalMaterial:"normal",MeshBasicMaterial:"basic",MeshLambertMaterial:"lambert",MeshPhongMaterial:"phong",MeshToonMaterial:"toon",MeshStandardMaterial:"physical",MeshPhysicalMaterial:"physical",MeshMatcapMaterial:"matcap",LineBasicMaterial:"basic",LineDashedMaterial:"dashed",PointsMaterial:"points",ShadowMaterial:"shadow",SpriteMaterial:"sprite"};function m(e){return c.add(e),0===e?"uv":`uv${e}`}return{getParameters:function(a,s,u,g,v){const y=g.fog,b=v.geometry,_=a.isMeshStandardMaterial?g.environment:null,x=(a.isMeshStandardMaterial?n:t).get(a.envMap||_),w=x&&x.mapping===df?x.image.height:null,A=h[a.type];null!==a.precision&&(p=i.getMaxPrecision(a.precision),p!==a.precision&&console.warn("THREE.WebGLProgram.getParameters:",a.precision,"not supported, using",p,"instead."));const S=b.morphAttributes.position||b.morphAttributes.normal||b.morphAttributes.color,T=void 0!==S?S.length:0;let C,E,M,D,P=0;if(void 0!==b.morphAttributes.position&&(P=1),void 0!==b.morphAttributes.normal&&(P=2),void 0!==b.morphAttributes.color&&(P=3),A){const e=bg[A];C=e.vertexShader,E=e.fragmentShader}else C=a.vertexShader,E=a.fragmentShader,l.update(a),M=l.getVertexShaderID(a),D=l.getFragmentShaderID(a);const I=e.getRenderTarget(),O=!0===v.isInstancedMesh,N=!0===v.isBatchedMesh,k=!!a.map,R=!!a.matcap,L=!!x,F=!!a.aoMap,B=!!a.lightMap,U=!!a.bumpMap,V=!!a.normalMap,G=!!a.displacementMap,z=!!a.emissiveMap,j=!!a.metalnessMap,W=!!a.roughnessMap,H=a.anisotropy>0,$=a.clearcoat>0,X=a.dispersion>0,q=a.iridescence>0,K=a.sheen>0,Y=a.transmission>0,J=H&&!!a.anisotropyMap,Z=$&&!!a.clearcoatMap,Q=$&&!!a.clearcoatNormalMap,ee=$&&!!a.clearcoatRoughnessMap,te=q&&!!a.iridescenceMap,ne=q&&!!a.iridescenceThicknessMap,re=K&&!!a.sheenColorMap,ie=K&&!!a.sheenRoughnessMap,ae=!!a.specularMap,oe=!!a.specularColorMap,se=!!a.specularIntensityMap,le=Y&&!!a.transmissionMap,ce=Y&&!!a.thicknessMap,ue=!!a.gradientMap,de=!!a.alphaMap,fe=a.alphaTest>0,pe=!!a.alphaHash,he=!!a.extensions;let me=ef;a.toneMapped&&(null!==I&&!0!==I.isXRRenderTarget||(me=e.toneMapping));const ge={shaderID:A,shaderType:a.type,shaderName:a.name,vertexShader:C,fragmentShader:E,defines:a.defines,customVertexShaderID:M,customFragmentShaderID:D,isRawShaderMaterial:!0===a.isRawShaderMaterial,glslVersion:a.glslVersion,precision:p,batching:N,instancing:O,instancingColor:O&&null!==v.instanceColor,instancingMorph:O&&null!==v.morphTexture,supportsVertexTextures:f,outputColorSpace:null===I?e.outputColorSpace:!0===I.isXRRenderTarget?I.texture.colorSpace:Uf,alphaToCoverage:!!a.alphaToCoverage,map:k,matcap:R,envMap:L,envMapMode:L&&x.mapping,envMapCubeUVHeight:w,aoMap:F,lightMap:B,bumpMap:U,normalMap:V,displacementMap:f&&G,emissiveMap:z,normalMapObjectSpace:V&&1===a.normalMapType,normalMapTangentSpace:V&&0===a.normalMapType,metalnessMap:j,roughnessMap:W,anisotropy:H,anisotropyMap:J,clearcoat:$,clearcoatMap:Z,clearcoatNormalMap:Q,clearcoatRoughnessMap:ee,dispersion:X,iridescence:q,iridescenceMap:te,iridescenceThicknessMap:ne,sheen:K,sheenColorMap:re,sheenRoughnessMap:ie,specularMap:ae,specularColorMap:oe,specularIntensityMap:se,transmission:Y,transmissionMap:le,thicknessMap:ce,gradientMap:ue,opaque:!1===a.transparent&&1===a.blending&&!1===a.alphaToCoverage,alphaMap:de,alphaTest:fe,alphaHash:pe,combine:a.combine,mapUv:k&&m(a.map.channel),aoMapUv:F&&m(a.aoMap.channel),lightMapUv:B&&m(a.lightMap.channel),bumpMapUv:U&&m(a.bumpMap.channel),normalMapUv:V&&m(a.normalMap.channel),displacementMapUv:G&&m(a.displacementMap.channel),emissiveMapUv:z&&m(a.emissiveMap.channel),metalnessMapUv:j&&m(a.metalnessMap.channel),roughnessMapUv:W&&m(a.roughnessMap.channel),anisotropyMapUv:J&&m(a.anisotropyMap.channel),clearcoatMapUv:Z&&m(a.clearcoatMap.channel),clearcoatNormalMapUv:Q&&m(a.clearcoatNormalMap.channel),clearcoatRoughnessMapUv:ee&&m(a.clearcoatRoughnessMap.channel),iridescenceMapUv:te&&m(a.iridescenceMap.channel),iridescenceThicknessMapUv:ne&&m(a.iridescenceThicknessMap.channel),sheenColorMapUv:re&&m(a.sheenColorMap.channel),sheenRoughnessMapUv:ie&&m(a.sheenRoughnessMap.channel),specularMapUv:ae&&m(a.specularMap.channel),specularColorMapUv:oe&&m(a.specularColorMap.channel),specularIntensityMapUv:se&&m(a.specularIntensityMap.channel),transmissionMapUv:le&&m(a.transmissionMap.channel),thicknessMapUv:ce&&m(a.thicknessMap.channel),alphaMapUv:de&&m(a.alphaMap.channel),vertexTangents:!!b.attributes.tangent&&(V||H),vertexColors:a.vertexColors,vertexAlphas:!0===a.vertexColors&&!!b.attributes.color&&4===b.attributes.color.itemSize,pointsUvs:!0===v.isPoints&&!!b.attributes.uv&&(k||de),fog:!!y,useFog:!0===a.fog,fogExp2:!!y&&y.isFogExp2,flatShading:!0===a.flatShading,sizeAttenuation:!0===a.sizeAttenuation,logarithmicDepthBuffer:d,skinning:!0===v.isSkinnedMesh,morphTargets:void 0!==b.morphAttributes.position,morphNormals:void 0!==b.morphAttributes.normal,morphColors:void 0!==b.morphAttributes.color,morphTargetsCount:T,morphTextureStride:P,numDirLights:s.directional.length,numPointLights:s.point.length,numSpotLights:s.spot.length,numSpotLightMaps:s.spotLightMap.length,numRectAreaLights:s.rectArea.length,numHemiLights:s.hemi.length,numDirLightShadows:s.directionalShadowMap.length,numPointLightShadows:s.pointShadowMap.length,numSpotLightShadows:s.spotShadowMap.length,numSpotLightShadowsWithMaps:s.numSpotLightShadowsWithMaps,numLightProbes:s.numLightProbes,numClippingPlanes:o.numPlanes,numClipIntersection:o.numIntersection,dithering:a.dithering,shadowMapEnabled:e.shadowMap.enabled&&u.length>0,shadowMapType:e.shadowMap.type,toneMapping:me,useLegacyLights:e._useLegacyLights,decodeVideoTexture:k&&!0===a.map.isVideoTexture&&Ep.getTransfer(a.map.colorSpace)===jf,premultipliedAlpha:a.premultipliedAlpha,doubleSided:2===a.side,flipSided:1===a.side,useDepthPacking:a.depthPacking>=0,depthPacking:a.depthPacking||0,index0AttributeName:a.index0AttributeName,extensionClipCullDistance:he&&!0===a.extensions.clipCullDistance&&r.has("WEBGL_clip_cull_distance"),extensionMultiDraw:he&&!0===a.extensions.multiDraw&&r.has("WEBGL_multi_draw"),rendererExtensionParallelShaderCompile:r.has("KHR_parallel_shader_compile"),customProgramCacheKey:a.customProgramCacheKey()};return ge.vertexUv1s=c.has(1),ge.vertexUv2s=c.has(2),ge.vertexUv3s=c.has(3),c.clear(),ge},getProgramCacheKey:function(t){const n=[];if(t.shaderID?n.push(t.shaderID):(n.push(t.customVertexShaderID),n.push(t.customFragmentShaderID)),void 0!==t.defines)for(const e in t.defines)n.push(e),n.push(t.defines[e]);return!1===t.isRawShaderMaterial&&(function(e,t){e.push(t.precision),e.push(t.outputColorSpace),e.push(t.envMapMode),e.push(t.envMapCubeUVHeight),e.push(t.mapUv),e.push(t.alphaMapUv),e.push(t.lightMapUv),e.push(t.aoMapUv),e.push(t.bumpMapUv),e.push(t.normalMapUv),e.push(t.displacementMapUv),e.push(t.emissiveMapUv),e.push(t.metalnessMapUv),e.push(t.roughnessMapUv),e.push(t.anisotropyMapUv),e.push(t.clearcoatMapUv),e.push(t.clearcoatNormalMapUv),e.push(t.clearcoatRoughnessMapUv),e.push(t.iridescenceMapUv),e.push(t.iridescenceThicknessMapUv),e.push(t.sheenColorMapUv),e.push(t.sheenRoughnessMapUv),e.push(t.specularMapUv),e.push(t.specularColorMapUv),e.push(t.specularIntensityMapUv),e.push(t.transmissionMapUv),e.push(t.thicknessMapUv),e.push(t.combine),e.push(t.fogExp2),e.push(t.sizeAttenuation),e.push(t.morphTargetsCount),e.push(t.morphAttributeCount),e.push(t.numDirLights),e.push(t.numPointLights),e.push(t.numSpotLights),e.push(t.numSpotLightMaps),e.push(t.numHemiLights),e.push(t.numRectAreaLights),e.push(t.numDirLightShadows),e.push(t.numPointLightShadows),e.push(t.numSpotLightShadows),e.push(t.numSpotLightShadowsWithMaps),e.push(t.numLightProbes),e.push(t.shadowMapType),e.push(t.toneMapping),e.push(t.numClippingPlanes),e.push(t.numClipIntersection),e.push(t.depthPacking)}(n,t),function(e,t){s.disableAll(),t.supportsVertexTextures&&s.enable(0),t.instancing&&s.enable(1),t.instancingColor&&s.enable(2),t.instancingMorph&&s.enable(3),t.matcap&&s.enable(4),t.envMap&&s.enable(5),t.normalMapObjectSpace&&s.enable(6),t.normalMapTangentSpace&&s.enable(7),t.clearcoat&&s.enable(8),t.iridescence&&s.enable(9),t.alphaTest&&s.enable(10),t.vertexColors&&s.enable(11),t.vertexAlphas&&s.enable(12),t.vertexUv1s&&s.enable(13),t.vertexUv2s&&s.enable(14),t.vertexUv3s&&s.enable(15),t.vertexTangents&&s.enable(16),t.anisotropy&&s.enable(17),t.alphaHash&&s.enable(18),t.batching&&s.enable(19),t.dispersion&&s.enable(20),e.push(s.mask),s.disableAll(),t.fog&&s.enable(0),t.useFog&&s.enable(1),t.flatShading&&s.enable(2),t.logarithmicDepthBuffer&&s.enable(3),t.skinning&&s.enable(4),t.morphTargets&&s.enable(5),t.morphNormals&&s.enable(6),t.morphColors&&s.enable(7),t.premultipliedAlpha&&s.enable(8),t.shadowMapEnabled&&s.enable(9),t.useLegacyLights&&s.enable(10),t.doubleSided&&s.enable(11),t.flipSided&&s.enable(12),t.useDepthPacking&&s.enable(13),t.dithering&&s.enable(14),t.transmission&&s.enable(15),t.sheen&&s.enable(16),t.opaque&&s.enable(17),t.pointsUvs&&s.enable(18),t.decodeVideoTexture&&s.enable(19),t.alphaToCoverage&&s.enable(20),e.push(s.mask)}(n,t),n.push(e.outputColorSpace)),n.push(t.customProgramCacheKey),n.join()},getUniforms:function(e){const t=h[e.type];let n;if(t){const e=bg[t];n=Ym.clone(e.uniforms)}else n=e.uniforms;return n},acquireProgram:function(t,n){let r;for(let e=0,t=u.length;e<t;e++){const t=u[e];if(t.cacheKey===n){r=t,++r.usedTimes;break}}return void 0===r&&(r=new xy(e,n,t,a),u.push(r)),r},releaseProgram:function(e){if(0==--e.usedTimes){const t=u.indexOf(e);u[t]=u[u.length-1],u.pop(),e.destroy()}},releaseShaderCache:function(e){l.remove(e)},programs:u,dispose:function(){l.dispose()}}}function Cy(){let e=new WeakMap;return{get:function(t){let n=e.get(t);return void 0===n&&(n={},e.set(t,n)),n},remove:function(t){e.delete(t)},update:function(t,n,r){e.get(t)[n]=r},dispose:function(){e=new WeakMap}}}function Ey(e,t){return e.groupOrder!==t.groupOrder?e.groupOrder-t.groupOrder:e.renderOrder!==t.renderOrder?e.renderOrder-t.renderOrder:e.material.id!==t.material.id?e.material.id-t.material.id:e.z!==t.z?e.z-t.z:e.id-t.id}function My(e,t){return e.groupOrder!==t.groupOrder?e.groupOrder-t.groupOrder:e.renderOrder!==t.renderOrder?e.renderOrder-t.renderOrder:e.z!==t.z?t.z-e.z:e.id-t.id}function Dy(){const e=[];let t=0;const n=[],r=[],i=[];function a(n,r,i,a,o,s){let l=e[t];return void 0===l?(l={id:n.id,object:n,geometry:r,material:i,groupOrder:a,renderOrder:n.renderOrder,z:o,group:s},e[t]=l):(l.id=n.id,l.object=n,l.geometry=r,l.material=i,l.groupOrder=a,l.renderOrder=n.renderOrder,l.z=o,l.group=s),t++,l}return{opaque:n,transmissive:r,transparent:i,init:function(){t=0,n.length=0,r.length=0,i.length=0},push:function(e,t,o,s,l,c){const u=a(e,t,o,s,l,c);o.transmission>0?r.push(u):!0===o.transparent?i.push(u):n.push(u)},unshift:function(e,t,o,s,l,c){const u=a(e,t,o,s,l,c);o.transmission>0?r.unshift(u):!0===o.transparent?i.unshift(u):n.unshift(u)},finish:function(){for(let n=t,r=e.length;n<r;n++){const t=e[n];if(null===t.id)break;t.id=null,t.object=null,t.geometry=null,t.material=null,t.group=null}},sort:function(e,t){n.length>1&&n.sort(e||Ey),r.length>1&&r.sort(t||My),i.length>1&&i.sort(t||My)}}}function Py(){let e=new WeakMap;return{get:function(t,n){const r=e.get(t);let i;return void 0===r?(i=new Dy,e.set(t,[i])):n>=r.length?(i=new Dy,r.push(i)):i=r[n],i},dispose:function(){e=new WeakMap}}}function Iy(){const e={};return{get:function(t){if(void 0!==e[t.id])return e[t.id];let n;switch(t.type){case"DirectionalLight":n={direction:new jp,color:new lm};break;case"SpotLight":n={position:new jp,direction:new jp,color:new lm,distance:0,coneCos:0,penumbraCos:0,decay:0};break;case"PointLight":n={position:new jp,color:new lm,distance:0,decay:0};break;case"HemisphereLight":n={direction:new jp,skyColor:new lm,groundColor:new lm};break;case"RectAreaLight":n={color:new lm,position:new jp,halfWidth:new jp,halfHeight:new jp}}return e[t.id]=n,n}}}let Oy=0;function Ny(e,t){return(t.castShadow?2:0)-(e.castShadow?2:0)+(t.map?1:0)-(e.map?1:0)}function ky(e){const t=new Iy,n=function(){const e={};return{get:function(t){if(void 0!==e[t.id])return e[t.id];let n;switch(t.type){case"DirectionalLight":case"SpotLight":n={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new gp};break;case"PointLight":n={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new gp,shadowCameraNear:1,shadowCameraFar:1e3}}return e[t.id]=n,n}}}(),r={version:0,hash:{directionalLength:-1,pointLength:-1,spotLength:-1,rectAreaLength:-1,hemiLength:-1,numDirectionalShadows:-1,numPointShadows:-1,numSpotShadows:-1,numSpotMaps:-1,numLightProbes:-1},ambient:[0,0,0],probe:[],directional:[],directionalShadow:[],directionalShadowMap:[],directionalShadowMatrix:[],spot:[],spotLightMap:[],spotShadow:[],spotShadowMap:[],spotLightMatrix:[],rectArea:[],rectAreaLTC1:null,rectAreaLTC2:null,point:[],pointShadow:[],pointShadowMap:[],pointShadowMatrix:[],hemi:[],numSpotLightShadowsWithMaps:0,numLightProbes:0};for(let e=0;e<9;e++)r.probe.push(new jp);const i=new jp,a=new bh,o=new bh;return{setup:function(i,a){let o=0,s=0,l=0;for(let e=0;e<9;e++)r.probe[e].set(0,0,0);let c=0,u=0,d=0,f=0,p=0,h=0,m=0,g=0,v=0,y=0,b=0;i.sort(Ny);const _=!0===a?Math.PI:1;for(let e=0,a=i.length;e<a;e++){const a=i[e],x=a.color,w=a.intensity,A=a.distance,S=a.shadow&&a.shadow.map?a.shadow.map.texture:null;if(a.isAmbientLight)o+=x.r*w*_,s+=x.g*w*_,l+=x.b*w*_;else if(a.isLightProbe){for(let e=0;e<9;e++)r.probe[e].addScaledVector(a.sh.coefficients[e],w);b++}else if(a.isDirectionalLight){const e=t.get(a);if(e.color.copy(a.color).multiplyScalar(a.intensity*_),a.castShadow){const e=a.shadow,t=n.get(a);t.shadowBias=e.bias,t.shadowNormalBias=e.normalBias,t.shadowRadius=e.radius,t.shadowMapSize=e.mapSize,r.directionalShadow[c]=t,r.directionalShadowMap[c]=S,r.directionalShadowMatrix[c]=a.shadow.matrix,h++}r.directional[c]=e,c++}else if(a.isSpotLight){const e=t.get(a);e.position.setFromMatrixPosition(a.matrixWorld),e.color.copy(x).multiplyScalar(w*_),e.distance=A,e.coneCos=Math.cos(a.angle),e.penumbraCos=Math.cos(a.angle*(1-a.penumbra)),e.decay=a.decay,r.spot[d]=e;const i=a.shadow;if(a.map&&(r.spotLightMap[v]=a.map,v++,i.updateMatrices(a),a.castShadow&&y++),r.spotLightMatrix[d]=i.matrix,a.castShadow){const e=n.get(a);e.shadowBias=i.bias,e.shadowNormalBias=i.normalBias,e.shadowRadius=i.radius,e.shadowMapSize=i.mapSize,r.spotShadow[d]=e,r.spotShadowMap[d]=S,g++}d++}else if(a.isRectAreaLight){const e=t.get(a);e.color.copy(x).multiplyScalar(w),e.halfWidth.set(.5*a.width,0,0),e.halfHeight.set(0,.5*a.height,0),r.rectArea[f]=e,f++}else if(a.isPointLight){const e=t.get(a);if(e.color.copy(a.color).multiplyScalar(a.intensity*_),e.distance=a.distance,e.decay=a.decay,a.castShadow){const e=a.shadow,t=n.get(a);t.shadowBias=e.bias,t.shadowNormalBias=e.normalBias,t.shadowRadius=e.radius,t.shadowMapSize=e.mapSize,t.shadowCameraNear=e.camera.near,t.shadowCameraFar=e.camera.far,r.pointShadow[u]=t,r.pointShadowMap[u]=S,r.pointShadowMatrix[u]=a.shadow.matrix,m++}r.point[u]=e,u++}else if(a.isHemisphereLight){const e=t.get(a);e.skyColor.copy(a.color).multiplyScalar(w*_),e.groundColor.copy(a.groundColor).multiplyScalar(w*_),r.hemi[p]=e,p++}}f>0&&(!0===e.has("OES_texture_float_linear")?(r.rectAreaLTC1=yg.LTC_FLOAT_1,r.rectAreaLTC2=yg.LTC_FLOAT_2):(r.rectAreaLTC1=yg.LTC_HALF_1,r.rectAreaLTC2=yg.LTC_HALF_2)),r.ambient[0]=o,r.ambient[1]=s,r.ambient[2]=l;const x=r.hash;x.directionalLength===c&&x.pointLength===u&&x.spotLength===d&&x.rectAreaLength===f&&x.hemiLength===p&&x.numDirectionalShadows===h&&x.numPointShadows===m&&x.numSpotShadows===g&&x.numSpotMaps===v&&x.numLightProbes===b||(r.directional.length=c,r.spot.length=d,r.rectArea.length=f,r.point.length=u,r.hemi.length=p,r.directionalShadow.length=h,r.directionalShadowMap.length=h,r.pointShadow.length=m,r.pointShadowMap.length=m,r.spotShadow.length=g,r.spotShadowMap.length=g,r.directionalShadowMatrix.length=h,r.pointShadowMatrix.length=m,r.spotLightMatrix.length=g+v-y,r.spotLightMap.length=v,r.numSpotLightShadowsWithMaps=y,r.numLightProbes=b,x.directionalLength=c,x.pointLength=u,x.spotLength=d,x.rectAreaLength=f,x.hemiLength=p,x.numDirectionalShadows=h,x.numPointShadows=m,x.numSpotShadows=g,x.numSpotMaps=v,x.numLightProbes=b,r.version=Oy++)},setupView:function(e,t){let n=0,s=0,l=0,c=0,u=0;const d=t.matrixWorldInverse;for(let t=0,f=e.length;t<f;t++){const f=e[t];if(f.isDirectionalLight){const e=r.directional[n];e.direction.setFromMatrixPosition(f.matrixWorld),i.setFromMatrixPosition(f.target.matrixWorld),e.direction.sub(i),e.direction.transformDirection(d),n++}else if(f.isSpotLight){const e=r.spot[l];e.position.setFromMatrixPosition(f.matrixWorld),e.position.applyMatrix4(d),e.direction.setFromMatrixPosition(f.matrixWorld),i.setFromMatrixPosition(f.target.matrixWorld),e.direction.sub(i),e.direction.transformDirection(d),l++}else if(f.isRectAreaLight){const e=r.rectArea[c];e.position.setFromMatrixPosition(f.matrixWorld),e.position.applyMatrix4(d),o.identity(),a.copy(f.matrixWorld),a.premultiply(d),o.extractRotation(a),e.halfWidth.set(.5*f.width,0,0),e.halfHeight.set(0,.5*f.height,0),e.halfWidth.applyMatrix4(o),e.halfHeight.applyMatrix4(o),c++}else if(f.isPointLight){const e=r.point[s];e.position.setFromMatrixPosition(f.matrixWorld),e.position.applyMatrix4(d),s++}else if(f.isHemisphereLight){const e=r.hemi[u];e.direction.setFromMatrixPosition(f.matrixWorld),e.direction.transformDirection(d),u++}}},state:r}}function Ry(e){const t=new ky(e),n=[],r=[],i={lightsArray:n,shadowsArray:r,camera:null,lights:t,transmissionRenderTarget:{}};return{init:function(e){i.camera=e,n.length=0,r.length=0},state:i,setupLights:function(e){t.setup(n,e)},setupLightsView:function(e){t.setupView(n,e)},pushLight:function(e){n.push(e)},pushShadow:function(e){r.push(e)}}}function Ly(e){let t=new WeakMap;return{get:function(n,r=0){const i=t.get(n);let a;return void 0===i?(a=new Ry(e),t.set(n,[a])):r>=i.length?(a=new Ry(e),i.push(a)):a=i[r],a},dispose:function(){t=new WeakMap}}}class Fy extends dm{constructor(e){super(),this.isMeshDepthMaterial=!0,this.type="MeshDepthMaterial",this.depthPacking=3200,this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.setValues(e)}copy(e){return super.copy(e),this.depthPacking=e.depthPacking,this.map=e.map,this.alphaMap=e.alphaMap,this.displacementMap=e.displacementMap,this.displacementScale=e.displacementScale,this.displacementBias=e.displacementBias,this.wireframe=e.wireframe,this.wireframeLinewidth=e.wireframeLinewidth,this}}class By extends dm{constructor(e){super(),this.isMeshDistanceMaterial=!0,this.type="MeshDistanceMaterial",this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.setValues(e)}copy(e){return super.copy(e),this.map=e.map,this.alphaMap=e.alphaMap,this.displacementMap=e.displacementMap,this.displacementScale=e.displacementScale,this.displacementBias=e.displacementBias,this}}function Uy(e,t,n){let r=new pg;const i=new gp,a=new gp,o=new Fp,s=new Fy({depthPacking:3201}),l=new By,c={},u=n.maxTextureSize,d={[Pd]:1,[Id]:0,[Od]:2},f=new Jm({defines:{VSM_SAMPLES:8},uniforms:{shadow_pass:{value:null},resolution:{value:new gp},radius:{value:4}},vertexShader:"void main() {\n\tgl_Position = vec4( position, 1.0 );\n}",fragmentShader:"uniform sampler2D shadow_pass;\nuniform vec2 resolution;\nuniform float radius;\n#include <packing>\nvoid main() {\n\tconst float samples = float( VSM_SAMPLES );\n\tfloat mean = 0.0;\n\tfloat squared_mean = 0.0;\n\tfloat uvStride = samples <= 1.0 ? 0.0 : 2.0 / ( samples - 1.0 );\n\tfloat uvStart = samples <= 1.0 ? 0.0 : - 1.0;\n\tfor ( float i = 0.0; i < samples; i ++ ) {\n\t\tfloat uvOffset = uvStart + i * uvStride;\n\t\t#ifdef HORIZONTAL_PASS\n\t\t\tvec2 distribution = unpackRGBATo2Half( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( uvOffset, 0.0 ) * radius ) / resolution ) );\n\t\t\tmean += distribution.x;\n\t\t\tsquared_mean += distribution.y * distribution.y + distribution.x * distribution.x;\n\t\t#else\n\t\t\tfloat depth = unpackRGBAToDepth( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( 0.0, uvOffset ) * radius ) / resolution ) );\n\t\t\tmean += depth;\n\t\t\tsquared_mean += depth * depth;\n\t\t#endif\n\t}\n\tmean = mean / samples;\n\tsquared_mean = squared_mean / samples;\n\tfloat std_dev = sqrt( squared_mean - mean * mean );\n\tgl_FragColor = pack2HalfToRGBA( vec2( mean, std_dev ) );\n}"}),p=f.clone();p.defines.HORIZONTAL_PASS=1;const h=new Cm;h.setAttribute("position",new mm(new Float32Array([-1,-1,.5,3,-1,.5,-1,3,.5]),3));const m=new Wm(h,f),g=this;this.enabled=!1,this.autoUpdate=!0,this.needsUpdate=!1,this.type=Ed;let v=this.type;function y(n,r){const a=t.update(m);f.defines.VSM_SAMPLES!==n.blurSamples&&(f.defines.VSM_SAMPLES=n.blurSamples,p.defines.VSM_SAMPLES=n.blurSamples,f.needsUpdate=!0,p.needsUpdate=!0),null===n.mapPass&&(n.mapPass=new Up(i.x,i.y)),f.uniforms.shadow_pass.value=n.map.texture,f.uniforms.resolution.value=n.mapSize,f.uniforms.radius.value=n.radius,e.setRenderTarget(n.mapPass),e.clear(),e.renderBufferDirect(r,null,a,f,m,null),p.uniforms.shadow_pass.value=n.mapPass.texture,p.uniforms.resolution.value=n.mapSize,p.uniforms.radius.value=n.radius,e.setRenderTarget(n.map),e.clear(),e.renderBufferDirect(r,null,a,p,m,null)}function b(t,n,r,i){let a=null;const o=!0===r.isPointLight?t.customDistanceMaterial:t.customDepthMaterial;if(void 0!==o)a=o;else if(a=!0===r.isPointLight?l:s,e.localClippingEnabled&&!0===n.clipShadows&&Array.isArray(n.clippingPlanes)&&0!==n.clippingPlanes.length||n.displacementMap&&0!==n.displacementScale||n.alphaMap&&n.alphaTest>0||n.map&&n.alphaTest>0){const e=a.uuid,t=n.uuid;let r=c[e];void 0===r&&(r={},c[e]=r);let i=r[t];void 0===i&&(i=a.clone(),r[t]=i,n.addEventListener("dispose",x)),a=i}return a.visible=n.visible,a.wireframe=n.wireframe,a.side=i===Dd?null!==n.shadowSide?n.shadowSide:n.side:null!==n.shadowSide?n.shadowSide:d[n.side],a.alphaMap=n.alphaMap,a.alphaTest=n.alphaTest,a.map=n.map,a.clipShadows=n.clipShadows,a.clippingPlanes=n.clippingPlanes,a.clipIntersection=n.clipIntersection,a.displacementMap=n.displacementMap,a.displacementScale=n.displacementScale,a.displacementBias=n.displacementBias,a.wireframeLinewidth=n.wireframeLinewidth,a.linewidth=n.linewidth,!0===r.isPointLight&&!0===a.isMeshDistanceMaterial&&(e.properties.get(a).light=r),a}function _(n,i,a,o,s){if(!1===n.visible)return;if(n.layers.test(i.layers)&&(n.isMesh||n.isLine||n.isPoints)&&(n.castShadow||n.receiveShadow&&s===Dd)&&(!n.frustumCulled||r.intersectsObject(n))){n.modelViewMatrix.multiplyMatrices(a.matrixWorldInverse,n.matrixWorld);const r=t.update(n),l=n.material;if(Array.isArray(l)){const t=r.groups;for(let c=0,u=t.length;c<u;c++){const u=t[c],d=l[u.materialIndex];if(d&&d.visible){const t=b(n,d,o,s);n.onBeforeShadow(e,n,i,a,r,t,u),e.renderBufferDirect(a,null,r,t,n,u),n.onAfterShadow(e,n,i,a,r,t,u)}}}else if(l.visible){const t=b(n,l,o,s);n.onBeforeShadow(e,n,i,a,r,t,null),e.renderBufferDirect(a,null,r,t,n,null),n.onAfterShadow(e,n,i,a,r,t,null)}}const l=n.children;for(let e=0,t=l.length;e<t;e++)_(l[e],i,a,o,s)}function x(e){e.target.removeEventListener("dispose",x);for(const t in c){const n=c[t],r=e.target.uuid;r in n&&(n[r].dispose(),delete n[r])}}this.render=function(t,n,s){if(!1===g.enabled)return;if(!1===g.autoUpdate&&!1===g.needsUpdate)return;if(0===t.length)return;const l=e.getRenderTarget(),c=e.getActiveCubeFace(),d=e.getActiveMipmapLevel(),f=e.state;f.setBlending(0),f.buffers.color.setClear(1,1,1,1),f.buffers.depth.setTest(!0),f.setScissorTest(!1);const p=v!==Dd&&this.type===Dd,h=v===Dd&&this.type!==Dd;for(let l=0,c=t.length;l<c;l++){const c=t[l],d=c.shadow;if(void 0===d){console.warn("THREE.WebGLShadowMap:",c,"has no shadow.");continue}if(!1===d.autoUpdate&&!1===d.needsUpdate)continue;i.copy(d.mapSize);const m=d.getFrameExtents();if(i.multiply(m),a.copy(d.mapSize),(i.x>u||i.y>u)&&(i.x>u&&(a.x=Math.floor(u/m.x),i.x=a.x*m.x,d.mapSize.x=a.x),i.y>u&&(a.y=Math.floor(u/m.y),i.y=a.y*m.y,d.mapSize.y=a.y)),null===d.map||!0===p||!0===h){const e=this.type!==Dd?{minFilter:mf,magFilter:mf}:{};null!==d.map&&d.map.dispose(),d.map=new Up(i.x,i.y,e),d.map.texture.name=c.name+".shadowMap",d.camera.updateProjectionMatrix()}e.setRenderTarget(d.map),e.clear();const g=d.getViewportCount();for(let e=0;e<g;e++){const t=d.getViewport(e);o.set(a.x*t.x,a.y*t.y,a.x*t.z,a.y*t.w),f.viewport(o),d.updateMatrices(c,e),r=d.getFrustum(),_(n,s,d.camera,c,this.type)}!0!==d.isPointLightShadow&&this.type===Dd&&y(d,s),d.needsUpdate=!1}v=this.type,g.needsUpdate=!1,e.setRenderTarget(l,c,d)}}function Vy(e){const t=new function(){let t=!1;const n=new Fp;let r=null;const i=new Fp(0,0,0,0);return{setMask:function(n){r===n||t||(e.colorMask(n,n,n,n),r=n)},setLocked:function(e){t=e},setClear:function(t,r,a,o,s){!0===s&&(t*=o,r*=o,a*=o),n.set(t,r,a,o),!1===i.equals(n)&&(e.clearColor(t,r,a,o),i.copy(n))},reset:function(){t=!1,r=null,i.set(-1,0,0,0)}}},n=new function(){let t=!1,n=null,r=null,i=null;return{setTest:function(t){t?U(e.DEPTH_TEST):V(e.DEPTH_TEST)},setMask:function(r){n===r||t||(e.depthMask(r),n=r)},setFunc:function(t){if(r!==t){switch(t){case 0:e.depthFunc(e.NEVER);break;case 1:e.depthFunc(e.ALWAYS);break;case 2:e.depthFunc(e.LESS);break;case 3:default:e.depthFunc(e.LEQUAL);break;case 4:e.depthFunc(e.EQUAL);break;case 5:e.depthFunc(e.GEQUAL);break;case 6:e.depthFunc(e.GREATER);break;case 7:e.depthFunc(e.NOTEQUAL)}r=t}},setLocked:function(e){t=e},setClear:function(t){i!==t&&(e.clearDepth(t),i=t)},reset:function(){t=!1,n=null,r=null,i=null}}},r=new function(){let t=!1,n=null,r=null,i=null,a=null,o=null,s=null,l=null,c=null;return{setTest:function(n){t||(n?U(e.STENCIL_TEST):V(e.STENCIL_TEST))},setMask:function(r){n===r||t||(e.stencilMask(r),n=r)},setFunc:function(t,n,o){r===t&&i===n&&a===o||(e.stencilFunc(t,n,o),r=t,i=n,a=o)},setOp:function(t,n,r){o===t&&s===n&&l===r||(e.stencilOp(t,n,r),o=t,s=n,l=r)},setLocked:function(e){t=e},setClear:function(t){c!==t&&(e.clearStencil(t),c=t)},reset:function(){t=!1,n=null,r=null,i=null,a=null,o=null,s=null,l=null,c=null}}},i=new WeakMap,a=new WeakMap;let o={},s={},l=new WeakMap,c=[],u=null,d=!1,f=null,p=null,h=null,m=null,g=null,v=null,y=null,b=new lm(0,0,0),_=0,x=!1,w=null,A=null,S=null,T=null,C=null;const E=e.getParameter(e.MAX_COMBINED_TEXTURE_IMAGE_UNITS);let M=!1,D=0;const P=e.getParameter(e.VERSION);-1!==P.indexOf("WebGL")?(D=parseFloat(/^WebGL (\d)/.exec(P)[1]),M=D>=1):-1!==P.indexOf("OpenGL ES")&&(D=parseFloat(/^OpenGL ES (\d)/.exec(P)[1]),M=D>=2);let I=null,O={};const N=e.getParameter(e.SCISSOR_BOX),k=e.getParameter(e.VIEWPORT),R=(new Fp).fromArray(N),L=(new Fp).fromArray(k);function F(t,n,r,i){const a=new Uint8Array(4),o=e.createTexture();e.bindTexture(t,o),e.texParameteri(t,e.TEXTURE_MIN_FILTER,e.NEAREST),e.texParameteri(t,e.TEXTURE_MAG_FILTER,e.NEAREST);for(let o=0;o<r;o++)t===e.TEXTURE_3D||t===e.TEXTURE_2D_ARRAY?e.texImage3D(n,0,e.RGBA,1,1,i,0,e.RGBA,e.UNSIGNED_BYTE,a):e.texImage2D(n+o,0,e.RGBA,1,1,0,e.RGBA,e.UNSIGNED_BYTE,a);return o}const B={};function U(t){!0!==o[t]&&(e.enable(t),o[t]=!0)}function V(t){!1!==o[t]&&(e.disable(t),o[t]=!1)}B[e.TEXTURE_2D]=F(e.TEXTURE_2D,e.TEXTURE_2D,1),B[e.TEXTURE_CUBE_MAP]=F(e.TEXTURE_CUBE_MAP,e.TEXTURE_CUBE_MAP_POSITIVE_X,6),B[e.TEXTURE_2D_ARRAY]=F(e.TEXTURE_2D_ARRAY,e.TEXTURE_2D_ARRAY,1,1),B[e.TEXTURE_3D]=F(e.TEXTURE_3D,e.TEXTURE_3D,1,1),t.setClear(0,0,0,1),n.setClear(1),r.setClear(0),U(e.DEPTH_TEST),n.setFunc(3),W(!1),H(1),U(e.CULL_FACE),j(0);const G={[Nd]:e.FUNC_ADD,[kd]:e.FUNC_SUBTRACT,[Rd]:e.FUNC_REVERSE_SUBTRACT};G[103]=e.MIN,G[104]=e.MAX;const z={[Ld]:e.ZERO,[Fd]:e.ONE,[Bd]:e.SRC_COLOR,[Vd]:e.SRC_ALPHA,[$d]:e.SRC_ALPHA_SATURATE,[Wd]:e.DST_COLOR,[zd]:e.DST_ALPHA,[Ud]:e.ONE_MINUS_SRC_COLOR,[Gd]:e.ONE_MINUS_SRC_ALPHA,[Hd]:e.ONE_MINUS_DST_COLOR,[jd]:e.ONE_MINUS_DST_ALPHA,[Xd]:e.CONSTANT_COLOR,[qd]:e.ONE_MINUS_CONSTANT_COLOR,[Kd]:e.CONSTANT_ALPHA,[Yd]:e.ONE_MINUS_CONSTANT_ALPHA};function j(t,n,r,i,a,o,s,l,c,u){if(0!==t){if(!1===d&&(U(e.BLEND),d=!0),5===t)a=a||n,o=o||r,s=s||i,n===p&&a===g||(e.blendEquationSeparate(G[n],G[a]),p=n,g=a),r===h&&i===m&&o===v&&s===y||(e.blendFuncSeparate(z[r],z[i],z[o],z[s]),h=r,m=i,v=o,y=s),!1!==l.equals(b)&&c===_||(e.blendColor(l.r,l.g,l.b,c),b.copy(l),_=c),f=t,x=!1;else if(t!==f||u!==x){if(p===Nd&&g===Nd||(e.blendEquation(e.FUNC_ADD),p=Nd,g=Nd),u)switch(t){case 1:e.blendFuncSeparate(e.ONE,e.ONE_MINUS_SRC_ALPHA,e.ONE,e.ONE_MINUS_SRC_ALPHA);break;case 2:e.blendFunc(e.ONE,e.ONE);break;case 3:e.blendFuncSeparate(e.ZERO,e.ONE_MINUS_SRC_COLOR,e.ZERO,e.ONE);break;case 4:e.blendFuncSeparate(e.ZERO,e.SRC_COLOR,e.ZERO,e.SRC_ALPHA);break;default:console.error("THREE.WebGLState: Invalid blending: ",t)}else switch(t){case 1:e.blendFuncSeparate(e.SRC_ALPHA,e.ONE_MINUS_SRC_ALPHA,e.ONE,e.ONE_MINUS_SRC_ALPHA);break;case 2:e.blendFunc(e.SRC_ALPHA,e.ONE);break;case 3:e.blendFuncSeparate(e.ZERO,e.ONE_MINUS_SRC_COLOR,e.ZERO,e.ONE);break;case 4:e.blendFunc(e.ZERO,e.SRC_COLOR);break;default:console.error("THREE.WebGLState: Invalid blending: ",t)}h=null,m=null,v=null,y=null,b.set(0,0,0),_=0,f=t,x=u}}else!0===d&&(V(e.BLEND),d=!1)}function W(t){w!==t&&(t?e.frontFace(e.CW):e.frontFace(e.CCW),w=t)}function H(t){0!==t?(U(e.CULL_FACE),t!==A&&(1===t?e.cullFace(e.BACK):2===t?e.cullFace(e.FRONT):e.cullFace(e.FRONT_AND_BACK))):V(e.CULL_FACE),A=t}function $(t,n,r){t?(U(e.POLYGON_OFFSET_FILL),T===n&&C===r||(e.polygonOffset(n,r),T=n,C=r)):V(e.POLYGON_OFFSET_FILL)}return{buffers:{color:t,depth:n,stencil:r},enable:U,disable:V,bindFramebuffer:function(t,n){return s[t]!==n&&(e.bindFramebuffer(t,n),s[t]=n,t===e.DRAW_FRAMEBUFFER&&(s[e.FRAMEBUFFER]=n),t===e.FRAMEBUFFER&&(s[e.DRAW_FRAMEBUFFER]=n),!0)},drawBuffers:function(t,n){let r=c,i=!1;if(t){r=l.get(n),void 0===r&&(r=[],l.set(n,r));const a=t.textures;if(r.length!==a.length||r[0]!==e.COLOR_ATTACHMENT0){for(let t=0,n=a.length;t<n;t++)r[t]=e.COLOR_ATTACHMENT0+t;r.length=a.length,i=!0}}else r[0]!==e.BACK&&(r[0]=e.BACK,i=!0);i&&e.drawBuffers(r)},useProgram:function(t){return u!==t&&(e.useProgram(t),u=t,!0)},setBlending:j,setMaterial:function(i,a){2===i.side?V(e.CULL_FACE):U(e.CULL_FACE);let o=1===i.side;a&&(o=!o),W(o),1===i.blending&&!1===i.transparent?j(0):j(i.blending,i.blendEquation,i.blendSrc,i.blendDst,i.blendEquationAlpha,i.blendSrcAlpha,i.blendDstAlpha,i.blendColor,i.blendAlpha,i.premultipliedAlpha),n.setFunc(i.depthFunc),n.setTest(i.depthTest),n.setMask(i.depthWrite),t.setMask(i.colorWrite);const s=i.stencilWrite;r.setTest(s),s&&(r.setMask(i.stencilWriteMask),r.setFunc(i.stencilFunc,i.stencilRef,i.stencilFuncMask),r.setOp(i.stencilFail,i.stencilZFail,i.stencilZPass)),$(i.polygonOffset,i.polygonOffsetFactor,i.polygonOffsetUnits),!0===i.alphaToCoverage?U(e.SAMPLE_ALPHA_TO_COVERAGE):V(e.SAMPLE_ALPHA_TO_COVERAGE)},setFlipSided:W,setCullFace:H,setLineWidth:function(t){t!==S&&(M&&e.lineWidth(t),S=t)},setPolygonOffset:$,setScissorTest:function(t){t?U(e.SCISSOR_TEST):V(e.SCISSOR_TEST)},activeTexture:function(t){void 0===t&&(t=e.TEXTURE0+E-1),I!==t&&(e.activeTexture(t),I=t)},bindTexture:function(t,n,r){void 0===r&&(r=null===I?e.TEXTURE0+E-1:I);let i=O[r];void 0===i&&(i={type:void 0,texture:void 0},O[r]=i),i.type===t&&i.texture===n||(I!==r&&(e.activeTexture(r),I=r),e.bindTexture(t,n||B[t]),i.type=t,i.texture=n)},unbindTexture:function(){const t=O[I];void 0!==t&&void 0!==t.type&&(e.bindTexture(t.type,null),t.type=void 0,t.texture=void 0)},compressedTexImage2D:function(){try{e.compressedTexImage2D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},compressedTexImage3D:function(){try{e.compressedTexImage3D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},texImage2D:function(){try{e.texImage2D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},texImage3D:function(){try{e.texImage3D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},updateUBOMapping:function(t,n){let r=a.get(n);void 0===r&&(r=new WeakMap,a.set(n,r));let i=r.get(t);void 0===i&&(i=e.getUniformBlockIndex(n,t.name),r.set(t,i))},uniformBlockBinding:function(t,n){const r=a.get(n).get(t);i.get(n)!==r&&(e.uniformBlockBinding(n,r,t.__bindingPointIndex),i.set(n,r))},texStorage2D:function(){try{e.texStorage2D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},texStorage3D:function(){try{e.texStorage3D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},texSubImage2D:function(){try{e.texSubImage2D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},texSubImage3D:function(){try{e.texSubImage3D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},compressedTexSubImage2D:function(){try{e.compressedTexSubImage2D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},compressedTexSubImage3D:function(){try{e.compressedTexSubImage3D.apply(e,arguments)}catch(e){console.error("THREE.WebGLState:",e)}},scissor:function(t){!1===R.equals(t)&&(e.scissor(t.x,t.y,t.z,t.w),R.copy(t))},viewport:function(t){!1===L.equals(t)&&(e.viewport(t.x,t.y,t.z,t.w),L.copy(t))},reset:function(){e.disable(e.BLEND),e.disable(e.CULL_FACE),e.disable(e.DEPTH_TEST),e.disable(e.POLYGON_OFFSET_FILL),e.disable(e.SCISSOR_TEST),e.disable(e.STENCIL_TEST),e.disable(e.SAMPLE_ALPHA_TO_COVERAGE),e.blendEquation(e.FUNC_ADD),e.blendFunc(e.ONE,e.ZERO),e.blendFuncSeparate(e.ONE,e.ZERO,e.ONE,e.ZERO),e.blendColor(0,0,0,0),e.colorMask(!0,!0,!0,!0),e.clearColor(0,0,0,0),e.depthMask(!0),e.depthFunc(e.LESS),e.clearDepth(1),e.stencilMask(4294967295),e.stencilFunc(e.ALWAYS,0,4294967295),e.stencilOp(e.KEEP,e.KEEP,e.KEEP),e.clearStencil(0),e.cullFace(e.BACK),e.frontFace(e.CCW),e.polygonOffset(0,0),e.activeTexture(e.TEXTURE0),e.bindFramebuffer(e.FRAMEBUFFER,null),e.bindFramebuffer(e.DRAW_FRAMEBUFFER,null),e.bindFramebuffer(e.READ_FRAMEBUFFER,null),e.useProgram(null),e.lineWidth(1),e.scissor(0,0,e.canvas.width,e.canvas.height),e.viewport(0,0,e.canvas.width,e.canvas.height),o={},I=null,O={},s={},l=new WeakMap,c=[],u=null,d=!1,f=null,p=null,h=null,m=null,g=null,v=null,y=null,b=new lm(0,0,0),_=0,x=!1,w=null,A=null,S=null,T=null,C=null,R.set(0,0,e.canvas.width,e.canvas.height),L.set(0,0,e.canvas.width,e.canvas.height),t.reset(),n.reset(),r.reset()}}}function Gy(e,t,n,r,i,a,o){const s=t.has("WEBGL_multisampled_render_to_texture")?t.get("WEBGL_multisampled_render_to_texture"):null,l="undefined"!=typeof navigator&&/OculusBrowser/g.test(navigator.userAgent),c=new gp,u=new WeakMap;let d;const f=new WeakMap;let p=!1;try{p="undefined"!=typeof OffscreenCanvas&&null!==new OffscreenCanvas(1,1).getContext("2d")}catch(e){}function h(e,t){return p?new OffscreenCanvas(e,t):_p("canvas")}function m(e,t,n){let r=1;const i=U(e);if((i.width>n||i.height>n)&&(r=n/Math.max(i.width,i.height)),r<1){if("undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&e instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&e instanceof ImageBitmap||"undefined"!=typeof VideoFrame&&e instanceof VideoFrame){const n=Math.floor(r*i.width),a=Math.floor(r*i.height);void 0===d&&(d=h(n,a));const o=t?h(n,a):d;return o.width=n,o.height=a,o.getContext("2d").drawImage(e,0,0,n,a),console.warn("THREE.WebGLRenderer: Texture has been resized from ("+i.width+"x"+i.height+") to ("+n+"x"+a+")."),o}return"data"in e&&console.warn("THREE.WebGLRenderer: Image in DataTexture is too big ("+i.width+"x"+i.height+")."),e}return e}function g(e){return e.generateMipmaps&&e.minFilter!==mf&&e.minFilter!==yf}function v(t){e.generateMipmap(t)}function y(n,r,i,a,o=!1){if(null!==n){if(void 0!==e[n])return e[n];console.warn("THREE.WebGLRenderer: Attempt to use non-existing WebGL internal format '"+n+"'")}let s=r;if(r===e.RED&&(i===e.FLOAT&&(s=e.R32F),i===e.HALF_FLOAT&&(s=e.R16F),i===e.UNSIGNED_BYTE&&(s=e.R8)),r===e.RED_INTEGER&&(i===e.UNSIGNED_BYTE&&(s=e.R8UI),i===e.UNSIGNED_SHORT&&(s=e.R16UI),i===e.UNSIGNED_INT&&(s=e.R32UI),i===e.BYTE&&(s=e.R8I),i===e.SHORT&&(s=e.R16I),i===e.INT&&(s=e.R32I)),r===e.RG&&(i===e.FLOAT&&(s=e.RG32F),i===e.HALF_FLOAT&&(s=e.RG16F),i===e.UNSIGNED_BYTE&&(s=e.RG8)),r===e.RG_INTEGER&&(i===e.UNSIGNED_BYTE&&(s=e.RG8UI),i===e.UNSIGNED_SHORT&&(s=e.RG16UI),i===e.UNSIGNED_INT&&(s=e.RG32UI),i===e.BYTE&&(s=e.RG8I),i===e.SHORT&&(s=e.RG16I),i===e.INT&&(s=e.RG32I)),r===e.RGB&&i===e.UNSIGNED_INT_5_9_9_9_REV&&(s=e.RGB9_E5),r===e.RGBA){const t=o?zf:Ep.getTransfer(a);i===e.FLOAT&&(s=e.RGBA32F),i===e.HALF_FLOAT&&(s=e.RGBA16F),i===e.UNSIGNED_BYTE&&(s=t===jf?e.SRGB8_ALPHA8:e.RGBA8),i===e.UNSIGNED_SHORT_4_4_4_4&&(s=e.RGBA4),i===e.UNSIGNED_SHORT_5_5_5_1&&(s=e.RGB5_A1)}return s!==e.R16F&&s!==e.R32F&&s!==e.RG16F&&s!==e.RG32F&&s!==e.RGBA16F&&s!==e.RGBA32F||t.get("EXT_color_buffer_float"),s}function b(e,t){return!0===g(e)||e.isFramebufferTexture&&e.minFilter!==mf&&e.minFilter!==yf?Math.log2(Math.max(t.width,t.height))+1:void 0!==e.mipmaps&&e.mipmaps.length>0?e.mipmaps.length:e.isCompressedTexture&&Array.isArray(e.image)?t.mipmaps.length:1}function _(e){const t=e.target;t.removeEventListener("dispose",_),function(e){const t=r.get(e);if(void 0===t.__webglInit)return;const n=e.source,i=f.get(n);if(i){const r=i[t.__cacheKey];r.usedTimes--,0===r.usedTimes&&w(e),0===Object.keys(i).length&&f.delete(n)}r.remove(e)}(t),t.isVideoTexture&&u.delete(t)}function x(t){const n=t.target;n.removeEventListener("dispose",x),function(t){const n=r.get(t);if(t.depthTexture&&t.depthTexture.dispose(),t.isWebGLCubeRenderTarget)for(let t=0;t<6;t++){if(Array.isArray(n.__webglFramebuffer[t]))for(let r=0;r<n.__webglFramebuffer[t].length;r++)e.deleteFramebuffer(n.__webglFramebuffer[t][r]);else e.deleteFramebuffer(n.__webglFramebuffer[t]);n.__webglDepthbuffer&&e.deleteRenderbuffer(n.__webglDepthbuffer[t])}else{if(Array.isArray(n.__webglFramebuffer))for(let t=0;t<n.__webglFramebuffer.length;t++)e.deleteFramebuffer(n.__webglFramebuffer[t]);else e.deleteFramebuffer(n.__webglFramebuffer);if(n.__webglDepthbuffer&&e.deleteRenderbuffer(n.__webglDepthbuffer),n.__webglMultisampledFramebuffer&&e.deleteFramebuffer(n.__webglMultisampledFramebuffer),n.__webglColorRenderbuffer)for(let t=0;t<n.__webglColorRenderbuffer.length;t++)n.__webglColorRenderbuffer[t]&&e.deleteRenderbuffer(n.__webglColorRenderbuffer[t]);n.__webglDepthRenderbuffer&&e.deleteRenderbuffer(n.__webglDepthRenderbuffer)}const i=t.textures;for(let t=0,n=i.length;t<n;t++){const n=r.get(i[t]);n.__webglTexture&&(e.deleteTexture(n.__webglTexture),o.memory.textures--),r.remove(i[t])}r.remove(t)}(n)}function w(t){const n=r.get(t);e.deleteTexture(n.__webglTexture);const i=t.source;delete f.get(i)[n.__cacheKey],o.memory.textures--}let A=0;function S(t,i){const a=r.get(t);if(t.isVideoTexture&&function(e){const t=o.render.frame;u.get(e)!==t&&(u.set(e,t),e.update())}(t),!1===t.isRenderTargetTexture&&t.version>0&&a.__version!==t.version){const e=t.image;if(null===e)console.warn("THREE.WebGLRenderer: Texture marked for update but no image data found.");else{if(!1!==e.complete)return void P(a,t,i);console.warn("THREE.WebGLRenderer: Texture marked for update but image is incomplete")}}n.bindTexture(e.TEXTURE_2D,a.__webglTexture,e.TEXTURE0+i)}const T={[ff]:e.REPEAT,[pf]:e.CLAMP_TO_EDGE,[hf]:e.MIRRORED_REPEAT},C={[mf]:e.NEAREST,[gf]:e.NEAREST_MIPMAP_NEAREST,[vf]:e.NEAREST_MIPMAP_LINEAR,[yf]:e.LINEAR,[bf]:e.LINEAR_MIPMAP_NEAREST,[_f]:e.LINEAR_MIPMAP_LINEAR},E={[Xf]:e.NEVER,[ep]:e.ALWAYS,[qf]:e.LESS,[Yf]:e.LEQUAL,[Kf]:e.EQUAL,[Qf]:e.GEQUAL,[Jf]:e.GREATER,[Zf]:e.NOTEQUAL};function M(n,a){if(a.type!==Af||!1!==t.has("OES_texture_float_linear")||a.magFilter!==yf&&a.magFilter!==bf&&a.magFilter!==vf&&a.magFilter!==_f&&a.minFilter!==yf&&a.minFilter!==bf&&a.minFilter!==vf&&a.minFilter!==_f||console.warn("THREE.WebGLRenderer: Unable to use linear filtering with floating point textures. OES_texture_float_linear not supported on this device."),e.texParameteri(n,e.TEXTURE_WRAP_S,T[a.wrapS]),e.texParameteri(n,e.TEXTURE_WRAP_T,T[a.wrapT]),n!==e.TEXTURE_3D&&n!==e.TEXTURE_2D_ARRAY||e.texParameteri(n,e.TEXTURE_WRAP_R,T[a.wrapR]),e.texParameteri(n,e.TEXTURE_MAG_FILTER,C[a.magFilter]),e.texParameteri(n,e.TEXTURE_MIN_FILTER,C[a.minFilter]),a.compareFunction&&(e.texParameteri(n,e.TEXTURE_COMPARE_MODE,e.COMPARE_REF_TO_TEXTURE),e.texParameteri(n,e.TEXTURE_COMPARE_FUNC,E[a.compareFunction])),!0===t.has("EXT_texture_filter_anisotropic")){if(a.magFilter===mf)return;if(a.minFilter!==vf&&a.minFilter!==_f)return;if(a.type===Af&&!1===t.has("OES_texture_float_linear"))return;if(a.anisotropy>1||r.get(a).__currentAnisotropy){const o=t.get("EXT_texture_filter_anisotropic");e.texParameterf(n,o.TEXTURE_MAX_ANISOTROPY_EXT,Math.min(a.anisotropy,i.getMaxAnisotropy())),r.get(a).__currentAnisotropy=a.anisotropy}}}function D(t,n){let r=!1;void 0===t.__webglInit&&(t.__webglInit=!0,n.addEventListener("dispose",_));const i=n.source;let a=f.get(i);void 0===a&&(a={},f.set(i,a));const s=function(e){const t=[];return t.push(e.wrapS),t.push(e.wrapT),t.push(e.wrapR||0),t.push(e.magFilter),t.push(e.minFilter),t.push(e.anisotropy),t.push(e.internalFormat),t.push(e.format),t.push(e.type),t.push(e.generateMipmaps),t.push(e.premultiplyAlpha),t.push(e.flipY),t.push(e.unpackAlignment),t.push(e.colorSpace),t.join()}(n);if(s!==t.__cacheKey){void 0===a[s]&&(a[s]={texture:e.createTexture(),usedTimes:0},o.memory.textures++,r=!0),a[s].usedTimes++;const i=a[t.__cacheKey];void 0!==i&&(a[t.__cacheKey].usedTimes--,0===i.usedTimes&&w(n)),t.__cacheKey=s,t.__webglTexture=a[s].texture}return r}function P(t,o,s){let l=e.TEXTURE_2D;(o.isDataArrayTexture||o.isCompressedArrayTexture)&&(l=e.TEXTURE_2D_ARRAY),o.isData3DTexture&&(l=e.TEXTURE_3D);const c=D(t,o),u=o.source;n.bindTexture(l,t.__webglTexture,e.TEXTURE0+s);const d=r.get(u);if(u.version!==d.__version||!0===c){n.activeTexture(e.TEXTURE0+s);const t=Ep.getPrimaries(Ep.workingColorSpace),r=o.colorSpace===Ff?null:Ep.getPrimaries(o.colorSpace),f=o.colorSpace===Ff||t===r?e.NONE:e.BROWSER_DEFAULT_WEBGL;e.pixelStorei(e.UNPACK_FLIP_Y_WEBGL,o.flipY),e.pixelStorei(e.UNPACK_PREMULTIPLY_ALPHA_WEBGL,o.premultiplyAlpha),e.pixelStorei(e.UNPACK_ALIGNMENT,o.unpackAlignment),e.pixelStorei(e.UNPACK_COLORSPACE_CONVERSION_WEBGL,f);let p=m(o.image,!1,i.maxTextureSize);p=B(o,p);const h=a.convert(o.format,o.colorSpace),_=a.convert(o.type);let x,w=y(o.internalFormat,h,_,o.colorSpace,o.isVideoTexture);M(l,o);const A=o.mipmaps,S=!0!==o.isVideoTexture,T=void 0===d.__version||!0===c,C=u.dataReady,E=b(o,p);if(o.isDepthTexture)w=e.DEPTH_COMPONENT16,o.type===Af?w=e.DEPTH_COMPONENT32F:o.type===wf?w=e.DEPTH_COMPONENT24:o.type===Tf&&(w=e.DEPTH24_STENCIL8),T&&(S?n.texStorage2D(e.TEXTURE_2D,1,w,p.width,p.height):n.texImage2D(e.TEXTURE_2D,0,w,p.width,p.height,0,h,_,null));else if(o.isDataTexture)if(A.length>0){S&&T&&n.texStorage2D(e.TEXTURE_2D,E,w,A[0].width,A[0].height);for(let t=0,r=A.length;t<r;t++)x=A[t],S?C&&n.texSubImage2D(e.TEXTURE_2D,t,0,0,x.width,x.height,h,_,x.data):n.texImage2D(e.TEXTURE_2D,t,w,x.width,x.height,0,h,_,x.data);o.generateMipmaps=!1}else S?(T&&n.texStorage2D(e.TEXTURE_2D,E,w,p.width,p.height),C&&n.texSubImage2D(e.TEXTURE_2D,0,0,0,p.width,p.height,h,_,p.data)):n.texImage2D(e.TEXTURE_2D,0,w,p.width,p.height,0,h,_,p.data);else if(o.isCompressedTexture)if(o.isCompressedArrayTexture){S&&T&&n.texStorage3D(e.TEXTURE_2D_ARRAY,E,w,A[0].width,A[0].height,p.depth);for(let t=0,r=A.length;t<r;t++)x=A[t],o.format!==Cf?null!==h?S?C&&n.compressedTexSubImage3D(e.TEXTURE_2D_ARRAY,t,0,0,0,x.width,x.height,p.depth,h,x.data,0,0):n.compressedTexImage3D(e.TEXTURE_2D_ARRAY,t,w,x.width,x.height,p.depth,0,x.data,0,0):console.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .uploadTexture()"):S?C&&n.texSubImage3D(e.TEXTURE_2D_ARRAY,t,0,0,0,x.width,x.height,p.depth,h,_,x.data):n.texImage3D(e.TEXTURE_2D_ARRAY,t,w,x.width,x.height,p.depth,0,h,_,x.data)}else{S&&T&&n.texStorage2D(e.TEXTURE_2D,E,w,A[0].width,A[0].height);for(let t=0,r=A.length;t<r;t++)x=A[t],o.format!==Cf?null!==h?S?C&&n.compressedTexSubImage2D(e.TEXTURE_2D,t,0,0,x.width,x.height,h,x.data):n.compressedTexImage2D(e.TEXTURE_2D,t,w,x.width,x.height,0,x.data):console.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .uploadTexture()"):S?C&&n.texSubImage2D(e.TEXTURE_2D,t,0,0,x.width,x.height,h,_,x.data):n.texImage2D(e.TEXTURE_2D,t,w,x.width,x.height,0,h,_,x.data)}else if(o.isDataArrayTexture)S?(T&&n.texStorage3D(e.TEXTURE_2D_ARRAY,E,w,p.width,p.height,p.depth),C&&n.texSubImage3D(e.TEXTURE_2D_ARRAY,0,0,0,0,p.width,p.height,p.depth,h,_,p.data)):n.texImage3D(e.TEXTURE_2D_ARRAY,0,w,p.width,p.height,p.depth,0,h,_,p.data);else if(o.isData3DTexture)S?(T&&n.texStorage3D(e.TEXTURE_3D,E,w,p.width,p.height,p.depth),C&&n.texSubImage3D(e.TEXTURE_3D,0,0,0,0,p.width,p.height,p.depth,h,_,p.data)):n.texImage3D(e.TEXTURE_3D,0,w,p.width,p.height,p.depth,0,h,_,p.data);else if(o.isFramebufferTexture){if(T)if(S)n.texStorage2D(e.TEXTURE_2D,E,w,p.width,p.height);else{let t=p.width,r=p.height;for(let i=0;i<E;i++)n.texImage2D(e.TEXTURE_2D,i,w,t,r,0,h,_,null),t>>=1,r>>=1}}else if(A.length>0){if(S&&T){const t=U(A[0]);n.texStorage2D(e.TEXTURE_2D,E,w,t.width,t.height)}for(let t=0,r=A.length;t<r;t++)x=A[t],S?C&&n.texSubImage2D(e.TEXTURE_2D,t,0,0,h,_,x):n.texImage2D(e.TEXTURE_2D,t,w,h,_,x);o.generateMipmaps=!1}else if(S){if(T){const t=U(p);n.texStorage2D(e.TEXTURE_2D,E,w,t.width,t.height)}C&&n.texSubImage2D(e.TEXTURE_2D,0,0,0,h,_,p)}else n.texImage2D(e.TEXTURE_2D,0,w,h,_,p);g(o)&&v(l),d.__version=u.version,o.onUpdate&&o.onUpdate(o)}t.__version=o.version}function I(t,i,o,l,c,u){const d=a.convert(o.format,o.colorSpace),f=a.convert(o.type),p=y(o.internalFormat,d,f,o.colorSpace);if(!r.get(i).__hasExternalTextures){const t=Math.max(1,i.width>>u),r=Math.max(1,i.height>>u);c===e.TEXTURE_3D||c===e.TEXTURE_2D_ARRAY?n.texImage3D(c,u,p,t,r,i.depth,0,d,f,null):n.texImage2D(c,u,p,t,r,0,d,f,null)}n.bindFramebuffer(e.FRAMEBUFFER,t),F(i)?s.framebufferTexture2DMultisampleEXT(e.FRAMEBUFFER,l,c,r.get(o).__webglTexture,0,L(i)):(c===e.TEXTURE_2D||c>=e.TEXTURE_CUBE_MAP_POSITIVE_X&&c<=e.TEXTURE_CUBE_MAP_NEGATIVE_Z)&&e.framebufferTexture2D(e.FRAMEBUFFER,l,c,r.get(o).__webglTexture,u),n.bindFramebuffer(e.FRAMEBUFFER,null)}function O(t,n,r){if(e.bindRenderbuffer(e.RENDERBUFFER,t),n.depthBuffer&&!n.stencilBuffer){let i=e.DEPTH_COMPONENT24;if(r||F(n)){const t=n.depthTexture;t&&t.isDepthTexture&&(t.type===Af?i=e.DEPTH_COMPONENT32F:t.type===wf&&(i=e.DEPTH_COMPONENT24));const r=L(n);F(n)?s.renderbufferStorageMultisampleEXT(e.RENDERBUFFER,r,i,n.width,n.height):e.renderbufferStorageMultisample(e.RENDERBUFFER,r,i,n.width,n.height)}else e.renderbufferStorage(e.RENDERBUFFER,i,n.width,n.height);e.framebufferRenderbuffer(e.FRAMEBUFFER,e.DEPTH_ATTACHMENT,e.RENDERBUFFER,t)}else if(n.depthBuffer&&n.stencilBuffer){const i=L(n);r&&!1===F(n)?e.renderbufferStorageMultisample(e.RENDERBUFFER,i,e.DEPTH24_STENCIL8,n.width,n.height):F(n)?s.renderbufferStorageMultisampleEXT(e.RENDERBUFFER,i,e.DEPTH24_STENCIL8,n.width,n.height):e.renderbufferStorage(e.RENDERBUFFER,e.DEPTH_STENCIL,n.width,n.height),e.framebufferRenderbuffer(e.FRAMEBUFFER,e.DEPTH_STENCIL_ATTACHMENT,e.RENDERBUFFER,t)}else{const t=n.textures;for(let i=0;i<t.length;i++){const o=t[i],l=a.convert(o.format,o.colorSpace),c=a.convert(o.type),u=y(o.internalFormat,l,c,o.colorSpace),d=L(n);r&&!1===F(n)?e.renderbufferStorageMultisample(e.RENDERBUFFER,d,u,n.width,n.height):F(n)?s.renderbufferStorageMultisampleEXT(e.RENDERBUFFER,d,u,n.width,n.height):e.renderbufferStorage(e.RENDERBUFFER,u,n.width,n.height)}}e.bindRenderbuffer(e.RENDERBUFFER,null)}function N(t){const i=r.get(t),a=!0===t.isWebGLCubeRenderTarget;if(t.depthTexture&&!i.__autoAllocateDepthBuffer){if(a)throw new Error("target.depthTexture not supported in Cube render targets");!function(t,i){if(i&&i.isWebGLCubeRenderTarget)throw new Error("Depth Texture with cube render targets is not supported");if(n.bindFramebuffer(e.FRAMEBUFFER,t),!i.depthTexture||!i.depthTexture.isDepthTexture)throw new Error("renderTarget.depthTexture must be an instance of THREE.DepthTexture");r.get(i.depthTexture).__webglTexture&&i.depthTexture.image.width===i.width&&i.depthTexture.image.height===i.height||(i.depthTexture.image.width=i.width,i.depthTexture.image.height=i.height,i.depthTexture.needsUpdate=!0),S(i.depthTexture,0);const a=r.get(i.depthTexture).__webglTexture,o=L(i);if(i.depthTexture.format===Ef)F(i)?s.framebufferTexture2DMultisampleEXT(e.FRAMEBUFFER,e.DEPTH_ATTACHMENT,e.TEXTURE_2D,a,0,o):e.framebufferTexture2D(e.FRAMEBUFFER,e.DEPTH_ATTACHMENT,e.TEXTURE_2D,a,0);else{if(i.depthTexture.format!==Mf)throw new Error("Unknown depthTexture format");F(i)?s.framebufferTexture2DMultisampleEXT(e.FRAMEBUFFER,e.DEPTH_STENCIL_ATTACHMENT,e.TEXTURE_2D,a,0,o):e.framebufferTexture2D(e.FRAMEBUFFER,e.DEPTH_STENCIL_ATTACHMENT,e.TEXTURE_2D,a,0)}}(i.__webglFramebuffer,t)}else if(a){i.__webglDepthbuffer=[];for(let r=0;r<6;r++)n.bindFramebuffer(e.FRAMEBUFFER,i.__webglFramebuffer[r]),i.__webglDepthbuffer[r]=e.createRenderbuffer(),O(i.__webglDepthbuffer[r],t,!1)}else n.bindFramebuffer(e.FRAMEBUFFER,i.__webglFramebuffer),i.__webglDepthbuffer=e.createRenderbuffer(),O(i.__webglDepthbuffer,t,!1);n.bindFramebuffer(e.FRAMEBUFFER,null)}const k=[],R=[];function L(e){return Math.min(i.maxSamples,e.samples)}function F(e){const n=r.get(e);return e.samples>0&&!0===t.has("WEBGL_multisampled_render_to_texture")&&!1!==n.__useRenderToTexture}function B(e,t){const n=e.colorSpace,r=e.format,i=e.type;return!0===e.isCompressedTexture||!0===e.isVideoTexture||n!==Uf&&n!==Ff&&(Ep.getTransfer(n)===jf?r===Cf&&i===xf||console.warn("THREE.WebGLTextures: sRGB encoded textures have to use RGBAFormat and UnsignedByteType."):console.error("THREE.WebGLTextures: Unsupported texture color space:",n)),t}function U(e){return"undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement?(c.width=e.naturalWidth||e.width,c.height=e.naturalHeight||e.height):"undefined"!=typeof VideoFrame&&e instanceof VideoFrame?(c.width=e.displayWidth,c.height=e.displayHeight):(c.width=e.width,c.height=e.height),c}this.allocateTextureUnit=function(){const e=A;return e>=i.maxTextures&&console.warn("THREE.WebGLTextures: Trying to use "+e+" texture units while this GPU supports only "+i.maxTextures),A+=1,e},this.resetTextureUnits=function(){A=0},this.setTexture2D=S,this.setTexture2DArray=function(t,i){const a=r.get(t);t.version>0&&a.__version!==t.version?P(a,t,i):n.bindTexture(e.TEXTURE_2D_ARRAY,a.__webglTexture,e.TEXTURE0+i)},this.setTexture3D=function(t,i){const a=r.get(t);t.version>0&&a.__version!==t.version?P(a,t,i):n.bindTexture(e.TEXTURE_3D,a.__webglTexture,e.TEXTURE0+i)},this.setTextureCube=function(t,o){const s=r.get(t);t.version>0&&s.__version!==t.version?function(t,o,s){if(6!==o.image.length)return;const l=D(t,o),c=o.source;n.bindTexture(e.TEXTURE_CUBE_MAP,t.__webglTexture,e.TEXTURE0+s);const u=r.get(c);if(c.version!==u.__version||!0===l){n.activeTexture(e.TEXTURE0+s);const t=Ep.getPrimaries(Ep.workingColorSpace),r=o.colorSpace===Ff?null:Ep.getPrimaries(o.colorSpace),d=o.colorSpace===Ff||t===r?e.NONE:e.BROWSER_DEFAULT_WEBGL;e.pixelStorei(e.UNPACK_FLIP_Y_WEBGL,o.flipY),e.pixelStorei(e.UNPACK_PREMULTIPLY_ALPHA_WEBGL,o.premultiplyAlpha),e.pixelStorei(e.UNPACK_ALIGNMENT,o.unpackAlignment),e.pixelStorei(e.UNPACK_COLORSPACE_CONVERSION_WEBGL,d);const f=o.isCompressedTexture||o.image[0].isCompressedTexture,p=o.image[0]&&o.image[0].isDataTexture,h=[];for(let e=0;e<6;e++)h[e]=f||p?p?o.image[e].image:o.image[e]:m(o.image[e],!0,i.maxCubemapSize),h[e]=B(o,h[e]);const _=h[0],x=a.convert(o.format,o.colorSpace),w=a.convert(o.type),A=y(o.internalFormat,x,w,o.colorSpace),S=!0!==o.isVideoTexture,T=void 0===u.__version||!0===l,C=c.dataReady;let E,D=b(o,_);if(M(e.TEXTURE_CUBE_MAP,o),f){S&&T&&n.texStorage2D(e.TEXTURE_CUBE_MAP,D,A,_.width,_.height);for(let t=0;t<6;t++){E=h[t].mipmaps;for(let r=0;r<E.length;r++){const i=E[r];o.format!==Cf?null!==x?S?C&&n.compressedTexSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r,0,0,i.width,i.height,x,i.data):n.compressedTexImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r,A,i.width,i.height,0,i.data):console.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .setTextureCube()"):S?C&&n.texSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r,0,0,i.width,i.height,x,w,i.data):n.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r,A,i.width,i.height,0,x,w,i.data)}}}else{if(E=o.mipmaps,S&&T){E.length>0&&D++;const t=U(h[0]);n.texStorage2D(e.TEXTURE_CUBE_MAP,D,A,t.width,t.height)}for(let t=0;t<6;t++)if(p){S?C&&n.texSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,0,0,0,h[t].width,h[t].height,x,w,h[t].data):n.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,0,A,h[t].width,h[t].height,0,x,w,h[t].data);for(let r=0;r<E.length;r++){const i=E[r].image[t].image;S?C&&n.texSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r+1,0,0,i.width,i.height,x,w,i.data):n.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r+1,A,i.width,i.height,0,x,w,i.data)}}else{S?C&&n.texSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,0,0,0,x,w,h[t]):n.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,0,A,x,w,h[t]);for(let r=0;r<E.length;r++){const i=E[r];S?C&&n.texSubImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r+1,0,0,x,w,i.image[t]):n.texImage2D(e.TEXTURE_CUBE_MAP_POSITIVE_X+t,r+1,A,x,w,i.image[t])}}}g(o)&&v(e.TEXTURE_CUBE_MAP),u.__version=c.version,o.onUpdate&&o.onUpdate(o)}t.__version=o.version}(s,t,o):n.bindTexture(e.TEXTURE_CUBE_MAP,s.__webglTexture,e.TEXTURE0+o)},this.rebindTextures=function(t,n,i){const a=r.get(t);void 0!==n&&I(a.__webglFramebuffer,t,t.texture,e.COLOR_ATTACHMENT0,e.TEXTURE_2D,0),void 0!==i&&N(t)},this.setupRenderTarget=function(t){const i=t.texture,s=r.get(t),l=r.get(i);t.addEventListener("dispose",x);const c=t.textures,u=!0===t.isWebGLCubeRenderTarget,d=c.length>1;if(d||(void 0===l.__webglTexture&&(l.__webglTexture=e.createTexture()),l.__version=i.version,o.memory.textures++),u){s.__webglFramebuffer=[];for(let t=0;t<6;t++)if(i.mipmaps&&i.mipmaps.length>0){s.__webglFramebuffer[t]=[];for(let n=0;n<i.mipmaps.length;n++)s.__webglFramebuffer[t][n]=e.createFramebuffer()}else s.__webglFramebuffer[t]=e.createFramebuffer()}else{if(i.mipmaps&&i.mipmaps.length>0){s.__webglFramebuffer=[];for(let t=0;t<i.mipmaps.length;t++)s.__webglFramebuffer[t]=e.createFramebuffer()}else s.__webglFramebuffer=e.createFramebuffer();if(d)for(let t=0,n=c.length;t<n;t++){const n=r.get(c[t]);void 0===n.__webglTexture&&(n.__webglTexture=e.createTexture(),o.memory.textures++)}if(t.samples>0&&!1===F(t)){s.__webglMultisampledFramebuffer=e.createFramebuffer(),s.__webglColorRenderbuffer=[],n.bindFramebuffer(e.FRAMEBUFFER,s.__webglMultisampledFramebuffer);for(let n=0;n<c.length;n++){const r=c[n];s.__webglColorRenderbuffer[n]=e.createRenderbuffer(),e.bindRenderbuffer(e.RENDERBUFFER,s.__webglColorRenderbuffer[n]);const i=a.convert(r.format,r.colorSpace),o=a.convert(r.type),l=y(r.internalFormat,i,o,r.colorSpace,!0===t.isXRRenderTarget),u=L(t);e.renderbufferStorageMultisample(e.RENDERBUFFER,u,l,t.width,t.height),e.framebufferRenderbuffer(e.FRAMEBUFFER,e.COLOR_ATTACHMENT0+n,e.RENDERBUFFER,s.__webglColorRenderbuffer[n])}e.bindRenderbuffer(e.RENDERBUFFER,null),t.depthBuffer&&(s.__webglDepthRenderbuffer=e.createRenderbuffer(),O(s.__webglDepthRenderbuffer,t,!0)),n.bindFramebuffer(e.FRAMEBUFFER,null)}}if(u){n.bindTexture(e.TEXTURE_CUBE_MAP,l.__webglTexture),M(e.TEXTURE_CUBE_MAP,i);for(let n=0;n<6;n++)if(i.mipmaps&&i.mipmaps.length>0)for(let r=0;r<i.mipmaps.length;r++)I(s.__webglFramebuffer[n][r],t,i,e.COLOR_ATTACHMENT0,e.TEXTURE_CUBE_MAP_POSITIVE_X+n,r);else I(s.__webglFramebuffer[n],t,i,e.COLOR_ATTACHMENT0,e.TEXTURE_CUBE_MAP_POSITIVE_X+n,0);g(i)&&v(e.TEXTURE_CUBE_MAP),n.unbindTexture()}else if(d){for(let i=0,a=c.length;i<a;i++){const a=c[i],o=r.get(a);n.bindTexture(e.TEXTURE_2D,o.__webglTexture),M(e.TEXTURE_2D,a),I(s.__webglFramebuffer,t,a,e.COLOR_ATTACHMENT0+i,e.TEXTURE_2D,0),g(a)&&v(e.TEXTURE_2D)}n.unbindTexture()}else{let r=e.TEXTURE_2D;if((t.isWebGL3DRenderTarget||t.isWebGLArrayRenderTarget)&&(r=t.isWebGL3DRenderTarget?e.TEXTURE_3D:e.TEXTURE_2D_ARRAY),n.bindTexture(r,l.__webglTexture),M(r,i),i.mipmaps&&i.mipmaps.length>0)for(let n=0;n<i.mipmaps.length;n++)I(s.__webglFramebuffer[n],t,i,e.COLOR_ATTACHMENT0,r,n);else I(s.__webglFramebuffer,t,i,e.COLOR_ATTACHMENT0,r,0);g(i)&&v(r),n.unbindTexture()}t.depthBuffer&&N(t)},this.updateRenderTargetMipmap=function(t){const i=t.textures;for(let a=0,o=i.length;a<o;a++){const o=i[a];if(g(o)){const i=t.isWebGLCubeRenderTarget?e.TEXTURE_CUBE_MAP:e.TEXTURE_2D,a=r.get(o).__webglTexture;n.bindTexture(i,a),v(i),n.unbindTexture()}}},this.updateMultisampleRenderTarget=function(t){if(t.samples>0)if(!1===F(t)){const i=t.textures,a=t.width,o=t.height;let s=e.COLOR_BUFFER_BIT;const c=t.stencilBuffer?e.DEPTH_STENCIL_ATTACHMENT:e.DEPTH_ATTACHMENT,u=r.get(t),d=i.length>1;if(d)for(let t=0;t<i.length;t++)n.bindFramebuffer(e.FRAMEBUFFER,u.__webglMultisampledFramebuffer),e.framebufferRenderbuffer(e.FRAMEBUFFER,e.COLOR_ATTACHMENT0+t,e.RENDERBUFFER,null),n.bindFramebuffer(e.FRAMEBUFFER,u.__webglFramebuffer),e.framebufferTexture2D(e.DRAW_FRAMEBUFFER,e.COLOR_ATTACHMENT0+t,e.TEXTURE_2D,null,0);n.bindFramebuffer(e.READ_FRAMEBUFFER,u.__webglMultisampledFramebuffer),n.bindFramebuffer(e.DRAW_FRAMEBUFFER,u.__webglFramebuffer);for(let n=0;n<i.length;n++){if(t.resolveDepthBuffer&&(t.depthBuffer&&(s|=e.DEPTH_BUFFER_BIT),t.stencilBuffer&&t.resolveStencilBuffer&&(s|=e.STENCIL_BUFFER_BIT)),d){e.framebufferRenderbuffer(e.READ_FRAMEBUFFER,e.COLOR_ATTACHMENT0,e.RENDERBUFFER,u.__webglColorRenderbuffer[n]);const t=r.get(i[n]).__webglTexture;e.framebufferTexture2D(e.DRAW_FRAMEBUFFER,e.COLOR_ATTACHMENT0,e.TEXTURE_2D,t,0)}e.blitFramebuffer(0,0,a,o,0,0,a,o,s,e.NEAREST),!0===l&&(k.length=0,R.length=0,k.push(e.COLOR_ATTACHMENT0+n),t.depthBuffer&&!1===t.resolveDepthBuffer&&(k.push(c),R.push(c),e.invalidateFramebuffer(e.DRAW_FRAMEBUFFER,R)),e.invalidateFramebuffer(e.READ_FRAMEBUFFER,k))}if(n.bindFramebuffer(e.READ_FRAMEBUFFER,null),n.bindFramebuffer(e.DRAW_FRAMEBUFFER,null),d)for(let t=0;t<i.length;t++){n.bindFramebuffer(e.FRAMEBUFFER,u.__webglMultisampledFramebuffer),e.framebufferRenderbuffer(e.FRAMEBUFFER,e.COLOR_ATTACHMENT0+t,e.RENDERBUFFER,u.__webglColorRenderbuffer[t]);const a=r.get(i[t]).__webglTexture;n.bindFramebuffer(e.FRAMEBUFFER,u.__webglFramebuffer),e.framebufferTexture2D(e.DRAW_FRAMEBUFFER,e.COLOR_ATTACHMENT0+t,e.TEXTURE_2D,a,0)}n.bindFramebuffer(e.DRAW_FRAMEBUFFER,u.__webglMultisampledFramebuffer)}else if(t.depthBuffer&&!1===t.resolveDepthBuffer&&l){const n=t.stencilBuffer?e.DEPTH_STENCIL_ATTACHMENT:e.DEPTH_ATTACHMENT;e.invalidateFramebuffer(e.DRAW_FRAMEBUFFER,[n])}},this.setupDepthRenderbuffer=N,this.setupFrameBufferTexture=I,this.useMultisampledRTT=F}function zy(e,t){return{convert:function(n,r=""){let i;const a=Ep.getTransfer(r);if(n===xf)return e.UNSIGNED_BYTE;if(1017===n)return e.UNSIGNED_SHORT_4_4_4_4;if(1018===n)return e.UNSIGNED_SHORT_5_5_5_1;if(35902===n)return e.UNSIGNED_INT_5_9_9_9_REV;if(1010===n)return e.BYTE;if(1011===n)return e.SHORT;if(1012===n)return e.UNSIGNED_SHORT;if(1013===n)return e.INT;if(n===wf)return e.UNSIGNED_INT;if(n===Af)return e.FLOAT;if(n===Sf)return e.HALF_FLOAT;if(1021===n)return e.ALPHA;if(1022===n)return e.RGB;if(n===Cf)return e.RGBA;if(1024===n)return e.LUMINANCE;if(1025===n)return e.LUMINANCE_ALPHA;if(n===Ef)return e.DEPTH_COMPONENT;if(n===Mf)return e.DEPTH_STENCIL;if(1028===n)return e.RED;if(1029===n)return e.RED_INTEGER;if(1030===n)return e.RG;if(1031===n)return e.RG_INTEGER;if(1033===n)return e.RGBA_INTEGER;if(n===Df||n===Pf||n===If||n===Of)if(a===jf){if(i=t.get("WEBGL_compressed_texture_s3tc_srgb"),null===i)return null;if(n===Df)return i.COMPRESSED_SRGB_S3TC_DXT1_EXT;if(n===Pf)return i.COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT;if(n===If)return i.COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT;if(n===Of)return i.COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT}else{if(i=t.get("WEBGL_compressed_texture_s3tc"),null===i)return null;if(n===Df)return i.COMPRESSED_RGB_S3TC_DXT1_EXT;if(n===Pf)return i.COMPRESSED_RGBA_S3TC_DXT1_EXT;if(n===If)return i.COMPRESSED_RGBA_S3TC_DXT3_EXT;if(n===Of)return i.COMPRESSED_RGBA_S3TC_DXT5_EXT}if(35840===n||35841===n||35842===n||35843===n){if(i=t.get("WEBGL_compressed_texture_pvrtc"),null===i)return null;if(35840===n)return i.COMPRESSED_RGB_PVRTC_4BPPV1_IMG;if(35841===n)return i.COMPRESSED_RGB_PVRTC_2BPPV1_IMG;if(35842===n)return i.COMPRESSED_RGBA_PVRTC_4BPPV1_IMG;if(35843===n)return i.COMPRESSED_RGBA_PVRTC_2BPPV1_IMG}if(36196===n||37492===n||37496===n){if(i=t.get("WEBGL_compressed_texture_etc"),null===i)return null;if(36196===n||37492===n)return a===jf?i.COMPRESSED_SRGB8_ETC2:i.COMPRESSED_RGB8_ETC2;if(37496===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ETC2_EAC:i.COMPRESSED_RGBA8_ETC2_EAC}if(37808===n||37809===n||37810===n||37811===n||37812===n||37813===n||37814===n||37815===n||37816===n||37817===n||37818===n||37819===n||37820===n||37821===n){if(i=t.get("WEBGL_compressed_texture_astc"),null===i)return null;if(37808===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR:i.COMPRESSED_RGBA_ASTC_4x4_KHR;if(37809===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR:i.COMPRESSED_RGBA_ASTC_5x4_KHR;if(37810===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR:i.COMPRESSED_RGBA_ASTC_5x5_KHR;if(37811===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR:i.COMPRESSED_RGBA_ASTC_6x5_KHR;if(37812===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR:i.COMPRESSED_RGBA_ASTC_6x6_KHR;if(37813===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR:i.COMPRESSED_RGBA_ASTC_8x5_KHR;if(37814===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR:i.COMPRESSED_RGBA_ASTC_8x6_KHR;if(37815===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR:i.COMPRESSED_RGBA_ASTC_8x8_KHR;if(37816===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR:i.COMPRESSED_RGBA_ASTC_10x5_KHR;if(37817===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR:i.COMPRESSED_RGBA_ASTC_10x6_KHR;if(37818===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR:i.COMPRESSED_RGBA_ASTC_10x8_KHR;if(37819===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR:i.COMPRESSED_RGBA_ASTC_10x10_KHR;if(37820===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR:i.COMPRESSED_RGBA_ASTC_12x10_KHR;if(37821===n)return a===jf?i.COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR:i.COMPRESSED_RGBA_ASTC_12x12_KHR}if(n===Nf||36494===n||36495===n){if(i=t.get("EXT_texture_compression_bptc"),null===i)return null;if(n===Nf)return a===jf?i.COMPRESSED_SRGB_ALPHA_BPTC_UNORM_EXT:i.COMPRESSED_RGBA_BPTC_UNORM_EXT;if(36494===n)return i.COMPRESSED_RGB_BPTC_SIGNED_FLOAT_EXT;if(36495===n)return i.COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_EXT}if(36283===n||36284===n||36285===n||36286===n){if(i=t.get("EXT_texture_compression_rgtc"),null===i)return null;if(n===Nf)return i.COMPRESSED_RED_RGTC1_EXT;if(36284===n)return i.COMPRESSED_SIGNED_RED_RGTC1_EXT;if(36285===n)return i.COMPRESSED_RED_GREEN_RGTC2_EXT;if(36286===n)return i.COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT}return n===Tf?e.UNSIGNED_INT_24_8:void 0!==e[n]?e[n]:null}}}class jy extends ng{constructor(e=[]){super(),this.isArrayCamera=!0,this.cameras=e}}class Wy extends $h{constructor(){super(),this.isGroup=!0,this.type="Group"}}const Hy={type:"move"};class $y{constructor(){this._targetRay=null,this._grip=null,this._hand=null}getHandSpace(){return null===this._hand&&(this._hand=new Wy,this._hand.matrixAutoUpdate=!1,this._hand.visible=!1,this._hand.joints={},this._hand.inputState={pinching:!1}),this._hand}getTargetRaySpace(){return null===this._targetRay&&(this._targetRay=new Wy,this._targetRay.matrixAutoUpdate=!1,this._targetRay.visible=!1,this._targetRay.hasLinearVelocity=!1,this._targetRay.linearVelocity=new jp,this._targetRay.hasAngularVelocity=!1,this._targetRay.angularVelocity=new jp),this._targetRay}getGripSpace(){return null===this._grip&&(this._grip=new Wy,this._grip.matrixAutoUpdate=!1,this._grip.visible=!1,this._grip.hasLinearVelocity=!1,this._grip.linearVelocity=new jp,this._grip.hasAngularVelocity=!1,this._grip.angularVelocity=new jp),this._grip}dispatchEvent(e){return null!==this._targetRay&&this._targetRay.dispatchEvent(e),null!==this._grip&&this._grip.dispatchEvent(e),null!==this._hand&&this._hand.dispatchEvent(e),this}connect(e){if(e&&e.hand){const t=this._hand;if(t)for(const n of e.hand.values())this._getHandJoint(t,n)}return this.dispatchEvent({type:"connected",data:e}),this}disconnect(e){return this.dispatchEvent({type:"disconnected",data:e}),null!==this._targetRay&&(this._targetRay.visible=!1),null!==this._grip&&(this._grip.visible=!1),null!==this._hand&&(this._hand.visible=!1),this}update(e,t,n){let r=null,i=null,a=null;const o=this._targetRay,s=this._grip,l=this._hand;if(e&&"visible-blurred"!==t.session.visibilityState){if(l&&e.hand){a=!0;for(const r of e.hand.values()){const e=t.getJointPose(r,n),i=this._getHandJoint(l,r);null!==e&&(i.matrix.fromArray(e.transform.matrix),i.matrix.decompose(i.position,i.rotation,i.scale),i.matrixWorldNeedsUpdate=!0,i.jointRadius=e.radius),i.visible=null!==e}const r=l.joints["index-finger-tip"],i=l.joints["thumb-tip"],o=r.position.distanceTo(i.position),s=.02,c=.005;l.inputState.pinching&&o>s+c?(l.inputState.pinching=!1,this.dispatchEvent({type:"pinchend",handedness:e.handedness,target:this})):!l.inputState.pinching&&o<=s-c&&(l.inputState.pinching=!0,this.dispatchEvent({type:"pinchstart",handedness:e.handedness,target:this}))}else null!==s&&e.gripSpace&&(i=t.getPose(e.gripSpace,n),null!==i&&(s.matrix.fromArray(i.transform.matrix),s.matrix.decompose(s.position,s.rotation,s.scale),s.matrixWorldNeedsUpdate=!0,i.linearVelocity?(s.hasLinearVelocity=!0,s.linearVelocity.copy(i.linearVelocity)):s.hasLinearVelocity=!1,i.angularVelocity?(s.hasAngularVelocity=!0,s.angularVelocity.copy(i.angularVelocity)):s.hasAngularVelocity=!1));null!==o&&(r=t.getPose(e.targetRaySpace,n),null===r&&null!==i&&(r=i),null!==r&&(o.matrix.fromArray(r.transform.matrix),o.matrix.decompose(o.position,o.rotation,o.scale),o.matrixWorldNeedsUpdate=!0,r.linearVelocity?(o.hasLinearVelocity=!0,o.linearVelocity.copy(r.linearVelocity)):o.hasLinearVelocity=!1,r.angularVelocity?(o.hasAngularVelocity=!0,o.angularVelocity.copy(r.angularVelocity)):o.hasAngularVelocity=!1,this.dispatchEvent(Hy)))}return null!==o&&(o.visible=null!==r),null!==s&&(s.visible=null!==i),null!==l&&(l.visible=null!==a),this}_getHandJoint(e,t){if(void 0===e.joints[t.jointName]){const n=new Wy;n.matrixAutoUpdate=!1,n.visible=!1,e.joints[t.jointName]=n,e.add(n)}return e.joints[t.jointName]}}class Xy{constructor(){this.texture=null,this.mesh=null,this.depthNear=0,this.depthFar=0}init(e,t,n){if(null===this.texture){const r=new Lp;e.properties.get(r).__webglTexture=t.texture,t.depthNear==n.depthNear&&t.depthFar==n.depthFar||(this.depthNear=t.depthNear,this.depthFar=t.depthFar),this.texture=r}}render(e,t){if(null!==this.texture){if(null===this.mesh){const e=t.cameras[0].viewport,n=new Jm({vertexShader:"\nvoid main() {\n\n\tgl_Position = vec4( position, 1.0 );\n\n}",fragmentShader:"\nuniform sampler2DArray depthColor;\nuniform float depthWidth;\nuniform float depthHeight;\n\nvoid main() {\n\n\tvec2 coord = vec2( gl_FragCoord.x / depthWidth, gl_FragCoord.y / depthHeight );\n\n\tif ( coord.x >= 1.0 ) {\n\n\t\tgl_FragDepth = texture( depthColor, vec3( coord.x - 1.0, coord.y, 1 ) ).r;\n\n\t} else {\n\n\t\tgl_FragDepth = texture( depthColor, vec3( coord.x, coord.y, 0 ) ).r;\n\n\t}\n\n}",uniforms:{depthColor:{value:this.texture},depthWidth:{value:e.z},depthHeight:{value:e.w}}});this.mesh=new Wm(new gg(20,20),n)}e.render(this.mesh,t)}}reset(){this.texture=null,this.mesh=null}}class qy extends ip{constructor(e,t){super();const n=this;let r=null,i=1,a=null,o="local-floor",s=1,l=null,c=null,u=null,d=null,f=null,p=null;const h=new Xy,m=t.getContextAttributes();let g=null,v=null;const y=[],b=[],_=new gp;let x=null;const w=new ng;w.layers.enable(1),w.viewport=new Fp;const A=new ng;A.layers.enable(2),A.viewport=new Fp;const S=[w,A],T=new jy;T.layers.enable(1),T.layers.enable(2);let C=null,E=null;function M(e){const t=b.indexOf(e.inputSource);if(-1===t)return;const n=y[t];void 0!==n&&(n.update(e.inputSource,e.frame,l||a),n.dispatchEvent({type:e.type,data:e.inputSource}))}function D(){r.removeEventListener("select",M),r.removeEventListener("selectstart",M),r.removeEventListener("selectend",M),r.removeEventListener("squeeze",M),r.removeEventListener("squeezestart",M),r.removeEventListener("squeezeend",M),r.removeEventListener("end",D),r.removeEventListener("inputsourceschange",P);for(let e=0;e<y.length;e++){const t=b[e];null!==t&&(b[e]=null,y[e].disconnect(t))}C=null,E=null,h.reset(),e.setRenderTarget(g),f=null,d=null,u=null,r=null,v=null,R.stop(),n.isPresenting=!1,e.setPixelRatio(x),e.setSize(_.width,_.height,!1),n.dispatchEvent({type:"sessionend"})}function P(e){for(let t=0;t<e.removed.length;t++){const n=e.removed[t],r=b.indexOf(n);r>=0&&(b[r]=null,y[r].disconnect(n))}for(let t=0;t<e.added.length;t++){const n=e.added[t];let r=b.indexOf(n);if(-1===r){for(let e=0;e<y.length;e++){if(e>=b.length){b.push(n),r=e;break}if(null===b[e]){b[e]=n,r=e;break}}if(-1===r)break}const i=y[r];i&&i.connect(n)}}this.cameraAutoUpdate=!0,this.enabled=!1,this.isPresenting=!1,this.getController=function(e){let t=y[e];return void 0===t&&(t=new $y,y[e]=t),t.getTargetRaySpace()},this.getControllerGrip=function(e){let t=y[e];return void 0===t&&(t=new $y,y[e]=t),t.getGripSpace()},this.getHand=function(e){let t=y[e];return void 0===t&&(t=new $y,y[e]=t),t.getHandSpace()},this.setFramebufferScaleFactor=function(e){i=e,!0===n.isPresenting&&console.warn("THREE.WebXRManager: Cannot change framebuffer scale while presenting.")},this.setReferenceSpaceType=function(e){o=e,!0===n.isPresenting&&console.warn("THREE.WebXRManager: Cannot change reference space type while presenting.")},this.getReferenceSpace=function(){return l||a},this.setReferenceSpace=function(e){l=e},this.getBaseLayer=function(){return null!==d?d:f},this.getBinding=function(){return u},this.getFrame=function(){return p},this.getSession=function(){return r},this.setSession=async function(c){if(r=c,null!==r){if(g=e.getRenderTarget(),r.addEventListener("select",M),r.addEventListener("selectstart",M),r.addEventListener("selectend",M),r.addEventListener("squeeze",M),r.addEventListener("squeezestart",M),r.addEventListener("squeezeend",M),r.addEventListener("end",D),r.addEventListener("inputsourceschange",P),!0!==m.xrCompatible&&await t.makeXRCompatible(),x=e.getPixelRatio(),e.getSize(_),void 0===r.renderState.layers){const n={antialias:m.antialias,alpha:!0,depth:m.depth,stencil:m.stencil,framebufferScaleFactor:i};f=new XRWebGLLayer(r,t,n),r.updateRenderState({baseLayer:f}),e.setPixelRatio(1),e.setSize(f.framebufferWidth,f.framebufferHeight,!1),v=new Up(f.framebufferWidth,f.framebufferHeight,{format:Cf,type:xf,colorSpace:e.outputColorSpace,stencilBuffer:m.stencil})}else{let n=null,a=null,o=null;m.depth&&(o=m.stencil?t.DEPTH24_STENCIL8:t.DEPTH_COMPONENT24,n=m.stencil?Mf:Ef,a=m.stencil?Tf:wf);const s={colorFormat:t.RGBA8,depthFormat:o,scaleFactor:i};u=new XRWebGLBinding(r,t),d=u.createProjectionLayer(s),r.updateRenderState({layers:[d]}),e.setPixelRatio(1),e.setSize(d.textureWidth,d.textureHeight,!1),v=new Up(d.textureWidth,d.textureHeight,{format:Cf,type:xf,depthTexture:new Zg(d.textureWidth,d.textureHeight,a,void 0,void 0,void 0,void 0,void 0,void 0,n),stencilBuffer:m.stencil,colorSpace:e.outputColorSpace,samples:m.antialias?4:0,resolveDepthBuffer:!1===d.ignoreDepthValues})}v.isXRRenderTarget=!0,this.setFoveation(s),l=null,a=await r.requestReferenceSpace(o),R.setContext(r),R.start(),n.isPresenting=!0,n.dispatchEvent({type:"sessionstart"})}},this.getEnvironmentBlendMode=function(){if(null!==r)return r.environmentBlendMode};const I=new jp,O=new jp;function N(e,t){null===t?e.matrixWorld.copy(e.matrix):e.matrixWorld.multiplyMatrices(t.matrixWorld,e.matrix),e.matrixWorldInverse.copy(e.matrixWorld).invert()}this.updateCamera=function(e){if(null===r)return;null!==h.texture&&(e.near=h.depthNear,e.far=h.depthFar),T.near=A.near=w.near=e.near,T.far=A.far=w.far=e.far,C===T.near&&E===T.far||(r.updateRenderState({depthNear:T.near,depthFar:T.far}),C=T.near,E=T.far,w.near=C,w.far=E,A.near=C,A.far=E,w.updateProjectionMatrix(),A.updateProjectionMatrix(),e.updateProjectionMatrix());const t=e.parent,n=T.cameras;N(T,t);for(let e=0;e<n.length;e++)N(n[e],t);2===n.length?function(e,t,n){I.setFromMatrixPosition(t.matrixWorld),O.setFromMatrixPosition(n.matrixWorld);const r=I.distanceTo(O),i=t.projectionMatrix.elements,a=n.projectionMatrix.elements,o=i[14]/(i[10]-1),s=i[14]/(i[10]+1),l=(i[9]+1)/i[5],c=(i[9]-1)/i[5],u=(i[8]-1)/i[0],d=(a[8]+1)/a[0],f=o*u,p=o*d,h=r/(-u+d),m=h*-u;t.matrixWorld.decompose(e.position,e.quaternion,e.scale),e.translateX(m),e.translateZ(h),e.matrixWorld.compose(e.position,e.quaternion,e.scale),e.matrixWorldInverse.copy(e.matrixWorld).invert();const g=o+h,v=s+h,y=f-m,b=p+(r-m),_=l*s/v*g,x=c*s/v*g;e.projectionMatrix.makePerspective(y,b,_,x,g,v),e.projectionMatrixInverse.copy(e.projectionMatrix).invert()}(T,w,A):T.projectionMatrix.copy(w.projectionMatrix),function(e,t,n){null===n?e.matrix.copy(t.matrixWorld):(e.matrix.copy(n.matrixWorld),e.matrix.invert(),e.matrix.multiply(t.matrixWorld)),e.matrix.decompose(e.position,e.quaternion,e.scale),e.updateMatrixWorld(!0),e.projectionMatrix.copy(t.projectionMatrix),e.projectionMatrixInverse.copy(t.projectionMatrixInverse),e.isPerspectiveCamera&&(e.fov=2*lp*Math.atan(1/e.projectionMatrix.elements[5]),e.zoom=1)}(e,T,t)},this.getCamera=function(){return T},this.getFoveation=function(){if(null!==d||null!==f)return s},this.setFoveation=function(e){s=e,null!==d&&(d.fixedFoveation=e),null!==f&&void 0!==f.fixedFoveation&&(f.fixedFoveation=e)},this.hasDepthSensing=function(){return null!==h.texture};let k=null;const R=new hg;R.setAnimationLoop((function(t,i){if(c=i.getViewerPose(l||a),p=i,null!==c){const t=c.views;null!==f&&(e.setRenderTargetFramebuffer(v,f.framebuffer),e.setRenderTarget(v));let n=!1;t.length!==T.cameras.length&&(T.cameras.length=0,n=!0);for(let r=0;r<t.length;r++){const i=t[r];let a=null;if(null!==f)a=f.getViewport(i);else{const t=u.getViewSubImage(d,i);a=t.viewport,0===r&&(e.setRenderTargetTextures(v,t.colorTexture,d.ignoreDepthValues?void 0:t.depthStencilTexture),e.setRenderTarget(v))}let o=S[r];void 0===o&&(o=new ng,o.layers.enable(r),o.viewport=new Fp,S[r]=o),o.matrix.fromArray(i.transform.matrix),o.matrix.decompose(o.position,o.quaternion,o.scale),o.projectionMatrix.fromArray(i.projectionMatrix),o.projectionMatrixInverse.copy(o.projectionMatrix).invert(),o.viewport.set(a.x,a.y,a.width,a.height),0===r&&(T.matrix.copy(o.matrix),T.matrix.decompose(T.position,T.quaternion,T.scale)),!0===n&&T.cameras.push(o)}const i=r.enabledFeatures;if(i&&i.includes("depth-sensing")){const n=u.getDepthInformation(t[0]);n&&n.isValid&&n.texture&&h.init(e,n,r.renderState)}}for(let e=0;e<y.length;e++){const t=b[e],n=y[e];null!==t&&void 0!==n&&n.update(t,i,l||a)}h.render(e,T),k&&k(t,i),i.detectedPlanes&&n.dispatchEvent({type:"planesdetected",data:i}),p=null})),this.setAnimationLoop=function(e){k=e},this.dispose=function(){}}}const Ky=new Dh,Yy=new bh;function Jy(e,t){function n(e,t){!0===e.matrixAutoUpdate&&e.updateMatrix(),t.value.copy(e.matrix)}function r(r,i){r.opacity.value=i.opacity,i.color&&r.diffuse.value.copy(i.color),i.emissive&&r.emissive.value.copy(i.emissive).multiplyScalar(i.emissiveIntensity),i.map&&(r.map.value=i.map,n(i.map,r.mapTransform)),i.alphaMap&&(r.alphaMap.value=i.alphaMap,n(i.alphaMap,r.alphaMapTransform)),i.bumpMap&&(r.bumpMap.value=i.bumpMap,n(i.bumpMap,r.bumpMapTransform),r.bumpScale.value=i.bumpScale,1===i.side&&(r.bumpScale.value*=-1)),i.normalMap&&(r.normalMap.value=i.normalMap,n(i.normalMap,r.normalMapTransform),r.normalScale.value.copy(i.normalScale),1===i.side&&r.normalScale.value.negate()),i.displacementMap&&(r.displacementMap.value=i.displacementMap,n(i.displacementMap,r.displacementMapTransform),r.displacementScale.value=i.displacementScale,r.displacementBias.value=i.displacementBias),i.emissiveMap&&(r.emissiveMap.value=i.emissiveMap,n(i.emissiveMap,r.emissiveMapTransform)),i.specularMap&&(r.specularMap.value=i.specularMap,n(i.specularMap,r.specularMapTransform)),i.alphaTest>0&&(r.alphaTest.value=i.alphaTest);const a=t.get(i),o=a.envMap,s=a.envMapRotation;if(o&&(r.envMap.value=o,Ky.copy(s),Ky.x*=-1,Ky.y*=-1,Ky.z*=-1,o.isCubeTexture&&!1===o.isRenderTargetTexture&&(Ky.y*=-1,Ky.z*=-1),r.envMapRotation.value.setFromMatrix4(Yy.makeRotationFromEuler(Ky)),r.flipEnvMap.value=o.isCubeTexture&&!1===o.isRenderTargetTexture?-1:1,r.reflectivity.value=i.reflectivity,r.ior.value=i.ior,r.refractionRatio.value=i.refractionRatio),i.lightMap){r.lightMap.value=i.lightMap;const t=!0===e._useLegacyLights?Math.PI:1;r.lightMapIntensity.value=i.lightMapIntensity*t,n(i.lightMap,r.lightMapTransform)}i.aoMap&&(r.aoMap.value=i.aoMap,r.aoMapIntensity.value=i.aoMapIntensity,n(i.aoMap,r.aoMapTransform))}return{refreshFogUniforms:function(t,n){n.color.getRGB(t.fogColor.value,Km(e)),n.isFog?(t.fogNear.value=n.near,t.fogFar.value=n.far):n.isFogExp2&&(t.fogDensity.value=n.density)},refreshMaterialUniforms:function(e,i,a,o,s){i.isMeshBasicMaterial||i.isMeshLambertMaterial?r(e,i):i.isMeshToonMaterial?(r(e,i),function(e,t){t.gradientMap&&(e.gradientMap.value=t.gradientMap)}(e,i)):i.isMeshPhongMaterial?(r(e,i),function(e,t){e.specular.value.copy(t.specular),e.shininess.value=Math.max(t.shininess,1e-4)}(e,i)):i.isMeshStandardMaterial?(r(e,i),function(e,t){e.metalness.value=t.metalness,t.metalnessMap&&(e.metalnessMap.value=t.metalnessMap,n(t.metalnessMap,e.metalnessMapTransform)),e.roughness.value=t.roughness,t.roughnessMap&&(e.roughnessMap.value=t.roughnessMap,n(t.roughnessMap,e.roughnessMapTransform)),t.envMap&&(e.envMapIntensity.value=t.envMapIntensity)}(e,i),i.isMeshPhysicalMaterial&&function(e,t,r){e.ior.value=t.ior,t.sheen>0&&(e.sheenColor.value.copy(t.sheenColor).multiplyScalar(t.sheen),e.sheenRoughness.value=t.sheenRoughness,t.sheenColorMap&&(e.sheenColorMap.value=t.sheenColorMap,n(t.sheenColorMap,e.sheenColorMapTransform)),t.sheenRoughnessMap&&(e.sheenRoughnessMap.value=t.sheenRoughnessMap,n(t.sheenRoughnessMap,e.sheenRoughnessMapTransform))),t.clearcoat>0&&(e.clearcoat.value=t.clearcoat,e.clearcoatRoughness.value=t.clearcoatRoughness,t.clearcoatMap&&(e.clearcoatMap.value=t.clearcoatMap,n(t.clearcoatMap,e.clearcoatMapTransform)),t.clearcoatRoughnessMap&&(e.clearcoatRoughnessMap.value=t.clearcoatRoughnessMap,n(t.clearcoatRoughnessMap,e.clearcoatRoughnessMapTransform)),t.clearcoatNormalMap&&(e.clearcoatNormalMap.value=t.clearcoatNormalMap,n(t.clearcoatNormalMap,e.clearcoatNormalMapTransform),e.clearcoatNormalScale.value.copy(t.clearcoatNormalScale),1===t.side&&e.clearcoatNormalScale.value.negate())),t.dispersion>0&&(e.dispersion.value=t.dispersion),t.iridescence>0&&(e.iridescence.value=t.iridescence,e.iridescenceIOR.value=t.iridescenceIOR,e.iridescenceThicknessMinimum.value=t.iridescenceThicknessRange[0],e.iridescenceThicknessMaximum.value=t.iridescenceThicknessRange[1],t.iridescenceMap&&(e.iridescenceMap.value=t.iridescenceMap,n(t.iridescenceMap,e.iridescenceMapTransform)),t.iridescenceThicknessMap&&(e.iridescenceThicknessMap.value=t.iridescenceThicknessMap,n(t.iridescenceThicknessMap,e.iridescenceThicknessMapTransform))),t.transmission>0&&(e.transmission.value=t.transmission,e.transmissionSamplerMap.value=r.texture,e.transmissionSamplerSize.value.set(r.width,r.height),t.transmissionMap&&(e.transmissionMap.value=t.transmissionMap,n(t.transmissionMap,e.transmissionMapTransform)),e.thickness.value=t.thickness,t.thicknessMap&&(e.thicknessMap.value=t.thicknessMap,n(t.thicknessMap,e.thicknessMapTransform)),e.attenuationDistance.value=t.attenuationDistance,e.attenuationColor.value.copy(t.attenuationColor)),t.anisotropy>0&&(e.anisotropyVector.value.set(t.anisotropy*Math.cos(t.anisotropyRotation),t.anisotropy*Math.sin(t.anisotropyRotation)),t.anisotropyMap&&(e.anisotropyMap.value=t.anisotropyMap,n(t.anisotropyMap,e.anisotropyMapTransform))),e.specularIntensity.value=t.specularIntensity,e.specularColor.value.copy(t.specularColor),t.specularColorMap&&(e.specularColorMap.value=t.specularColorMap,n(t.specularColorMap,e.specularColorMapTransform)),t.specularIntensityMap&&(e.specularIntensityMap.value=t.specularIntensityMap,n(t.specularIntensityMap,e.specularIntensityMapTransform))}(e,i,s)):i.isMeshMatcapMaterial?(r(e,i),function(e,t){t.matcap&&(e.matcap.value=t.matcap)}(e,i)):i.isMeshDepthMaterial?r(e,i):i.isMeshDistanceMaterial?(r(e,i),function(e,n){const r=t.get(n).light;e.referencePosition.value.setFromMatrixPosition(r.matrixWorld),e.nearDistance.value=r.shadow.camera.near,e.farDistance.value=r.shadow.camera.far}(e,i)):i.isMeshNormalMaterial?r(e,i):i.isLineBasicMaterial?(function(e,t){e.diffuse.value.copy(t.color),e.opacity.value=t.opacity,t.map&&(e.map.value=t.map,n(t.map,e.mapTransform))}(e,i),i.isLineDashedMaterial&&function(e,t){e.dashSize.value=t.dashSize,e.totalSize.value=t.dashSize+t.gapSize,e.scale.value=t.scale}(e,i)):i.isPointsMaterial?function(e,t,r,i){e.diffuse.value.copy(t.color),e.opacity.value=t.opacity,e.size.value=t.size*r,e.scale.value=.5*i,t.map&&(e.map.value=t.map,n(t.map,e.uvTransform)),t.alphaMap&&(e.alphaMap.value=t.alphaMap,n(t.alphaMap,e.alphaMapTransform)),t.alphaTest>0&&(e.alphaTest.value=t.alphaTest)}(e,i,a,o):i.isSpriteMaterial?function(e,t){e.diffuse.value.copy(t.color),e.opacity.value=t.opacity,e.rotation.value=t.rotation,t.map&&(e.map.value=t.map,n(t.map,e.mapTransform)),t.alphaMap&&(e.alphaMap.value=t.alphaMap,n(t.alphaMap,e.alphaMapTransform)),t.alphaTest>0&&(e.alphaTest.value=t.alphaTest)}(e,i):i.isShadowMaterial?(e.color.value.copy(i.color),e.opacity.value=i.opacity):i.isShaderMaterial&&(i.uniformsNeedUpdate=!1)}}}function Zy(e,t,n,r){let i={},a={},o=[];const s=e.getParameter(e.MAX_UNIFORM_BUFFER_BINDINGS);function l(e,t,n,r){const i=e.value,a=t+"_"+n;if(void 0===r[a])return r[a]="number"==typeof i||"boolean"==typeof i?i:i.clone(),!0;{const e=r[a];if("number"==typeof i||"boolean"==typeof i){if(e!==i)return r[a]=i,!0}else if(!1===e.equals(i))return e.copy(i),!0}return!1}function c(e){const t={boundary:0,storage:0};return"number"==typeof e||"boolean"==typeof e?(t.boundary=4,t.storage=4):e.isVector2?(t.boundary=8,t.storage=8):e.isVector3||e.isColor?(t.boundary=16,t.storage=12):e.isVector4?(t.boundary=16,t.storage=16):e.isMatrix3?(t.boundary=48,t.storage=48):e.isMatrix4?(t.boundary=64,t.storage=64):e.isTexture?console.warn("THREE.WebGLRenderer: Texture samplers can not be part of an uniforms group."):console.warn("THREE.WebGLRenderer: Unsupported uniform value type.",e),t}function u(t){const n=t.target;n.removeEventListener("dispose",u);const r=o.indexOf(n.__bindingPointIndex);o.splice(r,1),e.deleteBuffer(i[n.id]),delete i[n.id],delete a[n.id]}return{bind:function(e,t){const n=t.program;r.uniformBlockBinding(e,n)},update:function(n,d){let f=i[n.id];void 0===f&&(function(e){const t=e.uniforms;let n=0;for(let e=0,r=t.length;e<r;e++){const r=Array.isArray(t[e])?t[e]:[t[e]];for(let e=0,t=r.length;e<t;e++){const t=r[e],i=Array.isArray(t.value)?t.value:[t.value];for(let e=0,r=i.length;e<r;e++){const r=c(i[e]),a=n%16;0!==a&&16-a<r.boundary&&(n+=16-a),t.__data=new Float32Array(r.storage/Float32Array.BYTES_PER_ELEMENT),t.__offset=n,n+=r.storage}}}const r=n%16;r>0&&(n+=16-r),e.__size=n,e.__cache={}}(n),f=function(t){const n=function(){for(let e=0;e<s;e++)if(-1===o.indexOf(e))return o.push(e),e;return console.error("THREE.WebGLRenderer: Maximum number of simultaneously usable uniforms groups reached."),0}();t.__bindingPointIndex=n;const r=e.createBuffer(),i=t.__size,a=t.usage;return e.bindBuffer(e.UNIFORM_BUFFER,r),e.bufferData(e.UNIFORM_BUFFER,i,a),e.bindBuffer(e.UNIFORM_BUFFER,null),e.bindBufferBase(e.UNIFORM_BUFFER,n,r),r}(n),i[n.id]=f,n.addEventListener("dispose",u));const p=d.program;r.updateUBOMapping(n,p);const h=t.render.frame;a[n.id]!==h&&(function(t){const n=i[t.id],r=t.uniforms,a=t.__cache;e.bindBuffer(e.UNIFORM_BUFFER,n);for(let t=0,n=r.length;t<n;t++){const n=Array.isArray(r[t])?r[t]:[r[t]];for(let r=0,i=n.length;r<i;r++){const i=n[r];if(!0===l(i,t,r,a)){const t=i.__offset,n=Array.isArray(i.value)?i.value:[i.value];let r=0;for(let a=0;a<n.length;a++){const o=n[a],s=c(o);"number"==typeof o||"boolean"==typeof o?(i.__data[0]=o,e.bufferSubData(e.UNIFORM_BUFFER,t+r,i.__data)):o.isMatrix3?(i.__data[0]=o.elements[0],i.__data[1]=o.elements[1],i.__data[2]=o.elements[2],i.__data[3]=0,i.__data[4]=o.elements[3],i.__data[5]=o.elements[4],i.__data[6]=o.elements[5],i.__data[7]=0,i.__data[8]=o.elements[6],i.__data[9]=o.elements[7],i.__data[10]=o.elements[8],i.__data[11]=0):(o.toArray(i.__data,r),r+=s.storage/Float32Array.BYTES_PER_ELEMENT)}e.bufferSubData(e.UNIFORM_BUFFER,t,i.__data)}}}e.bindBuffer(e.UNIFORM_BUFFER,null)}(n),a[n.id]=h)},dispose:function(){for(const t in i)e.deleteBuffer(i[t]);o=[],i={},a={}}}}class Qy{constructor(e={}){const{canvas:t=xp(),context:n=null,depth:r=!0,stencil:i=!1,alpha:a=!1,antialias:o=!1,premultipliedAlpha:s=!0,preserveDrawingBuffer:l=!1,powerPreference:c="default",failIfMajorPerformanceCaveat:u=!1}=e;let d;if(this.isWebGLRenderer=!0,null!==n){if("undefined"!=typeof WebGLRenderingContext&&n instanceof WebGLRenderingContext)throw new Error("THREE.WebGLRenderer: WebGL 1 is not supported since r163.");d=n.getContextAttributes().alpha}else d=a;const f=new Uint32Array(4),p=new Int32Array(4);let h=null,m=null;const g=[],v=[];this.domElement=t,this.debug={checkShaderErrors:!0,onShaderError:null},this.autoClear=!0,this.autoClearColor=!0,this.autoClearDepth=!0,this.autoClearStencil=!0,this.sortObjects=!0,this.clippingPlanes=[],this.localClippingEnabled=!1,this._outputColorSpace=Bf,this._useLegacyLights=!1,this.toneMapping=ef,this.toneMappingExposure=1;const y=this;let b=!1,_=0,x=0,w=null,A=-1,S=null;const T=new Fp,C=new Fp;let E=null;const M=new lm(0);let D=0,P=t.width,I=t.height,O=1,N=null,k=null;const R=new Fp(0,0,P,I),L=new Fp(0,0,P,I);let F=!1;const B=new pg;let U=!1,V=!1;const G=new bh,z=new jp,j={background:null,fog:null,environment:null,overrideMaterial:null,isScene:!0};function W(){return null===w?O:1}let H,$,X,q,K,Y,J,Z,Q,ee,te,ne,re,ie,ae,oe,se,le,ce,ue,de,fe,pe,he,me=n;function ge(e,n){return t.getContext(e,n)}try{const e={alpha:!0,depth:r,stencil:i,antialias:o,premultipliedAlpha:s,preserveDrawingBuffer:l,powerPreference:c,failIfMajorPerformanceCaveat:u};if("setAttribute"in t&&t.setAttribute("data-engine",`three.js r${Cd}`),t.addEventListener("webglcontextlost",be,!1),t.addEventListener("webglcontextrestored",_e,!1),t.addEventListener("webglcontextcreationerror",xe,!1),null===me){const t="webgl2";if(me=ge(t,e),null===me)throw ge(t)?new Error("Error creating WebGL context with your selected attributes."):new Error("Error creating WebGL context.")}}catch(e){throw console.error("THREE.WebGLRenderer: "+e.message),e}function ve(){H=new $g(me),H.init(),fe=new zy(me,H),$=new Cg(me,H,e,fe),X=new Vy(me),q=new Kg(me),K=new Cy,Y=new Gy(me,H,X,K,$,fe,q),J=new Mg(y),Z=new Hg(y),Q=new mg(me),pe=new Sg(me,Q),ee=new Xg(me,Q,q,pe),te=new Jg(me,ee,Q,q),ce=new Yg(me,$,Y),oe=new Eg(K),ne=new Ty(y,J,Z,H,$,pe,oe),re=new Jy(y,K),ie=new Py,ae=new Ly(H),le=new Ag(y,J,Z,X,te,d,s),se=new Uy(y,te,$),he=new Zy(me,q,$,X),ue=new Tg(me,H,q),de=new qg(me,H,q),q.programs=ne.programs,y.capabilities=$,y.extensions=H,y.properties=K,y.renderLists=ie,y.shadowMap=se,y.state=X,y.info=q}ve();const ye=new qy(y,me);function be(e){e.preventDefault(),console.log("THREE.WebGLRenderer: Context Lost."),b=!0}function _e(){console.log("THREE.WebGLRenderer: Context Restored."),b=!1;const e=q.autoReset,t=se.enabled,n=se.autoUpdate,r=se.needsUpdate,i=se.type;ve(),q.autoReset=e,se.enabled=t,se.autoUpdate=n,se.needsUpdate=r,se.type=i}function xe(e){console.error("THREE.WebGLRenderer: A WebGL context could not be created. Reason: ",e.statusMessage)}function we(e){const t=e.target;t.removeEventListener("dispose",we),function(e){(function(e){const t=K.get(e).programs;void 0!==t&&(t.forEach((function(e){ne.releaseProgram(e)})),e.isShaderMaterial&&ne.releaseShaderCache(e))})(e),K.remove(e)}(t)}function Ae(e,t,n){!0===e.transparent&&2===e.side&&!1===e.forceSinglePass?(e.side=1,e.needsUpdate=!0,Ne(e,t,n),e.side=0,e.needsUpdate=!0,Ne(e,t,n),e.side=2):Ne(e,t,n)}this.xr=ye,this.getContext=function(){return me},this.getContextAttributes=function(){return me.getContextAttributes()},this.forceContextLoss=function(){const e=H.get("WEBGL_lose_context");e&&e.loseContext()},this.forceContextRestore=function(){const e=H.get("WEBGL_lose_context");e&&e.restoreContext()},this.getPixelRatio=function(){return O},this.setPixelRatio=function(e){void 0!==e&&(O=e,this.setSize(P,I,!1))},this.getSize=function(e){return e.set(P,I)},this.setSize=function(e,n,r=!0){ye.isPresenting?console.warn("THREE.WebGLRenderer: Can't change size while VR device is presenting."):(P=e,I=n,t.width=Math.floor(e*O),t.height=Math.floor(n*O),!0===r&&(t.style.width=e+"px",t.style.height=n+"px"),this.setViewport(0,0,e,n))},this.getDrawingBufferSize=function(e){return e.set(P*O,I*O).floor()},this.setDrawingBufferSize=function(e,n,r){P=e,I=n,O=r,t.width=Math.floor(e*r),t.height=Math.floor(n*r),this.setViewport(0,0,e,n)},this.getCurrentViewport=function(e){return e.copy(T)},this.getViewport=function(e){return e.copy(R)},this.setViewport=function(e,t,n,r){e.isVector4?R.set(e.x,e.y,e.z,e.w):R.set(e,t,n,r),X.viewport(T.copy(R).multiplyScalar(O).round())},this.getScissor=function(e){return e.copy(L)},this.setScissor=function(e,t,n,r){e.isVector4?L.set(e.x,e.y,e.z,e.w):L.set(e,t,n,r),X.scissor(C.copy(L).multiplyScalar(O).round())},this.getScissorTest=function(){return F},this.setScissorTest=function(e){X.setScissorTest(F=e)},this.setOpaqueSort=function(e){N=e},this.setTransparentSort=function(e){k=e},this.getClearColor=function(e){return e.copy(le.getClearColor())},this.setClearColor=function(){le.setClearColor.apply(le,arguments)},this.getClearAlpha=function(){return le.getClearAlpha()},this.setClearAlpha=function(){le.setClearAlpha.apply(le,arguments)},this.clear=function(e=!0,t=!0,n=!0){let r=0;if(e){let e=!1;if(null!==w){const t=w.texture.format;e=1033===t||1031===t||1029===t}if(e){const e=w.texture.type,t=e===xf||e===wf||1012===e||e===Tf||1017===e||1018===e,n=le.getClearColor(),r=le.getClearAlpha(),i=n.r,a=n.g,o=n.b;t?(f[0]=i,f[1]=a,f[2]=o,f[3]=r,me.clearBufferuiv(me.COLOR,0,f)):(p[0]=i,p[1]=a,p[2]=o,p[3]=r,me.clearBufferiv(me.COLOR,0,p))}else r|=me.COLOR_BUFFER_BIT}t&&(r|=me.DEPTH_BUFFER_BIT),n&&(r|=me.STENCIL_BUFFER_BIT,this.state.buffers.stencil.setMask(4294967295)),me.clear(r)},this.clearColor=function(){this.clear(!0,!1,!1)},this.clearDepth=function(){this.clear(!1,!0,!1)},this.clearStencil=function(){this.clear(!1,!1,!0)},this.dispose=function(){t.removeEventListener("webglcontextlost",be,!1),t.removeEventListener("webglcontextrestored",_e,!1),t.removeEventListener("webglcontextcreationerror",xe,!1),ie.dispose(),ae.dispose(),K.dispose(),J.dispose(),Z.dispose(),te.dispose(),pe.dispose(),he.dispose(),ne.dispose(),ye.dispose(),ye.removeEventListener("sessionstart",Te),ye.removeEventListener("sessionend",Ce),Ee.stop()},this.renderBufferDirect=function(e,t,n,r,i,a){null===t&&(t=j);const o=i.isMesh&&i.matrixWorld.determinant()<0,s=function(e,t,n,r,i){!0!==t.isScene&&(t=j),Y.resetTextureUnits();const a=t.fog,o=r.isMeshStandardMaterial?t.environment:null,s=null===w?y.outputColorSpace:!0===w.isXRRenderTarget?w.texture.colorSpace:Uf,l=(r.isMeshStandardMaterial?Z:J).get(r.envMap||o),c=!0===r.vertexColors&&!!n.attributes.color&&4===n.attributes.color.itemSize,u=!!n.attributes.tangent&&(!!r.normalMap||r.anisotropy>0),d=!!n.morphAttributes.position,f=!!n.morphAttributes.normal,p=!!n.morphAttributes.color;let h=ef;r.toneMapped&&(null!==w&&!0!==w.isXRRenderTarget||(h=y.toneMapping));const g=n.morphAttributes.position||n.morphAttributes.normal||n.morphAttributes.color,v=void 0!==g?g.length:0,b=K.get(r),_=m.state.lights;if(!0===U&&(!0===V||e!==S)){const t=e===S&&r.id===A;oe.setState(r,e,t)}let x=!1;r.version===b.__version?b.needsLights&&b.lightsStateVersion!==_.state.version||b.outputColorSpace!==s||i.isBatchedMesh&&!1===b.batching?x=!0:i.isBatchedMesh||!0!==b.batching?i.isInstancedMesh&&!1===b.instancing?x=!0:i.isInstancedMesh||!0!==b.instancing?i.isSkinnedMesh&&!1===b.skinning?x=!0:i.isSkinnedMesh||!0!==b.skinning?i.isInstancedMesh&&!0===b.instancingColor&&null===i.instanceColor||i.isInstancedMesh&&!1===b.instancingColor&&null!==i.instanceColor||i.isInstancedMesh&&!0===b.instancingMorph&&null===i.morphTexture||i.isInstancedMesh&&!1===b.instancingMorph&&null!==i.morphTexture||b.envMap!==l||!0===r.fog&&b.fog!==a?x=!0:void 0===b.numClippingPlanes||b.numClippingPlanes===oe.numPlanes&&b.numIntersection===oe.numIntersection?(b.vertexAlphas!==c||b.vertexTangents!==u||b.morphTargets!==d||b.morphNormals!==f||b.morphColors!==p||b.toneMapping!==h||b.morphTargetsCount!==v)&&(x=!0):x=!0:x=!0:x=!0:x=!0:(x=!0,b.__version=r.version);let T=b.currentProgram;!0===x&&(T=Ne(r,t,i));let C=!1,E=!1,M=!1;const D=T.getUniforms(),P=b.uniforms;if(X.useProgram(T.program)&&(C=!0,E=!0,M=!0),r.id!==A&&(A=r.id,E=!0),C||S!==e){D.setValue(me,"projectionMatrix",e.projectionMatrix),D.setValue(me,"viewMatrix",e.matrixWorldInverse);const t=D.map.cameraPosition;void 0!==t&&t.setValue(me,z.setFromMatrixPosition(e.matrixWorld)),$.logarithmicDepthBuffer&&D.setValue(me,"logDepthBufFC",2/(Math.log(e.far+1)/Math.LN2)),(r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshLambertMaterial||r.isMeshBasicMaterial||r.isMeshStandardMaterial||r.isShaderMaterial)&&D.setValue(me,"isOrthographic",!0===e.isOrthographicCamera),S!==e&&(S=e,E=!0,M=!0)}if(i.isSkinnedMesh){D.setOptional(me,i,"bindMatrix"),D.setOptional(me,i,"bindMatrixInverse");const e=i.skeleton;e&&(null===e.boneTexture&&e.computeBoneTexture(),D.setValue(me,"boneTexture",e.boneTexture,Y))}i.isBatchedMesh&&(D.setOptional(me,i,"batchingTexture"),D.setValue(me,"batchingTexture",i._matricesTexture,Y));const N=n.morphAttributes;if(void 0===N.position&&void 0===N.normal&&void 0===N.color||ce.update(i,n,T),(E||b.receiveShadow!==i.receiveShadow)&&(b.receiveShadow=i.receiveShadow,D.setValue(me,"receiveShadow",i.receiveShadow)),r.isMeshGouraudMaterial&&null!==r.envMap&&(P.envMap.value=l,P.flipEnvMap.value=l.isCubeTexture&&!1===l.isRenderTargetTexture?-1:1),r.isMeshStandardMaterial&&null===r.envMap&&null!==t.environment&&(P.envMapIntensity.value=t.environmentIntensity),E&&(D.setValue(me,"toneMappingExposure",y.toneMappingExposure),b.needsLights&&function(e,t){e.ambientLightColor.needsUpdate=t,e.lightProbe.needsUpdate=t,e.directionalLights.needsUpdate=t,e.directionalLightShadows.needsUpdate=t,e.pointLights.needsUpdate=t,e.pointLightShadows.needsUpdate=t,e.spotLights.needsUpdate=t,e.spotLightShadows.needsUpdate=t,e.rectAreaLights.needsUpdate=t,e.hemisphereLights.needsUpdate=t}(P,M),a&&!0===r.fog&&re.refreshFogUniforms(P,a),re.refreshMaterialUniforms(P,r,O,I,m.state.transmissionRenderTarget[e.id]),ry.upload(me,ke(b),P,Y)),r.isShaderMaterial&&!0===r.uniformsNeedUpdate&&(ry.upload(me,ke(b),P,Y),r.uniformsNeedUpdate=!1),r.isSpriteMaterial&&D.setValue(me,"center",i.center),D.setValue(me,"modelViewMatrix",i.modelViewMatrix),D.setValue(me,"normalMatrix",i.normalMatrix),D.setValue(me,"modelMatrix",i.matrixWorld),r.isShaderMaterial||r.isRawShaderMaterial){const e=r.uniformsGroups;for(let t=0,n=e.length;t<n;t++){const n=e[t];he.update(n,T),he.bind(n,T)}}return T}(e,t,n,r,i);X.setMaterial(r,o);let l=n.index,c=1;if(!0===r.wireframe){if(l=ee.getWireframeAttribute(n),void 0===l)return;c=2}const u=n.drawRange,d=n.attributes.position;let f=u.start*c,p=(u.start+u.count)*c;null!==a&&(f=Math.max(f,a.start*c),p=Math.min(p,(a.start+a.count)*c)),null!==l?(f=Math.max(f,0),p=Math.min(p,l.count)):null!=d&&(f=Math.max(f,0),p=Math.min(p,d.count));const h=p-f;if(h<0||h===1/0)return;let g;pe.setup(i,r,s,n,l);let v=ue;if(null!==l&&(g=Q.get(l),v=de,v.setIndex(g)),i.isMesh)!0===r.wireframe?(X.setLineWidth(r.wireframeLinewidth*W()),v.setMode(me.LINES)):v.setMode(me.TRIANGLES);else if(i.isLine){let e=r.linewidth;void 0===e&&(e=1),X.setLineWidth(e*W()),i.isLineSegments?v.setMode(me.LINES):i.isLineLoop?v.setMode(me.LINE_LOOP):v.setMode(me.LINE_STRIP)}else i.isPoints?v.setMode(me.POINTS):i.isSprite&&v.setMode(me.TRIANGLES);if(i.isBatchedMesh)null!==i._multiDrawInstances?v.renderMultiDrawInstances(i._multiDrawStarts,i._multiDrawCounts,i._multiDrawCount,i._multiDrawInstances):v.renderMultiDraw(i._multiDrawStarts,i._multiDrawCounts,i._multiDrawCount);else if(i.isInstancedMesh)v.renderInstances(f,h,i.count);else if(n.isInstancedBufferGeometry){const e=void 0!==n._maxInstanceCount?n._maxInstanceCount:1/0,t=Math.min(n.instanceCount,e);v.renderInstances(f,h,t)}else v.render(f,h)},this.compile=function(e,t,n=null){null===n&&(n=e),m=ae.get(n),m.init(t),v.push(m),n.traverseVisible((function(e){e.isLight&&e.layers.test(t.layers)&&(m.pushLight(e),e.castShadow&&m.pushShadow(e))})),e!==n&&e.traverseVisible((function(e){e.isLight&&e.layers.test(t.layers)&&(m.pushLight(e),e.castShadow&&m.pushShadow(e))})),m.setupLights(y._useLegacyLights);const r=new Set;return e.traverse((function(e){const t=e.material;if(t)if(Array.isArray(t))for(let i=0;i<t.length;i++){const a=t[i];Ae(a,n,e),r.add(a)}else Ae(t,n,e),r.add(t)})),v.pop(),m=null,r},this.compileAsync=function(e,t,n=null){const r=this.compile(e,t,n);return new Promise((t=>{function n(){r.forEach((function(e){K.get(e).currentProgram.isReady()&&r.delete(e)})),0!==r.size?setTimeout(n,10):t(e)}null!==H.get("KHR_parallel_shader_compile")?n():setTimeout(n,10)}))};let Se=null;function Te(){Ee.stop()}function Ce(){Ee.start()}const Ee=new hg;function Me(e,t,n,r){if(!1===e.visible)return;if(e.layers.test(t.layers))if(e.isGroup)n=e.renderOrder;else if(e.isLOD)!0===e.autoUpdate&&e.update(t);else if(e.isLight)m.pushLight(e),e.castShadow&&m.pushShadow(e);else if(e.isSprite){if(!e.frustumCulled||B.intersectsSprite(e)){r&&z.setFromMatrixPosition(e.matrixWorld).applyMatrix4(G);const t=te.update(e),i=e.material;i.visible&&h.push(e,t,i,n,z.z,null)}}else if((e.isMesh||e.isLine||e.isPoints)&&(!e.frustumCulled||B.intersectsObject(e))){const t=te.update(e),i=e.material;if(r&&(void 0!==e.boundingSphere?(null===e.boundingSphere&&e.computeBoundingSphere(),z.copy(e.boundingSphere.center)):(null===t.boundingSphere&&t.computeBoundingSphere(),z.copy(t.boundingSphere.center)),z.applyMatrix4(e.matrixWorld).applyMatrix4(G)),Array.isArray(i)){const r=t.groups;for(let a=0,o=r.length;a<o;a++){const o=r[a],s=i[o.materialIndex];s&&s.visible&&h.push(e,t,s,n,z.z,o)}}else i.visible&&h.push(e,t,i,n,z.z,null)}const i=e.children;for(let e=0,a=i.length;e<a;e++)Me(i[e],t,n,r)}function De(e,t,n,r){const i=e.opaque,a=e.transmissive,o=e.transparent;m.setupLightsView(n),!0===U&&oe.setGlobalState(y.clippingPlanes,n),r&&X.viewport(T.copy(r)),i.length>0&&Ie(i,t,n),a.length>0&&Ie(a,t,n),o.length>0&&Ie(o,t,n),X.buffers.depth.setTest(!0),X.buffers.depth.setMask(!0),X.buffers.color.setMask(!0),X.setPolygonOffset(!1)}function Pe(e,t,n,r){if(null!==(!0===n.isScene?n.overrideMaterial:null))return;void 0===m.state.transmissionRenderTarget[r.id]&&(m.state.transmissionRenderTarget[r.id]=new Up(1,1,{generateMipmaps:!0,type:H.has("EXT_color_buffer_half_float")||H.has("EXT_color_buffer_float")?Sf:xf,minFilter:_f,samples:4,stencilBuffer:i,resolveDepthBuffer:!1,resolveStencilBuffer:!1}));const a=m.state.transmissionRenderTarget[r.id],o=r.viewport||T;a.setSize(o.z,o.w);const s=y.getRenderTarget();y.setRenderTarget(a),y.getClearColor(M),D=y.getClearAlpha(),D<1&&y.setClearColor(16777215,.5),y.clear();const l=y.toneMapping;y.toneMapping=ef;const c=r.viewport;if(void 0!==r.viewport&&(r.viewport=void 0),m.setupLightsView(r),!0===U&&oe.setGlobalState(y.clippingPlanes,r),Ie(e,n,r),Y.updateMultisampleRenderTarget(a),Y.updateRenderTargetMipmap(a),!1===H.has("WEBGL_multisampled_render_to_texture")){let e=!1;for(let i=0,a=t.length;i<a;i++){const a=t[i],o=a.object,s=a.geometry,l=a.material,c=a.group;if(2===l.side&&o.layers.test(r.layers)){const t=l.side;l.side=1,l.needsUpdate=!0,Oe(o,n,r,s,l,c),l.side=t,l.needsUpdate=!0,e=!0}}!0===e&&(Y.updateMultisampleRenderTarget(a),Y.updateRenderTargetMipmap(a))}y.setRenderTarget(s),y.setClearColor(M,D),void 0!==c&&(r.viewport=c),y.toneMapping=l}function Ie(e,t,n){const r=!0===t.isScene?t.overrideMaterial:null;for(let i=0,a=e.length;i<a;i++){const a=e[i],o=a.object,s=a.geometry,l=null===r?a.material:r,c=a.group;o.layers.test(n.layers)&&Oe(o,t,n,s,l,c)}}function Oe(e,t,n,r,i,a){e.onBeforeRender(y,t,n,r,i,a),e.modelViewMatrix.multiplyMatrices(n.matrixWorldInverse,e.matrixWorld),e.normalMatrix.getNormalMatrix(e.modelViewMatrix),i.onBeforeRender(y,t,n,r,e,a),!0===i.transparent&&2===i.side&&!1===i.forceSinglePass?(i.side=1,i.needsUpdate=!0,y.renderBufferDirect(n,t,r,i,e,a),i.side=0,i.needsUpdate=!0,y.renderBufferDirect(n,t,r,i,e,a),i.side=2):y.renderBufferDirect(n,t,r,i,e,a),e.onAfterRender(y,t,n,r,i,a)}function Ne(e,t,n){!0!==t.isScene&&(t=j);const r=K.get(e),i=m.state.lights,a=m.state.shadowsArray,o=i.state.version,s=ne.getParameters(e,i.state,a,t,n),l=ne.getProgramCacheKey(s);let c=r.programs;r.environment=e.isMeshStandardMaterial?t.environment:null,r.fog=t.fog,r.envMap=(e.isMeshStandardMaterial?Z:J).get(e.envMap||r.environment),r.envMapRotation=null!==r.environment&&null===e.envMap?t.environmentRotation:e.envMapRotation,void 0===c&&(e.addEventListener("dispose",we),c=new Map,r.programs=c);let u=c.get(l);if(void 0!==u){if(r.currentProgram===u&&r.lightsStateVersion===o)return Re(e,s),u}else s.uniforms=ne.getUniforms(e),e.onBuild(n,s,y),e.onBeforeCompile(s,y),u=ne.acquireProgram(s,l),c.set(l,u),r.uniforms=s.uniforms;const d=r.uniforms;return(e.isShaderMaterial||e.isRawShaderMaterial)&&!0!==e.clipping||(d.clippingPlanes=oe.uniform),Re(e,s),r.needsLights=function(e){return e.isMeshLambertMaterial||e.isMeshToonMaterial||e.isMeshPhongMaterial||e.isMeshStandardMaterial||e.isShadowMaterial||e.isShaderMaterial&&!0===e.lights}(e),r.lightsStateVersion=o,r.needsLights&&(d.ambientLightColor.value=i.state.ambient,d.lightProbe.value=i.state.probe,d.directionalLights.value=i.state.directional,d.directionalLightShadows.value=i.state.directionalShadow,d.spotLights.value=i.state.spot,d.spotLightShadows.value=i.state.spotShadow,d.rectAreaLights.value=i.state.rectArea,d.ltc_1.value=i.state.rectAreaLTC1,d.ltc_2.value=i.state.rectAreaLTC2,d.pointLights.value=i.state.point,d.pointLightShadows.value=i.state.pointShadow,d.hemisphereLights.value=i.state.hemi,d.directionalShadowMap.value=i.state.directionalShadowMap,d.directionalShadowMatrix.value=i.state.directionalShadowMatrix,d.spotShadowMap.value=i.state.spotShadowMap,d.spotLightMatrix.value=i.state.spotLightMatrix,d.spotLightMap.value=i.state.spotLightMap,d.pointShadowMap.value=i.state.pointShadowMap,d.pointShadowMatrix.value=i.state.pointShadowMatrix),r.currentProgram=u,r.uniformsList=null,u}function ke(e){if(null===e.uniformsList){const t=e.currentProgram.getUniforms();e.uniformsList=ry.seqWithValue(t.seq,e.uniforms)}return e.uniformsList}function Re(e,t){const n=K.get(e);n.outputColorSpace=t.outputColorSpace,n.batching=t.batching,n.instancing=t.instancing,n.instancingColor=t.instancingColor,n.instancingMorph=t.instancingMorph,n.skinning=t.skinning,n.morphTargets=t.morphTargets,n.morphNormals=t.morphNormals,n.morphColors=t.morphColors,n.morphTargetsCount=t.morphTargetsCount,n.numClippingPlanes=t.numClippingPlanes,n.numIntersection=t.numClipIntersection,n.vertexAlphas=t.vertexAlphas,n.vertexTangents=t.vertexTangents,n.toneMapping=t.toneMapping}Ee.setAnimationLoop((function(e){Se&&Se(e)})),"undefined"!=typeof self&&Ee.setContext(self),this.setAnimationLoop=function(e){Se=e,ye.setAnimationLoop(e),null===e?Ee.stop():Ee.start()},ye.addEventListener("sessionstart",Te),ye.addEventListener("sessionend",Ce),this.render=function(e,t){if(void 0!==t&&!0!==t.isCamera)return void console.error("THREE.WebGLRenderer.render: camera is not an instance of THREE.Camera.");if(!0===b)return;!0===e.matrixWorldAutoUpdate&&e.updateMatrixWorld(),null===t.parent&&!0===t.matrixWorldAutoUpdate&&t.updateMatrixWorld(),!0===ye.enabled&&!0===ye.isPresenting&&(!0===ye.cameraAutoUpdate&&ye.updateCamera(t),t=ye.getCamera()),!0===e.isScene&&e.onBeforeRender(y,e,t,w),m=ae.get(e,v.length),m.init(t),v.push(m),G.multiplyMatrices(t.projectionMatrix,t.matrixWorldInverse),B.setFromProjectionMatrix(G),V=this.localClippingEnabled,U=oe.init(this.clippingPlanes,V),h=ie.get(e,g.length),h.init(),g.push(h),Me(e,t,0,y.sortObjects),h.finish(),!0===y.sortObjects&&h.sort(N,k);const n=!1===ye.enabled||!1===ye.isPresenting||!1===ye.hasDepthSensing();n&&le.addToRenderList(h,e),this.info.render.frame++,!0===U&&oe.beginShadows();const r=m.state.shadowsArray;se.render(r,e,t),!0===U&&oe.endShadows(),!0===this.info.autoReset&&this.info.reset();const i=h.opaque,a=h.transmissive;if(m.setupLights(y._useLegacyLights),t.isArrayCamera){const r=t.cameras;if(a.length>0)for(let t=0,n=r.length;t<n;t++)Pe(i,a,e,r[t]);n&&le.render(e);for(let t=0,n=r.length;t<n;t++){const n=r[t];De(h,e,n,n.viewport)}}else a.length>0&&Pe(i,a,e,t),n&&le.render(e),De(h,e,t);null!==w&&(Y.updateMultisampleRenderTarget(w),Y.updateRenderTargetMipmap(w)),!0===e.isScene&&e.onAfterRender(y,e,t),pe.resetDefaultState(),A=-1,S=null,v.pop(),v.length>0?(m=v[v.length-1],!0===U&&oe.setGlobalState(y.clippingPlanes,m.state.camera)):m=null,g.pop(),h=g.length>0?g[g.length-1]:null},this.getActiveCubeFace=function(){return _},this.getActiveMipmapLevel=function(){return x},this.getRenderTarget=function(){return w},this.setRenderTargetTextures=function(e,t,n){K.get(e.texture).__webglTexture=t,K.get(e.depthTexture).__webglTexture=n;const r=K.get(e);r.__hasExternalTextures=!0,r.__autoAllocateDepthBuffer=void 0===n,r.__autoAllocateDepthBuffer||!0===H.has("WEBGL_multisampled_render_to_texture")&&(console.warn("THREE.WebGLRenderer: Render-to-texture extension was disabled because an external texture was provided"),r.__useRenderToTexture=!1)},this.setRenderTargetFramebuffer=function(e,t){const n=K.get(e);n.__webglFramebuffer=t,n.__useDefaultFramebuffer=void 0===t},this.setRenderTarget=function(e,t=0,n=0){w=e,_=t,x=n;let r=!0,i=null,a=!1,o=!1;if(e){const s=K.get(e);void 0!==s.__useDefaultFramebuffer?(X.bindFramebuffer(me.FRAMEBUFFER,null),r=!1):void 0===s.__webglFramebuffer?Y.setupRenderTarget(e):s.__hasExternalTextures&&Y.rebindTextures(e,K.get(e.texture).__webglTexture,K.get(e.depthTexture).__webglTexture);const l=e.texture;(l.isData3DTexture||l.isDataArrayTexture||l.isCompressedArrayTexture)&&(o=!0);const c=K.get(e).__webglFramebuffer;e.isWebGLCubeRenderTarget?(i=Array.isArray(c[t])?c[t][n]:c[t],a=!0):i=e.samples>0&&!1===Y.useMultisampledRTT(e)?K.get(e).__webglMultisampledFramebuffer:Array.isArray(c)?c[n]:c,T.copy(e.viewport),C.copy(e.scissor),E=e.scissorTest}else T.copy(R).multiplyScalar(O).floor(),C.copy(L).multiplyScalar(O).floor(),E=F;if(X.bindFramebuffer(me.FRAMEBUFFER,i)&&r&&X.drawBuffers(e,i),X.viewport(T),X.scissor(C),X.setScissorTest(E),a){const r=K.get(e.texture);me.framebufferTexture2D(me.FRAMEBUFFER,me.COLOR_ATTACHMENT0,me.TEXTURE_CUBE_MAP_POSITIVE_X+t,r.__webglTexture,n)}else if(o){const r=K.get(e.texture),i=t||0;me.framebufferTextureLayer(me.FRAMEBUFFER,me.COLOR_ATTACHMENT0,r.__webglTexture,n||0,i)}A=-1},this.readRenderTargetPixels=function(e,t,n,r,i,a,o){if(!e||!e.isWebGLRenderTarget)return void console.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not THREE.WebGLRenderTarget.");let s=K.get(e).__webglFramebuffer;if(e.isWebGLCubeRenderTarget&&void 0!==o&&(s=s[o]),s){X.bindFramebuffer(me.FRAMEBUFFER,s);try{const o=e.texture,s=o.format,l=o.type;if(!$.textureFormatReadable(s))return void console.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in RGBA or implementation defined format.");if(!$.textureTypeReadable(l))return void console.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in UnsignedByteType or implementation defined type.");t>=0&&t<=e.width-r&&n>=0&&n<=e.height-i&&me.readPixels(t,n,r,i,fe.convert(s),fe.convert(l),a)}finally{const e=null!==w?K.get(w).__webglFramebuffer:null;X.bindFramebuffer(me.FRAMEBUFFER,e)}}},this.copyFramebufferToTexture=function(e,t,n=0){const r=Math.pow(2,-n),i=Math.floor(t.image.width*r),a=Math.floor(t.image.height*r);Y.setTexture2D(t,0),me.copyTexSubImage2D(me.TEXTURE_2D,n,0,0,e.x,e.y,i,a),X.unbindTexture()},this.copyTextureToTexture=function(e,t,n,r=0){const i=t.image.width,a=t.image.height,o=fe.convert(n.format),s=fe.convert(n.type);Y.setTexture2D(n,0),me.pixelStorei(me.UNPACK_FLIP_Y_WEBGL,n.flipY),me.pixelStorei(me.UNPACK_PREMULTIPLY_ALPHA_WEBGL,n.premultiplyAlpha),me.pixelStorei(me.UNPACK_ALIGNMENT,n.unpackAlignment),t.isDataTexture?me.texSubImage2D(me.TEXTURE_2D,r,e.x,e.y,i,a,o,s,t.image.data):t.isCompressedTexture?me.compressedTexSubImage2D(me.TEXTURE_2D,r,e.x,e.y,t.mipmaps[0].width,t.mipmaps[0].height,o,t.mipmaps[0].data):me.texSubImage2D(me.TEXTURE_2D,r,e.x,e.y,o,s,t.image),0===r&&n.generateMipmaps&&me.generateMipmap(me.TEXTURE_2D),X.unbindTexture()},this.copyTextureToTexture3D=function(e,t,n,r,i=0){const a=e.max.x-e.min.x,o=e.max.y-e.min.y,s=e.max.z-e.min.z,l=fe.convert(r.format),c=fe.convert(r.type);let u;if(r.isData3DTexture)Y.setTexture3D(r,0),u=me.TEXTURE_3D;else{if(!r.isDataArrayTexture&&!r.isCompressedArrayTexture)return void console.warn("THREE.WebGLRenderer.copyTextureToTexture3D: only supports THREE.DataTexture3D and THREE.DataTexture2DArray.");Y.setTexture2DArray(r,0),u=me.TEXTURE_2D_ARRAY}me.pixelStorei(me.UNPACK_FLIP_Y_WEBGL,r.flipY),me.pixelStorei(me.UNPACK_PREMULTIPLY_ALPHA_WEBGL,r.premultiplyAlpha),me.pixelStorei(me.UNPACK_ALIGNMENT,r.unpackAlignment);const d=me.getParameter(me.UNPACK_ROW_LENGTH),f=me.getParameter(me.UNPACK_IMAGE_HEIGHT),p=me.getParameter(me.UNPACK_SKIP_PIXELS),h=me.getParameter(me.UNPACK_SKIP_ROWS),m=me.getParameter(me.UNPACK_SKIP_IMAGES),g=n.isCompressedTexture?n.mipmaps[i]:n.image;me.pixelStorei(me.UNPACK_ROW_LENGTH,g.width),me.pixelStorei(me.UNPACK_IMAGE_HEIGHT,g.height),me.pixelStorei(me.UNPACK_SKIP_PIXELS,e.min.x),me.pixelStorei(me.UNPACK_SKIP_ROWS,e.min.y),me.pixelStorei(me.UNPACK_SKIP_IMAGES,e.min.z),n.isDataTexture||n.isData3DTexture?me.texSubImage3D(u,i,t.x,t.y,t.z,a,o,s,l,c,g.data):r.isCompressedArrayTexture?me.compressedTexSubImage3D(u,i,t.x,t.y,t.z,a,o,s,l,g.data):me.texSubImage3D(u,i,t.x,t.y,t.z,a,o,s,l,c,g),me.pixelStorei(me.UNPACK_ROW_LENGTH,d),me.pixelStorei(me.UNPACK_IMAGE_HEIGHT,f),me.pixelStorei(me.UNPACK_SKIP_PIXELS,p),me.pixelStorei(me.UNPACK_SKIP_ROWS,h),me.pixelStorei(me.UNPACK_SKIP_IMAGES,m),0===i&&r.generateMipmaps&&me.generateMipmap(u),X.unbindTexture()},this.initTexture=function(e){e.isCubeTexture?Y.setTextureCube(e,0):e.isData3DTexture?Y.setTexture3D(e,0):e.isDataArrayTexture||e.isCompressedArrayTexture?Y.setTexture2DArray(e,0):Y.setTexture2D(e,0),X.unbindTexture()},this.resetState=function(){_=0,x=0,w=null,X.reset(),pe.reset()},"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}get coordinateSystem(){return np}get outputColorSpace(){return this._outputColorSpace}set outputColorSpace(e){this._outputColorSpace=e;const t=this.getContext();t.drawingBufferColorSpace=e===Vf?"display-p3":"srgb",t.unpackColorSpace=Ep.workingColorSpace===Gf?"display-p3":"srgb"}get useLegacyLights(){return console.warn("THREE.WebGLRenderer: The property .useLegacyLights has been deprecated. Migrate your lighting according to the following guide: https://discourse.threejs.org/t/updates-to-lighting-in-three-js-r155/53733."),this._useLegacyLights}set useLegacyLights(e){console.warn("THREE.WebGLRenderer: The property .useLegacyLights has been deprecated. Migrate your lighting according to the following guide: https://discourse.threejs.org/t/updates-to-lighting-in-three-js-r155/53733."),this._useLegacyLights=e}}class eb extends $h{constructor(){super(),this.isScene=!0,this.type="Scene",this.background=null,this.environment=null,this.fog=null,this.backgroundBlurriness=0,this.backgroundIntensity=1,this.backgroundRotation=new Dh,this.environmentIntensity=1,this.environmentRotation=new Dh,this.overrideMaterial=null,"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}copy(e,t){return super.copy(e,t),null!==e.background&&(this.background=e.background.clone()),null!==e.environment&&(this.environment=e.environment.clone()),null!==e.fog&&(this.fog=e.fog.clone()),this.backgroundBlurriness=e.backgroundBlurriness,this.backgroundIntensity=e.backgroundIntensity,this.backgroundRotation.copy(e.backgroundRotation),this.environmentIntensity=e.environmentIntensity,this.environmentRotation.copy(e.environmentRotation),null!==e.overrideMaterial&&(this.overrideMaterial=e.overrideMaterial.clone()),this.matrixAutoUpdate=e.matrixAutoUpdate,this}toJSON(e){const t=super.toJSON(e);return null!==this.fog&&(t.object.fog=this.fog.toJSON()),this.backgroundBlurriness>0&&(t.object.backgroundBlurriness=this.backgroundBlurriness),1!==this.backgroundIntensity&&(t.object.backgroundIntensity=this.backgroundIntensity),t.object.backgroundRotation=this.backgroundRotation.toArray(),1!==this.environmentIntensity&&(t.object.environmentIntensity=this.environmentIntensity),t.object.environmentRotation=this.environmentRotation.toArray(),t}}class tb extends dm{constructor(e){super(),this.isLineBasicMaterial=!0,this.type="LineBasicMaterial",this.color=new lm(16777215),this.map=null,this.linewidth=1,this.linecap="round",this.linejoin="round",this.fog=!0,this.setValues(e)}copy(e){return super.copy(e),this.color.copy(e.color),this.map=e.map,this.linewidth=e.linewidth,this.linecap=e.linecap,this.linejoin=e.linejoin,this.fog=e.fog,this}}const nb=new jp,rb=new jp,ib=new bh,ab=new yh,ob=new uh,sb=new jp,lb=new jp;class cb extends $h{constructor(e=new Cm,t=new tb){super(),this.isLine=!0,this.type="Line",this.geometry=e,this.material=t,this.updateMorphTargets()}copy(e,t){return super.copy(e,t),this.material=Array.isArray(e.material)?e.material.slice():e.material,this.geometry=e.geometry,this}computeLineDistances(){const e=this.geometry;if(null===e.index){const t=e.attributes.position,n=[0];for(let e=1,r=t.count;e<r;e++)nb.fromBufferAttribute(t,e-1),rb.fromBufferAttribute(t,e),n[e]=n[e-1],n[e]+=nb.distanceTo(rb);e.setAttribute("lineDistance",new ym(n,1))}else console.warn("THREE.Line.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");return this}raycast(e,t){const n=this.geometry,r=this.matrixWorld,i=e.params.Line.threshold,a=n.drawRange;if(null===n.boundingSphere&&n.computeBoundingSphere(),ob.copy(n.boundingSphere),ob.applyMatrix4(r),ob.radius+=i,!1===e.ray.intersectsSphere(ob))return;ib.copy(r).invert(),ab.copy(e.ray).applyMatrix4(ib);const o=i/((this.scale.x+this.scale.y+this.scale.z)/3),s=o*o,l=this.isLineSegments?2:1,c=n.index,u=n.attributes.position;if(null!==c){const n=Math.max(0,a.start),r=Math.min(c.count,a.start+a.count);for(let i=n,a=r-1;i<a;i+=l){const n=c.getX(i),r=c.getX(i+1),a=ub(this,e,ab,s,n,r);a&&t.push(a)}if(this.isLineLoop){const i=c.getX(r-1),a=c.getX(n),o=ub(this,e,ab,s,i,a);o&&t.push(o)}}else{const n=Math.max(0,a.start),r=Math.min(u.count,a.start+a.count);for(let i=n,a=r-1;i<a;i+=l){const n=ub(this,e,ab,s,i,i+1);n&&t.push(n)}if(this.isLineLoop){const i=ub(this,e,ab,s,r-1,n);i&&t.push(i)}}}updateMorphTargets(){const e=this.geometry.morphAttributes,t=Object.keys(e);if(t.length>0){const n=e[t[0]];if(void 0!==n){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let e=0,t=n.length;e<t;e++){const t=n[e].name||String(e);this.morphTargetInfluences.push(0),this.morphTargetDictionary[t]=e}}}}}function ub(e,t,n,r,i,a){const o=e.geometry.attributes.position;if(nb.fromBufferAttribute(o,i),rb.fromBufferAttribute(o,a),n.distanceSqToSegment(nb,rb,sb,lb)>r)return;sb.applyMatrix4(e.matrixWorld);const s=t.ray.origin.distanceTo(sb);return s<t.near||s>t.far?void 0:{distance:s,point:lb.clone().applyMatrix4(e.matrixWorld),index:i,face:null,faceIndex:null,object:e}}const db=new jp,fb=new jp;class pb extends cb{constructor(e,t){super(e,t),this.isLineSegments=!0,this.type="LineSegments"}computeLineDistances(){const e=this.geometry;if(null===e.index){const t=e.attributes.position,n=[];for(let e=0,r=t.count;e<r;e+=2)db.fromBufferAttribute(t,e),fb.fromBufferAttribute(t,e+1),n[e]=0===e?0:n[e-1],n[e+1]=n[e]+db.distanceTo(fb);e.setAttribute("lineDistance",new ym(n,1))}else console.warn("THREE.LineSegments.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");return this}}class hb extends dm{constructor(e){super(),this.isPointsMaterial=!0,this.type="PointsMaterial",this.color=new lm(16777215),this.map=null,this.alphaMap=null,this.size=1,this.sizeAttenuation=!0,this.fog=!0,this.setValues(e)}copy(e){return super.copy(e),this.color.copy(e.color),this.map=e.map,this.alphaMap=e.alphaMap,this.size=e.size,this.sizeAttenuation=e.sizeAttenuation,this.fog=e.fog,this}}const mb=new bh,gb=new yh,vb=new uh,yb=new jp;class bb extends $h{constructor(e=new Cm,t=new hb){super(),this.isPoints=!0,this.type="Points",this.geometry=e,this.material=t,this.updateMorphTargets()}copy(e,t){return super.copy(e,t),this.material=Array.isArray(e.material)?e.material.slice():e.material,this.geometry=e.geometry,this}raycast(e,t){const n=this.geometry,r=this.matrixWorld,i=e.params.Points.threshold,a=n.drawRange;if(null===n.boundingSphere&&n.computeBoundingSphere(),vb.copy(n.boundingSphere),vb.applyMatrix4(r),vb.radius+=i,!1===e.ray.intersectsSphere(vb))return;mb.copy(r).invert(),gb.copy(e.ray).applyMatrix4(mb);const o=i/((this.scale.x+this.scale.y+this.scale.z)/3),s=o*o,l=n.index,c=n.attributes.position;if(null!==l)for(let n=Math.max(0,a.start),i=Math.min(l.count,a.start+a.count);n<i;n++){const i=l.getX(n);yb.fromBufferAttribute(c,i),_b(yb,i,s,r,e,t,this)}else for(let n=Math.max(0,a.start),i=Math.min(c.count,a.start+a.count);n<i;n++)yb.fromBufferAttribute(c,n),_b(yb,n,s,r,e,t,this)}updateMorphTargets(){const e=this.geometry.morphAttributes,t=Object.keys(e);if(t.length>0){const n=e[t[0]];if(void 0!==n){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let e=0,t=n.length;e<t;e++){const t=n[e].name||String(e);this.morphTargetInfluences.push(0),this.morphTargetDictionary[t]=e}}}}}function _b(e,t,n,r,i,a,o){const s=gb.distanceSqToPoint(e);if(s<n){const n=new jp;gb.closestPointToPoint(e,n),n.applyMatrix4(r);const l=i.ray.origin.distanceTo(n);if(l<i.near||l>i.far)return;a.push({distance:l,distanceToRay:Math.sqrt(s),point:n,index:t,face:null,object:o})}}class xb extends dm{constructor(e){super(),this.isMeshPhongMaterial=!0,this.type="MeshPhongMaterial",this.color=new lm(16777215),this.specular=new lm(1118481),this.shininess=30,this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new lm(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=0,this.normalScale=new gp(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.envMapRotation=new Dh,this.combine=Jd,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.flatShading=!1,this.fog=!0,this.setValues(e)}copy(e){return super.copy(e),this.color.copy(e.color),this.specular.copy(e.specular),this.shininess=e.shininess,this.map=e.map,this.lightMap=e.lightMap,this.lightMapIntensity=e.lightMapIntensity,this.aoMap=e.aoMap,this.aoMapIntensity=e.aoMapIntensity,this.emissive.copy(e.emissive),this.emissiveMap=e.emissiveMap,this.emissiveIntensity=e.emissiveIntensity,this.bumpMap=e.bumpMap,this.bumpScale=e.bumpScale,this.normalMap=e.normalMap,this.normalMapType=e.normalMapType,this.normalScale.copy(e.normalScale),this.displacementMap=e.displacementMap,this.displacementScale=e.displacementScale,this.displacementBias=e.displacementBias,this.specularMap=e.specularMap,this.alphaMap=e.alphaMap,this.envMap=e.envMap,this.envMapRotation.copy(e.envMapRotation),this.combine=e.combine,this.reflectivity=e.reflectivity,this.refractionRatio=e.refractionRatio,this.wireframe=e.wireframe,this.wireframeLinewidth=e.wireframeLinewidth,this.wireframeLinecap=e.wireframeLinecap,this.wireframeLinejoin=e.wireframeLinejoin,this.flatShading=e.flatShading,this.fog=e.fog,this}}class wb extends dm{constructor(e){super(),this.isMeshNormalMaterial=!0,this.type="MeshNormalMaterial",this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=0,this.normalScale=new gp(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.flatShading=!1,this.setValues(e)}copy(e){return super.copy(e),this.bumpMap=e.bumpMap,this.bumpScale=e.bumpScale,this.normalMap=e.normalMap,this.normalMapType=e.normalMapType,this.normalScale.copy(e.normalScale),this.displacementMap=e.displacementMap,this.displacementScale=e.displacementScale,this.displacementBias=e.displacementBias,this.wireframe=e.wireframe,this.wireframeLinewidth=e.wireframeLinewidth,this.flatShading=e.flatShading,this}}function Ab(e,t,n){return!e||!n&&e.constructor===t?e:"number"==typeof t.BYTES_PER_ELEMENT?new t(e):Array.prototype.slice.call(e)}class Sb{constructor(e,t,n,r){this.parameterPositions=e,this._cachedIndex=0,this.resultBuffer=void 0!==r?r:new t.constructor(n),this.sampleValues=t,this.valueSize=n,this.settings=null,this.DefaultSettings_={}}evaluate(e){const t=this.parameterPositions;let n=this._cachedIndex,r=t[n],i=t[n-1];e:{t:{let a;n:{r:if(!(e<r)){for(let a=n+2;;){if(void 0===r){if(e<i)break r;return n=t.length,this._cachedIndex=n,this.copySampleValue_(n-1)}if(n===a)break;if(i=r,r=t[++n],e<r)break t}a=t.length;break n}if(e>=i)break e;{const o=t[1];e<o&&(n=2,i=o);for(let a=n-2;;){if(void 0===i)return this._cachedIndex=0,this.copySampleValue_(0);if(n===a)break;if(r=i,i=t[--n-1],e>=i)break t}a=n,n=0}}for(;n<a;){const r=n+a>>>1;e<t[r]?a=r:n=r+1}if(r=t[n],i=t[n-1],void 0===i)return this._cachedIndex=0,this.copySampleValue_(0);if(void 0===r)return n=t.length,this._cachedIndex=n,this.copySampleValue_(n-1)}this._cachedIndex=n,this.intervalChanged_(n,i,r)}return this.interpolate_(n,i,e,r)}getSettings_(){return this.settings||this.DefaultSettings_}copySampleValue_(e){const t=this.resultBuffer,n=this.sampleValues,r=this.valueSize,i=e*r;for(let e=0;e!==r;++e)t[e]=n[i+e];return t}interpolate_(){throw new Error("call to abstract method")}intervalChanged_(){}}class Tb extends Sb{constructor(e,t,n,r){super(e,t,n,r),this._weightPrev=-0,this._offsetPrev=-0,this._weightNext=-0,this._offsetNext=-0,this.DefaultSettings_={endingStart:2400,endingEnd:2400}}intervalChanged_(e,t,n){const r=this.parameterPositions;let i=e-2,a=e+1,o=r[i],s=r[a];if(void 0===o)switch(this.getSettings_().endingStart){case 2401:i=e,o=2*t-n;break;case 2402:i=r.length-2,o=t+r[i]-r[i+1];break;default:i=e,o=n}if(void 0===s)switch(this.getSettings_().endingEnd){case 2401:a=e,s=2*n-t;break;case 2402:a=1,s=n+r[1]-r[0];break;default:a=e-1,s=t}const l=.5*(n-t),c=this.valueSize;this._weightPrev=l/(t-o),this._weightNext=l/(s-n),this._offsetPrev=i*c,this._offsetNext=a*c}interpolate_(e,t,n,r){const i=this.resultBuffer,a=this.sampleValues,o=this.valueSize,s=e*o,l=s-o,c=this._offsetPrev,u=this._offsetNext,d=this._weightPrev,f=this._weightNext,p=(n-t)/(r-t),h=p*p,m=h*p,g=-d*m+2*d*h-d*p,v=(1+d)*m+(-1.5-2*d)*h+(-.5+d)*p+1,y=(-1-f)*m+(1.5+f)*h+.5*p,b=f*m-f*h;for(let e=0;e!==o;++e)i[e]=g*a[c+e]+v*a[l+e]+y*a[s+e]+b*a[u+e];return i}}class Cb extends Sb{constructor(e,t,n,r){super(e,t,n,r)}interpolate_(e,t,n,r){const i=this.resultBuffer,a=this.sampleValues,o=this.valueSize,s=e*o,l=s-o,c=(n-t)/(r-t),u=1-c;for(let e=0;e!==o;++e)i[e]=a[l+e]*u+a[s+e]*c;return i}}class Eb extends Sb{constructor(e,t,n,r){super(e,t,n,r)}interpolate_(e){return this.copySampleValue_(e-1)}}class Mb{constructor(e,t,n,r){if(void 0===e)throw new Error("THREE.KeyframeTrack: track name is undefined");if(void 0===t||0===t.length)throw new Error("THREE.KeyframeTrack: no keyframes in track named "+e);this.name=e,this.times=Ab(t,this.TimeBufferType),this.values=Ab(n,this.ValueBufferType),this.setInterpolation(r||this.DefaultInterpolation)}static toJSON(e){const t=e.constructor;let n;if(t.toJSON!==this.toJSON)n=t.toJSON(e);else{n={name:e.name,times:Ab(e.times,Array),values:Ab(e.values,Array)};const t=e.getInterpolation();t!==e.DefaultInterpolation&&(n.interpolation=t)}return n.type=e.ValueTypeName,n}InterpolantFactoryMethodDiscrete(e){return new Eb(this.times,this.values,this.getValueSize(),e)}InterpolantFactoryMethodLinear(e){return new Cb(this.times,this.values,this.getValueSize(),e)}InterpolantFactoryMethodSmooth(e){return new Tb(this.times,this.values,this.getValueSize(),e)}setInterpolation(e){let t;switch(e){case kf:t=this.InterpolantFactoryMethodDiscrete;break;case Rf:t=this.InterpolantFactoryMethodLinear;break;case Lf:t=this.InterpolantFactoryMethodSmooth}if(void 0===t){const t="unsupported interpolation for "+this.ValueTypeName+" keyframe track named "+this.name;if(void 0===this.createInterpolant){if(e===this.DefaultInterpolation)throw new Error(t);this.setInterpolation(this.DefaultInterpolation)}return console.warn("THREE.KeyframeTrack:",t),this}return this.createInterpolant=t,this}getInterpolation(){switch(this.createInterpolant){case this.InterpolantFactoryMethodDiscrete:return kf;case this.InterpolantFactoryMethodLinear:return Rf;case this.InterpolantFactoryMethodSmooth:return Lf}}getValueSize(){return this.values.length/this.times.length}shift(e){if(0!==e){const t=this.times;for(let n=0,r=t.length;n!==r;++n)t[n]+=e}return this}scale(e){if(1!==e){const t=this.times;for(let n=0,r=t.length;n!==r;++n)t[n]*=e}return this}trim(e,t){const n=this.times,r=n.length;let i=0,a=r-1;for(;i!==r&&n[i]<e;)++i;for(;-1!==a&&n[a]>t;)--a;if(++a,0!==i||a!==r){i>=a&&(a=Math.max(a,1),i=a-1);const e=this.getValueSize();this.times=n.slice(i,a),this.values=this.values.slice(i*e,a*e)}return this}validate(){let e=!0;const t=this.getValueSize();t-Math.floor(t)!=0&&(console.error("THREE.KeyframeTrack: Invalid value size in track.",this),e=!1);const n=this.times,r=this.values,i=n.length;0===i&&(console.error("THREE.KeyframeTrack: Track is empty.",this),e=!1);let a=null;for(let t=0;t!==i;t++){const r=n[t];if("number"==typeof r&&isNaN(r)){console.error("THREE.KeyframeTrack: Time is not a valid number.",this,t,r),e=!1;break}if(null!==a&&a>r){console.error("THREE.KeyframeTrack: Out of order keys.",this,t,r,a),e=!1;break}a=r}if(void 0!==r&&function(e){return ArrayBuffer.isView(e)&&!(e instanceof DataView)}(r))for(let t=0,n=r.length;t!==n;++t){const n=r[t];if(isNaN(n)){console.error("THREE.KeyframeTrack: Value is not a valid number.",this,t,n),e=!1;break}}return e}optimize(){const e=this.times.slice(),t=this.values.slice(),n=this.getValueSize(),r=this.getInterpolation()===Lf,i=e.length-1;let a=1;for(let o=1;o<i;++o){let i=!1;const s=e[o];if(s!==e[o+1]&&(1!==o||s!==e[0]))if(r)i=!0;else{const e=o*n,r=e-n,a=e+n;for(let o=0;o!==n;++o){const n=t[e+o];if(n!==t[r+o]||n!==t[a+o]){i=!0;break}}}if(i){if(o!==a){e[a]=e[o];const r=o*n,i=a*n;for(let e=0;e!==n;++e)t[i+e]=t[r+e]}++a}}if(i>0){e[a]=e[i];for(let e=i*n,r=a*n,o=0;o!==n;++o)t[r+o]=t[e+o];++a}return a!==e.length?(this.times=e.slice(0,a),this.values=t.slice(0,a*n)):(this.times=e,this.values=t),this}clone(){const e=this.times.slice(),t=this.values.slice(),n=new(0,this.constructor)(this.name,e,t);return n.createInterpolant=this.createInterpolant,n}}Mb.prototype.TimeBufferType=Float32Array,Mb.prototype.ValueBufferType=Float32Array,Mb.prototype.DefaultInterpolation=Rf;class Db extends Mb{}Db.prototype.ValueTypeName="bool",Db.prototype.ValueBufferType=Array,Db.prototype.DefaultInterpolation=kf,Db.prototype.InterpolantFactoryMethodLinear=void 0,Db.prototype.InterpolantFactoryMethodSmooth=void 0;(class extends Mb{}).prototype.ValueTypeName="color";(class extends Mb{}).prototype.ValueTypeName="number";class Pb extends Sb{constructor(e,t,n,r){super(e,t,n,r)}interpolate_(e,t,n,r){const i=this.resultBuffer,a=this.sampleValues,o=this.valueSize,s=(n-t)/(r-t);let l=e*o;for(let e=l+o;l!==e;l+=4)zp.slerpFlat(i,0,a,l-o,a,l,s);return i}}class Ib extends Mb{InterpolantFactoryMethodLinear(e){return new Pb(this.times,this.values,this.getValueSize(),e)}}Ib.prototype.ValueTypeName="quaternion",Ib.prototype.DefaultInterpolation=Rf,Ib.prototype.InterpolantFactoryMethodSmooth=void 0;class Ob extends Mb{}Ob.prototype.ValueTypeName="string",Ob.prototype.ValueBufferType=Array,Ob.prototype.DefaultInterpolation=kf,Ob.prototype.InterpolantFactoryMethodLinear=void 0,Ob.prototype.InterpolantFactoryMethodSmooth=void 0;(class extends Mb{}).prototype.ValueTypeName="vector";const Nb={enabled:!1,files:{},add:function(e,t){!1!==this.enabled&&(this.files[e]=t)},get:function(e){if(!1!==this.enabled)return this.files[e]},remove:function(e){delete this.files[e]},clear:function(){this.files={}}};class kb{constructor(e,t,n){const r=this;let i,a=!1,o=0,s=0;const l=[];this.onStart=void 0,this.onLoad=e,this.onProgress=t,this.onError=n,this.itemStart=function(e){s++,!1===a&&void 0!==r.onStart&&r.onStart(e,o,s),a=!0},this.itemEnd=function(e){o++,void 0!==r.onProgress&&r.onProgress(e,o,s),o===s&&(a=!1,void 0!==r.onLoad&&r.onLoad())},this.itemError=function(e){void 0!==r.onError&&r.onError(e)},this.resolveURL=function(e){return i?i(e):e},this.setURLModifier=function(e){return i=e,this},this.addHandler=function(e,t){return l.push(e,t),this},this.removeHandler=function(e){const t=l.indexOf(e);return-1!==t&&l.splice(t,2),this},this.getHandler=function(e){for(let t=0,n=l.length;t<n;t+=2){const n=l[t],r=l[t+1];if(n.global&&(n.lastIndex=0),n.test(e))return r}return null}}}const Rb=new kb;class Lb{constructor(e){this.manager=void 0!==e?e:Rb,this.crossOrigin="anonymous",this.withCredentials=!1,this.path="",this.resourcePath="",this.requestHeader={}}load(){}loadAsync(e,t){const n=this;return new Promise((function(r,i){n.load(e,r,t,i)}))}parse(){}setCrossOrigin(e){return this.crossOrigin=e,this}setWithCredentials(e){return this.withCredentials=e,this}setPath(e){return this.path=e,this}setResourcePath(e){return this.resourcePath=e,this}setRequestHeader(e){return this.requestHeader=e,this}}Lb.DEFAULT_MATERIAL_NAME="__DEFAULT";const Fb={};class Bb extends Error{constructor(e,t){super(e),this.response=t}}class Ub extends Lb{constructor(e){super(e)}load(e,t,n,r){void 0===e&&(e=""),void 0!==this.path&&(e=this.path+e),e=this.manager.resolveURL(e);const i=Nb.get(e);if(void 0!==i)return this.manager.itemStart(e),setTimeout((()=>{t&&t(i),this.manager.itemEnd(e)}),0),i;if(void 0!==Fb[e])return void Fb[e].push({onLoad:t,onProgress:n,onError:r});Fb[e]=[],Fb[e].push({onLoad:t,onProgress:n,onError:r});const a=new Request(e,{headers:new Headers(this.requestHeader),credentials:this.withCredentials?"include":"same-origin"}),o=this.mimeType,s=this.responseType;fetch(a).then((t=>{if(200===t.status||0===t.status){if(0===t.status&&console.warn("THREE.FileLoader: HTTP Status 0 received."),"undefined"==typeof ReadableStream||void 0===t.body||void 0===t.body.getReader)return t;const n=Fb[e],r=t.body.getReader(),i=t.headers.get("X-File-Size")||t.headers.get("Content-Length"),a=i?parseInt(i):0,o=0!==a;let s=0;const l=new ReadableStream({start(e){!function t(){r.read().then((({done:r,value:i})=>{if(r)e.close();else{s+=i.byteLength;const r=new ProgressEvent("progress",{lengthComputable:o,loaded:s,total:a});for(let e=0,t=n.length;e<t;e++){const t=n[e];t.onProgress&&t.onProgress(r)}e.enqueue(i),t()}}))}()}});return new Response(l)}throw new Bb(`fetch for "${t.url}" responded with ${t.status}: ${t.statusText}`,t)})).then((e=>{switch(s){case"arraybuffer":return e.arrayBuffer();case"blob":return e.blob();case"document":return e.text().then((e=>(new DOMParser).parseFromString(e,o)));case"json":return e.json();default:if(void 0===o)return e.text();{const t=/charset="?([^;"\s]*)"?/i.exec(o),n=t&&t[1]?t[1].toLowerCase():void 0,r=new TextDecoder(n);return e.arrayBuffer().then((e=>r.decode(e)))}}})).then((t=>{Nb.add(e,t);const n=Fb[e];delete Fb[e];for(let e=0,r=n.length;e<r;e++){const r=n[e];r.onLoad&&r.onLoad(t)}})).catch((t=>{const n=Fb[e];if(void 0===n)throw this.manager.itemError(e),t;delete Fb[e];for(let e=0,r=n.length;e<r;e++){const r=n[e];r.onError&&r.onError(t)}this.manager.itemError(e)})).finally((()=>{this.manager.itemEnd(e)})),this.manager.itemStart(e)}setResponseType(e){return this.responseType=e,this}setMimeType(e){return this.mimeType=e,this}}const Vb="\\[\\]\\.:\\/",Gb=new RegExp("["+Vb+"]","g"),zb="[^"+Vb+"]",jb="[^"+Vb.replace("\\.","")+"]",Wb=new RegExp("^"+/((?:WC+[\/:])*)/.source.replace("WC",zb)+/(WCOD+)?/.source.replace("WCOD",jb)+/(?:\.(WC+)(?:\[(.+)\])?)?/.source.replace("WC",zb)+/\.(WC+)(?:\[(.+)\])?/.source.replace("WC",zb)+"$"),Hb=["material","materials","bones","map"];class $b{constructor(e,t,n){this.path=t,this.parsedPath=n||$b.parseTrackName(t),this.node=$b.findNode(e,this.parsedPath.nodeName),this.rootNode=e,this.getValue=this._getValue_unbound,this.setValue=this._setValue_unbound}static create(e,t,n){return e&&e.isAnimationObjectGroup?new $b.Composite(e,t,n):new $b(e,t,n)}static sanitizeNodeName(e){return e.replace(/\s/g,"_").replace(Gb,"")}static parseTrackName(e){const t=Wb.exec(e);if(null===t)throw new Error("PropertyBinding: Cannot parse trackName: "+e);const n={nodeName:t[2],objectName:t[3],objectIndex:t[4],propertyName:t[5],propertyIndex:t[6]},r=n.nodeName&&n.nodeName.lastIndexOf(".");if(void 0!==r&&-1!==r){const e=n.nodeName.substring(r+1);-1!==Hb.indexOf(e)&&(n.nodeName=n.nodeName.substring(0,r),n.objectName=e)}if(null===n.propertyName||0===n.propertyName.length)throw new Error("PropertyBinding: can not parse propertyName from trackName: "+e);return n}static findNode(e,t){if(void 0===t||""===t||"."===t||-1===t||t===e.name||t===e.uuid)return e;if(e.skeleton){const n=e.skeleton.getBoneByName(t);if(void 0!==n)return n}if(e.children){const n=function(e){for(let r=0;r<e.length;r++){const i=e[r];if(i.name===t||i.uuid===t)return i;const a=n(i.children);if(a)return a}return null},r=n(e.children);if(r)return r}return null}_getValue_unavailable(){}_setValue_unavailable(){}_getValue_direct(e,t){e[t]=this.targetObject[this.propertyName]}_getValue_array(e,t){const n=this.resolvedProperty;for(let r=0,i=n.length;r!==i;++r)e[t++]=n[r]}_getValue_arrayElement(e,t){e[t]=this.resolvedProperty[this.propertyIndex]}_getValue_toArray(e,t){this.resolvedProperty.toArray(e,t)}_setValue_direct(e,t){this.targetObject[this.propertyName]=e[t]}_setValue_direct_setNeedsUpdate(e,t){this.targetObject[this.propertyName]=e[t],this.targetObject.needsUpdate=!0}_setValue_direct_setMatrixWorldNeedsUpdate(e,t){this.targetObject[this.propertyName]=e[t],this.targetObject.matrixWorldNeedsUpdate=!0}_setValue_array(e,t){const n=this.resolvedProperty;for(let r=0,i=n.length;r!==i;++r)n[r]=e[t++]}_setValue_array_setNeedsUpdate(e,t){const n=this.resolvedProperty;for(let r=0,i=n.length;r!==i;++r)n[r]=e[t++];this.targetObject.needsUpdate=!0}_setValue_array_setMatrixWorldNeedsUpdate(e,t){const n=this.resolvedProperty;for(let r=0,i=n.length;r!==i;++r)n[r]=e[t++];this.targetObject.matrixWorldNeedsUpdate=!0}_setValue_arrayElement(e,t){this.resolvedProperty[this.propertyIndex]=e[t]}_setValue_arrayElement_setNeedsUpdate(e,t){this.resolvedProperty[this.propertyIndex]=e[t],this.targetObject.needsUpdate=!0}_setValue_arrayElement_setMatrixWorldNeedsUpdate(e,t){this.resolvedProperty[this.propertyIndex]=e[t],this.targetObject.matrixWorldNeedsUpdate=!0}_setValue_fromArray(e,t){this.resolvedProperty.fromArray(e,t)}_setValue_fromArray_setNeedsUpdate(e,t){this.resolvedProperty.fromArray(e,t),this.targetObject.needsUpdate=!0}_setValue_fromArray_setMatrixWorldNeedsUpdate(e,t){this.resolvedProperty.fromArray(e,t),this.targetObject.matrixWorldNeedsUpdate=!0}_getValue_unbound(e,t){this.bind(),this.getValue(e,t)}_setValue_unbound(e,t){this.bind(),this.setValue(e,t)}bind(){let e=this.node;const t=this.parsedPath,n=t.objectName,r=t.propertyName;let i=t.propertyIndex;if(e||(e=$b.findNode(this.rootNode,t.nodeName),this.node=e),this.getValue=this._getValue_unavailable,this.setValue=this._setValue_unavailable,!e)return void console.warn("THREE.PropertyBinding: No target node found for track: "+this.path+".");if(n){let r=t.objectIndex;switch(n){case"materials":if(!e.material)return void console.error("THREE.PropertyBinding: Can not bind to material as node does not have a material.",this);if(!e.material.materials)return void console.error("THREE.PropertyBinding: Can not bind to material.materials as node.material does not have a materials array.",this);e=e.material.materials;break;case"bones":if(!e.skeleton)return void console.error("THREE.PropertyBinding: Can not bind to bones as node does not have a skeleton.",this);e=e.skeleton.bones;for(let t=0;t<e.length;t++)if(e[t].name===r){r=t;break}break;case"map":if("map"in e){e=e.map;break}if(!e.material)return void console.error("THREE.PropertyBinding: Can not bind to material as node does not have a material.",this);if(!e.material.map)return void console.error("THREE.PropertyBinding: Can not bind to material.map as node.material does not have a map.",this);e=e.material.map;break;default:if(void 0===e[n])return void console.error("THREE.PropertyBinding: Can not bind to objectName of node undefined.",this);e=e[n]}if(void 0!==r){if(void 0===e[r])return void console.error("THREE.PropertyBinding: Trying to bind to objectIndex of objectName, but is undefined.",this,e);e=e[r]}}const a=e[r];if(void 0===a){const n=t.nodeName;return void console.error("THREE.PropertyBinding: Trying to update property for track: "+n+"."+r+" but it wasn't found.",e)}let o=this.Versioning.None;this.targetObject=e,void 0!==e.needsUpdate?o=this.Versioning.NeedsUpdate:void 0!==e.matrixWorldNeedsUpdate&&(o=this.Versioning.MatrixWorldNeedsUpdate);let s=this.BindingType.Direct;if(void 0!==i){if("morphTargetInfluences"===r){if(!e.geometry)return void console.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.",this);if(!e.geometry.morphAttributes)return void console.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.morphAttributes.",this);void 0!==e.morphTargetDictionary[i]&&(i=e.morphTargetDictionary[i])}s=this.BindingType.ArrayElement,this.resolvedProperty=a,this.propertyIndex=i}else void 0!==a.fromArray&&void 0!==a.toArray?(s=this.BindingType.HasFromToArray,this.resolvedProperty=a):Array.isArray(a)?(s=this.BindingType.EntireArray,this.resolvedProperty=a):this.propertyName=r;this.getValue=this.GetterByBindingType[s],this.setValue=this.SetterByBindingTypeAndVersioning[s][o]}unbind(){this.node=null,this.getValue=this._getValue_unbound,this.setValue=this._setValue_unbound}}$b.Composite=class{constructor(e,t,n){const r=n||$b.parseTrackName(t);this._targetGroup=e,this._bindings=e.subscribe_(t,r)}getValue(e,t){this.bind();const n=this._targetGroup.nCachedObjects_,r=this._bindings[n];void 0!==r&&r.getValue(e,t)}setValue(e,t){const n=this._bindings;for(let r=this._targetGroup.nCachedObjects_,i=n.length;r!==i;++r)n[r].setValue(e,t)}bind(){const e=this._bindings;for(let t=this._targetGroup.nCachedObjects_,n=e.length;t!==n;++t)e[t].bind()}unbind(){const e=this._bindings;for(let t=this._targetGroup.nCachedObjects_,n=e.length;t!==n;++t)e[t].unbind()}},$b.prototype.BindingType={Direct:0,EntireArray:1,ArrayElement:2,HasFromToArray:3},$b.prototype.Versioning={None:0,NeedsUpdate:1,MatrixWorldNeedsUpdate:2},$b.prototype.GetterByBindingType=[$b.prototype._getValue_direct,$b.prototype._getValue_array,$b.prototype._getValue_arrayElement,$b.prototype._getValue_toArray],$b.prototype.SetterByBindingTypeAndVersioning=[[$b.prototype._setValue_direct,$b.prototype._setValue_direct_setNeedsUpdate,$b.prototype._setValue_direct_setMatrixWorldNeedsUpdate],[$b.prototype._setValue_array,$b.prototype._setValue_array_setNeedsUpdate,$b.prototype._setValue_array_setMatrixWorldNeedsUpdate],[$b.prototype._setValue_arrayElement,$b.prototype._setValue_arrayElement_setNeedsUpdate,$b.prototype._setValue_arrayElement_setMatrixWorldNeedsUpdate],[$b.prototype._setValue_fromArray,$b.prototype._setValue_fromArray_setNeedsUpdate,$b.prototype._setValue_fromArray_setMatrixWorldNeedsUpdate]],new Float32Array(1),"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("register",{detail:{revision:Cd}})),"undefined"!=typeof window&&(window.__THREE__?console.warn("WARNING: Multiple instances of Three.js being imported."):window.__THREE__=Cd);const Xb=/^[og]\s*(.+)?/,qb=/^mtllib /,Kb=/^usemtl /,Yb=/^usemap /,Jb=/\s+/,Zb=new jp,Qb=new jp,e_=new jp,t_=new jp,n_=new jp,r_=new lm;function i_(){const e={objects:[],object:{},vertices:[],normals:[],colors:[],uvs:[],materials:{},materialLibraries:[],startObject:function(e,t){if(this.object&&!1===this.object.fromDeclaration)return this.object.name=e,void(this.object.fromDeclaration=!1!==t);const n=this.object&&"function"==typeof this.object.currentMaterial?this.object.currentMaterial():void 0;if(this.object&&"function"==typeof this.object._finalize&&this.object._finalize(!0),this.object={name:e||"",fromDeclaration:!1!==t,geometry:{vertices:[],normals:[],colors:[],uvs:[],hasUVIndices:!1},materials:[],smooth:!0,startMaterial:function(e,t){const n=this._finalize(!1);n&&(n.inherited||n.groupCount<=0)&&this.materials.splice(n.index,1);const r={index:this.materials.length,name:e||"",mtllib:Array.isArray(t)&&t.length>0?t[t.length-1]:"",smooth:void 0!==n?n.smooth:this.smooth,groupStart:void 0!==n?n.groupEnd:0,groupEnd:-1,groupCount:-1,inherited:!1,clone:function(e){const t={index:"number"==typeof e?e:this.index,name:this.name,mtllib:this.mtllib,smooth:this.smooth,groupStart:0,groupEnd:-1,groupCount:-1,inherited:!1};return t.clone=this.clone.bind(t),t}};return this.materials.push(r),r},currentMaterial:function(){if(this.materials.length>0)return this.materials[this.materials.length-1]},_finalize:function(e){const t=this.currentMaterial();if(t&&-1===t.groupEnd&&(t.groupEnd=this.geometry.vertices.length/3,t.groupCount=t.groupEnd-t.groupStart,t.inherited=!1),e&&this.materials.length>1)for(let e=this.materials.length-1;e>=0;e--)this.materials[e].groupCount<=0&&this.materials.splice(e,1);return e&&0===this.materials.length&&this.materials.push({name:"",smooth:this.smooth}),t}},n&&n.name&&"function"==typeof n.clone){const e=n.clone(0);e.inherited=!0,this.object.materials.push(e)}this.objects.push(this.object)},finalize:function(){this.object&&"function"==typeof this.object._finalize&&this.object._finalize(!0)},parseVertexIndex:function(e,t){const n=parseInt(e,10);return 3*(n>=0?n-1:n+t/3)},parseNormalIndex:function(e,t){const n=parseInt(e,10);return 3*(n>=0?n-1:n+t/3)},parseUVIndex:function(e,t){const n=parseInt(e,10);return 2*(n>=0?n-1:n+t/2)},addVertex:function(e,t,n){const r=this.vertices,i=this.object.geometry.vertices;i.push(r[e+0],r[e+1],r[e+2]),i.push(r[t+0],r[t+1],r[t+2]),i.push(r[n+0],r[n+1],r[n+2])},addVertexPoint:function(e){const t=this.vertices;this.object.geometry.vertices.push(t[e+0],t[e+1],t[e+2])},addVertexLine:function(e){const t=this.vertices;this.object.geometry.vertices.push(t[e+0],t[e+1],t[e+2])},addNormal:function(e,t,n){const r=this.normals,i=this.object.geometry.normals;i.push(r[e+0],r[e+1],r[e+2]),i.push(r[t+0],r[t+1],r[t+2]),i.push(r[n+0],r[n+1],r[n+2])},addFaceNormal:function(e,t,n){const r=this.vertices,i=this.object.geometry.normals;Zb.fromArray(r,e),Qb.fromArray(r,t),e_.fromArray(r,n),n_.subVectors(e_,Qb),t_.subVectors(Zb,Qb),n_.cross(t_),n_.normalize(),i.push(n_.x,n_.y,n_.z),i.push(n_.x,n_.y,n_.z),i.push(n_.x,n_.y,n_.z)},addColor:function(e,t,n){const r=this.colors,i=this.object.geometry.colors;void 0!==r[e]&&i.push(r[e+0],r[e+1],r[e+2]),void 0!==r[t]&&i.push(r[t+0],r[t+1],r[t+2]),void 0!==r[n]&&i.push(r[n+0],r[n+1],r[n+2])},addUV:function(e,t,n){const r=this.uvs,i=this.object.geometry.uvs;i.push(r[e+0],r[e+1]),i.push(r[t+0],r[t+1]),i.push(r[n+0],r[n+1])},addDefaultUV:function(){const e=this.object.geometry.uvs;e.push(0,0),e.push(0,0),e.push(0,0)},addUVLine:function(e){const t=this.uvs;this.object.geometry.uvs.push(t[e+0],t[e+1])},addFace:function(e,t,n,r,i,a,o,s,l){const c=this.vertices.length;let u=this.parseVertexIndex(e,c),d=this.parseVertexIndex(t,c),f=this.parseVertexIndex(n,c);if(this.addVertex(u,d,f),this.addColor(u,d,f),void 0!==o&&""!==o){const e=this.normals.length;u=this.parseNormalIndex(o,e),d=this.parseNormalIndex(s,e),f=this.parseNormalIndex(l,e),this.addNormal(u,d,f)}else this.addFaceNormal(u,d,f);if(void 0!==r&&""!==r){const e=this.uvs.length;u=this.parseUVIndex(r,e),d=this.parseUVIndex(i,e),f=this.parseUVIndex(a,e),this.addUV(u,d,f),this.object.geometry.hasUVIndices=!0}else this.addDefaultUV()},addPointGeometry:function(e){this.object.geometry.type="Points";const t=this.vertices.length;for(let n=0,r=e.length;n<r;n++){const r=this.parseVertexIndex(e[n],t);this.addVertexPoint(r),this.addColor(r)}},addLineGeometry:function(e,t){this.object.geometry.type="Line";const n=this.vertices.length,r=this.uvs.length;for(let t=0,r=e.length;t<r;t++)this.addVertexLine(this.parseVertexIndex(e[t],n));for(let e=0,n=t.length;e<n;e++)this.addUVLine(this.parseUVIndex(t[e],r))}};return e.startObject("",!1),e}class a_ extends Lb{constructor(e){super(e),this.materials=null}load(e,t,n,r){const i=this,a=new Ub(this.manager);a.setPath(this.path),a.setRequestHeader(this.requestHeader),a.setWithCredentials(this.withCredentials),a.load(e,(function(n){try{t(i.parse(n))}catch(t){r?r(t):console.error(t),i.manager.itemError(e)}}),n,r)}setMaterials(e){return this.materials=e,this}parse(e){const t=new i_;-1!==e.indexOf("\r\n")&&(e=e.replace(/\r\n/g,"\n")),-1!==e.indexOf("\\\n")&&(e=e.replace(/\\\n/g,""));const n=e.split("\n");let r=[];for(let e=0,i=n.length;e<i;e++){const i=n[e].trimStart();if(0===i.length)continue;const a=i.charAt(0);if("#"!==a)if("v"===a){const e=i.split(Jb);switch(e[0]){case"v":t.vertices.push(parseFloat(e[1]),parseFloat(e[2]),parseFloat(e[3])),e.length>=7?(r_.setRGB(parseFloat(e[4]),parseFloat(e[5]),parseFloat(e[6])).convertSRGBToLinear(),t.colors.push(r_.r,r_.g,r_.b)):t.colors.push(void 0,void 0,void 0);break;case"vn":t.normals.push(parseFloat(e[1]),parseFloat(e[2]),parseFloat(e[3]));break;case"vt":t.uvs.push(parseFloat(e[1]),parseFloat(e[2]))}}else if("f"===a){const e=i.slice(1).trim().split(Jb),n=[];for(let t=0,r=e.length;t<r;t++){const r=e[t];if(r.length>0){const e=r.split("/");n.push(e)}}const r=n[0];for(let e=1,i=n.length-1;e<i;e++){const i=n[e],a=n[e+1];t.addFace(r[0],i[0],a[0],r[1],i[1],a[1],r[2],i[2],a[2])}}else if("l"===a){const e=i.substring(1).trim().split(" ");let n=[];const r=[];if(-1===i.indexOf("/"))n=e;else for(let t=0,i=e.length;t<i;t++){const i=e[t].split("/");""!==i[0]&&n.push(i[0]),""!==i[1]&&r.push(i[1])}t.addLineGeometry(n,r)}else if("p"===a){const e=i.slice(1).trim().split(" ");t.addPointGeometry(e)}else if(null!==(r=Xb.exec(i))){const e=(" "+r[0].slice(1).trim()).slice(1);t.startObject(e)}else if(Kb.test(i))t.object.startMaterial(i.substring(7).trim(),t.materialLibraries);else if(qb.test(i))t.materialLibraries.push(i.substring(7).trim());else if(Yb.test(i))console.warn('THREE.OBJLoader: Rendering identifier "usemap" not supported. Textures must be defined in MTL files.');else if("s"===a){if(r=i.split(" "),r.length>1){const e=r[1].trim().toLowerCase();t.object.smooth="0"!==e&&"off"!==e}else t.object.smooth=!0;const e=t.object.currentMaterial();e&&(e.smooth=t.object.smooth)}else{if("\0"===i)continue;console.warn('THREE.OBJLoader: Unexpected line: "'+i+'"')}}t.finalize();const i=new Wy;if(i.materialLibraries=[].concat(t.materialLibraries),!0==!(1===t.objects.length&&0===t.objects[0].geometry.vertices.length))for(let e=0,n=t.objects.length;e<n;e++){const n=t.objects[e],r=n.geometry,a=n.materials,o="Line"===r.type,s="Points"===r.type;let l=!1;if(0===r.vertices.length)continue;const c=new Cm;c.setAttribute("position",new ym(r.vertices,3)),r.normals.length>0&&c.setAttribute("normal",new ym(r.normals,3)),r.colors.length>0&&(l=!0,c.setAttribute("color",new ym(r.colors,3))),!0===r.hasUVIndices&&c.setAttribute("uv",new ym(r.uvs,2));const u=[];for(let e=0,n=a.length;e<n;e++){const n=a[e],r=n.name+"_"+n.smooth+"_"+l;let i=t.materials[r];if(null!==this.materials)if(i=this.materials.create(n.name),!o||!i||i instanceof tb){if(s&&i&&!(i instanceof hb)){const e=new hb({size:10,sizeAttenuation:!1});dm.prototype.copy.call(e,i),e.color.copy(i.color),e.map=i.map,i=e}}else{const e=new tb;dm.prototype.copy.call(e,i),e.color.copy(i.color),i=e}void 0===i&&(i=o?new tb:s?new hb({size:1,sizeAttenuation:!1}):new xb,i.name=n.name,i.flatShading=!n.smooth,i.vertexColors=l,t.materials[r]=i),u.push(i)}let d;if(u.length>1){for(let e=0,t=a.length;e<t;e++){const t=a[e];c.addGroup(t.groupStart,t.groupCount,e)}d=o?new pb(c,u):s?new bb(c,u):new Wm(c,u)}else d=o?new pb(c,u[0]):s?new bb(c,u[0]):new Wm(c,u[0]);d.name=n.name,i.add(d)}else if(t.vertices.length>0){const e=new hb({size:1,sizeAttenuation:!1}),n=new Cm;n.setAttribute("position",new ym(t.vertices,3)),t.colors.length>0&&void 0!==t.colors[0]&&(n.setAttribute("color",new ym(t.colors,3)),e.vertexColors=!0);const r=new bb(n,e);i.add(r)}return i}}class o_ extends Lb{constructor(e){super(e)}load(e,t,n,r){const i=this,a=new Ub(this.manager);a.setPath(this.path),a.setResponseType("arraybuffer"),a.setRequestHeader(this.requestHeader),a.setWithCredentials(this.withCredentials),a.load(e,(function(n){try{t(i.parse(n))}catch(t){r?r(t):console.error(t),i.manager.itemError(e)}}),n,r)}parse(e){function t(e,t,n){for(let r=0,i=e.length;r<i;r++)if(e[r]!==t.getUint8(n+r))return!1;return!0}const n=function(e){if("string"==typeof e){const t=new Uint8Array(e.length);for(let n=0;n<e.length;n++)t[n]=255&e.charCodeAt(n);return t.buffer||t}return e}(e);return function(e){const n=new DataView(e);if(84+50*n.getUint32(80,!0)===n.byteLength)return!0;const r=[115,111,108,105,100];for(let e=0;e<5;e++)if(t(r,n,e))return!1;return!0}(n)?function(e){const t=new DataView(e),n=t.getUint32(80,!0);let r,i,a,o,s,l,c,u,d=!1;for(let e=0;e<70;e++)1129270351==t.getUint32(e,!1)&&82==t.getUint8(e+4)&&61==t.getUint8(e+5)&&(d=!0,o=new Float32Array(3*n*3),s=t.getUint8(e+6)/255,l=t.getUint8(e+7)/255,c=t.getUint8(e+8)/255,u=t.getUint8(e+9)/255);const f=new Cm,p=new Float32Array(3*n*3),h=new Float32Array(3*n*3),m=new lm;for(let e=0;e<n;e++){const n=84+50*e,u=t.getFloat32(n,!0),f=t.getFloat32(n+4,!0),g=t.getFloat32(n+8,!0);if(d){const e=t.getUint16(n+48,!0);32768&e?(r=s,i=l,a=c):(r=(31&e)/31,i=(e>>5&31)/31,a=(e>>10&31)/31)}for(let s=1;s<=3;s++){const l=n+12*s,c=3*e*3+3*(s-1);p[c]=t.getFloat32(l,!0),p[c+1]=t.getFloat32(l+4,!0),p[c+2]=t.getFloat32(l+8,!0),h[c]=u,h[c+1]=f,h[c+2]=g,d&&(m.set(r,i,a).convertSRGBToLinear(),o[c]=m.r,o[c+1]=m.g,o[c+2]=m.b)}}return f.setAttribute("position",new mm(p,3)),f.setAttribute("normal",new mm(h,3)),d&&(f.setAttribute("color",new mm(o,3)),f.hasColors=!0,f.alpha=u),f}(n):function(e){const t=new Cm,n=/solid([\s\S]*?)endsolid/g,r=/facet([\s\S]*?)endfacet/g,i=/solid\s(.+)/;let a=0;const o=/[\s]+([+-]?(?:\d*)(?:\.\d*)?(?:[eE][+-]?\d+)?)/.source,s=new RegExp("vertex"+o+o+o,"g"),l=new RegExp("normal"+o+o+o,"g"),c=[],u=[],d=[],f=new jp;let p,h=0,m=0,g=0;for(;null!==(p=n.exec(e));){m=g;const e=p[0],n=null!==(p=i.exec(e))?p[1]:"";for(d.push(n);null!==(p=r.exec(e));){let e=0,t=0;const n=p[0];for(;null!==(p=l.exec(n));)f.x=parseFloat(p[1]),f.y=parseFloat(p[2]),f.z=parseFloat(p[3]),t++;for(;null!==(p=s.exec(n));)c.push(parseFloat(p[1]),parseFloat(p[2]),parseFloat(p[3])),u.push(f.x,f.y,f.z),e++,g++;1!==t&&console.error("THREE.STLLoader: Something isn't right with the normal of face number "+a),3!==e&&console.error("THREE.STLLoader: Something isn't right with the vertices of face number "+a),a++}const o=m,v=g-m;t.userData.groupNames=d,t.addGroup(o,v,h),h++}return t.setAttribute("position",new ym(c,3)),t.setAttribute("normal",new ym(u,3)),t}("string"!=typeof(r=e)?(new TextDecoder).decode(r):r);var r}}const s_={type:"change"},l_={type:"start"},c_={type:"end"};class u_ extends ip{constructor(e,t){super();const n=this,r=-1;this.object=e,this.domElement=t,this.domElement.style.touchAction="none",this.enabled=!0,this.screen={left:0,top:0,width:0,height:0},this.rotateSpeed=1,this.zoomSpeed=1.2,this.panSpeed=.3,this.noRotate=!1,this.noZoom=!1,this.noPan=!1,this.staticMoving=!1,this.dynamicDampingFactor=.2,this.minDistance=0,this.maxDistance=1/0,this.minZoom=0,this.maxZoom=1/0,this.keys=["KeyA","KeyS","KeyD"],this.mouseButtons={LEFT:0,MIDDLE:1,RIGHT:2},this.target=new jp;const i=1e-6,a=new jp;let o=1,s=r,l=r,c=0,u=0,d=0;const f=new jp,p=new gp,h=new gp,m=new jp,g=new gp,v=new gp,y=new gp,b=new gp,_=[],x={};this.target0=this.target.clone(),this.position0=this.object.position.clone(),this.up0=this.object.up.clone(),this.zoom0=this.object.zoom,this.handleResize=function(){const e=n.domElement.getBoundingClientRect(),t=n.domElement.ownerDocument.documentElement;n.screen.left=e.left+window.pageXOffset-t.clientLeft,n.screen.top=e.top+window.pageYOffset-t.clientTop,n.screen.width=e.width,n.screen.height=e.height};const w=function(){const e=new gp;return function(t,r){return e.set((t-n.screen.left)/n.screen.width,(r-n.screen.top)/n.screen.height),e}}(),A=function(){const e=new gp;return function(t,r){return e.set((t-.5*n.screen.width-n.screen.left)/(.5*n.screen.width),(n.screen.height+2*(n.screen.top-r))/n.screen.width),e}}();function S(e){!1!==n.enabled&&(0===_.length&&(n.domElement.setPointerCapture(e.pointerId),n.domElement.addEventListener("pointermove",T),n.domElement.addEventListener("pointerup",C)),function(e){_.push(e)}(e),"touch"===e.pointerType?function(e){if(1===(N(e),_.length))s=3,h.copy(A(_[0].pageX,_[0].pageY)),p.copy(h);else{s=4;const e=_[0].pageX-_[1].pageX,t=_[0].pageY-_[1].pageY;u=c=Math.sqrt(e*e+t*t);const n=(_[0].pageX+_[1].pageX)/2,r=(_[0].pageY+_[1].pageY)/2;y.copy(w(n,r)),b.copy(y)}n.dispatchEvent(l_)}(e):function(e){if(s===r)switch(e.button){case n.mouseButtons.LEFT:s=0;break;case n.mouseButtons.MIDDLE:s=1;break;case n.mouseButtons.RIGHT:s=2}const t=l!==r?l:s;0!==t||n.noRotate?1!==t||n.noZoom?2!==t||n.noPan||(y.copy(w(e.pageX,e.pageY)),b.copy(y)):(g.copy(w(e.pageX,e.pageY)),v.copy(g)):(h.copy(A(e.pageX,e.pageY)),p.copy(h)),n.dispatchEvent(l_)}(e))}function T(e){!1!==n.enabled&&("touch"===e.pointerType?function(e){if(1===(N(e),_.length))p.copy(h),h.copy(A(e.pageX,e.pageY));else{const t=function(e){const t=e.pointerId===_[0].pointerId?_[1]:_[0];return x[t.pointerId]}(e),n=e.pageX-t.x,r=e.pageY-t.y;u=Math.sqrt(n*n+r*r);const i=(e.pageX+t.x)/2,a=(e.pageY+t.y)/2;b.copy(w(i,a))}}(e):function(e){const t=l!==r?l:s;0!==t||n.noRotate?1!==t||n.noZoom?2!==t||n.noPan||b.copy(w(e.pageX,e.pageY)):v.copy(w(e.pageX,e.pageY)):(p.copy(h),h.copy(A(e.pageX,e.pageY)))}(e))}function C(e){!1!==n.enabled&&("touch"===e.pointerType?function(e){switch(_.length){case 0:s=r;break;case 1:s=3,h.copy(A(e.pageX,e.pageY)),p.copy(h);break;case 2:s=4;for(let t=0;t<_.length;t++)if(_[t].pointerId!==e.pointerId){const e=x[_[t].pointerId];h.copy(A(e.x,e.y)),p.copy(h);break}}n.dispatchEvent(c_)}(e):(s=r,n.dispatchEvent(c_)),O(e),0===_.length&&(n.domElement.releasePointerCapture(e.pointerId),n.domElement.removeEventListener("pointermove",T),n.domElement.removeEventListener("pointerup",C)))}function E(e){O(e)}function M(e){!1!==n.enabled&&(window.removeEventListener("keydown",M),l===r&&(e.code!==n.keys[0]||n.noRotate?e.code!==n.keys[1]||n.noZoom?e.code!==n.keys[2]||n.noPan||(l=2):l=1:l=0))}function D(){!1!==n.enabled&&(l=r,window.addEventListener("keydown",M))}function P(e){if(!1!==n.enabled&&!0!==n.noZoom){switch(e.preventDefault(),e.deltaMode){case 2:g.y-=.025*e.deltaY;break;case 1:g.y-=.01*e.deltaY;break;default:g.y-=25e-5*e.deltaY}n.dispatchEvent(l_),n.dispatchEvent(c_)}}function I(e){!1!==n.enabled&&e.preventDefault()}function O(e){delete x[e.pointerId];for(let t=0;t<_.length;t++)if(_[t].pointerId==e.pointerId)return void _.splice(t,1)}function N(e){let t=x[e.pointerId];void 0===t&&(t=new gp,x[e.pointerId]=t),t.set(e.pageX,e.pageY)}this.rotateCamera=function(){const e=new jp,t=new zp,r=new jp,i=new jp,a=new jp,o=new jp;return function(){o.set(h.x-p.x,h.y-p.y,0);let s=o.length();s?(f.copy(n.object.position).sub(n.target),r.copy(f).normalize(),i.copy(n.object.up).normalize(),a.crossVectors(i,r).normalize(),i.setLength(h.y-p.y),a.setLength(h.x-p.x),o.copy(i.add(a)),e.crossVectors(o,f).normalize(),s*=n.rotateSpeed,t.setFromAxisAngle(e,s),f.applyQuaternion(t),n.object.up.applyQuaternion(t),m.copy(e),d=s):!n.staticMoving&&d&&(d*=Math.sqrt(1-n.dynamicDampingFactor),f.copy(n.object.position).sub(n.target),t.setFromAxisAngle(m,d),f.applyQuaternion(t),n.object.up.applyQuaternion(t)),p.copy(h)}}(),this.zoomCamera=function(){let e;4===s?(e=c/u,c=u,n.object.isPerspectiveCamera?f.multiplyScalar(e):n.object.isOrthographicCamera?(n.object.zoom=mp.clamp(n.object.zoom/e,n.minZoom,n.maxZoom),o!==n.object.zoom&&n.object.updateProjectionMatrix()):console.warn("THREE.TrackballControls: Unsupported camera type")):(e=1+(v.y-g.y)*n.zoomSpeed,1!==e&&e>0&&(n.object.isPerspectiveCamera?f.multiplyScalar(e):n.object.isOrthographicCamera?(n.object.zoom=mp.clamp(n.object.zoom/e,n.minZoom,n.maxZoom),o!==n.object.zoom&&n.object.updateProjectionMatrix()):console.warn("THREE.TrackballControls: Unsupported camera type")),n.staticMoving?g.copy(v):g.y+=(v.y-g.y)*this.dynamicDampingFactor)},this.panCamera=function(){const e=new gp,t=new jp,r=new jp;return function(){if(e.copy(b).sub(y),e.lengthSq()){if(n.object.isOrthographicCamera){const t=(n.object.right-n.object.left)/n.object.zoom/n.domElement.clientWidth,r=(n.object.top-n.object.bottom)/n.object.zoom/n.domElement.clientWidth;e.x*=t,e.y*=r}e.multiplyScalar(f.length()*n.panSpeed),r.copy(f).cross(n.object.up).setLength(e.x),r.add(t.copy(n.object.up).setLength(e.y)),n.object.position.add(r),n.target.add(r),n.staticMoving?y.copy(b):y.add(e.subVectors(b,y).multiplyScalar(n.dynamicDampingFactor))}}}(),this.checkDistances=function(){n.noZoom&&n.noPan||(f.lengthSq()>n.maxDistance*n.maxDistance&&(n.object.position.addVectors(n.target,f.setLength(n.maxDistance)),g.copy(v)),f.lengthSq()<n.minDistance*n.minDistance&&(n.object.position.addVectors(n.target,f.setLength(n.minDistance)),g.copy(v)))},this.update=function(){f.subVectors(n.object.position,n.target),n.noRotate||n.rotateCamera(),n.noZoom||n.zoomCamera(),n.noPan||n.panCamera(),n.object.position.addVectors(n.target,f),n.object.isPerspectiveCamera?(n.checkDistances(),n.object.lookAt(n.target),a.distanceToSquared(n.object.position)>i&&(n.dispatchEvent(s_),a.copy(n.object.position))):n.object.isOrthographicCamera?(n.object.lookAt(n.target),(a.distanceToSquared(n.object.position)>i||o!==n.object.zoom)&&(n.dispatchEvent(s_),a.copy(n.object.position),o=n.object.zoom)):console.warn("THREE.TrackballControls: Unsupported camera type")},this.reset=function(){s=r,l=r,n.target.copy(n.target0),n.object.position.copy(n.position0),n.object.up.copy(n.up0),n.object.zoom=n.zoom0,n.object.updateProjectionMatrix(),f.subVectors(n.object.position,n.target),n.object.lookAt(n.target),n.dispatchEvent(s_),a.copy(n.object.position),o=n.object.zoom},this.dispose=function(){n.domElement.removeEventListener("contextmenu",I),n.domElement.removeEventListener("pointerdown",S),n.domElement.removeEventListener("pointercancel",E),n.domElement.removeEventListener("wheel",P),n.domElement.removeEventListener("pointermove",T),n.domElement.removeEventListener("pointerup",C),window.removeEventListener("keydown",M),window.removeEventListener("keyup",D)},this.domElement.addEventListener("contextmenu",I),this.domElement.addEventListener("pointerdown",S),this.domElement.addEventListener("pointercancel",E),this.domElement.addEventListener("wheel",P,{passive:!1}),window.addEventListener("keydown",M),window.addEventListener("keyup",D),this.handleResize(),this.update()}}var d_=class{static isWebGLAvailable(){try{const e=document.createElement("canvas");return!(!window.WebGLRenderingContext||!e.getContext("webgl")&&!e.getContext("experimental-webgl"))}catch(e){return!1}}static isWebGL2Available(){try{const e=document.createElement("canvas");return!(!window.WebGL2RenderingContext||!e.getContext("webgl2"))}catch(e){return!1}}static isColorSpaceAvailable(e){try{const t=document.createElement("canvas"),n=window.WebGL2RenderingContext&&t.getContext("webgl2");return n.drawingBufferColorSpace=e,n.drawingBufferColorSpace===e}catch(e){return!1}}static getWebGLErrorMessage(){return this.getErrorMessage(1)}static getWebGL2ErrorMessage(){return this.getErrorMessage(2)}static getErrorMessage(e){const t={1:window.WebGLRenderingContext,2:window.WebGL2RenderingContext};let n='Your $0 does not seem to support <a href="http://khronos.org/webgl/wiki/Getting_a_WebGL_Implementation" style="color:#000">$1</a>';const r=document.createElement("div");return r.id="webglmessage",r.style.fontFamily="monospace",r.style.fontSize="13px",r.style.fontWeight="normal",r.style.textAlign="center",r.style.background="#fff",r.style.color="#000",r.style.padding="1.5em",r.style.width="400px",r.style.margin="5em auto 0",n=t[e]?n.replace("$0","graphics card"):n.replace("$0","browser"),n=n.replace("$1",{1:"WebGL",2:"WebGL 2"}[e]),r.innerHTML=n,r}};class f_ extends Lb{load(e,t,n,r){const i=this,a=new Ub(this.manager);a.setPath(this.path),a.setRequestHeader(this.requestHeader),a.setWithCredentials(this.withCredentials),a.load(e,(function(n){try{t(i.parse(n))}catch(t){r?r(t):console.error(t),i.manager.itemError(e)}}),n,r)}parse(e){const t=e.split("\n"),n=[],r=[],i=new lm;for(let e of t){if(e=e.trim(),"#"===e.charAt(0))continue;const t=e.split(/\s+/);if(3===t.length&&(n.push(parseFloat(t[0])),n.push(parseFloat(t[1])),n.push(parseFloat(t[2]))),6===t.length){n.push(parseFloat(t[0])),n.push(parseFloat(t[1])),n.push(parseFloat(t[2]));const e=parseFloat(t[3])/255,a=parseFloat(t[4])/255,o=parseFloat(t[5])/255;i.set(e,a,o).convertSRGBToLinear(),r.push(i.r,i.g,i.b)}}const a=new Cm;return a.setAttribute("position",new ym(n,3)),r.length>0&&a.setAttribute("color",new ym(r,3)),a}}var p_={props:{type:String,modelUrl:String,fileSize:Number,maxFileSize:Number},data(){return{loaders:{obj:a_,stl:o_,xyz:f_},renderer:null,scene:null,camera:null,controls:null,material:null,distance:0,loading:!0,forceLoad:!1,error:""}},computed:{toolbarBtnClasses(){return"btn btn-link text-primary my-1"}},mounted(){this.type in this.loaders?d_.isWebGLAvailable()?this.fileSize<=this.maxFileSize&&this.loadFile():this.error=$t("WebGL not available."):this.error="Invalid object type."},beforeDestroy(){window.removeEventListener("resize",this.resizeView)},methods:{toggleWireframe(){this.material.wireframe=!this.material.wireframe},resetView(){this.controls.reset(),this.camera.position.set(0,0,this.distance),this.camera.updateProjectionMatrix()},toggleFullscreen(){kadi.utils.toggleFullscreen(this.$refs.container)},resizeView(){const e=this.$refs.toolbar,t=this.$refs.container,n=Math.round(t.getBoundingClientRect().width)-2;let r=1;if(kadi.utils.isFullscreen()){const n=Math.round(t.getBoundingClientRect().height),i=Math.round(e.getBoundingClientRect().height);r=Math.max(n-i-1,r),e.style.borderTopLeftRadius=e.style.borderTopRightRadius="0"}else r=Math.round(window.innerHeight/window.innerWidth*n),e.style.borderTopLeftRadius=e.style.borderTopRightRadius="0.25rem";this.camera.aspect=n/r,this.camera.updateProjectionMatrix(),this.renderer.setSize(n,r)},animate(){window.requestAnimationFrame(this.animate),this.renderer.render(this.scene,this.camera),this.controls.update()},onLoad(e){this.renderer=new Qy({antialias:!0}),this.renderer.setPixelRatio(window.devicePixelRatio),this.$refs.renderContainer.appendChild(this.renderer.domElement),this.scene=new eb,this.scene.background=new lm(16250871),this.camera=new ng,this.scene.add(this.camera),this.controls=new u_(this.camera,this.renderer.domElement),this.controls.staticMoving=!0;let t=null;switch(this.type){case"obj":this.material=new wb,t=e,t.traverse((e=>{e instanceof Wm&&(e.material=this.material)}));break;case"stl":this.material=new wb,t=new Wm(e,this.material),t.geometry.center();break;case"xyz":t=new bb(e,new hb({size:.1,color:0}));break;default:return}this.scene.add(t);const n=(new $p).setFromObject(t),r=n.getSize(new jp).length(),i=this.camera.fov/2*(Math.PI/180);this.distance=r/2/Math.tan(i),this.distance-this.camera.far>n.max.z&&(this.distance=this.camera.far+n.max.z-n.max.z/10),this.resizeView(),this.resetView(),this.animate(),this.loading=!1,window.addEventListener("resize",this.resizeView)},onError(e){this.error=$t("Error loading model."),console.error(e)},async loadFile(){this.forceLoad=!0,await this.$nextTick(),(new this.loaders[this.type]).load(this.modelUrl,this.onLoad,null,this.onError)}}},h_=p_,m_=(n(7107),Ad(h_,Td,[],!1,null,"b32707c4",null).exports),g_=function(){var e=this,t=e._self._c;return t("div",[e.fileSize>e.maxFileSize&&!e.forceLoad?t("div",[t("button",{staticClass:"btn btn-sm btn-light mb-2",attrs:{type:"button"},on:{click:e.loadFile}},[t("i",{staticClass:"fa-solid fa-eye"}),e._v(" "+e._s(e.$t("Load preview"))+"\n    ")])]):t("div",{ref:"container"},[t("div",{ref:"toolbar",staticClass:"card toolbar"},[t("div",{staticClass:"card-body px-1 py-0"},[t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Toggle wireframe")},on:{click:e.toggleWireframe}},[t("i",{staticClass:"fa-solid fa-cube"})]),e._v(" "),t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Reset view")},on:{click:e.resetView}},[t("i",{staticClass:"fa-solid fa-eye"})]),e._v(" "),t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",disabled:e.loading,title:e.$t("Toggle fullscreen")},on:{click:e.toggleFullscreen}},[t("i",{staticClass:"fa-solid fa-expand"})]),e._v(" "),t("input",{directives:[{name:"model",rawName:"v-model.number",value:e.opacity,expression:"opacity",modifiers:{number:!0}}],staticClass:"align-middle mx-3",attrs:{type:"range",disabled:e.loading,title:e.$t("Opacity")},domProps:{value:e.opacity},on:{__r:function(t){e.opacity=e._n(t.target.value)},blur:function(t){return e.$forceUpdate()}}}),e._v(" "),e.colorByOptions.length>1?t("div",{staticClass:"input-group input-group-sm d-md-inline-flex w-auto my-1 mr-0 mr-md-2"},[t("div",{staticClass:"input-group-prepend"},[t("span",{staticClass:"input-group-text"},[e._v(e._s(e.$t("Field data")))])]),e._v(" "),t("select",{directives:[{name:"model",rawName:"v-model",value:e.selectedColor,expression:"selectedColor"}],staticClass:"custom-select",on:{change:function(t){var n=Array.prototype.filter.call(t.target.options,(function(e){return e.selected})).map((function(e){return"_value"in e?e._value:e.value}));e.selectedColor=t.target.multiple?n:n[0]}}},e._l(e.colorByOptions,(function(n){return t("option",{key:n.value,domProps:{value:n.value}},[e._v("\n              "+e._s(n.label)+"\n            ")])})),0)]):e._e(),e._v(" "),e.componentOptions.length>0?t("div",{staticClass:"input-group input-group-sm d-md-inline-flex w-auto my-1"},[t("div",{staticClass:"input-group-prepend"},[t("span",{staticClass:"input-group-text"},[e._v(e._s(e.$t("Components")))])]),e._v(" "),t("select",{directives:[{name:"model",rawName:"v-model",value:e.selectedComponent,expression:"selectedComponent"}],staticClass:"custom-select",on:{change:function(t){var n=Array.prototype.filter.call(t.target.options,(function(e){return e.selected})).map((function(e){return"_value"in e?e._value:e.value}));e.selectedComponent=t.target.multiple?n:n[0]}}},e._l(e.componentOptions,(function(n){return t("option",{key:n.value,domProps:{value:n.value}},[e._v("\n              "+e._s(n.label)+"\n            ")])})),0)]):e._e()])]),e._v(" "),t("div",{ref:"renderContainer",staticClass:"render-container bg-light"},[e.error?t("div",{staticClass:"text-muted ml-3 my-2"},[t("i",{staticClass:"fa-solid fa-triangle-exclamation mr-1"}),e._v(" "+e._s(e.error)+"\n      ")]):e.loading?t("div",{staticClass:"text-muted ml-3 my-2"},[t("i",{staticClass:"fa-solid fa-circle-notch fa-spin mr-1"}),e._v(" "+e._s(e.$t("Loading model..."))+"\n      ")]):e._e()])])])};g_._withStripped=!0;var v_=1e-6,y_="undefined"!=typeof Float32Array?Float32Array:Array;function b_(){var e=new y_(16);return y_!=Float32Array&&(e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[11]=0,e[12]=0,e[13]=0,e[14]=0),e[0]=1,e[5]=1,e[10]=1,e[15]=1,e}function __(e){var t=new y_(16);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t[9]=e[9],t[10]=e[10],t[11]=e[11],t[12]=e[12],t[13]=e[13],t[14]=e[14],t[15]=e[15],t}function x_(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e[9]=t[9],e[10]=t[10],e[11]=t[11],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15],e}function w_(e,t,n,r,i,a,o,s,l,c,u,d,f,p,h,m){var g=new y_(16);return g[0]=e,g[1]=t,g[2]=n,g[3]=r,g[4]=i,g[5]=a,g[6]=o,g[7]=s,g[8]=l,g[9]=c,g[10]=u,g[11]=d,g[12]=f,g[13]=p,g[14]=h,g[15]=m,g}function A_(e,t,n,r,i,a,o,s,l,c,u,d,f,p,h,m,g){return e[0]=t,e[1]=n,e[2]=r,e[3]=i,e[4]=a,e[5]=o,e[6]=s,e[7]=l,e[8]=c,e[9]=u,e[10]=d,e[11]=f,e[12]=p,e[13]=h,e[14]=m,e[15]=g,e}function S_(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=1,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=1,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function T_(e,t){if(e===t){var n=t[1],r=t[2],i=t[3],a=t[6],o=t[7],s=t[11];e[1]=t[4],e[2]=t[8],e[3]=t[12],e[4]=n,e[6]=t[9],e[7]=t[13],e[8]=r,e[9]=a,e[11]=t[14],e[12]=i,e[13]=o,e[14]=s}else e[0]=t[0],e[1]=t[4],e[2]=t[8],e[3]=t[12],e[4]=t[1],e[5]=t[5],e[6]=t[9],e[7]=t[13],e[8]=t[2],e[9]=t[6],e[10]=t[10],e[11]=t[14],e[12]=t[3],e[13]=t[7],e[14]=t[11],e[15]=t[15];return e}function C_(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=t[4],s=t[5],l=t[6],c=t[7],u=t[8],d=t[9],f=t[10],p=t[11],h=t[12],m=t[13],g=t[14],v=t[15],y=n*s-r*o,b=n*l-i*o,_=n*c-a*o,x=r*l-i*s,w=r*c-a*s,A=i*c-a*l,S=u*m-d*h,T=u*g-f*h,C=u*v-p*h,E=d*g-f*m,M=d*v-p*m,D=f*v-p*g,P=y*D-b*M+_*E+x*C-w*T+A*S;return P?(P=1/P,e[0]=(s*D-l*M+c*E)*P,e[1]=(i*M-r*D-a*E)*P,e[2]=(m*A-g*w+v*x)*P,e[3]=(f*w-d*A-p*x)*P,e[4]=(l*C-o*D-c*T)*P,e[5]=(n*D-i*C+a*T)*P,e[6]=(g*_-h*A-v*b)*P,e[7]=(u*A-f*_+p*b)*P,e[8]=(o*M-s*C+c*S)*P,e[9]=(r*C-n*M-a*S)*P,e[10]=(h*w-m*_+v*y)*P,e[11]=(d*_-u*w-p*y)*P,e[12]=(s*T-o*E-l*S)*P,e[13]=(n*E-r*T+i*S)*P,e[14]=(m*b-h*x-g*y)*P,e[15]=(u*x-d*b+f*y)*P,e):null}function E_(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=t[4],s=t[5],l=t[6],c=t[7],u=t[8],d=t[9],f=t[10],p=t[11],h=t[12],m=t[13],g=t[14],v=t[15];return e[0]=s*(f*v-p*g)-d*(l*v-c*g)+m*(l*p-c*f),e[1]=-(r*(f*v-p*g)-d*(i*v-a*g)+m*(i*p-a*f)),e[2]=r*(l*v-c*g)-s*(i*v-a*g)+m*(i*c-a*l),e[3]=-(r*(l*p-c*f)-s*(i*p-a*f)+d*(i*c-a*l)),e[4]=-(o*(f*v-p*g)-u*(l*v-c*g)+h*(l*p-c*f)),e[5]=n*(f*v-p*g)-u*(i*v-a*g)+h*(i*p-a*f),e[6]=-(n*(l*v-c*g)-o*(i*v-a*g)+h*(i*c-a*l)),e[7]=n*(l*p-c*f)-o*(i*p-a*f)+u*(i*c-a*l),e[8]=o*(d*v-p*m)-u*(s*v-c*m)+h*(s*p-c*d),e[9]=-(n*(d*v-p*m)-u*(r*v-a*m)+h*(r*p-a*d)),e[10]=n*(s*v-c*m)-o*(r*v-a*m)+h*(r*c-a*s),e[11]=-(n*(s*p-c*d)-o*(r*p-a*d)+u*(r*c-a*s)),e[12]=-(o*(d*g-f*m)-u*(s*g-l*m)+h*(s*f-l*d)),e[13]=n*(d*g-f*m)-u*(r*g-i*m)+h*(r*f-i*d),e[14]=-(n*(s*g-l*m)-o*(r*g-i*m)+h*(r*l-i*s)),e[15]=n*(s*f-l*d)-o*(r*f-i*d)+u*(r*l-i*s),e}function M_(e){var t=e[0],n=e[1],r=e[2],i=e[3],a=e[4],o=e[5],s=e[6],l=e[7],c=e[8],u=e[9],d=e[10],f=e[11],p=e[12],h=e[13],m=e[14],g=e[15];return(t*o-n*a)*(d*g-f*m)-(t*s-r*a)*(u*g-f*h)+(t*l-i*a)*(u*m-d*h)+(n*s-r*o)*(c*g-f*p)-(n*l-i*o)*(c*m-d*p)+(r*l-i*s)*(c*h-u*p)}function D_(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=t[8],f=t[9],p=t[10],h=t[11],m=t[12],g=t[13],v=t[14],y=t[15],b=n[0],_=n[1],x=n[2],w=n[3];return e[0]=b*r+_*s+x*d+w*m,e[1]=b*i+_*l+x*f+w*g,e[2]=b*a+_*c+x*p+w*v,e[3]=b*o+_*u+x*h+w*y,b=n[4],_=n[5],x=n[6],w=n[7],e[4]=b*r+_*s+x*d+w*m,e[5]=b*i+_*l+x*f+w*g,e[6]=b*a+_*c+x*p+w*v,e[7]=b*o+_*u+x*h+w*y,b=n[8],_=n[9],x=n[10],w=n[11],e[8]=b*r+_*s+x*d+w*m,e[9]=b*i+_*l+x*f+w*g,e[10]=b*a+_*c+x*p+w*v,e[11]=b*o+_*u+x*h+w*y,b=n[12],_=n[13],x=n[14],w=n[15],e[12]=b*r+_*s+x*d+w*m,e[13]=b*i+_*l+x*f+w*g,e[14]=b*a+_*c+x*p+w*v,e[15]=b*o+_*u+x*h+w*y,e}function P_(e,t,n){var r,i,a,o,s,l,c,u,d,f,p,h,m=n[0],g=n[1],v=n[2];return t===e?(e[12]=t[0]*m+t[4]*g+t[8]*v+t[12],e[13]=t[1]*m+t[5]*g+t[9]*v+t[13],e[14]=t[2]*m+t[6]*g+t[10]*v+t[14],e[15]=t[3]*m+t[7]*g+t[11]*v+t[15]):(r=t[0],i=t[1],a=t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=t[8],f=t[9],p=t[10],h=t[11],e[0]=r,e[1]=i,e[2]=a,e[3]=o,e[4]=s,e[5]=l,e[6]=c,e[7]=u,e[8]=d,e[9]=f,e[10]=p,e[11]=h,e[12]=r*m+s*g+d*v+t[12],e[13]=i*m+l*g+f*v+t[13],e[14]=a*m+c*g+p*v+t[14],e[15]=o*m+u*g+h*v+t[15]),e}function I_(e,t,n){var r=n[0],i=n[1],a=n[2];return e[0]=t[0]*r,e[1]=t[1]*r,e[2]=t[2]*r,e[3]=t[3]*r,e[4]=t[4]*i,e[5]=t[5]*i,e[6]=t[6]*i,e[7]=t[7]*i,e[8]=t[8]*a,e[9]=t[9]*a,e[10]=t[10]*a,e[11]=t[11]*a,e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15],e}function O_(e,t,n,r){var i,a,o,s,l,c,u,d,f,p,h,m,g,v,y,b,_,x,w,A,S,T,C,E,M=r[0],D=r[1],P=r[2],I=Math.hypot(M,D,P);return I<v_?null:(M*=I=1/I,D*=I,P*=I,i=Math.sin(n),o=1-(a=Math.cos(n)),s=t[0],l=t[1],c=t[2],u=t[3],d=t[4],f=t[5],p=t[6],h=t[7],m=t[8],g=t[9],v=t[10],y=t[11],b=M*M*o+a,_=D*M*o+P*i,x=P*M*o-D*i,w=M*D*o-P*i,A=D*D*o+a,S=P*D*o+M*i,T=M*P*o+D*i,C=D*P*o-M*i,E=P*P*o+a,e[0]=s*b+d*_+m*x,e[1]=l*b+f*_+g*x,e[2]=c*b+p*_+v*x,e[3]=u*b+h*_+y*x,e[4]=s*w+d*A+m*S,e[5]=l*w+f*A+g*S,e[6]=c*w+p*A+v*S,e[7]=u*w+h*A+y*S,e[8]=s*T+d*C+m*E,e[9]=l*T+f*C+g*E,e[10]=c*T+p*C+v*E,e[11]=u*T+h*C+y*E,t!==e&&(e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e)}function N_(e,t,n){var r=Math.sin(n),i=Math.cos(n),a=t[4],o=t[5],s=t[6],l=t[7],c=t[8],u=t[9],d=t[10],f=t[11];return t!==e&&(e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[4]=a*i+c*r,e[5]=o*i+u*r,e[6]=s*i+d*r,e[7]=l*i+f*r,e[8]=c*i-a*r,e[9]=u*i-o*r,e[10]=d*i-s*r,e[11]=f*i-l*r,e}function k_(e,t,n){var r=Math.sin(n),i=Math.cos(n),a=t[0],o=t[1],s=t[2],l=t[3],c=t[8],u=t[9],d=t[10],f=t[11];return t!==e&&(e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[0]=a*i-c*r,e[1]=o*i-u*r,e[2]=s*i-d*r,e[3]=l*i-f*r,e[8]=a*r+c*i,e[9]=o*r+u*i,e[10]=s*r+d*i,e[11]=l*r+f*i,e}function R_(e,t,n){var r=Math.sin(n),i=Math.cos(n),a=t[0],o=t[1],s=t[2],l=t[3],c=t[4],u=t[5],d=t[6],f=t[7];return t!==e&&(e[8]=t[8],e[9]=t[9],e[10]=t[10],e[11]=t[11],e[12]=t[12],e[13]=t[13],e[14]=t[14],e[15]=t[15]),e[0]=a*i+c*r,e[1]=o*i+u*r,e[2]=s*i+d*r,e[3]=l*i+f*r,e[4]=c*i-a*r,e[5]=u*i-o*r,e[6]=d*i-s*r,e[7]=f*i-l*r,e}function L_(e,t){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=1,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=1,e[11]=0,e[12]=t[0],e[13]=t[1],e[14]=t[2],e[15]=1,e}function F_(e,t){return e[0]=t[0],e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=t[1],e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=t[2],e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function B_(e,t,n){var r,i,a,o=n[0],s=n[1],l=n[2],c=Math.hypot(o,s,l);return c<v_?null:(o*=c=1/c,s*=c,l*=c,r=Math.sin(t),a=1-(i=Math.cos(t)),e[0]=o*o*a+i,e[1]=s*o*a+l*r,e[2]=l*o*a-s*r,e[3]=0,e[4]=o*s*a-l*r,e[5]=s*s*a+i,e[6]=l*s*a+o*r,e[7]=0,e[8]=o*l*a+s*r,e[9]=s*l*a-o*r,e[10]=l*l*a+i,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e)}function U_(e,t){var n=Math.sin(t),r=Math.cos(t);return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=r,e[6]=n,e[7]=0,e[8]=0,e[9]=-n,e[10]=r,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function V_(e,t){var n=Math.sin(t),r=Math.cos(t);return e[0]=r,e[1]=0,e[2]=-n,e[3]=0,e[4]=0,e[5]=1,e[6]=0,e[7]=0,e[8]=n,e[9]=0,e[10]=r,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function G_(e,t){var n=Math.sin(t),r=Math.cos(t);return e[0]=r,e[1]=n,e[2]=0,e[3]=0,e[4]=-n,e[5]=r,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=1,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function z_(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=r+r,l=i+i,c=a+a,u=r*s,d=r*l,f=r*c,p=i*l,h=i*c,m=a*c,g=o*s,v=o*l,y=o*c;return e[0]=1-(p+m),e[1]=d+y,e[2]=f-v,e[3]=0,e[4]=d-y,e[5]=1-(u+m),e[6]=h+g,e[7]=0,e[8]=f+v,e[9]=h-g,e[10]=1-(u+p),e[11]=0,e[12]=n[0],e[13]=n[1],e[14]=n[2],e[15]=1,e}function j_(e,t){var n=new y_(3),r=-t[0],i=-t[1],a=-t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=r*r+i*i+a*a+o*o;return d>0?(n[0]=2*(s*o+u*r+l*a-c*i)/d,n[1]=2*(l*o+u*i+c*r-s*a)/d,n[2]=2*(c*o+u*a+s*i-l*r)/d):(n[0]=2*(s*o+u*r+l*a-c*i),n[1]=2*(l*o+u*i+c*r-s*a),n[2]=2*(c*o+u*a+s*i-l*r)),z_(e,t,n),e}function W_(e,t){return e[0]=t[12],e[1]=t[13],e[2]=t[14],e}function H_(e,t){var n=t[0],r=t[1],i=t[2],a=t[4],o=t[5],s=t[6],l=t[8],c=t[9],u=t[10];return e[0]=Math.hypot(n,r,i),e[1]=Math.hypot(a,o,s),e[2]=Math.hypot(l,c,u),e}function $_(e,t){var n=new y_(3);H_(n,t);var r=1/n[0],i=1/n[1],a=1/n[2],o=t[0]*r,s=t[1]*i,l=t[2]*a,c=t[4]*r,u=t[5]*i,d=t[6]*a,f=t[8]*r,p=t[9]*i,h=t[10]*a,m=o+u+h,g=0;return m>0?(g=2*Math.sqrt(m+1),e[3]=.25*g,e[0]=(d-p)/g,e[1]=(f-l)/g,e[2]=(s-c)/g):o>u&&o>h?(g=2*Math.sqrt(1+o-u-h),e[3]=(d-p)/g,e[0]=.25*g,e[1]=(s+c)/g,e[2]=(f+l)/g):u>h?(g=2*Math.sqrt(1+u-o-h),e[3]=(f-l)/g,e[0]=(s+c)/g,e[1]=.25*g,e[2]=(d+p)/g):(g=2*Math.sqrt(1+h-o-u),e[3]=(s-c)/g,e[0]=(f+l)/g,e[1]=(d+p)/g,e[2]=.25*g),e}function X_(e,t,n,r){var i=t[0],a=t[1],o=t[2],s=t[3],l=i+i,c=a+a,u=o+o,d=i*l,f=i*c,p=i*u,h=a*c,m=a*u,g=o*u,v=s*l,y=s*c,b=s*u,_=r[0],x=r[1],w=r[2];return e[0]=(1-(h+g))*_,e[1]=(f+b)*_,e[2]=(p-y)*_,e[3]=0,e[4]=(f-b)*x,e[5]=(1-(d+g))*x,e[6]=(m+v)*x,e[7]=0,e[8]=(p+y)*w,e[9]=(m-v)*w,e[10]=(1-(d+h))*w,e[11]=0,e[12]=n[0],e[13]=n[1],e[14]=n[2],e[15]=1,e}function q_(e,t,n,r,i){var a=t[0],o=t[1],s=t[2],l=t[3],c=a+a,u=o+o,d=s+s,f=a*c,p=a*u,h=a*d,m=o*u,g=o*d,v=s*d,y=l*c,b=l*u,_=l*d,x=r[0],w=r[1],A=r[2],S=i[0],T=i[1],C=i[2],E=(1-(m+v))*x,M=(p+_)*x,D=(h-b)*x,P=(p-_)*w,I=(1-(f+v))*w,O=(g+y)*w,N=(h+b)*A,k=(g-y)*A,R=(1-(f+m))*A;return e[0]=E,e[1]=M,e[2]=D,e[3]=0,e[4]=P,e[5]=I,e[6]=O,e[7]=0,e[8]=N,e[9]=k,e[10]=R,e[11]=0,e[12]=n[0]+S-(E*S+P*T+N*C),e[13]=n[1]+T-(M*S+I*T+k*C),e[14]=n[2]+C-(D*S+O*T+R*C),e[15]=1,e}function K_(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=n+n,s=r+r,l=i+i,c=n*o,u=r*o,d=r*s,f=i*o,p=i*s,h=i*l,m=a*o,g=a*s,v=a*l;return e[0]=1-d-h,e[1]=u+v,e[2]=f-g,e[3]=0,e[4]=u-v,e[5]=1-c-h,e[6]=p+m,e[7]=0,e[8]=f+g,e[9]=p-m,e[10]=1-c-d,e[11]=0,e[12]=0,e[13]=0,e[14]=0,e[15]=1,e}function Y_(e,t,n,r,i,a,o){var s=1/(n-t),l=1/(i-r),c=1/(a-o);return e[0]=2*a*s,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=2*a*l,e[6]=0,e[7]=0,e[8]=(n+t)*s,e[9]=(i+r)*l,e[10]=(o+a)*c,e[11]=-1,e[12]=0,e[13]=0,e[14]=o*a*2*c,e[15]=0,e}function J_(e,t,n,r,i){var a,o=1/Math.tan(t/2);return e[0]=o/n,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=o,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[11]=-1,e[12]=0,e[13]=0,e[15]=0,null!=i&&i!==1/0?(a=1/(r-i),e[10]=(i+r)*a,e[14]=2*i*r*a):(e[10]=-1,e[14]=-2*r),e}Math.random,Math.PI,Math.hypot||(Math.hypot=function(){for(var e=0,t=arguments.length;t--;)e+=arguments[t]*arguments[t];return Math.sqrt(e)});var Z_=J_;function Q_(e,t,n,r,i){var a,o=1/Math.tan(t/2);return e[0]=o/n,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=o,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[11]=-1,e[12]=0,e[13]=0,e[15]=0,null!=i&&i!==1/0?(a=1/(r-i),e[10]=i*a,e[14]=i*r*a):(e[10]=-1,e[14]=-r),e}function ex(e,t,n,r){var i=Math.tan(t.upDegrees*Math.PI/180),a=Math.tan(t.downDegrees*Math.PI/180),o=Math.tan(t.leftDegrees*Math.PI/180),s=Math.tan(t.rightDegrees*Math.PI/180),l=2/(o+s),c=2/(i+a);return e[0]=l,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=c,e[6]=0,e[7]=0,e[8]=-(o-s)*l*.5,e[9]=(i-a)*c*.5,e[10]=r/(n-r),e[11]=-1,e[12]=0,e[13]=0,e[14]=r*n/(n-r),e[15]=0,e}function tx(e,t,n,r,i,a,o){var s=1/(t-n),l=1/(r-i),c=1/(a-o);return e[0]=-2*s,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=-2*l,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=2*c,e[11]=0,e[12]=(t+n)*s,e[13]=(i+r)*l,e[14]=(o+a)*c,e[15]=1,e}var nx=tx;function rx(e,t,n,r,i,a,o){var s=1/(t-n),l=1/(r-i),c=1/(a-o);return e[0]=-2*s,e[1]=0,e[2]=0,e[3]=0,e[4]=0,e[5]=-2*l,e[6]=0,e[7]=0,e[8]=0,e[9]=0,e[10]=c,e[11]=0,e[12]=(t+n)*s,e[13]=(i+r)*l,e[14]=a*c,e[15]=1,e}function ix(e,t,n,r){var i,a,o,s,l,c,u,d,f,p,h=t[0],m=t[1],g=t[2],v=r[0],y=r[1],b=r[2],_=n[0],x=n[1],w=n[2];return Math.abs(h-_)<v_&&Math.abs(m-x)<v_&&Math.abs(g-w)<v_?S_(e):(u=h-_,d=m-x,f=g-w,i=y*(f*=p=1/Math.hypot(u,d,f))-b*(d*=p),a=b*(u*=p)-v*f,o=v*d-y*u,(p=Math.hypot(i,a,o))?(i*=p=1/p,a*=p,o*=p):(i=0,a=0,o=0),s=d*o-f*a,l=f*i-u*o,c=u*a-d*i,(p=Math.hypot(s,l,c))?(s*=p=1/p,l*=p,c*=p):(s=0,l=0,c=0),e[0]=i,e[1]=s,e[2]=u,e[3]=0,e[4]=a,e[5]=l,e[6]=d,e[7]=0,e[8]=o,e[9]=c,e[10]=f,e[11]=0,e[12]=-(i*h+a*m+o*g),e[13]=-(s*h+l*m+c*g),e[14]=-(u*h+d*m+f*g),e[15]=1,e)}function ax(e,t,n,r){var i=t[0],a=t[1],o=t[2],s=r[0],l=r[1],c=r[2],u=i-n[0],d=a-n[1],f=o-n[2],p=u*u+d*d+f*f;p>0&&(u*=p=1/Math.sqrt(p),d*=p,f*=p);var h=l*f-c*d,m=c*u-s*f,g=s*d-l*u;return(p=h*h+m*m+g*g)>0&&(h*=p=1/Math.sqrt(p),m*=p,g*=p),e[0]=h,e[1]=m,e[2]=g,e[3]=0,e[4]=d*g-f*m,e[5]=f*h-u*g,e[6]=u*m-d*h,e[7]=0,e[8]=u,e[9]=d,e[10]=f,e[11]=0,e[12]=i,e[13]=a,e[14]=o,e[15]=1,e}function ox(e){return"mat4("+e[0]+", "+e[1]+", "+e[2]+", "+e[3]+", "+e[4]+", "+e[5]+", "+e[6]+", "+e[7]+", "+e[8]+", "+e[9]+", "+e[10]+", "+e[11]+", "+e[12]+", "+e[13]+", "+e[14]+", "+e[15]+")"}function sx(e){return Math.hypot(e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8],e[9],e[10],e[11],e[12],e[13],e[14],e[15])}function lx(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e[2]=t[2]+n[2],e[3]=t[3]+n[3],e[4]=t[4]+n[4],e[5]=t[5]+n[5],e[6]=t[6]+n[6],e[7]=t[7]+n[7],e[8]=t[8]+n[8],e[9]=t[9]+n[9],e[10]=t[10]+n[10],e[11]=t[11]+n[11],e[12]=t[12]+n[12],e[13]=t[13]+n[13],e[14]=t[14]+n[14],e[15]=t[15]+n[15],e}function cx(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e[2]=t[2]-n[2],e[3]=t[3]-n[3],e[4]=t[4]-n[4],e[5]=t[5]-n[5],e[6]=t[6]-n[6],e[7]=t[7]-n[7],e[8]=t[8]-n[8],e[9]=t[9]-n[9],e[10]=t[10]-n[10],e[11]=t[11]-n[11],e[12]=t[12]-n[12],e[13]=t[13]-n[13],e[14]=t[14]-n[14],e[15]=t[15]-n[15],e}function ux(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e[2]=t[2]*n,e[3]=t[3]*n,e[4]=t[4]*n,e[5]=t[5]*n,e[6]=t[6]*n,e[7]=t[7]*n,e[8]=t[8]*n,e[9]=t[9]*n,e[10]=t[10]*n,e[11]=t[11]*n,e[12]=t[12]*n,e[13]=t[13]*n,e[14]=t[14]*n,e[15]=t[15]*n,e}function dx(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e[2]=t[2]+n[2]*r,e[3]=t[3]+n[3]*r,e[4]=t[4]+n[4]*r,e[5]=t[5]+n[5]*r,e[6]=t[6]+n[6]*r,e[7]=t[7]+n[7]*r,e[8]=t[8]+n[8]*r,e[9]=t[9]+n[9]*r,e[10]=t[10]+n[10]*r,e[11]=t[11]+n[11]*r,e[12]=t[12]+n[12]*r,e[13]=t[13]+n[13]*r,e[14]=t[14]+n[14]*r,e[15]=t[15]+n[15]*r,e}function fx(e,t){return e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]&&e[3]===t[3]&&e[4]===t[4]&&e[5]===t[5]&&e[6]===t[6]&&e[7]===t[7]&&e[8]===t[8]&&e[9]===t[9]&&e[10]===t[10]&&e[11]===t[11]&&e[12]===t[12]&&e[13]===t[13]&&e[14]===t[14]&&e[15]===t[15]}function px(e,t){var n=e[0],r=e[1],i=e[2],a=e[3],o=e[4],s=e[5],l=e[6],c=e[7],u=e[8],d=e[9],f=e[10],p=e[11],h=e[12],m=e[13],g=e[14],v=e[15],y=t[0],b=t[1],_=t[2],x=t[3],w=t[4],A=t[5],S=t[6],T=t[7],C=t[8],E=t[9],M=t[10],D=t[11],P=t[12],I=t[13],O=t[14],N=t[15];return Math.abs(n-y)<=v_*Math.max(1,Math.abs(n),Math.abs(y))&&Math.abs(r-b)<=v_*Math.max(1,Math.abs(r),Math.abs(b))&&Math.abs(i-_)<=v_*Math.max(1,Math.abs(i),Math.abs(_))&&Math.abs(a-x)<=v_*Math.max(1,Math.abs(a),Math.abs(x))&&Math.abs(o-w)<=v_*Math.max(1,Math.abs(o),Math.abs(w))&&Math.abs(s-A)<=v_*Math.max(1,Math.abs(s),Math.abs(A))&&Math.abs(l-S)<=v_*Math.max(1,Math.abs(l),Math.abs(S))&&Math.abs(c-T)<=v_*Math.max(1,Math.abs(c),Math.abs(T))&&Math.abs(u-C)<=v_*Math.max(1,Math.abs(u),Math.abs(C))&&Math.abs(d-E)<=v_*Math.max(1,Math.abs(d),Math.abs(E))&&Math.abs(f-M)<=v_*Math.max(1,Math.abs(f),Math.abs(M))&&Math.abs(p-D)<=v_*Math.max(1,Math.abs(p),Math.abs(D))&&Math.abs(h-P)<=v_*Math.max(1,Math.abs(h),Math.abs(P))&&Math.abs(m-I)<=v_*Math.max(1,Math.abs(m),Math.abs(I))&&Math.abs(g-O)<=v_*Math.max(1,Math.abs(g),Math.abs(O))&&Math.abs(v-N)<=v_*Math.max(1,Math.abs(v),Math.abs(N))}var hx=D_,mx=cx;function gx(){var e=new y_(9);return y_!=Float32Array&&(e[1]=0,e[2]=0,e[3]=0,e[5]=0,e[6]=0,e[7]=0),e[0]=1,e[4]=1,e[8]=1,e}function vx(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[4],e[4]=t[5],e[5]=t[6],e[6]=t[8],e[7]=t[9],e[8]=t[10],e}function yx(e){var t=new y_(9);return t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t}function bx(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e}function _x(e,t,n,r,i,a,o,s,l){var c=new y_(9);return c[0]=e,c[1]=t,c[2]=n,c[3]=r,c[4]=i,c[5]=a,c[6]=o,c[7]=s,c[8]=l,c}function xx(e,t,n,r,i,a,o,s,l,c){return e[0]=t,e[1]=n,e[2]=r,e[3]=i,e[4]=a,e[5]=o,e[6]=s,e[7]=l,e[8]=c,e}function wx(e){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=1,e[5]=0,e[6]=0,e[7]=0,e[8]=1,e}function Ax(e,t){if(e===t){var n=t[1],r=t[2],i=t[5];e[1]=t[3],e[2]=t[6],e[3]=n,e[5]=t[7],e[6]=r,e[7]=i}else e[0]=t[0],e[1]=t[3],e[2]=t[6],e[3]=t[1],e[4]=t[4],e[5]=t[7],e[6]=t[2],e[7]=t[5],e[8]=t[8];return e}function Sx(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=t[4],s=t[5],l=t[6],c=t[7],u=t[8],d=u*o-s*c,f=-u*a+s*l,p=c*a-o*l,h=n*d+r*f+i*p;return h?(h=1/h,e[0]=d*h,e[1]=(-u*r+i*c)*h,e[2]=(s*r-i*o)*h,e[3]=f*h,e[4]=(u*n-i*l)*h,e[5]=(-s*n+i*a)*h,e[6]=p*h,e[7]=(-c*n+r*l)*h,e[8]=(o*n-r*a)*h,e):null}function Tx(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=t[4],s=t[5],l=t[6],c=t[7],u=t[8];return e[0]=o*u-s*c,e[1]=i*c-r*u,e[2]=r*s-i*o,e[3]=s*l-a*u,e[4]=n*u-i*l,e[5]=i*a-n*s,e[6]=a*c-o*l,e[7]=r*l-n*c,e[8]=n*o-r*a,e}function Cx(e){var t=e[0],n=e[1],r=e[2],i=e[3],a=e[4],o=e[5],s=e[6],l=e[7],c=e[8];return t*(c*a-o*l)+n*(-c*i+o*s)+r*(l*i-a*s)}function Ex(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=t[8],f=n[0],p=n[1],h=n[2],m=n[3],g=n[4],v=n[5],y=n[6],b=n[7],_=n[8];return e[0]=f*r+p*o+h*c,e[1]=f*i+p*s+h*u,e[2]=f*a+p*l+h*d,e[3]=m*r+g*o+v*c,e[4]=m*i+g*s+v*u,e[5]=m*a+g*l+v*d,e[6]=y*r+b*o+_*c,e[7]=y*i+b*s+_*u,e[8]=y*a+b*l+_*d,e}function Mx(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=t[8],f=n[0],p=n[1];return e[0]=r,e[1]=i,e[2]=a,e[3]=o,e[4]=s,e[5]=l,e[6]=f*r+p*o+c,e[7]=f*i+p*s+u,e[8]=f*a+p*l+d,e}function Dx(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=t[4],l=t[5],c=t[6],u=t[7],d=t[8],f=Math.sin(n),p=Math.cos(n);return e[0]=p*r+f*o,e[1]=p*i+f*s,e[2]=p*a+f*l,e[3]=p*o-f*r,e[4]=p*s-f*i,e[5]=p*l-f*a,e[6]=c,e[7]=u,e[8]=d,e}function Px(e,t,n){var r=n[0],i=n[1];return e[0]=r*t[0],e[1]=r*t[1],e[2]=r*t[2],e[3]=i*t[3],e[4]=i*t[4],e[5]=i*t[5],e[6]=t[6],e[7]=t[7],e[8]=t[8],e}function Ix(e,t){return e[0]=1,e[1]=0,e[2]=0,e[3]=0,e[4]=1,e[5]=0,e[6]=t[0],e[7]=t[1],e[8]=1,e}function Ox(e,t){var n=Math.sin(t),r=Math.cos(t);return e[0]=r,e[1]=n,e[2]=0,e[3]=-n,e[4]=r,e[5]=0,e[6]=0,e[7]=0,e[8]=1,e}function Nx(e,t){return e[0]=t[0],e[1]=0,e[2]=0,e[3]=0,e[4]=t[1],e[5]=0,e[6]=0,e[7]=0,e[8]=1,e}function kx(e,t){return e[0]=t[0],e[1]=t[1],e[2]=0,e[3]=t[2],e[4]=t[3],e[5]=0,e[6]=t[4],e[7]=t[5],e[8]=1,e}function Rx(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=n+n,s=r+r,l=i+i,c=n*o,u=r*o,d=r*s,f=i*o,p=i*s,h=i*l,m=a*o,g=a*s,v=a*l;return e[0]=1-d-h,e[3]=u-v,e[6]=f+g,e[1]=u+v,e[4]=1-c-h,e[7]=p-m,e[2]=f-g,e[5]=p+m,e[8]=1-c-d,e}function Lx(e,t){var n=t[0],r=t[1],i=t[2],a=t[3],o=t[4],s=t[5],l=t[6],c=t[7],u=t[8],d=t[9],f=t[10],p=t[11],h=t[12],m=t[13],g=t[14],v=t[15],y=n*s-r*o,b=n*l-i*o,_=n*c-a*o,x=r*l-i*s,w=r*c-a*s,A=i*c-a*l,S=u*m-d*h,T=u*g-f*h,C=u*v-p*h,E=d*g-f*m,M=d*v-p*m,D=f*v-p*g,P=y*D-b*M+_*E+x*C-w*T+A*S;return P?(P=1/P,e[0]=(s*D-l*M+c*E)*P,e[1]=(l*C-o*D-c*T)*P,e[2]=(o*M-s*C+c*S)*P,e[3]=(i*M-r*D-a*E)*P,e[4]=(n*D-i*C+a*T)*P,e[5]=(r*C-n*M-a*S)*P,e[6]=(m*A-g*w+v*x)*P,e[7]=(g*_-h*A-v*b)*P,e[8]=(h*w-m*_+v*y)*P,e):null}function Fx(e,t,n){return e[0]=2/t,e[1]=0,e[2]=0,e[3]=0,e[4]=-2/n,e[5]=0,e[6]=-1,e[7]=1,e[8]=1,e}function Bx(e){return"mat3("+e[0]+", "+e[1]+", "+e[2]+", "+e[3]+", "+e[4]+", "+e[5]+", "+e[6]+", "+e[7]+", "+e[8]+")"}function Ux(e){return Math.hypot(e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8])}function Vx(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e[2]=t[2]+n[2],e[3]=t[3]+n[3],e[4]=t[4]+n[4],e[5]=t[5]+n[5],e[6]=t[6]+n[6],e[7]=t[7]+n[7],e[8]=t[8]+n[8],e}function Gx(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e[2]=t[2]-n[2],e[3]=t[3]-n[3],e[4]=t[4]-n[4],e[5]=t[5]-n[5],e[6]=t[6]-n[6],e[7]=t[7]-n[7],e[8]=t[8]-n[8],e}function zx(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e[2]=t[2]*n,e[3]=t[3]*n,e[4]=t[4]*n,e[5]=t[5]*n,e[6]=t[6]*n,e[7]=t[7]*n,e[8]=t[8]*n,e}function jx(e,t,n,r){return e[0]=t[0]+n[0]*r,e[1]=t[1]+n[1]*r,e[2]=t[2]+n[2]*r,e[3]=t[3]+n[3]*r,e[4]=t[4]+n[4]*r,e[5]=t[5]+n[5]*r,e[6]=t[6]+n[6]*r,e[7]=t[7]+n[7]*r,e[8]=t[8]+n[8]*r,e}function Wx(e,t){return e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]&&e[3]===t[3]&&e[4]===t[4]&&e[5]===t[5]&&e[6]===t[6]&&e[7]===t[7]&&e[8]===t[8]}function Hx(e,t){var n=e[0],r=e[1],i=e[2],a=e[3],o=e[4],s=e[5],l=e[6],c=e[7],u=e[8],d=t[0],f=t[1],p=t[2],h=t[3],m=t[4],g=t[5],v=t[6],y=t[7],b=t[8];return Math.abs(n-d)<=v_*Math.max(1,Math.abs(n),Math.abs(d))&&Math.abs(r-f)<=v_*Math.max(1,Math.abs(r),Math.abs(f))&&Math.abs(i-p)<=v_*Math.max(1,Math.abs(i),Math.abs(p))&&Math.abs(a-h)<=v_*Math.max(1,Math.abs(a),Math.abs(h))&&Math.abs(o-m)<=v_*Math.max(1,Math.abs(o),Math.abs(m))&&Math.abs(s-g)<=v_*Math.max(1,Math.abs(s),Math.abs(g))&&Math.abs(l-v)<=v_*Math.max(1,Math.abs(l),Math.abs(v))&&Math.abs(c-y)<=v_*Math.max(1,Math.abs(c),Math.abs(y))&&Math.abs(u-b)<=v_*Math.max(1,Math.abs(u),Math.abs(b))}var $x=Ex,Xx=Gx,qx=n(2017),Kx=n.n(qx),Yx=n(170);const Jx=n.n(Yx)()(),Zx={vtkObject:()=>null};function Qx(e){if(null==e)return e;if(e.isA)return e;if(!e.vtkClass)return Jx.console&&Jx.console.error&&Jx.console.error("Invalid VTK object"),null;const t=Zx[e.vtkClass];if(!t)return Jx.console&&Jx.console.error&&Jx.console.error(`No vtk class found for Object of type ${e.vtkClass}`),null;const n={...e};Object.keys(n).forEach((e=>{n[e]&&"object"==typeof n[e]&&n[e].vtkClass&&(n[e]=Qx(n[e]))}));const r=t(n);return r&&r.modified&&r.modified(),r}Qx.register=function(e,t){Zx[e]=t};class ew extends Array{push(){for(let e=0;e<arguments.length;e++)this.includes(arguments[e])||super.push(arguments[e]);return this.length}}let tw=0;const nw=Symbol("void"),rw={};function iw(){}["log","debug","info","warn","error","time","timeEnd","group","groupEnd"].forEach((e=>{rw[e]=iw})),Jx.console=console.hasOwnProperty("log")?console:rw;const aw={debug:iw,error:Jx.console.error||iw,info:Jx.console.info||iw,log:Jx.console.log||iw,warn:Jx.console.warn||iw};function ow(e,t){aw[e]&&(aw[e]=t||iw)}function sw(){aw.log(...arguments)}function lw(){aw.info(...arguments)}function cw(){aw.debug(...arguments)}function uw(){aw.error(...arguments)}function dw(){aw.warn(...arguments)}const fw={};function pw(e){fw[e]||(aw.error(e),fw[e]=!0)}const hw=Object.create(null);hw.Float32Array=Float32Array,hw.Float64Array=Float64Array,hw.Uint8Array=Uint8Array,hw.Int8Array=Int8Array,hw.Uint16Array=Uint16Array,hw.Int16Array=Int16Array,hw.Uint32Array=Uint32Array,hw.Int32Array=Int32Array,hw.Uint8ClampedArray=Uint8ClampedArray;try{hw.BigInt64Array=BigInt64Array,hw.BigUint64Array=BigUint64Array}catch{}function mw(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];return new(hw[e]||Float64Array)(...n)}function gw(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];return(hw[e]||Float64Array).from(...n)}function vw(e){return e.charAt(0).toUpperCase()+e.slice(1)}function yw(e){return vw("_"===e[0]?e.slice(1):e)}function bw(e){return e.charAt(0).toLowerCase()+e.slice(1)}function _w(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1e3;const r=["TB","GB","MB","KB"];let i=Number(e),a="B";for(;i>n;)i/=n,a=r.pop();return`${i.toFixed(t)} ${a}`}function xw(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:" ";const n=[];let r=e;for(;r>1e3;)n.push(("000"+r%1e3).slice(-3)),r=Math.floor(r/1e3);return r>0&&n.push(r),n.reverse(),n.join(t)}function ww(e){Object.keys(e).forEach((t=>{Array.isArray(e[t])&&(e[t]=[].concat(e[t]))}))}function Aw(e){return e&&e.isA?e.getState():e}function Sw(e){setTimeout(e,0)}function Tw(e,t){const n=performance.now();e.finally((()=>{const e=performance.now()-n;t(e)}))}function Cw(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};ww(t);const n=[];if(Number.isInteger(t.mtime)||(t.mtime=++tw),"classHierarchy"in t){if(!(t.classHierarchy instanceof ew)){const e=new ew;for(let n=0;n<t.classHierarchy.length;n++)e.push(t.classHierarchy[n]);t.classHierarchy=e}}else t.classHierarchy=new ew("vtkObject");function r(e){n[e]=null}return e.isDeleted=()=>!!t.deleted,e.modified=r=>{t.deleted?uw("instance deleted - cannot call any method"):r&&r<e.getMTime()||(t.mtime=++tw,n.forEach((t=>t&&t(e))))},e.onModified=e=>{if(t.deleted)return uw("instance deleted - cannot call any method"),null;const i=n.length;return n.push(e),function(e){return Object.freeze({unsubscribe:function(){r(e)}})}(i)},e.getMTime=()=>t.mtime,e.isA=e=>{let n=t.classHierarchy.length;for(;n--;)if(t.classHierarchy[n]===e)return!0;return!1},e.getClassName=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;return t.classHierarchy[t.classHierarchy.length-1-e]},e.set=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1&&void 0!==arguments[1]&&arguments[1],i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],a=!1;return Object.keys(n).forEach((o=>{const s=i?null:e[`set${vw(o)}`];s&&Array.isArray(n[o])&&s.length>1?a=s(...n[o])||a:s?a=s(n[o])||a:(-1!==["mtime"].indexOf(o)||r||dw(`Warning: Set value to model directly ${o}, ${n[o]}`),a=t[o]!==n[o]||a,t[o]=n[o])})),a},e.get=function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];if(!n.length)return t;const i={};return n.forEach((e=>{i[e]=t[e]})),i},e.getReferenceByName=e=>t[e],e.delete=()=>{Object.keys(t).forEach((e=>delete t[e])),n.forEach(((e,t)=>r(t))),t.deleted=!0},e.getState=()=>{if(t.deleted)return null;const n={...t,vtkClass:e.getClassName()};Object.keys(n).forEach((e=>{null===n[e]||void 0===n[e]||"_"===e[0]?delete n[e]:n[e].isA?n[e]=n[e].getState():Array.isArray(n[e])?n[e]=n[e].map(Aw):function(e){return Object.values(hw).some((t=>e instanceof t))}(n[e])&&(n[e]=Array.from(n[e]))}));const r={};return Object.keys(n).sort().forEach((e=>{r[e]=n[e]})),r.mtime&&delete r.mtime,r},e.shallowCopy=function(n){let r=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(n.getClassName()!==e.getClassName())throw new Error(`Cannot ShallowCopy ${n.getClassName()} into ${e.getClassName()}`);const i=n.get(),a=Object.keys(t).sort();Object.keys(i).sort().forEach((e=>{const n=a.indexOf(e);-1===n?r&&cw(`add ${e} in shallowCopy`):a.splice(n,1),t[e]=i[e]})),a.length&&r&&cw(`Untouched keys: ${a.join(", ")}`),e.modified()},e.toJSON=function(){return e.getState()},e}const Ew={object(e,t,n){return function(){return{...t[n.name]}}}};function Mw(e,t,n){n.forEach((n=>{if("object"==typeof n){const r=Ew[n.type];e[`get${yw(n.name)}`]=r?r(e,t,n):()=>t[n.name]}else e[`get${yw(n)}`]=()=>t[n]}))}const Dw={enum(e,t,n){const r=`_on${yw(n.name)}Changed`;return i=>{if("string"==typeof i){if(void 0!==n.enum[i])return t[n.name]!==n.enum[i]&&(t[n.name]=n.enum[i],e.modified(),!0);throw uw(`Set Enum with invalid argument ${n}, ${i}`),new RangeError("Set Enum with invalid string argument")}if("number"==typeof i){if(t[n.name]!==i){if(-1!==Object.keys(n.enum).map((e=>n.enum[e])).indexOf(i)){const a=t[n.name];return t[n.name]=i,t[r]?.(e,t,i,a),e.modified(),!0}throw uw(`Set Enum outside numeric range ${n}, ${i}`),new RangeError("Set Enum outside numeric range")}return!1}throw uw(`Set Enum with invalid argument (String/Number) ${n}, ${i}`),new TypeError("Set Enum with invalid argument (String/Number)")}},object(e,t,n){const r=`_on${yw(n.name)}Changed`;return i=>{if(!Kx()(t[n.name],i)){const a=t[n.name];return t[n.name]=i,t[r]?.(e,t,i,a),e.modified(),!0}return!1}}};function Pw(e){if("object"==typeof e){const t=Dw[e.type];if(t)return(n,r)=>t(n,r,e);throw uw(`No setter for field ${e}`),new TypeError("No setter for field")}return function(t,n){const r=`_on${yw(e)}Changed`;return function(i){if(n.deleted)return uw("instance deleted - cannot call any method"),!1;if(n[e]!==i){const a=n[e.name];return n[e]=i,n[r]?.(t,n,i,a),t.modified(),!0}return!1}}}function Iw(e,t,n){n.forEach((n=>{"object"==typeof n?e[`set${yw(n.name)}`]=Pw(n)(e,t):e[`set${yw(n)}`]=Pw(n)(e,t)}))}function Ow(e,t,n){Mw(e,t,n),Iw(e,t,n)}function Nw(e,t,n){n.forEach((n=>{e[`get${yw(n)}`]=()=>t[n]?Array.from(t[n]):t[n],e[`get${yw(n)}ByReference`]=()=>t[n]}))}function kw(e,t,n,r){let i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0;n.forEach((n=>{if(t[n]&&r&&t[n].length!==r)throw new RangeError(`Invalid initial number of values for array (${n})`);const a=`_on${yw(n)}Changed`;e[`set${yw(n)}`]=function(){if(t.deleted)return uw("instance deleted - cannot call any method"),!1;for(var o=arguments.length,s=new Array(o),l=0;l<o;l++)s[l]=arguments[l];let c,u=s,d=!1;if(1===u.length&&(null==u[0]||u[0].length>=0)&&(u=u[0],d=!0),null==u)c=t[n]!==u;else{if(r&&u.length!==r){if(!(u.length<r&&void 0!==i))throw new RangeError(`Invalid number of values for array setter (${n})`);for(u=Array.from(u),d=!1;u.length<r;)u.push(i)}c=null==t[n]||t[n].length!==u.length;for(let e=0;!c&&e<u.length;++e)c=t[n][e]!==u[e];c&&d&&(u=Array.from(u))}if(c){const r=t[n.name];t[n]=u,t[a]?.(e,t,u,r),e.modified()}return c},e[`set${yw(n)}From`]=e=>{const r=t[n];e.forEach(((e,t)=>{r[t]=e}))}}))}function Rw(e,t,n,r){let i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0;Nw(e,t,n),kw(e,t,n,r,i)}function Lw(e,t,n){for(let e=0;e<n.length;e++){const r=n[e];void 0!==t[r]&&(t[`_${r}`]=t[r],delete t[r])}}function Fw(e,t,n,r){function i(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;t.deleted?uw("instance deleted - cannot call any method"):r>=t.numberOfInputs?uw(`algorithm ${e.getClassName()} only has ${t.numberOfInputs} input ports. To add more input ports, use addInputData()`):(t.inputData[r]!==n||t.inputConnection[r])&&(t.inputData[r]=n,t.inputConnection[r]=null,e.modified&&e.modified())}function a(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;if(t.deleted)uw("instance deleted - cannot call any method");else{if(r>=t.numberOfInputs){let n=`algorithm ${e.getClassName()} only has `;return n+=`${t.numberOfInputs}`,n+=" input ports. To add more input ports, use addInputConnection()",void uw(n)}t.inputData[r]=null,t.inputConnection[r]=n}}function o(){let e=t.numberOfInputs;for(;e&&!t.inputData[e-1]&&!t.inputConnection[e-1];)e--;return e===t.numberOfInputs&&t.numberOfInputs++,e}function s(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;return t.deleted?(uw("instance deleted - cannot call any method"),null):(e.shouldUpdate()&&e.update(),t.output[n])}if(t.inputData?t.inputData=t.inputData.map(Qx):t.inputData=[],t.inputConnection?t.inputConnection=t.inputConnection.map(Qx):t.inputConnection=[],t.output?t.output=t.output.map(Qx):t.output=[],t.inputArrayToProcess?t.inputArrayToProcess=t.inputArrayToProcess.map(Qx):t.inputArrayToProcess=[],t.numberOfInputs=n,e.shouldUpdate=()=>{const n=e.getMTime();let i=1/0,a=r;for(;a--;){if(!t.output[a]||t.output[a].isDeleted())return!0;const e=t.output[a].getMTime();if(e<n)return!0;e<i&&(i=e)}for(a=t.numberOfInputs;a--;)if(t.inputConnection[a]?.filter.shouldUpdate()||e.getInputData(a)?.getMTime()>i)return!0;return!1},t.numberOfInputs){let n=t.numberOfInputs;for(;n--;)t.inputData.push(null),t.inputConnection.push(null);e.setInputData=i,e.setInputConnection=a,e.addInputData=function(e){t.deleted?uw("instance deleted - cannot call any method"):i(e,o())},e.addInputConnection=function(e){t.deleted?uw("instance deleted - cannot call any method"):a(e,o())},e.getInputData=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;return t.inputConnection[e]&&(t.inputData[e]=t.inputConnection[e]()),t.inputData[e]},e.getInputConnection=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;return t.inputConnection[e]}}r&&(e.getOutputData=s,e.getOutputPort=function(){let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;const n=()=>s(t);return n.filter=e,n}),e.update=()=>{const n=[];if(t.numberOfInputs){let r=0;for(;r<t.numberOfInputs;)n[r]=e.getInputData(r),r++}e.shouldUpdate()&&e.requestData&&e.requestData(n,t.output)},e.getNumberOfInputPorts=()=>t.numberOfInputs,e.getNumberOfOutputPorts=()=>r||t.output.length,e.getInputArrayToProcess=e=>{const n=t.inputArrayToProcess[e],r=t.inputData[e];return n&&r?r[`get${n.fieldAssociation}`]().getArray(n.arrayName):null},e.setInputArrayToProcess=function(e,n,r){let i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"Scalars";for(;t.inputArrayToProcess.length<e;)t.inputArrayToProcess.push(null);t.inputArrayToProcess[e]={arrayName:n,fieldAssociation:r,attributeType:i}}}const Bw=Symbol("Event abort");function Uw(e,t,n){const r=[],i=e.delete;let a=1;function o(e){for(let t=0;t<r.length;++t){const[n]=r[t];if(n===e)return void r.splice(t,1)}}e[`invoke${yw(n)}`]=function(){if(t.deleted)return void uw("instance deleted - cannot call any method");const n=r.slice();for(let t=0;t<n.length;++t){const[,r,i]=n[t];if(r)if(i<0)setTimeout((()=>r.apply(e,arguments)),1-i);else if(r.apply(e,arguments)===Bw)break}},e[`on${yw(n)}`]=function(e){let i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;if(!e.apply)return console.error(`Invalid callback for event ${n}`),null;if(t.deleted)return uw("instance deleted - cannot call any method"),null;const s=a++;return r.push([s,e,i]),r.sort(((e,t)=>t[2]-e[2])),function(e){return Object.freeze({unsubscribe:function(){o(e)}})}(s)},e.delete=()=>{i(),r.forEach((e=>{let[t]=e;return o(t)}))}}function Vw(e,t){const n=function(){const t={};return e(t,{},arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}),Object.freeze(t)};return t&&Qx.register(t,n),n}function Gw(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];return t.filter((e=>!!e)).map((e=>e(...n)))}}function zw(e){return e&&e.isA&&e.isA("vtkObject")}function jw(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[],r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:[];if(zw(e)){if(r.indexOf(e)>=0)return n;r.push(e);const i=t(e);void 0!==i&&n.push(i);const a=e.get();Object.keys(a).forEach((e=>{const i=a[e];Array.isArray(i)?i.forEach((e=>{jw(e,t,n,r)})):jw(i,t,n,r)}))}return n}function Ww(e,t,n){var r=this;let i;const a=function(){for(var a=arguments.length,o=new Array(a),s=0;s<a;s++)o[s]=arguments[s];const l=r,c=n&&!i;clearTimeout(i),i=setTimeout((()=>{i=null,n||e.apply(l,o)}),t),c&&e.apply(l,o)};return a.cancel=()=>clearTimeout(i),a}function Hw(e,t){let n=!1,r=null;function i(){n=!1,null!==r&&(a(...r),r=null)}function a(){for(var a=arguments.length,o=new Array(a),s=0;s<a;s++)o[s]=arguments[s];n?r=o:(n=!0,e(...o),setTimeout(i,t))}return a}function $w(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};t.keystore=Object.assign(t.keystore||{},n),e.setKey=(e,n)=>{t.keystore[e]=n},e.getKey=e=>t.keystore[e],e.getAllKeys=()=>Object.keys(t.keystore),e.deleteKey=e=>delete t.keystore[e],e.clearKeystore=()=>e.getAllKeys().forEach((e=>delete t.keystore[e]))}let Xw=1;const qw="__root__";function Kw(e,t){$w(e,t);const n=e.delete;t.proxyId=""+Xw++,t.ui=JSON.parse(JSON.stringify(t.ui||[])),Mw(e,t,["proxyId","proxyGroup","proxyName"]),Ow(e,t,["proxyManager"]);const r={},i={};function a(e,t){i[t]||(i[t]=[]);const n=i[t];for(let t=0;t<e.length;t++)n.push(e[t].name),r[e[t].name]=e[t],e[t].children&&e[t].children.length&&a(e[t].children,e[t].name)}function o(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:qw;const r=[],a=t.proxyId,s=function(){return i[arguments.length>0&&void 0!==arguments[0]?arguments[0]:qw]}(n)||[];for(let t=0;t<s.length;t++){const n=s[t],i=e[`get${yw(n)}`],l={id:a,name:n,value:i?i():void 0},c=o(n);c.length&&(l.children=c),r.push(l)}return r}a(t.ui,qw),e.updateUI=n=>{t.ui=JSON.parse(JSON.stringify(n||[])),Object.keys(r).forEach((e=>delete r[e])),Object.keys(i).forEach((e=>delete i[e])),a(t.ui,qw),e.modified()},e.updateProxyProperty=(e,t)=>{const n=r[e];n?Object.assign(n,t):r[e]={...t}},e.activate=()=>{if(t.proxyManager){const n=`setActive${yw(e.getProxyGroup().slice(0,-1))}`;t.proxyManager[n]&&t.proxyManager[n](e)}},t.propertyLinkSubscribers={},e.registerPropertyLinkForGC=(e,n)=>{n in t.propertyLinkSubscribers||(t.propertyLinkSubscribers[n]=[]),t.propertyLinkSubscribers[n].push(e)},e.gcPropertyLinks=n=>{const r=t.propertyLinkSubscribers[n]||[];for(;r.length;)r.pop().unbind(e)},t.propertyLinkMap={},e.getPropertyLink=function(e){let n=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(t.propertyLinkMap[e])return t.propertyLinkMap[e];let r=null;const i=[];let a=0,o=!1;function s(n){let s=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(o)return null;const l=[];let c=null;for(a=i.length;a--;){const e=i[a];e.instance===n?c=e:l.push(e)}if(!c)return null;const u=c.instance[`get${yw(c.propertyName)}`]();if(!function(e,t){if(e===t)return!0;if(Array.isArray(e)&&Array.isArray(t)){if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}return!1}(u,r)||s){for(r=u,o=!0;l.length;){const e=l.pop();e.instance.set({[e.propertyName]:r})}o=!1}return t.propertyLinkMap[e].persistent&&(t.propertyLinkMap[e].value=u),u}function l(e,t){const n=[];for(a=i.length;a--;){const r=i[a];r.instance!==e||r.propertyName!==t&&void 0!==t||(r.subscription.unsubscribe(),n.push(a))}for(;n.length;)i.splice(n.pop(),1)}const c={bind:function(n,r){let a=arguments.length>2&&void 0!==arguments[2]&&arguments[2];const o=n.onModified(s),c=i[0];return i.push({instance:n,propertyName:r,subscription:o}),a&&(t.propertyLinkMap[e].persistent&&void 0!==t.propertyLinkMap[e].value?n.set({[r]:t.propertyLinkMap[e].value}):c&&s(c.instance,!0)),{unsubscribe:()=>l(n,r)}},unbind:l,unsubscribe:function(){for(;i.length;)i.pop().subscription.unsubscribe()},persistent:n};return t.propertyLinkMap[e]=c,c},e.listPropertyNames=()=>o().map((e=>e.name)),e.getPropertyByName=e=>o().find((t=>t.name===e)),e.getPropertyDomainByName=e=>(r[e]||{}).domain,e.getProxySection=()=>({id:t.proxyId,name:t.proxyGroup,ui:t.ui,properties:o()}),e.delete=()=>{const r=Object.keys(t.propertyLinkMap);let i=r.length;for(;i--;)t.propertyLinkMap[r[i]].unsubscribe();Object.keys(t.propertyLinkSubscribers).forEach(e.gcPropertyLinks),n()},e.getState=()=>null,Sw((function(){if(t.links)for(let n=0;n<t.links.length;n++){const{link:r,property:i,persistent:a,updateOnBind:o,type:s}=t.links[n];if("application"===s){const n=t.proxyManager.getPropertyLink(r,a);e.registerPropertyLinkForGC(n,"application"),n.bind(e,i,o)}}}))}function Yw(e,t,n){const r=e.delete,i=[],a=Object.keys(n);let o=a.length;for(;o--;){const r=a[o],{modelKey:s,property:l,modified:c=!0}=n[r],u=yw(l),d=yw(r);e[`get${d}`]=t[s][`get${u}`],e[`set${d}`]=t[s][`set${u}`],c&&i.push(t[s].onModified(e.modified))}e.delete=()=>{for(;i.length;)i.pop().unsubscribe();r()}}function Jw(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};function i(e){const n=Object.keys(e);let r=n.length;for(;r--;){const i=n[r];t[i].set(e[i])}}t.this=e;const a=Object.keys(r);let o=a.length;for(;o--;){const s=a[o];t[s]=r[s];const l=n[s];e[`set${yw(s)}`]=n=>{n!==t[s]&&(t[s]=n,i(l[n]),e.modified())}}a.length&&Mw(e,t,a)}function Zw(e){let t=0,n=0,r=0,i=0;return"detail"in e&&(n=e.detail),"wheelDelta"in e&&(n=-e.wheelDelta/120),"wheelDeltaY"in e&&(n=-e.wheelDeltaY/120),"wheelDeltaX"in e&&(t=-e.wheelDeltaX/120),"axis"in e&&e.axis===e.HORIZONTAL_AXIS&&(t=n,n=0),r=10*t,i=10*n,"deltaY"in e&&(i=e.deltaY),"deltaX"in e&&(r=e.deltaX),(r||i)&&e.deltaMode&&(1===e.deltaMode?(r*=40,i*=40):(r*=800,i*=800)),r&&!t&&(t=r<1?-1:1),i&&!n&&(n=i<1?-1:1),{spinX:t,spinY:n||t,pixelX:r,pixelY:i||r}}var Qw={algo:Fw,capitalize:vw,chain:Gw,debounce:Ww,enumToString:function(e,t){return Object.keys(e).find((n=>e[n]===t))},event:Uw,EVENT_ABORT:Bw,formatBytesToProperUnit:_w,formatNumbersWithThousandSeparator:xw,get:Mw,getArray:Nw,getCurrentGlobalMTime:function(){return tw},getStateArrayMapFunc:Aw,isVtkObject:zw,keystore:$w,measurePromiseExecution:Tw,moveToProtected:Lw,newInstance:Vw,newTypedArray:mw,newTypedArrayFrom:gw,normalizeWheel:Zw,obj:Cw,proxy:Kw,proxyPropertyMapping:Yw,proxyPropertyState:Jw,safeArrays:ww,set:Iw,setArray:kw,setGet:Ow,setGetArray:Rw,setImmediate:Sw,setLoggerFunction:ow,throttle:Hw,traverseInstanceTree:jw,TYPED_ARRAYS:hw,uncapitalize:bw,VOID:nw,vtkDebugMacro:cw,vtkErrorMacro:uw,vtkInfoMacro:lw,vtkLogMacro:sw,vtkOnceErrorMacro:pw,vtkWarningMacro:dw},eA=Object.freeze({__proto__:null,VOID:nw,setLoggerFunction:ow,vtkLogMacro:sw,vtkInfoMacro:lw,vtkDebugMacro:cw,vtkErrorMacro:uw,vtkWarningMacro:dw,vtkOnceErrorMacro:pw,TYPED_ARRAYS:hw,newTypedArray:mw,newTypedArrayFrom:gw,capitalize:vw,_capitalize:yw,uncapitalize:bw,formatBytesToProperUnit:_w,formatNumbersWithThousandSeparator:xw,setImmediateVTK:Sw,measurePromiseExecution:Tw,obj:Cw,get:Mw,set:Iw,setGet:Ow,getArray:Nw,setArray:kw,setGetArray:Rw,moveToProtected:Lw,algo:Fw,EVENT_ABORT:Bw,event:Uw,newInstance:Vw,chain:Gw,isVtkObject:zw,traverseInstanceTree:jw,debounce:Ww,throttle:Hw,keystore:$w,proxy:Kw,proxyPropertyMapping:Yw,proxyPropertyState:Jw,normalizeWheel:Zw,default:Qw});const{vtkErrorMacro:tA}=Qw,nA={renderable:null,myFactory:null,children:[],visited:!1};function rA(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,nA,n),Qw.obj(e,t),Qw.event(e,t,"event"),t._renderableChildMap=new Map,Qw.get(e,t,["visited"]),Qw.setGet(e,t,["_parent","renderable","myFactory"]),Qw.getArray(e,t,["children"]),Qw.moveToProtected(e,t,["parent"]),function(e,t){t.classHierarchy.push("vtkViewNode"),e.build=e=>{},e.render=e=>{},e.traverse=n=>{const r=n.getTraverseOperation(),i=e[r];if(i)i(n);else{e.apply(n,!0);for(let e=0;e<t.children.length;e++)t.children[e].traverse(n);e.apply(n,!1)}},e.apply=(t,n)=>{const r=e[t.getOperation()];r&&r(n,t)},e.getViewNodeFor=n=>{if(t.renderable===n)return e;for(let e=0;e<t.children.length;++e){const r=t.children[e].getViewNodeFor(n);if(r)return r}},e.getFirstAncestorOfType=e=>t._parent?t._parent.isA(e)?t._parent:t._parent.getFirstAncestorOfType(e):null,e.getLastAncestorOfType=e=>t._parent?t._parent.getLastAncestorOfType(e)||(t._parent.isA(e)?t._parent:null):null,e.addMissingNode=n=>{if(!n)return;const r=t._renderableChildMap.get(n);if(void 0!==r)return r.setVisited(!0),r;const i=e.createViewNode(n);return i?(i.setParent(e),i.setVisited(!0),t._renderableChildMap.set(n,i),t.children.push(i),i):void 0},e.addMissingNodes=t=>{if(t&&t.length)for(let n=0;n<t.length;++n){const r=t[n];e.addMissingNode(r)}},e.addMissingChildren=n=>{if(n&&n.length)for(let r=0;r<n.length;++r){const i=n[r];if(-1===t.children.indexOf(i)){i.setParent(e),t.children.push(i);const n=i.getRenderable();n&&t._renderableChildMap.set(n,i)}i.setVisited(!0)}},e.prepareNodes=()=>{for(let e=0;e<t.children.length;++e)t.children[e].setVisited(!1)},e.setVisited=e=>{t.visited=e},e.removeUnusedNodes=()=>{let e=0;for(let n=0;n<t.children.length;++n){const r=t.children[n];if(r.getVisited())t.children[e++]=r,r.setVisited(!1);else{const e=r.getRenderable();e&&t._renderableChildMap.delete(e),r.delete()}}t.children.length=e},e.createViewNode=e=>{if(!t.myFactory)return tA("Cannot create view nodes without my own factory"),null;const n=t.myFactory.createNode(e);return n&&n.setRenderable(e),n};const n=e.delete;e.delete=()=>{for(let e=0;e<t.children.length;e++)t.children[e].delete();n()}}(e,t)}var iA={newInstance:Qw.newInstance(rA,"vtkViewNode"),extend:rA,PASS_TYPES:["Build","Render"]};const aA={};function oA(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,aA,n),Qw.obj(e,t),function(e,t){t.overrides||(t.overrides={}),t.classHierarchy.push("vtkViewNodeFactory"),e.createNode=n=>{if(n.isDeleted())return null;let r=0,i=n.getClassName(r++),a=!1;const o=Object.keys(t.overrides);for(;i&&!a;)-1!==o.indexOf(i)?a=!0:i=n.getClassName(r++);if(!a)return null;const s=t.overrides[i]();return s.setMyFactory(e),s}}(e,t)}var sA={newInstance:Qw.newInstance(oA,"vtkViewNodeFactory"),extend:oA};const lA=Object.create(null);function cA(e,t){lA[e]=t}const uA={};function dA(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,uA,n),t.overrides=lA,sA.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkOpenGLViewNodeFactory")}(0,t)}var fA={newInstance:Qw.newInstance(dA,"vtkOpenGLViewNodeFactory"),extend:dA};const pA={context:null,lastRenderer:null,keyMatrixTime:null,keyMatrices:null};const hA=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,pA,n),iA.extend(e,t,n),t.keyMatrixTime={},Cw(t.keyMatrixTime),t.keyMatrices={normalMatrix:new Float64Array(9),vcpc:new Float64Array(16),wcvc:new Float64Array(16),wcpc:new Float64Array(16)},Ow(e,t,["context","keyMatrixTime"]),function(e,t){t.classHierarchy.push("vtkOpenGLCamera"),e.buildPass=n=>{n&&(t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent(),t.context=t._openGLRenderWindow.getContext())},e.opaquePass=e=>{if(e){const e=t._openGLRenderer.getTiledSizeAndOrigin();t.context.viewport(e.lowerLeftU,e.lowerLeftV,e.usize,e.vsize),t.context.scissor(e.lowerLeftU,e.lowerLeftV,e.usize,e.vsize)}},e.translucentPass=e.opaquePass,e.zBufferPass=e.opaquePass,e.opaqueZBufferPass=e.opaquePass,e.volumePass=e.opaquePass,e.getKeyMatrices=n=>{if(n!==t.lastRenderer||t._openGLRenderWindow.getMTime()>t.keyMatrixTime.getMTime()||e.getMTime()>t.keyMatrixTime.getMTime()||n.getMTime()>t.keyMatrixTime.getMTime()||t.renderable.getMTime()>t.keyMatrixTime.getMTime()){x_(t.keyMatrices.wcvc,t.renderable.getViewMatrix()),vx(t.keyMatrices.normalMatrix,t.keyMatrices.wcvc),Sx(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix),T_(t.keyMatrices.wcvc,t.keyMatrices.wcvc);const e=t._openGLRenderer.getAspectRatio();x_(t.keyMatrices.vcpc,t.renderable.getProjectionMatrix(e,-1,1)),T_(t.keyMatrices.vcpc,t.keyMatrices.vcpc),D_(t.keyMatrices.wcpc,t.keyMatrices.vcpc,t.keyMatrices.wcvc),t.keyMatrixTime.modified(),t.lastRenderer=n}return t.keyMatrices}}(e,t)}));cA("vtkCamera",hA);const{vtkDebugMacro:mA}=eA,gA={context:null,_openGLRenderWindow:null,selector:null};const vA=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,gA,n),iA.extend(e,t,n),Mw(e,t,["shaderCache"]),Ow(e,t,["selector"]),Lw(0,t,["openGLRenderWindow"]),function(e,t){t.classHierarchy.push("vtkOpenGLRenderer"),e.buildPass=n=>{if(n){if(!t.renderable)return;e.updateLights(),e.prepareNodes(),e.addMissingNode(t.renderable.getActiveCamera()),e.addMissingNodes(t.renderable.getViewPropsWithNestedProps()),e.removeUnusedNodes()}},e.updateLights=()=>{let e=0;const n=t.renderable.getLightsByReference();for(let t=0;t<n.length;++t)n[t].getSwitch()>0&&e++;return e||(mA("No lights are on, creating one."),t.renderable.createLight()),e},e.zBufferPass=n=>{if(n){let n=0;const r=t.context;t.renderable.getTransparent()||(t.context.clearColor(1,0,0,1),n|=r.COLOR_BUFFER_BIT),t.renderable.getPreserveDepthBuffer()||(r.clearDepth(1),n|=r.DEPTH_BUFFER_BIT,t.context.depthMask(!0));const i=e.getTiledSizeAndOrigin();r.enable(r.SCISSOR_TEST),r.scissor(i.lowerLeftU,i.lowerLeftV,i.usize,i.vsize),r.viewport(i.lowerLeftU,i.lowerLeftV,i.usize,i.vsize),r.colorMask(!0,!0,!0,!0),n&&r.clear(n),r.enable(r.DEPTH_TEST)}},e.opaqueZBufferPass=t=>e.zBufferPass(t),e.cameraPass=t=>{t&&e.clear()},e.getAspectRatio=()=>{const e=t._parent.getSizeByReference(),n=t.renderable.getViewportByReference();return e[0]*(n[2]-n[0])/((n[3]-n[1])*e[1])},e.getTiledSizeAndOrigin=()=>{const e=t.renderable.getViewportByReference(),n=[0,0,1,1],r=e[0]-n[0],i=e[1]-n[1],a=t._parent.normalizedDisplayToDisplay(r,i),o=Math.round(a[0]),s=Math.round(a[1]),l=e[2]-n[0],c=e[3]-n[1],u=t._parent.normalizedDisplayToDisplay(l,c);let d=Math.round(u[0])-o,f=Math.round(u[1])-s;return d<0&&(d=0),f<0&&(f=0),{usize:d,vsize:f,lowerLeftU:o,lowerLeftV:s}},e.clear=()=>{let n=0;const r=t.context;if(!t.renderable.getTransparent()){const e=t.renderable.getBackgroundByReference();r.clearColor(e[0],e[1],e[2],e[3]),n|=r.COLOR_BUFFER_BIT}t.renderable.getPreserveDepthBuffer()||(r.clearDepth(1),n|=r.DEPTH_BUFFER_BIT,r.depthMask(!0)),r.colorMask(!0,!0,!0,!0);const i=e.getTiledSizeAndOrigin();r.enable(r.SCISSOR_TEST),r.scissor(i.lowerLeftU,i.lowerLeftV,i.usize,i.vsize),r.viewport(i.lowerLeftU,i.lowerLeftV,i.usize,i.vsize),n&&r.clear(n),r.enable(r.DEPTH_TEST)},e.releaseGraphicsResources=()=>{null!==t.selector&&t.selector.releaseGraphicsResources(),t.renderable&&t.renderable.getViewProps().forEach((e=>{e.modified()}))},e.setOpenGLRenderWindow=n=>{t._openGLRenderWindow!==n&&(e.releaseGraphicsResources(),t._openGLRenderWindow=n,t.context=null,n&&(t.context=t._openGLRenderWindow.getContext()))}}(e,t)}),"vtkOpenGLRenderer");cA("vtkRenderer",vA);const yA={context:null,keyMatrixTime:null,keyMatrices:null,activeTextures:null};const bA=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,yA,n),iA.extend(e,t,n),t.keyMatrixTime={},Cw(t.keyMatrixTime,{mtime:0}),t.keyMatrices={normalMatrix:wx(new Float64Array(9)),mcwc:S_(new Float64Array(16))},Ow(e,t,["context"]),Mw(e,t,["activeTextures"]),function(e,t){t.classHierarchy.push("vtkOpenGLActor"),e.buildPass=n=>{if(n){t._openGLRenderWindow=e.getFirstAncestorOfType("vtkOpenGLRenderWindow"),t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t.context=t._openGLRenderWindow.getContext(),e.prepareNodes(),e.addMissingNodes(t.renderable.getTextures()),e.addMissingNode(t.renderable.getMapper()),e.removeUnusedNodes(),t.ogltextures=null,t.activeTextures=null;for(let e=0;e<t.children.length;e++){const n=t.children[e];n.isA("vtkOpenGLTexture")?(t.ogltextures||(t.ogltextures=[]),t.ogltextures.push(n)):t.oglmapper=n}}},e.traverseZBufferPass=n=>{t.renderable&&t.renderable.getNestedVisibility()&&(!t._openGLRenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.traverseOpaqueZBufferPass=t=>e.traverseOpaquePass(t),e.traverseOpaquePass=n=>{t.renderable&&t.renderable.getNestedVisibility()&&t.renderable.getIsOpaque()&&(!t._openGLRenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.traverseTranslucentPass=n=>{!t.renderable||!t.renderable.getNestedVisibility()||t.renderable.getIsOpaque()||t._openGLRenderer.getSelector()&&!t.renderable.getNestedPickable()||(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.activateTextures=()=>{if(t.ogltextures){t.activeTextures=[];for(let e=0;e<t.ogltextures.length;e++){const n=t.ogltextures[e];n.render(),n.getHandle()&&t.activeTextures.push(n)}}},e.queryPass=(e,n)=>{if(e){if(!t.renderable||!t.renderable.getVisibility())return;t.renderable.getIsOpaque()?n.incrementOpaqueActorCount():n.incrementTranslucentActorCount()}},e.zBufferPass=(t,n)=>e.opaquePass(t,n),e.opaqueZBufferPass=(t,n)=>e.opaquePass(t,n),e.opaquePass=(n,r)=>{if(n)t.context.depthMask(!0),e.activateTextures();else if(t.activeTextures)for(let e=0;e<t.activeTextures.length;e++)t.activeTextures[e].deactivate()},e.translucentPass=(n,r)=>{if(n)t.context.depthMask(!1),e.activateTextures();else if(t.activeTextures)for(let e=0;e<t.activeTextures.length;e++)t.activeTextures[e].deactivate()},e.getKeyMatrices=()=>(t.renderable.getMTime()>t.keyMatrixTime.getMTime()&&(t.renderable.computeMatrix(),x_(t.keyMatrices.mcwc,t.renderable.getMatrix()),T_(t.keyMatrices.mcwc,t.keyMatrices.mcwc),t.renderable.getIsIdentity()?wx(t.keyMatrices.normalMatrix):(vx(t.keyMatrices.normalMatrix,t.keyMatrices.mcwc),Sx(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix),Ax(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix)),t.keyMatrixTime.modified()),t.keyMatrices)}(e,t)}));cA("vtkActor",bA);const _A={context:null,activeTextures:null};const xA=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,_A,n),iA.extend(e,t,n),Ow(e,t,["context"]),Mw(e,t,["activeTextures"]),function(e,t){t.classHierarchy.push("vtkOpenGLActor2D"),e.buildPass=n=>{if(n){if(!t.renderable)return;t._openGLRenderWindow=e.getFirstAncestorOfType("vtkOpenGLRenderWindow"),t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t.context=t._openGLRenderWindow.getContext(),e.prepareNodes(),e.addMissingNodes(t.renderable.getTextures()),e.addMissingNode(t.renderable.getMapper()),e.removeUnusedNodes(),t.ogltextures=null,t.activeTextures=null;for(let e=0;e<t.children.length;e++){const n=t.children[e];n.isA("vtkOpenGLTexture")?(t.ogltextures||(t.ogltextures=[]),t.ogltextures.push(n)):t.oglmapper=n}}},e.queryPass=(e,n)=>{if(e){if(!t.renderable||!t.renderable.getVisibility())return;n.incrementOverlayActorCount()}},e.traverseOpaquePass=n=>{t.oglmapper&&t.renderable&&t.renderable.getNestedVisibility()&&t.renderable.getIsOpaque()&&(!t._openGLRenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.traverseTranslucentPass=n=>{t.oglmapper&&t.renderable&&t.renderable.getNestedVisibility()&&!t.renderable.getIsOpaque()&&(!t._openGLRenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.traverseOverlayPass=n=>{t.oglmapper&&t.renderable&&t.renderable.getNestedVisibility()&&(!t._openGLRenderer.getSelector()||t.renderable.getNestedPickable)&&(e.apply(n,!0),t.oglmapper.traverse(n),e.apply(n,!1))},e.activateTextures=()=>{if(t.ogltextures){t.activeTextures=[];for(let e=0;e<t.ogltextures.length;e++){const n=t.ogltextures[e];n.render(),n.getHandle()&&t.activeTextures.push(n)}}},e.opaquePass=(n,r)=>{if(n)t.context.depthMask(!0),e.activateTextures();else if(t.activeTextures)for(let e=0;e<t.activeTextures.length;e++)t.activeTextures[e].deactivate()},e.translucentPass=(n,r)=>{if(n)t.context.depthMask(!1),e.activateTextures();else if(t.activeTextures)for(let e=0;e<t.activeTextures.length;e++)t.activeTextures[e].deactivate()},e.overlayPass=(n,r)=>{if(n)t.context.depthMask(!0),e.activateTextures();else if(t.activeTextures)for(let e=0;e<t.activeTextures.length;e++)t.activeTextures[e].deactivate()}}(e,t)}));function wA(){var e=new y_(3);return y_!=Float32Array&&(e[0]=0,e[1]=0,e[2]=0),e}function AA(e,t,n){var r=new y_(3);return r[0]=e,r[1]=t,r[2]=n,r}function SA(e,t,n,r){return e[0]=t,e[1]=n,e[2]=r,e}function TA(e,t,n){return e[0]=t[0]+n[0],e[1]=t[1]+n[1],e[2]=t[2]+n[2],e}function CA(e,t,n){return e[0]=t[0]-n[0],e[1]=t[1]-n[1],e[2]=t[2]-n[2],e}function EA(e,t,n){return e[0]=t[0]*n,e[1]=t[1]*n,e[2]=t[2]*n,e}function MA(e,t){var n=t[0],r=t[1],i=t[2],a=n*n+r*r+i*i;return a>0&&(a=1/Math.sqrt(a)),e[0]=t[0]*a,e[1]=t[1]*a,e[2]=t[2]*a,e}function DA(e,t,n){var r=t[0],i=t[1],a=t[2],o=n[3]*r+n[7]*i+n[11]*a+n[15];return o=o||1,e[0]=(n[0]*r+n[4]*i+n[8]*a+n[12])/o,e[1]=(n[1]*r+n[5]*i+n[9]*a+n[13])/o,e[2]=(n[2]*r+n[6]*i+n[10]*a+n[14])/o,e}function PA(e,t){return e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]}function IA(e,t){var n=e[0],r=e[1],i=e[2],a=t[0],o=t[1],s=t[2];return Math.abs(n-a)<=v_*Math.max(1,Math.abs(n),Math.abs(a))&&Math.abs(r-o)<=v_*Math.max(1,Math.abs(r),Math.abs(o))&&Math.abs(i-s)<=v_*Math.max(1,Math.abs(i),Math.abs(s))}cA("vtkActor2D",xA);var OA=CA;wA();const NA=Math.sqrt(50),kA=Math.sqrt(10),RA=Math.sqrt(2);function LA(e,t,n){const r=(t-e)/Math.max(0,n),i=Math.floor(Math.log10(r)),a=r/Math.pow(10,i),o=a>=NA?10:a>=kA?5:a>=RA?2:1;let s,l,c;return i<0?(c=Math.pow(10,-i)/o,s=Math.round(e*c),l=Math.round(t*c),s/c<e&&++s,l/c>t&&--l,c=-c):(c=Math.pow(10,i)*o,s=Math.round(e/c),l=Math.round(t/c),s*c<e&&++s,l*c>t&&--l),l<s&&.5<=n&&n<2?LA(e,t,2*n):[s,l,c]}function FA(e,t,n){return LA(e=+e,t=+t,n=+n)[2]}function BA(e,t){return null==e||null==t?NaN:e<t?-1:e>t?1:e>=t?0:NaN}function UA(e,t){return null==e||null==t?NaN:t<e?-1:t>e?1:t>=e?0:NaN}function VA(e){let t,n,r;function i(e,r,i=0,a=e.length){if(i<a){if(0!==t(r,r))return a;do{const t=i+a>>>1;n(e[t],r)<0?i=t+1:a=t}while(i<a)}return i}return 2!==e.length?(t=BA,n=(t,n)=>BA(e(t),n),r=(t,n)=>e(t)-n):(t=e===BA||e===UA?e:GA,n=e,r=e),{left:i,center:function(e,t,n=0,a=e.length){const o=i(e,t,n,a-1);return o>n&&r(e[o-1],t)>-r(e[o],t)?o-1:o},right:function(e,r,i=0,a=e.length){if(i<a){if(0!==t(r,r))return a;do{const t=i+a>>>1;n(e[t],r)<=0?i=t+1:a=t}while(i<a)}return i}}}function GA(){return 0}const zA=VA(BA),jA=zA.right;zA.left,VA((function(e){return null===e?NaN:+e})).center;var WA=jA;function HA(e,t,n){e.prototype=t.prototype=n,n.constructor=e}function $A(e,t){var n=Object.create(e.prototype);for(var r in t)n[r]=t[r];return n}function XA(){}var qA=.7,KA=1/qA,YA="\\s*([+-]?\\d+)\\s*",JA="\\s*([+-]?(?:\\d*\\.)?\\d+(?:[eE][+-]?\\d+)?)\\s*",ZA="\\s*([+-]?(?:\\d*\\.)?\\d+(?:[eE][+-]?\\d+)?)%\\s*",QA=/^#([0-9a-f]{3,8})$/,eS=new RegExp(`^rgb\\(${YA},${YA},${YA}\\)$`),tS=new RegExp(`^rgb\\(${ZA},${ZA},${ZA}\\)$`),nS=new RegExp(`^rgba\\(${YA},${YA},${YA},${JA}\\)$`),rS=new RegExp(`^rgba\\(${ZA},${ZA},${ZA},${JA}\\)$`),iS=new RegExp(`^hsl\\(${JA},${ZA},${ZA}\\)$`),aS=new RegExp(`^hsla\\(${JA},${ZA},${ZA},${JA}\\)$`),oS={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074};function sS(){return this.rgb().formatHex()}function lS(){return this.rgb().formatRgb()}function cS(e){var t,n;return e=(e+"").trim().toLowerCase(),(t=QA.exec(e))?(n=t[1].length,t=parseInt(t[1],16),6===n?uS(t):3===n?new pS(t>>8&15|t>>4&240,t>>4&15|240&t,(15&t)<<4|15&t,1):8===n?dS(t>>24&255,t>>16&255,t>>8&255,(255&t)/255):4===n?dS(t>>12&15|t>>8&240,t>>8&15|t>>4&240,t>>4&15|240&t,((15&t)<<4|15&t)/255):null):(t=eS.exec(e))?new pS(t[1],t[2],t[3],1):(t=tS.exec(e))?new pS(255*t[1]/100,255*t[2]/100,255*t[3]/100,1):(t=nS.exec(e))?dS(t[1],t[2],t[3],t[4]):(t=rS.exec(e))?dS(255*t[1]/100,255*t[2]/100,255*t[3]/100,t[4]):(t=iS.exec(e))?bS(t[1],t[2]/100,t[3]/100,1):(t=aS.exec(e))?bS(t[1],t[2]/100,t[3]/100,t[4]):oS.hasOwnProperty(e)?uS(oS[e]):"transparent"===e?new pS(NaN,NaN,NaN,0):null}function uS(e){return new pS(e>>16&255,e>>8&255,255&e,1)}function dS(e,t,n,r){return r<=0&&(e=t=n=NaN),new pS(e,t,n,r)}function fS(e,t,n,r){return 1===arguments.length?((i=e)instanceof XA||(i=cS(i)),i?new pS((i=i.rgb()).r,i.g,i.b,i.opacity):new pS):new pS(e,t,n,null==r?1:r);var i}function pS(e,t,n,r){this.r=+e,this.g=+t,this.b=+n,this.opacity=+r}function hS(){return`#${yS(this.r)}${yS(this.g)}${yS(this.b)}`}function mS(){const e=gS(this.opacity);return`${1===e?"rgb(":"rgba("}${vS(this.r)}, ${vS(this.g)}, ${vS(this.b)}${1===e?")":`, ${e})`}`}function gS(e){return isNaN(e)?1:Math.max(0,Math.min(1,e))}function vS(e){return Math.max(0,Math.min(255,Math.round(e)||0))}function yS(e){return((e=vS(e))<16?"0":"")+e.toString(16)}function bS(e,t,n,r){return r<=0?e=t=n=NaN:n<=0||n>=1?e=t=NaN:t<=0&&(e=NaN),new xS(e,t,n,r)}function _S(e){if(e instanceof xS)return new xS(e.h,e.s,e.l,e.opacity);if(e instanceof XA||(e=cS(e)),!e)return new xS;if(e instanceof xS)return e;var t=(e=e.rgb()).r/255,n=e.g/255,r=e.b/255,i=Math.min(t,n,r),a=Math.max(t,n,r),o=NaN,s=a-i,l=(a+i)/2;return s?(o=t===a?(n-r)/s+6*(n<r):n===a?(r-t)/s+2:(t-n)/s+4,s/=l<.5?a+i:2-a-i,o*=60):s=l>0&&l<1?0:o,new xS(o,s,l,e.opacity)}function xS(e,t,n,r){this.h=+e,this.s=+t,this.l=+n,this.opacity=+r}function wS(e){return(e=(e||0)%360)<0?e+360:e}function AS(e){return Math.max(0,Math.min(1,e||0))}function SS(e,t,n){return 255*(e<60?t+(n-t)*e/60:e<180?n:e<240?t+(n-t)*(240-e)/60:t)}function TS(e,t,n,r,i){var a=e*e,o=a*e;return((1-3*e+3*a-o)*t+(4-6*a+3*o)*n+(1+3*e+3*a-3*o)*r+o*i)/6}HA(XA,cS,{copy(e){return Object.assign(new this.constructor,this,e)},displayable(){return this.rgb().displayable()},hex:sS,formatHex:sS,formatHex8:function(){return this.rgb().formatHex8()},formatHsl:function(){return _S(this).formatHsl()},formatRgb:lS,toString:lS}),HA(pS,fS,$A(XA,{brighter(e){return e=null==e?KA:Math.pow(KA,e),new pS(this.r*e,this.g*e,this.b*e,this.opacity)},darker(e){return e=null==e?qA:Math.pow(qA,e),new pS(this.r*e,this.g*e,this.b*e,this.opacity)},rgb(){return this},clamp(){return new pS(vS(this.r),vS(this.g),vS(this.b),gS(this.opacity))},displayable(){return-.5<=this.r&&this.r<255.5&&-.5<=this.g&&this.g<255.5&&-.5<=this.b&&this.b<255.5&&0<=this.opacity&&this.opacity<=1},hex:hS,formatHex:hS,formatHex8:function(){return`#${yS(this.r)}${yS(this.g)}${yS(this.b)}${yS(255*(isNaN(this.opacity)?1:this.opacity))}`},formatRgb:mS,toString:mS})),HA(xS,(function(e,t,n,r){return 1===arguments.length?_S(e):new xS(e,t,n,null==r?1:r)}),$A(XA,{brighter(e){return e=null==e?KA:Math.pow(KA,e),new xS(this.h,this.s,this.l*e,this.opacity)},darker(e){return e=null==e?qA:Math.pow(qA,e),new xS(this.h,this.s,this.l*e,this.opacity)},rgb(){var e=this.h%360+360*(this.h<0),t=isNaN(e)||isNaN(this.s)?0:this.s,n=this.l,r=n+(n<.5?n:1-n)*t,i=2*n-r;return new pS(SS(e>=240?e-240:e+120,i,r),SS(e,i,r),SS(e<120?e+240:e-120,i,r),this.opacity)},clamp(){return new xS(wS(this.h),AS(this.s),AS(this.l),gS(this.opacity))},displayable(){return(0<=this.s&&this.s<=1||isNaN(this.s))&&0<=this.l&&this.l<=1&&0<=this.opacity&&this.opacity<=1},formatHsl(){const e=gS(this.opacity);return`${1===e?"hsl(":"hsla("}${wS(this.h)}, ${100*AS(this.s)}%, ${100*AS(this.l)}%${1===e?")":`, ${e})`}`}}));var CS=e=>()=>e;function ES(e,t){var n=t-e;return n?function(e,t){return function(n){return e+n*t}}(e,n):CS(isNaN(e)?t:e)}var MS=function e(t){var n=function(e){return 1==(e=+e)?ES:function(t,n){return n-t?function(e,t,n){return e=Math.pow(e,n),t=Math.pow(t,n)-e,n=1/n,function(r){return Math.pow(e+r*t,n)}}(t,n,e):CS(isNaN(t)?n:t)}}(t);function r(e,t){var r=n((e=fS(e)).r,(t=fS(t)).r),i=n(e.g,t.g),a=n(e.b,t.b),o=ES(e.opacity,t.opacity);return function(t){return e.r=r(t),e.g=i(t),e.b=a(t),e.opacity=o(t),e+""}}return r.gamma=e,r}(1);function DS(e){return function(t){var n,r,i=t.length,a=new Array(i),o=new Array(i),s=new Array(i);for(n=0;n<i;++n)r=fS(t[n]),a[n]=r.r||0,o[n]=r.g||0,s[n]=r.b||0;return a=e(a),o=e(o),s=e(s),r.opacity=1,function(e){return r.r=a(e),r.g=o(e),r.b=s(e),r+""}}}function PS(e,t){var n,r=t?t.length:0,i=e?Math.min(r,e.length):0,a=new Array(i),o=new Array(r);for(n=0;n<i;++n)a[n]=BS(e[n],t[n]);for(;n<r;++n)o[n]=t[n];return function(e){for(n=0;n<i;++n)o[n]=a[n](e);return o}}function IS(e,t){var n=new Date;return e=+e,t=+t,function(r){return n.setTime(e*(1-r)+t*r),n}}function OS(e,t){return e=+e,t=+t,function(n){return e*(1-n)+t*n}}function NS(e,t){var n,r={},i={};for(n in null!==e&&"object"==typeof e||(e={}),null!==t&&"object"==typeof t||(t={}),t)n in e?r[n]=BS(e[n],t[n]):i[n]=t[n];return function(e){for(n in r)i[n]=r[n](e);return i}}DS((function(e){var t=e.length-1;return function(n){var r=n<=0?n=0:n>=1?(n=1,t-1):Math.floor(n*t),i=e[r],a=e[r+1],o=r>0?e[r-1]:2*i-a,s=r<t-1?e[r+2]:2*a-i;return TS((n-r/t)*t,o,i,a,s)}})),DS((function(e){var t=e.length;return function(n){var r=Math.floor(((n%=1)<0?++n:n)*t),i=e[(r+t-1)%t],a=e[r%t],o=e[(r+1)%t],s=e[(r+2)%t];return TS((n-r/t)*t,i,a,o,s)}}));var kS=/[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g,RS=new RegExp(kS.source,"g");function LS(e,t){var n,r,i,a=kS.lastIndex=RS.lastIndex=0,o=-1,s=[],l=[];for(e+="",t+="";(n=kS.exec(e))&&(r=RS.exec(t));)(i=r.index)>a&&(i=t.slice(a,i),s[o]?s[o]+=i:s[++o]=i),(n=n[0])===(r=r[0])?s[o]?s[o]+=r:s[++o]=r:(s[++o]=null,l.push({i:o,x:OS(n,r)})),a=RS.lastIndex;return a<t.length&&(i=t.slice(a),s[o]?s[o]+=i:s[++o]=i),s.length<2?l[0]?function(e){return function(t){return e(t)+""}}(l[0].x):function(e){return function(){return e}}(t):(t=l.length,function(e){for(var n,r=0;r<t;++r)s[(n=l[r]).i]=n.x(e);return s.join("")})}function FS(e,t){t||(t=[]);var n,r=e?Math.min(t.length,e.length):0,i=t.slice();return function(a){for(n=0;n<r;++n)i[n]=e[n]*(1-a)+t[n]*a;return i}}function BS(e,t){var n,r=typeof t;return null==t||"boolean"===r?CS(t):("number"===r?OS:"string"===r?(n=cS(t))?(t=n,MS):LS:t instanceof cS?MS:t instanceof Date?IS:function(e){return ArrayBuffer.isView(e)&&!(e instanceof DataView)}(t)?FS:Array.isArray(t)?PS:"function"!=typeof t.valueOf&&"function"!=typeof t.toString||isNaN(t)?NS:OS)(e,t)}function US(e,t){return e=+e,t=+t,function(n){return Math.round(e*(1-n)+t*n)}}function VS(e){return+e}var GS=[0,1];function zS(e){return e}function jS(e,t){return(t-=e=+e)?function(n){return(n-e)/t}:function(e){return function(){return e}}(isNaN(t)?NaN:.5)}function WS(e,t,n){var r=e[0],i=e[1],a=t[0],o=t[1];return i<r?(r=jS(i,r),a=n(o,a)):(r=jS(r,i),a=n(a,o)),function(e){return a(r(e))}}function HS(e,t,n){var r=Math.min(e.length,t.length)-1,i=new Array(r),a=new Array(r),o=-1;for(e[r]<e[0]&&(e=e.slice().reverse(),t=t.slice().reverse());++o<r;)i[o]=jS(e[o],e[o+1]),a[o]=n(t[o],t[o+1]);return function(t){var n=WA(e,t,1,r)-1;return a[n](i[n](t))}}function $S(e,t){switch(arguments.length){case 0:break;case 1:this.range(e);break;default:this.range(t).domain(e)}return this}var XS,qS=/^(?:(.)?([<>=^]))?([+\-( ])?([$#])?(0)?(\d+)?(,)?(\.\d+)?(~)?([a-z%])?$/i;function KS(e){if(!(t=qS.exec(e)))throw new Error("invalid format: "+e);var t;return new YS({fill:t[1],align:t[2],sign:t[3],symbol:t[4],zero:t[5],width:t[6],comma:t[7],precision:t[8]&&t[8].slice(1),trim:t[9],type:t[10]})}function YS(e){this.fill=void 0===e.fill?" ":e.fill+"",this.align=void 0===e.align?">":e.align+"",this.sign=void 0===e.sign?"-":e.sign+"",this.symbol=void 0===e.symbol?"":e.symbol+"",this.zero=!!e.zero,this.width=void 0===e.width?void 0:+e.width,this.comma=!!e.comma,this.precision=void 0===e.precision?void 0:+e.precision,this.trim=!!e.trim,this.type=void 0===e.type?"":e.type+""}function JS(e,t){if((n=(e=t?e.toExponential(t-1):e.toExponential()).indexOf("e"))<0)return null;var n,r=e.slice(0,n);return[r.length>1?r[0]+r.slice(2):r,+e.slice(n+1)]}function ZS(e){return(e=JS(Math.abs(e)))?e[1]:NaN}function QS(e,t){var n=JS(e,t);if(!n)return e+"";var r=n[0],i=n[1];return i<0?"0."+new Array(-i).join("0")+r:r.length>i+1?r.slice(0,i+1)+"."+r.slice(i+1):r+new Array(i-r.length+2).join("0")}KS.prototype=YS.prototype,YS.prototype.toString=function(){return this.fill+this.align+this.sign+this.symbol+(this.zero?"0":"")+(void 0===this.width?"":Math.max(1,0|this.width))+(this.comma?",":"")+(void 0===this.precision?"":"."+Math.max(0,0|this.precision))+(this.trim?"~":"")+this.type};var eT={"%":(e,t)=>(100*e).toFixed(t),b:e=>Math.round(e).toString(2),c:e=>e+"",d:function(e){return Math.abs(e=Math.round(e))>=1e21?e.toLocaleString("en").replace(/,/g,""):e.toString(10)},e:(e,t)=>e.toExponential(t),f:(e,t)=>e.toFixed(t),g:(e,t)=>e.toPrecision(t),o:e=>Math.round(e).toString(8),p:(e,t)=>QS(100*e,t),r:QS,s:function(e,t){var n=JS(e,t);if(!n)return e+"";var r=n[0],i=n[1],a=i-(XS=3*Math.max(-8,Math.min(8,Math.floor(i/3))))+1,o=r.length;return a===o?r:a>o?r+new Array(a-o+1).join("0"):a>0?r.slice(0,a)+"."+r.slice(a):"0."+new Array(1-a).join("0")+JS(e,Math.max(0,t+a-1))[0]},X:e=>Math.round(e).toString(16).toUpperCase(),x:e=>Math.round(e).toString(16)};function tT(e){return e}var nT,rT,iT,aT=Array.prototype.map,oT=["y","z","a","f","p","n","µ","m","","k","M","G","T","P","E","Z","Y"];function sT(e){var t=e.domain;return e.ticks=function(e){var n=t();return function(e,t,n){if(!((n=+n)>0))return[];if((e=+e)==(t=+t))return[e];const r=t<e,[i,a,o]=r?LA(t,e,n):LA(e,t,n);if(!(a>=i))return[];const s=a-i+1,l=new Array(s);if(r)if(o<0)for(let e=0;e<s;++e)l[e]=(a-e)/-o;else for(let e=0;e<s;++e)l[e]=(a-e)*o;else if(o<0)for(let e=0;e<s;++e)l[e]=(i+e)/-o;else for(let e=0;e<s;++e)l[e]=(i+e)*o;return l}(n[0],n[n.length-1],null==e?10:e)},e.tickFormat=function(e,n){var r=t();return function(e,t,n,r){var i,a=function(e,t,n){n=+n;const r=(t=+t)<(e=+e),i=r?FA(t,e,n):FA(e,t,n);return(r?-1:1)*(i<0?1/-i:i)}(e,t,n);switch((r=KS(null==r?",f":r)).type){case"s":var o=Math.max(Math.abs(e),Math.abs(t));return null!=r.precision||isNaN(i=function(e,t){return Math.max(0,3*Math.max(-8,Math.min(8,Math.floor(ZS(t)/3)))-ZS(Math.abs(e)))}(a,o))||(r.precision=i),iT(r,o);case"":case"e":case"g":case"p":case"r":null!=r.precision||isNaN(i=function(e,t){return e=Math.abs(e),t=Math.abs(t)-e,Math.max(0,ZS(t)-ZS(e))+1}(a,Math.max(Math.abs(e),Math.abs(t))))||(r.precision=i-("e"===r.type));break;case"f":case"%":null!=r.precision||isNaN(i=function(e){return Math.max(0,-ZS(Math.abs(e)))}(a))||(r.precision=i-2*("%"===r.type))}return rT(r)}(r[0],r[r.length-1],null==e?10:e,n)},e.nice=function(n){null==n&&(n=10);var r,i,a=t(),o=0,s=a.length-1,l=a[o],c=a[s],u=10;for(c<l&&(i=l,l=c,c=i,i=o,o=s,s=i);u-- >0;){if((i=FA(l,c,n))===r)return a[o]=l,a[s]=c,t(a);if(i>0)l=Math.floor(l/i)*i,c=Math.ceil(c/i)*i;else{if(!(i<0))break;l=Math.ceil(l*i)/i,c=Math.floor(c*i)/i}r=i}return e},e}function lT(){var e=function(){var e,t,n,r,i,a,o=GS,s=GS,l=BS,c=zS;function u(){var e,t,n,l=Math.min(o.length,s.length);return c!==zS&&(e=o[0],t=o[l-1],e>t&&(n=e,e=t,t=n),c=function(n){return Math.max(e,Math.min(t,n))}),r=l>2?HS:WS,i=a=null,d}function d(t){return null==t||isNaN(t=+t)?n:(i||(i=r(o.map(e),s,l)))(e(c(t)))}return d.invert=function(n){return c(t((a||(a=r(s,o.map(e),OS)))(n)))},d.domain=function(e){return arguments.length?(o=Array.from(e,VS),u()):o.slice()},d.range=function(e){return arguments.length?(s=Array.from(e),u()):s.slice()},d.rangeRound=function(e){return s=Array.from(e),l=US,u()},d.clamp=function(e){return arguments.length?(c=!!e||zS,u()):c!==zS},d.interpolate=function(e){return arguments.length?(l=e,u()):l},d.unknown=function(e){return arguments.length?(n=e,d):n},function(n,r){return e=n,t=r,u()}}()(zS,zS);return e.copy=function(){return function(e,t){return t.domain(e.domain()).range(e.range()).interpolate(e.interpolate()).clamp(e.clamp()).unknown(e.unknown())}(e,lT())},$S.apply(e,arguments),sT(e)}nT=function(e){var t,n,r=void 0===e.grouping||void 0===e.thousands?tT:(t=aT.call(e.grouping,Number),n=e.thousands+"",function(e,r){for(var i=e.length,a=[],o=0,s=t[0],l=0;i>0&&s>0&&(l+s+1>r&&(s=Math.max(1,r-l)),a.push(e.substring(i-=s,i+s)),!((l+=s+1)>r));)s=t[o=(o+1)%t.length];return a.reverse().join(n)}),i=void 0===e.currency?"":e.currency[0]+"",a=void 0===e.currency?"":e.currency[1]+"",o=void 0===e.decimal?".":e.decimal+"",s=void 0===e.numerals?tT:function(e){return function(t){return t.replace(/[0-9]/g,(function(t){return e[+t]}))}}(aT.call(e.numerals,String)),l=void 0===e.percent?"%":e.percent+"",c=void 0===e.minus?"−":e.minus+"",u=void 0===e.nan?"NaN":e.nan+"";function d(e){var t=(e=KS(e)).fill,n=e.align,d=e.sign,f=e.symbol,p=e.zero,h=e.width,m=e.comma,g=e.precision,v=e.trim,y=e.type;"n"===y?(m=!0,y="g"):eT[y]||(void 0===g&&(g=12),v=!0,y="g"),(p||"0"===t&&"="===n)&&(p=!0,t="0",n="=");var b="$"===f?i:"#"===f&&/[boxX]/.test(y)?"0"+y.toLowerCase():"",_="$"===f?a:/[%p]/.test(y)?l:"",x=eT[y],w=/[defgprs%]/.test(y);function A(e){var i,a,l,f=b,A=_;if("c"===y)A=x(e)+A,e="";else{var S=(e=+e)<0||1/e<0;if(e=isNaN(e)?u:x(Math.abs(e),g),v&&(e=function(e){e:for(var t,n=e.length,r=1,i=-1;r<n;++r)switch(e[r]){case".":i=t=r;break;case"0":0===i&&(i=r),t=r;break;default:if(!+e[r])break e;i>0&&(i=0)}return i>0?e.slice(0,i)+e.slice(t+1):e}(e)),S&&0==+e&&"+"!==d&&(S=!1),f=(S?"("===d?d:c:"-"===d||"("===d?"":d)+f,A=("s"===y?oT[8+XS/3]:"")+A+(S&&"("===d?")":""),w)for(i=-1,a=e.length;++i<a;)if(48>(l=e.charCodeAt(i))||l>57){A=(46===l?o+e.slice(i+1):e.slice(i))+A,e=e.slice(0,i);break}}m&&!p&&(e=r(e,1/0));var T=f.length+e.length+A.length,C=T<h?new Array(h-T+1).join(t):"";switch(m&&p&&(e=r(C+e,C.length?h-A.length:1/0),C=""),n){case"<":e=f+e+A+C;break;case"=":e=f+C+e+A;break;case"^":e=C.slice(0,T=C.length>>1)+f+e+A+C.slice(T);break;default:e=C+f+e+A}return s(e)}return g=void 0===g?6:/[gprs]/.test(y)?Math.max(1,Math.min(21,g)):Math.max(0,Math.min(20,g)),A.toString=function(){return e+""},A}return{format:d,formatPrefix:function(e,t){var n=d(((e=KS(e)).type="f",e)),r=3*Math.max(-8,Math.min(8,Math.floor(ZS(t)/3))),i=Math.pow(10,-r),a=oT[8+r/3];return function(e){return n(i*e)+a}}}}({thousands:",",grouping:[3],currency:["$",""]}),rT=nT.format,iT=nT.formatPrefix,n(7391);const cT=1e-12,{vtkErrorMacro:uT,vtkWarningMacro:dT}=Qw;function fT(e){return()=>uT(`vtkMath::${e} - NOT IMPLEMENTED`)}function pT(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:3;const t=Array(e);for(let n=0;n<e;++n)t[n]=0;return t}function hT(e){return e/180*Math.PI}function mT(e){return 180*e/Math.PI}const{round:gT,floor:vT,ceil:yT,min:bT,max:_T}=Math;function xT(e){let t=1;for(;t<e;)t*=2;return t}function wT(e){return e===xT(e)}function AT(e,t,n){return n[0]=e[0]+t[0],n[1]=e[1]+t[1],n[2]=e[2]+t[2],n}function ST(e,t,n){return n[0]=e[0]-t[0],n[1]=e[1]-t[1],n[2]=e[2]-t[2],n}function TT(e,t,n,r){return r[0]=e[0]+t[0]*n,r[1]=e[1]+t[1]*n,r[2]=e[2]+t[2]*n,r}function CT(e,t){return e[0]*t[0]+e[1]*t[1]+e[2]*t[2]}function ET(e,t,n){const r=e[1]*t[2]-e[2]*t[1],i=e[2]*t[0]-e[0]*t[2],a=e[0]*t[1]-e[1]*t[0];return n[0]=r,n[1]=i,n[2]=a,n}function MT(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:3;switch(t){case 1:return Math.abs(e);case 2:return Math.sqrt(e[0]*e[0]+e[1]*e[1]);case 3:return Math.sqrt(e[0]*e[0]+e[1]*e[1]+e[2]*e[2]);default:{let n=0;for(let r=0;r<t;r++)n+=e[r]*e[r];return Math.sqrt(n)}}}function DT(e){const t=MT(e);return 0!==t&&(e[0]/=t,e[1]/=t,e[2]/=t),t}function PT(e,t){return(e[0]-t[0])*(e[0]-t[0])+(e[1]-t[1])*(e[1]-t[1])+(e[2]-t[2])*(e[2]-t[2])}function IT(e){const t=(n=e,Math.sqrt(n[0]*n[0]+n[1]*n[1]));var n;return 0!==t&&(e[0]/=t,e[1]/=t),t}function OT(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return 2===t.length?t[0][0]*t[1][1]-t[1][0]*t[0][1]:4===t.length?t[0]*t[3]-t[1]*t[2]:Number.NaN}fT("ceilLog2"),fT("factorial"),fT("gaussian");const NT=function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1e-6;return e.length===t.length&&e.every((function(e,r){return Math.abs(e-t[r])<=n}))};function kT(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;if(!`${e}`.includes("e"))return+`${Math.round(`${e}e+${t}`)}e-${t}`;const n=`${e}`.split("e");let r="";return+n[1]+t>0&&(r="+"),+`${Math.round(`${+n[0]}e${r}${+n[1]+t}`)}e-${t}`}function RT(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[0,0,0],n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:0;return t[0]=kT(e[0],n),t[1]=kT(e[1],n),t[2]=kT(e[2],n),t}function LT(e,t,n){if(2===n){const n=pT(2),r=OT(e[0],e[1],e[2],e[3]);return 0===r?0:(n[0]=(e[3]*t[0]-e[1]*t[1])/r,n[1]=(-e[2]*t[0]+e[0]*t[1])/r,t[0]=n[0],t[1]=n[1],1)}if(1===n)return 0===e[0]?0:(t[0]/=e[0],1);const r=pT(n);return 0===function(e,t,n){let r,i,a,o,s,l,c,u=0;const d=pT(n);for(r=0;r<n;r++){for(o=0,i=0;i<n;i++)(c=Math.abs(e[r*n+i]))>o&&(o=c);if(0===o)return dT("Unable to factor linear system"),0;d[r]=1/o}for(i=0;i<n;i++){for(r=0;r<i;r++){for(s=e[r*n+i],a=0;a<r;a++)s-=e[r*n+a]*e[a*n+i];e[r*n+i]=s}for(o=0,r=i;r<n;r++){for(s=e[r*n+i],a=0;a<i;a++)s-=e[r*n+a]*e[a*n+i];e[r*n+i]=s,(l=d[r]*Math.abs(s))>=o&&(o=l,u=r)}if(i!==u){for(a=0;a<n;a++)l=e[u*n+a],e[u*n+a]=e[i*n+a],e[i*n+a]=l;d[u]=d[i]}if(t[i]=u,Math.abs(e[i*n+i])<=cT)return dT("Unable to factor linear system"),0;if(i!==n-1)for(l=1/e[i*n+i],r=i+1;r<n;r++)e[r*n+i]*=l}return 1}(e,r,n)?0:(function(e,t,n,r){let i,a,o,s,l;for(o=-1,i=0;i<r;i++){if(s=t[i],l=n[s],n[s]=n[i],o>=0)for(a=o;a<=i-1;a++)l-=e[i*r+a]*n[a];else 0!==l&&(o=i);n[i]=l}for(i=r-1;i>=0;i--){for(l=n[i],a=i+1;a<r;a++)l-=e[i*r+a]*n[a];n[i]=l/e[i*r+i]}}(e,r,t,n),1)}function FT(e,t){let n,r;const[i,a,o]=e,s=1/6;let l=i,c=i;a>l?l=a:a<c&&(c=a),o>l?l=o:o<c&&(c=o);const u=l;r=u>0?(l-c)/l:0,r>0?(n=i===l?s*(a-o)/(l-c):a===l?1/3+s*(o-i)/(l-c):2/3+s*(i-a)/(l-c),n<0&&(n+=1)):n=0,t[0]=n,t[1]=r,t[2]=u}function BT(e,t){const[n,r,i]=e,a=1/3,o=1/6,s=2/3,l=5/6;let c,u,d;n>o&&n<=a?(u=1,c=(a-n)/o,d=0):n>a&&n<=.5?(u=1,d=(n-a)/o,c=0):n>.5&&n<=s?(d=1,u=(s-n)/o,c=0):n>s&&n<=l?(d=1,c=(n-s)/o,u=0):n>l&&n<=1?(c=1,d=(1-n)/o,u=0):(c=1,u=n/o,d=0),c=r*c+(1-r),u=r*u+(1-r),d=r*d+(1-r),c*=i,u*=i,d*=i,t[0]=c,t[1]=u,t[2]=d}function UT(e,t){const n=[0,0,0];(function(e,t){let[n,r,i]=e;n>.04045?n=((n+.055)/1.055)**2.4:n/=12.92,r>.04045?r=((r+.055)/1.055)**2.4:r/=12.92,i>.04045?i=((i+.055)/1.055)**2.4:i/=12.92,t[0]=.4124*n+.3576*r+.1805*i,t[1]=.2126*n+.7152*r+.0722*i,t[2]=.0193*n+.1192*r+.9505*i})(e,n),function(e,t){const[n,r,i]=e;let a=n/.9505,o=r/1,s=i/1.089;a>.008856?a**=1/3:a=7.787*a+16/116,o>.008856?o**=1/3:o=7.787*o+16/116,s>.008856?s**=1/3:s=7.787*s+16/116,t[0]=116*o-16,t[1]=500*(a-o),t[2]=200*(o-s)}(n,t)}function VT(e,t){const n=[0,0,0];(function(e,t){const[n,r,i]=e;let a=(n+16)/116,o=r/500+a,s=a-i/200;a**3>.008856?a**=3:a=(a-16/116)/7.787,o**3>.008856?o**=3:o=(o-16/116)/7.787,s**3>.008856?s**=3:s=(s-16/116)/7.787,t[0]=.9505*o,t[1]=1*a,t[2]=1.089*s})(e,n),function(e,t){const[n,r,i]=e;let a=3.2406*n+-1.5372*r+-.4986*i,o=-.9689*n+1.8758*r+.0415*i,s=.0557*n+-.204*r+1.057*i;a>.0031308?a=1.055*a**(1/2.4)-.055:a*=12.92,o>.0031308?o=1.055*o**(1/2.4)-.055:o*=12.92,s>.0031308?s=1.055*s**(1/2.4)-.055:s*=12.92;let l=a;l<o&&(l=o),l<s&&(l=s),l>1&&(a/=l,o/=l,s/=l),a<0&&(a=0),o<0&&(o=0),s<0&&(s=0),t[0]=a,t[1]=o,t[2]=s}(n,t)}function GT(e){return e[0]=1,e[1]=-1,e[2]=1,e[3]=-1,e[4]=1,e[5]=-1,e}function zT(e){return!(e[1]-e[0]<0)}function jT(e,t,n){return e<t?t:e>n?n:e}function WT(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:[0,0,0];return r[0]=jT(e[0],t[0],n[0]),r[1]=jT(e[1],t[1],n[1]),r[2]=jT(e[2],t[2],n[2]),r}fT("GetScalarTypeFittingRange"),fT("GetAdjustedScalarRange");const HT=e=>!Number.isFinite(e),{isFinite:$T,isNaN:XT}=Number,qT=XT;function KT(){return[].concat([Number.MAX_VALUE,-Number.MAX_VALUE,Number.MAX_VALUE,-Number.MAX_VALUE,Number.MAX_VALUE,-Number.MAX_VALUE])}const YT=1e-6,JT="coincide",ZT="disjoint";function QT(e,t,n){const r=n[0]*(e[0]-t[0])+n[1]*(e[1]-t[1])+n[2]*(e[2]-t[2]);return Math.abs(r)}function eC(e,t,n,r){const i=[];ST(e,t,i);const a=CT(n,i);r[0]=e[0]-a*n[0],r[1]=e[1]-a*n[1],r[2]=e[2]-a*n[2]}function tC(e,t,n){const r=CT(e,t);let i=CT(t,t);return 0===i&&(i=1),n[0]=e[0]-r*t[0]/i,n[1]=e[1]-r*t[1]/i,n[2]=e[2]-r*t[2]/i,n}function nC(e,t,n,r){const i=[];ST(e,t,i);const a=CT(n,i),o=CT(n,n);0!==o?(r[0]=e[0]-a*n[0]/o,r[1]=e[1]-a*n[1]/o,r[2]=e[2]-a*n[2]/o):(r[0]=e[0],r[1]=e[1],r[2]=e[2])}function rC(e,t,n,r){const i={intersection:!1,betweenPoints:!1,t:Number.MAX_VALUE,x:[]},a=[],o=[];ST(t,e,a),ST(n,e,o);const s=CT(r,o),l=CT(r,a);let c,u;return c=l<0?-l:l,u=s<0?-s*YT:s*YT,c<=u||(i.t=s/l,i.x[0]=e[0]+i.t*a[0],i.x[1]=e[1]+i.t*a[1],i.x[2]=e[2]+i.t*a[2],i.intersection=!0,i.betweenPoints=i.t>=0&&i.t<=1),i}function iC(e,t,n,r){const i={intersection:!1,l0:[],l1:[],error:null},a=[];ET(t,r,a);const o=a.map((e=>Math.abs(e)));if(o[0]+o[1]+o[2]<YT){const r=[];return ST(e,n,r),0===CT(t,r)?i.error=JT:i.error=ZT,i}let s;s=o[0]>o[1]&&o[0]>o[2]?"x":o[1]>o[2]?"y":"z";const l=[],c=-CT(t,e),u=-CT(r,n);switch(s){case"x":l[0]=0,l[1]=(u*t[2]-c*r[2])/a[0],l[2]=(c*r[1]-u*t[1])/a[0];break;case"y":l[0]=(c*r[2]-u*t[2])/a[1],l[1]=0,l[2]=(u*t[0]-c*r[0])/a[1];break;case"z":l[0]=(u*t[1]-c*r[1])/a[2],l[1]=(c*r[0]-u*t[0])/a[2],l[2]=0}return i.l0=l,AT(l,a,i.l1),i.intersection=!0,i}const aC={evaluate:function(e,t,n){return e[0]*(n[0]-t[0])+e[1]*(n[1]-t[1])+e[2]*(n[2]-t[2])},distanceToPlane:QT,projectPoint:eC,projectVector:tC,generalizedProjectPoint:nC,intersectWithLine:rC,intersectWithPlane:iC,DISJOINT:ZT,COINCIDE:JT},oC={normal:[0,0,1],origin:[0,0,0]};function sC(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,oC,n),Qw.obj(e,t),Qw.setGetArray(e,t,["normal","origin"],3),function(e,t){t.classHierarchy.push("vtkPlane"),e.distanceToPlane=e=>QT(e,t.origin,t.normal),e.projectPoint=(e,n)=>{eC(e,t.origin,t.normal,n)},e.projectVector=(e,n)=>tC(e,t.normal,n),e.push=e=>{if(0!==e)for(let n=0;n<3;n++)t.origin[n]+=e*t.normal[n]},e.generalizedProjectPoint=(e,n)=>{nC(e,t.origin,t.normal,n)},e.evaluateFunction=(e,n,r)=>Array.isArray(e)?t.normal[0]*(e[0]-t.origin[0])+t.normal[1]*(e[1]-t.origin[1])+t.normal[2]*(e[2]-t.origin[2]):t.normal[0]*(e-t.origin[0])+t.normal[1]*(n-t.origin[1])+t.normal[2]*(r-t.origin[2]),e.evaluateGradient=e=>[t.normal[0],t.normal[1],t.normal[2]],e.intersectWithLine=(e,n)=>rC(e,n,t.origin,t.normal),e.intersectWithPlane=(e,n)=>iC(e,n,t.origin,t.normal)}(e,t)}var lC={newInstance:Qw.newInstance(sC,"vtkPlane"),extend:sC,...aC};const cC=[Number.MAX_VALUE,-Number.MAX_VALUE,Number.MAX_VALUE,-Number.MAX_VALUE,Number.MAX_VALUE,-Number.MAX_VALUE];function uC(e,t){return e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]&&e[3]===t[3]&&e[4]===t[4]&&e[5]===t[5]}function dC(e){return e?.length>=6&&e[0]<=e[1]&&e[2]<=e[3]&&e[4]<=e[5]}function fC(e,t){return e[0]=t[0],e[1]=t[1],e[2]=t[2],e[3]=t[3],e[4]=t[4],e[5]=t[5],e}function pC(e){return fC(e,cC)}function hC(e,t,n,r){const[i,a,o,s,l,c]=e;return e[0]=i<t?i:t,e[1]=a>t?a:t,e[2]=o<n?o:n,e[3]=s>n?s:n,e[4]=l<r?l:r,e[5]=c>r?c:r,e}function mC(e,t){if(0===t.length)return e;if(Array.isArray(t[0]))for(let n=0;n<t.length;++n)hC(e,...t[n]);else for(let n=0;n<t.length;n+=3)hC(e,...t.slice(n,n+3));return e}function gC(e,t,n,r,i,a,o){const[s,l,c,u,d,f]=e;return void 0===o?(e[0]=Math.min(t[0],s),e[1]=Math.max(t[1],l),e[2]=Math.min(t[2],c),e[3]=Math.max(t[3],u),e[4]=Math.min(t[4],d),e[5]=Math.max(t[5],f)):(e[0]=Math.min(t,s),e[1]=Math.max(n,l),e[2]=Math.min(r,c),e[3]=Math.max(i,u),e[4]=Math.min(a,d),e[5]=Math.max(o,f)),e}function vC(e,t,n,r){const[i,a,o,s,l,c]=e;return e[0]=t,e[1]=t>a?t:a,e[2]=n,e[3]=n>s?n:s,e[4]=r,e[5]=r>c?r:c,i!==t||o!==n||l!==r}function yC(e,t,n,r){const[i,a,o,s,l,c]=e;return e[0]=t<i?t:i,e[1]=t,e[2]=n<o?n:o,e[3]=n,e[4]=r<l?r:l,e[5]=r,a!==t||s!==n||c!==r}function bC(e,t){return e[0]-=t,e[1]+=t,e[2]-=t,e[3]+=t,e[4]-=t,e[5]+=t,e}function _C(e,t,n,r){return!!dC(e)&&(t>=0?(e[0]*=t,e[1]*=t):(e[0]=t*e[1],e[1]=t*e[0]),n>=0?(e[2]*=n,e[3]*=n):(e[2]=n*e[3],e[3]=n*e[2]),r>=0?(e[4]*=r,e[5]*=r):(e[4]=r*e[5],e[5]=r*e[4]),!0)}function xC(e){return[.5*(e[0]+e[1]),.5*(e[2]+e[3]),.5*(e[4]+e[5])]}function wC(e,t){return e[2*t+1]-e[2*t]}function AC(e){return[wC(e,0),wC(e,1),wC(e,2)]}function SC(e){return e.slice(0,2)}function TC(e){return e.slice(2,4)}function CC(e){return e.slice(4,6)}function EC(e){const t=AC(e);return t[0]>t[1]?t[0]>t[2]?t[0]:t[2]:t[1]>t[2]?t[1]:t[2]}function MC(e){if(dC(e)){const t=AC(e);return Math.sqrt(t[0]*t[0]+t[1]*t[1]+t[2]*t[2])}return null}function DC(e){return[e[0],e[2],e[4]]}function PC(e){return[e[1],e[3],e[5]]}function IC(e,t){return e<=0&&t>=0||e>=0&&t<=0}function OC(e,t){let n=0;for(let r=0;r<2;r++)for(let i=2;i<4;i++)for(let a=4;a<6;a++)t[n++]=[e[r],e[i],e[a]];return t}function NC(e,t,n){return t[0]=e[0],t[1]=e[2],t[2]=e[4],n[0]=e[1],n[1]=e[3],n[2]=e[5],t}function kC(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];const r=OC(e,[]);for(let e=0;e<r.length;++e)DA(r[e],r[e],t);return pC(n),mC(n,r)}function RC(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return t[0]=.5*(e[1]-e[0]),t[1]=.5*(e[3]-e[2]),t[2]=.5*(e[5]-e[4]),t}function LC(e,t,n,r){const i=[].concat(cC),a=e.getData();for(let e=0;e<a.length;e+=3){const o=[a[e],a[e+1],a[e+2]],s=CT(o,t);i[0]=Math.min(s,i[0]),i[1]=Math.max(s,i[1]);const l=CT(o,n);i[2]=Math.min(l,i[2]),i[3]=Math.max(l,i[3]);const c=CT(o,r);i[4]=Math.min(c,i[4]),i[5]=Math.max(c,i[5])}return i}function FC(e,t,n,r,i){let a=!0;const o=[];let s=0;const l=[],c=[0,0,0];for(let n=0;n<3;n++)t[n]<e[2*n]?(o[n]=1,c[n]=e[2*n],a=!1):t[n]>e[2*n+1]?(o[n]=0,c[n]=e[2*n+1],a=!1):o[n]=2;if(a)return r[0]=t[0],r[1]=t[1],r[2]=t[2],i[0]=0,1;for(let e=0;e<3;e++)2!==o[e]&&0!==n[e]?l[e]=(c[e]-t[e])/n[e]:l[e]=-1;for(let e=0;e<3;e++)l[s]<l[e]&&(s=e);if(l[s]>1||l[s]<0)return 0;i[0]=l[s];for(let i=0;i<3;i++)if(s!==i){if(r[i]=t[i]+l[s]*n[i],r[i]<e[2*i]||r[i]>e[2*i+1])return 0}else r[i]=c[i];return 1}function BC(e,t,n){const r=[];let i=0,a=1,o=1;for(let s=4;s<=5;++s){r[2]=e[s];for(let s=2;s<=3;++s){r[1]=e[s];for(let s=0;s<=1;++s)if(r[0]=e[s],i=lC.evaluate(n,t,r),o&&(a=i>=0?1:-1,o=0),0===i||a>0&&i<0||a<0&&i>0)return 1}}return 0}function UC(e,t){if(!dC(e)||!dC(t))return!1;const n=[0,0,0,0,0,0];let r;for(let i=0;i<3;i++)if(r=!1,t[2*i]>=e[2*i]&&t[2*i]<=e[2*i+1]?(r=!0,n[2*i]=t[2*i]):e[2*i]>=t[2*i]&&e[2*i]<=t[2*i+1]&&(r=!0,n[2*i]=e[2*i]),t[2*i+1]>=e[2*i]&&t[2*i+1]<=e[2*i+1]?(r=!0,n[2*i+1]=t[2*i+1]):e[2*i+1]>=t[2*i]&&e[2*i+1]<=t[2*i+1]&&(r=!0,n[2*i+1]=e[2*i+1]),!r)return!1;return e[0]=n[0],e[1]=n[1],e[2]=n[2],e[3]=n[3],e[4]=n[4],e[5]=n[5],!0}function VC(e,t){if(!dC(e)||!dC(t))return!1;for(let n=0;n<3;n++)if(!(t[2*n]>=e[2*n]&&t[2*n]<=e[2*n+1]||e[2*n]>=t[2*n]&&e[2*n]<=t[2*n+1]||t[2*n+1]>=e[2*n]&&t[2*n+1]<=e[2*n+1]||e[2*n+1]>=t[2*n]&&e[2*n+1]<=t[2*n+1]))return!1;return!0}function GC(e,t,n,r){return!(t<e[0]||t>e[1]||n<e[2]||n>e[3]||r<e[4]||r>e[5])}function zC(e,t,n){const r=[[0,1,2,3,4,5,6,7],[0,1,4,5,2,3,6,7],[0,2,4,6,1,3,5,7]],i=[0,0,0,0,0,0,0,0];let a=0;for(let r=0;r<2;r++)for(let o=2;o<4;o++)for(let s=4;s<6;s++){const l=[e[r],e[o],e[s]];i[a++]=lC.evaluate(n,t,l)}let o=2;for(;o--&&!(IC(i[r[o][0]],i[r[o][4]])&&IC(i[r[o][1]],i[r[o][5]])&&IC(i[r[o][2]],i[r[o][6]])&&IC(i[r[o][3]],i[r[o][7]])););if(o<0)return!1;const s=Math.sign(n[o]),l=Math.abs((e[2*o+1]-e[2*o])*n[o]);let c=s>0?1:0;for(let e=0;e<4;e++){if(0===l)continue;const t=Math.abs(i[r[o][e]])/l;s>0&&t<c&&(c=t),s<0&&t>c&&(c=t)}const u=(1-c)*e[2*o]+c*e[2*o+1];return s>0?e[2*o]=u:e[2*o+1]=u,!0}class jC{constructor(e){this.bounds=e,this.bounds||(this.bounds=new Float64Array(cC))}getBounds(){return this.bounds}equals(e){return uC(this.bounds,e)}isValid(){return dC(this.bounds)}setBounds(e){return fC(this.bounds,e)}reset(){return pC(this.bounds)}addPoint(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return hC(this.bounds,...t)}addPoints(e){return mC(this.bounds,e)}addBounds(e,t,n,r,i,a){return gC(this.bounds,e,t,n,r,i,a)}setMinPoint(e,t,n){return vC(this.bounds,e,t,n)}setMaxPoint(e,t,n){return yC(this.bounds,e,t,n)}inflate(e){return bC(this.bounds,e)}scale(e,t,n){return _C(this.bounds,e,t,n)}getCenter(){return xC(this.bounds)}getLength(e){return wC(this.bounds,e)}getLengths(){return AC(this.bounds)}getMaxLength(){return EC(this.bounds)}getDiagonalLength(){return MC(this.bounds)}getMinPoint(){return DC(this.bounds)}getMaxPoint(){return PC(this.bounds)}getXRange(){return SC(this.bounds)}getYRange(){return TC(this.bounds)}getZRange(){return CC(this.bounds)}getCorners(e){return OC(this.bounds,e)}computeCornerPoints(e,t){return NC(this.bounds,e,t)}computeLocalBounds(e,t,n){return LC(this.bounds,e,t,n)}transformBounds(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return kC(this.bounds,e,t)}computeScale3(e){return RC(this.bounds,e)}cutWithPlane(e,t){return zC(this.bounds,e,t)}intersectBox(e,t,n,r){return FC(this.bounds,e,t,n,r)}intersectPlane(e,t){return BC(this.bounds,e,t)}intersect(e){return UC(this.bounds,e)}intersects(e){return VC(this.bounds,e)}containsPoint(e,t,n){return GC(this.bounds,e,t,n)}contains(e){return VC(this.bounds,e)}}var WC,HC={newInstance:function(e){const t=e&&e.bounds;return new jC(t)},equals:uC,isValid:dC,setBounds:fC,reset:pC,addPoint:hC,addPoints:mC,addBounds:gC,setMinPoint:vC,setMaxPoint:yC,inflate:bC,scale:_C,scaleAboutCenter:function(e,t,n,r){if(!dC(e))return!1;const i=xC(e);return e[0]-=i[0],e[1]-=i[0],e[2]-=i[1],e[3]-=i[1],e[4]-=i[2],e[5]-=i[2],_C(e,t,n,r),e[0]+=i[0],e[1]+=i[0],e[2]+=i[1],e[3]+=i[1],e[4]+=i[2],e[5]+=i[2],!0},getCenter:xC,getLength:wC,getLengths:AC,getMaxLength:EC,getDiagonalLength:MC,getMinPoint:DC,getMaxPoint:PC,getXRange:SC,getYRange:TC,getZRange:CC,getCorners:OC,computeCornerPoints:NC,computeLocalBounds:LC,transformBounds:kC,computeScale3:RC,cutWithPlane:zC,intersectBox:FC,intersectPlane:BC,intersect:UC,intersects:VC,containsPoint:GC,contains:function(e,t){return!!VC(e,t)&&!!GC(e,...DC(t))&&!!GC(e,...PC(t))},INIT_BOUNDS:cC};function $C(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3];return e[0]=n[0]*r+n[4]*i+n[8]*a+n[12]*o,e[1]=n[1]*r+n[5]*i+n[9]*a+n[13]*o,e[2]=n[2]*r+n[6]*i+n[10]*a+n[14]*o,e[3]=n[3]*r+n[7]*i+n[11]*a+n[15]*o,e}function XC(){var e=new y_(4);return y_!=Float32Array&&(e[0]=0,e[1]=0,e[2]=0),e[3]=1,e}function qC(e,t,n){n*=.5;var r=Math.sin(n);return e[0]=r*t[0],e[1]=r*t[1],e[2]=r*t[2],e[3]=Math.cos(n),e}function KC(e,t,n){var r=t[0],i=t[1],a=t[2],o=t[3],s=n[0],l=n[1],c=n[2],u=n[3];return e[0]=r*u+o*s+i*c-a*l,e[1]=i*u+o*l+a*s-r*c,e[2]=a*u+o*c+r*l-i*s,e[3]=o*u-r*s-i*l-a*c,e}WC=new y_(4),y_!=Float32Array&&(WC[0]=0,WC[1]=0,WC[2]=0,WC[3]=0);var YC=function(e,t,n,r){var i=new y_(4);return i[0]=e,i[1]=t,i[2]=n,i[3]=r,i};wA(),AA(1,0,0),AA(0,1,0),XC(),XC(),gx();var JC={CoordinateSystem:{DISPLAY:0,WORLD:1}};const{CoordinateSystem:ZC}=JC;function QC(e){return()=>Qw.vtkErrorMacro(`vtkProp::${e} - NOT IMPLEMENTED`)}const eE={allocatedRenderTime:10,coordinateSystem:ZC.WORLD,dragable:!0,estimatedRenderTime:0,paths:null,pickable:!0,renderTimeMultiplier:1,savedEstimatedRenderTime:0,textures:[],useBounds:!0,visibility:!0};function tE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,eE,n),Qw.obj(e,t),Qw.get(e,t,["estimatedRenderTime","allocatedRenderTime"]),Qw.setGet(e,t,["_parentProp","coordinateSystem","dragable","pickable","renderTimeMultiplier","useBounds","visibility"]),Qw.moveToProtected(e,t,["parentProp"]),function(e,t){t.classHierarchy.push("vtkProp"),e.getMTime=()=>{let e=t.mtime;for(let n=0;n<t.textures.length;++n){const r=t.textures[n].getMTime();r>e&&(e=r)}return e},e.processSelectorPixelBuffers=(e,t)=>{},e.getNestedProps=()=>null,e.getActors=()=>[],e.getActors2D=()=>[],e.getVolumes=()=>[],e.pick=QC("pick"),e.hasKey=QC("hasKey"),e.getNestedVisibility=()=>t.visibility&&(!t._parentProp||t._parentProp.getNestedVisibility()),e.getNestedPickable=()=>t.pickable&&(!t._parentProp||t._parentProp.getNestedPickable()),e.getNestedDragable=()=>t.dragable&&(!t._parentProp||t._parentProp.getNestedDragable()),e.getRedrawMTime=()=>t.mtime,e.setEstimatedRenderTime=e=>{t.estimatedRenderTime=e,t.savedEstimatedRenderTime=e},e.restoreEstimatedRenderTime=()=>{t.estimatedRenderTime=t.savedEstimatedRenderTime},e.addEstimatedRenderTime=e=>{t.estimatedRenderTime+=e},e.setAllocatedRenderTime=e=>{t.allocatedRenderTime=e,t.savedEstimatedRenderTime=t.estimatedRenderTime,t.estimatedRenderTime=0},e.getSupportsSelection=()=>!1,e.getTextures=()=>t.textures,e.hasTexture=e=>-1!==t.textures.indexOf(e),e.addTexture=n=>{n&&!e.hasTexture(n)&&(t.textures=t.textures.concat(n),e.modified())},e.removeTexture=n=>{const r=t.textures.filter((e=>e!==n));t.textures.length!==r.length&&(t.textures=r,e.modified())},e.removeAllTextures=()=>{t.textures=[],e.modified()},e.setCoordinateSystemToWorld=()=>e.setCoordinateSystem(ZC.WORLD),e.setCoordinateSystemToDisplay=()=>e.setCoordinateSystem(ZC.DISPLAY)}(e,t)}var nE={newInstance:Qw.newInstance(tE,"vtkProp"),extend:tE,...JC};const rE=1e-6;const iE={origin:[0,0,0],position:[0,0,0],orientation:[0,0,0],rotation:null,scale:[1,1,1],bounds:[1,-1,1,-1,1,-1],userMatrix:null,userMatrixMTime:null,cachedProp3D:null,isIdentity:!0,matrixMTime:null};function aE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,iE,n),nE.extend(e,t,n),t.matrixMTime={},Qw.obj(t.matrixMTime),Qw.get(e,t,["bounds","isIdentity"]),Qw.getArray(e,t,["orientation"]),Qw.setGetArray(e,t,["origin","position","scale"],3),t.matrix=S_(new Float64Array(16)),t.rotation=S_(new Float64Array(16)),t.userMatrix=S_(new Float64Array(16)),t.transform=null,function(e,t){t.classHierarchy.push("vtkProp3D"),e.addPosition=n=>{t.position=t.position.map(((e,t)=>e+n[t])),e.modified()},e.getOrientationWXYZ=()=>{const e=XC();$_(e,t.rotation);const n=new Float64Array(3),r=function(e,t){var n=2*Math.acos(t[3]),r=Math.sin(n/2);return r>v_?(e[0]=t[0]/r,e[1]=t[1]/r,e[2]=t[2]/r):(e[0]=1,e[1]=0,e[2]=0),n}(n,e);return[mT(r),n[0],n[1],n[2]]},e.getOrientationQuaternion=function(){return $_(arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],t.rotation)},e.rotateX=n=>{0!==n&&(N_(t.rotation,t.rotation,hT(n)),e.modified())},e.rotateY=n=>{0!==n&&(k_(t.rotation,t.rotation,hT(n)),e.modified())},e.rotateZ=n=>{0!==n&&(R_(t.rotation,t.rotation,hT(n)),e.modified())},e.rotateWXYZ=(n,r,i,a)=>{if(0===n||0===r&&0===i&&0===a)return;const o=hT(n),s=XC();qC(s,[r,i,a],o);const l=new Float64Array(16);K_(l,s),D_(t.rotation,t.rotation,l),e.modified()},e.rotateQuaternion=n=>{if(Math.abs(n[3])>=1-rE)return;const r=K_(new Float64Array(16),n);D_(t.rotation,t.rotation,r),e.modified()},e.setOrientation=(n,r,i)=>(n!==t.orientation[0]||r!==t.orientation[1]||i!==t.orientation[2])&&(t.orientation=[n,r,i],S_(t.rotation),e.rotateZ(i),e.rotateX(n),e.rotateY(r),e.modified(),!0),e.setUserMatrix=n=>!NT(t.userMatrix,n)&&(x_(t.userMatrix,n),e.modified(),!0),e.getMatrix=()=>(e.computeMatrix(),t.matrix),e.computeMatrix=()=>{if(e.getMTime()>t.matrixMTime.getMTime()){S_(t.matrix),t.userMatrix&&D_(t.matrix,t.matrix,t.userMatrix),P_(t.matrix,t.matrix,t.origin),P_(t.matrix,t.matrix,t.position),D_(t.matrix,t.matrix,t.rotation),I_(t.matrix,t.matrix,t.scale),P_(t.matrix,t.matrix,[-t.origin[0],-t.origin[1],-t.origin[2]]),T_(t.matrix,t.matrix),t.isIdentity=!0;for(let e=0;e<4;++e)for(let n=0;n<4;++n)(e===n?1:0)!==t.matrix[e+4*n]&&(t.isIdentity=!1);t.matrixMTime.modified()}},e.getCenter=()=>HC.getCenter(t.bounds),e.getLength=()=>HC.getLength(t.bounds),e.getXRange=()=>HC.getXRange(t.bounds),e.getYRange=()=>HC.getYRange(t.bounds),e.getZRange=()=>HC.getZRange(t.bounds),e.getUserMatrix=()=>t.userMatrix,e.onModified((function(){e.computeMatrix()}))}(e,t)}var oE={newInstance:Qw.newInstance(aE,"vtkProp3D"),extend:aE};const sE={FLAT:0,GOURAUD:1,PHONG:2},lE={POINTS:0,WIREFRAME:1,SURFACE:2};var cE={Shading:sE,Representation:lE,Interpolation:sE};const{Representation:uE,Interpolation:dE}=cE;function fE(e){return()=>Qw.vtkErrorMacro(`vtkProperty::${e} - NOT IMPLEMENTED`)}const pE={color:[1,1,1],ambientColor:[1,1,1],diffuseColor:[1,1,1],specularColor:[1,1,1],edgeColor:[0,0,0],ambient:0,diffuse:1,metallic:0,roughness:.6,normalStrength:1,emission:1,baseIOR:1.45,specular:0,specularPower:1,opacity:1,interpolation:dE.GOURAUD,representation:uE.SURFACE,edgeVisibility:!1,backfaceCulling:!1,frontfaceCulling:!1,pointSize:1,lineWidth:1,lighting:!0,shading:!1,materialName:null};function hE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,pE,n),Qw.obj(e,t),Qw.setGet(e,t,["lighting","interpolation","ambient","diffuse","metallic","roughness","normalStrength","emission","baseIOR","specular","specularPower","opacity","edgeVisibility","lineWidth","pointSize","backfaceCulling","frontfaceCulling","representation","diffuseTexture","metallicTexture","roughnessTexture","normalTexture","ambientOcclusionTexture","emissionTexture"]),Qw.setGetArray(e,t,["ambientColor","specularColor","diffuseColor","edgeColor"],3),function(e,t){t.classHierarchy.push("vtkProperty"),e.setColor=(n,r,i)=>{Array.isArray(n)?t.color[0]===n[0]&&t.color[1]===n[1]&&t.color[2]===n[2]||(t.color[0]=n[0],t.color[1]=n[1],t.color[2]=n[2],e.modified()):t.color[0]===n&&t.color[1]===r&&t.color[2]===i||(t.color[0]=n,t.color[1]=r,t.color[2]=i,e.modified()),e.setDiffuseColor(t.color),e.setAmbientColor(t.color),e.setSpecularColor(t.color)},e.computeCompositeColor=fE("ComputeCompositeColor"),e.getColor=()=>{let e=0;t.ambient+t.diffuse+t.specular>0&&(e=1/(t.ambient+t.diffuse+t.specular));for(let n=0;n<3;n++)t.color[n]=e*(t.ambient*t.ambientColor[n]+t.diffuse*t.diffuseColor[n]+t.specular*t.specularColor[n]);return[].concat(t.color)},e.setSpecularPower=n=>{const r=1/Math.max(1,n);t.roughness===r&&t.specularPower===n||(t.specularPower=n,t.roughness=r,e.modified())},e.addShaderVariable=fE("AddShaderVariable"),e.setInterpolationToFlat=()=>e.setInterpolation(dE.FLAT),e.setInterpolationToGouraud=()=>e.setInterpolation(dE.GOURAUD),e.setInterpolationToPhong=()=>e.setInterpolation(dE.PHONG),e.getInterpolationAsString=()=>Qw.enumToString(dE,t.interpolation),e.setRepresentationToWireframe=()=>e.setRepresentation(uE.WIREFRAME),e.setRepresentationToSurface=()=>e.setRepresentation(uE.SURFACE),e.setRepresentationToPoints=()=>e.setRepresentation(uE.POINTS),e.getRepresentationAsString=()=>Qw.enumToString(uE,t.representation)}(e,t)}var mE={newInstance:Qw.newInstance(hE,"vtkProperty"),extend:hE,...cE};const{vtkDebugMacro:gE}=Qw,vE={mapper:null,property:null,backfaceProperty:null,forceOpaque:!1,forceTranslucent:!1,bounds:[1,-1,1,-1,1,-1]};function yE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,vE,n),oE.extend(e,t,n),t.boundsMTime={},Qw.obj(t.boundsMTime),Qw.set(e,t,["property"]),Qw.setGet(e,t,["backfaceProperty","forceOpaque","forceTranslucent","mapper"]),function(e,t){t.classHierarchy.push("vtkActor");const n={...e};e.getActors=()=>[e],e.getIsOpaque=()=>{if(t.forceOpaque)return!0;if(t.forceTranslucent)return!1;t.property||e.getProperty();let n=t.property.getOpacity()>=1;return n=n&&(!t.texture||!t.texture.isTranslucent()),n=n&&(!t.mapper||t.mapper.getIsOpaque()),n},e.hasTranslucentPolygonalGeometry=()=>null!==t.mapper&&(null===t.property&&e.setProperty(e.makeProperty()),!e.getIsOpaque()),e.makeProperty=mE.newInstance,e.getProperty=()=>(null===t.property&&(t.property=e.makeProperty()),t.property),e.getBounds=()=>{if(null===t.mapper)return t.bounds;const n=t.mapper.getBounds();if(!n||6!==n.length)return n;if(n[0]>n[1])return t.mapperBounds=n.concat(),t.bounds=[1,-1,1,-1,1,-1],t.boundsMTime.modified(),n;if(!t.mapperBounds||n[0]!==t.mapperBounds[0]||n[1]!==t.mapperBounds[1]||n[2]!==t.mapperBounds[2]||n[3]!==t.mapperBounds[3]||n[4]!==t.mapperBounds[4]||n[5]!==t.mapperBounds[5]||e.getMTime()>t.boundsMTime.getMTime()){gE("Recomputing bounds..."),t.mapperBounds=n.concat();const r=[];HC.getCorners(n,r),e.computeMatrix();const i=new Float64Array(16);T_(i,t.matrix),r.forEach((e=>DA(e,e,i))),t.bounds[0]=t.bounds[2]=t.bounds[4]=Number.MAX_VALUE,t.bounds[1]=t.bounds[3]=t.bounds[5]=-Number.MAX_VALUE,t.bounds=t.bounds.map(((e,t)=>t%2==0?r.reduce(((e,n)=>e>n[t/2]?n[t/2]:e),e):r.reduce(((e,n)=>e<n[(t-1)/2]?n[(t-1)/2]:e),e))),t.boundsMTime.modified()}return t.bounds},e.getMTime=()=>{let e=n.getMTime();if(null!==t.property){const n=t.property.getMTime();e=n>e?n:e}if(null!==t.backfaceProperty){const n=t.backfaceProperty.getMTime();e=n>e?n:e}return e},e.getRedrawMTime=()=>{let e=t.mtime;if(null!==t.mapper){let n=t.mapper.getMTime();e=n>e?n:e,null!==t.mapper.getInput()&&(t.mapper.getInputAlgorithm().update(),n=t.mapper.getInput().getMTime(),e=n>e?n:e)}return e},e.getSupportsSelection=()=>!!t.mapper&&t.mapper.getSupportsSelection(),e.processSelectorPixelBuffers=(e,n)=>{t.mapper&&t.mapper.processSelectorPixelBuffers&&t.mapper.processSelectorPixelBuffers(e,n)}}(e,t)}var bE={newInstance:Qw.newInstance(yE,"vtkActor"),extend:yE};const _E={Int8Array:1,Uint8Array:1,Uint8ClampedArray:1,Int16Array:2,Uint16Array:2,Int32Array:4,Uint32Array:4,Float32Array:4,Float64Array:8},xE={VOID:"",CHAR:"Int8Array",SIGNED_CHAR:"Int8Array",UNSIGNED_CHAR:"Uint8Array",UNSIGNED_CHAR_CLAMPED:"Uint8ClampedArray",SHORT:"Int16Array",UNSIGNED_SHORT:"Uint16Array",INT:"Int32Array",UNSIGNED_INT:"Uint32Array",FLOAT:"Float32Array",DOUBLE:"Float64Array"};var wE={DefaultDataType:xE.FLOAT,DataTypeByteSize:_E,VtkDataTypes:xE};const{vtkErrorMacro:AE}=eA,{DefaultDataType:SE}=wE;function TE(e,t,n){const r=e.length;let i,a,o=Number.MAX_VALUE,s=-Number.MAX_VALUE;for(a=t;a<r;a+=n)if(!Number.isNaN(e[a])){o=e[a],s=o;break}for(;a<r;a+=n)i=e[a],i<o?o=i:i>s&&(s=i);return{min:o,max:s}}function CE(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;if(t<0&&n>1){const t=e.length/n,r=new Float64Array(t);for(let i=0,a=0;i<t;++i){for(let t=a+n;a<t;++a)r[i]+=e[a]*e[a];r[i]**=.5}return TE(r,0,1)}return TE(e,t<0?0:t,n)}function EE(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;const n=e||[];for(;n.length<=t;)n.push(null);return n}function ME(e){return Object.prototype.toString.call(e).slice(8,-1)}const DE={computeRange:CE,createRangeHelper:function(){let e=Number.MAX_VALUE,t=-Number.MAX_VALUE,n=0,r=0;return{add(i){e>i&&(e=i),t<i&&(t=i),n++,r+=i},get(){return{min:e,max:t,count:n,sum:r,mean:r/n}},getRange(){return{min:e,max:t}}}},fastComputeRange:TE,getDataType:ME,getMaxNorm:function(e){const t=e.getNumberOfComponents();let n=0;const r=new Array(t);for(let i=0;i<e.getNumberOfTuples();++i){e.getTuple(i,r);const a=MT(r,t);a>n&&(n=a)}return n}},PE={name:"",numberOfComponents:1,dataType:SE,rangeTuple:[0,0]};function IE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};if(Object.assign(t,PE,n),!t.empty&&!t.values&&!t.size)throw new TypeError("Cannot create vtkDataArray object without: size > 0, values");if(t.values?Array.isArray(t.values)&&(t.values=gw(t.dataType,t.values)):t.values=mw(t.dataType,t.size),t.values&&(t.size=t.size??t.values.length,t.dataType=ME(t.values)),Cw(e,t),Iw(e,t,["name","numberOfComponents"]),t.size%t.numberOfComponents!=0)throw new RangeError("model.size is not a multiple of model.numberOfComponents");!function(e,t){function n(n){if(n<0)return!1;const r=e.getNumberOfComponents(),i=t.values.length/(r>0?r:1);if(n===i)return!0;if(n>i){const e=t.values;return t.values=mw(t.dataType,(n+i)*r),t.values.set(e),!0}return t.size>n*r&&(t.size=n*r,e.dataChange()),!0}t.classHierarchy.push("vtkDataArray"),e.dataChange=()=>{t.ranges=null,e.modified()},e.resize=r=>{n(r);const i=r*e.getNumberOfComponents();return t.size!==i&&(t.size=i,e.dataChange(),!0)},e.initialize=()=>{e.resize(0)},e.getElementComponentSize=()=>t.values.BYTES_PER_ELEMENT,e.getComponent=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;return t.values[e*t.numberOfComponents+n]},e.setComponent=(n,r,i)=>{i!==t.values[n*t.numberOfComponents+r]&&(t.values[n*t.numberOfComponents+r]=i,e.dataChange())},e.getValue=n=>{const r=n/t.numberOfComponents,i=n%t.numberOfComponents;return e.getComponent(r,i)},e.setValue=(n,r)=>{const i=n/t.numberOfComponents,a=n%t.numberOfComponents;e.setComponent(i,a,r)},e.getData=()=>t.size===t.values.length?t.values:t.values.subarray(0,t.size),e.getRange=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:-1,r=n;r<0&&(r=1===t.numberOfComponents?0:t.numberOfComponents);let i=null;return t.ranges||(t.ranges=EE(t.ranges,t.numberOfComponents)),i=t.ranges[r],i?(t.rangeTuple[0]=i.min,t.rangeTuple[1]=i.max,t.rangeTuple):(i=CE(e.getData(),n,t.numberOfComponents),t.ranges[r]=i,t.rangeTuple[0]=i.min,t.rangeTuple[1]=i.max,t.rangeTuple)},e.setRange=(e,n)=>{t.ranges||(t.ranges=EE(t.ranges,t.numberOfComponents));const r={min:e.min,max:e.max};return t.ranges[n]=r,t.rangeTuple[0]=r.min,t.rangeTuple[1]=r.max,t.rangeTuple},e.setTuple=(e,n)=>{const r=e*t.numberOfComponents;for(let e=0;e<t.numberOfComponents;e++)t.values[r+e]=n[e]},e.setTuples=(e,n)=>{let r=e*t.numberOfComponents;const i=Math.min(n.length,t.size-r);for(let e=0;e<i;)t.values[r++]=n[e++]},e.insertTuple=(r,i)=>(t.size<=r*t.numberOfComponents&&(t.size=(r+1)*t.numberOfComponents,n(r+1)),e.setTuple(r,i),r),e.insertTuples=(r,i)=>{const a=r+i.length/t.numberOfComponents;return t.size<a*t.numberOfComponents&&(t.size=a*t.numberOfComponents,n(a)),e.setTuples(r,i),a},e.insertNextTuple=n=>{const r=t.size/t.numberOfComponents;return e.insertTuple(r,n)},e.insertNextTuples=n=>{const r=t.size/t.numberOfComponents;return e.insertTuples(r,n)},e.findTuple=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1e-6;for(let r=0;r<t.size;r+=t.numberOfComponents)if(Math.abs(e[0]-t.values[r])<=n){let i=!0;for(let a=1;a<t.numberOfComponents;++a)if(Math.abs(e[a]-t.values[r+a])>n){i=!1;break}if(i)return r/t.numberOfComponents}return-1},e.getTuple=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];const r=t.numberOfComponents||1,i=e*r;switch(r){case 4:n[3]=t.values[i+3];case 3:n[2]=t.values[i+2];case 2:n[1]=t.values[i+1];case 1:n[0]=t.values[i];break;default:for(let e=r-1;e>=0;--e)n[e]=t.values[i+e]}return n},e.getTuples=(n,r)=>{const i=(n??0)*t.numberOfComponents,a=(r??e.getNumberOfTuples())*t.numberOfComponents,o=e.getData().subarray(i,a);return o.length>0?o:null},e.getTupleLocation=function(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:1)*t.numberOfComponents},e.getNumberOfComponents=()=>t.numberOfComponents,e.getNumberOfValues=()=>t.size,e.getNumberOfTuples=()=>t.size/t.numberOfComponents,e.getDataType=()=>t.dataType,e.newClone=()=>OE({empty:!0,name:t.name,dataType:t.dataType,numberOfComponents:t.numberOfComponents}),e.getName=()=>(t.name||(e.modified(),t.name=`vtkDataArray${e.getMTime()}`),t.name),e.setData=(n,r)=>{t.values=n,t.size=n.length,t.dataType=ME(n),r&&(t.numberOfComponents=r),t.size%t.numberOfComponents!=0&&(t.numberOfComponents=1),e.dataChange()},e.getState=()=>{if(t.deleted)return null;const n={...t,vtkClass:e.getClassName()};n.values=Array.from(n.values),delete n.buffer,Object.keys(n).forEach((e=>{n[e]||delete n[e]}));const r={};return Object.keys(n).sort().forEach((e=>{r[e]=n[e]})),r.mtime&&delete r.mtime,r},e.deepCopy=n=>{const r=e.getDataType(),i=t.values;e.shallowCopy(n),i?.length>=n.getNumberOfValues()&&r===n.getDataType()?(i.set(n.getData()),t.values=i,e.dataChange()):e.setData(n.getData().slice())},e.interpolateTuple=(n,r,i,a,o,s)=>{const l=t.numberOfComponents||1;l===r.getNumberOfComponents()&&l===a.getNumberOfComponents()||AE("numberOfComponents must match");const c=r.getTuple(i),u=a.getTuple(o),d=[];switch(d.length=l,l){case 4:d[3]=c[3]+(u[3]-c[3])*s;case 3:d[2]=c[2]+(u[2]-c[2])*s;case 2:d[1]=c[1]+(u[1]-c[1])*s;case 1:d[0]=c[0]+(u[0]-c[0])*s;break;default:for(let e=0;e<l;e++)d[e]=c[e]+(u[e]-c[e])*s}return e.insertTuple(n,d)}}(e,t)}const OE=Vw(IE,"vtkDataArray");var NE={newInstance:OE,extend:IE,...DE,...wE};const kE={clippingPlanes:[]};var RE=function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,kE,n),Qw.obj(e,t),Qw.algo(e,t,1,0),t.clippingPlanes||(t.clippingPlanes=[]),function(e,t){t.classHierarchy.push("vtkAbstractMapper"),e.update=()=>{e.getInputData()},e.addClippingPlane=n=>!!n.isA("vtkPlane")&&!t.clippingPlanes.includes(n)&&(t.clippingPlanes.push(n),e.modified(),!0),e.getNumberOfClippingPlanes=()=>t.clippingPlanes.length,e.removeAllClippingPlanes=()=>0!==t.clippingPlanes.length&&(t.clippingPlanes.length=0,e.modified(),!0),e.removeClippingPlane=n=>{const r=t.clippingPlanes.indexOf(n);return-1!==r&&(t.clippingPlanes.splice(r,1),e.modified(),!0)},e.getClippingPlanes=()=>t.clippingPlanes,e.setClippingPlanes=t=>{if(t)if(Array.isArray(t)){const n=t.length;for(let r=0;r<n&&r<6;r++)e.addClippingPlane(t[r])}else e.addClippingPlane(t)},e.getClippingPlaneInDataCoords=(e,n,r)=>{const i=t.clippingPlanes,a=e;if(i){const e=i.length;if(n>=0&&n<e){const e=i[n],t=e.getNormal(),o=e.getOrigin(),s=t[0],l=t[1],c=t[2],u=-(s*o[0]+l*o[1]+c*o[2]);return r[0]=s*a[0]+l*a[4]+c*a[8]+u*a[12],r[1]=s*a[1]+l*a[5]+c*a[9]+u*a[13],r[2]=s*a[2]+l*a[6]+c*a[10]+u*a[14],void(r[3]=s*a[3]+l*a[7]+c*a[11]+u*a[15])}}Qw.vtkErrorMacro(`Clipping plane index ${n} is out of range.`)}}(e,t)},LE=function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,(e=>({bounds:[...HC.INIT_BOUNDS],center:[0,0,0],viewSpecificProperties:{},...e}))(n)),RE(e,t,n),Qw.setGet(e,t,["viewSpecificProperties"]),function(e,t){e.getBounds=()=>(Qw.vtkErrorMacro("vtkAbstractMapper3D.getBounds - NOT IMPLEMENTED"),KT()),e.getCenter=()=>{const n=e.getBounds();return t.center=HC.isValid(n)?HC.getCenter(n):null,t.center?.slice()},e.getLength=()=>{const t=e.getBounds();return HC.getDiagonalLength(t)}}(e,t)};const{vtkErrorMacro:FE,vtkWarningMacro:BE}=Qw,UE={arrays:[],copyFieldFlags:[],doCopyAllOn:!0,doCopyAllOff:!1};function VE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,UE,n),Qw.obj(e,t),function(e,t){t.classHierarchy.push("vtkFieldData");const n=e.getState;t.arrays&&(t.arrays=t.arrays.map((e=>({data:Qx(e.data)})))),e.initialize=()=>{e.initializeFields(),e.copyAllOn(),e.clearFieldFlags()},e.initializeFields=()=>{t.arrays=[],t.copyFieldFlags={},e.modified()},e.copyStructure=n=>{e.initializeFields(),t.copyFieldFlags=n.getCopyFieldFlags().map((e=>e)),t.arrays=n.arrays().map((e=>({array:e})))},e.getNumberOfArrays=()=>t.arrays.length,e.getNumberOfActiveArrays=()=>t.arrays.length,e.addArray=n=>{const r=n.getName(),{array:i,index:a}=e.getArrayWithIndex(r);return null!=i?(t.arrays[a]={data:n},a):(t.arrays=[].concat(t.arrays,{data:n}),t.arrays.length-1)},e.removeAllArrays=()=>{t.arrays=[]},e.removeArray=n=>{const r=t.arrays.findIndex((e=>e.data.getName()===n));return e.removeArrayByIndex(r)},e.removeArrayByIndex=e=>-1!==e&&e<t.arrays.length&&(t.arrays.splice(e,1),!0),e.getArrays=()=>t.arrays.map((e=>e.data)),e.getArray=t=>"number"==typeof t?e.getArrayByIndex(t):e.getArrayByName(t),e.getArrayByName=e=>t.arrays.reduce(((t,n,r)=>n.data.getName()===e?n.data:t),null),e.getArrayWithIndex=e=>{const n=t.arrays.findIndex((t=>t.data.getName()===e));return{array:-1!==n?t.arrays[n].data:null,index:n}},e.getArrayByIndex=e=>e>=0&&e<t.arrays.length?t.arrays[e].data:null,e.hasArray=t=>e.getArrayWithIndex(t).index>=0,e.getArrayName=e=>{const n=t.arrays[e];return n?n.data.getName():""},e.getCopyFieldFlags=()=>t.copyFieldFlags,e.getFlag=e=>t.copyFieldFlags[e],e.passData=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:-1,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:-1;n.getArrays().forEach((a=>{const o=e.getFlag(a.getName());if(!1!==o&&(!t.doCopyAllOff||!0===o)&&a){let t=e.getArrayByName(a.getName());if(t)if(a.getNumberOfComponents()===t.getNumberOfComponents())if(r>-1&&r<a.getNumberOfTuples()){const e=i>-1?i:r;t.insertTuple(e,a.getTuple(r))}else t.insertTuples(0,a.getTuples());else FE("Unhandled case in passData");else if(r<0||r>a.getNumberOfTuples())e.addArray(a),n.getAttributes(a).forEach((t=>{e.setAttribute(a,t)}));else{const o=a.getNumberOfComponents();let s=a.getNumberOfValues();const l=i>-1?i:r;s<=l*o&&(s=(l+1)*o),t=NE.newInstance({name:a.getName(),dataType:a.getDataType(),numberOfComponents:o,values:Qw.newTypedArray(a.getDataType(),s),size:0}),t.insertTuple(l,a.getTuple(r)),e.addArray(t),n.getAttributes(a).forEach((n=>{e.setAttribute(t,n)}))}}}))},e.interpolateData=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:-1,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:-1,a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:-1,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:.5;n.getArrays().forEach((s=>{const l=e.getFlag(s.getName());if(!1!==l&&(!t.doCopyAllOff||!0===l)&&s){let t=e.getArrayByName(s.getName());if(t)if(s.getNumberOfComponents()===t.getNumberOfComponents())if(r>-1&&r<s.getNumberOfTuples()){const e=a>-1?a:r;t.interpolateTuple(e,s,r,s,i,o),BE("Unexpected case in interpolateData")}else t.insertTuples(s.getTuples());else FE("Unhandled case in interpolateData");else if(r<0||i<0||r>s.getNumberOfTuples())e.addArray(s),n.getAttributes(s).forEach((t=>{e.setAttribute(s,t)}));else{const l=s.getNumberOfComponents();let c=s.getNumberOfValues();const u=a>-1?a:r;c<=u*l&&(c=(u+1)*l),t=NE.newInstance({name:s.getName(),dataType:s.getDataType(),numberOfComponents:l,values:Qw.newTypedArray(s.getDataType(),c),size:0}),t.interpolateTuple(u,s,r,s,i,o),e.addArray(t),n.getAttributes(s).forEach((n=>{e.setAttribute(t,n)}))}}}))},e.copyFieldOn=e=>{t.copyFieldFlags[e]=!0},e.copyFieldOff=e=>{t.copyFieldFlags[e]=!1},e.copyAllOn=()=>{t.doCopyAllOn&&!t.doCopyAllOff||(t.doCopyAllOn=!0,t.doCopyAllOff=!1,e.modified())},e.copyAllOff=()=>{!t.doCopyAllOn&&t.doCopyAllOff||(t.doCopyAllOn=!1,t.doCopyAllOff=!0,e.modified())},e.clearFieldFlags=()=>{t.copyFieldFlags={}},e.deepCopy=e=>{t.arrays=e.getArrays().map((e=>{const t=e.newClone();return t.deepCopy(e),{data:t}}))},e.copyFlags=e=>e.getCopyFieldFlags().map((e=>e)),e.reset=()=>t.arrays.forEach((e=>e.data.reset())),e.getMTime=()=>t.arrays.reduce(((e,t)=>t.data.getMTime()>e?t.data.getMTime():e),t.mtime),e.getNumberOfComponents=()=>t.arrays.reduce(((e,t)=>e+t.data.getNumberOfComponents()),0),e.getNumberOfTuples=()=>t.arrays.length>0?t.arrays[0].getNumberOfTuples():0,e.getState=()=>{const e=n();return e&&(e.arrays=t.arrays.map((e=>({data:e.data.getState()})))),e}}(e,t)}var GE={newInstance:Qw.newInstance(VE,"vtkFieldData"),extend:VE},zE={AttributeCopyOperations:{COPYTUPLE:0,INTERPOLATE:1,PASSDATA:2,ALLCOPY:3},AttributeLimitTypes:{MAX:0,EXACT:1,NOLIMIT:2},AttributeTypes:{SCALARS:0,VECTORS:1,NORMALS:2,TCOORDS:3,TENSORS:4,GLOBALIDS:5,PEDIGREEIDS:6,EDGEFLAG:7,NUM_ATTRIBUTES:8},CellGhostTypes:{DUPLICATECELL:1,HIGHCONNECTIVITYCELL:2,LOWCONNECTIVITYCELL:4,REFINEDCELL:8,EXTERIORCELL:16,HIDDENCELL:32},DesiredOutputPrecision:{DEFAULT:0,SINGLE:1,DOUBLE:2},PointGhostTypes:{DUPLICATEPOINT:1,HIDDENPOINT:2},ghostArrayName:"vtkGhostType"};const{AttributeTypes:jE,AttributeCopyOperations:WE}=zE,{vtkWarningMacro:HE}=Qw,$E={activeScalars:-1,activeVectors:-1,activeTensors:-1,activeNormals:-1,activeTCoords:-1,activeGlobalIds:-1,activePedigreeIds:-1};function XE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,$E,n),GE.extend(e,t,n),Qw.setGet(e,t,["activeScalars","activeNormals","activeTCoords","activeVectors","activeTensors","activeGlobalIds","activePedigreeIds"]),t.arrays||(t.arrays={}),function(e,t){const n=["Scalars","Vectors","Normals","TCoords","Tensors","GlobalIds","PedigreeIds"];function r(e){let t=n.find((t=>jE[t.toUpperCase()]===e||"number"!=typeof e&&t.toLowerCase()===e.toLowerCase()));return void 0===t&&(t=null),t}t.classHierarchy.push("vtkDataSetAttributes");const i={...e};e.checkNumberOfComponents=e=>!0,e.setAttribute=(n,i)=>{const a=r(i);if(n&&"PEDIGREEIDS"===a.toUpperCase()&&!n.isA("vtkDataArray"))return HE(`Cannot set attribute ${a}. The attribute must be a vtkDataArray.`),-1;if(n&&!e.checkNumberOfComponents(n,a))return HE(`Cannot set attribute ${a}. Incorrect number of components.`),-1;let o=t[`active${a}`];if(o>=0&&o<t.arrays.length){if(t.arrays[o]===n)return o;e.removeArrayByIndex(o)}return n?(o=e.addArray(n),t[`active${a}`]=o):t[`active${a}`]=-1,e.modified(),t[`active${a}`]},e.getAttributes=t=>n.filter((n=>e[`get${n}`]()===t)),e.setActiveAttributeByName=(t,n)=>e.setActiveAttributeByIndex(e.getArrayWithIndex(t).index,n),e.setActiveAttributeByIndex=(n,i)=>{const a=r(i);if(n>=0&&n<t.arrays.length){if("PEDIGREEIDS"!==a.toUpperCase()){const t=e.getArrayByIndex(n);if(!t.isA("vtkDataArray"))return HE(`Cannot set attribute ${a}. Only vtkDataArray subclasses can be set as active attributes.`),-1;if(!e.checkNumberOfComponents(t,a))return HE(`Cannot set attribute ${a}. Incorrect number of components.`),-1}return t[`active${a}`]=n,e.modified(),n}return-1===n&&(t[`active${a}`]=n,e.modified()),-1},e.getActiveAttribute=t=>{const n=r(t);return e[`get${n}`]()},e.removeAllArrays=()=>{n.forEach((e=>{t[`active${e}`]=-1})),i.removeAllArrays()},e.removeArrayByIndex=e=>(-1!==e&&n.forEach((n=>{e===t[`active${n}`]?t[`active${n}`]=-1:e<t[`active${n}`]&&(t[`active${n}`]-=1)})),i.removeArrayByIndex(e)),n.forEach((n=>{const r=`active${n}`;e[`get${n}`]=()=>e.getArrayByIndex(t[r]),e[`set${n}`]=t=>e.setAttribute(t,n),e[`setActive${n}`]=t=>e.setActiveAttributeByIndex(e.getArrayWithIndex(t).index,n),e[`copy${n}Off`]=()=>{const e=n.toUpperCase();t.copyAttributeFlags[WE.PASSDATA][jE[e]]=!1},e[`copy${n}On`]=()=>{const e=n.toUpperCase();t.copyAttributeFlags[WE.PASSDATA][jE[e]]=!0}})),e.initializeAttributeCopyFlags=()=>{t.copyAttributeFlags=[],Object.keys(WE).filter((e=>"ALLCOPY"!==e)).forEach((e=>{t.copyAttributeFlags[WE[e]]=Object.keys(jE).filter((e=>"NUM_ATTRIBUTES"!==e)).reduce(((e,t)=>(e[jE[t]]=!0,e)),[])})),t.copyAttributeFlags[WE.COPYTUPLE][jE.GLOBALIDS]=!1,t.copyAttributeFlags[WE.INTERPOLATE][jE.GLOBALIDS]=!1,t.copyAttributeFlags[WE.COPYTUPLE][jE.PEDIGREEIDS]=!1},e.initialize=Qw.chain(e.initialize,e.initializeAttributeCopyFlags),t.dataArrays&&Object.keys(t.dataArrays).length&&Object.keys(t.dataArrays).forEach((n=>{t.dataArrays[n].ref||"vtkDataArray"!==t.dataArrays[n].type||e.addArray(NE.newInstance(t.dataArrays[n]))}));const a=e.shallowCopy;e.shallowCopy=(e,n)=>{a(e,n),t.arrays=e.getArrays().map((e=>{const t=e.newClone();return t.shallowCopy(e,n),{data:t}}))},e.initializeAttributeCopyFlags()}(e,t)}var qE={newInstance:Qw.newInstance(XE,"vtkDataSetAttributes"),extend:XE,...zE};const KE=["pointData","cellData","fieldData"],YE={};function JE(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,YE,n),Qw.obj(e,t),Qw.setGet(e,t,KE),function(e,t){t.classHierarchy.push("vtkDataSet"),KE.forEach((e=>{t[e]?t[e]=Qx(t[e]):t[e]=qE.newInstance()}));const n=e.shallowCopy;e.shallowCopy=function(e){n(e,arguments.length>1&&void 0!==arguments[1]&&arguments[1]),KE.forEach((n=>{t[n]=qE.newInstance(),t[n].shallowCopy(e.getReferenceByName(n))}))}}(e,t)}var ZE={newInstance:Qw.newInstance(JE,"vtkDataSet"),extend:JE,FieldDataTypes:{UNIFORM:0,DATA_OBJECT_FIELD:0,COORDINATE:1,POINT_DATA:1,POINT:2,POINT_FIELD_DATA:2,CELL:3,CELL_FIELD_DATA:3,VERTEX:4,VERTEX_FIELD_DATA:4,EDGE:5,EDGE_FIELD_DATA:5,ROW:6,ROW_DATA:6},FieldAssociations:{FIELD_ASSOCIATION_POINTS:0,FIELD_ASSOCIATION_CELLS:1,FIELD_ASSOCIATION_NONE:2,FIELD_ASSOCIATION_POINTS_THEN_CELLS:3,FIELD_ASSOCIATION_VERTICES:4,FIELD_ASSOCIATION_EDGES:5,FIELD_ASSOCIATION_ROWS:6,NUMBER_OF_ASSOCIATIONS:7}};const QE={UNCHANGED:0,SINGLE_POINT:1,X_LINE:2,Y_LINE:3,Z_LINE:4,XY_PLANE:5,YZ_PLANE:6,XZ_PLANE:7,XYZ_GRID:8,EMPTY:9};var eM={StructuredType:QE};const{StructuredType:tM}=eM;var nM={getDataDescriptionFromExtent:function(e){let t=0;for(let n=0;n<3;++n)e[2*n]<e[2*n+1]&&t++;return e[0]>e[1]||e[2]>e[3]||e[4]>e[5]?tM.EMPTY:3===t?tM.XYZ_GRID:2===t?e[0]===e[1]?tM.YZ_PLANE:e[2]===e[3]?tM.XZ_PLANE:tM.XY_PLANE:1===t?e[0]<e[1]?tM.X_LINE:e[2]<e[3]?tM.Y_LINE:tM.Z_LINE:tM.SINGLE_POINT},...eM};const{vtkErrorMacro:rM}=Qw,iM={direction:null,indexToWorld:null,worldToIndex:null,spacing:[1,1,1],origin:[0,0,0],extent:[0,-1,0,-1,0,-1],dataDescription:QE.EMPTY};function aM(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,iM,n),ZE.extend(e,t,n),t.direction?Array.isArray(t.direction)&&(t.direction=new Float64Array(t.direction.slice(0,9))):t.direction=wx(new Float64Array(9)),t.indexToWorld=new Float64Array(16),t.worldToIndex=new Float64Array(16),Qw.get(e,t,["indexToWorld","worldToIndex"]),Qw.setGetArray(e,t,["origin","spacing"],3),Qw.setGetArray(e,t,["direction"],9),Qw.getArray(e,t,["extent"],6),function(e,t){t.classHierarchy.push("vtkImageData"),e.setExtent=function(){if(t.deleted)return rM("instance deleted - cannot call any method"),!1;for(var n=arguments.length,r=new Array(n),i=0;i<n;i++)r[i]=arguments[i];const a=1===r.length?r[0]:r;if(6!==a.length)return!1;const o=t.extent.some(((e,t)=>e!==a[t]));return o&&(t.extent=a.slice(),t.dataDescription=nM.getDataDescriptionFromExtent(t.extent),e.modified()),o},e.setDimensions=function(){let n,r,i;if(t.deleted)rM("instance deleted - cannot call any method");else{if(1===arguments.length){const e=arguments.length<=0?void 0:arguments[0];n=e[0],r=e[1],i=e[2]}else{if(3!==arguments.length)return void rM("Bad dimension specification");n=arguments.length<=0?void 0:arguments[0],r=arguments.length<=1?void 0:arguments[1],i=arguments.length<=2?void 0:arguments[2]}e.setExtent(0,n-1,0,r-1,0,i-1)}},e.getDimensions=()=>[t.extent[1]-t.extent[0]+1,t.extent[3]-t.extent[2]+1,t.extent[5]-t.extent[4]+1],e.getNumberOfCells=()=>{const t=e.getDimensions();let n=1;for(let e=0;e<3;e++){if(0===t[e])return 0;t[e]>1&&(n*=t[e]-1)}return n},e.getNumberOfPoints=()=>{const t=e.getDimensions();return t[0]*t[1]*t[2]},e.getPoint=n=>{const r=e.getDimensions();if(0===r[0]||0===r[1]||0===r[2])return rM("Requesting a point from an empty image."),null;const i=new Float64Array(3);switch(t.dataDescription){case QE.EMPTY:return null;case QE.SINGLE_POINT:break;case QE.X_LINE:i[0]=n;break;case QE.Y_LINE:i[1]=n;break;case QE.Z_LINE:i[2]=n;break;case QE.XY_PLANE:i[0]=n%r[0],i[1]=n/r[0];break;case QE.YZ_PLANE:i[1]=n%r[1],i[2]=n/r[1];break;case QE.XZ_PLANE:i[0]=n%r[0],i[2]=n/r[0];break;case QE.XYZ_GRID:i[0]=n%r[0],i[1]=n/r[0]%r[1],i[2]=n/(r[0]*r[1]);break;default:rM("Invalid dataDescription")}const a=[0,0,0];return e.indexToWorld(i,a),a},e.getBounds=()=>e.extentToBounds(e.getSpatialExtent()),e.extentToBounds=e=>HC.transformBounds(e,t.indexToWorld),e.getSpatialExtent=()=>HC.inflate([...t.extent],.5),e.computeTransforms=()=>{L_(t.indexToWorld,t.origin),t.indexToWorld[0]=t.direction[0],t.indexToWorld[1]=t.direction[1],t.indexToWorld[2]=t.direction[2],t.indexToWorld[4]=t.direction[3],t.indexToWorld[5]=t.direction[4],t.indexToWorld[6]=t.direction[5],t.indexToWorld[8]=t.direction[6],t.indexToWorld[9]=t.direction[7],t.indexToWorld[10]=t.direction[8],I_(t.indexToWorld,t.indexToWorld,t.spacing),C_(t.worldToIndex,t.indexToWorld)},e.indexToWorld=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return DA(n,e,t.indexToWorld),n},e.indexToWorldVec3=e.indexToWorld,e.worldToIndex=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return DA(n,e,t.worldToIndex),n},e.worldToIndexVec3=e.worldToIndex,e.indexToWorldBounds=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return HC.transformBounds(e,t.indexToWorld,n)},e.worldToIndexBounds=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];return HC.transformBounds(e,t.worldToIndex,n)},e.onModified(e.computeTransforms),e.computeTransforms(),e.getCenter=()=>HC.getCenter(e.getBounds()),e.computeHistogram=function(t){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;const r=[0,0,0,0,0,0];e.worldToIndexBounds(t,r);const i=[0,0,0],a=[0,0,0];HC.computeCornerPoints(r,i,a),RT(i,i),RT(a,a);const o=e.getDimensions();WT(i,[0,0,0],[o[0]-1,o[1]-1,o[2]-1],i),WT(a,[0,0,0],[o[0]-1,o[1]-1,o[2]-1],a);const s=o[0],l=o[0]*o[1],c=e.getPointData().getScalars().getData();let u=-1/0,d=1/0,f=0,p=0,h=0;for(let e=i[2];e<=a[2];e++)for(let t=i[1];t<=a[1];t++){let o=i[0]+t*s+e*l;for(let s=i[0];s<=a[0];s++){if(!n||n([s,t,e],r)){const e=c[o];e>u&&(u=e),e<d&&(d=e),f+=e*e,p+=e,h+=1}++o}}const m=h>0?p/h:0,g=h?Math.abs(f/h-m*m):0;return{minimum:d,maximum:u,average:m,variance:g,sigma:Math.sqrt(g),count:h}},e.computeIncrements=function(e){const t=[];let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1;for(let r=0;r<3;++r)t[r]=n,n*=e[2*r+1]-e[2*r]+1;return t},e.computeOffsetIndex=t=>{let[n,r,i]=t;const a=e.getExtent(),o=e.getPointData().getScalars().getNumberOfComponents(),s=e.computeIncrements(a,o);return Math.floor((Math.round(n)-a[0])*s[0]+(Math.round(r)-a[2])*s[1]+(Math.round(i)-a[4])*s[2])},e.getOffsetIndexFromWorld=t=>{const n=e.getExtent(),r=e.worldToIndex(t);for(let e=0;e<3;++e)if(r[e]<n[2*e]||r[e]>n[2*e+1])return rM(`GetScalarPointer: Pixel ${r} is not in memory. Current extent = ${n}`),NaN;return e.computeOffsetIndex(r)},e.getScalarValueFromWorld=function(t){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;const r=e.getPointData().getScalars().getNumberOfComponents();if(n<0||n>=r)return rM(`GetScalarPointer: Scalar Component ${n} is not within bounds. Current Scalar numberOfComponents: ${r}`),NaN;const i=e.getOffsetIndexFromWorld(t);return Number.isNaN(i)?i:e.getPointData().getScalars().getComponent(i,n)}}(e,t)}var oM={newInstance:Qw.newInstance(aM,"vtkImageData"),extend:aM};const sM={LUMINANCE:1,LUMINANCE_ALPHA:2,RGB:3,RGBA:4};var lM={VectorMode:{MAGNITUDE:0,COMPONENT:1,RGBCOLORS:2},ScalarMappingTarget:sM};const cM={DEFAULT:0,MAP_SCALARS:1,DIRECT_SCALARS:2},uM={DEFAULT:0,USE_POINT_DATA:1,USE_CELL_DATA:2,USE_POINT_FIELD_DATA:3,USE_CELL_FIELD_DATA:4,USE_FIELD_DATA:5};var dM={ColorMode:cM,GetArray:{BY_ID:0,BY_NAME:1},ScalarMode:uM};const{ScalarMappingTarget:fM,VectorMode:pM}=lM,{VtkDataTypes:hM}=NE,{ColorMode:mM}=dM,{vtkErrorMacro:gM}=Qw;function vM(e){return e}function yM(e){return Math.floor(255*e+.5)}const bM={alpha:1,vectorComponent:0,vectorSize:-1,vectorMode:pM.COMPONENT,mappingRange:null,annotationArray:null,annotatedValueMap:null,indexedLookup:!1};function _M(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,bM,n),Qw.obj(e,t),t.mappingRange=[0,255],t.annotationArray=[],t.annotatedValueMap=[],Qw.setGet(e,t,["vectorSize","vectorComponent","vectorMode","alpha","indexedLookup"]),Qw.setArray(e,t,["mappingRange"],2),Qw.getArray(e,t,["mappingRange"]),function(e,t){t.classHierarchy.push("vtkScalarsToColors"),e.setVectorModeToMagnitude=()=>e.setVectorMode(pM.MAGNITUDE),e.setVectorModeToComponent=()=>e.setVectorMode(pM.COMPONENT),e.setVectorModeToRGBColors=()=>e.setVectorMode(pM.RGBCOLORS),e.build=()=>{},e.isOpaque=()=>!0,e.setAnnotations=(n,r)=>{if(!(n&&!r||!n&&r))if(n&&r&&n.length!==r.length)gM("Values and annotations do not have the same number of tuples so ignoring");else{if(t.annotationArray=[],r&&n){const e=r.length;for(let i=0;i<e;i++)t.annotationArray.push({value:n[i],annotation:String(r[i])})}e.updateAnnotatedValueMap(),e.modified()}},e.setAnnotation=(n,r)=>{let i=e.checkForAnnotatedValue(n),a=!1;return i>=0?t.annotationArray[i].annotation!==r&&(t.annotationArray[i].annotation=r,a=!0):(t.annotationArray.push({value:n,annotation:r}),i=t.annotationArray.length-1,a=!0),a&&(e.updateAnnotatedValueMap(),e.modified()),i},e.getNumberOfAnnotatedValues=()=>t.annotationArray.length,e.getAnnotatedValue=e=>e<0||e>=t.annotationArray.length?null:t.annotationArray[e].value,e.getAnnotation=e=>void 0===t.annotationArray[e]?null:t.annotationArray[e].annotation,e.getAnnotatedValueIndex=n=>t.annotationArray.length?e.checkForAnnotatedValue(n):-1,e.removeAnnotation=n=>{const r=e.checkForAnnotatedValue(n),i=r>=0;return i&&(t.annotationArray.splice(r,1),e.updateAnnotatedValueMap(),e.modified()),i},e.resetAnnotations=()=>{t.annotationArray=[],t.annotatedValueMap=[],e.modified()},e.getAnnotationColor=(n,r)=>{if(t.indexedLookup){const t=e.getAnnotatedValueIndex(n);e.getIndexedColor(t,r)}else e.getColor(parseFloat(n),r),r[3]=1},e.checkForAnnotatedValue=t=>e.getAnnotatedValueIndexInternal(t),e.getAnnotatedValueIndexInternal=e=>{if(void 0!==t.annotatedValueMap[e]){const n=t.annotationArray.length;return t.annotatedValueMap[e]%n}return-1},e.getIndexedColor=(e,t)=>{t[0]=0,t[1]=0,t[2]=0,t[3]=0},e.updateAnnotatedValueMap=()=>{t.annotatedValueMap=[];const e=t.annotationArray.length;for(let n=0;n<e;n++)t.annotatedValueMap[t.annotationArray[n].value]=n},e.mapScalars=(t,n,r)=>{const i=t.getNumberOfComponents();let a=null;if(n===mM.DEFAULT&&(t.getDataType()===hM.UNSIGNED_CHAR||t.getDataType()===hM.UNSIGNED_CHAR_CLAMPED)||n===mM.DIRECT_SCALARS&&t)a=e.convertToRGBA(t,i,t.getNumberOfTuples());else{const n={type:"vtkDataArray",name:"temp",numberOfComponents:4,dataType:hM.UNSIGNED_CHAR},o=Qw.newTypedArray(n.dataType,4*t.getNumberOfTuples());n.values=o,n.size=o.length,a=NE.newInstance(n);let s=r;s<0&&i>1?e.mapVectorsThroughTable(t,a,fM.RGBA,-1,-1):(s<0&&(s=0),s>=i&&(s=i-1),e.mapScalarsThroughTable(t,a,fM.RGBA,s))}return a},e.mapVectorsToMagnitude=(e,t,n)=>{const r=e.getNumberOfTuples(),i=e.getNumberOfComponents(),a=t.getData(),o=e.getData();for(let e=0;e<r;e++){let t=0;for(let r=0;r<n;r++)t+=o[e*i+r]*o[e*i+r];a[e]=Math.sqrt(t)}},e.mapVectorsThroughTable=(t,n,r,i,a)=>{let o=e.getVectorMode(),s=a,l=i;const c=t.getNumberOfComponents();o===pM.COMPONENT?(-1===l&&(l=e.getVectorComponent()),l<0&&(l=0),l>=c&&(l=c-1)):(-1===s&&(s=e.getVectorSize()),s<=0?(l=0,s=c):(l<0&&(l=0),l>=c&&(l=c-1),l+s>c&&(s=c-l)),o!==pM.MAGNITUDE||1!==c&&1!==s||(o=pM.COMPONENT));let u=0;switch(l>0&&(u=l),o){case pM.COMPONENT:e.mapScalarsThroughTable(t,n,r,u);break;case pM.RGBCOLORS:break;case pM.MAGNITUDE:default:{const i=NE.newInstance({numberOfComponents:1,values:new Float32Array(t.getNumberOfTuples())});e.mapVectorsToMagnitude(t,i,s),e.mapScalarsThroughTable(i,n,r,0);break}}},e.luminanceToRGBA=(e,t,n,r)=>{const i=r(n),a=t.getData(),o=e.getData(),s=a.length;let l=0;for(let e=0;e<s;e+=1){const t=r(a[e]);o[4*l]=t,o[4*l+1]=t,o[4*l+2]=t,o[4*l+3]=i,l++}},e.luminanceAlphaToRGBA=(e,t,n,r)=>{const i=t.getData(),a=e.getData(),o=i.length;let s=0;for(let e=0;e<o;e+=2){const t=r(i[e]);a[s]=t,a[s+1]=t,a[s+2]=t,a[s+3]=r(i[e+1])*n,s+=4}},e.rGBToRGBA=(e,t,n,r)=>{const i=yM(n),a=t.getData(),o=e.getData(),s=a.length;let l=0;for(let e=0;e<s;e+=3)o[4*l]=r(a[e]),o[4*l+1]=r(a[e+1]),o[4*l+2]=r(a[e+2]),o[4*l+3]=i,l++},e.rGBAToRGBA=(e,t,n,r)=>{const i=t.getData(),a=e.getData(),o=i.length;let s=0;for(let e=0;e<o;e+=4)a[4*s]=r(i[e]),a[4*s+1]=r(i[e+1]),a[4*s+2]=r(i[e+2]),a[4*s+3]=r(i[e+3])*n,s++},e.convertToRGBA=(n,r,i)=>{let{alpha:a}=t;if(4===r&&a>=1&&n.getDataType()===hM.UNSIGNED_CHAR)return n;const o=NE.newInstance({numberOfComponents:4,empty:!0,size:4*i,dataType:hM.UNSIGNED_CHAR});if(i<=0)return o;a=a>0?a:0,a=a<1?a:1;let s=vM;switch(n.getDataType()!==hM.FLOAT&&n.getDataType()!==hM.DOUBLE||(s=yM),r){case 1:e.luminanceToRGBA(o,n,a,s);break;case 2:e.luminanceAlphaToRGBA(o,n,s);break;case 3:e.rGBToRGBA(o,n,a,s);break;case 4:e.rGBAToRGBA(o,n,a,s);break;default:return gM("Cannot convert colors"),null}return o},e.usingLogScale=()=>!1,e.getNumberOfAvailableColors=()=>16777216,e.setRange=(t,n)=>e.setMappingRange(t,n),e.getRange=()=>e.getMappingRange(),e.areScalarsOpaque=(n,r,i)=>{if(!n)return e.isOpaque();const a=n.getNumberOfComponents();return(r!==mM.DEFAULT||n.getDataType()!==hM.UNSIGNED_CHAR)&&r!==mM.DIRECT_SCALARS||(3===a||1===a?t.alpha>=1:255===n.getRange(a-1)[0])}}(e,t)}var xM={newInstance:Qw.newInstance(_M,"vtkScalarsToColors"),extend:_M,...lM};const{vtkErrorMacro:wM}=Qw,AM={numberOfColors:256,hueRange:[0,.66667],saturationRange:[1,1],valueRange:[1,1],alphaRange:[1,1],nanColor:[.5,0,0,1],belowRangeColor:[0,0,0,1],aboveRangeColor:[1,1,1,1],useAboveRangeColor:!1,useBelowRangeColor:!1,alpha:1};function SM(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,AM,n),xM.extend(e,t,n),t.table||(t.table=[]),t.buildTime={},Qw.obj(t.buildTime),t.opaqueFlagBuildTime={},Qw.obj(t.opaqueFlagBuildTime,{mtime:0}),t.insertTime={},Qw.obj(t.insertTime,{mtime:0}),Qw.get(e,t,["buildTime"]),Qw.setGet(e,t,["numberOfColors","useAboveRangeColor","useBelowRangeColor"]),Qw.setArray(e,t,["alphaRange","hueRange","saturationRange","valueRange"],2),Qw.setArray(e,t,["nanColor","belowRangeColor","aboveRangeColor"],4),Qw.getArray(e,t,["hueRange","saturationRange","valueRange","alphaRange","nanColor","belowRangeColor","aboveRangeColor"]),function(e,t){t.classHierarchy.push("vtkLookupTable"),e.isOpaque=()=>{if(t.opaqueFlagBuildTime.getMTime()<e.getMTime()){let e=!0;t.nanColor[3]<1&&(e=0),t.useBelowRangeColor&&t.belowRangeColor[3]<1&&(e=0),t.useAboveRangeColor&&t.aboveRangeColor[3]<1&&(e=0);for(let n=3;n<t.table.length&&e;n+=4)t.table[n]<255&&(e=!1);t.opaqueFlag=e,t.opaqueFlagBuildTime.modified()}return t.opaqueFlag},e.usingLogScale=()=>!1,e.getNumberOfAvailableColors=()=>t.table.length/4,e.linearIndexLookup=(e,t)=>{let n=0;const r=Number(e);return r<t.range[0]?n=t.maxIndex+0+1.5:r>t.range[1]?n=t.maxIndex+1+1.5:(n=(r+t.shift)*t.scale,n=n<t.maxIndex?n:t.maxIndex),Math.floor(n)},e.linearLookup=(t,n,r)=>{let i=0;i=qT(t)?Math.floor(r.maxIndex+1.5+2):e.linearIndexLookup(t,r);const a=4*i;return n.slice(a,a+4)},e.indexedLookupFunction=(n,r,i)=>{let a=e.getAnnotatedValueIndexInternal(n);-1===a&&(a=t.numberOfColors+2);const o=4*a;return[r[o],r[o+1],r[o+2],r[o+3]]},e.lookupShiftAndScale=(e,t)=>{t.shift=-e[0],t.scale=Number.MAX_VALUE,e[1]>e[0]&&(t.scale=(t.maxIndex+1)/(e[1]-e[0]))},e.mapScalarsThroughTable=(n,r,i,a)=>{let o=e.linearLookup;t.indexedLookup&&(o=e.indexedLookupFunction);const s=e.getMappingRange(),l={maxIndex:e.getNumberOfColors()-1,range:s,shift:0,scale:0};e.lookupShiftAndScale(s,l);const c=e.getAlpha(),u=n.getNumberOfTuples(),d=n.getNumberOfComponents(),f=r.getData(),p=n.getData();if(c>=1){if(i===sM.RGBA)for(let e=0;e<u;e++){const n=o(p[e*d+a],t.table,l);f[4*e]=n[0],f[4*e+1]=n[1],f[4*e+2]=n[2],f[4*e+3]=n[3]}}else if(i===sM.RGBA)for(let e=0;e<u;e++){const n=o(p[e*d+a],t.table,l);f[4*e]=n[0],f[4*e+1]=n[1],f[4*e+2]=n[2],f[4*e+3]=Math.floor(n[3]*c+.5)}},e.forceBuild=()=>{let n=0,r=0,i=0,a=0;const o=t.numberOfColors-1;o&&(n=(t.hueRange[1]-t.hueRange[0])/o,r=(t.saturationRange[1]-t.saturationRange[0])/o,i=(t.valueRange[1]-t.valueRange[0])/o,a=(t.alphaRange[1]-t.alphaRange[0])/o),t.table.length=4*o+16;const s=[],l=[];for(let e=0;e<=o;e++)s[0]=t.hueRange[0]+e*n,s[1]=t.saturationRange[0]+e*r,s[2]=t.valueRange[0]+e*i,BT(s,l),l[3]=t.alphaRange[0]+e*a,t.table[4*e]=255*l[0]+.5,t.table[4*e+1]=255*l[1]+.5,t.table[4*e+2]=255*l[2]+.5,t.table[4*e+3]=255*l[3]+.5;e.buildSpecialColors(),t.buildTime.modified()},e.setTable=n=>{if(Array.isArray(n)){const r=n[0].length;t.numberOfColors=n.length;const i=4-r;let a=0;for(let e=0;e<t.numberOfColors;e++)t.table[4*e]=255,t.table[4*e+1]=255,t.table[4*e+2]=255,t.table[4*e+3]=255;for(let e=0;e<n.length;e++){const o=n[e];for(let e=0;e<r;e++)t.table[a++]=o[e];a+=i}return e.buildSpecialColors(),t.insertTime.modified(),e.modified(),!0}if(4!==n.getNumberOfComponents())return wM("Expected 4 components for RGBA colors"),!1;if(n.getDataType()!==xE.UNSIGNED_CHAR)return wM("Expected unsigned char values for RGBA colors"),!1;t.numberOfColors=n.getNumberOfTuples();const r=n.getData();t.table.length=r.length;for(let e=0;e<r.length;e++)t.table[e]=r[e];return e.buildSpecialColors(),t.insertTime.modified(),e.modified(),!0},e.buildSpecialColors=()=>{const{numberOfColors:e}=t,n=t.table;let r=4*(e+0);t.useBelowRangeColor||0===e?(n[r]=255*t.belowRangeColor[0]+.5,n[r+1]=255*t.belowRangeColor[1]+.5,n[r+2]=255*t.belowRangeColor[2]+.5,n[r+3]=255*t.belowRangeColor[3]+.5):(n[r]=n[0],n[r+1]=n[1],n[r+2]=n[2],n[r+3]=n[3]),r=4*(e+1),t.useAboveRangeColor||0===e?(n[r]=255*t.aboveRangeColor[0]+.5,n[r+1]=255*t.aboveRangeColor[1]+.5,n[r+2]=255*t.aboveRangeColor[2]+.5,n[r+3]=255*t.aboveRangeColor[3]+.5):(n[r]=n[4*(e-1)+0],n[r+1]=n[4*(e-1)+1],n[r+2]=n[4*(e-1)+2],n[r+3]=n[4*(e-1)+3]),r=4*(e+2),n[r]=255*t.nanColor[0]+.5,n[r+1]=255*t.nanColor[1]+.5,n[r+2]=255*t.nanColor[2]+.5,n[r+3]=255*t.nanColor[3]+.5},e.build=()=>{(t.table.length<1||e.getMTime()>t.buildTime.getMTime()&&t.insertTime.getMTime()<=t.buildTime.getMTime())&&e.forceBuild()},t.table.length>0&&(e.buildSpecialColors(),t.insertTime.modified())}(e,t)}var TM={newInstance:Qw.newInstance(SM,"vtkLookupTable"),extend:SM};let CM=1,EM=0;const MM=["VTK_RESOLVE_OFF","VTK_RESOLVE_POLYGON_OFFSET"];function DM(){EM=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0}var PM={getResolveCoincidentTopologyAsString:function(){return MM[EM]},getResolveCoincidentTopologyPolygonOffsetFaces:function(){return CM},getResolveCoincidentTopology:function(){return EM},setResolveCoincidentTopology:DM,setResolveCoincidentTopologyPolygonOffsetFaces:function(e){CM=e},setResolveCoincidentTopologyToDefault:function(){DM(0)},setResolveCoincidentTopologyToOff:function(){DM(0)},setResolveCoincidentTopologyToPolygonOffset:function(){DM(1)}};function IM(e,t,n){n.forEach((n=>{e[`get${n.method}`]=()=>t[n.key],e[`set${n.method}`]=(e,r)=>{t[n.key]={factor:e,offset:r}}}))}const OM=["Polygon","Line","Point"],NM={};IM(NM,{Polygon:{factor:2,offset:0},Line:{factor:1,offset:-1},Point:{factor:0,offset:-2}},OM.map((e=>({key:e,method:`ResolveCoincidentTopology${e}OffsetParameters`}))));var kM={implementCoincidentTopologyMethods:function(e,t){void 0===t.resolveCoincidentTopology&&(t.resolveCoincidentTopology=!1),Qw.setGet(e,t,["resolveCoincidentTopology"]),t.topologyOffset={Polygon:{factor:0,offset:0},Line:{factor:0,offset:0},Point:{factor:0,offset:0}},Object.keys(PM).forEach((t=>{e[t]=PM[t]})),Object.keys(NM).forEach((t=>{e[t]=NM[t]})),IM(e,t.topologyOffset,OM.map((e=>({key:e,method:`RelativeCoincidentTopology${e}OffsetParameters`})))),e.getCoincidentTopologyPolygonOffsetParameters=()=>{const t=NM.getResolveCoincidentTopologyPolygonOffsetParameters(),n=e.getRelativeCoincidentTopologyPolygonOffsetParameters();return{factor:t.factor+n.factor,offset:t.offset+n.offset}},e.getCoincidentTopologyLineOffsetParameters=()=>{const t=NM.getResolveCoincidentTopologyLineOffsetParameters(),n=e.getRelativeCoincidentTopologyLineOffsetParameters();return{factor:t.factor+n.factor,offset:t.offset+n.offset}},e.getCoincidentTopologyPointOffsetParameter=()=>{const t=NM.getResolveCoincidentTopologyPointOffsetParameters(),n=e.getRelativeCoincidentTopologyPointOffsetParameters();return{factor:t.factor+n.factor,offset:t.offset+n.offset}}},staticOffsetAPI:NM,otherStaticMethods:PM,CATEGORIES:OM};const RM={MIN_KNOWN_PASS:0,ACTOR_PASS:0,COMPOSITE_INDEX_PASS:1,ID_LOW24:2,ID_HIGH24:3,MAX_KNOWN_PASS:3};var LM={PassTypes:RM};const{FieldAssociations:FM}=ZE,{staticOffsetAPI:BM,otherStaticMethods:UM}=kM,{ColorMode:VM,ScalarMode:GM,GetArray:zM}=dM,{VectorMode:jM}=lM,{VtkDataTypes:WM}=NE;function HM(e){return()=>Qw.vtkErrorMacro(`vtkMapper::${e} - NOT IMPLEMENTED`)}const $M={colorMapColors:null,static:!1,lookupTable:null,scalarVisibility:!0,scalarRange:[0,1],useLookupTableScalarRange:!1,colorMode:0,scalarMode:0,arrayAccessMode:1,renderTime:0,colorByArrayName:null,fieldDataTupleId:-1,populateSelectionSettings:!0,selectionWebGLIdsToVTKIds:null,interpolateScalarsBeforeMapping:!1,colorCoordinates:null,colorTextureMap:null,forceCompileOnly:0,useInvertibleColors:!1,invertibleScalars:null,customShaderAttributes:[]};function XM(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,$M,n),LE(e,t,n),Qw.get(e,t,["colorCoordinates","colorMapColors","colorTextureMap","selectionWebGLIdsToVTKIds"]),Qw.setGet(e,t,["colorByArrayName","arrayAccessMode","colorMode","fieldDataTupleId","interpolateScalarsBeforeMapping","lookupTable","populateSelectionSettings","renderTime","scalarMode","scalarVisibility","static","useLookupTableScalarRange","customShaderAttributes"]),Qw.setGetArray(e,t,["scalarRange"],2),kM.implementCoincidentTopologyMethods(e,t),function(e,t){t.classHierarchy.push("vtkMapper"),e.getBounds=()=>{const n=e.getInputData();return n?(t.static||e.update(),t.bounds=n.getBounds()):t.bounds=KT(),t.bounds},e.setForceCompileOnly=e=>{t.forceCompileOnly=e},e.setSelectionWebGLIdsToVTKIds=e=>{t.selectionWebGLIdsToVTKIds=e},e.createDefaultLookupTable=()=>{t.lookupTable=TM.newInstance()},e.getColorModeAsString=()=>Qw.enumToString(VM,t.colorMode),e.setColorModeToDefault=()=>e.setColorMode(0),e.setColorModeToMapScalars=()=>e.setColorMode(1),e.setColorModeToDirectScalars=()=>e.setColorMode(2),e.getScalarModeAsString=()=>Qw.enumToString(GM,t.scalarMode),e.setScalarModeToDefault=()=>e.setScalarMode(0),e.setScalarModeToUsePointData=()=>e.setScalarMode(1),e.setScalarModeToUseCellData=()=>e.setScalarMode(2),e.setScalarModeToUsePointFieldData=()=>e.setScalarMode(3),e.setScalarModeToUseCellFieldData=()=>e.setScalarMode(4),e.setScalarModeToUseFieldData=()=>e.setScalarMode(5),e.getAbstractScalars=(e,n,r,i,a)=>{if(!e||!t.scalarVisibility)return{scalars:null,cellFLag:!1};let o=null,s=!1;if(n===GM.DEFAULT)o=e.getPointData().getScalars(),o||(o=e.getCellData().getScalars(),s=!0);else if(n===GM.USE_POINT_DATA)o=e.getPointData().getScalars();else if(n===GM.USE_CELL_DATA)o=e.getCellData().getScalars(),s=!0;else if(n===GM.USE_POINT_FIELD_DATA){const t=e.getPointData();o=r===zM.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}else if(n===GM.USE_CELL_FIELD_DATA){const t=e.getCellData();s=!0,o=r===zM.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}else if(n===GM.USE_FIELD_DATA){const t=e.getFieldData();o=r===zM.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}return{scalars:o,cellFlag:s}},e.mapScalars=(n,r)=>{const i=e.getAbstractScalars(n,t.scalarMode,t.arrayAccessMode,t.arrayId,t.colorByArrayName).scalars;if(!i)return t.colorCoordinates=null,t.colorTextureMap=null,void(t.colorMapColors=null);const a=`${e.getMTime()}${i.getMTime()}${r}`;if(t.colorBuildString!==a){if(t.useLookupTableScalarRange||e.getLookupTable().setRange(t.scalarRange[0],t.scalarRange[1]),e.canUseTextureMapForColoring(n))e.mapScalarsToTexture(i,r);else{t.colorCoordinates=null,t.colorTextureMap=null;const n=e.getLookupTable();n&&(n.build(),t.colorMapColors=n.mapScalars(i,t.colorMode,t.fieldDataTupleId))}t.colorBuildString=`${e.getMTime()}${i.getMTime()}${r}`}},e.scalarToTextureCoordinate=(e,t,n)=>{let r=.5,i=1;return qT(e)||(i=.49,r=(e-t)*n,r>1e3?r=1e3:r<-1e3&&(r=-1e3)),{texCoordS:r,texCoordT:i}},e.createColorTextureCoordinates=(t,n,r,i,a,o,s,l,c)=>{const u=(o[1]-o[0])/l,d=[];d[0]=o[0]-u,d[1]=o[1]+u;const f=1/(d[1]-d[0]),p=n.getData(),h=t.getData();let m=0,g=0;if(a<0||a>=i)for(let t=0;t<r;++t){let t=0;for(let e=0;e<i;++e)t+=h[m]*h[m],m++;let n=Math.sqrt(t);c&&(n=TM.applyLogScale(n,s,o));const r=e.scalarToTextureCoordinate(n,d[0],f);p[g]=r.texCoordS,p[g+1]=r.texCoordT,g+=2}else{m+=a;for(let t=0;t<r;++t){let t=h[m];c&&(t=TM.applyLogScale(t,s,o));const n=e.scalarToTextureCoordinate(t,d[0],f);p[g]=n.texCoordS,p[g+1]=n.texCoordT,g+=2,m+=i}}},e.mapScalarsToTexture=(n,r)=>{const i=t.lookupTable.getRange(),a=t.lookupTable.usingLogScale();a&&TM.getLogRange(i,i);const o=t.lookupTable.getAlpha();if(t.colorMapColors=null,null==t.colorTextureMap||e.getMTime()>t.colorTextureMap.getMTime()||t.lookupTable.getMTime()>t.colorTextureMap.getMTime()||t.lookupTable.getAlpha()!==r){t.lookupTable.setAlpha(r),t.colorTextureMap=null,t.lookupTable.build();let e=t.lookupTable.getNumberOfAvailableColors();e>4094&&(e=4094),e<64&&(e=64),e+=2;const n=(i[1]-i[0])/(e-2),s=new Float64Array(2*e);for(let t=0;t<e;++t)s[t]=i[0]+t*n-n/2,a&&(s[t]=10**s[t]);for(let t=0;t<e;++t)s[t+e]=NaN;t.colorTextureMap=oM.newInstance(),t.colorTextureMap.setExtent(0,e-1,0,1,0,0);const l=NE.newInstance({numberOfComponents:1,values:s});t.colorTextureMap.getPointData().setScalars(t.lookupTable.mapScalars(l,t.colorMode,0)),t.lookupTable.setAlpha(o)}if(!t.colorCoordinates||e.getMTime()>t.colorCoordinates.getMTime()||e.getInputData(0).getMTime()>t.colorCoordinates.getMTime()||t.lookupTable.getMTime()>t.colorCoordinates.getMTime()){t.colorCoordinates=null;const r=n.getNumberOfComponents(),o=n.getNumberOfTuples();t.colorCoordinates=NE.newInstance({numberOfComponents:2,values:new Float32Array(2*o)});let s=t.lookupTable.getVectorComponent();t.lookupTable.getVectorMode()===jM.MAGNITUDE&&n.getNumberOfComponents()>1&&(s=-1),e.createColorTextureCoordinates(n,t.colorCoordinates,o,r,s,i,t.lookupTable.getRange(),t.colorTextureMap.getPointData().getScalars().getNumberOfTuples()/2-2,a)}},e.getIsOpaque=()=>{const n=e.getInputData(),r=e.getAbstractScalars(n,t.scalarMode,t.arrayAccessMode,t.arrayId,t.colorByArrayName).scalars;if(!t.scalarVisibility||null==r)return!0;const i=e.getLookupTable();return!i||(i.build(),i.areScalarsOpaque(r,t.colorMode,-1))},e.canUseTextureMapForColoring=n=>{if(!t.interpolateScalarsBeforeMapping)return!1;if(t.lookupTable&&t.lookupTable.getIndexedLookup())return!1;const r=e.getAbstractScalars(n,t.scalarMode,t.arrayAccessMode,t.arrayId,t.colorByArrayName),i=r.scalars;return!(!i||r.cellFlag||t.colorMode===VM.DEFAULT&&i.getDataType()===WM.UNSIGNED_CHAR||t.colorMode===VM.DIRECT_SCALARS)},e.clearColorArrays=()=>{t.colorMapColors=null,t.colorCoordinates=null,t.colorTextureMap=null},e.getLookupTable=()=>(t.lookupTable||e.createDefaultLookupTable(),t.lookupTable),e.getMTime=()=>{let e=t.mtime;if(null!==t.lookupTable){const n=t.lookupTable.getMTime();e=n>e?n:e}return e},e.getPrimitiveCount=()=>{const t=e.getInputData();return{points:t.getPoints().getNumberOfValues()/3,verts:t.getVerts().getNumberOfValues()-t.getVerts().getNumberOfCells(),lines:t.getLines().getNumberOfValues()-2*t.getLines().getNumberOfCells(),triangles:t.getPolys().getNumberOfValues()-3*t.getPolys().getNumberOfCells()}},e.acquireInvertibleLookupTable=HM("AcquireInvertibleLookupTable"),e.valueToColor=HM("ValueToColor"),e.colorToValue=HM("ColorToValue"),e.useInvertibleColorFor=HM("UseInvertibleColorFor"),e.clearInvertibleColor=HM("ClearInvertibleColor"),e.processSelectorPixelBuffers=(e,n)=>{if(!e||!t.selectionWebGLIdsToVTKIds||!t.populateSelectionSettings)return;const r=e.getRawPixelBuffer(RM.ID_LOW24),i=e.getRawPixelBuffer(RM.ID_HIGH24),a=e.getCurrentPass(),o=e.getFieldAssociation();let s=null;o===FM.FIELD_ASSOCIATION_POINTS?s=t.selectionWebGLIdsToVTKIds.points:o===FM.FIELD_ASSOCIATION_CELLS&&(s=t.selectionWebGLIdsToVTKIds.cells),s&&n.forEach((t=>{if(a===RM.ID_LOW24){let n=0;i&&(n+=i[t],n*=256),n+=r[t+2],n*=256,n+=r[t+1],n*=256,n+=r[t];const a=s[n],o=e.getPixelBuffer(RM.ID_LOW24);o[t]=255&a,o[t+1]=(65280&a)>>8,o[t+2]=(16711680&a)>>16}else if(a===RM.ID_HIGH24&&i){let n=0;n+=i[t],n*=256,n+=r[t],n*=256,n+=r[t+1],n*=256,n+=r[t+2];const a=s[n];e.getPixelBuffer(RM.ID_HIGH24)[t]=(4278190080&a)>>24}}))}}(e,t)}var qM={newInstance:Qw.newInstance(XM,"vtkMapper"),extend:XM,...BM,...UM,...dM};function KM(e){let t=0;return e.filter(((e,n)=>n===t&&(t+=e+1,!0)))}function YM(e){let t=0;for(let n=0;n<e.length;)n+=e[n]+1,t++;return t}const JM={extractCellSizes:KM,getNumberOfCells:YM};function ZM(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};NE.extend(e,t,function(e){return{empty:!0,numberOfComponents:1,dataType:xE.UNSIGNED_INT,...e}}(n)),function(e,t){t.classHierarchy.push("vtkCellArray");const n={...e};e.getNumberOfCells=n=>void 0===t.numberOfCells||n?(t.cellSizes?t.numberOfCells=t.cellSizes.length:t.numberOfCells=YM(e.getData()),t.numberOfCells):t.numberOfCells,e.getCellSizes=n=>void 0===t.cellSizes||n?(t.cellSizes=KM(e.getData()),t.cellSizes):t.cellSizes,e.resize=r=>{const i=e.getNumberOfTuples();n.resize(r);const a=e.getNumberOfTuples();a<i&&(0===a?(t.numberOfCells=0,t.cellSizes=[]):(t.numberOfCells=void 0,t.cellSizes=void 0))},e.setData=e=>{n.setData(e,1),t.numberOfCells=void 0,t.cellSizes=void 0},e.getCell=e=>{let n=e;const r=t.values[n++];return t.values.subarray(n,n+r)},e.insertNextCell=n=>{const r=e.getNumberOfCells();return e.insertNextTuples([n.length,...n]),++t.numberOfCells,null!=t.cellSizes&&t.cellSizes.push(n.length),r}}(e,t)}var QM={newInstance:Qw.newInstance(ZM,"vtkCellArray"),extend:ZM,...JM};const{vtkErrorMacro:eD}=Qw,tD=[1,-1,1,-1,1,-1],nD={empty:!0,numberOfComponents:3,dataType:xE.FLOAT,bounds:[1,-1,1,-1,1,-1]};function rD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,nD,n),NE.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkPoints"),e.getNumberOfPoints=e.getNumberOfTuples,e.setNumberOfPoints=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:3;e.getNumberOfPoints()!==n&&(t.size=n*r,t.values=Qw.newTypedArray(t.dataType,t.size),e.setNumberOfComponents(r),e.modified())},e.setPoint=function(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),i=1;i<n;i++)r[i-1]=arguments[i];e.setTuple(t,r)},e.getPoint=e.getTuple,e.findPoint=e.findTuple,e.insertNextPoint=(t,n,r)=>e.insertNextTuple([t,n,r]),e.getBounds=()=>{if(3===e.getNumberOfComponents()){const n=e.getRange(0);t.bounds[0]=n[0],t.bounds[1]=n[1];const r=e.getRange(1);t.bounds[2]=r[0],t.bounds[3]=r[1];const i=e.getRange(2);return t.bounds[4]=i[0],t.bounds[5]=i[1],t.bounds}if(2!==e.getNumberOfComponents())return eD(`getBounds called on an array with components of\n        ${e.getNumberOfComponents()}`),tD;const n=e.getRange(0);t.bounds[0]=n[0],t.bounds[1]=n[1];const r=e.getRange(1);return t.bounds[2]=r[0],t.bounds[3]=r[1],t.bounds[4]=0,t.bounds[5]=0,t.bounds},e.computeBounds=e.getBounds,e.setNumberOfComponents(t.numberOfComponents<2?3:t.numberOfComponents)}(e,t)}var iD={newInstance:Qw.newInstance(rD,"vtkPoints"),extend:rD};const aD={bounds:[-1,-1,-1,-1,-1,-1],pointsIds:[]};function oD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,aD,n),Qw.obj(e,t),t.points||(t.points=iD.newInstance()),Qw.get(e,t,["points","pointsIds"]),function(e,t){t.classHierarchy.push("vtkCell"),e.initialize=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(n){t.pointsIds=n;let r=t.points.getData();r.length!==3*t.pointsIds.length&&(r=Qw.newTypedArray(e.getDataType(),3*t.pointsIds.length));const i=e.getData();t.pointsIds.forEach(((e,t)=>{let n=3*e,a=3*t;r[a]=i[n],r[++a]=i[++n],r[++a]=i[++n]})),t.points.setData(r)}else{t.points=e,t.pointsIds=new Array(e.getNumberOfPoints());for(let n=e.getNumberOfPoints()-1;n>=0;--n)t.pointsIds[n]=n}},e.getBounds=()=>{const e=t.points.getNumberOfPoints(),n=[];if(e){t.points.getPoint(0,n),t.bounds[0]=n[0],t.bounds[1]=n[0],t.bounds[2]=n[1],t.bounds[3]=n[1],t.bounds[4]=n[2],t.bounds[5]=n[2];for(let r=1;r<e;r++)t.points.getPoint(r,n),t.bounds[0]=n[0]<t.bounds[0]?n[0]:t.bounds[0],t.bounds[1]=n[0]>t.bounds[1]?n[0]:t.bounds[1],t.bounds[2]=n[1]<t.bounds[2]?n[1]:t.bounds[2],t.bounds[3]=n[1]>t.bounds[3]?n[1]:t.bounds[3],t.bounds[4]=n[2]<t.bounds[4]?n[2]:t.bounds[4],t.bounds[5]=n[2]>t.bounds[5]?n[2]:t.bounds[5]}else GT(t.bounds);return t.bounds},e.getLength2=()=>{e.getBounds();let n=0,r=0;for(let e=0;e<3;e++)r=t.bounds[2*e+1]-t.bounds[2*e],n+=r*r;return n},e.getParametricDistance=e=>{let t,n=0;for(let r=0;r<3;r++)t=e[r]<0?-e[r]:e[r]>1?e[r]-1:0,t>n&&(n=t);return n},e.getNumberOfPoints=()=>t.points.getNumberOfPoints(),e.deepCopy=e=>{e.initialize(t.points,t.pointsIds)},e.getCellDimension=()=>{},e.intersectWithLine=(e,t,n,r,i,a,o)=>{},e.evaluatePosition=(e,t,n,r,i,a)=>{Qw.vtkErrorMacro("vtkCell.evaluatePosition is not implemented.")}}(e,t)}var sD={newInstance:Qw.newInstance(oD,"vtkCell"),extend:oD};const lD={array:null,maxId:0,extend:0};function cD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,lD,n),Qw.obj(e,t),function(e,t){t.classHierarchy.push("vtkCellLinks"),e.buildLinks=n=>{const r=n.getPoints().getNumberOfPoints(),i=n.getNumberOfCells(),a=new Uint32Array(r);if(n.isA("vtkPolyData")){for(let t=0;t<i;++t){const{cellPointIds:r}=n.getCellPoints(t);r.forEach((t=>{e.incrementLinkCount(t)}))}e.allocateLinks(r),t.maxId=r-1;for(let t=0;t<i;++t){const{cellPointIds:r}=n.getCellPoints(t);r.forEach((n=>{e.insertCellReference(n,a[n]++,t)}))}}else{for(let t=0;t<i;t++)sD.newInstance().getPointsIds().forEach((t=>{e.incrementLinkCount(t)}));e.allocateLinks(r),t.maxId=r-1;for(let t=0;t<i;++t)sD.newInstance().getPointsIds().forEach((n=>{e.insertCellReference(n,a[n]++,t)}))}},e.allocate=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1e3;t.array=Array(e).fill().map((()=>({ncells:0,cells:null}))),t.extend=n,t.maxId=-1},e.initialize=()=>{t.array=null},e.getLink=e=>t.array[e],e.getNcells=e=>t.array[e].ncells,e.getCells=e=>t.array[e].cells,e.insertNextPoint=e=>{t.array.push({ncells:e,cells:Array(e)}),++t.maxId},e.insertNextCellReference=(e,n)=>{t.array[e].cells[t.array[e].ncells++]=n},e.deletePoint=e=>{t.array[e].ncells=0,t.array[e].cells=null},e.removeCellReference=(e,n)=>{t.array[n].cells=t.array[n].cells.filter((t=>t!==e)),t.array[n].ncells=t.array[n].cells.length},e.addCellReference=(e,n)=>{t.array[n].cells[t.array[n].ncells++]=e},e.resizeCellList=(e,n)=>{t.array[e].cells.length=n},e.squeeze=()=>{!function(e,t){let n=t;for(t>=e.array.length&&(n+=e.array.length);n>e.array.length;)e.array.push({ncells:0,cells:null});e.array.length=n}(t,t.maxId+1)},e.reset=()=>{t.maxId=-1},e.deepCopy=e=>{t.array=[...e.array],t.extend=e.extend,t.maxId=e.maxId},e.incrementLinkCount=e=>{++t.array[e].ncells},e.allocateLinks=e=>{for(let n=0;n<e;++n)t.array[n].cells=new Array(t.array[n].ncells)},e.insertCellReference=(e,n,r)=>{t.array[e].cells[n]=r}}(e,t)}var uD={newInstance:Qw.newInstance(cD,"vtkCellLinks"),extend:cD};const dD=0,fD=1,pD=2,hD=3,mD=4,gD=5,vD=6,yD=7,bD=9,_D=21,xD=41,wD=42,AD=["vtkEmptyCell","vtkVertex","vtkPolyVertex","vtkLine","vtkPolyLine","vtkTriangle","vtkTriangleStrip","vtkPolygon","vtkPixel","vtkQuad","vtkTetra","vtkVoxel","vtkHexahedron","vtkWedge","vtkPyramid","vtkPentagonalPrism","vtkHexagonalPrism","UnknownClass","UnknownClass","UnknownClass","UnknownClass","vtkQuadraticEdge","vtkQuadraticTriangle","vtkQuadraticQuad","vtkQuadraticTetra","vtkQuadraticHexahedron","vtkQuadraticWedge","vtkQuadraticPyramid","vtkBiQuadraticQuad","vtkTriQuadraticHexahedron","vtkQuadraticLinearQuad","vtkQuadraticLinearWedge","vtkBiQuadraticQuadraticWedge","vtkBiQuadraticQuadraticHexahedron","vtkBiQuadraticTriangle","vtkCubicLine","vtkQuadraticPolygon","UnknownClass","UnknownClass","UnknownClass","UnknownClass","vtkConvexPointSet","UnknownClass","UnknownClass","UnknownClass","UnknownClass","UnknownClass","UnknownClass","UnknownClass","UnknownClass","UnknownClass","vtkParametricCurve","vtkParametricSurface","vtkParametricTriSurface","vtkParametricQuadSurface","vtkParametricTetraRegion","vtkParametricHexRegion","UnknownClass","UnknownClass","UnknownClass","vtkHigherOrderEdge","vtkHigherOrderTriangle","vtkHigherOrderQuad","vtkHigherOrderPolygon","vtkHigherOrderTetrahedron","vtkHigherOrderWedge","vtkHigherOrderPyramid","vtkHigherOrderHexahedron"],SD={getClassNameFromTypeId:function(e){return e<AD.length?AD[e]:"UnknownClass"},getTypeIdFromClassName:function(e){return AD.findIndex(e)},isLinear:function(e){return e<_D||e===xD||e===wD},hasSubCells:function(e){return e===vD||e===mD||e===pD}},TD={size:0,maxId:-1,extend:1e3};function CD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,TD,n),Qw.obj(e,t),Qw.get(e,t,["size","maxId","extend"]),Qw.getArray(e,t,["typeArray","locationArray"]),function(e,t){t.classHierarchy.push("vtkCellTypes"),e.allocate=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:512,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:1e3;t.size=e>0?e:1,t.extend=n>0?n:1,t.maxId=-1,t.typeArray=new Uint8Array(e),t.locationArray=new Uint32Array(e)},e.insertCell=(e,n,r)=>{t.typeArray[e]=n,t.locationArray[e]=r,e>t.maxId&&(t.maxId=e)},e.insertNextCell=(n,r)=>(e.insertCell(++t.maxId,n,r),t.maxId),e.setCellTypes=(e,n,r)=>{t.size=e,t.typeArray=n,t.locationArray=r,t.maxId=e-1},e.getCellLocation=e=>t.locationArray[e],e.deleteCell=e=>{t.typeArray[e]=dD},e.getNumberOfTypes=()=>t.maxId+1,e.isType=t=>{const n=e.getNumberOfTypes();for(let r=0;r<n;++r)if(t===e.getCellType(r))return!0;return!1},e.insertNextType=t=>e.insertNextCell(t,-1),e.getCellType=e=>t.typeArray[e],e.reset=()=>{t.maxId=-1},e.deepCopy=n=>{e.allocate(n.getSize(),n.getExtend()),t.typeArray.set(n.getTypeArray()),t.locationArray.set(n.getLocationArray()),t.maxId=n.getMaxId()}}(e,t)}var ED={newInstance:Qw.newInstance(CD,"vtkCellTypes"),extend:CD,...SD},MD={IntersectionState:{NO_INTERSECTION:0,YES_INTERSECTION:1,ON_LINE:2}};const{IntersectionState:DD}=MD;function PD(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;const i={t:Number.MIN_VALUE,distance:0},a=[];let o;a[0]=n[0]-t[0],a[1]=n[1]-t[1],a[2]=n[2]-t[2];const s=a[0]*(e[0]-t[0])+a[1]*(e[1]-t[1])+a[2]*(e[2]-t[2]),l=CT(a,a);let c=1e-5*s;return 0!==l&&(i.t=s/l),c<0&&(c=-c),-c<l&&l<c||l<=0||i.t<0?o=t:i.t>1?o=n:(o=a,a[0]=t[0]+i.t*a[0],a[1]=t[1]+i.t*a[1],a[2]=t[2]+i.t*a[2]),r&&(r[0]=o[0],r[1]=o[1],r[2]=o[2]),i.distance=PT(o,e),i}function ID(e,t,n,r,i,a){const o=[],s=[],l=[];i[0]=0,a[0]=0,ST(t,e,o),ST(r,n,s),ST(n,e,l);const c=[CT(o,o),-CT(o,s),-CT(o,s),CT(s,s)],u=[];if(u[0]=CT(o,l),u[1]=-CT(s,l),0===LT(c,u,2)){let o=Number.MAX_VALUE;const s=[e,t,n,r],l=[n,n,e,e],c=[r,r,t,t];let u;a[0],a[0],i[0],i[0],i[0],i[0],a[0],a[0];for(let e=0;e<4;e++)u=PD(s[e],l[e],c[e]),u.distance<o&&(o=u.distance);return DD.ON_LINE}return i[0]=u[0],a[0]=u[1],i[0]>=0&&i[0]<=1&&a[0]>=0&&a[0]<=1?DD.YES_INTERSECTION:DD.NO_INTERSECTION}const OD={distanceToLine:PD,intersection:ID},ND={orientations:null};function kD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ND,n),sD.extend(e,t,n),Qw.setGet(e,t,["orientations"]),function(e,t){t.classHierarchy.push("vtkLine"),e.getCellDimension=()=>1,e.intersectWithLine=(e,n,r,i,a)=>{const o={intersect:0,t:Number.MAX_VALUE,subId:0,betweenPoints:null};a[1]=0,a[2]=0;const s=[],l=[],c=[];t.points.getPoint(0,l),t.points.getPoint(1,c);const u=[],d=[],f=ID(e,n,l,c,u,d);var p;if(o.t=u[0],o.betweenPoints=(p=o.t)>=0&&p<=1,a[0]=d[0],f===DD.YES_INTERSECTION){for(let t=0;t<3;t++)i[t]=l[t]+a[0]*(c[t]-l[t]),s[t]=e[t]+o.t*(n[t]-e[t]);if(PT(i,s)<=r*r)return o.intersect=1,o}else{let t;if(o.t<0)return t=PD(e,l,c,i),t.distance<=r*r?(o.t=0,o.intersect=1,o.betweenPoints=!0,o):o;if(o.t>1)return t=PD(n,l,c,i),t.distance<=r*r?(o.t=1,o.intersect=1,o.betweenPoints=!0,o):o;if(a[0]<0)return a[0]=0,t=PD(l,e,n,i),o.t=t.t,t.distance<=r*r?(o.intersect=1,o):o;if(a[0]>1)return a[0]=1,t=PD(c,e,n,i),o.t=t.t,t.distance<=r*r?(o.intersect=1,o):o}return o},e.evaluateLocation=(e,n,r)=>{const i=[],a=[];t.points.getPoint(0,i),t.points.getPoint(1,a);for(let t=0;t<3;t++)n[t]=i[t]+e[0]*(a[t]-i[t]);r[0]=1-e[0],r[1]=e[0]},e.evaluateOrientation=(e,n,r)=>!!t.orientations&&(function(e,t,n,r){var i,a,o,s,l,c=t[0],u=t[1],d=t[2],f=t[3],p=n[0],h=n[1],m=n[2],g=n[3];(a=c*p+u*h+d*m+f*g)<0&&(a=-a,p=-p,h=-h,m=-m,g=-g),1-a>v_?(i=Math.acos(a),o=Math.sin(i),s=Math.sin((1-r)*i)/o,l=Math.sin(r*i)/o):(s=1-r,l=r),e[0]=s*c+l*p,e[1]=s*u+l*h,e[2]=s*d+l*m,e[3]=s*f+l*g}(n,t.orientations[0],t.orientations[1],e[0]),r[0]=1-e[0],r[1]=e[0],!0)}(e,t)}var RD={newInstance:Qw.newInstance(kD,"vtkLine"),extend:kD,...OD,...MD};const LD={};function FD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,LD,n),ZE.extend(e,t,n),Qw.setGet(e,t,["points"]),function(e,t){t.classHierarchy.push("vtkPointSet"),t.points?t.points=Qx(t.points):t.points=iD.newInstance(),e.getNumberOfPoints=()=>t.points.getNumberOfPoints(),e.getBounds=()=>t.points.getBounds(),e.computeBounds=()=>{e.getBounds()};const n=e.shallowCopy;e.shallowCopy=function(e){n(e,arguments.length>1&&void 0!==arguments[1]&&arguments[1]),t.points=iD.newInstance(),t.points.shallowCopy(e.getPoints())}}(e,t)}var BD={newInstance:Qw.newInstance(FD,"vtkPointSet"),extend:FD};function UD(e,t,n,r){const i=n[0]-t[0],a=n[1]-t[1],o=n[2]-t[2],s=e[0]-t[0],l=e[1]-t[1],c=e[2]-t[2];r[0]=a*c-o*l,r[1]=o*s-i*c,r[2]=i*l-a*s}function VD(e,t,n,r){UD(e,t,n,r);const i=Math.sqrt(r[0]*r[0]+r[1]*r[1]+r[2]*r[2]);0!==i&&(r[0]/=i,r[1]/=i,r[2]/=i)}const GD={computeNormalDirection:UD,computeNormal:VD,intersectWithTriangle:function(e,t,n,r,i,a){let o=arguments.length>6&&void 0!==arguments[6]?arguments[6]:1e-6,s=!1;const l=[],c=[],u=[],d=[],f=[];VD(e,t,n,d),VD(r,i,a,f);const p=-CT(d,e),h=-CT(f,r),m=[CT(f,e)+h,CT(f,t)+h,CT(f,n)+h];if(m[0]*m[1]>o&&m[0]*m[2]>o)return{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u};const g=[CT(d,r)+p,CT(d,i)+p,CT(d,a)+p];if(g[0]*g[1]>o&&g[0]*g[2]>o)return{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u};if(Math.abs(d[0]-f[0])<1e-9&&Math.abs(d[1]-f[1])<1e-9&&Math.abs(d[2]-f[2])<1e-9&&Math.abs(p-h)<1e-9)return s=!0,{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u};const v=[e,t,n],y=[r,i,a],b=CT(d,f),_=(p-h*b)/(b*b-1),x=(h-p*b)/(b*b-1),w=[_*d[0]+x*f[0],_*d[1]+x*f[1],_*d[2]+x*f[2]],A=ET(d,f,[]);DT(A);let S=0,T=0;const C=[],E=[];let M,D,P=50,I=50;for(let t=0;t<3;t++){const n=t,i=(t+1)%3,a=lC.intersectWithLine(v[n],v[i],r,f);a.intersection&&a.t>0-o&&a.t<1+o&&(a.t<1+o&&a.t>1-o&&(P=S),C[S++]=CT(a.x,A)-CT(w,A));const s=lC.intersectWithLine(y[n],y[i],e,d);s.intersection&&s.t>0-o&&s.t<1+o&&(s.t<1+o&&s.t>1-o&&(I=T),E[T++]=CT(s.x,A)-CT(w,A))}if(S>2){S--;const e=C[2];C[2]=C[P],C[P]=e}if(T>2){T--;const e=E[2];E[2]=E[I],E[I]=e}if(2!==S||2!==T)return{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u};if(Number.isNaN(C[0])||Number.isNaN(C[1])||Number.isNaN(E[0])||Number.isNaN(E[1]))return{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u};if(C[0]>C[1]){const e=C[1];C[1]=C[0],C[0]=e}if(E[0]>E[1]){const e=E[1];E[1]=E[0],E[0]=e}return C[1]<E[0]||E[1]<C[0]?{intersect:!1,coplanar:s,pt1:l,pt2:c,surfaceId:u}:(C[0]<E[0]?C[1]<E[1]?(u[0]=2,u[1]=1,M=E[0],D=C[1]):(u[0]=2,u[1]=2,M=E[0],D=E[1]):C[1]<E[1]?(u[0]=1,u[1]=1,M=C[0],D=C[1]):(u[0]=1,u[1]=2,M=C[0],D=E[1]),TT(w,A,M,l),TT(w,A,D,c),{intersect:!0,coplanar:s,pt1:l,pt2:c,surfaceId:u})}},zD={};function jD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,zD,n),sD.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkTriangle"),e.getCellDimension=()=>2,e.intersectWithLine=(n,r,i,a,o)=>{const s={subId:0,t:Number.MAX_VALUE,intersect:0,betweenPoints:!1};o[2]=0;const l=[],c=i*i,u=[],d=[],f=[];t.points.getPoint(0,u),t.points.getPoint(1,d),t.points.getPoint(2,f);const p=[],h=[];if(VD(u,d,f,p),0!==p[0]||0!==p[1]||0!==p[2]){const t=lC.intersectWithLine(n,r,u,p);if(s.betweenPoints=t.betweenPoints,s.t=t.t,a[0]=t.x[0],a[1]=t.x[1],a[2]=t.x[2],!t.intersection)return o[0]=0,o[1]=0,s.intersect=0,s;const i=e.evaluatePosition(a,l,o,h);if(i.evaluation>=0)return i.dist2<=c?(s.intersect=1,s):(s.intersect=i.evaluation,s)}const m=PT(u,d),g=PT(d,f),v=PT(f,u);t.line||(t.line=RD.newInstance()),m>g&&m>v?(t.line.getPoints().setPoint(0,u),t.line.getPoints().setPoint(1,d)):g>v&&g>m?(t.line.getPoints().setPoint(0,d),t.line.getPoints().setPoint(1,f)):(t.line.getPoints().setPoint(0,f),t.line.getPoints().setPoint(1,u));const y=t.line.intersectWithLine(n,r,i,a,o);if(s.betweenPoints=y.betweenPoints,s.t=y.t,y.intersect){const e=[],t=[],n=[];for(let r=0;r<3;r++)e[r]=u[r]-f[r],t[r]=d[r]-f[r],n[r]=a[r]-f[r];return o[0]=CT(n,e)/v,o[1]=CT(n,t)/g,s.intersect=1,s}return o[0]=0,o[1]=0,s.intersect=0,s},e.evaluatePosition=(e,n,r,i)=>{const a={subId:0,dist2:0,evaluation:-1};let o,s;const l=[],c=[],u=[],d=[];let f;const p=[],h=[],m=[];let g=0,v=0;const y=[];let b,_,x,w=[];const A=[],S=[],T=[];a.subId=0,r[2]=0,t.points.getPoint(1,l),t.points.getPoint(2,c),t.points.getPoint(0,u),UD(l,c,u,d),lC.generalizedProjectPoint(e,l,d,T);let C=0;for(o=0;o<3;o++)f=d[o]<0?-d[o]:d[o],f>C&&(C=f,v=o);for(s=0,o=0;o<3;o++)o!==v&&(y[s++]=o);for(o=0;o<2;o++)p[o]=T[y[o]]-u[y[o]],h[o]=l[y[o]]-u[y[o]],m[o]=c[y[o]]-u[y[o]];if(g=OT(h,m),0===g)return r[0]=0,r[1]=0,a.evaluation=-1,a;if(r[0]=OT(p,m)/g,r[1]=OT(h,p)/g,i[0]=1-(r[0]+r[1]),i[1]=r[0],i[2]=r[1],i[0]>=0&&i[0]<=1&&i[1]>=0&&i[1]<=1&&i[2]>=0&&i[2]<=1)n&&(a.dist2=PT(T,e),n[0]=T[0],n[1]=T[1],n[2]=T[2]),a.evaluation=1;else{let t;if(n)if(i[1]<0&&i[2]<0)for(b=PT(e,u),_=RD.distanceToLine(e,l,u,t,A),x=RD.distanceToLine(e,u,c,t,S),b<_?(a.dist2=b,w=u):(a.dist2=_,w=A),x<a.dist2&&(a.dist2=x,w=S),o=0;o<3;o++)n[o]=w[o];else if(i[2]<0&&i[0]<0)for(b=PT(e,l),_=RD.distanceToLine(e,l,u,t,A),x=RD.distanceToLine(e,l,c,t,S),b<_?(a.dist2=b,w=l):(a.dist2=_,w=A),x<a.dist2&&(a.dist2=x,w=S),o=0;o<3;o++)n[o]=w[o];else if(i[1]<0&&i[0]<0)for(b=PT(e,c),_=RD.distanceToLine(e,c,u,t,A),x=RD.distanceToLine(e,l,c,t,S),b<_?(a.dist2=b,w=c):(a.dist2=_,w=A),x<a.dist2&&(a.dist2=x,w=S),o=0;o<3;o++)n[o]=w[o];else if(i[0]<0){const t=RD.distanceToLine(e,l,c,n);a.dist2=t.distance}else if(i[1]<0){const t=RD.distanceToLine(e,c,u,n);a.dist2=t.distance}else if(i[2]<0){const t=RD.distanceToLine(e,l,u,n);a.dist2=t.distance}a.evaluation=0}return a},e.evaluateLocation=(e,n,r)=>{const i=[],a=[],o=[];t.points.getPoint(0,i),t.points.getPoint(1,a),t.points.getPoint(2,o);const s=1-e[0]-e[1];for(let t=0;t<3;t++)n[t]=i[t]*s+a[t]*e[0]+o[t]*e[1];r[0]=s,r[1]=e[0],r[2]=e[1]},e.getParametricDistance=e=>{let t,n=0;const r=[];r[0]=e[0],r[1]=e[1],r[2]=1-e[0]-e[1];for(let e=0;e<3;e++)t=r[e]<0?-r[e]:r[e]>1?r[e]-1:0,t>n&&(n=t);return n}}(e,t)}var WD={newInstance:Qw.newInstance(jD,"vtkTriangle"),extend:jD,...GD};const HD=["verts","lines","polys","strips"],{vtkWarningMacro:$D}=Qw,XD={[hD]:RD,[mD]:RD,[gD]:WD},qD={};function KD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,qD,n),BD.extend(e,t,n),Qw.get(e,t,["cells","links"]),Qw.setGet(e,t,["verts","lines","polys","strips"]),function(e,t){t.classHierarchy.push("vtkPolyData"),HD.forEach((n=>{e[`getNumberOf${function(e){return e.replace(/(?:^\w|[A-Z]|\b\w)/g,(e=>e.toUpperCase())).replace(/\s+/g,"")}(n)}`]=()=>t[n].getNumberOfCells(),t[n]?t[n]=Qx(t[n]):t[n]=QM.newInstance()})),e.getNumberOfCells=()=>HD.reduce(((e,n)=>e+t[n].getNumberOfCells()),0);const n=e.shallowCopy;e.shallowCopy=function(e){n(e,arguments.length>1&&void 0!==arguments[1]&&arguments[1]),HD.forEach((n=>{t[n]=QM.newInstance(),t[n].shallowCopy(e.getReferenceByName(n))}))},e.buildCells=()=>{const n=e.getNumberOfVerts(),r=e.getNumberOfLines(),i=e.getNumberOfPolys(),a=e.getNumberOfStrips(),o=n+r+i+a,s=new Uint8Array(o);let l=s;const c=new Uint32Array(o);let u=c;if(n){let e=0;t.verts.getCellSizes().forEach(((t,n)=>{u[n]=e,l[n]=t>1?pD:fD,e+=t+1})),u=u.subarray(n),l=l.subarray(n)}if(r){let e=0;t.lines.getCellSizes().forEach(((t,n)=>{u[n]=e,l[n]=t>2?mD:hD,1===t&&$D("Building VTK_LINE ",n," with only one point, but VTK_LINE needs at least two points. Check the input."),e+=t+1})),u=u.subarray(r),l=l.subarray(r)}if(i){let e=0;t.polys.getCellSizes().forEach(((t,n)=>{switch(u[n]=e,t){case 3:l[n]=gD;break;case 4:l[n]=bD;break;default:l[n]=yD}t<3&&$D("Building VTK_TRIANGLE ",n," with less than three points, but VTK_TRIANGLE needs at least three points. Check the input."),e+=t+1})),u+=u.subarray(i),l+=l.subarray(i)}if(a){let e=0;l.fill(vD,0,a),t.strips.getCellSizes().forEach(((t,n)=>{u[n]=e,e+=t+1}))}t.cells=ED.newInstance(),t.cells.setCellTypes(o,s,c)},e.buildLinks=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;void 0===t.cells&&e.buildCells(),t.links=uD.newInstance(),n>0?t.links.allocate(n):t.links.allocate(e.getPoints().getNumberOfPoints()),t.links.buildLinks(e)},e.getCellType=e=>t.cells.getCellType(e),e.getCellPoints=n=>{const r=e.getCellType(n);let i=null;switch(r){case fD:case pD:i=t.verts;break;case hD:case mD:i=t.lines;break;case gD:case bD:case yD:i=t.polys;break;case vD:i=t.strips;break;default:return i=null,{type:0,cellPointIds:null}}const a=t.cells.getCellLocation(n);return{cellType:r,cellPointIds:i.getCell(a)}},e.getPointCells=e=>t.links.getCells(e),e.getCellEdgeNeighbors=(e,n,r)=>{const i=t.links.getLink(n),a=t.links.getLink(r);return i.cells.filter((t=>t!==e&&-1!==a.cells.indexOf(t)))},e.getCell=function(t){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;const r=e.getCellPoints(t),i=n||XD[r.cellType].newInstance();return i.initialize(e.getPoints(),r.cellPointIds),i}}(e,t)}var YD={newInstance:Qw.newInstance(KD,"vtkPolyData"),extend:KD};const JD={image:null,canvas:null,jsImageData:null,imageLoaded:!1,repeat:!1,interpolate:!1,edgeClamp:!1,mipLevel:0,resizable:!1};function ZD(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,JD,n),Qw.obj(e,t),Qw.algo(e,t,6,0),Qw.get(e,t,["canvas","image","jsImageData","imageLoaded","resizable"]),Qw.setGet(e,t,["repeat","edgeClamp","interpolate","mipLevel"]),function(e,t){t.classHierarchy.push("vtkTexture"),e.imageLoaded=()=>{t.image.removeEventListener("load",e.imageLoaded),t.imageLoaded=!0,e.modified()},e.setJsImageData=n=>{t.jsImageData!==n&&(null!==n&&(e.setInputData(null),e.setInputConnection(null),t.image=null,t.canvas=null),t.jsImageData=n,t.imageLoaded=!0,e.modified())},e.setCanvas=n=>{t.canvas!==n&&(null!==n&&(e.setInputData(null),e.setInputConnection(null),t.image=null,t.jsImageData=null),t.canvas=n,e.modified())},e.setImage=n=>{t.image!==n&&(null!==n&&(e.setInputData(null),e.setInputConnection(null),t.canvas=null,t.jsImageData=null),t.image=n,t.imageLoaded=!1,n.complete?e.imageLoaded():n.addEventListener("load",e.imageLoaded),e.modified())},e.getDimensionality=()=>{let n=0,r=0,i=1;if(e.getInputData()){const t=e.getInputData();n=t.getDimensions()[0],r=t.getDimensions()[1],i=t.getDimensions()[2]}return t.jsImageData&&(n=t.jsImageData.width,r=t.jsImageData.height),t.canvas&&(n=t.canvas.width,r=t.canvas.height),t.image&&(n=t.image.width,r=t.image.height),(n>1)+(r>1)+(i>1)},e.getInputAsJsImageData=()=>{if(!t.imageLoaded||e.getInputData())return null;if(t.jsImageData)return t.jsImageData();if(t.canvas)return t.canvas.getContext("2d").getImageData(0,0,t.canvas.width,t.canvas.height);if(t.image){const e=document.createElement("canvas");e.width=t.image.width,e.height=t.image.height;const n=e.getContext("2d");return n.translate(0,e.height),n.scale(1,-1),n.drawImage(t.image,0,0,t.image.width,t.image.height),n.getImageData(0,0,e.width,e.height)}return null}}(e,t)}const QD={generateMipmaps:(e,t,n,r)=>{const i=[1,2,1],a=e.length/(t*n);let o=t,s=n,l=e;const c=[l];for(let e=0;e<r;e++){const e=[...l];o/=2,s/=2,l=new Uint8ClampedArray(o*s*a);const t=a*o;let n=0;for(let r=0;r<l.length;r+=a){r%t==0&&(n+=2*a*o);for(let i=0;i<a;i++){let o=e[n+i];o+=e[n+a+i],o+=e[n-2*t+i],o+=e[n-2*t+a+i],o/=4,l[r+i]=o}n+=2*a}let r=[...l];for(let e=0;e<l.length;e+=a)for(let n=0;n<a;n++){let o=-(i.length-1)/2,s=4,c=0;for(let l=0;l<i.length;l++){let u=e+n+o*a;const d=u%t-(e+n)%t;d>a&&(u+=t),d<-a&&(u-=t),r[u]?c+=r[u]*i[l]:s-=i[l],o+=1}l[e+n]=c/s}r=[...l];for(let e=0;e<l.length;e+=a)for(let n=0;n<a;n++){let a=-(i.length-1)/2,o=4,s=0;for(let l=0;l<i.length;l++){const c=e+n+a*t;r[c]?s+=r[c]*i[l]:o-=i[l],a+=1}l[e+n]=s/o}c.push(l)}return c}};var eP={newInstance:Qw.newInstance(ZD,"vtkTexture"),extend:ZD,...QD};const tP=[[-1,0,0],[1,0,0],[0,-1,0],[0,1,0],[0,0,-1],[0,0,1]],nP=[[8,7,11,3],[9,1,10,5],[4,9,0,8],[2,11,6,10],[0,3,2,1],[4,5,6,7]],rP=[[0,1],[1,3],[2,3],[0,2],[4,5],[5,7],[6,7],[4,6],[0,4],[1,5],[3,7],[2,6]],iP=[0,1,0,1,0,1,0,1,2,2,2,2],aP=[[1,2],[1,2],[0,2],[0,2],[0,1],[0,1]],oP=new Float64Array(3),sP=new Float64Array(3),lP=new Float64Array(3),cP=new Float64Array(3),uP=new Float64Array(3),dP=new Float64Array(3),fP=new Float64Array(16);function pP(e,t){e.strokeStyle=t.strokeColor,e.lineWidth=t.strokeSize,e.fillStyle=t.fontColor,e.font=`${t.fontStyle} ${t.fontSize}px ${t.fontFamily}`}function hP(e){const t=[],n=[];for(let r=0;r<3;r++){const i=lT().domain([e[2*r],e[2*r+1]]);t[r]=i.ticks(5);const a=i.tickFormat(5);n[r]=t[r].map(a)}return{ticks:t,tickStrings:n}}const mP=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{renderable:null};Object.assign(t,{},n),Qw.obj(e,t),t.tmPolyData=YD.newInstance(),t.tmMapper=qM.newInstance(),t.tmMapper.setInputData(t.tmPolyData),t.tmActor=bE.newInstance({parentProp:e}),t.tmActor.setMapper(t.tmMapper),Qw.setGet(e,t,["renderable"]),Qw.get(e,t,["lastSize","lastAspectRatio","axisTextStyle","tickTextStyle","tmActor","ticks"]),t.forceUpdate=!1,t.lastRedrawTime={},Qw.obj(t.lastRedrawTime,{mtime:0}),t.lastRebuildTime={},Qw.obj(t.lastRebuildTime,{mtime:0}),t.lastSize=[-1,-1],t.lastTickBounds=[],function(e,t){t.classHierarchy.push("vtkCubeAxesActorHelper"),e.setRenderable=n=>{t.renderable!==n&&(t.renderable=n,t.tmActor.addTexture(t.renderable.getTmTexture()),t.tmActor.setProperty(n.getProperty()),t.tmActor.setParentProp(n),e.modified())},e.createPolyDataForOneLabel=(e,n,r,i,a,o,s)=>{const l=t.renderable.get_tmAtlas().get(e);if(!l)return;const c=t.renderable.getTextPolyData().getPoints().getData(),u=t.lastSize;oP[0]=c[3*n],oP[1]=c[3*n+1],oP[2]=c[3*n+2],DA(lP,oP,r),lP[0]+=.1,DA(sP,lP,i),CA(uP,sP,oP),lP[0]-=.1,lP[1]+=.1,DA(sP,lP,i),CA(dP,sP,oP);for(let e=0;e<3;e++)uP[e]/=.05*u[0],dP[e]/=.05*u[1];let d=s.ptIdx,f=s.cellIdx;oP[0]=c[3*n],oP[1]=c[3*n+1],oP[2]=c[3*n+2],a[0]<-.5?EA(lP,uP,a[0]*o-l.width):a[0]>.5?EA(lP,uP,a[0]*o):EA(lP,uP,a[0]*o-l.width/2),TA(oP,oP,lP),EA(lP,dP,a[1]*o-l.height/2),TA(oP,oP,lP),s.points[3*d]=oP[0],s.points[3*d+1]=oP[1],s.points[3*d+2]=oP[2],s.tcoords[2*d]=l.tcoords[0],s.tcoords[2*d+1]=l.tcoords[1],d++,EA(lP,uP,l.width),TA(oP,oP,lP),s.points[3*d]=oP[0],s.points[3*d+1]=oP[1],s.points[3*d+2]=oP[2],s.tcoords[2*d]=l.tcoords[2],s.tcoords[2*d+1]=l.tcoords[3],d++,EA(lP,dP,l.height),TA(oP,oP,lP),s.points[3*d]=oP[0],s.points[3*d+1]=oP[1],s.points[3*d+2]=oP[2],s.tcoords[2*d]=l.tcoords[4],s.tcoords[2*d+1]=l.tcoords[5],d++,EA(lP,uP,l.width),CA(oP,oP,lP),s.points[3*d]=oP[0],s.points[3*d+1]=oP[1],s.points[3*d+2]=oP[2],s.tcoords[2*d]=l.tcoords[6],s.tcoords[2*d+1]=l.tcoords[7],d++,s.polys[4*f]=3,s.polys[4*f+1]=d-4,s.polys[4*f+2]=d-3,s.polys[4*f+3]=d-2,f++,s.polys[4*f]=3,s.polys[4*f+1]=d-4,s.polys[4*f+2]=d-2,s.polys[4*f+3]=d-1,s.ptIdx+=4,s.cellIdx+=2},e.updateTexturePolyData=()=>{const n=t.camera.getCompositeProjectionMatrix(t.lastAspectRatio,-1,1);T_(n,n);const r=t.renderable.getTextValues().length,i=4*r,a=2*r,o=new Float64Array(3*i),s=new Uint16Array(4*a),l=new Float32Array(2*i);C_(fP,n);const c={ptIdx:0,cellIdx:0,polys:s,points:o,tcoords:l};let u=0,d=0,f=0;const p=t.renderable.getTextPolyData().getPoints().getData(),h=t.renderable.getTextValues();for(;u<p.length/3;){oP[0]=p[3*u],oP[1]=p[3*u+1],oP[2]=p[3*u+2],DA(lP,oP,n),oP[0]=p[3*u+3],oP[1]=p[3*u+4],oP[2]=p[3*u+5],DA(cP,oP,n),CA(lP,lP,cP);const r=[lP[0],lP[1]];IT(r),e.createPolyDataForOneLabel(h[d],u,n,fP,r,t.renderable.getAxisTitlePixelOffset(),c),u+=2,d++;for(let i=0;i<t.renderable.getTickCounts()[f];i++)e.createPolyDataForOneLabel(h[d],u,n,fP,r,t.renderable.getTickLabelPixelOffset(),c),u++,d++;f++}const m=NE.newInstance({numberOfComponents:2,values:l,name:"TextureCoordinates"});t.tmPolyData.getPointData().setTCoords(m),t.tmPolyData.getPoints().setData(o,3),t.tmPolyData.getPoints().modified(),t.tmPolyData.getPolys().setData(s,1),t.tmPolyData.getPolys().modified(),t.tmPolyData.modified()},e.updateAPISpecificData=(n,r,i)=>{t.lastSize[0]===n[0]&&t.lastSize[1]===n[1]||(t.lastSize[0]=n[0],t.lastSize[1]=n[1],t.lastAspectRatio=n[0]/n[1],t.forceUpdate=!0),t.camera=r,e.updateTexturePolyData()}}(e,t)}),"vtkCubeAxesActorHelper");function gP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};bE.extend(e,t,function(e,t,n){return{boundsScaleFactor:1.3,camera:null,dataBounds:[...HC.INIT_BOUNDS],faceVisibilityAngle:8,gridLines:!0,axisLabels:null,axisTitlePixelOffset:35,tickLabelPixelOffset:12,generateTicks:hP,...n,axisTextStyle:{fontColor:"white",fontStyle:"normal",fontSize:18,fontFamily:"serif",...n?.axisTextStyle},tickTextStyle:{fontColor:"white",fontStyle:"normal",fontSize:14,fontFamily:"serif",...n?.tickTextStyle}}}(0,0,n)),t.lastFacesToDraw=[!1,!1,!1,!1,!1,!1],t.axisLabels=["X-Axis","Y-Axis","Z-Axis"],t.tickCounts=[],t.textValues=[],t.lastTickBounds=[],t.tmCanvas=document.createElement("canvas"),t.tmContext=t.tmCanvas.getContext("2d"),t._tmAtlas=new Map,t.tmTexture=eP.newInstance({resizable:!0}),t.tmTexture.setInterpolate(!1),e.getProperty().setDiffuse(0),e.getProperty().setAmbient(1),t.gridMapper=qM.newInstance(),t.polyData=YD.newInstance(),t.gridMapper.setInputData(t.polyData),t.gridActor=bE.newInstance(),t.gridActor.setMapper(t.gridMapper),t.gridActor.setProperty(e.getProperty()),t.gridActor.setParentProp(e),t.textPolyData=YD.newInstance(),Qw.setGet(e,t,["axisTitlePixelOffset","boundsScaleFactor","faceVisibilityAngle","gridLines","tickLabelPixelOffset","generateTicks"]),Qw.setGetArray(e,t,["dataBounds"],6),Qw.setGetArray(e,t,["axisLabels"],3),Qw.get(e,t,["axisTextStyle","tickTextStyle","camera","tmTexture","textValues","textPolyData","tickCounts","gridActor"]),function(e,t){t.classHierarchy.push("vtkCubeAxesActor"),e.setCamera=n=>{t.camera!==n&&(t.cameraModifiedSub&&(t.cameraModifiedSub.unsubscribe(),t.cameraModifiedSub=null),t.camera=n,n&&(t.cameraModifiedSub=n.onModified(e.update)),e.update(),e.modified())},e.computeFacesToDraw=()=>{const e=t.camera.getViewMatrix();T_(e,e);let n=!1;const r=HC.getDiagonalLength(t.dataBounds),i=Math.sin(t.faceVisibilityAngle*Math.PI/180);for(let s=0;s<6;s++){let l=!1;const c=Math.floor(s/2),u=(c+1)%3,d=(c+2)%3;t.dataBounds[2*u]!==t.dataBounds[2*u+1]&&t.dataBounds[2*d]!==t.dataBounds[2*d+1]&&(oP[c]=t.dataBounds[s]-.1*r*tP[s][c],oP[u]=.5*(t.dataBounds[2*u]+t.dataBounds[2*u+1]),oP[d]=.5*(t.dataBounds[2*d]+t.dataBounds[2*d+1]),DA(lP,oP,e),oP[c]=t.dataBounds[s],DA(cP,oP,e),CA(lP,cP,lP),MA(lP,lP),l=lP[2]>i,t.camera.getParallelProjection()||(MA(cP,cP),o=lP,l=(a=cP)[0]*o[0]+a[1]*o[1]+a[2]*o[2]>i)),l!==t.lastFacesToDraw[s]&&(t.lastFacesToDraw[s]=l,n=!0)}var a,o;return n},e.updatePolyData=(e,n,r)=>{let i=0,a=0;i+=8;let o=0;for(let e=0;e<12;e++)n[e]>0&&o++;if(a+=o,t.gridLines)for(let t=0;t<6;t++)e[t]&&(i+=2*r[aP[t][0]].length+2*r[aP[t][1]].length,a+=r[aP[t][0]].length+r[aP[t][1]].length);const s=new Float64Array(3*i),l=new Uint32Array(3*a);let c=0,u=0;for(let e=0;e<2;e++)for(let n=0;n<2;n++)for(let r=0;r<2;r++)s[3*c]=t.dataBounds[r],s[3*c+1]=t.dataBounds[2+n],s[3*c+2]=t.dataBounds[4+e],c++;for(let e=0;e<12;e++)n[e]>0&&(l[3*u]=2,l[3*u+1]=rP[e][0],l[3*u+2]=rP[e][1],u++);if(t.gridLines)for(let n=0;n<6;n++)if(e[n]){const e=Math.floor(n/2);let i=r[aP[n][0]];for(let r=0;r<i.length;r++)s[3*c+e]=t.dataBounds[n],s[3*c+aP[n][0]]=i[r],s[3*c+aP[n][1]]=t.dataBounds[2*aP[n][1]],c++,s[3*c+e]=t.dataBounds[n],s[3*c+aP[n][0]]=i[r],s[3*c+aP[n][1]]=t.dataBounds[2*aP[n][1]+1],c++,l[3*u]=2,l[3*u+1]=c-2,l[3*u+2]=c-1,u++;i=r[aP[n][1]];for(let r=0;r<i.length;r++)s[3*c+e]=t.dataBounds[n],s[3*c+aP[n][1]]=i[r],s[3*c+aP[n][0]]=t.dataBounds[2*aP[n][0]],c++,s[3*c+e]=t.dataBounds[n],s[3*c+aP[n][1]]=i[r],s[3*c+aP[n][0]]=t.dataBounds[2*aP[n][0]+1],c++,l[3*u]=2,l[3*u+1]=c-2,l[3*u+2]=c-1,u++}t.polyData.getPoints().setData(s,3),t.polyData.getPoints().modified(),t.polyData.getLines().setData(l,1),t.polyData.getLines().modified(),t.polyData.modified()},e.updateTextData=(e,n,r,i)=>{let a=0;for(let e=0;e<12;e++)1===n[e]&&(a+=2,a+=r[iP[e]].length);const o=t.polyData.getPoints().getData(),s=new Float64Array(3*a);let l=0,c=0,u=0;for(let a=0;a<6;a++)if(e[a])for(let e=0;e<4;e++){const d=nP[a][e];if(1===n[d]){const e=iP[d],n=3*rP[d][0],f=3*rP[d][1];s[3*l]=.5*(o[n]+o[f]),s[3*l+1]=.5*(o[n+1]+o[f+1]),s[3*l+2]=.5*(o[n+2]+o[f+2]),l++,s[3*l+Math.floor(a/2)]=t.dataBounds[a],s[3*l+aP[a][0]]=.5*(t.dataBounds[2*aP[a][0]]+t.dataBounds[2*aP[a][0]+1]),s[3*l+aP[a][1]]=.5*(t.dataBounds[2*aP[a][1]]+t.dataBounds[2*aP[a][1]+1]),l++,t.textValues[c]=t.axisLabels[e],c++;const p=(e+1)%3,h=(e+2)%3,m=r[e],g=i[e];t.tickCounts[u]=m.length;for(let r=0;r<m.length;r++)s[3*l+e]=m[r],s[3*l+p]=o[n+p],s[3*l+h]=o[n+h],l++,t.textValues[c]=g[r],c++;u++}}t.textPolyData.getPoints().setData(s,3),t.textPolyData.modified()},e.update=()=>{if(!t.camera)return;const n=e.computeFacesToDraw(),r=t.lastFacesToDraw;let i=!1;for(let e=0;e<6;e++)t.dataBounds[e]!==t.lastTickBounds[e]&&(i=!0,t.lastTickBounds[e]=t.dataBounds[e]);if(n||i||t.forceUpdate){const n=new Array(12).fill(0);for(let e=0;e<6;e++)if(r[e])for(let t=0;t<4;t++)n[nP[e][t]]++;const a=t.generateTicks(t.dataBounds);e.updatePolyData(r,n,a.ticks),e.updateTextData(r,n,a.ticks,a.tickStrings),(i||t.forceUpdate)&&e.updateTextureAtlas(a.tickStrings)}t.forceUpdate=!1},e.updateTextureAtlas=e=>{t.tmContext.textBaseline="bottom",t.tmContext.textAlign="left",t._tmAtlas.clear();let n=0,r=1;for(let i=0;i<3;i++){if(!t._tmAtlas.has(t.axisLabels[i])){pP(t.tmContext,t.axisTextStyle);const e=t.tmContext.measureText(t.axisLabels[i]),a={height:e.actualBoundingBoxAscent+2,startingHeight:r,width:e.width+2,textStyle:t.axisTextStyle};t._tmAtlas.set(t.axisLabels[i],a),r+=a.height,n<a.width&&(n=a.width)}pP(t.tmContext,t.tickTextStyle);for(let a=0;a<e[i].length;a++)if(!t._tmAtlas.has(e[i][a])){const o=t.tmContext.measureText(e[i][a]),s={height:o.actualBoundingBoxAscent+2,startingHeight:r,width:o.width+2,textStyle:t.tickTextStyle};t._tmAtlas.set(e[i][a],s),r+=s.height,n<s.width&&(n=s.width)}}n=xT(n),r=xT(r),t._tmAtlas.forEach((e=>{e.tcoords=[0,(r-e.startingHeight-e.height)/r,e.width/n,(r-e.startingHeight-e.height)/r,e.width/n,(r-e.startingHeight)/r,0,(r-e.startingHeight)/r]})),t.tmCanvas.width=n,t.tmCanvas.height=r,t.tmContext.textBaseline="bottom",t.tmContext.textAlign="left",t.tmContext.clearRect(0,0,n,r),t._tmAtlas.forEach(((e,n)=>{pP(t.tmContext,e.textStyle),t.tmContext.fillText(n,1,e.startingHeight+e.height-1)})),t.tmTexture.setCanvas(t.tmCanvas),t.tmTexture.modified()},e.onModified((()=>{t.forceUpdate=!0,e.update()})),e.setTickTextStyle=n=>{t.tickTextStyle={...t.tickTextStyle,...n},e.modified()},e.setAxisTextStyle=n=>{t.axisTextStyle={...t.axisTextStyle,...n},e.modified()},e.get_tmAtlas=()=>t._tmAtlas,e.getBounds=()=>(e.update(),HC.setBounds(t.bounds,t.gridActor.getBounds()),HC.scaleAboutCenter(t.bounds,t.boundsScaleFactor,t.boundsScaleFactor,t.boundsScaleFactor),t.bounds);const n=Qw.chain(e.setProperty,t.gridActor.setProperty);e.setProperty=e=>n(e)[0]}(e,t)}var vP={newInstance:Qw.newInstance(gP,"vtkCubeAxesActor"),extend:gP,newCubeAxesActorHelper:mP,defaultGenerateTicks:hP};const yP={};const bP=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,yP,n),iA.extend(e,t,n),t.CubeAxesActorHelper=vP.newCubeAxesActorHelper(),function(e,t){t.classHierarchy.push("vtkOpenGLCubeAxesActor"),e.buildPass=n=>{n&&(t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent(),t.CubeAxesActorHelper.getRenderable()||t.CubeAxesActorHelper.setRenderable(t.renderable),e.prepareNodes(),e.addMissingNode(t.CubeAxesActorHelper.getTmActor()),e.addMissingNode(t.renderable.getGridActor()),e.removeUnusedNodes())},e.opaquePass=(e,n)=>{if(e){const e=t._openGLRenderer?t._openGLRenderer.getRenderable().getActiveCamera():null,n=t._openGLRenderer.getTiledSizeAndOrigin();t.CubeAxesActorHelper.updateAPISpecificData([n.usize,n.vsize],e,t._openGLRenderWindow.getRenderable())}}}(e,t)}),"vtkOpenGLCubeAxesActor");cA("vtkCubeAxesActor",bP);const _P={ARRAY_BUFFER:0,ELEMENT_ARRAY_BUFFER:1,TEXTURE_BUFFER:2};var xP={ObjectType:_P};const{ObjectType:wP}=xP,AP={objectType:wP.ARRAY_BUFFER,context:null,allocatedGPUMemoryInBytes:0};function SP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,AP,n),Qw.obj(e,t),Qw.get(e,t,["_openGLRenderWindow","allocatedGPUMemoryInBytes"]),Qw.moveToProtected(e,t,["openGLRenderWindow"]),function(e,t){function n(e){switch(e){case wP.ELEMENT_ARRAY_BUFFER:return t.context.ELEMENT_ARRAY_BUFFER;case wP.TEXTURE_BUFFER:if("TEXTURE_BUFFER"in t.context)return t.context.TEXTURE_BUFFER;case wP.ARRAY_BUFFER:default:return t.context.ARRAY_BUFFER}}t.classHierarchy.push("vtkOpenGLBufferObject");let r=null,i=null,a=!0,o="";e.getType=()=>r,e.setType=e=>{r=e},e.getHandle=()=>i,e.isReady=()=>!1===a,e.generateBuffer=e=>{const a=n(e);return null===i&&(i=t.context.createBuffer(),r=e),n(r)===a},e.upload=(s,l)=>e.generateBuffer(l)?(t.context.bindBuffer(n(r),i),t.context.bufferData(n(r),s,t.context.STATIC_DRAW),t.allocatedGPUMemoryInBytes=s.length*s.BYTES_PER_ELEMENT,a=!1,!0):(o="Trying to upload array buffer to incompatible buffer.",!1),e.bind=()=>!!i&&(t.context.bindBuffer(n(r),i),!0),e.release=()=>!!i&&(t.context.bindBuffer(n(r),null),!0),e.releaseGraphicsResources=()=>{null!==i&&(t.context.bindBuffer(n(r),null),t.context.deleteBuffer(i),i=null,t.allocatedGPUMemoryInBytes=0)},e.setOpenGLRenderWindow=n=>{t._openGLRenderWindow!==n&&(e.releaseGraphicsResources(),t._openGLRenderWindow=n,t.context=null,n&&(t.context=t._openGLRenderWindow.getContext()))},e.getError=()=>o}(e,t)}var TP={newInstance:Qw.newInstance(SP),extend:SP,...xP};const{vtkErrorMacro:CP}=Qw;const EP={elementCount:0,stride:0,colorBOStride:0,vertexOffset:0,normalOffset:0,tCoordOffset:0,tCoordComponents:0,colorOffset:0,colorComponents:0,tcoordBO:null,customData:[],coordShift:null,coordScale:null,coordShiftAndScaleEnabled:!1,inverseShiftAndScaleMatrix:null};function MP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,EP,n),TP.extend(e,t,n),Qw.setGet(e,t,["colorBO","elementCount","stride","colorBOStride","vertexOffset","normalOffset","tCoordOffset","tCoordComponents","colorOffset","colorComponents","customData"]),Qw.get(e,t,["coordShift","coordScale","coordShiftAndScaleEnabled","inverseShiftAndScaleMatrix"]),function(e,t){t.classHierarchy.push("vtkOpenGLCellArrayBufferObject"),e.setType(_P.ARRAY_BUFFER),e.createVBO=function(n,r,i,a){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!n.getData()||!n.getData().length)return t.elementCount=0,0;t.blockSize=3,t.vertexOffset=0,t.normalOffset=0,t.tCoordOffset=0,t.tCoordComponents=0,t.colorComponents=0,t.colorOffset=0,t.customData=[];const s=a.points.getData();let l=null,c=null,u=null;const d=a.colors?a.colors.getNumberOfComponents():0,f=a.tcoords?a.tcoords.getNumberOfComponents():0;a.normals&&(t.normalOffset=4*t.blockSize,t.blockSize+=3,l=a.normals.getData()),a.customAttributes&&a.customAttributes.forEach((e=>{e&&(t.customData.push({data:e.getData(),offset:4*t.blockSize,components:e.getNumberOfComponents(),name:e.getName()}),t.blockSize+=e.getNumberOfComponents())})),a.tcoords&&(t.tCoordOffset=4*t.blockSize,t.tCoordComponents=f,t.blockSize+=f,c=a.tcoords.getData()),a.colors?(t.colorComponents=a.colors.getNumberOfComponents(),t.colorOffset=0,u=a.colors.getData(),t.colorBO||(t.colorBO=TP.newInstance()),t.colorBO.setOpenGLRenderWindow(t._openGLRenderWindow)):t.colorBO=null,t.stride=4*t.blockSize;let p,h=0,m=0,g=0,v=0,y=0,b=0;const _={anythingToPoints(e,t,n){for(let r=0;r<e;++r)p(t[n+r])},linesToWireframe(e,t,n){for(let r=0;r<e-1;++r)p(t[n+r]),p(t[n+r+1])},polysToWireframe(e,t,n){if(e>2)for(let r=0;r<e;++r)p(t[n+r]),p(t[n+(r+1)%e])},stripsToWireframe(e,t,n){if(e>2){for(let r=0;r<e-1;++r)p(t[n+r]),p(t[n+r+1]);for(let r=0;r<e-2;r++)p(t[n+r]),p(t[n+r+2])}},polysToSurface(e,t,n){for(let r=0;r<e-2;r++)p(t[n+0]),p(t[n+r+1]),p(t[n+r+2])},stripsToSurface(e,t,n){for(let r=0;r<e-2;r++)p(t[n+r]),p(t[n+r+1+r%2]),p(t[n+r+1+(r+1)%2])}},x={anythingToPoints(e,t){return e},linesToWireframe(e,t){return e>1?2*(e-1):0},polysToWireframe(e,t){return e>2?2*e:0},stripsToWireframe(e,t){return e>2?4*e-6:0},polysToSurface(e,t){return e>2?3*(e-2):0},stripsToSurface(e,t,n){return e>2?3*(e-2):0}};let w=null,A=null;i===lE.POINTS||"verts"===r?(w=_.anythingToPoints,A=x.anythingToPoints):i===lE.WIREFRAME||"lines"===r?(w=_[`${r}ToWireframe`],A=x[`${r}ToWireframe`]):(w=_[`${r}ToSurface`],A=x[`${r}ToSurface`]);const S=n.getData(),T=S.length;let C=0;for(let e=0;e<T;)C+=A(S[e],S),e+=S[e]+1;let E=null;const M=new Float32Array(C*t.blockSize);u&&(E=new Uint8Array(4*C));let D=0,P=0,I=0,O=0;for(let e=0;e<3;++e){const t=a.points.getRange(e),n=t[1]-t[0];I+=n*n;const r=.5*(t[1]+t[0]);O+=r*r}if(I>0&&(Math.abs(O)/I>1e6||Math.abs(Math.log10(I))>3||0===I&&O>1e6)){const t=new Float64Array(3),n=new Float64Array(3);for(let e=0;e<3;++e){const r=a.points.getRange(e),i=r[1]-r[0];t[e]=.5*(r[1]+r[0]),n[e]=i>0?1/i:1}e.setCoordShiftAndScale(t,n)}else!0===t.coordShiftAndScaleEnabled&&e.setCoordShiftAndScale(null,null);if(o)if(o.points||o.cells){const e=new Int32Array(C+o.points.length);e.set(o.points),o.points=e;const t=new Int32Array(C+o.cells.length);t.set(o.cells),o.cells=t}else o.points=new Int32Array(C),o.cells=new Int32Array(C);let N=a.vertexOffset;p=function(e){if(o&&(o.points[N]=e,o.cells[N]=b+a.cellOffset),++N,h=3*e,t.coordShiftAndScaleEnabled?(M[D++]=(s[h++]-t.coordShift[0])*t.coordScale[0],M[D++]=(s[h++]-t.coordShift[1])*t.coordScale[1],M[D++]=(s[h++]-t.coordShift[2])*t.coordScale[2]):(M[D++]=s[h++],M[D++]=s[h++],M[D++]=s[h++]),null!==l&&(m=a.haveCellNormals?3*(b+a.cellOffset):3*e,M[D++]=l[m++],M[D++]=l[m++],M[D++]=l[m++]),t.customData.forEach((t=>{y=e*t.components;for(let e=0;e<t.components;++e)M[D++]=t.data[y++]})),null!==c){g=e*f;for(let e=0;e<f;++e)M[D++]=c[g++]}null!==u&&(v=a.haveCellScalars?(b+a.cellOffset)*d:e*d,E[P++]=u[v++],E[P++]=u[v++],E[P++]=u[v++],E[P++]=4===d?u[v++]:255)};for(let e=0;e<T;)w(S[e],S,e+1),e+=S[e]+1,b++;return t.elementCount=C,e.upload(M,_P.ARRAY_BUFFER),t.colorBO&&(t.colorBOStride=4,t.colorBO.upload(E,_P.ARRAY_BUFFER)),b},e.setCoordShiftAndScale=(e,n)=>{null===e||e.constructor===Float64Array&&3===e.length?null===n||n.constructor===Float64Array&&3===n.length?(null!==t.coordShift&&null!==e&&IA(e,t.coordShift)||(t.coordShift=e),null!==t.coordScale&&null!==n&&IA(n,t.coordScale)||(t.coordScale=n),t.coordShiftAndScaleEnabled=function(e,t){return null!==e&&null!==t&&!(PA(e,[0,0,0])&&PA(t,[1,1,1]))}(t.coordShift,t.coordScale),t.coordShiftAndScaleEnabled?t.inverseShiftAndScaleMatrix=function(e,t){const n=new Float64Array(3);var r,i;i=t,(r=n)[0]=1/i[0],r[1]=1/i[1],r[2]=1/i[2];const a=new Float64Array(16);return X_(a,XC(),e,n),a}(t.coordShift,t.coordScale):t.inverseShiftAndScaleMatrix=null):CP("Wrong type for coordScale, expected vec3 or null"):CP("Wrong type for coordShift, expected vec3 or null")}}(e,t)}var DP={newInstance:Qw.newInstance(MP),extend:MP};const{vtkErrorMacro:PP}=Qw,IP={shaderType:"Unknown",source:"",error:"",handle:0,dirty:!1,context:null};function OP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,IP,n),Qw.obj(e,t),Qw.setGet(e,t,["shaderType","source","error","handle","context"]),function(e,t){t.classHierarchy.push("vtkShader"),e.compile=()=>{let e=t.context.VERTEX_SHADER;if(!t.source||!t.source.length||"Unknown"===t.shaderType)return!1;if(0!==t.handle&&(t.context.deleteShader(t.handle),t.handle=0),e="Fragment"===t.shaderType?t.context.FRAGMENT_SHADER:t.context.VERTEX_SHADER,t.handle=t.context.createShader(e),t.context.shaderSource(t.handle,t.source),t.context.compileShader(t.handle),!t.context.getShaderParameter(t.handle,t.context.COMPILE_STATUS)){const e=t.context.getShaderInfoLog(t.handle);return PP(`Error compiling shader '${t.source}': ${e}`),t.context.deleteShader(t.handle),t.handle=0,!1}return!0},e.cleanup=()=>{"Unknown"!==t.shaderType&&0!==t.handle&&(t.context.deleteShader(t.handle),t.handle=0,t.dirty=!0)}}(e,t)}var NP={newInstance:Qw.newInstance(OP,"vtkShader"),extend:OP};const{vtkErrorMacro:kP}=Qw,RP={vertexShaderHandle:0,fragmentShaderHandle:0,geometryShaderHandle:0,vertexShader:null,fragmentShader:null,geometryShader:null,linked:!1,bound:!1,compiled:!1,error:"",handle:0,numberOfOutputs:0,attributesLocs:null,uniformLocs:null,md5Hash:0,context:null,lastCameraMTime:null};function LP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,RP,n),t.attributesLocs={},t.uniformLocs={},t.vertexShader=NP.newInstance(),t.vertexShader.setShaderType("Vertex"),t.fragmentShader=NP.newInstance(),t.fragmentShader.setShaderType("Fragment"),t.geometryShader=NP.newInstance(),t.geometryShader.setShaderType("Geometry"),Qw.obj(e,t),Qw.get(e,t,["lastCameraMTime"]),Qw.setGet(e,t,["error","handle","compiled","bound","md5Hash","vertexShader","fragmentShader","geometryShader","linked"]),function(e,t){t.classHierarchy.push("vtkShaderProgram"),e.compileShader=()=>t.vertexShader.compile()?t.fragmentShader.compile()?e.attachShader(t.vertexShader)&&e.attachShader(t.fragmentShader)?e.link()?(e.setCompiled(!0),1):(kP(`Links failed: ${t.error}`),0):(kP(t.error),0):(kP(t.fragmentShader.getSource().split("\n").map(((e,t)=>`${t}: ${e}`)).join("\n")),kP(t.fragmentShader.getError()),0):(kP(t.vertexShader.getSource().split("\n").map(((e,t)=>`${t}: ${e}`)).join("\n")),kP(t.vertexShader.getError()),0),e.cleanup=()=>{"Unknown"!==t.shaderType&&0!==t.handle&&(e.release(),0!==t.vertexShaderHandle&&(t.context.detachShader(t.handle,t.vertexShaderHandle),t.vertexShaderHandle=0),0!==t.fragmentShaderHandle&&(t.context.detachShader(t.handle,t.fragmentShaderHandle),t.fragmentShaderHandle=0),t.context.deleteProgram(t.handle),t.handle=0,e.setCompiled(!1))},e.bind=()=>!(!t.linked&&!e.link()||(t.context.useProgram(t.handle),e.setBound(!0),0)),e.isBound=()=>!!t.bound,e.release=()=>{t.context.useProgram(null),e.setBound(!1)},e.setContext=e=>{t.vertexShader.setContext(e),t.fragmentShader.setContext(e),t.geometryShader.setContext(e)},e.link=()=>{if(t.linked)return!0;if(0===t.handle)return t.error="Program has not been initialized, and/or does not have shaders.",!1;if(t.uniformLocs={},t.context.linkProgram(t.handle),!t.context.getProgramParameter(t.handle,t.context.LINK_STATUS)){const e=t.context.getProgramInfoLog(t.handle);return kP(`Error linking shader ${e}`),t.handle=0,!1}return e.setLinked(!0),t.attributeLocs={},!0},e.setUniformMatrix=(n,r)=>{const i=e.findUniform(n);if(-1===i)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;const a=new Float32Array(r);return t.context.uniformMatrix4fv(i,!1,a),!0},e.setUniformMatrix3x3=(n,r)=>{const i=e.findUniform(n);if(-1===i)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;const a=new Float32Array(r);return t.context.uniformMatrix3fv(i,!1,a),!0},e.setUniformf=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform1f(i,r),!0)},e.setUniformfv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform1fv(i,r),!0)},e.setUniformi=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform1i(i,r),!0)},e.setUniformiv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform1iv(i,r),!0)},e.setUniform2f=(n,r,i)=>{const a=e.findUniform(n);if(-1===a)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;if(void 0===i)throw new RangeError("Invalid number of values for array");return t.context.uniform2f(a,r,i),!0},e.setUniform2fv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform2fv(i,r),!0)},e.setUniform2i=(n,r,i)=>{const a=e.findUniform(n);if(-1===a)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;if(void 0===i)throw new RangeError("Invalid number of values for array");return t.context.uniform2i(a,r,i),!0},e.setUniform2iv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform2iv(i,r),!0)},e.setUniform3f=(n,r,i,a)=>{const o=e.findUniform(n);if(-1===o)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;if(void 0===a)throw new RangeError("Invalid number of values for array");return t.context.uniform3f(o,r,i,a),!0},e.setUniform3fArray=(n,r)=>{const i=e.findUniform(n);if(-1===i)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;if(!Array.isArray(r)||3!==r.length)throw new RangeError("Invalid number of values for array");return t.context.uniform3f(i,r[0],r[1],r[2]),!0},e.setUniform3fv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform3fv(i,r),!0)},e.setUniform3i=function(n){const r=e.findUniform(n);if(-1===r)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;for(var i=arguments.length,a=new Array(i>1?i-1:0),o=1;o<i;o++)a[o-1]=arguments[o];let s=a;if(1===s.length&&Array.isArray(s[0])&&(s=s[0]),3!==s.length)throw new RangeError("Invalid number of values for array");return t.context.uniform3i(r,s[0],s[1],s[2]),!0},e.setUniform3iv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform3iv(i,r),!0)},e.setUniform4f=function(n){const r=e.findUniform(n);if(-1===r)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;for(var i=arguments.length,a=new Array(i>1?i-1:0),o=1;o<i;o++)a[o-1]=arguments[o];let s=a;if(1===s.length&&Array.isArray(s[0])&&(s=s[0]),4!==s.length)throw new RangeError("Invalid number of values for array");return t.context.uniform4f(r,s[0],s[1],s[2],s[3]),!0},e.setUniform4fv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform4fv(i,r),!0)},e.setUniform4i=function(n){const r=e.findUniform(n);if(-1===r)return t.error=`Could not set uniform ${n} . No such uniform.`,!1;for(var i=arguments.length,a=new Array(i>1?i-1:0),o=1;o<i;o++)a[o-1]=arguments[o];let s=a;if(1===s.length&&Array.isArray(s[0])&&(s=s[0]),4!==s.length)throw new RangeError("Invalid number of values for array");return t.context.uniform4i(r,s[0],s[1],s[2],s[3]),!0},e.setUniform4iv=(n,r)=>{const i=e.findUniform(n);return-1===i?(t.error=`Could not set uniform ${n} . No such uniform.`,!1):(t.context.uniform4iv(i,r),!0)},e.findUniform=e=>{if(!e||!t.linked)return-1;let n=t.uniformLocs[e];return void 0!==n?n:(n=t.context.getUniformLocation(t.handle,e),null===n?(t.error=`Uniform ${e} not found in current shader program.`,t.uniformLocs[e]=-1,-1):(t.uniformLocs[e]=n,n))},e.isUniformUsed=e=>{if(!e)return!1;let n=t.uniformLocs[e];return void 0!==n?null!==n:t.linked?(n=t.context.getUniformLocation(t.handle,e),t.uniformLocs[e]=n,null!==n):(kP("attempt to find uniform when the shader program is not linked"),!1)},e.isAttributeUsed=e=>{if(!e)return!1;if(e in t.attributeLocs)return!0;if(!t.linked)return kP("attempt to find uniform when the shader program is not linked"),!1;const n=t.context.getAttribLocation(t.handle,e);return-1!==n&&(t.attributeLocs[e]=n,!0)},e.attachShader=n=>{if(0===n.getHandle())return t.error="Shader object was not initialized, cannot attach it.",!1;if("Unknown"===n.getShaderType())return t.error="Shader object is of type Unknown and cannot be used.",!1;if(0===t.handle){const e=t.context.createProgram();if(0===e)return t.error="Could not create shader program.",!1;t.handle=e,t.linked=!1}return"Vertex"===n.getShaderType()&&(0!==t.vertexShaderHandle&&t.context.detachShader(t.handle,t.vertexShaderHandle),t.vertexShaderHandle=n.getHandle()),"Fragment"===n.getShaderType()&&(0!==t.fragmentShaderHandle&&t.context.detachShader(t.handle,t.fragmentShaderHandle),t.fragmentShaderHandle=n.getHandle()),t.context.attachShader(t.handle,n.getHandle()),e.setLinked(!1),!0},e.detachShader=e=>{if(0===e.getHandle())return t.error="shader object was not initialized, cannot attach it.",!1;if("Unknown"===e.getShaderType())return t.error="Shader object is of type Unknown and cannot be used.",!1;switch(0===t.handle&&(t.error="This shader program has not been initialized yet."),e.getShaderType()){case"Vertex":return t.vertexShaderHandle!==e.getHandle()?(t.error="The supplied shader was not attached to this program.",!1):(t.context.detachShader(t.handle,e.getHandle()),t.vertexShaderHandle=0,t.linked=!1,!0);case"Fragment":return t.fragmentShaderHandle!==e.getHandle()?(t.error="The supplied shader was not attached to this program.",!1):(t.context.detachShader(t.handle,e.getHandle()),t.fragmentShaderHandle=0,t.linked=!1,!0);default:return!1}},e.setContext=e=>{t.context=e,t.vertexShader.setContext(e),t.fragmentShader.setContext(e),t.geometryShader.setContext(e)},e.setLastCameraMTime=e=>{t.lastCameraMTime=e}}(e,t)}var FP={newInstance:Qw.newInstance(LP,"vtkShaderProgram"),extend:LP,substitute:function(e,t,n,r){const i="string"==typeof n?n:n.join("\n"),a=!1===r?t:new RegExp(t,"g"),o=e.replace(a,i);return{replace:o!==i,result:o}}};const BP={forceEmulation:!1,handleVAO:0,handleProgram:0,supported:!0,buffers:null,context:null};function UP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,BP,n),t.buffers=[],Qw.obj(e,t),Qw.get(e,t,["supported"]),Qw.setGet(e,t,["forceEmulation"]),function(e,t){t.classHierarchy.push("vtkOpenGLVertexArrayObject"),e.exposedMethod=()=>{},e.initialize=()=>{t.instancingExtension=null,t._openGLRenderWindow.getWebgl2()||(t.instancingExtension=t.context.getExtension("ANGLE_instanced_arrays")),!t.forceEmulation&&t._openGLRenderWindow&&t._openGLRenderWindow.getWebgl2()?(t.extension=null,t.supported=!0,t.handleVAO=t.context.createVertexArray()):(t.extension=t.context.getExtension("OES_vertex_array_object"),!t.forceEmulation&&t.extension?(t.supported=!0,t.handleVAO=t.extension.createVertexArrayOES()):t.supported=!1)},e.isReady=()=>0!==t.handleVAO||!1===t.supported,e.bind=()=>{if(e.isReady()||e.initialize(),e.isReady()&&t.supported)t.extension?t.extension.bindVertexArrayOES(t.handleVAO):t.context.bindVertexArray(t.handleVAO);else if(e.isReady()){const e=t.context;for(let n=0;n<t.buffers.length;++n){const r=t.buffers[n];t.context.bindBuffer(e.ARRAY_BUFFER,r.buffer);for(let n=0;n<r.attributes.length;++n){const i=r.attributes[n],a=i.isMatrix?i.size:1;for(let n=0;n<a;++n)e.enableVertexAttribArray(i.index+n),e.vertexAttribPointer(i.index+n,i.size,i.type,i.normalize,i.stride,i.offset+i.stride*n/i.size),i.divisor>0&&(t.instancingExtension?t.instancingExtension.vertexAttribDivisorANGLE(i.index+n,1):e.vertexAttribDivisor(i.index+n,1))}}}},e.release=()=>{if(e.isReady()&&t.supported)t.extension?t.extension.bindVertexArrayOES(null):t.context.bindVertexArray(null);else if(e.isReady()){const e=t.context;for(let n=0;n<t.buffers.length;++n){const r=t.buffers[n];t.context.bindBuffer(e.ARRAY_BUFFER,r.buffer);for(let n=0;n<r.attributes.length;++n){const i=r.attributes[n],a=i.isMatrix?i.size:1;for(let n=0;n<a;++n)e.enableVertexAttribArray(i.index+n),e.vertexAttribPointer(i.index+n,i.size,i.type,i.normalize,i.stride,i.offset+i.stride*n/i.size),i.divisor>0&&(t.instancingExtension?t.instancingExtension.vertexAttribDivisorANGLE(i.index+n,0):e.vertexAttribDivisor(i.index+n,0)),e.disableVertexAttribArray(i.index+n)}}}},e.shaderProgramChanged=()=>{e.release(),t.handleVAO&&(t.extension?t.extension.deleteVertexArrayOES(t.handleVAO):t.context.deleteVertexArray(t.handleVAO)),t.handleVAO=0,t.handleProgram=0},e.releaseGraphicsResources=()=>{e.shaderProgramChanged(),t.handleVAO&&(t.extension?t.extension.deleteVertexArrayOES(t.handleVAO):t.context.deleteVertexArray(t.handleVAO)),t.handleVAO=0,t.supported=!0,t.handleProgram=0},e.addAttributeArray=(t,n,r,i,a,o,s,l)=>e.addAttributeArrayWithDivisor(t,n,r,i,a,o,s,l,0,!1),e.addAttributeArrayWithDivisor=(n,r,i,a,o,s,l,c,u,d)=>{if(!n)return!1;if(!n.isBound()||0===r.getHandle()||r.getType()!==_P.ARRAY_BUFFER)return!1;if(0===t.handleProgram&&(t.handleProgram=n.getHandle()),e.isReady()||e.initialize(),!e.isReady()||t.handleProgram!==n.getHandle())return!1;const f=t.context,p={};if(p.name=i,p.index=f.getAttribLocation(t.handleProgram,i),p.offset=a,p.stride=o,p.type=s,p.size=l,p.normalize=c,p.isMatrix=d,p.divisor=u,-1===p.Index)return!1;if(r.bind(),f.enableVertexAttribArray(p.index),f.vertexAttribPointer(p.index,p.size,p.type,p.normalize,p.stride,p.offset),u>0&&(t.instancingExtension?t.instancingExtension.vertexAttribDivisorANGLE(p.index,1):f.vertexAttribDivisor(p.index,1)),p.buffer=r.getHandle(),!t.supported){let e=!1;for(let n=0;n<t.buffers.length;++n){const r=t.buffers[n];if(r.buffer===p.buffer){e=!0;let t=!1;for(let e=0;e<r.attributes.length;++e)r.attributes[e].name===i&&(t=!0,r.attributes[e]=p);t||r.attributes.push(p)}}e||t.buffers.push({buffer:p.buffer,attributes:[p]})}return!0},e.addAttributeMatrixWithDivisor=(n,r,i,a,o,s,l,c,u)=>{const d=e.addAttributeArrayWithDivisor(n,r,i,a,o,s,l,c,u,!0);if(!d)return d;const f=t.context,p=f.getAttribLocation(t.handleProgram,i);for(let e=1;e<l;e++)f.enableVertexAttribArray(p+e),f.vertexAttribPointer(p+e,l,s,c,o,a+o*e/l),u>0&&(t.instancingExtension?t.instancingExtension.vertexAttribDivisorANGLE(p+e,1):f.vertexAttribDivisor(p+e,1));return!0},e.removeAttributeArray=n=>{if(!e.isReady()||0===t.handleProgram)return!1;if(!t.supported)for(let e=0;e<t.buffers.length;++e){const r=t.buffers[e];for(let i=0;i<r.attributes.length;++i)if(r.attributes[i].name===n)return r.attributes.splice(i,1),r.attributes.length||t.buffers.splice(e,1),!0}return!0},e.setOpenGLRenderWindow=n=>{t._openGLRenderWindow!==n&&(e.releaseGraphicsResources(),t._openGLRenderWindow=n,t.context=null,n&&(t.context=t._openGLRenderWindow.getContext()))}}(e,t)}var VP={newInstance:Qw.newInstance(UP,"vtkOpenGLVertexArrayObject"),extend:UP};const GP={Start:0,Points:0,Lines:1,Tris:2,TriStrips:3,TrisEdges:4,TriStripsEdges:5,End:6},zP={context:null,program:null,shaderSourceTime:null,VAO:null,attributeUpdateTime:null,CABO:null,primitiveType:0,pointPicking:!1};function jP(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,zP,n),Qw.obj(e,t),t.shaderSourceTime={},Qw.obj(t.shaderSourceTime),t.attributeUpdateTime={},Qw.obj(t.attributeUpdateTime),Qw.setGet(e,t,["program","shaderSourceTime","VAO","attributeUpdateTime","CABO","primitiveType","pointPicking"]),t.program=FP.newInstance(),t.VAO=VP.newInstance(),t.CABO=DP.newInstance(),function(e,t){t.classHierarchy.push("vtkOpenGLHelper"),e.setOpenGLRenderWindow=e=>{t.context=e.getContext(),t.program.setContext(t.context),t.VAO.setOpenGLRenderWindow(e),t.CABO.setOpenGLRenderWindow(e)},e.releaseGraphicsResources=e=>{t.VAO.releaseGraphicsResources(),t.CABO.releaseGraphicsResources(),t.CABO.setElementCount(0)},e.drawArrays=(n,r,i,a)=>{if(t.CABO.getElementCount()){const o=e.getOpenGLMode(i),s=e.haveWideLines(n,r),l=t.context,c=l.getParameter(l.DEPTH_WRITEMASK);t.pointPicking&&l.depthMask(!1),o===l.LINES&&s?(e.updateShaders(n,r,a),l.drawArraysInstanced(o,0,t.CABO.getElementCount(),2*Math.ceil(r.getProperty().getLineWidth()))):(l.lineWidth(r.getProperty().getLineWidth()),e.updateShaders(n,r,a),l.drawArrays(o,0,t.CABO.getElementCount()),l.lineWidth(1));const u=(o===l.POINTS?1:0)||(o===l.LINES?2:3);return t.pointPicking&&l.depthMask(c),t.CABO.getElementCount()/u}return 0},e.getOpenGLMode=e=>{if(t.pointPicking)return t.context.POINTS;const n=t.primitiveType;return e===lE.POINTS||n===GP.Points?t.context.POINTS:e===lE.WIREFRAME||n===GP.Lines||n===GP.TrisEdges||n===GP.TriStripsEdges?t.context.LINES:t.context.TRIANGLES},e.haveWideLines=(e,n)=>n.getProperty().getLineWidth()>1&&!(t.CABO.getOpenGLRenderWindow()&&t.CABO.getOpenGLRenderWindow().getHardwareMaximumLineWidth()>=n.getProperty().getLineWidth()),e.getNeedToRebuildShaders=(t,n,r)=>!!(r.getNeedToRebuildShaders(e,t,n)||0===e.getProgram()||e.getShaderSourceTime().getMTime()<r.getMTime()||e.getShaderSourceTime().getMTime()<n.getMTime()),e.updateShaders=(n,r,i)=>{if(e.getNeedToRebuildShaders(n,r,i)){const a={Vertex:null,Fragment:null,Geometry:null};i.buildShaders(a,n,r);const o=t.CABO.getOpenGLRenderWindow().getShaderCache().readyShaderProgramArray(a.Vertex,a.Fragment,a.Geometry);o!==e.getProgram()&&(e.setProgram(o),e.getVAO().releaseGraphicsResources()),e.getShaderSourceTime().modified()}else t.CABO.getOpenGLRenderWindow().getShaderCache().readyShaderProgram(e.getProgram());e.getVAO().bind(),i.setMapperShaderParameters(e,n,r),i.setPropertyShaderParameters(e,n,r),i.setCameraShaderParameters(e,n,r),i.setLightingShaderParameters(e,n,r),i.invokeShaderCallbacks(e,n,r)},e.setMapperShaderParameters=(n,r,i)=>{if(e.haveWideLines(n,r)){e.getProgram().setUniform2f("viewportSize",i.usize,i.vsize);const t=parseFloat(r.getProperty().getLineWidth()),n=t/2;e.getProgram().setUniformf("lineWidthStepSize",t/Math.ceil(t)),e.getProgram().setUniformf("halfLineWidth",n)}t.primitiveType===GP.Points||r.getProperty().getRepresentation()===lE.POINTS?e.getProgram().setUniformf("pointSize",r.getProperty().getPointSize()):t.pointPicking&&e.getProgram().setUniformf("pointSize",e.getPointPickingPrimitiveSize())},e.replaceShaderPositionVC=(n,r,i)=>{let a=n.Vertex;a=FP.substitute(a,"//VTK::PositionVC::Dec",["//VTK::PositionVC::Dec","uniform float pointSize;"]).result,a=FP.substitute(a,"//VTK::PositionVC::Impl",["//VTK::PositionVC::Impl","  gl_PointSize = pointSize;"],!1).result,e.getOpenGLMode(i.getProperty().getRepresentation())===t.context.LINES&&e.haveWideLines(r,i)&&(a=FP.substitute(a,"//VTK::PositionVC::Dec",["//VTK::PositionVC::Dec","uniform vec2 viewportSize;","uniform float lineWidthStepSize;","uniform float halfLineWidth;"]).result,a=FP.substitute(a,"//VTK::PositionVC::Impl",["//VTK::PositionVC::Impl"," if (halfLineWidth > 0.0)","   {","   float offset = float(gl_InstanceID / 2) * lineWidthStepSize - halfLineWidth;","   vec4 tmpPos = gl_Position;","   vec3 tmpPos2 = tmpPos.xyz / tmpPos.w;","   tmpPos2.x = tmpPos2.x + 2.0 * mod(float(gl_InstanceID), 2.0) * offset / viewportSize[0];","   tmpPos2.y = tmpPos2.y + 2.0 * mod(float(gl_InstanceID + 1), 2.0) * offset / viewportSize[1];","   gl_Position = vec4(tmpPos2.xyz * tmpPos.w, tmpPos.w);","   }"]).result),n.Vertex=a},e.getPointPickingPrimitiveSize=()=>t.primitiveType===GP.Points?2:t.primitiveType===GP.Lines?4:6,e.getAllocatedGPUMemoryInBytes=()=>e.getCABO().getAllocatedGPUMemoryInBytes()}(e,t)}var WP={newInstance:Qw.newInstance(jP),extend:jP,primTypes:GP};const HP={NEAREST:0,LINEAR:1,NEAREST_MIPMAP_NEAREST:2,NEAREST_MIPMAP_LINEAR:3,LINEAR_MIPMAP_NEAREST:4,LINEAR_MIPMAP_LINEAR:5};var $P={Wrap:{CLAMP_TO_EDGE:0,REPEAT:1,MIRRORED_REPEAT:2},Filter:HP};const XP=new Float32Array(1),qP=new Int32Array(XP.buffer);var KP={fromHalf:function(e){const t=(32768&e)>>15,n=(31744&e)>>10,r=1023&e;return 0===n?(t?-1:1)*2**-14*(r/1024):31===n?r?NaN:1/0*(t?-1:1):(t?-1:1)*2**(n-15)*(1+r/1024)},toHalf:function(e){XP[0]=e;const t=qP[0];let n=t>>16&32768,r=t>>12&2047;const i=t>>23&255;return i<103?n:i>142?(n|=31744,n|=(255===i?0:1)&&8388607&t,n):i<113?(r|=2048,n|=(r>>114-i)+(r>>113-i&1),n):(n|=i-112<<10|r>>1,n+=1&r,n)}};const{Wrap:YP,Filter:JP}=$P,{VtkDataTypes:ZP}=NE,{vtkDebugMacro:QP,vtkErrorMacro:eI,vtkWarningMacro:tI}=eA,{toHalf:nI}=KP;const rI={_openGLRenderWindow:null,_forceInternalFormat:!1,context:null,handle:0,sendParametersTime:null,textureBuildTime:null,numberOfDimensions:0,target:0,format:0,openGLDataType:0,components:0,width:0,height:0,depth:0,autoParameters:!0,wrapS:YP.CLAMP_TO_EDGE,wrapT:YP.CLAMP_TO_EDGE,wrapR:YP.CLAMP_TO_EDGE,minificationFilter:JP.NEAREST,magnificationFilter:JP.NEAREST,minLOD:-1e3,maxLOD:1e3,baseLevel:0,maxLevel:1e3,generateMipmap:!1,useHalfFloat:!0,oglNorm16Ext:null,allocatedGPUMemoryInBytes:0};function iI(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,rI,n),iA.extend(e,t,n),t.sendParametersTime={},Cw(t.sendParametersTime,{mtime:0}),t.textureBuildTime={},Cw(t.textureBuildTime,{mtime:0}),Iw(e,t,["format","openGLDataType"]),Ow(e,t,["keyMatrixTime","minificationFilter","magnificationFilter","wrapS","wrapT","wrapR","generateMipmap","oglNorm16Ext"]),Mw(e,t,["width","height","volumeInfo","components","handle","target","allocatedGPUMemoryInBytes"]),Lw(0,t,["openGLRenderWindow"]),function(e,t){function n(e,n){let r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];const i=[];let a=t.width*t.height*t.components;if(r&&(a*=t.depth),e!==ZP.FLOAT&&t.openGLDataType===t.context.FLOAT)for(let e=0;e<n.length;e++)if(n[e]){const t=n[e].length>a?n[e].subarray(0,a):n[e];i.push(new Float32Array(t))}else i.push(null);if(e!==ZP.UNSIGNED_CHAR&&t.openGLDataType===t.context.UNSIGNED_BYTE)for(let e=0;e<n.length;e++)if(n[e]){const t=n[e].length>a?n[e].subarray(0,a):n[e];i.push(new Uint8Array(t))}else i.push(null);let o=!1;if(t._openGLRenderWindow.getWebgl2())o=t.openGLDataType===t.context.HALF_FLOAT;else{const e=t.context.getExtension("OES_texture_half_float");o=e&&t.openGLDataType===e.HALF_FLOAT_OES}if(o)for(let e=0;e<n.length;e++)if(n[e]){const t=new Uint16Array(a),r=n[e];for(let e=0;e<a;e++)t[e]=nI(r[e]);i.push(t)}else i.push(null);if(0===i.length)for(let e=0;e<n.length;e++)i.push(n[e]);return i}function r(e){if(t._openGLRenderWindow.getWebgl2())return e;const n=[],r=t.width,i=t.height,a=t.components;if(e&&(!wT(r)||!wT(i))){const o=t.context.getExtension("OES_texture_half_float"),s=xT(r),l=xT(i),c=s*l*t.components;for(let u=0;u<e.length;u++)if(null!==e[u]){let d=null;const f=i/l,p=r/s;let h=!1;t.openGLDataType===t.context.FLOAT?d=new Float32Array(c):o&&t.openGLDataType===o.HALF_FLOAT_OES?(d=new Uint16Array(c),h=!0):d=new Uint8Array(c);for(let t=0;t<l;t++){const n=t*s*a,o=t*f;let l=Math.floor(o),c=Math.ceil(o);c>=i&&(c=i-1);const m=o-l,g=1-m;l=l*r*a,c=c*r*a;for(let t=0;t<s;t++){const i=t*a,o=t*p;let s=Math.floor(o),f=Math.ceil(o);f>=r&&(f=r-1);const v=o-s;s*=a,f*=a;for(let t=0;t<a;t++)d[n+i+t]=h?KP.toHalf(KP.fromHalf(e[u][l+s+t])*g*(1-v)+KP.fromHalf(e[u][l+f+t])*g*v+KP.fromHalf(e[u][c+s+t])*m*(1-v)+KP.fromHalf(e[u][c+f+t])*m*v):e[u][l+s+t]*g*(1-v)+e[u][l+f+t]*g*v+e[u][c+s+t]*m*(1-v)+e[u][c+f+t]*m*v}}n.push(d),t.width=s,t.height=l}else n.push(null)}if(0===n.length)for(let t=0;t<e.length;t++)n.push(e[t]);return n}function i(e){return!(!t._openGLRenderWindow||t.resizable||t.renderable?.getResizable()||!t._openGLRenderWindow.getWebgl2()||t._openGLRenderWindow.getGLInformations().RENDERER.value.match(/WebKit/gi)&&navigator.platform.match(/Mac/gi)&&t.oglNorm16Ext&&(e===ZP.UNSIGNED_SHORT||e===ZP.SHORT))}function a(n,r){const i=n.getNumberOfComponents(),a=n.getDataType(),o=n.getData(),s=new Array(i),l=new Array(i);for(let e=0;e<i;++e){const[t,r]=n.getRange(e);s[e]=t,l[e]=r}const c=function(e,t,n){const r=new Array(n),i=new Array(n);for(let a=0;a<n;++a)r[a]=e[a],i[a]=t[a]-e[a]||1;return{scale:i,offset:r}}(s,l,i);return function(n,r,i,a){e.getOpenGLDataType(n);let o=!1;if(t._openGLRenderWindow.getWebgl2())o=t.openGLDataType===t.context.HALF_FLOAT;else{const e=t.context.getExtension("OES_texture_half_float");o=e&&t.openGLDataType===e.HALF_FLOAT_OES}const s=o&&(function(e,t){for(let n=0;n<e.length;n++){const r=e[n],i=t[n]+r;if(r<-2048||r>2048||i<-2048||i>2048)return!1}return!0}(r,i)||a);t.useHalfFloat=s}(a,c.offset,c.scale,r),t.useHalfFloat||e.getOpenGLDataType(a,!0),{numComps:i,dataType:a,data:o,scaleOffsets:c}}t.classHierarchy.push("vtkOpenGLTexture"),e.render=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;if(n?t._openGLRenderWindow=n:(t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent()),t.context=t._openGLRenderWindow.getContext(),t.renderable.getInterpolate()?(t.generateMipmap?e.setMinificationFilter(JP.LINEAR_MIPMAP_LINEAR):e.setMinificationFilter(JP.LINEAR),e.setMagnificationFilter(JP.LINEAR)):(e.setMinificationFilter(JP.NEAREST),e.setMagnificationFilter(JP.NEAREST)),t.renderable.getRepeat()&&(e.setWrapR(YP.REPEAT),e.setWrapS(YP.REPEAT),e.setWrapT(YP.REPEAT)),t.renderable.getInputData()&&t.renderable.setImage(null),!t.handle||t.renderable.getMTime()>t.textureBuildTime.getMTime()){if(null!==t.renderable.getImage()&&(t.renderable.getInterpolate()&&(t.generateMipmap=!0,e.setMinificationFilter(JP.LINEAR_MIPMAP_LINEAR)),t.renderable.getImage()&&t.renderable.getImageLoaded()&&(e.create2DFromImage(t.renderable.getImage()),e.activate(),e.sendParameters(),t.textureBuildTime.modified())),null!==t.renderable.getCanvas()){t.renderable.getInterpolate()&&(t.generateMipmap=!0,e.setMinificationFilter(JP.LINEAR_MIPMAP_LINEAR));const n=t.renderable.getCanvas();e.create2DFromRaw(n.width,n.height,4,ZP.UNSIGNED_CHAR,n,!0),e.activate(),e.sendParameters(),t.textureBuildTime.modified()}if(null!==t.renderable.getJsImageData()){const n=t.renderable.getJsImageData();t.renderable.getInterpolate()&&(t.generateMipmap=!0,e.setMinificationFilter(JP.LINEAR_MIPMAP_LINEAR)),e.create2DFromRaw(n.width,n.height,4,ZP.UNSIGNED_CHAR,n.data,!0),e.activate(),e.sendParameters(),t.textureBuildTime.modified()}const n=t.renderable.getInputData(0);if(n&&n.getPointData().getScalars()){const r=n.getExtent(),i=n.getPointData().getScalars(),a=[];for(let e=0;e<t.renderable.getNumberOfInputPorts();++e){const n=t.renderable.getInputData(e),r=n?n.getPointData().getScalars().getData():null;r&&a.push(r)}t.renderable.getInterpolate()&&4===i.getNumberOfComponents()&&(t.generateMipmap=!0,e.setMinificationFilter(JP.LINEAR_MIPMAP_LINEAR)),a.length%6==0?e.createCubeFromRaw(r[1]-r[0]+1,r[3]-r[2]+1,i.getNumberOfComponents(),i.getDataType(),a):e.create2DFromRaw(r[1]-r[0]+1,r[3]-r[2]+1,i.getNumberOfComponents(),i.getDataType(),i.getData()),e.activate(),e.sendParameters(),t.textureBuildTime.modified()}}t.handle&&e.activate()},e.destroyTexture=()=>{e.deactivate(),t.context&&t.handle&&t.context.deleteTexture(t.handle),t.handle=0,t.numberOfDimensions=0,t.target=0,t.components=0,t.width=0,t.height=0,t.depth=0,e.resetFormatAndType()},e.createTexture=()=>{t.handle||(t.handle=t.context.createTexture(),t.target&&(t.context.bindTexture(t.target,t.handle),t.context.texParameteri(t.target,t.context.TEXTURE_MIN_FILTER,e.getOpenGLFilterMode(t.minificationFilter)),t.context.texParameteri(t.target,t.context.TEXTURE_MAG_FILTER,e.getOpenGLFilterMode(t.magnificationFilter)),t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_S,e.getOpenGLWrapMode(t.wrapS)),t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_T,e.getOpenGLWrapMode(t.wrapT)),t._openGLRenderWindow.getWebgl2()&&t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_R,e.getOpenGLWrapMode(t.wrapR)),t.context.bindTexture(t.target,null)))},e.getTextureUnit=()=>t._openGLRenderWindow?t._openGLRenderWindow.getTextureUnitForTexture(e):-1,e.activate=()=>{t._openGLRenderWindow.activateTexture(e),e.bind()},e.deactivate=()=>{t._openGLRenderWindow&&t._openGLRenderWindow.deactivateTexture(e)},e.releaseGraphicsResources=n=>{n&&t.handle&&(n.activateTexture(e),n.deactivateTexture(e),t.context.deleteTexture(t.handle),t.handle=0,t.numberOfDimensions=0,t.target=0,t.internalFormat=0,t.format=0,t.openGLDataType=0,t.components=0,t.width=0,t.height=0,t.depth=0,t.allocatedGPUMemoryInBytes=0),t.shaderProgram&&(t.shaderProgram.releaseGraphicsResources(n),t.shaderProgram=null)},e.bind=()=>{t.context.bindTexture(t.target,t.handle),t.autoParameters&&e.getMTime()>t.sendParametersTime.getMTime()&&e.sendParameters()},e.isBound=()=>{let e=!1;if(t.context&&t.handle){let n=0;t.target===t.context.TEXTURE_2D?n=t.context.TEXTURE_BINDING_2D:tI("impossible case"),e=t.context.getIntegerv(n)===t.handle}return e},e.sendParameters=()=>{t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_S,e.getOpenGLWrapMode(t.wrapS)),t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_T,e.getOpenGLWrapMode(t.wrapT)),t._openGLRenderWindow.getWebgl2()&&t.context.texParameteri(t.target,t.context.TEXTURE_WRAP_R,e.getOpenGLWrapMode(t.wrapR)),t.context.texParameteri(t.target,t.context.TEXTURE_MIN_FILTER,e.getOpenGLFilterMode(t.minificationFilter)),t.context.texParameteri(t.target,t.context.TEXTURE_MAG_FILTER,e.getOpenGLFilterMode(t.magnificationFilter)),t._openGLRenderWindow.getWebgl2()&&(t.context.texParameteri(t.target,t.context.TEXTURE_BASE_LEVEL,t.baseLevel),t.context.texParameteri(t.target,t.context.TEXTURE_MAX_LEVEL,t.maxLevel)),t.sendParametersTime.modified()},e.getInternalFormat=(n,r)=>(t._forceInternalFormat||(t.internalFormat=e.getDefaultInternalFormat(n,r)),t.internalFormat||QP(`Unable to find suitable internal format for T=${n} NC= ${r}`),[t.context.R32F,t.context.RG32F,t.context.RGB32F,t.context.RGBA32F].includes(t.internalFormat)&&!t.context.getExtension("OES_texture_float_linear")&&tI("Failed to load OES_texture_float_linear. Texture filtering is not available for *32F internal formats."),t.internalFormat),e.getDefaultInternalFormat=(e,n)=>{let r=0;return r=t._openGLRenderWindow.getDefaultTextureInternalFormat(e,n,t.oglNorm16Ext,t.useHalfFloat),r||(r||(QP("Unsupported internal texture type!"),QP(`Unable to find suitable internal format for T=${e} NC= ${n}`)),r)},e.setInternalFormat=n=>{t._forceInternalFormat=!0,n!==t.internalFormat&&(t.internalFormat=n,e.modified())},e.getFormat=(n,r)=>(t.format=e.getDefaultFormat(n,r),t.format),e.getDefaultFormat=(e,n)=>{if(t._openGLRenderWindow.getWebgl2())switch(n){case 1:return t.context.RED;case 2:return t.context.RG;case 3:default:return t.context.RGB;case 4:return t.context.RGBA}else switch(n){case 1:return t.context.LUMINANCE;case 2:return t.context.LUMINANCE_ALPHA;case 3:default:return t.context.RGB;case 4:return t.context.RGBA}},e.resetFormatAndType=()=>{t.format=0,t.internalFormat=0,t._forceInternalFormat=!1,t.openGLDataType=0},e.getDefaultDataType=e=>{if(t._openGLRenderWindow.getWebgl2())switch(e){case ZP.UNSIGNED_CHAR:return t.context.UNSIGNED_BYTE;case t.oglNorm16Ext&&!t.useHalfFloat&&ZP.SHORT:return t.context.SHORT;case t.oglNorm16Ext&&!t.useHalfFloat&&ZP.UNSIGNED_SHORT:return t.context.UNSIGNED_SHORT;case t.useHalfFloat&&ZP.SHORT:case t.useHalfFloat&&ZP.UNSIGNED_SHORT:return t.context.HALF_FLOAT;case ZP.FLOAT:case ZP.VOID:default:return t.context.FLOAT}switch(e){case ZP.UNSIGNED_CHAR:return t.context.UNSIGNED_BYTE;case ZP.FLOAT:case ZP.VOID:default:if(t.context.getExtension("OES_texture_float")&&t.context.getExtension("OES_texture_float_linear"))return t.context.FLOAT;{const e=t.context.getExtension("OES_texture_half_float");if(e&&t.context.getExtension("OES_texture_half_float_linear"))return e.HALF_FLOAT_OES}return t.context.UNSIGNED_BYTE}},e.getOpenGLDataType=function(n){let r=arguments.length>1&&void 0!==arguments[1]&&arguments[1];return t.openGLDataType&&!r||(t.openGLDataType=e.getDefaultDataType(n)),t.openGLDataType},e.getShiftAndScale=()=>{let e=0,n=1;switch(t.openGLDataType){case t.context.BYTE:n=127.5,e=n-128;break;case t.context.UNSIGNED_BYTE:n=255,e=0;break;case t.context.SHORT:n=32767.5,e=n-32768;break;case t.context.UNSIGNED_SHORT:n=65536,e=0;break;case t.context.INT:n=2147483647.5,e=n-2147483648;break;case t.context.UNSIGNED_INT:n=4294967295,e=0;case t.context.FLOAT:}return{shift:e,scale:n}},e.getOpenGLFilterMode=e=>{switch(e){case JP.NEAREST:return t.context.NEAREST;case JP.LINEAR:return t.context.LINEAR;case JP.NEAREST_MIPMAP_NEAREST:return t.context.NEAREST_MIPMAP_NEAREST;case JP.NEAREST_MIPMAP_LINEAR:return t.context.NEAREST_MIPMAP_LINEAR;case JP.LINEAR_MIPMAP_NEAREST:return t.context.LINEAR_MIPMAP_NEAREST;case JP.LINEAR_MIPMAP_LINEAR:return t.context.LINEAR_MIPMAP_LINEAR;default:return t.context.NEAREST}},e.getOpenGLWrapMode=e=>{switch(e){case YP.CLAMP_TO_EDGE:return t.context.CLAMP_TO_EDGE;case YP.REPEAT:return t.context.REPEAT;case YP.MIRRORED_REPEAT:return t.context.MIRRORED_REPEAT;default:return t.context.CLAMP_TO_EDGE}},e.create2DFromRaw=function(a,o,s,l,c){let u=arguments.length>5&&void 0!==arguments[5]&&arguments[5];if(e.getOpenGLDataType(l,!0),e.getInternalFormat(l,s),e.getFormat(l,s),!t.internalFormat||!t.format||!t.openGLDataType)return eI("Failed to determine texture parameters."),!1;t.target=t.context.TEXTURE_2D,t.components=s,t.width=a,t.height=o,t.depth=1,t.numberOfDimensions=2,t._openGLRenderWindow.activateTexture(e),e.createTexture(),e.bind();const d=r(n(l,[c]));return t.context.pixelStorei(t.context.UNPACK_FLIP_Y_WEBGL,u),t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1),i(l)?(t.context.texStorage2D(t.target,1,t.internalFormat,t.width,t.height),null!=d[0]&&t.context.texSubImage2D(t.target,0,0,0,t.width,t.height,t.format,t.openGLDataType,d[0])):t.context.texImage2D(t.target,0,t.internalFormat,t.width,t.height,0,t.format,t.openGLDataType,d[0]),t.generateMipmap&&t.context.generateMipmap(t.target),u&&t.context.pixelStorei(t.context.UNPACK_FLIP_Y_WEBGL,!1),t.allocatedGPUMemoryInBytes=t.width*t.height*t.depth*s*t._openGLRenderWindow.getDefaultTextureByteSize(l,t.oglNorm16Ext,t.useHalfFloat),e.deactivate(),!0},e.createCubeFromRaw=(a,o,s,l,c)=>{if(e.getOpenGLDataType(l),e.getInternalFormat(l,s),e.getFormat(l,s),!t.internalFormat||!t.format||!t.openGLDataType)return eI("Failed to determine texture parameters."),!1;t.target=t.context.TEXTURE_CUBE_MAP,t.components=s,t.width=a,t.height=o,t.depth=1,t.numberOfDimensions=2,t._openGLRenderWindow.activateTexture(e),t.maxLevel=c.length/6-1,e.createTexture(),e.bind();const u=r(n(l,c)),d=[];let f=t.width,p=t.height;for(let e=0;e<u.length;e++){e%6==0&&0!==e&&(f/=2,p/=2),d[e]=mw(l,p*f*t.components);for(let n=0;n<p;++n){const r=n*f*t.components,i=(p-n-1)*f*t.components;d[e].set(u[e].slice(i,i+f*t.components),r)}}t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1),i(l)&&t.context.texStorage2D(t.target,6,t.internalFormat,t.width,t.height);for(let e=0;e<6;e++){let n=0,r=t.width,a=t.height;for(;r>=1&&a>=1;){let o=null;n<=t.maxLevel&&(o=d[6*n+e]),i(l)?null!=o&&t.context.texSubImage2D(t.context.TEXTURE_CUBE_MAP_POSITIVE_X+e,n,0,0,r,a,t.format,t.openGLDataType,o):t.context.texImage2D(t.context.TEXTURE_CUBE_MAP_POSITIVE_X+e,n,t.internalFormat,r,a,0,t.format,t.openGLDataType,o),n++,r/=2,a/=2}}return t.allocatedGPUMemoryInBytes=t.width*t.height*t.depth*s*t._openGLRenderWindow.getDefaultTextureByteSize(l,t.oglNorm16Ext,t.useHalfFloat),e.deactivate(),!0},e.createDepthFromRaw=(n,r,a,o)=>(e.getOpenGLDataType(a),t.format=t.context.DEPTH_COMPONENT,t._openGLRenderWindow.getWebgl2()?a===ZP.FLOAT?t.internalFormat=t.context.DEPTH_COMPONENT32F:t.internalFormat=t.context.DEPTH_COMPONENT16:t.internalFormat=t.context.DEPTH_COMPONENT,t.internalFormat&&t.format&&t.openGLDataType?(t.target=t.context.TEXTURE_2D,t.components=1,t.width=n,t.height=r,t.depth=1,t.numberOfDimensions=2,t._openGLRenderWindow.activateTexture(e),e.createTexture(),e.bind(),t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1),i(a)?(t.context.texStorage2D(t.target,1,t.internalFormat,t.width,t.height),null!=o&&t.context.texSubImage2D(t.target,0,0,0,t.width,t.height,t.format,t.openGLDataType,o)):t.context.texImage2D(t.target,0,t.internalFormat,t.width,t.height,0,t.format,t.openGLDataType,o),t.generateMipmap&&t.context.generateMipmap(t.target),t.allocatedGPUMemoryInBytes=t.width*t.height*t.depth*t.components*t._openGLRenderWindow.getDefaultTextureByteSize(a,t.oglNorm16Ext,t.useHalfFloat),e.deactivate(),!0):(eI("Failed to determine texture parameters."),!1)),e.create2DFromImage=n=>{if(e.getOpenGLDataType(ZP.UNSIGNED_CHAR),e.getInternalFormat(ZP.UNSIGNED_CHAR,4),e.getFormat(ZP.UNSIGNED_CHAR,4),!t.internalFormat||!t.format||!t.openGLDataType)return eI("Failed to determine texture parameters."),!1;t.target=t.context.TEXTURE_2D,t.components=4,t.depth=1,t.numberOfDimensions=2,t._openGLRenderWindow.activateTexture(e),e.createTexture(),e.bind(),t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1);const r=!(t._openGLRenderWindow.getWebgl2()||wT(n.width)&&wT(n.height)),a=document.createElement("canvas");a.width=r?xT(n.width):n.width,a.height=r?xT(n.height):n.height,t.width=a.width,t.height=a.height;const o=a.getContext("2d");o.translate(0,a.height),o.scale(1,-1),o.drawImage(n,0,0,n.width,n.height,0,0,a.width,a.height);const s=a;return i(ZP.UNSIGNED_CHAR)?(t.context.texStorage2D(t.target,1,t.internalFormat,t.width,t.height),null!=s&&t.context.texSubImage2D(t.target,0,0,0,t.width,t.height,t.format,t.openGLDataType,s)):t.context.texImage2D(t.target,0,t.internalFormat,t.width,t.height,0,t.format,t.openGLDataType,s),t.generateMipmap&&t.context.generateMipmap(t.target),t.allocatedGPUMemoryInBytes=t.width*t.height*t.depth*t.components*t._openGLRenderWindow.getDefaultTextureByteSize(ZP.UNSIGNED_CHAR,t.oglNorm16Ext,t.useHalfFloat),e.deactivate(),!0},e.create2DFilterableFromRaw=function(t,n,r,i,a){let o=arguments.length>5&&void 0!==arguments[5]&&arguments[5];return e.create2DFilterableFromDataArray(t,n,NE.newInstance({numberOfComponents:r,dataType:i,values:a}),o)},e.create2DFilterableFromDataArray=function(t,n,r){let i=arguments.length>3&&void 0!==arguments[3]&&arguments[3];const{numComps:o,dataType:s,data:l}=a(r,i);e.create2DFromRaw(t,n,o,s,l)},e.create3DFromRaw=(a,o,s,l,c,u)=>{if(e.getOpenGLDataType(c),e.getInternalFormat(c,l),e.getFormat(c,l),!t.internalFormat||!t.format||!t.openGLDataType)return eI("Failed to determine texture parameters."),!1;t.target=t.context.TEXTURE_3D,t.components=l,t.width=a,t.height=o,t.depth=s,t.numberOfDimensions=3,t._openGLRenderWindow.activateTexture(e),e.createTexture(),e.bind();const d=r(n(c,[u],!0));return t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1),i(c)?(t.context.texStorage3D(t.target,1,t.internalFormat,t.width,t.height,t.depth),null!=d[0]&&t.context.texSubImage3D(t.target,0,0,0,0,t.width,t.height,t.depth,t.format,t.openGLDataType,d[0])):t.context.texImage3D(t.target,0,t.internalFormat,t.width,t.height,t.depth,0,t.format,t.openGLDataType,d[0]),t.generateMipmap&&t.context.generateMipmap(t.target),t.allocatedGPUMemoryInBytes=t.width*t.height*t.depth*t.components*t._openGLRenderWindow.getDefaultTextureByteSize(c,t.oglNorm16Ext,t.useHalfFloat),e.deactivate(),!0},e.create3DFilterableFromRaw=function(t,n,r,i,a,o){let s=arguments.length>6&&void 0!==arguments[6]&&arguments[6];return e.create3DFilterableFromDataArray(t,n,r,NE.newInstance({numberOfComponents:i,dataType:a,values:o}),s)},e.create3DFilterableFromDataArray=function(n,r,o,s){let l=arguments.length>4&&void 0!==arguments[4]&&arguments[4];const{numComps:c,dataType:u,data:d,scaleOffsets:f}=a(s,l),p=n*r*o,h=[],m=[];for(let e=0;e<c;++e)h[e]=0,m[e]=1;t.volumeInfo={scale:m,offset:h,dataComputedScale:f.scale,dataComputedOffset:f.offset,width:n,height:r,depth:o};const g=structuredClone(f);if(t._openGLRenderWindow.getWebgl2()){if(t.oglNorm16Ext&&!t.useHalfFloat&&u===ZP.SHORT){for(let e=0;e<c;++e)t.volumeInfo.scale[e]=32767;return e.create3DFromRaw(n,r,o,c,u,d)}if(t.oglNorm16Ext&&!t.useHalfFloat&&u===ZP.UNSIGNED_SHORT){for(let e=0;e<c;++e)t.volumeInfo.scale[e]=65535;return e.create3DFromRaw(n,r,o,c,u,d)}if(u===ZP.FLOAT||t.useHalfFloat&&(u===ZP.SHORT||u===ZP.UNSIGNED_SHORT))return e.create3DFromRaw(n,r,o,c,u,d);if(u===ZP.UNSIGNED_CHAR){for(let e=0;e<c;++e)t.volumeInfo.scale[e]=255;return e.create3DFromRaw(n,r,o,c,u,d)}const i=new Float32Array(p*c);t.volumeInfo.offset=g.offset,t.volumeInfo.scale=g.scale;let a=0;const s=g.scale.map((e=>1/e));for(let e=0;e<p;e++)for(let e=0;e<c;e++)i[a]=(d[a]-g.offset[e])*s[e],a++;return e.create3DFromRaw(n,r,o,c,ZP.FLOAT,i)}let v=(e,t,n,r,i)=>{e[t]=n},y=ZP.UNSIGNED_CHAR;if(u===ZP.UNSIGNED_CHAR)for(let e=0;e<c;++e)g.offset[e]=0,g.scale[e]=255;else t.context.getExtension("OES_texture_float")&&t.context.getExtension("OES_texture_float_linear")?(y=ZP.FLOAT,v=(e,t,n,r,i)=>{e[t]=(n-r)/i}):(y=ZP.UNSIGNED_CHAR,v=(e,t,n,r,i)=>{e[t]=255*(n-r)/i});if(e.getOpenGLDataType(y),e.getInternalFormat(y,c),e.getFormat(y,c),!t.internalFormat||!t.format||!t.openGLDataType)return eI("Failed to determine texture parameters."),!1;t.target=t.context.TEXTURE_2D,t.components=c,t.depth=1,t.numberOfDimensions=2;let b=t.context.getParameter(t.context.MAX_TEXTURE_SIZE);b>4096&&(y===ZP.FLOAT||c>=3)&&(b=4096);let _=1,x=1;p>b*b&&(_=Math.ceil(Math.sqrt(p/(b*b))),x=_);let w=Math.sqrt(p)/_;w=xT(w);const A=Math.floor(w*_/n),S=Math.ceil(o/A),T=xT(r*S/x);let C;t.width=w,t.height=T,t._openGLRenderWindow.activateTexture(e),e.createTexture(),e.bind(),t.volumeInfo.xreps=A,t.volumeInfo.yreps=S,t.volumeInfo.xstride=_,t.volumeInfo.ystride=x,t.volumeInfo.offset=g.offset,t.volumeInfo.scale=g.scale;const E=w*T*c;C=y===ZP.FLOAT?new Float32Array(E):new Uint8Array(E);let M=0;const D=Math.floor(n/_),P=Math.floor(r/x);for(let e=0;e<S;e++){const i=Math.min(A,o-e*A),a=c*(t.width-i*Math.floor(n/_));for(let t=0;t<P;t++){for(let a=0;a<i;a++){const i=c*((e*A+a)*n*r+x*t*n);for(let e=0;e<D;e++)for(let t=0;t<c;t++)v(C,M,d[i+_*e*c+t],g.offset[t],g.scale[t]),M++}M+=a}}return t.context.pixelStorei(t.context.UNPACK_ALIGNMENT,1),i(y)?(t.context.texStorage2D(t.target,1,t.internalFormat,t.width,t.height),null!=C&&t.context.texSubImage2D(t.target,0,0,0,t.width,t.height,t.format,t.openGLDataType,C)):t.context.texImage2D(t.target,0,t.internalFormat,t.width,t.height,0,t.format,t.openGLDataType,C),e.deactivate(),!0},e.setOpenGLRenderWindow=n=>{t._openGLRenderWindow!==n&&(e.releaseGraphicsResources(),t._openGLRenderWindow=n,t.context=null,n&&(t.context=t._openGLRenderWindow.getContext()))},e.getMaximumTextureSize=e=>e&&e.isCurrent()?e.getIntegerv(e.MAX_TEXTURE_SIZE):-1}(e,t)}const aI=Vw(iI,"vtkOpenGLTexture");var oI={newInstance:aI,extend:iI,...$P};cA("vtkTexture",aI);var sI="//VTK::System::Dec\n\n/*=========================================================================\n\n  Program:   Visualization Toolkit\n  Module:    vtkPolyDataVS.glsl\n\n  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen\n  All rights reserved.\n  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.\n\n     This software is distributed WITHOUT ANY WARRANTY; without even\n     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n     PURPOSE.  See the above copyright notice for more information.\n\n=========================================================================*/\n\nattribute vec4 vertexMC;\n\n// frag position in VC\n//VTK::PositionVC::Dec\n\n// optional normal declaration\n//VTK::Normal::Dec\n\n// extra lighting parameters\n//VTK::Light::Dec\n\n// Texture coordinates\n//VTK::TCoord::Dec\n\n// material property values\n//VTK::Color::Dec\n\n// clipping plane vars\n//VTK::Clip::Dec\n\n// camera and actor matrix values\n//VTK::Camera::Dec\n\n// Apple Bug\n//VTK::PrimID::Dec\n\n// picking support\n//VTK::Picking::Dec\n\nvoid main()\n{\n  //VTK::Color::Impl\n\n  //VTK::Normal::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Clip::Impl\n\n  //VTK::PrimID::Impl\n\n  //VTK::PositionVC::Impl\n\n  //VTK::Light::Impl\n\n  //VTK::Picking::Impl\n}\n",lI="//VTK::System::Dec\n\n/*=========================================================================\n\n  Program:   Visualization Toolkit\n  Module:    vtkPolyDataFS.glsl\n\n  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen\n  All rights reserved.\n  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.\n\n     This software is distributed WITHOUT ANY WARRANTY; without even\n     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n     PURPOSE.  See the above copyright notice for more information.\n\n=========================================================================*/\n// Template for the polydata mappers fragment shader\n\nuniform int PrimitiveIDOffset;\n\n// VC position of this fragment\n//VTK::PositionVC::Dec\n\n// optional color passed in from the vertex shader, vertexColor\n//VTK::Color::Dec\n\n// optional surface normal declaration\n//VTK::Normal::Dec\n\n// extra lighting parameters\n//VTK::Light::Dec\n\n// define vtkImageLabelOutlineOn\n//VTK::ImageLabelOutlineOn\n\n// Texture coordinates\n//VTK::TCoord::Dec\n\n// picking support\n//VTK::Picking::Dec\n\n// Depth Peeling Support\n//VTK::DepthPeeling::Dec\n\n// clipping plane vars\n//VTK::Clip::Dec\n\n// label outline \n//VTK::LabelOutline::Dec\n\n// the output of this shader\n//VTK::Output::Dec\n\n// Apple Bug\n//VTK::PrimID::Dec\n\n// handle coincident offsets\n//VTK::Coincident::Dec\n\n//VTK::ZBuffer::Dec\n\n//VTK::LabelOutlineHelperFunction\n\nvoid main()\n{\n  // VC position of this fragment. This should not branch/return/discard.\n  //VTK::PositionVC::Impl\n\n  // Place any calls that require uniform flow (e.g. dFdx) here.\n  //VTK::UniformFlow::Impl\n\n  // Set gl_FragDepth here (gl_FragCoord.z by default)\n  //VTK::Depth::Impl\n\n  // Early depth peeling abort:\n  //VTK::DepthPeeling::PreColor\n\n  // Apple Bug\n  //VTK::PrimID::Impl\n\n  //VTK::Clip::Impl\n\n  //VTK::Color::Impl\n\n  // Generate the normal if we are not passed in one\n  //VTK::Normal::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Light::Impl\n\n  if (gl_FragData[0].a <= 0.0)\n    {\n    discard;\n    }\n\n  //VTK::DepthPeeling::Impl\n\n  //VTK::Picking::Impl\n\n  // handle coincident offsets\n  //VTK::Coincident::Impl\n\n  //VTK::ZBuffer::Impl\n\n  //VTK::RenderPassFragmentShader::Impl\n}\n",cI=function(e,t){e.replaceShaderCoincidentOffset=(n,r,i)=>{const a=e.getCoincidentParameters(r,i);if(a&&(0!==a.factor||0!==a.offset)){let e=n.Fragment;e=FP.substitute(e,"//VTK::Coincident::Dec",["uniform float cfactor;","uniform float coffset;"]).result,t.context.getExtension("EXT_frag_depth")&&(0!==a.factor?(e=FP.substitute(e,"//VTK::UniformFlow::Impl",["float cscale = length(vec2(dFdx(gl_FragCoord.z),dFdy(gl_FragCoord.z)));","//VTK::UniformFlow::Impl"],!1).result,e=FP.substitute(e,"//VTK::Depth::Impl","gl_FragDepthEXT = gl_FragCoord.z + cfactor*cscale + 0.000016*coffset;").result):e=FP.substitute(e,"//VTK::Depth::Impl","gl_FragDepthEXT = gl_FragCoord.z + 0.000016*coffset;").result),t._openGLRenderWindow.getWebgl2()&&(0!==a.factor?(e=FP.substitute(e,"//VTK::UniformFlow::Impl",["float cscale = length(vec2(dFdx(gl_FragCoord.z),dFdy(gl_FragCoord.z)));","//VTK::UniformFlow::Impl"],!1).result,e=FP.substitute(e,"//VTK::Depth::Impl","gl_FragDepth = gl_FragCoord.z + cfactor*cscale + 0.000016*coffset;").result):e=FP.substitute(e,"//VTK::Depth::Impl","gl_FragDepth = gl_FragCoord.z + 0.000016*coffset;").result),n.Fragment=e}}},uI=function(e,t){e.applyShaderReplacements=(e,t,n)=>{let r=null;if(t&&(r=t.ShaderReplacements),r)for(let t=0;t<r.length;t++){const i=r[t];if(n&&i.replaceFirst||!n&&!i.replaceFirst){const t=i.shaderType,n=e[t],r=FP.substitute(n,i.originalValue,i.replacementValue,i.replaceAll);e[t]=r.result}}},e.buildShaders=(n,r,i)=>{e.getReplacedShaderTemplate(n,r,i),t.lastRenderPassShaderReplacement=t.currentRenderPass?t.currentRenderPass.getShaderReplacement():null,t.lastRenderPassShaderReplacement&&t.lastRenderPassShaderReplacement(n);const a=t.renderable.getViewSpecificProperties().OpenGL;e.applyShaderReplacements(n,a,!0),e.replaceShaderValues(n,r,i),e.applyShaderReplacements(n,a)},e.getReplacedShaderTemplate=(n,r,i)=>{const a=t.renderable.getViewSpecificProperties().OpenGL;e.getShaderTemplate(n,r,i);let o=n.Vertex;if(a){const e=a.VertexShaderCode;void 0!==e&&""!==e&&(o=e)}n.Vertex=o;let s=n.Fragment;if(a){const e=a.FragmentShaderCode;void 0!==e&&""!==e&&(s=e)}n.Fragment=s;let l=n.Geometry;if(a){const e=a.GeometryShaderCode;void 0!==e&&(l=e)}n.Geometry=l}};const{FieldAssociations:dI}=ZE,{primTypes:fI}=WP,{Representation:pI,Shading:hI}=mE,{ScalarMode:mI}=qM,{Filter:gI,Wrap:vI}=oI,{vtkErrorMacro:yI}=eA,bI={type:"StartEvent"},_I={type:"EndEvent"},{CoordinateSystem:xI}=nE;const wI={context:null,VBOBuildTime:0,VBOBuildString:null,primitives:null,primTypes:null,shaderRebuildString:null,tmpMat4:null,ambientColor:[],diffuseColor:[],specularColor:[],lightColor:[],lightDirection:[],lastHaveSeenDepthRequest:!1,haveSeenDepthRequest:!1,lastSelectionState:RM.MIN_KNOWN_PASS-1,selectionStateChanged:null,selectionWebGLIdsToVTKIds:null,pointPicking:!1};const AI=Vw((function(n,r){let i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(r,wI,i),iA.extend(n,r,i),cI(n,r,i),uI(n,r,i),r.primitives=[],r.primTypes=fI,r.tmpMat3=wx(new Float64Array(9)),r.tmpMat4=S_(new Float64Array(16));for(let e=fI.Start;e<fI.End;e++)r.primitives[e]=WP.newInstance(),r.primitives[e].setPrimitiveType(e),r.primitives[e].set({lastLightComplexity:0,lastLightCount:0,lastSelectionPass:!1},!0);Ow(n,r,["context"]),r.VBOBuildTime={},Cw(r.VBOBuildTime,{mtime:0}),r.selectionStateChanged={},Cw(r.selectionStateChanged,{mtime:0}),function(n,r){function i(e,t,n){return t.identity(n),e.reduce(((e,n,r)=>0===r?n?t.copy(e,n):t.identity(e):n?t.multiply(e,e,n):e),n)}r.classHierarchy.push("vtkOpenGLPolyDataMapper"),n.buildPass=e=>{e&&(r.currentRenderPass=null,r.openGLActor=n.getFirstAncestorOfType("vtkOpenGLActor"),r._openGLRenderer=r.openGLActor.getFirstAncestorOfType("vtkOpenGLRenderer"),r._openGLRenderWindow=r._openGLRenderer.getParent(),r.openGLCamera=r._openGLRenderer.getViewNodeFor(r._openGLRenderer.getRenderable().getActiveCamera()))},n.translucentPass=(e,t)=>{e&&(r.currentRenderPass=t,n.render())},n.zBufferPass=e=>{e&&(r.haveSeenDepthRequest=!0,r.renderDepth=!0,n.render(),r.renderDepth=!1)},n.opaqueZBufferPass=e=>n.zBufferPass(e),n.opaquePass=e=>{e&&n.render()},n.render=()=>{const e=r._openGLRenderWindow.getContext();if(r.context!==e){r.context=e;for(let e=fI.Start;e<fI.End;e++)r.primitives[e].setOpenGLRenderWindow(r._openGLRenderWindow)}const t=r.openGLActor.getRenderable(),i=r._openGLRenderer.getRenderable();n.renderPiece(i,t)},n.getShaderTemplate=(e,t,n)=>{e.Vertex=sI,e.Fragment=lI,e.Geometry=""},n.replaceShaderColor=(e,t,n)=>{let i=e.Vertex,a=e.Geometry,o=e.Fragment;const s=r.lastBoundBO.getReferenceByName("lastLightComplexity");let l=["uniform float ambient;","uniform float diffuse;","uniform float specular;","uniform float opacityUniform; // the fragment opacity","uniform vec3 ambientColorUniform;","uniform vec3 diffuseColorUniform;"];s&&(l=l.concat(["uniform vec3 specularColorUniform;","uniform float specularPowerUniform;"]));let c=["vec3 ambientColor;","  vec3 diffuseColor;","  float opacity;"];s&&(c=c.concat(["  vec3 specularColor;","  float specularPower;"])),c=c.concat(["  ambientColor = ambientColorUniform;","  diffuseColor = diffuseColorUniform;","  opacity = opacityUniform;"]),s&&(c=c.concat(["  specularColor = specularColorUniform;","  specularPower = specularPowerUniform;"])),0===r.lastBoundBO.getCABO().getColorComponents()||r.drawingEdges||(l=l.concat(["varying vec4 vertexColorVSOutput;"]),i=FP.substitute(i,"//VTK::Color::Dec",["attribute vec4 scalarColor;","varying vec4 vertexColorVSOutput;"]).result,i=FP.substitute(i,"//VTK::Color::Impl",["vertexColorVSOutput =  scalarColor;"]).result,a=FP.substitute(a,"//VTK::Color::Dec",["in vec4 vertexColorVSOutput[];","out vec4 vertexColorGSOutput;"]).result,a=FP.substitute(a,"//VTK::Color::Impl",["vertexColorGSOutput = vertexColorVSOutput[i];"]).result),0===r.lastBoundBO.getCABO().getColorComponents()||r.drawingEdges?r.renderable.getInterpolateScalarsBeforeMapping()&&r.renderable.getColorCoordinates()&&!r.drawingEdges?o=FP.substitute(o,"//VTK::Color::Impl",c.concat(["  vec4 texColor = texture2D(texture1, tcoordVCVSOutput.st);","  diffuseColor = texColor.rgb;","  ambientColor = texColor.rgb;","  opacity = opacity*texColor.a;"])).result:(n.getBackfaceProperty()&&!r.drawingEdges&&(l=l.concat(["uniform float opacityUniformBF; // the fragment opacity","uniform float ambientIntensityBF; // the material ambient","uniform float diffuseIntensityBF; // the material diffuse","uniform vec3 ambientColorUniformBF; // ambient material color","uniform vec3 diffuseColorUniformBF; // diffuse material color"]),s?(l=l.concat(["uniform float specularIntensityBF; // the material specular intensity","uniform vec3 specularColorUniformBF; // intensity weighted color","uniform float specularPowerUniformBF;"]),c=c.concat(["if (gl_FrontFacing == false) {","  ambientColor = ambientIntensityBF * ambientColorUniformBF;","  diffuseColor = diffuseIntensityBF * diffuseColorUniformBF;","  specularColor = specularIntensityBF * specularColorUniformBF;","  specularPower = specularPowerUniformBF;","  opacity = opacityUniformBF; }"])):c=c.concat(["if (gl_FrontFacing == false) {","  ambientColor = ambientIntensityBF * ambientColorUniformBF;","  diffuseColor = diffuseIntensityBF * diffuseColorUniformBF;","  opacity = opacityUniformBF; }"])),r.haveCellScalars&&!r.drawingEdges&&(l=l.concat(["uniform samplerBuffer texture1;"])),o=FP.substitute(o,"//VTK::Color::Impl",c).result):o=FP.substitute(o,"//VTK::Color::Impl",c.concat(["  diffuseColor = vertexColorVSOutput.rgb;","  ambientColor = vertexColorVSOutput.rgb;","  opacity = opacity*vertexColorVSOutput.a;"])).result,o=FP.substitute(o,"//VTK::Color::Dec",l).result,e.Vertex=i,e.Geometry=a,e.Fragment=o},n.replaceShaderLight=(e,t,n)=>{let i=e.Fragment;const a=r.lastBoundBO.getReferenceByName("lastLightComplexity"),o=r.lastBoundBO.getReferenceByName("lastLightCount");let s=[];switch(a){case 0:i=FP.substitute(i,"//VTK::Light::Impl",["  gl_FragData[0] = vec4(ambientColor * ambient + diffuseColor * diffuse, opacity);","  //VTK::Light::Impl"],!1).result;break;case 1:i=FP.substitute(i,"//VTK::Light::Impl",["  float df = max(0.0, normalVCVSOutput.z);","  float sf = pow(df, specularPower);","  vec3 diffuseL = df * diffuseColor;","  vec3 specularL = sf * specularColor;","  gl_FragData[0] = vec4(ambientColor * ambient + diffuseL * diffuse + specularL * specular, opacity);","  //VTK::Light::Impl"],!1).result;break;case 2:for(let e=0;e<o;++e)s=s.concat([`uniform vec3 lightColor${e};`,`uniform vec3 lightDirectionVC${e}; // normalized`,`uniform vec3 lightHalfAngleVC${e}; // normalized`]);i=FP.substitute(i,"//VTK::Light::Dec",s).result,s=["vec3 diffuseL = vec3(0,0,0);","  vec3 specularL = vec3(0,0,0);","  float df;"];for(let e=0;e<o;++e)s=s.concat([`  df = max(0.0, dot(normalVCVSOutput, -lightDirectionVC${e}));`,`  diffuseL += ((df) * lightColor${e});`,`  if (dot(normalVCVSOutput, lightDirectionVC${e}) < 0.0)`,"    {",`    float sf = sign(df)*pow(max(1e-5,\n                                              dot(reflect(lightDirectionVC${e},normalVCVSOutput),\n                                                  normalize(-vertexVC.xyz))),\n                                         specularPower);`,`    specularL += (sf * lightColor${e});`,"    }"]);s=s.concat(["  diffuseL = diffuseL * diffuseColor;","  specularL = specularL * specularColor;","  gl_FragData[0] = vec4(ambientColor * ambient + diffuseL * diffuse + specularL * specular, opacity);","  //VTK::Light::Impl"]),i=FP.substitute(i,"//VTK::Light::Impl",s,!1).result;break;case 3:for(let e=0;e<o;++e)s=s.concat([`uniform vec3 lightColor${e};`,`uniform vec3 lightDirectionVC${e}; // normalized`,`uniform vec3 lightHalfAngleVC${e}; // normalized`,`uniform vec3 lightPositionVC${e};`,`uniform vec3 lightAttenuation${e};`,`uniform float lightConeAngle${e};`,`uniform float lightExponent${e};`,`uniform int lightPositional${e};`]);i=FP.substitute(i,"//VTK::Light::Dec",s).result,s=["vec3 diffuseL = vec3(0,0,0);","  vec3 specularL = vec3(0,0,0);","  vec3 vertLightDirectionVC;","  float attenuation;","  float df;"];for(let e=0;e<o;++e)s=s.concat(["  attenuation = 1.0;",`  if (lightPositional${e} == 0)`,"    {",`      vertLightDirectionVC = lightDirectionVC${e};`,"    }","  else","    {",`    vertLightDirectionVC = vertexVC.xyz - lightPositionVC${e};`,"    float distanceVC = length(vertLightDirectionVC);","    vertLightDirectionVC = normalize(vertLightDirectionVC);","    attenuation = 1.0 /",`      (lightAttenuation${e}.x`,`       + lightAttenuation${e}.y * distanceVC`,`       + lightAttenuation${e}.z * distanceVC * distanceVC);`,"    // per OpenGL standard cone angle is 90 or less for a spot light",`    if (lightConeAngle${e} <= 90.0)`,"      {",`      float coneDot = dot(vertLightDirectionVC, lightDirectionVC${e});`,"      // if inside the cone",`      if (coneDot >= cos(radians(lightConeAngle${e})))`,"        {",`        attenuation = attenuation * pow(coneDot, lightExponent${e});`,"        }","      else","        {","        attenuation = 0.0;","        }","      }","    }","    df = max(0.0, attenuation*dot(normalVCVSOutput, -vertLightDirectionVC));",`    diffuseL += ((df) * lightColor${e});`,"    if (dot(normalVCVSOutput, vertLightDirectionVC) < 0.0)","      {",`      float sf = sign(df)*attenuation*pow(max(1e-5,\n                                                           dot(reflect(lightDirectionVC${e},\n                                                                       normalVCVSOutput),\n                                                               normalize(-vertexVC.xyz))),\n                                                       specularPower);`,`    specularL += ((sf) * lightColor${e});`,"    }"]);s=s.concat(["  diffuseL = diffuseL * diffuseColor;","  specularL = specularL * specularColor;","  gl_FragData[0] = vec4(ambientColor * ambient + diffuseL * diffuse + specularL * specular, opacity);","  //VTK::Light::Impl"]),i=FP.substitute(i,"//VTK::Light::Impl",s,!1).result;break;default:yI("bad light complexity")}e.Fragment=i},n.replaceShaderNormal=(e,t,n)=>{if(r.lastBoundBO.getReferenceByName("lastLightComplexity")>0){let t=e.Vertex,i=e.Geometry,a=e.Fragment;r.lastBoundBO.getCABO().getNormalOffset()?(t=FP.substitute(t,"//VTK::Normal::Dec",["attribute vec3 normalMC;","uniform mat3 normalMatrix;","varying vec3 normalVCVSOutput;"]).result,t=FP.substitute(t,"//VTK::Normal::Impl",["normalVCVSOutput = normalMatrix * normalMC;"]).result,i=FP.substitute(i,"//VTK::Normal::Dec",["in vec3 normalVCVSOutput[];","out vec3 normalVCGSOutput;"]).result,i=FP.substitute(i,"//VTK::Normal::Impl",["normalVCGSOutput = normalVCVSOutput[i];"]).result,a=FP.substitute(a,"//VTK::Normal::Dec",["varying vec3 normalVCVSOutput;"]).result,a=FP.substitute(a,"//VTK::Normal::Impl",["vec3 normalVCVSOutput = normalize(normalVCVSOutput);","  if (gl_FrontFacing == false) { normalVCVSOutput = -normalVCVSOutput; }"]).result):r.haveCellNormals?(a=FP.substitute(a,"//VTK::Normal::Dec",["uniform mat3 normalMatrix;","uniform samplerBuffer textureN;"]).result,a=FP.substitute(a,"//VTK::Normal::Impl",["vec3 normalVCVSOutput = normalize(normalMatrix *","    texelFetchBuffer(textureN, gl_PrimitiveID + PrimitiveIDOffset).xyz);","  if (gl_FrontFacing == false) { normalVCVSOutput = -normalVCVSOutput; }"]).result):r.lastBoundBO.getOpenGLMode(n.getProperty().getRepresentation())===r.context.LINES?(a=FP.substitute(a,"//VTK::UniformFlow::Impl",["  vec3 fdx = dFdx(vertexVC.xyz);","  vec3 fdy = dFdy(vertexVC.xyz);","  //VTK::UniformFlow::Impl"]).result,a=FP.substitute(a,"//VTK::Normal::Impl",["vec3 normalVCVSOutput;","  if (abs(fdx.x) > 0.0)","    { fdx = normalize(fdx); normalVCVSOutput = normalize(cross(vec3(fdx.y, -fdx.x, 0.0), fdx)); }","  else { fdy = normalize(fdy); normalVCVSOutput = normalize(cross(vec3(fdy.y, -fdy.x, 0.0), fdy));}"]).result):(a=FP.substitute(a,"//VTK::Normal::Dec",["uniform int cameraParallel;"]).result,a=FP.substitute(a,"//VTK::UniformFlow::Impl",["  vec3 fdx = dFdx(vertexVC.xyz);","  vec3 fdy = dFdy(vertexVC.xyz);","  //VTK::UniformFlow::Impl"]).result,a=FP.substitute(a,"//VTK::Normal::Impl",["  fdx = normalize(fdx);","  fdy = normalize(fdy);","  vec3 normalVCVSOutput = normalize(cross(fdx,fdy));","  if (cameraParallel == 1 && normalVCVSOutput.z < 0.0) { normalVCVSOutput = -1.0*normalVCVSOutput; }","  if (cameraParallel == 0 && dot(normalVCVSOutput,vertexVC.xyz) > 0.0) { normalVCVSOutput = -1.0*normalVCVSOutput; }"]).result),e.Vertex=t,e.Geometry=i,e.Fragment=a}},n.replaceShaderPositionVC=(e,t,n)=>{r.lastBoundBO.replaceShaderPositionVC(e,t,n);let i=e.Vertex,a=e.Geometry,o=e.Fragment;r.lastBoundBO.getReferenceByName("lastLightComplexity")>0?(i=FP.substitute(i,"//VTK::PositionVC::Dec",["varying vec4 vertexVCVSOutput;"]).result,i=FP.substitute(i,"//VTK::PositionVC::Impl",["vertexVCVSOutput = MCVCMatrix * vertexMC;","  gl_Position = MCPCMatrix * vertexMC;"]).result,i=FP.substitute(i,"//VTK::Camera::Dec",["uniform mat4 MCPCMatrix;","uniform mat4 MCVCMatrix;"]).result,a=FP.substitute(a,"//VTK::PositionVC::Dec",["in vec4 vertexVCVSOutput[];","out vec4 vertexVCGSOutput;"]).result,a=FP.substitute(a,"//VTK::PositionVC::Impl",["vertexVCGSOutput = vertexVCVSOutput[i];"]).result,o=FP.substitute(o,"//VTK::PositionVC::Dec",["varying vec4 vertexVCVSOutput;"]).result,o=FP.substitute(o,"//VTK::PositionVC::Impl",["vec4 vertexVC = vertexVCVSOutput;"]).result):(i=FP.substitute(i,"//VTK::Camera::Dec",["uniform mat4 MCPCMatrix;"]).result,i=FP.substitute(i,"//VTK::PositionVC::Impl",["  gl_Position = MCPCMatrix * vertexMC;"]).result),e.Vertex=i,e.Geometry=a,e.Fragment=o},n.replaceShaderTCoord=(e,t,n)=>{if(r.lastBoundBO.getCABO().getTCoordOffset()){let t=e.Vertex,n=e.Geometry,i=e.Fragment;if(r.drawingEdges)return;t=FP.substitute(t,"//VTK::TCoord::Impl","tcoordVCVSOutput = tcoordMC;").result;const a=r.openGLActor.getActiveTextures();let o=2,s=2;if(a&&a.length>0&&(o=a[0].getComponents(),a[0].getTarget()===r.context.TEXTURE_CUBE_MAP&&(s=3)),r.renderable.getColorTextureMap()&&(o=r.renderable.getColorTextureMap().getPointData().getScalars().getNumberOfComponents(),s=2),2===s){if(t=FP.substitute(t,"//VTK::TCoord::Dec","attribute vec2 tcoordMC; varying vec2 tcoordVCVSOutput;").result,n=FP.substitute(n,"//VTK::TCoord::Dec",["in vec2 tcoordVCVSOutput[];","out vec2 tcoordVCGSOutput;"]).result,n=FP.substitute(n,"//VTK::TCoord::Impl","tcoordVCGSOutput = tcoordVCVSOutput[i];").result,i=FP.substitute(i,"//VTK::TCoord::Dec",["varying vec2 tcoordVCVSOutput;","uniform sampler2D texture1;"]).result,a&&a.length>=1)switch(o){case 1:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = texture2D(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.r;","  diffuseColor = diffuseColor*tcolor.r;"]).result;break;case 2:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = texture2D(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.r;","  diffuseColor = diffuseColor*tcolor.r;","  opacity = opacity * tcolor.g;"]).result;break;default:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = texture2D(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.rgb;","  diffuseColor = diffuseColor*tcolor.rgb;","  opacity = opacity * tcolor.a;"]).result}}else switch(t=FP.substitute(t,"//VTK::TCoord::Dec","attribute vec3 tcoordMC; varying vec3 tcoordVCVSOutput;").result,n=FP.substitute(n,"//VTK::TCoord::Dec",["in vec3 tcoordVCVSOutput[];","out vec3 tcoordVCGSOutput;"]).result,n=FP.substitute(n,"//VTK::TCoord::Impl","tcoordVCGSOutput = tcoordVCVSOutput[i];").result,i=FP.substitute(i,"//VTK::TCoord::Dec",["varying vec3 tcoordVCVSOutput;","uniform samplerCube texture1;"]).result,o){case 1:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = textureCube(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.r;","  diffuseColor = diffuseColor*tcolor.r;"]).result;break;case 2:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = textureCube(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.r;","  diffuseColor = diffuseColor*tcolor.r;","  opacity = opacity * tcolor.g;"]).result;break;default:i=FP.substitute(i,"//VTK::TCoord::Impl",["  vec4 tcolor = textureCube(texture1, tcoordVCVSOutput);","  ambientColor = ambientColor*tcolor.rgb;","  diffuseColor = diffuseColor*tcolor.rgb;","  opacity = opacity * tcolor.a;"]).result}e.Vertex=t,e.Geometry=n,e.Fragment=i}},n.replaceShaderClip=(e,t,n)=>{let i=e.Vertex,a=e.Fragment;if(r.renderable.getNumberOfClippingPlanes()){const e=r.renderable.getNumberOfClippingPlanes();i=FP.substitute(i,"//VTK::Clip::Dec",["uniform int numClipPlanes;",`uniform vec4 clipPlanes[${e}];`,`varying float clipDistancesVSOutput[${e}];`]).result,i=FP.substitute(i,"//VTK::Clip::Impl",[`for (int planeNum = 0; planeNum < ${e}; planeNum++)`,"    {","    if (planeNum >= numClipPlanes)","        {","        break;","        }","    clipDistancesVSOutput[planeNum] = dot(clipPlanes[planeNum], vertexMC);","    }"]).result,a=FP.substitute(a,"//VTK::Clip::Dec",["uniform int numClipPlanes;",`varying float clipDistancesVSOutput[${e}];`]).result,a=FP.substitute(a,"//VTK::Clip::Impl",[`for (int planeNum = 0; planeNum < ${e}; planeNum++)`,"    {","    if (planeNum >= numClipPlanes)","        {","        break;","        }","    if (clipDistancesVSOutput[planeNum] < 0.0) discard;","    }"]).result}e.Vertex=i,e.Fragment=a},n.getCoincidentParameters=(e,t)=>{let n={factor:0,offset:0};const i=t.getProperty();if(r.renderable.getResolveCoincidentTopology()||i.getEdgeVisibility()&&i.getRepresentation()===pI.SURFACE){const e=r.lastBoundBO.getPrimitiveType();e===fI.Points||i.getRepresentation()===pI.POINTS?n=r.renderable.getCoincidentTopologyPointOffsetParameter():e===fI.Lines||i.getRepresentation()===pI.WIREFRAME?n=r.renderable.getCoincidentTopologyLineOffsetParameters():e!==fI.Tris&&e!==fI.TriStrips||(n=r.renderable.getCoincidentTopologyPolygonOffsetParameters()),e!==fI.TrisEdges&&e!==fI.TriStripsEdges||(n=r.renderable.getCoincidentTopologyPolygonOffsetParameters(),n.factor/=2,n.offset/=2)}const a=r._openGLRenderer.getSelector();return a&&a.getFieldAssociation()===dI.FIELD_ASSOCIATION_POINTS&&(n.offset-=2),n},n.replaceShaderPicking=(e,t,n)=>{let i=e.Fragment,a=e.Vertex;if(i=FP.substitute(i,"//VTK::Picking::Dec",["uniform int picking;","//VTK::Picking::Dec"]).result,r._openGLRenderer.getSelector()){switch(r.lastSelectionState!==RM.ID_LOW24&&r.lastSelectionState!==RM.ID_HIGH24||(a=FP.substitute(a,"//VTK::Picking::Dec",["flat out int vertexIDVSOutput;\n","uniform int VertexIDOffset;\n"]).result,a=FP.substitute(a,"//VTK::Picking::Impl","  vertexIDVSOutput = gl_VertexID + VertexIDOffset;\n").result,i=FP.substitute(i,"//VTK::Picking::Dec","flat in int vertexIDVSOutput;\n").result,i=FP.substitute(i,"//VTK::Picking::Impl",["  int idx = vertexIDVSOutput;","//VTK::Picking::Impl"]).result),r.lastSelectionState){case RM.ID_LOW24:i=FP.substitute(i,"//VTK::Picking::Impl","  gl_FragData[0] = vec4(float(idx%256)/255.0, float((idx/256)%256)/255.0, float((idx/65536)%256)/255.0, 1.0);").result;break;case RM.ID_HIGH24:i=FP.substitute(i,"//VTK::Picking::Impl","  gl_FragData[0] = vec4(float(idx)/255.0, 0.0, 0.0, 1.0);").result;break;default:i=FP.substitute(i,"//VTK::Picking::Dec","uniform vec3 mapperIndex;").result,i=FP.substitute(i,"//VTK::Picking::Impl","  gl_FragData[0] = picking != 0 ? vec4(mapperIndex,1.0) : gl_FragData[0];").result}e.Fragment=i,e.Vertex=a}},n.replaceShaderValues=(e,t,i)=>{if(n.replaceShaderColor(e,t,i),n.replaceShaderNormal(e,t,i),n.replaceShaderLight(e,t,i),n.replaceShaderTCoord(e,t,i),n.replaceShaderPicking(e,t,i),n.replaceShaderClip(e,t,i),n.replaceShaderCoincidentOffset(e,t,i),n.replaceShaderPositionVC(e,t,i),r.haveSeenDepthRequest){let t=e.Fragment;t=FP.substitute(t,"//VTK::ZBuffer::Dec","uniform int depthRequest;").result,t=FP.substitute(t,"//VTK::ZBuffer::Impl",["if (depthRequest == 1) {","float iz = floor(gl_FragCoord.z*65535.0 + 0.1);","float rf = floor(iz/256.0)/255.0;","float gf = mod(iz,256.0)/255.0;","gl_FragData[0] = vec4(rf, gf, 0.0, 1.0); }"]).result,e.Fragment=t}},n.getNeedToRebuildShaders=(e,t,n)=>{let i=0,a=0;const o=e.getPrimitiveType(),s=r.currentInput;let l=!1;const c=s.getPointData().getNormals(),u=s.getCellData().getNormals(),d=n.getProperty().getInterpolation()===hI.FLAT,f=n.getProperty().getRepresentation(),p=e.getOpenGLMode(f,o);if(p===r.context.TRIANGLES||u&&!c||!d&&c?l=!0:d||p!==r.context.LINES||(l=!0),n.getProperty().getLighting()&&l){i=0;const e=t.getLightsByReference();for(let t=0;t<e.length;++t){const n=e[t];n.getSwitch()>0&&(a++,0===i&&(i=1)),1===i&&(a>1||1!==n.getIntensity()||!n.lightTypeIsHeadLight())&&(i=2),i<3&&n.getPositional()&&(i=3)}}let h=!1;const m=r.lastBoundBO.getReferenceByName("lastLightComplexity"),g=r.lastBoundBO.getReferenceByName("lastLightCount");return m===i&&g===a||(r.lastBoundBO.set({lastLightComplexity:i},!0),r.lastBoundBO.set({lastLightCount:a},!0),h=!0),(!r.currentRenderPass&&r.lastRenderPassShaderReplacement||r.currentRenderPass&&r.currentRenderPass.getShaderReplacement()!==r.lastRenderPassShaderReplacement)&&(h=!0),!!(r.lastHaveSeenDepthRequest!==r.haveSeenDepthRequest||e.getShaderSourceTime().getMTime()<r.renderable.getMTime()||e.getShaderSourceTime().getMTime()<r.currentInput.getMTime()||e.getShaderSourceTime().getMTime()<r.selectionStateChanged.getMTime()||h)&&(r.lastHaveSeenDepthRequest=r.haveSeenDepthRequest,!0)},n.invokeShaderCallbacks=(e,t,n)=>{const i=r.renderable.getViewSpecificProperties().ShadersCallbacks;i&&i.forEach((r=>{r.callback(r.userData,e,t,n)}))},n.setMapperShaderParameters=(e,t,i)=>{if(e.getProgram().isUniformUsed("PrimitiveIDOffset")&&e.getProgram().setUniformi("PrimitiveIDOffset",r.primitiveIDOffset),e.getProgram().isUniformUsed("VertexIDOffset")&&e.getProgram().setUniformi("VertexIDOffset",r.vertexIDOffset),e.getCABO().getElementCount()&&(r.VBOBuildTime.getMTime()>e.getAttributeUpdateTime().getMTime()||e.getShaderSourceTime().getMTime()>e.getAttributeUpdateTime().getMTime())){const t=r.lastBoundBO.getReferenceByName("lastLightComplexity");e.getProgram().isAttributeUsed("vertexMC")&&(e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),"vertexMC",e.getCABO().getVertexOffset(),e.getCABO().getStride(),r.context.FLOAT,3,!1)||yI("Error setting vertexMC in shader VAO.")),e.getProgram().isAttributeUsed("normalMC")&&e.getCABO().getNormalOffset()&&t>0?e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),"normalMC",e.getCABO().getNormalOffset(),e.getCABO().getStride(),r.context.FLOAT,3,!1)||yI("Error setting normalMC in shader VAO."):e.getVAO().removeAttributeArray("normalMC"),r.renderable.getCustomShaderAttributes().forEach(((t,n)=>{e.getProgram().isAttributeUsed(`${t}MC`)&&(e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),`${t}MC`,e.getCABO().getCustomData()[n].offset,e.getCABO().getStride(),r.context.FLOAT,e.getCABO().getCustomData()[n].components,!1)||yI(`Error setting ${t}MC in shader VAO.`))})),e.getProgram().isAttributeUsed("tcoordMC")&&e.getCABO().getTCoordOffset()?e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),"tcoordMC",e.getCABO().getTCoordOffset(),e.getCABO().getStride(),r.context.FLOAT,e.getCABO().getTCoordComponents(),!1)||yI("Error setting tcoordMC in shader VAO."):e.getVAO().removeAttributeArray("tcoordMC"),e.getProgram().isAttributeUsed("scalarColor")&&e.getCABO().getColorComponents()?e.getVAO().addAttributeArray(e.getProgram(),e.getCABO().getColorBO(),"scalarColor",e.getCABO().getColorOffset(),e.getCABO().getColorBOStride(),r.context.UNSIGNED_BYTE,4,!0)||yI("Error setting scalarColor in shader VAO."):e.getVAO().removeAttributeArray("scalarColor"),e.getAttributeUpdateTime().modified()}if(r.renderable.getNumberOfClippingPlanes()){const t=r.renderable.getNumberOfClippingPlanes(),n=[],a=e.getCABO().getCoordShiftAndScaleEnabled()?e.getCABO().getInverseShiftAndScaleMatrix():null,o=a?x_(r.tmpMat4,i.getMatrix()):i.getMatrix();a&&(T_(o,o),D_(o,o,a),T_(o,o));for(let e=0;e<t;e++){const t=[];r.renderable.getClippingPlaneInDataCoords(o,e,t);for(let e=0;e<4;e++)n.push(t[e])}e.getProgram().setUniformi("numClipPlanes",t),e.getProgram().setUniform4fv("clipPlanes",n)}r.internalColorTexture&&e.getProgram().isUniformUsed("texture1")&&e.getProgram().setUniformi("texture1",r.internalColorTexture.getTextureUnit());const a=r.openGLActor.getActiveTextures();if(a)for(let t=0;t<a.length;++t){const n=a[t].getTextureUnit(),r=`texture${n+1}`;e.getProgram().isUniformUsed(r)&&e.getProgram().setUniformi(r,n)}if(r.haveSeenDepthRequest&&e.getProgram().setUniformi("depthRequest",r.renderDepth?1:0),e.getProgram().isUniformUsed("coffset")){const r=n.getCoincidentParameters(t,i);e.getProgram().setUniformf("coffset",r.offset),e.getProgram().isUniformUsed("cfactor")&&e.getProgram().setUniformf("cfactor",r.factor)}e.setMapperShaderParameters(t,i,r._openGLRenderer.getTiledSizeAndOrigin());const o=r._openGLRenderer.getSelector();e.getProgram().setUniform3fArray("mapperIndex",o?o.getPropColorValue():[0,0,0]),e.getProgram().setUniformi("picking",o?o.getCurrentPass()+1:0)},n.setLightingShaderParameters=(e,t,n)=>{const i=r.lastBoundBO.getReferenceByName("lastLightComplexity");if(i<2)return;const a=e.getProgram();let o=0;const s=t.getLightsByReference();for(let e=0;e<s.length;++e){const n=s[e];if(n.getSwitch()>0){const e=n.getColorByReference(),i=n.getIntensity();r.lightColor[0]=e[0]*i,r.lightColor[1]=e[1]*i,r.lightColor[2]=e[2]*i;const s=n.getDirection(),l=t.getActiveCamera().getViewMatrix(),c=[...s];n.lightTypeIsSceneLight()&&(c[0]=l[0]*s[0]+l[1]*s[1]+l[2]*s[2],c[1]=l[4]*s[0]+l[5]*s[1]+l[6]*s[2],c[2]=l[8]*s[0]+l[9]*s[1]+l[10]*s[2],DT(c)),r.lightDirection[0]=c[0],r.lightDirection[1]=c[1],r.lightDirection[2]=c[2],DT(r.lightDirection),a.setUniform3fArray(`lightColor${o}`,r.lightColor),a.setUniform3fArray(`lightDirectionVC${o}`,r.lightDirection),o++}}if(i<3)return;const l=t.getActiveCamera().getViewMatrix();T_(l,l),o=0;for(let e=0;e<s.length;++e){const t=s[e];if(t.getSwitch()>0){const e=t.getTransformedPosition(),n=new Float64Array(3);DA(n,e,l),a.setUniform3fArray(`lightAttenuation${o}`,t.getAttenuationValuesByReference()),a.setUniformi(`lightPositional${o}`,t.getPositional()),a.setUniformf(`lightExponent${o}`,t.getExponent()),a.setUniformf(`lightConeAngle${o}`,t.getConeAngle()),a.setUniform3fArray(`lightPositionVC${o}`,[n[0],n[1],n[2]]),o++}}},n.setCameraShaderParameters=(n,a,o)=>{const s=n.getProgram(),l=r.openGLCamera.getKeyMatrices(a),c=a.getActiveCamera(),u=r.openGLCamera.getKeyMatrixTime().getMTime(),d=s.getLastCameraMTime(),f=n.getCABO().getCoordShiftAndScaleEnabled()?n.getCABO().getInverseShiftAndScaleMatrix():null,p=o.getIsIdentity(),h=p?{mcwc:null,normalMatrix:null}:r.openGLActor.getKeyMatrices();if(o.getCoordinateSystem()===xI.DISPLAY){const e=r._openGLRenderer.getTiledSizeAndOrigin();S_(r.tmpMat4),r.tmpMat4[0]=2/e.usize,r.tmpMat4[12]=-1,r.tmpMat4[5]=2/e.vsize,r.tmpMat4[13]=-1,D_(r.tmpMat4,r.tmpMat4,f),s.setUniformMatrix("MCPCMatrix",r.tmpMat4)}else s.setUniformMatrix("MCPCMatrix",i([l.wcpc,h.mcwc,f],e,r.tmpMat4));s.isUniformUsed("MCVCMatrix")&&s.setUniformMatrix("MCVCMatrix",i([l.wcvc,h.mcwc,f],e,r.tmpMat4)),s.isUniformUsed("normalMatrix")&&s.setUniformMatrix3x3("normalMatrix",i([l.normalMatrix,h.normalMatrix],t,r.tmpMat3)),d!==u&&(s.isUniformUsed("cameraParallel")&&s.setUniformi("cameraParallel",c.getParallelProjection()),s.setLastCameraMTime(u)),p||s.setLastCameraMTime(0)},n.setPropertyShaderParameters=(e,t,n)=>{const i=e.getProgram();let a=n.getProperty(),o=a.getOpacity(),s=r.drawingEdges?a.getEdgeColorByReference():a.getAmbientColorByReference(),l=r.drawingEdges?a.getEdgeColorByReference():a.getDiffuseColorByReference(),c=r.drawingEdges?1:a.getAmbient(),u=r.drawingEdges?0:a.getDiffuse(),d=r.drawingEdges?0:a.getSpecular();const f=a.getSpecularPower();i.setUniformf("opacityUniform",o),i.setUniform3fArray("ambientColorUniform",s),i.setUniform3fArray("diffuseColorUniform",l),i.setUniformf("ambient",c),i.setUniformf("diffuse",u);const p=r.lastBoundBO.getReferenceByName("lastLightComplexity");if(p<1)return;let h=a.getSpecularColorByReference();if(i.setUniform3fArray("specularColorUniform",h),i.setUniformf("specularPowerUniform",f),i.setUniformf("specular",d),i.isUniformUsed("ambientIntensityBF")){if(a=n.getBackfaceProperty(),o=a.getOpacity(),s=a.getAmbientColor(),c=a.getAmbient(),l=a.getDiffuseColor(),u=a.getDiffuse(),h=a.getSpecularColor(),d=a.getSpecular(),i.setUniformf("ambientIntensityBF",c),i.setUniformf("diffuseIntensityBF",u),i.setUniformf("opacityUniformBF",o),i.setUniform3fArray("ambientColorUniformBF",s),i.setUniform3fArray("diffuseColorUniformBF",l),p<1)return;i.setUniformf("specularIntensityBF",d),i.setUniform3fArray("specularColorUniformBF",h),i.setUniformf("specularPowerUniformBF",f)}},n.updateMaximumPointCellIds=(e,t)=>{const n=r._openGLRenderer.getSelector();if(n){if(r.selectionWebGLIdsToVTKIds?.points?.length){const e=r.selectionWebGLIdsToVTKIds.points.length;n.setMaximumPointId(e-1)}if(r.selectionWebGLIdsToVTKIds?.cells?.length){const e=r.selectionWebGLIdsToVTKIds.cells.length;n.setMaximumCellId(e-1)}n.getFieldAssociation()===dI.FIELD_ASSOCIATION_POINTS&&(r.pointPicking=!0)}},n.renderPieceStart=(e,t)=>{r.primitiveIDOffset=0,r.vertexIDOffset=0;const i=function(e){const t=e.getSelector();return t?t.getCurrentPass():RM.MIN_KNOWN_PASS-1}(r._openGLRenderer);r.lastSelectionState!==i&&(r.selectionStateChanged.modified(),r.lastSelectionState=i),r._openGLRenderer.getSelector()&&r._openGLRenderer.getSelector().renderProp(t),n.updateBufferObjects(e,t),r.renderable.getColorTextureMap()&&r.internalColorTexture.activate(),r.lastBoundBO=null},n.renderPieceDraw=(e,t)=>{const i=t.getProperty().getRepresentation(),a=t.getProperty().getEdgeVisibility()&&i===pI.SURFACE,o=r._openGLRenderer.getSelector(),s=o&&o.getFieldAssociation()===dI.FIELD_ASSOCIATION_POINTS&&(r.lastSelectionState===RM.ID_LOW24||r.lastSelectionState===RM.ID_HIGH24);for(let o=fI.Start;o<fI.End;o++)r.primitives[o].setPointPicking(s),r.primitives[o].getCABO().getElementCount()&&(r.drawingEdges=a&&(o===fI.TrisEdges||o===fI.TriStripsEdges),r.drawingEdges&&(r.renderDepth||r.lastSelectionState>=0)||(r.lastBoundBO=r.primitives[o],r.primitiveIDOffset+=r.primitives[o].drawArrays(e,t,i,n),r.vertexIDOffset+=r.primitives[o].getCABO().getElementCount()))},n.renderPieceFinish=(e,t)=>{r.LastBoundBO&&r.LastBoundBO.getVAO().release(),r.renderable.getColorTextureMap()&&r.internalColorTexture.deactivate()},n.renderPiece=(e,t)=>{if(n.invokeEvent(bI),r.renderable.getStatic()||r.renderable.update(),r.currentInput=r.renderable.getInputData(),n.invokeEvent(_I),!r.currentInput)return void yI("No input!");if(!r.currentInput.getPoints||!r.currentInput.getPoints().getNumberOfValues())return;const i=r.context,a=t.getProperty().getBackfaceCulling(),o=t.getProperty().getFrontfaceCulling();a||o?o?(r._openGLRenderWindow.enableCullFace(),i.cullFace(i.FRONT)):(r._openGLRenderWindow.enableCullFace(),i.cullFace(i.BACK)):r._openGLRenderWindow.disableCullFace(),n.renderPieceStart(e,t),n.renderPieceDraw(e,t),n.renderPieceFinish(e,t)},n.computeBounds=(e,t)=>{n.getInput()?r.bounds=n.getInput().getBounds():GT(r.bounds)},n.updateBufferObjects=(e,t)=>{n.getNeedToRebuildBufferObjects(e,t)&&n.buildBufferObjects(e,t)},n.getNeedToRebuildBufferObjects=(e,t)=>{const i=r.VBOBuildTime.getMTime();return i<n.getMTime()||i<r.renderable.getMTime()||i<t.getMTime()||i<r.currentInput.getMTime()},n.buildBufferObjects=(e,t)=>{const i=r.currentInput;if(null===i)return;r.renderable.mapScalars(i,1);const a=r.renderable.getColorMapColors();r.haveCellScalars=!1;const o=r.renderable.getScalarMode();r.renderable.getScalarVisibility()&&(o!==mI.USE_CELL_DATA&&o!==mI.USE_CELL_FIELD_DATA&&o!==mI.USE_FIELD_DATA&&i.getPointData().getScalars()||o===mI.USE_POINT_FIELD_DATA||!a||(r.haveCellScalars=!0));let s=t.getProperty().getInterpolation()!==hI.FLAT?i.getPointData().getNormals():null;null===s&&i.getCellData().getNormals()&&(r.haveCellNormals=!0,s=i.getCellData().getNormals());const l=t.getProperty().getRepresentation();let c=i.getPointData().getTCoords();if(r.openGLActor.getActiveTextures()||(c=null),r.renderable.getColorCoordinates()){c=r.renderable.getColorCoordinates(),r.internalColorTexture||(r.internalColorTexture=oI.newInstance({resizable:!0}));const e=r.internalColorTexture;e.setMinificationFilter(gI.NEAREST),e.setMagnificationFilter(gI.NEAREST),e.setWrapS(vI.CLAMP_TO_EDGE),e.setWrapT(vI.CLAMP_TO_EDGE),e.setOpenGLRenderWindow(r._openGLRenderWindow);const t=r.renderable.getColorTextureMap(),n=t.getExtent(),i=t.getPointData().getScalars();e.create2DFromRaw(n[1]-n[0]+1,n[3]-n[2]+1,i.getNumberOfComponents(),i.getDataType(),i.getData()),e.activate(),e.sendParameters(),e.deactivate()}const u=`${i.getMTime()}A${l}B${i.getMTime()}C${s?s.getMTime():1}D${a?a.getMTime():1}E${t.getProperty().getEdgeVisibility()}F${c?c.getMTime():1}`;if(r.VBOBuildString!==u){const e={points:i.getPoints(),normals:s,tcoords:c,colors:a,cellOffset:0,vertexOffset:0,haveCellScalars:r.haveCellScalars,haveCellNormals:r.haveCellNormals,customAttributes:r.renderable.getCustomShaderAttributes().map((e=>i.getPointData().getArrayByName(e)))};r.renderable.getPopulateSelectionSettings()&&(r.selectionWebGLIdsToVTKIds={points:null,cells:null});const o=[{inRep:"verts",cells:i.getVerts()},{inRep:"lines",cells:i.getLines()},{inRep:"polys",cells:i.getPolys()},{inRep:"strips",cells:i.getStrips()},{inRep:"polys",cells:i.getPolys()},{inRep:"strips",cells:i.getStrips()}],d=t.getProperty().getEdgeVisibility()&&l===pI.SURFACE;for(let t=fI.Start;t<fI.End;t++)t!==fI.TrisEdges&&t!==fI.TriStripsEdges?(e.cellOffset+=r.primitives[t].getCABO().createVBO(o[t].cells,o[t].inRep,l,e,r.selectionWebGLIdsToVTKIds),e.vertexOffset+=r.primitives[t].getCABO().getElementCount()):d?r.primitives[t].getCABO().createVBO(o[t].cells,o[t].inRep,pI.WIREFRAME,{...e,tcoords:null,colors:null,haveCellScalars:!1,haveCellNormals:!1}):r.primitives[t].releaseGraphicsResources();r.renderable.getPopulateSelectionSettings()&&(r.renderable.setSelectionWebGLIdsToVTKIds(r.selectionWebGLIdsToVTKIds),n.updateMaximumPointCellIds()),r.VBOBuildTime.modified(),r.VBOBuildString=u}},n.getAllocatedGPUMemoryInBytes=()=>{let e=0;return r.primitives.forEach((t=>{e+=t.getAllocatedGPUMemoryInBytes()})),e}}(n,r)}),"vtkOpenGLPolyDataMapper");cA("vtkMapper",AI);const{ColorMode:SI,ScalarMode:TI,GetArray:CI}=dM,EI={static:!1,lookupTable:null,scalarVisibility:!1,scalarRange:[0,1],useLookupTableScalarRange:!1,colorMode:0,scalarMode:0,arrayAccessMode:1,renderTime:0,colorByArrayName:null,transformCoordinate:null,viewSpecificProperties:null,customShaderAttributes:[]};function MI(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,EI,n),RE(e,t,n),Qw.get(e,t,["colorMapColors"]),Qw.setGet(e,t,["arrayAccessMode","colorByArrayName","colorMode","lookupTable","renderTime","scalarMode","scalarVisibility","static","transformCoordinate","useLookupTableScalarRange","viewSpecificProperties","customShaderAttributes"]),Qw.setGetArray(e,t,["scalarRange"],2),t.viewSpecificProperties||(t.viewSpecificProperties={}),function(e,t){t.classHierarchy.push("vtkMapper2D"),e.createDefaultLookupTable=()=>{t.lookupTable=TM.newInstance()},e.getColorModeAsString=()=>Qw.enumToString(SI,t.colorMode),e.setColorModeToDefault=()=>e.setColorMode(0),e.setColorModeToMapScalars=()=>e.setColorMode(1),e.setColorModeToDirectScalars=()=>e.setColorMode(2),e.getScalarModeAsString=()=>Qw.enumToString(TI,t.scalarMode),e.setScalarModeToDefault=()=>e.setScalarMode(0),e.setScalarModeToUsePointData=()=>e.setScalarMode(1),e.setScalarModeToUseCellData=()=>e.setScalarMode(2),e.setScalarModeToUsePointFieldData=()=>e.setScalarMode(3),e.setScalarModeToUseCellFieldData=()=>e.setScalarMode(4),e.setScalarModeToUseFieldData=()=>e.setScalarMode(5),e.getAbstractScalars=(e,n,r,i,a)=>{if(!e||!t.scalarVisibility)return{scalars:null,cellFLag:!1};let o=null,s=!1;if(n===TI.DEFAULT)o=e.getPointData().getScalars(),o||(o=e.getCellData().getScalars(),s=!0);else if(n===TI.USE_POINT_DATA)o=e.getPointData().getScalars();else if(n===TI.USE_CELL_DATA)o=e.getCellData().getScalars(),s=!0;else if(n===TI.USE_POINT_FIELD_DATA){const t=e.getPointData();o=r===CI.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}else if(n===TI.USE_CELL_FIELD_DATA){const t=e.getCellData();s=!0,o=r===CI.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}else if(n===TI.USE_FIELD_DATA){const t=e.getFieldData();o=r===CI.BY_ID?t.getArrayByIndex(i):t.getArrayByName(a)}return{scalars:o,cellFlag:s}},e.getLookupTable=()=>(t.lookupTable||e.createDefaultLookupTable(),t.lookupTable),e.getMTime=()=>{let e=t.mtime;if(null!==t.lookupTable){const n=t.lookupTable.getMTime();e=n>e?n:e}return e},e.mapScalars=(n,r)=>{const i=e.getAbstractScalars(n,t.scalarMode,t.arrayAccessMode,t.arrayId,t.colorByArrayName).scalars;if(!i)return void(t.colorMapColors=null);const a=`${e.getMTime()}${i.getMTime()}${r}`;if(t.colorBuildString===a)return;t.useLookupTableScalarRange||e.getLookupTable().setRange(t.scalarRange[0],t.scalarRange[1]);const o=e.getLookupTable();o&&(o.build(),t.colorMapColors=o.mapScalars(i,t.colorMode,t.fieldDataTupleId)),t.colorBuildString=`${e.getMTime()}${i.getMTime()}${r}`},e.getPrimitiveCount=()=>{const t=e.getInputData();return{points:t.getPoints().getNumberOfValues()/3,verts:t.getVerts().getNumberOfValues()-t.getVerts().getNumberOfCells(),lines:t.getLines().getNumberOfValues()-2*t.getLines().getNumberOfCells(),triangles:t.getPolys().getNumberOfValues()-3*t.getPolys().getNumberOfCells()}}}(e,t)}var DI={newInstance:Qw.newInstance(MI,"vtkMapper2D"),extend:MI};const PI={BACKGROUND:0,FOREGROUND:1};var II={DisplayLocation:PI};const{primTypes:OI}=WP,{ScalarMode:NI}=DI,{vtkErrorMacro:kI}=eA,RI={type:"StartEvent"},LI={type:"EndEvent"},FI={context:null,VBOBuildTime:0,VBOBuildString:null,primitives:null,primTypes:null,shaderRebuildString:null};const BI=Vw((function(t,n){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(n,FI,r),iA.extend(t,n,r),cI(t,n,r),uI(t,n,r),n.primitives=[],n.primTypes=OI,n.tmpMat4=S_(new Float64Array(16));for(let e=OI.Start;e<OI.End;e++)n.primitives[e]=WP.newInstance(),n.primitives[e].setPrimitiveType(e),n.primitives[e].set({lastLightComplexity:0,lastLightCount:0,lastSelectionPass:!1},!0);Ow(t,n,["context"]),n.VBOBuildTime={},Cw(n.VBOBuildTime,{mtime:0}),function(t,n){n.classHierarchy.push("vtkOpenGLPolyDataMapper2D"),t.buildPass=e=>{e&&(n.openGLActor2D=t.getFirstAncestorOfType("vtkOpenGLActor2D"),n._openGLRenderer=n.openGLActor2D.getFirstAncestorOfType("vtkOpenGLRenderer"),n._openGLRenderWindow=n._openGLRenderer.getParent(),n.openGLCamera=n._openGLRenderer.getViewNodeFor(n._openGLRenderer.getRenderable().getActiveCamera()))},t.overlayPass=e=>{e&&t.render()},t.getShaderTemplate=(e,t,n)=>{e.Vertex="//VTK::System::Dec\n\n/*=========================================================================\n\n  Program:   Visualization Toolkit\n  Module:    vtkPolyData2DVS.glsl\n\n  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen\n  All rights reserved.\n  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.\n\n     This software is distributed WITHOUT ANY WARRANTY; without even\n     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n     PURPOSE.  See the above copyright notice for more information.\n\n=========================================================================*/\n\n// all variables that represent positions or directions have a suffix\n// indicating the coordinate system they are in. The possible values are\n// MC - Model Coordinates\n// WC - WC world coordinates\n// VC - View Coordinates\n// DC - Display Coordinates\n\nin vec4 vertexWC;\n\n// frag position in VC\n//VTK::PositionVC::Dec\n\n// material property values\n//VTK::Color::Dec\n\n// Texture coordinates\n//VTK::TCoord::Dec\n\n// Apple Bug\n//VTK::PrimID::Dec\n\nuniform mat4 WCVCMatrix;  // World to view matrix\n\nvoid main()\n{\n  // Apple Bug\n  //VTK::PrimID::Impl\n\n  gl_Position = WCVCMatrix*vertexWC;\n\n  //VTK::TCoord::Impl\n\n  //VTK::Color::Impl\n\n  //VTK::PositionVC::Impl\n}\n",e.Fragment="//VTK::System::Dec\n\n/*=========================================================================\n\n  Program:   Visualization Toolkit\n  Module:    vtkPolyData2DFS.glsl\n\n  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen\n  All rights reserved.\n  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.\n\n     This software is distributed WITHOUT ANY WARRANTY; without even\n     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n     PURPOSE.  See the above copyright notice for more information.\n\n=========================================================================*/\n\nuniform int PrimitiveIDOffset;\n\n// Texture coordinates\n//VTK::TCoord::Dec\n\n// Scalar coloring\n//VTK::Color::Dec\n\n// Depth Peeling\n//VTK::DepthPeeling::Dec\n\n// picking support\n//VTK::Picking::Dec\n\n// the output of this shader\n//VTK::Output::Dec\n\n// Apple Bug\n//VTK::PrimID::Dec\n\nvoid main()\n{\n  // Apple Bug\n  //VTK::PrimID::Impl\n\n  //VTK::Color::Impl\n  //VTK::TCoord::Impl\n\n  //VTK::DepthPeeling::Impl\n  //VTK::Picking::Impl\n\n  if (gl_FragData[0].a <= 0.0)\n    {\n    discard;\n    }\n}\n",e.Geometry=""},t.render=()=>{const e=n._openGLRenderWindow.getContext();if(n.context!==e){n.context=e;for(let e=OI.Start;e<OI.End;e++)n.primitives[e].setOpenGLRenderWindow(n._openGLRenderWindow)}const r=n.openGLActor2D.getRenderable(),i=n._openGLRenderer.getRenderable();t.renderPiece(i,r)},t.renderPiece=(e,r)=>{t.invokeEvent(RI),n.renderable.getStatic()||n.renderable.update(),n.currentInput=n.renderable.getInputData(),t.invokeEvent(LI),n.currentInput?n.currentInput.getPoints&&n.currentInput.getPoints().getNumberOfValues()&&(t.renderPieceStart(e,r),t.renderPieceDraw(e,r),t.renderPieceFinish(e,r)):kI("No input!")},t.renderPieceStart=(e,r)=>{n.primitiveIDOffset=0,n._openGLRenderer.getSelector()&&(n._openGLRenderer.getSelector().getCurrentPass(),n._openGLRenderer.getSelector().renderProp(r)),t.updateBufferObjects(e,r),n.lastBoundBO=null},t.getNeedToRebuildShaders=(e,t,r)=>e.getShaderSourceTime().getMTime()<n.renderable.getMTime()||e.getShaderSourceTime().getMTime()<n.currentInput.getMTime(),t.updateBufferObjects=(e,n)=>{t.getNeedToRebuildBufferObjects(e,n)&&t.buildBufferObjects(e,n)},t.getNeedToRebuildBufferObjects=(e,r)=>{const i=n.VBOBuildTime.getMTime();return!!(i<t.getMTime()||i<n._openGLRenderWindow.getMTime()||i<n.renderable.getMTime()||i<r.getMTime()||i<n.currentInput.getMTime()||n.renderable.getTransformCoordinate()&&i<e.getMTime())},t.buildBufferObjects=(e,t)=>{const r=n.currentInput;if(null===r)return;n.renderable.mapScalars(r,t.getProperty().getOpacity());const i=n.renderable.getColorMapColors();n.haveCellScalars=!1;const a=n.renderable.getScalarMode();n.renderable.getScalarVisibility()&&(a!==NI.USE_CELL_DATA&&a!==NI.USE_CELL_FIELD_DATA&&a!==NI.USE_FIELD_DATA&&r.getPointData().getScalars()||a===NI.USE_POINT_FIELD_DATA||!i||(n.haveCellScalars=!0));const o=t.getProperty().getRepresentation();let s=r.getPointData().getTCoords();n.openGLActor2D.getActiveTextures()||(s=null);const l=n.renderable.getTransformCoordinate(),c=e.getRenderWindow().getViews()[0].getViewportSize(e),u=`${r.getMTime()}A${o}B${r.getMTime()}C${i?i.getMTime():1}D${s?s.getMTime():1}E${l?e.getMTime():1}F${c}`;if(n.VBOBuildString!==u){let t=r.getPoints();if(l){const n=iD.newInstance(),r=t.getNumberOfPoints();n.setNumberOfPoints(r);const i=[];for(let a=0;a<r;++a){t.getPoint(a,i),l.setValue(i);const r=l.getComputedDoubleViewportValue(e);n.setPoint(a,r[0],r[1],0)}t=n}const a={points:t,tcoords:s,colors:i,cellOffset:0,haveCellScalars:n.haveCellSCalars,customAttributes:n.renderable.getCustomShaderAttributes().map((e=>r.getPointData().getArrayByName(e)))};a.cellOffset+=n.primitives[OI.Points].getCABO().createVBO(r.getVerts(),"verts",o,a),a.cellOffset+=n.primitives[OI.Lines].getCABO().createVBO(r.getLines(),"lines",o,a),a.cellOffset+=n.primitives[OI.Tris].getCABO().createVBO(r.getPolys(),"polys",o,a),a.cellOffset+=n.primitives[OI.TriStrips].getCABO().createVBO(r.getStrips(),"strips",o,a),n.VBOBuildTime.modified(),n.VBOBuildString=u}},t.renderPieceDraw=(e,r)=>{const i=r.getProperty().getRepresentation();n.context.depthMask(!0);for(let a=OI.Start;a<OI.End;a++)n.primitives[a].getCABO().getElementCount()&&(n.lastBoundBO=n.primitives[a],n.primitiveIDOffset+=n.primitives[a].drawArrays(e,r,i,t))},t.renderPieceFinish=(e,t)=>{n.lastBoundBO&&n.lastBoundBO.getVAO().release()},t.replaceShaderValues=(e,n,r)=>{t.replaceShaderColor(e,n,r),t.replaceShaderTCoord(e,n,r),t.replaceShaderPicking(e,n,r),t.replaceShaderPositionVC(e,n,r)},t.replaceShaderColor=(e,t,r)=>{let i=e.Vertex,a=e.Geometry,o=e.Fragment;n.haveCellScalars&&(o=FP.substitute(o,"//VTK::Color::Dec",["uniform samplerBuffer texture1;"]).result,o=FP.substitute(o,"//VTK::Color::Impl",["gl_FragData[0] = texelFetchBuffer(texture1, gl_PrimitiveID + PrimitiveIDOffset);"]).result),0!==n.lastBoundBO.getCABO().getColorComponents()?(i=FP.substitute(i,"//VTK::Color::Dec",["in vec4 diffuseColor;","out vec4 fcolorVSOutput;"]).result,i=FP.substitute(i,"//VTK::Color::Impl",["fcolorVSOutput = diffuseColor;"]).result,a=FP.substitute(a,"//VTK::Color::Dec",["in vec4 fcolorVSOutput[];\n","out vec4 fcolorGSOutput;"]).result,a=FP.substitute(a,"//VTK::Color::Impl",["fcolorGSOutput = fcolorVSOutput[i];"]).result,o=FP.substitute(o,"//VTK::Color::Dec",["in vec4 fcolorVSOutput;"]).result,o=FP.substitute(o,"//VTK::Color::Impl",["gl_FragData[0] = fcolorVSOutput;"]).result):(o=FP.substitute(o,"//VTK::Color::Dec",["uniform vec4 diffuseColor;"]).result,o=FP.substitute(o,"//VTK::Color::Impl",["gl_FragData[0] = diffuseColor;"]).result),e.Vertex=i,e.Geometry=a,e.Fragment=o},t.replaceShaderTCoord=(e,t,r)=>{if(n.lastBoundBO.getCABO().getTCoordOffset()){let t=e.Vertex,r=e.Geometry,i=e.Fragment;const a=n.lastBoundBO.getCABO().getTCoordComponents();1===a?(t=FP.substitute(t,"//VTK::TCoord::Dec",["in float tcoordMC;","out float tcoordVCVSOutput;"]).result,t=FP.substitute(t,"//VTK::TCoord::Impl",["tcoordVCVSOutput = tcoordMC;"]).result,r=FP.substitute(r,"//VTK::TCoord::Dec",["in float tcoordVCVSOutput[];\n","out float tcoordVCGSOutput;"]).result,r=FP.substitute(r,["//VTK::TCoord::Impl","tcoordVCGSOutput = tcoordVCVSOutput[i];"]).result,i=FP.substitute(i,"//VTK::TCoord::Dec",["in float tcoordVCVSOutput;","uniform sampler2D texture1;"]).result,i=FP.substitute(i,"//VTK::TCoord::Impl",["gl_FragData[0] = gl_FragData[0]*texture2D(texture1, vec2(tcoordVCVSOutput,0));"]).result):2===a&&(t=FP.substitute(t,"//VTK::TCoord::Dec",["in vec2 tcoordMC;","out vec2 tcoordVCVSOutput;"]).result,t=FP.substitute(t,"//VTK::TCoord::Impl",["tcoordVCVSOutput = tcoordMC;"]).result,r=FP.substitute(r,"//VTK::TCoord::Dec",["in vec2 tcoordVCVSOutput[];\n","out vec2 tcoordVCGSOutput;"]).result,r=FP.substitute(r,"//VTK::TCoord::Impl",["tcoordVCGSOutput = tcoordVCVSOutput[i];"]).result,i=FP.substitute(i,"//VTK::TCoord::Dec",["in vec2 tcoordVCVSOutput;","uniform sampler2D texture1;"]).result,i=FP.substitute(i,"//VTK::TCoord::Impl",["gl_FragData[0] = gl_FragData[0]*texture2D(texture1, tcoordVCVSOutput.st);"]).result),n.haveCellScalars&&(r=FP.substitute(r,"//VTK::PrimID::Impl",["gl_PrimitiveID = gl_PrimitiveIDIn;"]).result),e.Vertex=t,e.Geometry=r,e.Fragment=i}},t.replaceShaderPicking=(e,t,n)=>{let r=e.Fragment;r=FP.substitute(r,"//VTK::Picking::Dec",["uniform vec3 mapperIndex;","uniform int picking;"]).result,r=FP.substitute(r,"//VTK::Picking::Impl","  gl_FragData[0] = picking != 0 ? vec4(mapperIndex,1.0) : gl_FragData[0];").result,e.Fragment=r},t.replaceShaderPositionVC=(e,t,r)=>{n.lastBoundBO.replaceShaderPositionVC(e,t,r)},t.invokeShaderCallbacks=(e,t,r)=>{const i=n.renderable.getViewSpecificProperties().ShadersCallbacks;i&&i.forEach((n=>{n.callback(n.userData,e,t,r)}))},t.setMapperShaderParameters=(e,t,r)=>{if(e.getProgram().isUniformUsed("PrimitiveIDOffset")&&e.getProgram().setUniformi("PrimitiveIDOffset",n.primitiveIDOffset),e.getProgram().isAttributeUsed("vertexWC")&&(e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),"vertexWC",e.getCABO().getVertexOffset(),e.getCABO().getStride(),n.context.FLOAT,3,!1)||kI("Error setting vertexWC in shader VAO.")),e.getCABO().getElementCount()&&(n.VBOBuildTime.getMTime()>e.getAttributeUpdateTime().getMTime()||e.getShaderSourceTime().getMTime()>e.getAttributeUpdateTime().getMTime())){n.renderable.getCustomShaderAttributes().forEach(((t,r)=>{e.getProgram().isAttributeUsed(`${t}MC`)&&(e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),`${t}MC`,e.getCABO().getCustomData()[r].offset,e.getCABO().getStride(),n.context.FLOAT,e.getCABO().getCustomData()[r].components,!1)||kI(`Error setting ${t}MC in shader VAO.`))})),e.getProgram().isAttributeUsed("tcoordMC")&&e.getCABO().getTCoordOffset()?e.getVAO().addAttributeArray(e.getProgram(),e.getCABO(),"tcoordMC",e.getCABO().getTCoordOffset(),e.getCABO().getStride(),n.context.FLOAT,e.getCABO().getTCoordComponents(),!1)||kI("Error setting tcoordMC in shader VAO."):e.getVAO().removeAttributeArray("tcoordMC"),n.internalColorTexture&&e.getProgram().isUniformUsed("texture1")&&e.getProgram().setUniformi("texture1",n.internalColorTexture.getTextureUnit());const i=n.openGLActor2D.getActiveTextures();if(i)for(let t=0;t<i.length;++t){const n=i[t].getTextureUnit(),r=`texture${n+1}`;e.getProgram().isUniformUsed(r)&&e.getProgram().setUniformi(r,n)}e.setMapperShaderParameters(t,r,n._openGLRenderer.getTiledSizeAndOrigin());const a=n._openGLRenderer.getSelector();e.getProgram().setUniform3fArray("mapperIndex",a?a.getPropColorValue():[0,0,0]),e.getProgram().setUniformi("picking",a?a.getCurrentPass()+1:0)}},t.setPropertyShaderParameters=(e,t,r)=>{const i=n.renderable.getColorMapColors();if(!i||0===i.getNumberOfComponents()){const t=e.getProgram(),n=r.getProperty(),i=n.getOpacity(),a=n.getColor(),o=[a[0],a[1],a[2],i];t.setUniform4f("diffuseColor",o)}},t.setLightingShaderParameters=(e,t,n)=>{},t.setCameraShaderParameters=(t,r,i)=>{const a=t.getProgram(),o=t.getCABO().getCoordShiftAndScaleEnabled()?t.getCABO().getInverseShiftAndScaleMatrix():null,s=r.getRenderWindow().getViews()[0].getViewportSize(r),l=r.getViewport(),c=i.getActualPositionCoordinate().getComputedDoubleViewportValue(r),u=[0,0,1,1],d=[0,0,1,1];if(d[0]=l[0]>=u[0]?l[0]:u[0],d[1]=l[1]>=u[1]?l[1]:u[1],d[2]=l[2]<=u[2]?l[2]:u[2],d[3]=l[3]<=u[3]?l[3]:u[3],d[0]>=d[2])return;if(d[1]>=d[3])return;s[0]=gT(s[0]*(d[2]-d[0])/(l[2]-l[0])),s[1]=gT(s[1]*(d[3]-d[1])/(l[3]-l[1]));const f=n._openGLRenderer.getParent().getSize(),p=gT(c[0]-(d[0]-l[0])*f[0]),h=gT(c[1]-(d[1]-l[1])*f[1]),m=-p;let g=-p+s[0];const v=-h;let y=-h+s[1];m===g&&(g=m+1),v===y&&(y=v+1);const b=S_(new Float64Array(16));var _,x,w;b[0]=2/(g-m),b[5]=2/(y-v),b[3]=-1*(g+m)/(g-m),b[7]=-1*(y+v)/(y-v),b[10]=0,b[11]=i.getProperty().getDisplayLocation()===PI.FOREGROUND?-1:1,b[15]=1,T_(b,b),a.setUniformMatrix("WCVCMatrix",(_=[b,o],x=e,w=n.tmpMat4,x.identity(w),_.reduce(((e,t,n)=>0===n?t?x.copy(e,t):x.identity(e):t?x.multiply(e,e,t):e),w)))},t.getAllocatedGPUMemoryInBytes=()=>{let e=0;return n.primitives.forEach((t=>{e+=t.getAllocatedGPUMemoryInBytes()})),e}}(t,n)}),"vtkOpenGLPolyDataMapper2D");cA("vtkMapper2D",BI);const{VectorMode:UI}=xM;function VI(e,t){e.strokeStyle=t.strokeColor,e.lineWidth=t.strokeSize,e.fillStyle=t.fontColor,e.font=`${t.fontStyle} ${t.fontSize}px ${t.fontFamily}`}function GI(e,t){return e=>{const n=e.getLastSize(),r=(n[0]/700)**.8,i=(n[1]/700)**.8,a=Math.min(r,i),o=e.getAxisTextStyle(),s=e.getTickTextStyle();Object.assign(o,t.axisTextStyle),Object.assign(s,t.tickTextStyle),o.fontSize=Math.max(24*a,12),e.getLastAspectRatio()>1?s.fontSize=Math.max(20*a,10):s.fontSize=Math.max(16*a,10);const l=e.updateTextureAtlas();e.setTopTitle(!1);const c=e.getBoxSizeByReference();if(e.getLastAspectRatio()>1)e.setTickLabelPixelOffset(.3*s.fontSize),l.titleWidth<=l.tickWidth+e.getTickLabelPixelOffset()+.8*s.fontSize?(e.setTopTitle(!0),e.setAxisTitlePixelOffset(.2*s.fontSize),c[0]=2*(l.tickWidth+e.getTickLabelPixelOffset()+.8*s.fontSize)/n[0],e.setBoxPosition([.98-c[0],-.92])):(e.setAxisTitlePixelOffset(.2*s.fontSize),c[0]=2*(l.titleHeight+e.getAxisTitlePixelOffset()+l.tickWidth+e.getTickLabelPixelOffset()+.8*s.fontSize)/n[0],e.setBoxPosition([.99-c[0],-.92])),c[1]=Math.max(1.2,Math.min(1.84/i,1.84));else{e.setAxisTitlePixelOffset(1.2*s.fontSize),e.setTickLabelPixelOffset(.1*s.fontSize);const t=2*(.8*s.fontSize+l.titleHeight+e.getAxisTitlePixelOffset())/n[1],r=2*l.tickWidth/n[0];c[0]=Math.min(1.9,Math.max(1.4,1.4*r*(e.getTicks().length+3))),c[1]=t,e.setBoxPosition([-.5*c[0],-.97])}e.recomputeBarSegments(l)}}function zI(e,t){return e=>{const t=e.getLastTickBounds(),n=lT().domain([t[0],t[1]]),r=n.ticks(5),i=n.tickFormat(5);e.setTicks(r),e.setTickStrings(r.map(i))}}const jI=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{renderable:null};Object.assign(t,{},n),Qw.obj(e,t),Qw.setGet(e,t,["axisTitlePixelOffset","tickLabelPixelOffset","renderable","topTitle","ticks","tickStrings"]),Qw.get(e,t,["lastSize","lastAspectRatio","lastTickBounds","axisTextStyle","tickTextStyle","barActor","tmActor"]),Qw.getArray(e,t,["boxPosition","boxSize"]),Qw.setArray(e,t,["boxPosition","boxSize"],2),t.forceUpdate=!1,t.lastRebuildTime={},Qw.obj(t.lastRebuildTime,{mtime:0}),t.lastSize=[-1,-1],t.tmCanvas=document.createElement("canvas"),t.tmContext=t.tmCanvas.getContext("2d"),t._tmAtlas=new Map,t.barMapper=qM.newInstance(),t.barMapper.setInterpolateScalarsBeforeMapping(!0),t.barMapper.setUseLookupTableScalarRange(!0),t.polyData=YD.newInstance(),t.barMapper.setInputData(t.polyData),t.barActor=bE.newInstance(),t.barActor.setMapper(t.barMapper),t.tmPolyData=YD.newInstance(),t.tmMapper=qM.newInstance(),t.tmMapper.setInputData(t.tmPolyData),t.tmTexture=eP.newInstance({resizable:!0}),t.tmTexture.setInterpolate(!1),t.tmActor=bE.newInstance({parentProp:e}),t.tmActor.setMapper(t.tmMapper),t.tmActor.addTexture(t.tmTexture),t.barPosition=[0,0],t.barSize=[0,0],t.boxPosition=[.88,-.92],t.boxSize=[.1,1.1],t.lastTickBounds=[],function(e,t){t.classHierarchy.push("vtkScalarBarActorHelper"),e.setRenderable=n=>{t.renderable!==n&&(t.renderable=n,t.barActor.setProperty(n.getProperty()),t.barActor.setParentProp(n),t.barActor.setCoordinateSystemToDisplay(),t.tmActor.setProperty(n.getProperty()),t.tmActor.setParentProp(n),t.tmActor.setCoordinateSystemToDisplay(),t.generateTicks=n.generateTicks,t.axisTextStyle={...n.getAxisTextStyle()},t.tickTextStyle={...n.getTickTextStyle()},e.modified())},e.updateAPISpecificData=(n,r,i)=>{t.lastSize[0]===n[0]&&t.lastSize[1]===n[1]||(t.lastSize[0]=n[0],t.lastSize[1]=n[1],t.lastAspectRatio=n[0]/n[1],t.forceUpdate=!0);const a=t.renderable.getScalarsToColors();if(a&&t.renderable.getVisibility()&&(t.barMapper.setLookupTable(a),t.camera=r,t.renderWindow=i,t.forceUpdate||Math.max(a.getMTime(),e.getMTime(),t.renderable.getMTime())>t.lastRebuildTime.getMTime())){const n=a.getMappingRange();if(t.lastTickBounds=[...n],t.renderable.getGenerateTicks()(e),t.renderable.getAutomated())t.renderable.getAutoLayout()(e);else{t.axisTextStyle={...t.renderable.getAxisTextStyle()},t.tickTextStyle={...t.renderable.getTickTextStyle()},t.barPosition=[...t.renderable.getBarPosition()],t.barSize=[...t.renderable.getBarSize()],t.boxPosition=[...t.renderable.getBoxPosition()],t.boxSize=[...t.renderable.getBoxSize()],t.axisTitlePixelOffset=t.renderable.getAxisTitlePixelOffset(),t.tickLabelPixelOffset=t.renderable.getTickLabelPixelOffset();const n=e.updateTextureAtlas();e.recomputeBarSegments(n)}e.updatePolyDataForLabels(),e.updatePolyDataForBarSegments(),t.lastRebuildTime.modified(),t.forceUpdate=!1}},e.updateTextureAtlas=()=>{t.tmContext.textBaseline="bottom",t.tmContext.textAlign="left";const n={},r=new Map;let i=0,a=1;VI(t.tmContext,t.axisTextStyle);let o=t.tmContext.measureText(t.renderable.getAxisLabel()),s={height:o.actualBoundingBoxAscent+2,startingHeight:a,width:o.width+2,textStyle:t.axisTextStyle};r.set(t.renderable.getAxisLabel(),s),a+=s.height,i=s.width,n.titleWidth=s.width,n.titleHeight=s.height,n.tickWidth=0,n.tickHeight=0,VI(t.tmContext,t.tickTextStyle);const l=[...e.getTickStrings(),"NaN","Below","Above"];for(let e=0;e<l.length;e++)r.has(l[e])||(o=t.tmContext.measureText(l[e]),s={height:o.actualBoundingBoxAscent+2,startingHeight:a,width:o.width+2,textStyle:t.tickTextStyle},r.set(l[e],s),a+=s.height,i<s.width&&(i=s.width),n.tickWidth<s.width&&(n.tickWidth=s.width),n.tickHeight<s.height&&(n.tickHeight=s.height));return i=xT(i),a=xT(a),r.forEach((e=>{e.tcoords=[0,(a-e.startingHeight-e.height)/a,e.width/i,(a-e.startingHeight-e.height)/a,e.width/i,(a-e.startingHeight)/a,0,(a-e.startingHeight)/a]})),t.tmCanvas.width=i,t.tmCanvas.height=a,t.tmContext.textBaseline="bottom",t.tmContext.textAlign="left",t.tmContext.clearRect(0,0,i,a),r.forEach(((e,n)=>{VI(t.tmContext,e.textStyle),t.tmContext.fillText(n,1,e.startingHeight+e.height-1)})),t.tmTexture.setCanvas(t.tmCanvas),t.tmTexture.modified(),t._tmAtlas=r,n},e.computeBarSize=e=>{t.vertical=t.boxSize[1]>t.boxSize[0];const n=2*e.tickHeight/t.lastSize[1],r=[1,1];if(t.vertical){const i=2*(e.tickWidth+t.tickLabelPixelOffset)/t.lastSize[0];if(t.topTitle){const n=2*(e.titleHeight+t.axisTitlePixelOffset)/t.lastSize[1];t.barSize[0]=t.boxSize[0]-i,t.barSize[1]=t.boxSize[1]-n}else{const n=2*(e.titleHeight+t.axisTitlePixelOffset)/t.lastSize[0];t.barSize[0]=t.boxSize[0]-n-i,t.barSize[1]=t.boxSize[1]}t.barPosition[0]=t.boxPosition[0]+i,t.barPosition[1]=t.boxPosition[1],r[1]=n}else{const n=(2*e.tickWidth-8)/t.lastSize[0],i=2*(e.titleHeight+t.axisTitlePixelOffset)/t.lastSize[1];t.barSize[0]=t.boxSize[0],t.barPosition[0]=t.boxPosition[0],t.barSize[1]=t.boxSize[1]-i,t.barPosition[1]=t.boxPosition[1],r[0]=n}return r},e.recomputeBarSegments=n=>{const r=e.computeBarSize(n);t.barSegments=[];const i=[0,0],a=t.vertical?1:0,o=t.vertical?.01:.02;function s(e,n){t.barSegments.push({corners:[[...i],[i[0]+r[0],i[1]],[i[0]+r[0],i[1]+r[1]],[i[0],i[1]+r[1]]],scalars:n,title:e}),i[a]+=r[a]+o}t.renderable.getDrawNanAnnotation()&&t.renderable.getScalarsToColors().getNanColor()&&s("NaN",[NaN,NaN,NaN,NaN]),t.renderable.getDrawBelowRangeSwatch()&&t.renderable.getScalarsToColors().getUseBelowRangeColor?.()&&s("Below",[-.1,-.1,-.1,-.1]);const l=t.renderable.getScalarsToColors().getUseAboveRangeColor?.();i[a]+=o;const c=r[a];r[a]=l?1-2*o-r[a]-i[a]:1-o-i[a],s("ticks",t.vertical?[0,0,.995,.995]:[0,.995,.995,0]),t.renderable.getDrawAboveRangeSwatch()&&l&&(r[a]=c,i[a]+=o,s("Above",[1.1,1.1,1.1,1.1]))};const n=new Float64Array(3);e.createPolyDataForOneLabel=(e,r,i,a,o,s)=>{const l=t._tmAtlas.get(e);if(!l)return;let c=s.ptIdx,u=s.cellIdx;n[0]=(.5*r[0]+.5)*t.lastSize[0],n[1]=(.5*r[1]+.5)*t.lastSize[1],n[2]=r[2],n[0]+=o[0],n[1]+=o[1];const d=[],f="vertical"===a?[1,0]:[0,1];"vertical"===a?(d[0]=l.width,d[1]=-l.height,"middle"===i[0]?n[1]-=l.width/2:"right"===i[0]&&(n[1]-=l.width),"middle"===i[1]?n[0]+=l.height/2:"top"===i[1]&&(n[0]+=l.height)):(d[0]=l.width,d[1]=l.height,"middle"===i[0]?n[0]-=l.width/2:"right"===i[0]&&(n[0]-=l.width),"middle"===i[1]?n[1]-=l.height/2:"top"===i[1]&&(n[1]-=l.height)),s.points[3*c]=n[0],s.points[3*c+1]=n[1],s.points[3*c+2]=n[2],s.tcoords[2*c]=l.tcoords[0],s.tcoords[2*c+1]=l.tcoords[1],c++,n[f[0]]+=d[0],s.points[3*c]=n[0],s.points[3*c+1]=n[1],s.points[3*c+2]=n[2],s.tcoords[2*c]=l.tcoords[2],s.tcoords[2*c+1]=l.tcoords[3],c++,n[f[1]]+=d[1],s.points[3*c]=n[0],s.points[3*c+1]=n[1],s.points[3*c+2]=n[2],s.tcoords[2*c]=l.tcoords[4],s.tcoords[2*c+1]=l.tcoords[5],c++,n[f[0]]-=d[0],s.points[3*c]=n[0],s.points[3*c+1]=n[1],s.points[3*c+2]=n[2],s.tcoords[2*c]=l.tcoords[6],s.tcoords[2*c+1]=l.tcoords[7],c++,s.polys[4*u]=3,s.polys[4*u+1]=c-4,s.polys[4*u+2]=c-3,s.polys[4*u+3]=c-2,u++,s.polys[4*u]=3,s.polys[4*u+1]=c-4,s.polys[4*u+2]=c-2,s.polys[4*u+3]=c-1,s.ptIdx+=4,s.cellIdx+=2};const r=new Float64Array(3);e.updatePolyDataForLabels=()=>{const n=e.getTickStrings().length+t.barSegments.length,i=4*n,a=2*n,o=new Float64Array(3*i),s=new Uint16Array(4*a),l=new Float32Array(2*i),c={ptIdx:0,cellIdx:0,polys:s,points:o,tcoords:l},u=t.vertical?0:1,d=t.vertical?1:0;r[2]=-.99;const f=t.vertical?["right","middle"]:["middle","bottom"];let p=[0,1];const h=[0,0];t.vertical?(h[0]=-t.tickLabelPixelOffset,t.topTitle?(r[0]=t.boxPosition[0]+.5*t.boxSize[0],r[1]=t.barPosition[1]+t.barSize[1],e.createPolyDataForOneLabel(t.renderable.getAxisLabel(),r,["middle","bottom"],"horizontal",[0,t.axisTitlePixelOffset],c)):(r[0]=t.barPosition[0]+t.barSize[0],r[1]=t.barPosition[1]+.5*t.barSize[1],e.createPolyDataForOneLabel(t.renderable.getAxisLabel(),r,["middle","top"],"vertical",[t.axisTitlePixelOffset,0],c)),p=[-1,0]):(h[1]=t.tickLabelPixelOffset,r[0]=t.barPosition[0]+.5*t.barSize[0],r[1]=t.barPosition[1]+t.barSize[1],e.createPolyDataForOneLabel(t.renderable.getAxisLabel(),r,["middle","bottom"],"horizontal",[0,t.axisTitlePixelOffset],c)),r[u]=t.barPosition[u]+(.5*p[u]+.5)*t.barSize[u],r[d]=t.barPosition[d]+.5*t.barSize[d];let m=null;for(let n=0;n<t.barSegments.length;n++){const i=t.barSegments[n];"ticks"===i.title?m=i:(r[d]=t.barPosition[d]+.5*t.barSize[d]*(i.corners[2][d]+i.corners[0][d]),e.createPolyDataForOneLabel(i.title,r,f,"horizontal",h,c))}const g=t.barPosition[d]+t.barSize[d]*m.corners[0][d],v=t.barSize[d]*(m.corners[2][d]-m.corners[0][d]),y=e.getTicks(),b=e.getTickStrings();for(let n=0;n<y.length;n++){const i=(y[n]-t.lastTickBounds[0])/(t.lastTickBounds[1]-t.lastTickBounds[0]);r[d]=g+v*i,e.createPolyDataForOneLabel(b[n],r,f,"horizontal",h,c)}const _=NE.newInstance({numberOfComponents:2,values:l,name:"TextureCoordinates"});t.tmPolyData.getPointData().setTCoords(_),t.tmPolyData.getPoints().setData(o,3),t.tmPolyData.getPoints().modified(),t.tmPolyData.getPolys().setData(s,1),t.tmPolyData.getPolys().modified(),t.tmPolyData.modified()},e.updatePolyDataForBarSegments=()=>{const e=t.renderable.getScalarsToColors();let n=0;t.renderable.getDrawNanAnnotation()&&e.getNanColor()&&(n+=1),t.renderable.getDrawBelowRangeSwatch()&&e.getUseBelowRangeColor?.()&&(n+=1),t.renderable.getDrawAboveRangeSwatch()&&e.getUseAboveRangeColor?.()&&(n+=1);const i=4*(1+n),a=i;let o=1;e.getVectorMode()===UI.COMPONENT&&(o=e.getVectorComponent()+1);const s=new Float64Array(3*i),l=new Uint16Array(5*a),c=new Float32Array(i*o);let u=0,d=0;for(let e=0;e<t.barSegments.length;e++){const n=t.barSegments[e];for(let e=0;e<4;e++){r[0]=t.barPosition[0]+n.corners[e][0]*t.barSize[0],r[1]=t.barPosition[1]+n.corners[e][1]*t.barSize[1],s[3*u]=(.5*r[0]+.5)*t.lastSize[0],s[3*u+1]=(.5*r[1]+.5)*t.lastSize[1],s[3*u+2]=r[2];for(let r=0;r<o;r++)c[u*o+r]=t.lastTickBounds[0]+n.scalars[e]*(t.lastTickBounds[1]-t.lastTickBounds[0]);u++}l[5*d]=4,l[5*d+1]=u-4,l[5*d+2]=u-3,l[5*d+3]=u-2,l[5*d+4]=u-1,d++}const f=NE.newInstance({numberOfComponents:o,values:c,name:"Scalars"});t.polyData.getPointData().setScalars(f),t.polyData.getPoints().setData(s,3),t.polyData.getPoints().modified(),t.polyData.getPolys().setData(l,1),t.polyData.getPolys().modified(),t.polyData.modified()}}(e,t)}),"vtkScalarBarActorHelper");function WI(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,function(e){return{automated:!0,autoLayout:null,axisLabel:"Scalar Value",barPosition:[0,0],barSize:[0,0],boxPosition:[.88,-.92],boxSize:[.1,1.1],scalarToColors:null,axisTitlePixelOffset:36,axisTextStyle:{fontColor:"white",fontStyle:"normal",fontSize:18,fontFamily:"serif"},tickLabelPixelOffset:14,tickTextStyle:{fontColor:"white",fontStyle:"normal",fontSize:14,fontFamily:"serif"},generateTicks:null,drawNanAnnotation:!0,drawBelowRangeSwatch:!0,drawAboveRangeSwatch:!0,...e}}(n)),t.autoLayout||(t.autoLayout=GI(0,t)),t.generateTicks||(t.generateTicks=zI()),bE.extend(e,t,n),e.getProperty().setDiffuse(0),e.getProperty().setAmbient(1),Qw.setGet(e,t,["automated","autoLayout","axisTitlePixelOffset","axisLabel","scalarsToColors","tickLabelPixelOffset","generateTicks","drawNanAnnotation","drawBelowRangeSwatch","drawAboveRangeSwatch"]),Qw.get(e,t,["axisTextStyle","tickTextStyle"]),Qw.getArray(e,t,["barPosition","barSize","boxPosition","boxSize"]),Qw.setArray(e,t,["barPosition","barSize","boxPosition","boxSize"],2),function(e,t){t.classHierarchy.push("vtkScalarBarActor"),e.setTickTextStyle=n=>{t.tickTextStyle={...t.tickTextStyle,...n},e.modified()},e.setAxisTextStyle=n=>{t.axisTextStyle={...t.axisTextStyle,...n},e.modified()},e.resetAutoLayoutToDefault=()=>{e.setAutoLayout(GI(0,t))},e.resetGenerateTicksToDefault=()=>{e.setGenerateTicks(zI())}}(e,t)}var HI={newInstance:Qw.newInstance(WI,"vtkScalarBarActor"),extend:WI,newScalarBarActorHelper:jI};const $I={};const XI=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,$I,n),iA.extend(e,t,n),t.scalarBarActorHelper=HI.newScalarBarActorHelper(),function(e,t){t.classHierarchy.push("vtkOpenGLScalarBarActor"),e.buildPass=n=>{n&&(t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent(),t.scalarBarActorHelper.getRenderable()||t.scalarBarActorHelper.setRenderable(t.renderable),e.prepareNodes(),e.addMissingNode(t.scalarBarActorHelper.getBarActor()),e.addMissingNode(t.scalarBarActorHelper.getTmActor()),e.removeUnusedNodes())},e.opaquePass=(e,n)=>{if(e){const e=t._openGLRenderer?t._openGLRenderer.getRenderable().getActiveCamera():null,n=t._openGLRenderer.getTiledSizeAndOrigin();t.scalarBarActorHelper.updateAPISpecificData([n.usize,n.vsize],e,t._openGLRenderWindow.getRenderable())}}}(e,t)}),"vtkOpenGLScalarBarActor");cA("vtkScalarBarActor",XI);const{vtkErrorMacro:qI}=eA,KI={context:null};const YI=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,KI,n),iA.extend(e,t,n),t.openGLTexture=oI.newInstance(),t.tris=WP.newInstance(),t.keyMatrixTime={},Cw(t.keyMatrixTime,{mtime:0}),t.keyMatrices={normalMatrix:wx(new Float64Array(9)),mcwc:S_(new Float64Array(16))},Ow(e,t,["context"]),Mw(e,t,["activeTextures"]),function(e,t){t.classHierarchy.push("vtkOpenGLSkybox"),e.buildPass=n=>{if(n){t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent(),t.context=t._openGLRenderWindow.getContext(),t.tris.setOpenGLRenderWindow(t._openGLRenderWindow),t.openGLTexture.setOpenGLRenderWindow(t._openGLRenderWindow);const n=t._openGLRenderer.getRenderable();t.openGLCamera=t._openGLRenderer.getViewNodeFor(n.getActiveCamera())}},e.queryPass=(e,n)=>{if(e){if(!t.renderable||!t.renderable.getVisibility())return;n.incrementOpaqueActorCount()}},e.opaquePass=(n,r)=>{if(n&&!t._openGLRenderer.getSelector()){e.updateBufferObjects(),t.context.depthMask(!0),t._openGLRenderWindow.getShaderCache().readyShaderProgram(t.tris.getProgram()),t.openGLTexture.render(t._openGLRenderWindow);const n=t.openGLTexture.getTextureUnit();t.tris.getProgram().setUniformi("sbtexture",n);const r=t._openGLRenderer.getRenderable(),i=t.openGLCamera.getKeyMatrices(r),a=new Float64Array(16);if(C_(a,i.wcpc),t.tris.getProgram().setUniformMatrix("IMCPCMatrix",a),"box"===t.lastFormat){const e=r.getActiveCamera().getPosition();t.tris.getProgram().setUniform3f("camPos",e[0],e[1],e[2])}t.tris.getVAO().bind(),t.context.drawArrays(t.context.TRIANGLES,0,t.tris.getCABO().getElementCount()),t.tris.getVAO().release(),t.openGLTexture.deactivate()}},e.updateBufferObjects=()=>{if(!t.tris.getCABO().getElementCount()){const e=new Float32Array(12);for(let t=0;t<4;t++)e[3*t]=t%2*2-1,e[3*t+1]=t>1?1:-1,e[3*t+2]=1;const n=NE.newInstance({numberOfComponents:3,values:e});n.setName("points");const r=new Uint16Array(8);r[0]=3,r[1]=0,r[2]=1,r[3]=3,r[4]=3,r[5]=0,r[6]=3,r[7]=2;const i=NE.newInstance({numberOfComponents:1,values:r});t.tris.getCABO().createVBO(i,"polys",lE.SURFACE,{points:n,cellOffset:0})}t.renderable.getFormat()!==t.lastFormat&&(t.lastFormat=t.renderable.getFormat(),"box"===t.lastFormat&&t.tris.setProgram(t._openGLRenderWindow.getShaderCache().readyShaderProgramArray("//VTK::System::Dec\n             attribute vec3 vertexMC;\n             uniform mat4 IMCPCMatrix;\n             varying vec3 TexCoords;\n             void main () {\n              gl_Position = vec4(vertexMC.xyz, 1.0);\n              vec4 wpos = IMCPCMatrix * gl_Position;\n              TexCoords = wpos.xyz/wpos.w;\n             }","//VTK::System::Dec\n             //VTK::Output::Dec\n             varying vec3 TexCoords;\n             uniform samplerCube sbtexture;\n             uniform vec3 camPos;\n             void main () {\n               // skybox looks from inside out\n               // which means we have to adjust\n               // our tcoords. Otherwise text would\n               // be flipped\n               vec3 tc = normalize(TexCoords - camPos);\n               if (abs(tc.z) < max(abs(tc.x),abs(tc.y)))\n               {\n                 tc = vec3(1.0, 1.0, -1.0) * tc;\n               }\n               else\n               {\n                 tc = vec3(-1.0, 1.0, 1.0) * tc;\n               }\n               gl_FragData[0] = textureCube(sbtexture, tc);\n             }","")),"background"===t.lastFormat&&t.tris.setProgram(t._openGLRenderWindow.getShaderCache().readyShaderProgramArray("//VTK::System::Dec\n             attribute vec3 vertexMC;\n             uniform mat4 IMCPCMatrix;\n             varying vec2 TexCoords;\n             void main () {\n              gl_Position = vec4(vertexMC.xyz, 1.0);\n              vec4 wpos = IMCPCMatrix * gl_Position;\n              TexCoords = vec2(vertexMC.x, vertexMC.y)*0.5 + 0.5;\n             }","//VTK::System::Dec\n             //VTK::Output::Dec\n             varying vec2 TexCoords;\n             uniform sampler2D sbtexture;\n             void main () {\n               gl_FragData[0] = texture2D(sbtexture, TexCoords);\n             }","")),t.tris.getShaderSourceTime().modified(),t.tris.getVAO().bind(),t.tris.getVAO().addAttributeArray(t.tris.getProgram(),t.tris.getCABO(),"vertexMC",t.tris.getCABO().getVertexOffset(),t.tris.getCABO().getStride(),t.context.FLOAT,3,t.context.FALSE)||qI("Error setting vertexMC in shader VAO."));const e=t.renderable.getTextures();e.length||qI("vtkSkybox requires a texture map"),t.openGLTexture.getRenderable()!==e[0]&&(t.openGLTexture.releaseGraphicsResources(t._openGLRenderWindow),t.openGLTexture.setRenderable(e[0]))}}(e,t)}));cA("vtkSkybox",YI);const{vtkDebugMacro:JI}=eA,ZI={};const QI=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ZI,n),iA.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkOpenGLPixelSpaceCallbackMapper"),e.opaquePass=(n,r)=>{t._openGLRenderer=e.getFirstAncestorOfType("vtkOpenGLRenderer"),t._openGLRenderWindow=t._openGLRenderer.getParent();const i=t._openGLRenderer.getAspectRatio(),a=t._openGLRenderer?t._openGLRenderer.getRenderable().getActiveCamera():null,o=t._openGLRenderer.getTiledSizeAndOrigin();let s=null;if(t.renderable.getUseZValues()){const e=r.getZBufferTexture(),n=Math.floor(e.getWidth()),i=Math.floor(e.getHeight()),a=t._openGLRenderWindow.getContext();e.bind();const o=r.getFramebuffer();o?o.saveCurrentBindingsAndBuffers():JI("No framebuffer to save/restore");const l=a.createFramebuffer();a.bindFramebuffer(a.FRAMEBUFFER,l),a.framebufferTexture2D(a.FRAMEBUFFER,a.COLOR_ATTACHMENT0,a.TEXTURE_2D,e.getHandle(),0),a.checkFramebufferStatus(a.FRAMEBUFFER)===a.FRAMEBUFFER_COMPLETE&&(s=new Uint8Array(n*i*4),a.viewport(0,0,n,i),a.readPixels(0,0,n,i,a.RGBA,a.UNSIGNED_BYTE,s)),o&&o.restorePreviousBindingsAndBuffers(),a.deleteFramebuffer(l)}t.renderable.invokeCallback(t.renderable.getInputData(),a,i,o,s)},e.queryPass=(e,n)=>{e&&t.renderable.getUseZValues()&&n.requestDepth()}}(e,t)}),"vtkOpenGLPixelSpaceCallbackMapper");cA("vtkPixelSpaceCallbackMapper",QI);const eO=Object.create(null);function tO(e,t){eO[e]=t}const nO={};function rO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,nO,n),t.overrides=eO,sA.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkWebGPUViewNodeFactory")}(0,t)}var iO={newInstance:Qw.newInstance(rO,"vtkWebGPUViewNodeFactory"),extend:rO};const aO={keyMatrixTime:null,keyMatrices:null};const oO=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,aO,n),iA.extend(e,t,n),t.keyMatrixTime={},Qw.obj(t.keyMatrixTime),t.keyMatrices={normalMatrix:new Float64Array(16),vcpc:new Float64Array(16),pcsc:new Float64Array(16),wcvc:new Float64Array(16),scpc:new Float64Array(16),scvc:new Float64Array(16)},Qw.setGet(e,t,["keyMatrixTime"]),function(e,t){t.classHierarchy.push("vtkWebGPUCamera"),e.getProjectionMatrix=(e,n,r,i)=>{if(S_(e),t.renderable.getParallelProjection()){const a=t.renderable.getParallelScale(),o=a*n,s=a,l=(i[0]-1)*o,c=(i[0]+1)*o,u=(i[1]-1)*s,d=(i[1]+1)*s,f=1/(c-l),p=1/(d-u);e[0]=2*f,e[5]=2*p,e[10]=1/(r[1]-r[0]),e[12]=(c+l)*f,e[13]=(d+u)*p,e[14]=r[1]/(r[1]-r[0])}else{const a=Math.tan(Math.PI*t.renderable.getViewAngle()/360);let o,s;!0===t.renderable.getUseHorizontalViewAngle()?(o=r[0]*a,s=r[0]*a/n):(o=r[0]*a*n,s=r[0]*a);const l=(i[0]-1)*o,c=(i[0]+1)*o,u=(i[1]-1)*s,d=(i[1]+1)*s;e[0]=2*r[0]/(c-l),e[5]=2*r[0]/(d-u),e[12]=(l+c)/(c-l),e[13]=(u+d)/(d-u),e[10]=0,e[14]=r[0],e[11]=-1,e[15]=0}},e.convertToOpenGLDepth=e=>{if(t.renderable.getParallelProjection())return 1-e;const n=t.renderable.getClippingRangeByReference();let r=-n[0]/e;return r=(n[0]+n[1])/(n[1]-n[0])+2*n[0]*n[1]/(r*(n[1]-n[0])),.5*r+.5},e.getKeyMatrices=n=>{const r=n.getRenderable(),i=n.getParent();if(Math.max(i.getMTime(),e.getMTime(),r.getMTime(),t.renderable.getMTime(),n.getStabilizedTime())>t.keyMatrixTime.getMTime()){const r=t.renderable.getViewMatrix();x_(t.keyMatrices.normalMatrix,r),t.keyMatrices.normalMatrix[3]=0,t.keyMatrices.normalMatrix[7]=0,t.keyMatrices.normalMatrix[11]=0,C_(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix),T_(t.keyMatrices.wcvc,r);const i=n.getStabilizedCenterByReference();P_(t.keyMatrices.scvc,t.keyMatrices.wcvc,i);const a=n.getAspectRatio(),o=t.renderable.getClippingRangeByReference();e.getProjectionMatrix(t.keyMatrices.vcpc,a,o,t.renderable.getWindowCenterByReference()),D_(t.keyMatrices.scpc,t.keyMatrices.vcpc,t.keyMatrices.scvc),C_(t.keyMatrices.pcsc,t.keyMatrices.scpc),t.keyMatrixTime.modified()}return t.keyMatrices}}(e,t)}));tO("vtkCamera",oO);const sO={device:null,handle:null,label:null};function lO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,sO,n),Qw.obj(e,t),t.bindables=[],t.bindGroupTime={},Qw.obj(t.bindGroupTime,{mtime:0}),Qw.get(e,t,["bindGroupTime","handle","sizeInBytes","usage"]),Qw.setGet(e,t,["label","device","arrayInformation"]),function(e,t){t.classHierarchy.push("vtkWebGPUBindGroup"),e.setBindables=n=>{if(t.bindables.length===n.length){let e=!0;for(let r=0;r<t.bindables.length;r++)t.bindables[r]!==n[r]&&(e=!1);if(e)return}t.bindables=n,e.modified()},e.getBindGroupLayout=e=>{const n=[];for(let e=0;e<t.bindables.length;e++){const r=t.bindables[e].getBindGroupLayoutEntry();r.binding=e,n.push(r)}return e.getBindGroupLayout({entries:n})},e.getBindGroup=n=>{let r=e.getMTime();for(let e=0;e<t.bindables.length;e++){const n=t.bindables[e].getBindGroupTime().getMTime();r=n>r?n:r}if(r<t.bindGroupTime.getMTime())return t.bindGroup;const i=[];for(let e=0;e<t.bindables.length;e++){const n=t.bindables[e].getBindGroupEntry();n.binding=e,i.push(n)}return t.bindGroup=n.getHandle().createBindGroup({layout:e.getBindGroupLayout(n),entries:i,label:t.label}),t.bindGroupTime.modified(),t.bindGroup},e.getShaderCode=e=>{const n=[],r=e.getBindGroupLayoutCount(t.label);for(let e=0;e<t.bindables.length;e++)n.push(t.bindables[e].getShaderCode(e,r));return n.join("\n")}}(e,t)}var cO={newInstance:Qw.newInstance(lO),extend:lO};const uO={device:null,handle:null};function dO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,uO,n),Qw.obj(e,t),Qw.get(e,t,["lastCameraMTime"]),Qw.setGet(e,t,["device","handle"]),function(e,t){t.classHierarchy.push("vtkWebGPUShaderModule"),e.initialize=(e,n)=>{t.device=e,t.handle=t.device.getHandle().createShaderModule({code:n.getCode()})}}(e,t)}var fO={newInstance:Qw.newInstance(dO,"vtkWebGPUShaderModule"),extend:dO};const pO={shaderModules:null,device:null,window:null};function hO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,pO,n),t._shaderModules=new Map,Qw.obj(e,t),Qw.setGet(e,t,["device","window"]),function(e,t){t.classHierarchy.push("vtkWebGPUShaderCache"),e.getShaderModule=e=>{const n=e.getType(),r=e.getHash(),i=t._shaderModules.keys();for(let e=0;e<i.length;e++){const a=i[e];if(a.getHash()===r&&a.getType()===n)return t._shaderModules.get(a)}const a=fO.newInstance();return a.initialize(t.device,e),t._shaderModules.set(e,a),a}}(e,t)}var mO={newInstance:Qw.newInstance(hO,"vtkWebGPUShaderCache"),extend:hO,substitute:function(e,t,n){let r=!(arguments.length>3&&void 0!==arguments[3])||arguments[3];const i=Array.isArray(n)?n.join("\n"):n;let a=!1;-1!==e.search(t)&&(a=!0);let o="";r&&(o="g");const s=new RegExp(t,o);return{replace:a,result:e.replace(s,i)}}};const gO={handle:null,layouts:null,renderEncoder:null,shaderDescriptions:null,vertexState:null,topology:null,pipelineDescription:null};function vO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,gO,n),Cw(e,t),t.layouts=[],t.shaderDescriptions=[],Mw(e,t,["handle","pipelineDescription"]),Ow(e,t,["device","renderEncoder","topology","vertexState"]),function(e,t){t.classHierarchy.push("vtkWebGPUPipeline"),e.getShaderDescriptions=()=>t.shaderDescriptions,e.initialize=(e,n)=>{t.pipelineDescription=t.renderEncoder.getPipelineSettings(),t.pipelineDescription.primitive.topology=t.topology,t.pipelineDescription.vertex=t.vertexState,t.pipelineDescription.label=n;const r=[];for(let e=0;e<t.layouts.length;e++)r.push(t.layouts[e].layout);t.pipelineLayout=e.getHandle().createPipelineLayout({bindGroupLayouts:r}),t.pipelineDescription.layout=t.pipelineLayout;for(let n=0;n<t.shaderDescriptions.length;n++){const r=t.shaderDescriptions[n],i=e.getShaderModule(r);"vertex"===r.getType()&&(t.pipelineDescription.vertex.module=i.getHandle(),t.pipelineDescription.vertex.entryPoint="main"),"fragment"===r.getType()&&(t.pipelineDescription.fragment.module=i.getHandle(),t.pipelineDescription.fragment.entryPoint="main")}t.handle=e.getHandle().createRenderPipeline(t.pipelineDescription)},e.getShaderDescription=e=>{for(let n=0;n<t.shaderDescriptions.length;n++)if(t.shaderDescriptions[n].getType()===e)return t.shaderDescriptions[n];return null},e.addBindGroupLayout=e=>{e&&t.layouts.push({layout:e.getBindGroupLayout(t.device),label:e.getLabel()})},e.getBindGroupLayout=e=>t.layouts[e].layout,e.getBindGroupLayoutCount=e=>{for(let n=0;n<t.layouts.length;n++)if(t.layouts[n].label===e)return n;return 0},e.bindVertexInput=(e,t)=>{t.bindBuffers(e)}}(e,t)}var yO={newInstance:Vw(vO,"vtkWebGPUPipeline"),extend:vO};const bO={type:null,hash:null,code:null,outputNames:null,outputTypes:null};function _O(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,bO,n),t.outputNames=[],t.outputTypes=[],t.outputInterpolations=[],t.builtinOutputNames=[],t.builtinOutputTypes=[],t.builtinInputNames=[],t.builtinInputTypes=[],Qw.obj(e,t),Qw.setGet(e,t,["type","hash","code"]),Qw.getArray(e,t,["outputTypes","outputNames","outputInterpolations"]),function(e,t){t.classHierarchy.push("vtkWebGPUShaderDescription"),e.hasOutput=e=>t.outputNames.includes(e),e.addOutput=function(e,n){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0;t.outputTypes.push(e),t.outputNames.push(n),t.outputInterpolations.push(r)},e.addBuiltinOutput=(e,n)=>{t.builtinOutputTypes.push(e),t.builtinOutputNames.push(n)},e.addBuiltinInput=(e,n)=>{t.builtinInputTypes.push(e),t.builtinInputNames.push(n)},e.replaceShaderCode=(e,n)=>{const r=[];let i=[];if(n&&r.push(n.getShaderCode()),e||t.builtinInputNames.length){const n=[];if(n.push(`struct ${t.type}Input\n{`),e){const t=e.getOutputNamesByReference(),r=e.getOutputTypesByReference(),i=e.getOutputInterpolationsByReference();for(let e=0;e<t.length;e++)void 0!==i[e]?n.push(`  @location(${e}) @interpolate(${i[e]}) ${t[e]} : ${r[e]},`):n.push(`  @location(${e}) ${t[e]} : ${r[e]},`)}for(let e=0;e<t.builtinInputNames.length;e++)n.push(`  ${t.builtinInputNames[e]} : ${t.builtinInputTypes[e]},`);n.length>1&&(n.push("};"),i=n,r[r.length-1]+=",",r.push(`input: ${t.type}Input`))}if(r.length&&(t.code=mO.substitute(t.code,"//VTK::IOStructs::Input",r).result),t.outputNames.length+t.builtinOutputNames.length){const e=[`struct ${t.type}Output\n{`];for(let n=0;n<t.outputNames.length;n++)void 0!==t.outputInterpolations[n]?e.push(`  @location(${n}) @interpolate(${t.outputInterpolations[n]}) ${t.outputNames[n]} : ${t.outputTypes[n]},`):e.push(`  @location(${n}) ${t.outputNames[n]} : ${t.outputTypes[n]},`);for(let n=0;n<t.builtinOutputNames.length;n++)e.push(`  ${t.builtinOutputNames[n]} : ${t.builtinOutputTypes[n]},`);e.push("};"),i=i.concat(e),t.code=mO.substitute(t.code,"//VTK::IOStructs::Output",[`-> ${t.type}Output`]).result}t.code=mO.substitute(t.code,"//VTK::IOStructs::Dec",i).result}}(e,t)}var xO={newInstance:Qw.newInstance(_O,"vtkWebGPUShaderDescription"),extend:_O};const wO={r8unorm:{numComponents:1,nativeType:Uint8Array,stride:1,elementSize:1,sampleType:"float"},r8snorm:{numComponents:1,nativeType:Int8Array,stride:1,elementSize:1,sampleType:"float"},r8uint:{numComponents:1,nativeType:Uint8Array,stride:1,elementSize:1,sampleType:"uint"},r8sint:{numComponents:1,nativeType:Int8Array,stride:1,elementSize:1,sampleType:"sint"},r16uint:{numComponents:1,nativeType:Uint16Array,stride:2,elementSize:2,sampleType:"uint"},r16sint:{numComponents:1,nativeType:Int16Array,stride:2,elementSize:2,sampleType:"sint"},r16float:{numComponents:1,nativeType:Float32Array,stride:2,elementSize:2,sampleType:"float"},rg8unorm:{numComponents:2,nativeType:Uint8Array,stride:2,elementSize:1,sampleType:"float"},rg8snorm:{numComponents:2,nativeType:Int8Array,stride:2,elementSize:1,sampleType:"float"},rg8uint:{numComponents:2,nativeType:Uint8Array,stride:2,elementSize:1,sampleType:"uint"},rg8sint:{numComponents:2,nativeType:Int8Array,stride:2,elementSize:1,sampleType:"sint"},r32uint:{numComponents:1,nativeType:Uint32Array,stride:4,elementSize:4,sampleType:"uint"},r32sint:{numComponents:1,nativeType:Int32Array,stride:4,elementSize:4,sampleType:"sint"},r32float:{numComponents:1,nativeType:Float32Array,stride:4,elementSize:4,sampleType:"unfilterable-float"},rg16uint:{numComponents:2,nativeType:Uint16Array,stride:4,elementSize:2,sampleType:"uint"},rg16sint:{numComponents:2,nativeType:Int16Array,stride:4,elementSize:2,sampleType:"sint"},rg16float:{numComponents:2,nativeType:Float32Array,stride:4,elementSize:2,sampleType:"float"},rgba8unorm:{numComponents:4,nativeType:Uint8Array,stride:4,elementSize:1,sampleType:"float"},"rgba8unorm-srgb":{numComponents:4,nativeType:Uint8Array,stride:4,elementSize:1,sampleType:"float"},rgba8snorm:{numComponents:4,nativeType:Int8Array,stride:4,elementSize:1,sampleType:"float"},rgba8uint:{numComponents:4,nativeType:Uint8Array,stride:4,elementSize:1,sampleType:"uint"},rgba8sint:{numComponents:4,nativeType:Int8Array,stride:4,elementSize:1,sampleType:"sint"},bgra8unorm:{numComponents:4,nativeType:Uint8Array,stride:4,elementSize:1,sampleType:"float"},"bgra8unorm-srgb":{numComponents:4,nativeType:Uint8Array,stride:4,elementSize:1,sampleType:"float"},rgb9e5ufloat:{numComponents:4,nativeType:Uint32Array,stride:4,sampleType:"float"},rgb10a2unorm:{numComponents:4,nativeType:Uint32Array,stride:4,sampleType:"float"},rg11b10ufloat:{numComponents:4,nativeType:Float32Array,stride:4,sampleType:"float"},rg32uint:{numComponents:2,nativeType:Uint32Array,stride:8,elementSize:4,sampleType:"uint"},rg32sint:{numComponents:2,nativeType:Int32Array,stride:8,elementSize:4,sampleType:"sint"},rg32float:{numComponents:2,nativeType:Float32Array,stride:8,elementSize:4,sampleType:"unfilterable-float"},rgba16uint:{numComponents:4,nativeType:Uint16Array,stride:8,elementSize:2,sampleType:"uint"},rgba16sint:{numComponents:4,nativeType:Int16Array,stride:8,elementSize:2,sampleType:"sint"},rgba16float:{numComponents:4,nativeType:Float32Array,stride:8,elementSize:2,sampleType:"float"},rgba32uint:{numComponents:4,nativeType:Uint32Array,stride:16,elementSize:4,sampleType:"uint"},rgba32sint:{numComponents:4,nativeType:Int32Array,stride:16,elementSize:4,sampleType:"sint"},rgba32float:{numComponents:4,nativeType:Float32Array,stride:16,elementSize:4,sampleType:"unfilterable-float"},stencil8:{numComponents:1,nativeType:Uint8Array,stride:1,elementSize:1,sampleType:"uint"},depth16unorm:{numComponents:1,nativeType:Uint16Array,stride:2,elementSize:2,sampleType:"depth"},depth24plus:{numComponents:1,nativeType:Uint32Array,stride:4,elementSize:3,sampleType:"depth"},"depth24plus-stencil8":{numComponents:2,nativeType:Uint32Array,stride:4,sampleType:"mixed"},depth32float:{numComponents:1,nativeType:Float32Array,stride:4,elementSize:4,sampleType:"depth"}};var AO={getDetailsFromTextureFormat:function(e){return!e||e.length<6?0:e in wO==1?wO[e]:(uw(`unknown format ${e}`),null)},getByteStrideFromBufferFormat:function(e){if(!e||e.length<5)return 0;let t=1;"x"===e[e.length-2]&&(t=Number(e[e.length-1]));const n=1===t?e.length-1:e.length-3,r=Number(e[n]);return Number.isNaN(r)?(uw(`unknown format ${e}`),0):t*(5-r/2)},getNumberOfComponentsFromBufferFormat:function(e){if(!e||e.length<5)return 0;let t=1;return"x"===e[e.length-2]&&(t=Number(e[e.length-1])),t},getNativeTypeFromBufferFormat:function(e){if(!e||e.length<5)return 0;let t;if("f"===e[0])t="Float";else if("s"===e[0])t="Int";else{if("u"!==e[0])return void uw(`unknown format ${e}`);t="Uint"}const n=e.split("x")[0],r=Number(n[n.length-1]);if(!Number.isNaN(r))return t+=8*(5-r/2),t+="Array",t;uw(`unknown format ${e}`)},getShaderTypeFromBufferFormat:function(e){let t;if("f"===e[0]||"n"===e[1])t="f32";else if("s"===e[0]&&"i"===e[1])t="i32";else{if("u"!==e[0]||"i"!==e[1])return void uw(`unknown format ${e}`);t="u32"}let n=1;return"x"===e[e.length-2]&&(n=Number(e[e.length-1])),4===n?`vec4<${t}>`:3===n?`vec3<${t}>`:2===n?`vec2<${t}>`:t},getByteStrideFromShaderFormat:function(e){if(!e)return 0;let t=1;return"vec"===e.substring(0,3)?t=Number(e[3]):"mat"===e.substring(0,3)&&(t=e[3]*e[5]),4*t},getNativeTypeFromShaderFormat:function(e){if(e)return e.includes("f32")?"Float32Array":e.includes("i32")?"Int32Array":e.includes("u32")?"Uint32Array":void uw(`unknown format ${e}`)}};function SO(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(e.length!==t.length)return!1;for(let n=0;n<e.length;++n)if(!t.includes(e[n]))return!1;return!0}const TO={inputs:null,bindingDescriptions:!1,attributeDescriptions:null,indexBuffer:null};function CO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,TO,n),Cw(e,t),t.bindingDescriptions=[],t.attributeDescriptions=[],t.inputs=[],Ow(e,t,["created","device","handle","indexBuffer"]),function(e,t){t.classHierarchy.push("vtkWebGPUVertexInput"),e.addBuffer=function(e,n){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"vertex",i=n;Array.isArray(i)||(i=[i]);for(let n=0;n<t.inputs.length;n++)if(SO(t.inputs[n].names,i)){if(t.inputs[n].buffer===e)return;return void(t.inputs[n].buffer=e)}t.inputs.push({buffer:e,stepMode:r,names:i}),t.inputs=t.inputs.sort(((e,t)=>e.names[0]<t.names[0]?-1:e.names[0]>t.names[0]?1:0))},e.removeBufferIfPresent=e=>{for(let n=0;n<t.inputs.length;n++)t.inputs[n].names.includes(e)&&t.inputs.splice(n,1)},e.getBuffer=e=>{for(let n=0;n<t.inputs.length;n++)if(t.inputs[n].names.includes(e))return t.inputs[n].buffer;return null},e.hasAttribute=e=>{for(let n=0;n<t.inputs.length;n++)if(t.inputs[n].names.includes(e))return!0;return!1},e.getAttributeTime=e=>{for(let n=0;n<t.inputs.length;n++)if(t.inputs[n].names.includes(e))return t.inputs[n].buffer.getSourceTime();return 0},e.getShaderCode=()=>{let e="",n=0;for(let r=0;r<t.inputs.length;r++)for(let i=0;i<t.inputs[r].names.length;i++){const a=t.inputs[r].buffer.getArrayInformation()[i],o=AO.getShaderTypeFromBufferFormat(a.format);n>0&&(e+=",\n"),e=`${e}  @location(${n}) ${t.inputs[r].names[i]} : ${o}`,n++}return e},e.getVertexInputInformation=()=>{const e={};if(t.inputs.length){const n=[];let r=0;for(let e=0;e<t.inputs.length;e++){const i=t.inputs[e].buffer,a={arrayStride:i.getStrideInBytes(),stepMode:t.inputs[e].stepMode,attributes:[]},o=i.getArrayInformation();for(let n=0;n<t.inputs[e].names.length;n++)a.attributes.push({shaderLocation:r,offset:o[n].offset,format:o[n].format}),r++;n.push(a)}e.buffers=n}return e},e.bindBuffers=e=>{for(let n=0;n<t.inputs.length;n++)e.setVertexBuffer(n,t.inputs[n].buffer.getHandle());t.indexBuffer&&e.setIndexBuffer(t.indexBuffer.getHandle(),t.indexBuffer.getArrayInformation()[0].format)},e.getReady=()=>{},e.releaseGraphicsResources=()=>{t.created&&(t.inputs=[],t.bindingDescriptions=[],t.attributeDescriptions=[])}}(e,t)}var EO={newInstance:Vw(CO,"vtkWebGPUVertexInput"),extend:CO};const MO={additionalBindables:void 0,bindGroup:null,device:null,fragmentShaderTemplate:null,numberOfInstances:1,numberOfVertices:0,pipelineHash:null,shaderReplacements:null,SSBO:null,textureViews:null,topology:"triangle-list",UBO:null,vertexShaderTemplate:null,WebGPURenderer:null};function DO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,MO,n),iA.extend(e,t,n),t.textureViews=[],t.vertexInput=EO.newInstance(),t.bindGroup=cO.newInstance({label:"mapperBG"}),t.additionalBindables=[],t.fragmentShaderTemplate=t.fragmentShaderTemplate||"\n//VTK::Renderer::Dec\n\n//VTK::Color::Dec\n\n//VTK::Normal::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::Select::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output : fragmentOutput;\n\n  //VTK::Color::Impl\n\n  //VTK::Normal::Impl\n\n  //VTK::Light::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Select::Impl\n\n  // var computedColor:vec4<f32> = vec4<f32>(1.0,0.5,0.5,1.0);\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n",t.vertexShaderTemplate=t.vertexShaderTemplate||"\n//VTK::Renderer::Dec\n\n//VTK::Color::Dec\n\n//VTK::Normal::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::Select::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::IOStructs::Dec\n\n@vertex\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output : vertexOutput;\n\n  // var vertex: vec4<f32> = vertexBC;\n\n  //VTK::Color::Impl\n\n  //VTK::Normal::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Select::Impl\n\n  //VTK::Position::Impl\n\n  return output;\n}\n",t.shaderReplacements=new Map,Qw.get(e,t,["pipeline","vertexInput"]),Qw.setGet(e,t,["additionalBindables","device","fragmentShaderTemplate","interpolate","numberOfInstances","numberOfVertices","pipelineHash","shaderReplacements","SSBO","textureViews","topology","UBO","vertexShaderTemplate","WebGPURenderer"]),function(e,t){t.classHierarchy.push("vtkWebGPUSimpleMapper"),e.generateShaderDescriptions=(n,r,i)=>{const a=xO.newInstance({type:"vertex",hash:n,code:t.vertexShaderTemplate}),o=xO.newInstance({type:"fragment",hash:n,code:t.fragmentShaderTemplate}),s=r.getShaderDescriptions();s.push(a),s.push(o);const l=t.vertexShaderTemplate+t.fragmentShaderTemplate,c=new RegExp("//VTK::[^:]*::","g"),u=l.match(c).filter(((e,t,n)=>n.indexOf(e)===t)),d=u.map((e=>`replaceShader${e.substring(7,e.length-2)}`));for(let e=0;e<d.length;e++){const a=d[e];"replaceShaderIOStructs"!==a&&t.shaderReplacements.has(a)&&t.shaderReplacements.get(a)(n,r,i)}e.replaceShaderIOStructs(n,r,i)},e.replaceShaderIOStructs=(e,t,n)=>{const r=t.getShaderDescription("vertex");r.replaceShaderCode(null,n),t.getShaderDescription("fragment").replaceShaderCode(r)},e.replaceShaderRenderEncoder=(e,n,r)=>{t.renderEncoder.replaceShaderCode(n)},t.shaderReplacements.set("replaceShaderRenderEncoder",e.replaceShaderRenderEncoder),e.replaceShaderRenderer=(e,n,r)=>{if(!t.WebGPURenderer)return;const i=t.WebGPURenderer.getBindGroup().getShaderCode(n),a=n.getShaderDescription("vertex");let o=a.getCode();o=mO.substitute(o,"//VTK::Renderer::Dec",[i]).result,a.setCode(o);const s=n.getShaderDescription("fragment");o=s.getCode(),o=mO.substitute(o,"//VTK::Renderer::Dec",[i]).result,s.setCode(o)},t.shaderReplacements.set("replaceShaderRenderer",e.replaceShaderRenderer),e.replaceShaderMapper=(e,n,r)=>{const i=t.bindGroup.getShaderCode(n),a=n.getShaderDescription("vertex");let o=a.getCode();o=mO.substitute(o,"//VTK::Mapper::Dec",[i]).result,a.setCode(o);const s=n.getShaderDescription("fragment");s.addBuiltinInput("bool","@builtin(front_facing) frontFacing"),o=s.getCode(),o=mO.substitute(o,"//VTK::Mapper::Dec",[i]).result,s.setCode(o)},t.shaderReplacements.set("replaceShaderMapper",e.replaceShaderMapper),e.replaceShaderPosition=(e,t,n)=>{const r=t.getShaderDescription("vertex");r.addBuiltinOutput("vec4<f32>","@builtin(position) Position");let i=r.getCode();i=mO.substitute(i,"//VTK::Position::Impl",["    output.Position = rendererUBO.SCPCMatrix*vertexBC;"]).result,r.setCode(i)},t.shaderReplacements.set("replaceShaderPosition",e.replaceShaderPosition),e.replaceShaderTCoord=(e,t,n)=>{t.getShaderDescription("vertex").addOutput("vec2<f32>","tcoordVS")},t.shaderReplacements.set("replaceShaderTCoord",e.replaceShaderTCoord),e.addTextureView=e=>{t.textureViews.includes(e)||t.textureViews.push(e)},e.prepareToDraw=n=>{t.renderEncoder=n,e.updateInput(),e.updateBuffers(),e.updateBindings(),e.updatePipeline()},e.updateInput=()=>{},e.updateBuffers=()=>{},e.updateBindings=()=>{t.bindGroup.setBindables(e.getBindables())},e.computePipelineHash=()=>{},e.registerDrawCallback=n=>{n.registerDrawCallback(t.pipeline,e.draw)},e.prepareAndDraw=n=>{e.prepareToDraw(n),n.setPipeline(t.pipeline),e.draw(n)},e.draw=e=>{const n=e.getBoundPipeline();e.activateBindGroup(t.bindGroup),t.WebGPURenderer&&t.WebGPURenderer.bindUBO(e),n.bindVertexInput(e,t.vertexInput);const r=t.vertexInput.getIndexBuffer();r?e.drawIndexed(r.getIndexCount(),t.numberOfInstances,0,0,0):e.draw(t.numberOfVertices,t.numberOfInstances,0,0)},e.getBindables=()=>{const e=[...t.additionalBindables];t.UBO&&e.push(t.UBO),t.SSBO&&e.push(t.SSBO);for(let n=0;n<t.textureViews.length;n++){e.push(t.textureViews[n]);const r=t.textureViews[n].getSampler();r&&e.push(r)}return e},e.updatePipeline=()=>{e.computePipelineHash(),t.pipeline=t.device.getPipeline(t.pipelineHash),t.pipeline||(t.pipeline=yO.newInstance(),t.pipeline.setDevice(t.device),t.WebGPURenderer&&t.pipeline.addBindGroupLayout(t.WebGPURenderer.getBindGroup()),t.pipeline.addBindGroupLayout(t.bindGroup),e.generateShaderDescriptions(t.pipelineHash,t.pipeline,t.vertexInput),t.pipeline.setTopology(t.topology),t.pipeline.setRenderEncoder(t.renderEncoder),t.pipeline.setVertexState(t.vertexInput.getVertexInputInformation()),t.device.createPipeline(t.pipelineHash,t.pipeline))}}(e,t)}var PO={newInstance:Qw.newInstance(DO,"vtkWebGPUSimpleMapper"),extend:DO};const IO={};function OO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,IO,n),PO.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkWebGPUFullScreenQuad"),e.replaceShaderPosition=(e,t,n)=>{const r=t.getShaderDescription("vertex");r.addBuiltinOutput("vec4<f32>","@builtin(position) Position"),r.addOutput("vec4<f32>","vertexVC");let i=r.getCode();i=mO.substitute(i,"//VTK::Position::Impl",["output.tcoordVS = vec2<f32>(vertexBC.x * 0.5 + 0.5, 1.0 - vertexBC.y * 0.5 - 0.5);","output.Position = vec4<f32>(vertexBC, 1.0);","output.vertexVC = vec4<f32>(vertexBC, 1);"]).result,r.setCode(i)},t.shaderReplacements.set("replaceShaderPosition",e.replaceShaderPosition),e.updateBuffers=()=>{const e=t.device.getBufferManager().getFullScreenQuadBuffer();t.vertexInput.addBuffer(e,["vertexBC"]),t.numberOfVertices=6}}(e,t)}var NO={newInstance:Qw.newInstance(OO,"vtkWebGPUFullScreenQuad"),extend:OO},kO={BufferUsage:{Verts:0,Lines:1,Triangles:2,Strips:3,LinesFromStrips:4,LinesFromTriangles:5,Points:6,UniformArray:7,PointArray:8,NormalsFromPoints:9,Texture:10,RawVertex:11,Storage:12,Index:13},PrimitiveTypes:{Start:0,Points:0,Lines:1,Triangles:2,TriangleStrips:3,TriangleEdges:4,TriangleStripEdges:5,End:6}};const RO=["getMappedRange","mapAsync","unmap"];const LO={device:null,handle:null,sizeInBytes:0,strideInBytes:0,arrayInformation:null,usage:null,label:null,sourceTime:null};function FO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,LO,n),Qw.obj(e,t),Qw.get(e,t,["handle","sizeInBytes","usage"]),Qw.setGet(e,t,["strideInBytes","device","arrayInformation","label","sourceTime"]),function(e,t){t.classHierarchy.push("vtkWebGPUBuffer"),e.create=(e,n)=>{t.handle=t.device.getHandle().createBuffer({size:e,usage:n,label:t.label}),t.sizeInBytes=e,t.usage=n},e.write=e=>{!function(e,t,n,r){const i=r.byteLength,a=e.createBuffer({size:i,usage:GPUBufferUsage.COPY_SRC,mappedAtCreation:!0}),o=a.getMappedRange(0,i);new Uint8Array(o).set(new Uint8Array(r)),a.unmap();const s=e.createCommandEncoder();s.copyBufferToBuffer(a,0,t,0,i);const l=s.finish();e.queue.submit([l]),a.destroy()}(t.device.getHandle(),t.handle,0,e.buffer)},e.createAndWrite=(e,n)=>{t.handle=t.device.getHandle().createBuffer({size:e.byteLength,usage:n,mappedAtCreation:!0,label:t.label}),t.sizeInBytes=e.byteLength,t.usage=n,new Uint8Array(t.handle.getMappedRange()).set(new Uint8Array(e.buffer)),t.handle.unmap()};for(let n=0;n<RO.length;n++)e[RO[n]]=function(){return t.handle[RO[n]](...arguments)}}(e,t)}var BO={newInstance:Qw.newInstance(FO),extend:FO,...kO};const{Representation:UO}=mE,{PrimitiveTypes:VO}=kO;class GO{constructor(){this.keys=new Uint32Array(10),this.values=new Uint32Array(10),this.count=0}clear(){this.count=0}has(e){for(let t=0;t<this.count;t++)if(this.keys[t]===e)return!0}get(e){for(let t=0;t<this.count;t++)if(this.keys[t]===e)return this.values[t]}set(e,t){this.count<9&&(this.keys[this.count]=e,this.values[this.count++]=t)}}function zO(e,t,n){let r=e.pointIdToFlatId[t];return r<0&&(r=e.flatId,e.pointIdToFlatId[t]=r,e.flatIdToPointId[e.flatId]=t,e.flatIdToCellId[e.flatId]=n,e.flatId++),r}function jO(e,t,n){const r=e.length;for(let i=0;i<r;i++){let a=e[i];if(n.cellProvokedMap.has(a)){n.ibo[n.iboId++]=n.cellProvokedMap.get(a);for(let o=i+1;o<i+r;o++){a=e[o%r];const i=zO(n,a,t);n.ibo[n.iboId++]=i}return}}for(let i=0;i<r;i++){let a=e[i];if(!n.provokedPointIds[a]){let o=zO(n,a,t);n.provokedPointIds[a]=1,n.cellProvokedMap.set(a,o),n.flatIdToCellId[o]=t,n.ibo[n.iboId++]=o;for(let s=i+1;s<i+r;s++)a=e[s%r],o=zO(n,a,t),n.ibo[n.iboId++]=o;return}}let i=e[0],a=n.flatId;n.cellProvokedMap.set(i,a),n.flatIdToPointId[n.flatId]=i,n.flatIdToCellId[n.flatId]=t,n.flatId++,n.ibo[n.iboId++]=a;for(let o=1;o<r;o++)i=e[o],a=zO(n,i,t),n.ibo[n.iboId++]=a}function WO(e,t,n){const r=e.length;n.iboSize+=r;for(let t=0;t<r;t++){const r=e[t];if(n.cellProvokedMap.has(r))return}for(let t=0;t<r;t++){const r=e[t];if(!n.provokedPointIds[r])return n.provokedPointIds[r]=1,void n.cellProvokedMap.set(r,1)}n.cellProvokedMap.set(e[0],1),n.extraPoints++}let HO;const $O=new Uint32Array(1),XO=new Uint32Array(2),qO=new Uint32Array(3),KO={anythingToPoints(e,t,n,r,i){for(let a=0;a<e;++a)$O[0]=t[n+a],HO($O,r,i)},linesToWireframe(e,t,n,r,i){for(let a=0;a<e-1;++a)XO[0]=t[n+a],XO[1]=t[n+a+1],HO(XO,r,i)},polysToWireframe(e,t,n,r,i){if(e>2)for(let a=0;a<e;++a)XO[0]=t[n+a],XO[1]=t[n+(a+1)%e],HO(XO,r,i)},stripsToWireframe(e,t,n,r,i){if(e>2){for(let a=0;a<e-1;++a)XO[0]=t[n+a],XO[1]=t[n+a+1],HO(XO,r,i);for(let a=0;a<e-2;a++)XO[0]=t[n+a],XO[1]=t[n+a+2],HO(XO,r,i)}},polysToSurface(e,t,n,r,i){for(let a=0;a<e-2;a++)qO[0]=t[n],qO[1]=t[n+a+1],qO[2]=t[n+a+2],HO(qO,r,i)},stripsToSurface(e,t,n,r,i){for(let a=0;a<e-2;a++)qO[0]=t[n+a],qO[1]=t[n+a+1+a%2],qO[2]=t[n+a+1+(a+1)%2],HO(qO,r,i)}};const YO={flatIdToPointId:null,flatIdToCellId:null,flatSize:0,indexCount:0};function JO(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,YO,n),BO.extend(e,t,n),Qw.setGet(e,t,["flatIdToPointId","flatIdToCellId","flatSize","indexCount"]),function(e,t){t.classHierarchy.push("vtkWebGPUIndexBuffer"),e.buildIndexBuffer=e=>{const n=e.cells,r=e.primitiveType,i=e.representation,a=e.cellOffset,o=n.getData(),s=o.length,l=function(e){switch(e){case VO.Points:return"points";case VO.Lines:return"lines";case VO.Triangles:case VO.TriangleEdges:return"polys";case VO.TriangleStripEdges:case VO.TriangleStrips:return"strips";default:return""}}(r),c=e.numberOfPoints,u={provokedPointIds:new Uint8Array(c),extraPoints:0,iboSize:0,flatId:0,iboId:0,cellProvokedMap:new GO};let d=null;d=i===UO.POINTS||r===VO.Points?KO.anythingToPoints:i===UO.WIREFRAME||r===VO.Lines?KO[`${l}ToWireframe`]:KO[`${l}ToSurface`],HO=WO;let f=a||0;for(let e=0;e<s;)u.cellProvokedMap.clear(),d(o[e],o,e+1,f,u),e+=o[e]+1,f++;u.flatIdToPointId=c<=65535?new Uint16Array(c+u.extraPoints):new Uint32Array(c+u.extraPoints),c+u.extraPoints<36863?u.pointIdToFlatId=new Int16Array(c):u.pointIdToFlatId=new Int32Array(c),c+u.extraPoints<=65535?(u.ibo=new Uint16Array(u.iboSize),e.format="uint16"):(u.ibo=new Uint32Array(u.iboSize),e.format="uint32"),u.flatIdToCellId=f<=65535?new Uint16Array(c+u.extraPoints):new Uint32Array(c+u.extraPoints),u.pointIdToFlatId.fill(-1),u.provokedPointIds.fill(0),HO=jO,f=a||0;for(let e=0;e<s;)u.cellProvokedMap.clear(),d(o[e],o,e+1,f,u),e+=o[e]+1,f++;delete u.provokedPointIds,delete u.pointIdToFlatId,e.nativeArray=u.ibo,t.flatIdToPointId=u.flatIdToPointId,t.flatIdToCellId=u.flatIdToCellId,t.flatSize=u.flatId,t.indexCount=u.iboId}}(e,t)}var ZO={newInstance:Qw.newInstance(JO),extend:JO,...kO};const{BufferUsage:QO}=kO,{vtkErrorMacro:eN}=eA,{VtkDataTypes:tN}=NE;function nN(e,t,n,r,i){const a={},o=e.getFlatSize();if(!o)return a;let s=[0,0,0,0];i.shift&&(i.shift.length?s=i.shift:s.fill(i.shift));let l=[1,1,1,1];i.scale&&(i.scale.length?l=i.scale:l.fill(i.scale));const c=!!Object.prototype.hasOwnProperty.call(i,"packExtra")&&i.packExtra;let u,d=0;const f=mw(r,o*(n+(c?1:0)));let p=e.getFlatIdToPointId();i.cellData&&(p=e.getFlatIdToCellId()),1===n?u=function(e){f[d++]=l[0]*t[e]+s[0]}:2===n?u=function(e){f[d++]=l[0]*t[e]+s[0],f[d++]=l[1]*t[e+1]+s[1]}:3!==n||c?3===n&&c?u=function(e){f[d++]=l[0]*t[e]+s[0],f[d++]=l[1]*t[e+1]+s[1],f[d++]=l[2]*t[e+2]+s[2],f[d++]=1*l[3]+s[3]}:4===n&&(u=function(e){f[d++]=l[0]*t[e]+s[0],f[d++]=l[1]*t[e+1]+s[1],f[d++]=l[2]*t[e+2]+s[2],f[d++]=l[3]*t[e+3]+s[3]}):u=function(e){f[d++]=l[0]*t[e]+s[0],f[d++]=l[1]*t[e+1]+s[1],f[d++]=l[2]*t[e+2]+s[2]};for(let e=0;e<o;e++)u(n*p[e]);return a.nativeArray=f,a}function rN(e,t,n,r){const i=[];return ET([e[3*r]-e[3*n],e[3*r+1]-e[3*n+1],e[3*r+2]-e[3*n+2]],[e[3*t]-e[3*n],e[3*t+1]-e[3*n+1],e[3*t+2]-e[3*n+2]],i),DT(i),i}const iN={device:null,fullScreenQuadBuffer:null};function aN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,iN,n),Cw(e,t),Ow(e,t,["device"]),function(e,t){function n(e){let n,r;if(e.dataArray&&!e.nativeArray&&(e.nativeArray=e.dataArray.getData()),e.usage===QO.Index&&(n=ZO.newInstance({label:e.label}),n.setDevice(t.device),r=GPUBufferUsage.INDEX|GPUBufferUsage.COPY_DST,n.buildIndexBuffer(e),n.createAndWrite(e.nativeArray,r),n.setArrayInformation([{format:e.format}])),n||(n=BO.newInstance({label:e.label}),n.setDevice(t.device)),e.usage===QO.UniformArray&&(r=GPUBufferUsage.UNIFORM|GPUBufferUsage.COPY_DST,n.createAndWrite(e.nativeArray,r)),e.usage===QO.Storage&&(r=GPUBufferUsage.STORAGE|GPUBufferUsage.COPY_DST,n.createAndWrite(e.nativeArray,r)),e.usage===QO.Texture&&(r=GPUBufferUsage.COPY_SRC,n.createAndWrite(e.nativeArray,r)),e.usage===QO.PointArray){r=GPUBufferUsage.VERTEX;const t=AO.getNativeTypeFromBufferFormat(e.format),i=nN(e.indexBuffer,e.dataArray.getData(),e.dataArray.getNumberOfComponents(),t,{packExtra:e.packExtra,shift:e.shift,scale:e.scale,cellData:e.cellData,cellOffset:e.cellOffset});n.createAndWrite(i.nativeArray,r),n.setStrideInBytes(AO.getByteStrideFromBufferFormat(e.format)),n.setArrayInformation([{offset:0,format:e.format,interpolation:e.cellData?"flat":"perspective"}])}if(e.usage===QO.NormalsFromPoints){r=GPUBufferUsage.VERTEX;const t=AO.getNativeTypeFromBufferFormat(e.format),i=function(e,t){const n=t.getData(),r=e.getData();if(!r||!n)return null;const i=new Int8Array(4*e.getNumberOfCells()),a=r.length;let o=0;for(let e=0;e<a;){const t=rN(n,r[e+1],r[e+2],r[e+3]);i[o++]=127*t[0],i[o++]=127*t[1],i[o++]=127*t[2],i[o++]=127,e+=r[e]+1}return i}(e.cells,e.dataArray),a=nN(e.indexBuffer,i,4,t,{cellData:!0});n.createAndWrite(a.nativeArray,r),n.setStrideInBytes(AO.getByteStrideFromBufferFormat(e.format)),n.setArrayInformation([{offset:0,format:e.format,interpolation:"flat"}])}return e.usage===QO.RawVertex&&(r=GPUBufferUsage.VERTEX,n.createAndWrite(e.nativeArray,r),n.setStrideInBytes(AO.getByteStrideFromBufferFormat(e.format)),n.setArrayInformation([{offset:0,format:e.format}])),n.setSourceTime(e.time),n}t.classHierarchy.push("vtkWebGPUBufferManager"),e.hasBuffer=e=>t.device.hasCachedObject(e),e.getBuffer=e=>e.hash?t.device.getCachedObject(e.hash,n,e):n(e),e.getBufferForPointArray=(t,n)=>{const r=function(e){let t;switch(e.getDataType()){case tN.UNSIGNED_CHAR:t="uint8";break;case tN.FLOAT:t="float32";break;case tN.UNSIGNED_INT:t="uint32";break;case tN.INT:t="sint32";break;case tN.DOUBLE:t="float32";break;case tN.UNSIGNED_SHORT:t="uint16";break;case tN.SHORT:t="sin16";break;default:t="float32"}switch(e.getNumberOfComponents()){case 2:t+="x2";break;case 3:t.includes("32")||eN(`unsupported x3 type for ${t}`),t+="x3";break;case 4:t+="x4"}return t}(t),i={hash:`${t.getMTime()}I${n.getMTime()}${r}`,usage:QO.PointArray,format:r,dataArray:t,indexBuffer:n};return e.getBuffer(i)},e.getFullScreenQuadBuffer=()=>{if(t.fullScreenQuadBuffer)return t.fullScreenQuadBuffer;t.fullScreenQuadBuffer=BO.newInstance(),t.fullScreenQuadBuffer.setDevice(t.device);const e=new Float32Array([-1,-1,0,1,-1,0,1,1,0,-1,-1,0,1,1,0,-1,1,0]);return t.fullScreenQuadBuffer.createAndWrite(e,GPUBufferUsage.VERTEX),t.fullScreenQuadBuffer.setStrideInBytes(12),t.fullScreenQuadBuffer.setArrayInformation([{offset:0,format:"float32x3"}]),t.fullScreenQuadBuffer}}(e,t)}var oN={newInstance:Vw(aN),extend:aN,...kO};const{BufferUsage:sN}=oN,{vtkErrorMacro:lN}=Qw,cN={bufferEntries:null,bufferEntryNames:null,sizeInBytes:0,label:null,numberOfInstances:1};function uN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,cN,n),Qw.obj(e,t),t._bufferEntryNames=new Map,t.bufferEntries=[],t._sendTime={},Qw.obj(t._sendTime,{mtime:0}),t.bindGroupTime={},Qw.obj(t.bindGroupTime,{mtime:0}),t.bindGroupLayoutEntry=t.bindGroupLayoutEntry||{buffer:{type:"read-only-storage"}},Qw.get(e,t,["bindGroupTime"]),Qw.setGet(e,t,["device","bindGroupLayoutEntry","label","numberOfInstances","sizeInBytes"]),function(e,t){t.classHierarchy.push("vtkWebGPUStorageBuffer"),e.addEntry=(e,n)=>{if(t._bufferEntryNames.has(e))return void lN(`entry named ${e} already exists`);t._bufferEntryNames.set(e,t.bufferEntries.length);const r=AO.getByteStrideFromShaderFormat(n);t.bufferEntries.push({name:e,type:n,sizeInBytes:r,offset:t.sizeInBytes,nativeType:AO.getNativeTypeFromShaderFormat(n)}),t.sizeInBytes+=r},e.send=e=>{if(!t._buffer){const n={nativeArray:t.Float32Array,usage:sN.Storage,label:t.label};return t._buffer=e.getBufferManager().getBuffer(n),t.bindGroupTime.modified(),void t._sendTime.modified()}e.getHandle().queue.writeBuffer(t._buffer.getHandle(),0,t.arrayBuffer,0,t.sizeInBytes*t.numberOfInstances),t._sendTime.modified()},e.createView=e=>{e in t==0&&(t.arrayBuffer||(t.arrayBuffer=new ArrayBuffer(t.sizeInBytes*t.numberOfInstances)),t[e]=Qw.newTypedArray(e,t.arrayBuffer))},e.setValue=(n,r,i)=>{const a=t._bufferEntryNames.get(n);if(void 0===a)return void lN(`entry named ${n} not found in UBO`);const o=t.bufferEntries[a];e.createView(o.nativeType);const s=t[o.nativeType];s[(o.offset+r*t.sizeInBytes)/s.BYTES_PER_ELEMENT]=i},e.setArray=(n,r,i)=>{const a=t._bufferEntryNames.get(n);if(void 0===a)return void lN(`entry named ${n} not found in UBO`);const o=t.bufferEntries[a];e.createView(o.nativeType);const s=t[o.nativeType],l=(o.offset+r*t.sizeInBytes)/s.BYTES_PER_ELEMENT;for(let e=0;e<i.length;e++)s[l+e]=i[e]},e.setAllInstancesFromArray=(n,r)=>{const i=t._bufferEntryNames.get(n);if(void 0===i)return void lN(`entry named ${n} not found in UBO`);const a=t.bufferEntries[i];e.createView(a.nativeType);const o=t[a.nativeType],s=r.length/t.numberOfInstances;for(let e=0;e<t.numberOfInstances;e++){const n=(a.offset+e*t.sizeInBytes)/o.BYTES_PER_ELEMENT;for(let t=0;t<s;t++)o[n+t]=r[e*s+t]}},e.setAllInstancesFromArrayColorToFloat=(n,r)=>{const i=t._bufferEntryNames.get(n);if(void 0===i)return void lN(`entry named ${n} not found in UBO`);const a=t.bufferEntries[i];e.createView(a.nativeType);const o=t[a.nativeType],s=r.length/t.numberOfInstances;for(let e=0;e<t.numberOfInstances;e++){const n=(a.offset+e*t.sizeInBytes)/o.BYTES_PER_ELEMENT;for(let t=0;t<s;t++)o[n+t]=r[e*s+t]/255}},e.setAllInstancesFromArray3x3To4x4=(n,r)=>{const i=t._bufferEntryNames.get(n);if(void 0===i)return void lN(`entry named ${n} not found in UBO`);const a=t.bufferEntries[i];e.createView(a.nativeType);const o=t[a.nativeType];for(let e=0;e<t.numberOfInstances;e++){const n=(a.offset+e*t.sizeInBytes)/o.BYTES_PER_ELEMENT;for(let t=0;t<3;t++)for(let i=0;i<3;i++)o[n+4*t+i]=r[9*e+3*t+i]}},e.getSendTime=()=>t._sendTime.getMTime(),e.getShaderCode=(e,n)=>{const r=[`struct ${t.label}StructEntry\n{`];for(let e=0;e<t.bufferEntries.length;e++){const n=t.bufferEntries[e];r.push(`  ${n.name}: ${n.type},`)}return r.push(`\n};\nstruct ${t.label}Struct\n{\n  values: array<${t.label}StructEntry>,\n};\n@binding(${e}) @group(${n}) var<storage, read> ${t.label}: ${t.label}Struct;\n`),r.join("\n")},e.getBindGroupEntry=()=>({resource:{buffer:t._buffer.getHandle()}}),e.clearData=()=>{t.numberOfInstances=0,t.sizeInBytes=0,t.bufferEntries=[],t._bufferEntryNames=new Map,t._buffer=null,delete t.arrayBuffer,delete t.Float32Array}}(e,t)}var dN={newInstance:Qw.newInstance(uN,"vtkWebGPUStorageBuffer"),extend:uN};const{BufferUsage:fN}=oN,{vtkErrorMacro:pN}=Qw,hN={bufferEntries:null,bufferEntryNames:null,sizeInBytes:0,label:null,bindGroupLayoutEntry:null,bindGroupEntry:null};function mN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,hN,n),Qw.obj(e,t),t._bufferEntryNames=new Map,t.bufferEntries=[],t.bindGroupLayoutEntry=t.bindGroupLayoutEntry||{buffer:{type:"uniform"}},t.sendTime={},Qw.obj(t.sendTime,{mtime:0}),t.bindGroupTime={},Qw.obj(t.bindGroupTime,{mtime:0}),t.sendDirty=!0,t.sortDirty=!0,Qw.get(e,t,["binding","bindGroupTime"]),Qw.setGet(e,t,["bindGroupLayoutEntry","device","label","sizeInBytes"]),function(e,t){t.classHierarchy.push("vtkWebGPUUniformBuffer"),e.addEntry=(e,n)=>{t._bufferEntryNames.has(e)?pN(`entry named ${e} already exists`):(t.sortDirty=!0,t._bufferEntryNames.set(e,t.bufferEntries.length),t.bufferEntries.push({name:e,type:n,sizeInBytes:AO.getByteStrideFromShaderFormat(n),offset:-1,nativeType:AO.getNativeTypeFromShaderFormat(n),packed:!1}))},e.sortBufferEntries=()=>{if(!t.sortDirty)return;let e=0;const n=[];let r=4;for(let e=0;e<t.bufferEntries.length;e++){const n=t.bufferEntries[e];n.sizeInBytes%16==0&&(r=Math.max(16,r)),n.sizeInBytes%8==0&&(r=Math.max(8,r))}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];!1===i.packed&&i.sizeInBytes%16==0&&(i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes)}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];if(!1===i.packed&&12===i.sizeInBytes)for(let r=0;r<t.bufferEntries.length;r++){const a=t.bufferEntries[r];if(!1===a.packed&&4===a.sizeInBytes){i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes,a.packed=!0,a.offset=e,n.push(a),e+=a.sizeInBytes;break}}}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];if(!i.packed&&i.sizeInBytes%8==0)for(let a=r+1;a<t.bufferEntries.length;a++){const r=t.bufferEntries[a];if(!r.packed&&r.sizeInBytes%8==0){i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes,r.packed=!0,r.offset=e,n.push(r),e+=r.sizeInBytes;break}}}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];if(!i.packed&&i.sizeInBytes%8==0){let r=!1;for(let a=0;!r&&a<t.bufferEntries.length;a++){const o=t.bufferEntries[a];if(!o.packed&&4===o.sizeInBytes)for(let s=a+1;s<t.bufferEntries.length;s++){const a=t.bufferEntries[s];if(!a.packed&&4===a.sizeInBytes){i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes,o.packed=!0,o.offset=e,n.push(o),e+=o.sizeInBytes,a.packed=!0,a.offset=e,n.push(a),e+=a.sizeInBytes,r=!0;break}}}}}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];!i.packed&&i.sizeInBytes>4&&(i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes)}for(let r=0;r<t.bufferEntries.length;r++){const i=t.bufferEntries[r];i.packed||(i.packed=!0,i.offset=e,n.push(i),e+=i.sizeInBytes)}t.bufferEntries=n,t._bufferEntryNames.clear();for(let e=0;e<t.bufferEntries.length;e++)t._bufferEntryNames.set(t.bufferEntries[e].name,e);t.sizeInBytes=e,t.sizeInBytes=r*Math.ceil(t.sizeInBytes/r),t.sortDirty=!1},e.sendIfNeeded=e=>{if(!t.UBO){const n={nativeArray:t.Float32Array,usage:fN.UniformArray,label:t.label};t.UBO=e.getBufferManager().getBuffer(n),t.bindGroupTime.modified(),t.sendDirty=!1}t.sendDirty&&(e.getHandle().queue.writeBuffer(t.UBO.getHandle(),0,t.arrayBuffer,0,t.sizeInBytes),t.sendDirty=!1),t.sendTime.modified()},e.createView=e=>{e in t==0&&(t.arrayBuffer||(t.arrayBuffer=new ArrayBuffer(t.sizeInBytes)),t[e]=Qw.newTypedArray(e,t.arrayBuffer))},e.setValue=(n,r)=>{e.sortBufferEntries();const i=t._bufferEntryNames.get(n);if(void 0===i)return void pN(`entry named ${n} not found in UBO`);const a=t.bufferEntries[i];e.createView(a.nativeType);const o=t[a.nativeType];a.lastValue!==r&&(o[a.offset/o.BYTES_PER_ELEMENT]=r,t.sendDirty=!0),a.lastValue=r},e.setArray=(n,r)=>{e.sortBufferEntries();const i=t._bufferEntryNames.get(n);if(void 0===i)return void pN(`entry named ${n} not found in UBO`);const a=t.bufferEntries[i];e.createView(a.nativeType);const o=t[a.nativeType];let s=!1;for(let e=0;e<r.length;e++)a.lastValue&&a.lastValue[e]===r[e]||(o[a.offset/o.BYTES_PER_ELEMENT+e]=r[e],s=!0);s&&(t.sendDirty=!0,a.lastValue=[...r])},e.getBindGroupEntry=()=>({resource:{buffer:t.UBO.getHandle()}}),e.getSendTime=()=>t.sendTime.getMTime(),e.getShaderCode=(n,r)=>{e.sortBufferEntries();const i=[`struct ${t.label}Struct\n{`];for(let e=0;e<t.bufferEntries.length;e++){const n=t.bufferEntries[e];i.push(`  ${n.name}: ${n.type},`)}return i.push(`};\n@binding(${n}) @group(${r}) var<uniform> ${t.label}: ${t.label}Struct;`),i.join("\n")}}(e,t)}var gN={newInstance:Qw.newInstance(mN,"vtkWebGPUUniformBuffer"),extend:mN};const{vtkDebugMacro:vN}=eA,yN="\n//VTK::Renderer::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var computedColor: vec4<f32> = mapperUBO.BackgroundColor;\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n",bN=new Float64Array(16),_N=new Float64Array(16),xN={bindGroup:null,selector:null,renderEncoder:null,recenterThreshold:20,suppressClear:!1,stabilizedCenter:[0,0,0]};const wN=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,xN,n),iA.extend(e,t,n),t.UBO=gN.newInstance({label:"rendererUBO"}),t.UBO.addEntry("WCVCMatrix","mat4x4<f32>"),t.UBO.addEntry("SCPCMatrix","mat4x4<f32>"),t.UBO.addEntry("PCSCMatrix","mat4x4<f32>"),t.UBO.addEntry("SCVCMatrix","mat4x4<f32>"),t.UBO.addEntry("VCPCMatrix","mat4x4<f32>"),t.UBO.addEntry("WCVCNormals","mat4x4<f32>"),t.UBO.addEntry("viewportSize","vec2<f32>"),t.UBO.addEntry("LightCount","i32"),t.UBO.addEntry("MaxEnvironmentMipLevel","f32"),t.UBO.addEntry("BackgroundDiffuseStrength","f32"),t.UBO.addEntry("BackgroundSpecularStrength","f32"),t.UBO.addEntry("cameraParallel","u32"),t.SSBO=dN.newInstance({label:"rendererLightSSBO"}),t.lightTimeString="",t.bindGroup=cO.newInstance({label:"rendererBG"}),t.bindGroup.setBindables([t.UBO,t.SSBO]),t.tmpMat4=S_(new Float64Array(16)),t.stabilizedTime={},Cw(t.stabilizedTime,{mtime:0}),Mw(e,t,["bindGroup","stabilizedTime"]),Nw(e,t,["stabilizedCenter"]),Ow(e,t,["renderEncoder","selector","suppressClear","UBO"]),function(e,t){t.classHierarchy.push("vtkWebGPURenderer"),e.buildPass=n=>{if(n){if(!t.renderable)return;t.camera=t.renderable.getActiveCamera(),e.updateLights(),e.prepareNodes(),e.addMissingNode(t.camera),e.addMissingNodes(t.renderable.getViewPropsWithNestedProps()),e.removeUnusedNodes(),t.webgpuCamera=e.getViewNodeFor(t.camera),e.updateStabilizedMatrix()}},e.updateStabilizedMatrix=()=>{const e=t.camera.getClippingRange(),n=t.camera.getPositionByReference(),r=[],i=[];EA(i,t.camera.getDirectionOfProjectionByReference(),.5*(e[0]+e[1])),TA(r,n,i),OA(i,r,t.stabilizedCenter),function(e){var t=e[0],n=e[1],r=e[2];return Math.hypot(t,n,r)}(i)/(e[1]-e[0])>t.recenterThreshold&&(t.stabilizedCenter=r,t.stabilizedTime.modified())},e.updateLights=()=>{let e=0;const n=t.renderable.getLightsByReference();for(let t=0;t<n.length;++t)n[t].getSwitch()>0&&e++;return e||(vN("No lights are on, creating one."),t.renderable.createLight()),e},e.updateUBO=()=>{const n=t.UBO.getSendTime();if(t._parent.getMTime()>n||e.getMTime()>n||t.camera.getMTime()>n||t.renderable.getMTime()>n){const n=t.webgpuCamera.getKeyMatrices(e);t.UBO.setArray("WCVCMatrix",n.wcvc),t.UBO.setArray("SCPCMatrix",n.scpc),t.UBO.setArray("PCSCMatrix",n.pcsc),t.UBO.setArray("SCVCMatrix",n.scvc),t.UBO.setArray("VCPCMatrix",n.vcpc),t.UBO.setArray("WCVCNormals",n.normalMatrix),t.UBO.setValue("LightCount",t.renderable.getLights().length),t.UBO.setValue("MaxEnvironmentMipLevel",t.renderable.getEnvironmentTexture()?.getMipLevel()),t.UBO.setValue("BackgroundDiffuseStrength",t.renderable.getEnvironmentTextureDiffuseStrength()),t.UBO.setValue("BackgroundSpecularStrength",t.renderable.getEnvironmentTextureSpecularStrength());const r=e.getYInvertedTiledSizeAndOrigin();t.UBO.setArray("viewportSize",[r.usize,r.vsize]),t.UBO.setValue("cameraParallel",t.camera.getParallelProjection());const i=t._parent.getDevice();t.UBO.sendIfNeeded(i)}},e.updateSSBO=()=>{const n=t.renderable.getLights(),r=t.webgpuCamera.getKeyMatrices(e);let i=`${t.renderable.getMTime()}`;for(let e=0;e<n.length;e++)i+=n[e].getMTime();if(i!==t.lightTimeString){const e=new Float32Array(4*n.length),i=new Float32Array(4*n.length),o=new Float32Array(4*n.length),s=new Float32Array(4*n.length);for(let t=0;t<n.length;t++){const l=4*t,c=n[t].getPosition();DA(c,c,r.wcvc),e[l]=c[0],e[l+1]=c[1],e[l+2]=c[2],e[l+3]=0,i[l]=-n[t].getDirection()[0],i[l+1]=-n[t].getDirection()[1],i[l+2]=-n[t].getDirection()[2],i[l+3]=0,o[l]=n[t].getColor()[0],o[l+1]=n[t].getColor()[1],o[l+2]=n[t].getColor()[2],o[l+3]=5*n[t].getIntensity(),s[l]=(a=n[t]).getPositional()?a.getConeAngle()>=90?0:2:1,s[l+1]=Math.cos(hT(n[t].getConeAngle())),s[l+2]=Math.cos(hT(n[t].getConeAngle()+n[t].getConeFalloff())),s[l+3]=0}t.SSBO.clearData(),t.SSBO.setNumberOfInstances(n.length),t.SSBO.addEntry("LightPos","vec4<f32>"),t.SSBO.addEntry("LightDir","vec4<f32>"),t.SSBO.addEntry("LightColor","vec4<f32>"),t.SSBO.addEntry("LightData","vec4<f32>"),t.SSBO.setAllInstancesFromArray("LightPos",e),t.SSBO.setAllInstancesFromArray("LightDir",i),t.SSBO.setAllInstancesFromArray("LightColor",o),t.SSBO.setAllInstancesFromArray("LightData",s);const l=t._parent.getDevice();t.SSBO.send(l)}var a;t.lightTimeString=i},e.scissorAndViewport=t=>{const n=e.getYInvertedTiledSizeAndOrigin();t.getHandle().setViewport(n.lowerLeftU,n.lowerLeftV,n.usize,n.vsize,0,1),t.getHandle().setScissorRect(n.lowerLeftU,n.lowerLeftV,n.usize,n.vsize)},e.bindUBO=e=>{e.activateBindGroup(t.bindGroup)},e.opaquePass=n=>{n?(t.renderEncoder.begin(t._parent.getCommandEncoder()),e.updateUBO(),e.updateSSBO()):(e.scissorAndViewport(t.renderEncoder),e.clear(),t.renderEncoder.end())},e.clear=()=>{if(t.renderable.getTransparent()||t.suppressClear)return;const n=t._parent.getDevice();if(!t.clearFSQ){t.clearFSQ=NO.newInstance(),t.clearFSQ.setDevice(n),t.clearFSQ.setPipelineHash("clearfsq"),t.clearFSQ.setFragmentShaderTemplate(yN);const e=gN.newInstance({label:"mapperUBO"});e.addEntry("FSQMatrix","mat4x4<f32>"),e.addEntry("BackgroundColor","vec4<f32>"),t.clearFSQ.setUBO(e),t.backgroundTex=t.renderable.getEnvironmentTexture()}if("clearfsqwithtexture"!==t.clearFSQ.getPipelineHash()&&t.renderable.getUseEnvironmentTextureAsBackground()&&t.backgroundTex?.getImageLoaded()){t.clearFSQ.setFragmentShaderTemplate("\nfn vecToRectCoord(dir: vec3<f32>) -> vec2<f32> {\n  var tau: f32 = 6.28318530718;\n  var pi: f32 = 3.14159265359;\n  var out: vec2<f32> = vec2<f32>(0.0);\n\n  out.x = atan2(dir.z, dir.x) / tau;\n  out.x += 0.5;\n\n  var phix: f32 = length(vec2(dir.x, dir.z));\n  out.y = atan2(dir.y, phix) / pi + 0.5;\n\n  return out;\n}\n\n//VTK::Renderer::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var tcoord: vec4<f32> = vec4<f32>(input.vertexVC.xy, -1, 1);\n  var V: vec4<f32> = normalize(mapperUBO.FSQMatrix * tcoord); // vec2<f32>((input.tcoordVS.x - 0.5) * 2, -(input.tcoordVS.y - 0.5) * 2);\n  // textureSampleLevel gets rid of some ugly artifacts\n  var background = textureSampleLevel(EnvironmentTexture, EnvironmentTextureSampler, vecToRectCoord(V.xyz), 0.0);\n  var computedColor: vec4<f32> = vec4<f32>(background.rgb, 1);\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n");const e=gN.newInstance({label:"mapperUBO"});e.addEntry("FSQMatrix","mat4x4<f32>"),e.addEntry("BackgroundColor","vec4<f32>"),t.clearFSQ.setUBO(e);const r=n.getTextureManager().getTextureForVTKTexture(t.backgroundTex);if(r.getReady()){const e=r.createView("EnvironmentTexture");t.clearFSQ.setTextureViews([e]),t.backgroundTexLoaded=!0;const i=t.backgroundTex.getInterpolate()?"linear":"nearest";e.addSampler(n,{addressModeU:"repeat",addressModeV:"clamp-to-edge",addressModeW:"repeat",minFilter:i,magFilter:i,mipmapFilter:"linear"})}t.clearFSQ.setPipelineHash("clearfsqwithtexture")}else if("clearfsqwithtexture"===t.clearFSQ.getPipelineHash()&&!t.renderable.getUseEnvironmentTextureAsBackground()){t.clearFSQ=NO.newInstance(),t.clearFSQ.setDevice(n),t.clearFSQ.setPipelineHash("clearfsq"),t.clearFSQ.setFragmentShaderTemplate(yN);const e=gN.newInstance({label:"mapperUBO"});e.addEntry("FSQMatrix","mat4x4<f32>"),e.addEntry("BackgroundColor","vec4<f32>"),t.clearFSQ.setUBO(e)}const r=t.webgpuCamera.getKeyMatrices(e),i=t.renderable.getBackgroundByReference();t.clearFSQ.getUBO().setArray("BackgroundColor",i),T_(_N,r.normalMatrix),hx(bN,r.scvc,r.pcsc),hx(bN,_N,bN),t.clearFSQ.getUBO().setArray("FSQMatrix",bN),t.clearFSQ.getUBO().sendIfNeeded(n),t.clearFSQ.prepareAndDraw(t.renderEncoder)},e.translucentPass=n=>{n?t.renderEncoder.begin(t._parent.getCommandEncoder()):(e.scissorAndViewport(t.renderEncoder),t.renderEncoder.end())},e.volumeDepthRangePass=n=>{n?t.renderEncoder.begin(t._parent.getCommandEncoder()):(e.scissorAndViewport(t.renderEncoder),t.renderEncoder.end())},e.getAspectRatio=()=>{const e=t._parent.getSizeByReference(),n=t.renderable.getViewportByReference();return e[0]*(n[2]-n[0])/((n[3]-n[1])*e[1])},e.convertToOpenGLDepth=e=>t.webgpuCamera.convertToOpenGLDepth(e),e.getYInvertedTiledSizeAndOrigin=()=>{const n=e.getTiledSizeAndOrigin(),r=t._parent.getSizeByReference();return n.lowerLeftV=r[1]-n.vsize-n.lowerLeftV,n},e.getTiledSizeAndOrigin=()=>{const e=t.renderable.getViewportByReference(),n=[0,0,1,1],r=e[0]-n[0],i=e[1]-n[1],a=t._parent.normalizedDisplayToDisplay(r,i),o=Math.round(a[0]),s=Math.round(a[1]),l=e[2]-n[0],c=e[3]-n[1],u=t._parent.normalizedDisplayToDisplay(l,c);let d=Math.round(u[0])-o,f=Math.round(u[1])-s;return d<0&&(d=0),f<0&&(f=0),{usize:d,vsize:f,lowerLeftU:o,lowerLeftV:s}},e.getPropFromID=e=>{for(let n=0;n<t.children.length;n++)if((t.children[n].getPropID?t.children[n].getPropID():-1)===e)return t.children[n];return null},e.getStabilizedTime=()=>t.stabilizedTime.getMTime(),e.releaseGraphicsResources=()=>{null!==t.selector&&t.selector.releaseGraphicsResources()}}(e,t)}),"vtkWebGPURenderer");tO("vtkRenderer",wN);const{CoordinateSystem:AN}=nE,SN={keyMatricesTime:null,keyMatrices:null,propID:void 0,bufferShift:void 0};const TN=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,SN,n),iA.extend(e,t,n),t.keyMatricesTime={},Qw.obj(t.keyMatricesTime,{mtime:0}),t.keyMatrices={normalMatrix:new Float64Array(16),bcwc:new Float64Array(16),bcsc:new Float64Array(16)},Qw.get(e,t,["propID","keyMatricesTime"]),t.bufferShift=[0,0,0,0],function(e,t){t.classHierarchy.push("vtkWebGPUActor"),e.buildPass=n=>{n&&(t.WebGPURenderer=e.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getFirstAncestorOfType("vtkWebGPURenderWindow"),void 0===t.propID&&(t.propID=t.WebGPURenderWindow.getUniquePropID()),e.prepareNodes(),e.addMissingNode(t.renderable.getMapper()),e.removeUnusedNodes())},e.traverseOpaquePass=n=>{t.renderable&&t.renderable.getNestedVisibility()&&t.renderable.getIsOpaque()&&(!t.WebGPURenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.children[0]&&t.children[0].traverse(n),e.apply(n,!1))},e.traverseTranslucentPass=n=>{!t.renderable||!t.renderable.getNestedVisibility()||t.renderable.getIsOpaque()||t.WebGPURenderer.getSelector()&&!t.renderable.getNestedPickable()||(e.apply(n,!0),t.children[0]&&t.children[0].traverse(n),e.apply(n,!1))},e.queryPass=(e,n)=>{if(e){if(!t.renderable||!t.renderable.getVisibility())return;t.renderable.getIsOpaque()?n.incrementOpaqueActorCount():n.incrementTranslucentActorCount()}},e.getBufferShift=n=>(e.getKeyMatrices(n),t.bufferShift),e.getKeyMatrices=e=>{if(Math.max(t.renderable.getMTime(),e.getStabilizedTime())>t.keyMatricesTime.getMTime()){t.renderable.computeMatrix();const n=t.renderable.getMatrix();t.bufferShift[0]=n[3],t.bufferShift[1]=n[7],t.bufferShift[2]=n[11];const r=e.getStabilizedCenterByReference();t.renderable.getCoordinateSystem()===AN.WORLD&&(t.bufferShift[0]-=r[0],t.bufferShift[1]-=r[1],t.bufferShift[2]-=r[2]),T_(t.keyMatrices.bcwc,n),t.renderable.getIsIdentity()?S_(t.keyMatrices.normalMatrix):(x_(t.keyMatrices.normalMatrix,t.keyMatrices.bcwc),t.keyMatrices.normalMatrix[3]=0,t.keyMatrices.normalMatrix[7]=0,t.keyMatrices.normalMatrix[11]=0,C_(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix),T_(t.keyMatrices.normalMatrix,t.keyMatrices.normalMatrix)),P_(t.keyMatrices.bcwc,t.keyMatrices.bcwc,[-t.bufferShift[0],-t.bufferShift[1],-t.bufferShift[2]]),t.renderable.getCoordinateSystem()===AN.WORLD?P_(t.keyMatrices.bcsc,t.keyMatrices.bcwc,[-r[0],-r[1],-r[2]]):x_(t.keyMatrices.bcsc,t.keyMatrices.bcwc),t.keyMatricesTime.modified()}return t.keyMatrices}}(e,t)}));tO("vtkActor",TN);const{CoordinateSystem:CN}=nE,EN={keyMatricesTime:null,keyMatrices:null,propID:void 0,bufferShift:void 0};const MN=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,EN,n),iA.extend(e,t,n),t.keyMatricesTime={},Qw.obj(t.keyMatricesTime,{mtime:0}),t.keyMatrices={normalMatrix:new Float64Array(16),bcwc:new Float64Array(16),bcsc:new Float64Array(16)},Qw.get(e,t,["propID","keyMatricesTime"]),t.bufferShift=[0,0,0,0],function(e,t){t.classHierarchy.push("vtkWebGPUActor2D"),e.buildPass=n=>{n&&(t.WebGPURenderer=e.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getFirstAncestorOfType("vtkWebGPURenderWindow"),void 0===t.propID&&(t.propID=t.WebGPURenderWindow.getUniquePropID()),e.prepareNodes(),e.addMissingNode(t.renderable.getMapper()),e.removeUnusedNodes())},e.traverseOpaquePass=n=>{t.renderable&&t.renderable.getNestedVisibility()&&t.renderable.getIsOpaque()&&(!t.WebGPURenderer.getSelector()||t.renderable.getNestedPickable())&&(e.apply(n,!0),t.children[0]&&t.children[0].traverse(n),e.apply(n,!1))},e.traverseTranslucentPass=n=>{!t.renderable||!t.renderable.getNestedVisibility()||t.renderable.getIsOpaque()||t.WebGPURenderer.getSelector()&&!t.renderable.getNestedPickable()||(e.apply(n,!0),t.children[0]&&t.children[0].traverse(n),e.apply(n,!1))},e.queryPass=(e,n)=>{if(e){if(!t.renderable||!t.renderable.getVisibility())return;t.renderable.getIsOpaque()?n.incrementOpaqueActorCount():n.incrementTranslucentActorCount()}},e.getBufferShift=n=>(e.getKeyMatrices(n),t.bufferShift),e.getKeyMatrices=e=>{if(Math.max(t.renderable.getMTime(),e.getStabilizedTime())>t.keyMatricesTime.getMTime()){t.bufferShift[0]=0,t.bufferShift[1]=0,t.bufferShift[2]=0;const n=e.getStabilizedCenterByReference();t.renderable.getCoordinateSystem()===CN.WORLD&&(t.bufferShift[0]-=n[0],t.bufferShift[1]-=n[1],t.bufferShift[2]-=n[2]),S_(t.keyMatrices.bcwc),S_(t.keyMatrices.normalMatrix),P_(t.keyMatrices.bcwc,t.keyMatrices.bcwc,[-t.bufferShift[0],-t.bufferShift[1],-t.bufferShift[2]]),t.renderable.getCoordinateSystem()===CN.WORLD?P_(t.keyMatrices.bcsc,t.keyMatrices.bcwc,[-n[0],-n[1],-n[2]]):x_(t.keyMatrices.bcsc,t.keyMatrices.bcwc),t.keyMatricesTime.modified()}return t.keyMatrices}}(e,t)}));tO("vtkActor2D",MN);const DN={};const PN=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,DN,n),iA.extend(e,t,n),t.CubeAxesActorHelper=vP.newCubeAxesActorHelper(),function(e,t){t.classHierarchy.push("vtkWebGPUCubeAxesActor"),e.buildPass=n=>{n&&(t.WebGPURenderer=e.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getParent(),t.CubeAxesActorHelper.getRenderable()||t.CubeAxesActorHelper.setRenderable(t.renderable),e.prepareNodes(),e.addMissingNode(t.CubeAxesActorHelper.getTmActor()),e.addMissingNode(t.renderable.getGridActor()),e.removeUnusedNodes())},e.opaquePass=(e,n)=>{if(e){const e=t.WebGPURenderer?t.WebGPURenderer.getRenderable().getActiveCamera():null,n=t.WebGPURenderer.getTiledSizeAndOrigin();t.CubeAxesActorHelper.updateAPISpecificData([n.usize,n.vsize],e,t.WebGPURenderWindow.getRenderable())}}}(e,t)}),"vtkWebGPUCubeAxesActor");tO("vtkCubeAxesActor",PN);const{DisplayLocation:IN}=II,ON={color:[1,1,1],opacity:1,pointSize:1,lineWidth:1,representation:lE.SURFACE,displayLocation:IN.FOREGROUND};function NN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ON,n),Qw.obj(e,t),Qw.setGet(e,t,["opacity","lineWidth","pointSize","displayLocation","representation"]),Qw.setGetArray(e,t,["color"],3),function(e,t){t.classHierarchy.push("vtkProperty2D"),e.setDisplayLocationToBackground=()=>e.setDisplayLocation(IN.BACKGROUND),e.setDisplayLocationToForeground=()=>e.setDisplayLocation(IN.FOREGROUND),e.setRepresentationToWireframe=()=>e.setRepresentation(lE.WIREFRAME),e.setRepresentationToSurface=()=>e.setRepresentation(lE.SURFACE),e.setRepresentationToPoints=()=>e.setRepresentation(lE.POINTS),e.getRepresentationAsString=()=>Qw.enumToString(lE,t.representation)}(e,t)}var kN={newInstance:Qw.newInstance(NN,"vtkProperty2D"),extend:NN,...II};const{BufferUsage:RN,PrimitiveTypes:LN}=oN,{Representation:FN}=mE,{ScalarMode:BN}=qM,{CoordinateSystem:UN}=nE,{DisplayLocation:VN}=kN;function GN(e){return e.indexOf("edge")>=0}const zN={is2D:!1,cellArray:null,currentInput:null,cellOffset:0,primitiveType:0,colorTexture:null,renderEncoder:null,textures:null};function jN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,zN,n),PO.extend(e,t,n),t.fragmentShaderTemplate='\nstruct PBRData {\n  diffuse: vec3<f32>,\n  specular: vec3<f32>,\n}\n\n// Dot product with the max already in it\nfn mdot(a: vec3<f32>, b: vec3<f32>) -> f32 {\n  return max(0.0, dot(a, b));\n}\n// Dot product with a max in it that does not allow for negative values\n// Physically based rendering is accurate as long as normals are accurate,\n// however this is pretty often not the case. In order to prevent negative\n// values from ruining light calculations and creating zones of zero light,\n// this remapping is used, which smoothly clamps the dot product between\n// zero and one while still maintaining a good amount of accuracy.\nfn cdot(a: vec3<f32>, b: vec3<f32>) -> f32 {\n  var d: f32 = max(0.0, dot(a, b));\n  d = pow((d + 1.0) / 2.0, 2.6);\n  return d;\n}\n\n// Lambertian diffuse model\nfn lambertDiffuse(base: vec3<f32>, N: vec3<f32>, L: vec3<f32>) -> vec3<f32> {\n  var pi: f32 = 3.14159265359; \n  var NdotL: f32 = mdot(N, L);\n  NdotL = pow(NdotL, 1.5);\n  return (base/pi)*NdotL;\n}\n\n// Yasuhiro Fujii improvement on the Oren-Nayar model\n// https://mimosa-pudica.net/improved-oren-nayar.html\n// p is surface color, o is roughness\nfn fujiiOrenNayar(p: vec3<f32>, o: f32, N: vec3<f32>, L: vec3<f32>, V: vec3<f32>) -> vec3<f32> {\n  var invpi: f32 = 0.31830988618; // 1/pi\n\n  var o2 = o*o;\n  var NdotL: f32 = mdot(N, L);\n  NdotL = pow(NdotL, 1.5); // Less physically accurate, but hides the "seams" between lights better\n\n  var NdotV: f32 = mdot(N, V);\n  var LdotV: f32 = mdot(L, V);\n\n  var s: f32 = LdotV - NdotL*NdotV;\n  var t: f32 = mix(1.0, max(NdotL, NdotV), step(0.0, s)); // Mix with step is the equivalent of an if statement\n  var A: vec3<f32> = 0.5*(o2 / (o2 + 0.33)) + 0.17*p*(o2 / (o2 + 0.13));\n  A = invpi*(1 - A);\n  var B: f32 = 0.45*(o2 / (o2 + 0.09));\n  B = invpi*B;\n\n  return p*NdotL*(A + B*(s/t));\n}\n\n// Fresnel portion of BRDF (IOR only, simplified)\nfn schlickFresnelIOR(V: vec3<f32>, N: vec3<f32>, ior: f32, k: f32) -> f32 {\n  var NdotV: f32 = mdot(V, N);\n  var F0: f32 = (pow((ior - 1.0), 2.0) + k*k) / (pow((ior + 1.0), 2.0) + k*k); // This takes into account the roughness, which the other one does not\n  return F0 + (1.0 - F0) * pow((1.0-NdotV), 5.0);\n}\n\n// Fresnel portion of BRDF (Color ior, better)\nfn schlickFresnelRGB(V: vec3<f32>, N: vec3<f32>, F0: vec3<f32>) -> vec3<f32> {\n  var NdotV: f32 = mdot(V, N);\n  return F0 + (1.0 - F0) * pow((1-NdotV), 5.0);\n}\n\n// Normal portion of BRDF\n// https://learnopengl.com/PBR/Theory\n// Trowbridge-Reitz GGX functions: normal, halfway, roughness^2\nfn trGGX(N: vec3<f32>, H: vec3<f32>, a: f32) -> f32 {\n  var pi: f32 = 3.14159265359; \n\n  var a2: f32 = a*a;\n  var NdotH = mdot(N, H);\n  var NdotH2 = NdotH*NdotH;\n  \n  var denom: f32 = NdotH2 * (a2 - 1.0) + 1.0;\n\n  return a2 / max((pi*denom*denom), 0.000001);\n}\n\n// A VERY bad approximation of anisotropy. Real anisotropic calculations require tangent and bitangent\nfn anisotrophicTrGGX(N: vec3<f32>, H: vec3<f32>, O: vec3<f32>, s: f32, a: f32) -> f32 {\n  var Op: vec3<f32> = (rendererUBO.WCVCNormals * vec4<f32>(normalize(O) * s, 0.)).xyz;\n\n  var ggx1: f32 = trGGX(N + Op*s, H, a);\n  var ggx2: f32 = trGGX(N - Op*s, H, a);\n  return (0.5 * ggx1 + 0.5 * ggx2);\n}\n\n// Geometry portion of BRDF\nfn schlickGGX(N: vec3<f32>, X: vec3<f32>, k: f32) -> f32 {\n  var NdotX = cdot(N, X);\n  return NdotX / max(0.000001, (NdotX*(1.0-k) + k));\n}\n\nfn smithSurfaceRoughness(N: vec3<f32>, V: vec3<f32>, L: vec3<f32>, k: f32) -> f32 {\n  var ggx1: f32 = min(1.0, schlickGGX(N, V, k));\n  var ggx2: f32 = min(1.0, schlickGGX(N, L, k));\n  return ggx1*ggx2;\n}\n\n// BRDF Combination\nfn cookTorrance(D: f32, F: f32, G: f32, N: vec3<f32>, V: vec3<f32>, L: vec3<f32>) -> f32 {\n  var num: f32 = D*F*G;\n  var denom: f32 = 4*cdot(V, N)*cdot(L, N);\n\n  return num / max(denom, 0.000001);\n}\n\n// Different lighting calculations for different light sources\nfn calcDirectionalLight(N: vec3<f32>, V: vec3<f32>, ior: f32, roughness: f32, metallic: f32, direction: vec3<f32>, color: vec3<f32>, base: vec3<f32>) -> PBRData {  \n  var L: vec3<f32> = normalize(direction); // Light Vector\n  var H: vec3<f32> = normalize(L + V); // Halfway Vector\n\n  var alpha = roughness*roughness;\n  var k: f32 = alpha*alpha / 2;\n\n  var D: f32 = trGGX(N, H, alpha); // Distribution\n  // var F: f32 = schlickFresnelIOR(V, N, ior, k); // Fresnel\n  var G: f32 = smithSurfaceRoughness(N, V, L, k); // Geometry\n\n  var brdf: f32 = cookTorrance(D, 1.0, G, N, V, L); // Fresnel term is replaced with 1 because it is added later\n  var incoming: vec3<f32> = color;\n  var angle: f32 = mdot(L, N);\n  angle = pow(angle, 1.5);\n\n  var specular: vec3<f32> = brdf*incoming*angle;\n  // Oren-Nayar gives a clay-like effect when fully rough which some people may not want, so it might be better to give a separate\n  // control property for the diffuse vs specular roughness\n  var diffuse: vec3<f32> = incoming*fujiiOrenNayar(base, roughness, N, L, V); \n  // Stores the specular and diffuse separately to allow for finer post processing\n  var out = PBRData(diffuse, specular);\n  \n  return out; // Returns angle along with color of light so the final color can be multiplied by angle as well (creates black areas)\n}\n\n// TODO: find some way to reduce the number of arguments going in here\nfn calcPointLight(N: vec3<f32>, V: vec3<f32>, fragPos: vec3<f32>, ior: f32, roughness: f32, metallic: f32, position: vec3<f32>, color: vec3<f32>, base: vec3<f32>) -> PBRData {\n  var L: vec3<f32> = normalize(position - fragPos); // Light Vector\n  var H: vec3<f32> = normalize(L + V); // Halfway Vector\n  var dist = distance(position, fragPos);\n\n  var alpha = roughness*roughness;\n  var k: f32 = alpha*alpha / 2.0; // could also be pow(alpha + 1.0, 2) / 8\n\n  var D: f32 = trGGX(N, H, alpha); // Distribution\n  // var F: f32 = schlickFresnelIOR(V, N, ior, k); // Fresnel\n  var G: f32 = smithSurfaceRoughness(N, V, L, k); // Geometry\n\n  var brdf: f32 = cookTorrance(D, 1.0, G, N, V, L);\n  var incoming: vec3<f32> = color * (1.0 / (dist*dist));\n  var angle: f32 = mdot(L, N);\n  angle = pow(angle, 1.5); // Smoothing factor makes it less accurate, but reduces ugly "seams" bewteen light sources\n\n  var specular: vec3<f32> = brdf*incoming*angle;\n  var diffuse: vec3<f32> = incoming*fujiiOrenNayar(base, roughness, N, L, V);\n\n  // Stores the specular and diffuse separately to allow for finer post processing\n  // Could also be done (propably more properly) with a struct\n  var out = PBRData(diffuse, specular);\n  \n  return out; // Returns angle along with color of light so the final color can be multiplied by angle as well (creates black areas)\n}\n\n// For a reason unknown to me, spheres dont seem to behave propperly with head-on spot lights\nfn calcSpotLight(N: vec3<f32>, V: vec3<f32>, fragPos: vec3<f32>, ior: f32, roughness: f32, metallic: f32, position: vec3<f32>, direction: vec3<f32>, cones: vec2<f32>, color: vec3<f32>, base: vec3<f32>) -> PBRData {\n  var L: vec3<f32> = normalize(position - fragPos);\n  var H: vec3<f32> = normalize(L + V); // Halfway Vector\n  var dist = distance(position, fragPos);\n\n  var alpha = roughness*roughness;\n  var k: f32 = alpha*alpha / 2.0; // could also be pow(alpha + 1.0, 2) / 8\n\n  var D: f32 = trGGX(N, H, alpha); // Distribution\n  // var F: f32 = schlickFresnelIOR(V, N, ior, k); // Fresnel\n  var G: f32 = smithSurfaceRoughness(N, V, L, k); // Geometry\n\n  var brdf: f32 = cookTorrance(D, 1.0, G, N, V, L);\n  \n  // Cones.x is the inner phi and cones.y is the outer phi\n  var theta: f32 = mdot(normalize(direction), L);\n  var epsilon: f32 = cones.x - cones.y;\n  var intensity: f32 = (theta - cones.y) / epsilon;\n  intensity = clamp(intensity, 0.0, 1.0);\n  intensity /= dist*dist;\n\n  var incoming: vec3<f32> = color * intensity;\n\n  var angle: f32 = mdot(L, N);\n  angle = pow(angle, 1.5); // Smoothing factor makes it less accurate, but reduces ugly "seams" bewteen light sources\n\n  var specular: vec3<f32> = brdf*incoming*angle;\n  var diffuse: vec3<f32> = incoming*fujiiOrenNayar(base, roughness, N, L, V);\n\n  // Stores the specular and diffuse separately to allow for finer post processing\n  // Could also be done (propably more properly) with a struct\n  var out = PBRData(diffuse, specular);\n  \n  return out; // Returns angle along with color of light so the final color can be multiplied by angle as well (creates black areas)\n}\n\n// Environment mapping stuff\n// Takes in a vector and converts it to an equivalent coordinate in a rectilinear texture. Should be replaced with cubemaps at some point\nfn vecToRectCoord(dir: vec3<f32>) -> vec2<f32> {\n  var tau: f32 = 6.28318530718;\n  var pi: f32 = 3.14159265359;\n  var out: vec2<f32> = vec2<f32>(0.0);\n\n  out.x = atan2(dir.z, dir.x) / tau;\n  out.x += 0.5;\n\n  var phix: f32 = length(vec2(dir.x, dir.z));\n  out.y = atan2(dir.y, phix) / pi + 0.5;\n\n  return out;\n}\n\n//VTK::Renderer::Dec\n\n//VTK::Color::Dec\n\n//VTK::TCoord::Dec\n\n// optional surface normal declaration\n//VTK::Normal::Dec\n\n//VTK::Select::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output : fragmentOutput;\n\n  // Temporary ambient, diffuse, and opacity\n  var ambientColor: vec4<f32> = mapperUBO.AmbientColor;\n  var diffuseColor: vec4<f32> = mapperUBO.DiffuseColor;\n  var opacity: f32 = mapperUBO.Opacity;\n\n  // This should be declared somewhere else\n  var _diffuseMap: vec4<f32> = vec4<f32>(1.0);\n  var _roughnessMap: vec4<f32> = vec4<f32>(1.0);\n  var _metallicMap: vec4<f32> = vec4<f32>(1.0);\n  var _normalMap: vec4<f32> = vec4<f32>(0.0, 0.0, 1.0, 0.0); // normal map was setting off the normal vector detection in fragment\n  var _ambientOcclusionMap: vec4<f32> = vec4<f32>(1.);\n  var _emissionMap: vec4<f32> = vec4<f32>(0.);\n\n  //VTK::Color::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Normal::Impl\n\n  var computedColor: vec4<f32> = vec4<f32>(diffuseColor.rgb, 1.0);\n\n  //VTK::Light::Impl\n\n  //VTK::Select::Impl\n\n  if (computedColor.a == 0.0) { discard; };\n\n  //VTK::Position::Impl\n\n  //VTK::RenderEncoder::Impl\n\n  return output;\n}\n',t.vertexShaderTemplate="\n//VTK::Renderer::Dec\n\n//VTK::Color::Dec\n\n//VTK::Normal::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::Select::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::IOStructs::Dec\n\n@vertex\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output : vertexOutput;\n\n  var vertex: vec4<f32> = vertexBC;\n\n  //VTK::Color::Impl\n\n  //VTK::Normal::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::Select::Impl\n\n  //VTK::Position::Impl\n\n  return output;\n}\n",t._tmpMat3=wx(new Float64Array(9)),t._tmpMat4=S_(new Float64Array(16)),t.UBO=gN.newInstance({label:"mapperUBO"}),t.UBO.addEntry("BCWCMatrix","mat4x4<f32>"),t.UBO.addEntry("BCSCMatrix","mat4x4<f32>"),t.UBO.addEntry("MCWCNormals","mat4x4<f32>"),t.UBO.addEntry("AmbientColor","vec4<f32>"),t.UBO.addEntry("DiffuseColor","vec4<f32>"),t.UBO.addEntry("EdgeColor","vec4<f32>"),t.UBO.addEntry("SpecularColor","vec4<f32>"),t.UBO.addEntry("AmbientIntensity","f32"),t.UBO.addEntry("DiffuseIntensity","f32"),t.UBO.addEntry("Roughness","f32"),t.UBO.addEntry("Metallic","f32"),t.UBO.addEntry("Ambient","f32"),t.UBO.addEntry("Normal","f32"),t.UBO.addEntry("Emission","f32"),t.UBO.addEntry("NormalStrength","f32"),t.UBO.addEntry("BaseIOR","f32"),t.UBO.addEntry("SpecularIntensity","f32"),t.UBO.addEntry("LineWidth","f32"),t.UBO.addEntry("Opacity","f32"),t.UBO.addEntry("ZValue","f32"),t.UBO.addEntry("PropID","u32"),t.UBO.addEntry("ClipNear","f32"),t.UBO.addEntry("ClipFar","f32"),t.UBO.addEntry("Time","u32"),Ow(e,t,["cellArray","currentInput","cellOffset","is2D","primitiveType","renderEncoder"]),t.textures=[],function(e,t){t.classHierarchy.push("vtkWebGPUCellArrayMapper"),e.buildPass=n=>{n&&(t.is2D?(t.WebGPUActor=e.getFirstAncestorOfType("vtkWebGPUActor2D"),t.forceZValue=!0):(t.WebGPUActor=e.getFirstAncestorOfType("vtkWebGPUActor"),t.forceZValue=!1),t.coordinateSystem=t.WebGPUActor.getRenderable().getCoordinateSystem(),t.useRendererMatrix=t.coordinateSystem!==UN.DISPLAY,t.WebGPURenderer=t.WebGPUActor.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getParent(),t.device=t.WebGPURenderWindow.getDevice())},e.translucentPass=n=>{n&&(e.prepareToDraw(t.WebGPURenderer.getRenderEncoder()),t.renderEncoder.registerDrawCallback(t.pipeline,e.draw))},e.opaquePass=n=>{n&&(e.prepareToDraw(t.WebGPURenderer.getRenderEncoder()),t.renderEncoder.registerDrawCallback(t.pipeline,e.draw))},e.updateUBO=()=>{const n=t.WebGPUActor.getRenderable().getProperty(),r=t.UBO.getSendTime();if(e.getMTime()>r||n.getMTime()>r||t.renderable.getMTime()>r){const e=t.WebGPUActor.getKeyMatrices(t.WebGPURenderer);if(t.UBO.setArray("BCWCMatrix",e.bcwc),t.UBO.setArray("BCSCMatrix",e.bcsc),t.UBO.setArray("MCWCNormals",e.normalMatrix),t.is2D){t.UBO.setValue("ZValue",t.WebGPUActor.getRenderable().getProperty().getDisplayLocation()===VN.FOREGROUND?1:0);const e=n.getColorByReference();t.UBO.setValue("AmbientIntensity",1),t.UBO.setArray("DiffuseColor",[e[0],e[1],e[2],1]),t.UBO.setValue("DiffuseIntensity",0),t.UBO.setValue("SpecularIntensity",0)}else{let e=n.getAmbientColorByReference();t.UBO.setValue("AmbientIntensity",n.getAmbient()),t.UBO.setArray("AmbientColor",[e[0],e[1],e[2],1]),t.UBO.setValue("DiffuseIntensity",n.getDiffuse()),e=n.getDiffuseColorByReference(),t.UBO.setArray("DiffuseColor",[e[0],e[1],e[2],1]),t.UBO.setValue("Roughness",n.getRoughness()),t.UBO.setValue("BaseIOR",n.getBaseIOR()),t.UBO.setValue("Metallic",n.getMetallic()),t.UBO.setValue("NormalStrength",n.getNormalStrength()),t.UBO.setValue("Emission",n.getEmission()),t.UBO.setValue("SpecularIntensity",n.getSpecular()),e=n.getSpecularColorByReference(),t.UBO.setArray("SpecularColor",[e[0],e[1],e[2],1])}const r=n.getEdgeColorByReference?.();r&&t.UBO.setArray("EdgeColor",[r[0],r[1],r[2],1]),t.UBO.setValue("LineWidth",n.getLineWidth()),t.UBO.setValue("Opacity",n.getOpacity()),t.UBO.setValue("PropID",t.WebGPUActor.getPropID());const i=t.WebGPURenderWindow.getDevice();t.UBO.sendIfNeeded(i)}},e.haveWideLines=()=>{const e=t.WebGPUActor.getRenderable(),n=e.getProperty().getRepresentation();return!(e.getProperty().getLineWidth()<=1)&&t.primitiveType!==LN.Verts&&(t.primitiveType!==LN.Triangles&&t.primitiveType!==LN.TriangleStrips||n===FN.WIREFRAME)},e.replaceShaderPosition=(n,r,i)=>{const a=r.getShaderDescription("vertex");a.addBuiltinOutput("vec4<f32>","@builtin(position) Position"),a.hasOutput("vertexVC")||a.addOutput("vec4<f32>","vertexVC");let o=a.getCode();t.useRendererMatrix?(o=mO.substitute(o,"//VTK::Position::Impl",["    var pCoord: vec4<f32> = rendererUBO.SCPCMatrix*mapperUBO.BCSCMatrix*vertexBC;","    output.vertexVC = rendererUBO.SCVCMatrix * mapperUBO.BCSCMatrix * vec4<f32>(vertexBC.xyz, 1.0);","//VTK::Position::Impl"]).result,t.forceZValue&&(o=mO.substitute(o,"//VTK::Position::Impl",["pCoord = vec4<f32>(pCoord.xyz/pCoord.w, 1.0);","pCoord.z = mapperUBO.ZValue;","//VTK::Position::Impl"]).result)):(o=mO.substitute(o,"//VTK::Position::Impl",["    var pCoord: vec4<f32> = mapperUBO.BCSCMatrix*vertexBC;","    pCoord.x = 2.0* pCoord.x / rendererUBO.viewportSize.x - 1.0;","    pCoord.y = 2.0* pCoord.y / rendererUBO.viewportSize.y - 1.0;","    pCoord.z = 0.5 - 0.5 * pCoord.z;","//VTK::Position::Impl"]).result,t.forceZValue&&(o=mO.substitute(o,"//VTK::Position::Impl",["    pCoord.z = mapperUBO.ZValue;","//VTK::Position::Impl"]).result)),e.haveWideLines()&&(a.addBuiltinInput("u32","@builtin(instance_index) instanceIndex"),o=mO.substitute(o,"//VTK::Position::Impl",["    var tmpPos: vec4<f32> = pCoord;","    var numSteps: f32 = ceil(mapperUBO.LineWidth - 1.0);","    var offset: f32 = (mapperUBO.LineWidth - 1.0) * (f32(input.instanceIndex / 2u) - numSteps/2.0) / numSteps;","    var tmpPos2: vec3<f32> = tmpPos.xyz / tmpPos.w;","    tmpPos2.x = tmpPos2.x + 2.0 * (f32(input.instanceIndex) % 2.0) * offset / rendererUBO.viewportSize.x;","    tmpPos2.y = tmpPos2.y + 2.0 * (f32(input.instanceIndex + 1u) % 2.0) * offset / rendererUBO.viewportSize.y;","    tmpPos2.z = min(1.0, tmpPos2.z + 0.00001);","    pCoord = vec4<f32>(tmpPos2.xyz * tmpPos.w, tmpPos.w);","//VTK::Position::Impl"]).result),o=mO.substitute(o,"//VTK::Position::Impl",["    output.Position = pCoord;"]).result,a.setCode(o)},t.shaderReplacements.set("replaceShaderPosition",e.replaceShaderPosition),e.replaceShaderNormal=(e,n,r)=>{const i=r.getBuffer("normalMC"),a=t.WebGPUActor.getRenderable();if(i){const e=n.getShaderDescription("vertex");e.hasOutput("normalVC")||e.addOutput("vec3<f32>","normalVC",i.getArrayInformation()[0].interpolation),e.hasOutput("tangentVC")||e.addOutput("vec3<f32>","tangentVC",i.getArrayInformation()[0].interpolation),e.hasOutput("bitangentVC")||e.addOutput("vec3<f32>","bitangentVC",i.getArrayInformation()[0].interpolation);let t=e.getCode();t=mO.substitute(t,"//VTK::Normal::Impl",["  output.normalVC = normalize((rendererUBO.WCVCNormals * mapperUBO.MCWCNormals * normalMC).xyz);","  var c1: vec3<f32> = cross(output.normalVC, vec3<f32>(0, 0, 1));","  var c2: vec3<f32> = cross(output.normalVC, vec3<f32>(0, 1, 0));","  var tangent: vec3<f32> = mix(c1, c2, distance(c1, c2));","  output.tangentVC = normalize(tangent);","  output.bitangentVC = normalize(cross(output.normalVC, tangent));"]).result,e.setCode(t);const r=n.getShaderDescription("fragment");t=r.getCode(),t=a.getProperty().getNormalTexture()?mO.substitute(t,"//VTK::Normal::Impl",["  var normal: vec3<f32> = input.normalVC;","  if (!input.frontFacing) { normal = -normal; }","  var tangent: vec3<f32> = input.tangentVC;","  var bitangent: vec3<f32> = input.bitangentVC;","  var TCVCMatrix: mat3x3<f32> = mat3x3<f32>(","    tangent.x, bitangent.x, normal.x,","    tangent.y, bitangent.y, normal.y,","    tangent.z, bitangent.z, normal.z,","  );","  var mappedNormal: vec3<f32> = TCVCMatrix * (_normalMap.xyz * 2 - 1);","  normal = mix(normal, mappedNormal, mapperUBO.NormalStrength);","  normal = normalize(normal);"]).result:mO.substitute(t,"//VTK::Normal::Impl",["  var normal: vec3<f32> = input.normalVC;","  if (!input.frontFacing) { normal = -normal; }","  normal = normalize(normal);"]).result,r.setCode(t)}},t.shaderReplacements.set("replaceShaderNormal",e.replaceShaderNormal),e.replaceShaderLight=(e,n,r)=>{if(e.includes("sel"))return;const i=n.getShaderDescription("vertex");i.hasOutput("vertexVC")||i.addOutput("vec4<f32>","vertexVC");const a=t.WebGPURenderer.getRenderable(),o=n.getShaderDescription("fragment");let s=o.getCode();if(!s.includes("var normal:")||!t.useRendererMatrix||GN(e)||t.is2D||e.includes("sel"))s=mO.substitute(s,"//VTK::Light::Impl",["  var diffuse: vec3<f32> = diffuseColor.rgb;","  var specular: vec3<f32> = mapperUBO.SpecularColor.rgb * mapperUBO.SpecularColor.a;","  computedColor = vec4<f32>(diffuse * _diffuseMap.rgb, mapperUBO.Opacity);"]).result,o.setCode(s);else{const e=["  var pi: f32 = 3.14159265359;","  var fragPos: vec3<f32> = vec3<f32>(input.vertexVC.xyz);","  var V: vec3<f32> = mix(normalize(-fragPos), vec3<f32>(0, 0, 1), f32(rendererUBO.cameraParallel)); // View Vector","  var baseColor: vec3<f32> = _diffuseMap.rgb * diffuseColor.rgb;","  var roughness: f32 = max(0.000001, mapperUBO.Roughness * _roughnessMap.r);","  var metallic: f32 = mapperUBO.Metallic * _metallicMap.r;","  var alpha: f32 = roughness*roughness;","  var ior: f32 = mapperUBO.BaseIOR;","  var k: f32 = alpha*alpha / 2;","  var diffuse: vec3<f32> = vec3<f32>(0.);","  var specular: vec3<f32> = vec3<f32>(0.);","  var emission: vec3<f32> = _emissionMap.rgb * mapperUBO.Emission;","  {","    var i: i32 = 0;","    loop {","      if !(i < rendererUBO.LightCount) { break; }","      switch (i32(rendererLightSSBO.values[i].LightData.x)) {","         // Point Light","         case 0 {","           var color: vec3<f32> = rendererLightSSBO.values[i].LightColor.rgb * rendererLightSSBO.values[i].LightColor.w;","           var pos: vec3<f32> = (rendererLightSSBO.values[i].LightPos).xyz;","           var calculated: PBRData = calcPointLight(normal, V, fragPos, ior, roughness, metallic, pos, color, baseColor);","           diffuse += max(vec3<f32>(0), calculated.diffuse);","           specular += max(vec3<f32>(0), calculated.specular);","          }","         // Directional light","         case 1 {","           var dir: vec3<f32> = (rendererUBO.WCVCNormals * vec4<f32>(normalize(rendererLightSSBO.values[i].LightDir.xyz), 0.)).xyz;","           dir = normalize(dir);","           var color: vec3<f32> = rendererLightSSBO.values[i].LightColor.rgb * rendererLightSSBO.values[i].LightColor.w;","           var calculated: PBRData = calcDirectionalLight(normal, V, ior, roughness, metallic, dir, color, baseColor); // diffuseColor.rgb needs to be fixed with a more dynamic diffuse color","           diffuse += max(vec3<f32>(0), calculated.diffuse);","           specular += max(vec3<f32>(0), calculated.specular);","         }","         // Spot Light","         case 2 {","           var color: vec3<f32> = rendererLightSSBO.values[i].LightColor.rgb * rendererLightSSBO.values[i].LightColor.w;","           var pos: vec3<f32> = (rendererLightSSBO.values[i].LightPos).xyz;","           var dir: vec3<f32> = (rendererUBO.WCVCNormals * vec4<f32>(normalize(rendererLightSSBO.values[i].LightDir.xyz), 0.)).xyz;","           dir = normalize(dir);","           var cones: vec2<f32> = vec2<f32>(rendererLightSSBO.values[i].LightData.y, rendererLightSSBO.values[i].LightData.z);","           var calculated: PBRData = calcSpotLight(normal, V, fragPos, ior, roughness, metallic, pos, dir, cones, color, baseColor);","           diffuse += max(vec3<f32>(0), calculated.diffuse);","           specular += max(vec3<f32>(0), calculated.specular);","         }","         default { continue; }","       }","      continuing { i++; }","    }","  }","  var fresnel: f32 = schlickFresnelIOR(V, normal, ior, k); // Fresnel","  fresnel = min(1.0, fresnel);","  // This could be controlled with its own variable (that isnt base color) for better artistic control","  var fresnelMetallic: vec3<f32> = schlickFresnelRGB(V, normal, baseColor); // Fresnel for metal, takes color into account","  var kS: vec3<f32> = mix(vec3<f32>(fresnel), fresnelMetallic, metallic);","  kS = min(vec3<f32>(1.0), kS);","  var kD: vec3<f32> = (1.0 - kS) * (1.0 - metallic);","  var PBR: vec3<f32> = mapperUBO.DiffuseIntensity*kD*diffuse + kS*specular;","  PBR += emission;","  computedColor = vec4<f32>(PBR, mapperUBO.Opacity);"];a.getEnvironmentTexture()?.getImageLoaded()&&e.push("  // To get diffuse IBL, the texture is sampled with normals in worldspace","  var diffuseIBLCoords: vec3<f32> = (transpose(rendererUBO.WCVCNormals) * vec4<f32>(normal, 1.)).xyz;","  var diffuseCoords: vec2<f32> = vecToRectCoord(diffuseIBLCoords);","  // To get specular IBL, the texture is sampled as the worldspace reflection between the normal and view vectors","  // Reflections are first calculated in viewspace, then converted to worldspace to sample the environment","  var VreflN: vec3<f32> = normalize(reflect(-V, normal));","  var reflectionIBLCoords = (transpose(rendererUBO.WCVCNormals) * vec4<f32>(VreflN, 1.)).xyz;","  var specularCoords: vec2<f32> = vecToRectCoord(reflectionIBLCoords);","  var diffuseIBL = textureSampleLevel(EnvironmentTexture, EnvironmentTextureSampler, diffuseCoords, rendererUBO.MaxEnvironmentMipLevel);","  var level = roughness * rendererUBO.MaxEnvironmentMipLevel;","  var specularIBL = textureSampleLevel(EnvironmentTexture, EnvironmentTextureSampler, specularCoords, level);","  var specularIBLContribution: vec3<f32> = specularIBL.rgb*rendererUBO.BackgroundSpecularStrength;","  computedColor += vec4<f32>(specularIBLContribution*kS, 0);","  var diffuseIBLContribution: vec3<f32> = diffuseIBL.rgb*rendererUBO.BackgroundDiffuseStrength;","  diffuseIBLContribution *= baseColor * _ambientOcclusionMap.rgb;","  computedColor += vec4<f32>(diffuseIBLContribution*kD, 0);"),s=mO.substitute(s,"//VTK::Light::Impl",e).result,o.setCode(s)}},t.shaderReplacements.set("replaceShaderLight",e.replaceShaderLight),e.replaceShaderColor=(e,t,n)=>{if(GN(e)){const e=t.getShaderDescription("fragment");let n=e.getCode();return n=mO.substitute(n,"//VTK::Color::Impl",["ambientColor = mapperUBO.EdgeColor;","diffuseColor = mapperUBO.EdgeColor;"]).result,void e.setCode(n)}const r=n.getBuffer("colorVI");if(!r)return;const i=t.getShaderDescription("vertex");i.addOutput("vec4<f32>","color",r.getArrayInformation()[0].interpolation);let a=i.getCode();a=mO.substitute(a,"//VTK::Color::Impl",["  output.color = colorVI;"]).result,i.setCode(a);const o=t.getShaderDescription("fragment");a=o.getCode(),a=mO.substitute(a,"//VTK::Color::Impl",["ambientColor = input.color;","diffuseColor = input.color;","opacity = mapperUBO.Opacity * input.color.a;"]).result,o.setCode(a)},t.shaderReplacements.set("replaceShaderColor",e.replaceShaderColor),e.replaceShaderTCoord=(e,n,r)=>{if(!r.hasAttribute("tcoord"))return;const i=n.getShaderDescription("vertex"),a=r.getBuffer("tcoord"),o=AO.getNumberOfComponentsFromBufferFormat(a.getArrayInformation()[0].format);let s=i.getCode();i.addOutput(`vec${o}<f32>`,"tcoordVS"),s=mO.substitute(s,"//VTK::TCoord::Impl",["  output.tcoordVS = tcoord;"]).result,i.setCode(s);const l=n.getShaderDescription("fragment");s=l.getCode();const c=t.WebGPUActor.getRenderable(),u=e=>!!e&&e.getDimensionality()===o,d=[];(c.getProperty().getDiffuseTexture?.()?.getImageLoaded()||c.getTextures()[0]||t.colorTexture)&&(u(c.getProperty().getDiffuseTexture?.())||u(c.getTextures()[0])||u(t.colorTexture))&&d.push("_diffuseMap = textureSample(DiffuseTexture, DiffuseTextureSampler, input.tcoordVS);"),c.getProperty().getRoughnessTexture?.()?.getImageLoaded()&&u(c.getProperty().getRoughnessTexture())&&d.push("_roughnessMap = textureSample(RoughnessTexture, RoughnessTextureSampler, input.tcoordVS);"),c.getProperty().getMetallicTexture?.()?.getImageLoaded()&&u(c.getProperty().getMetallicTexture())&&d.push("_metallicMap = textureSample(MetallicTexture, MetallicTextureSampler, input.tcoordVS);"),c.getProperty().getNormalTexture?.()?.getImageLoaded()&&u(c.getProperty().getNormalTexture())&&d.push("_normalMap = textureSample(NormalTexture, NormalTextureSampler, input.tcoordVS);"),c.getProperty().getAmbientOcclusionTexture?.()?.getImageLoaded()&&u(c.getProperty().getAmbientOcclusionTexture())&&d.push("_ambientOcclusionMap = textureSample(AmbientOcclusionTexture, AmbientOcclusionTextureSampler, input.tcoordVS);"),c.getProperty().getEmissionTexture?.()?.getImageLoaded()&&u(c.getProperty().getEmissionTexture())&&d.push("_emissionMap = textureSample(EmissionTexture, EmissionTextureSampler, input.tcoordVS);"),s=mO.substitute(s,"//VTK::TCoord::Impl",d).result,l.setCode(s)},t.shaderReplacements.set("replaceShaderTCoord",e.replaceShaderTCoord),e.replaceShaderSelect=(e,t,n)=>{if(e.includes("sel")){const e=t.getShaderDescription("fragment");let n=e.getCode();n=mO.substitute(n,"//VTK::Select::Impl",["  var compositeID: u32 = 0u;"]).result,e.setCode(n)}},t.shaderReplacements.set("replaceShaderSelect",e.replaceShaderSelect),e.getUsage=(e,t)=>e===FN.POINTS||t===LN.Points?RN.Verts:t===LN.Lines?RN.Lines:e===FN.WIREFRAME?t===LN.Triangles?RN.LinesFromTriangles:RN.LinesFromStrips:t===LN.Triangles?RN.Triangles:t===LN.TriangleStrips?RN.Strips:t===LN.TriangleEdges?RN.LinesFromTriangles:RN.LinesFromStrips,e.getHashFromUsage=e=>`pt${e}`,e.getTopologyFromUsage=e=>{switch(e){case RN.Triangles:return"triangle-list";case RN.Verts:return"point-list";case RN.Lines:default:return"line-list"}},e.buildVertexInput=()=>{const n=t.currentInput,r=t.cellArray,i=t.primitiveType;let a=t.WebGPUActor.getRenderable().getProperty().getRepresentation();const o=t.WebGPURenderWindow.getDevice();let s=!1;i===LN.TriangleEdges&&(s=!0,a=FN.WIREFRAME);const l=t.vertexInput,c=n.getPoints();let u;if(r){const e={hash:`R${a}P${i}${r.getMTime()}`,usage:RN.Index,cells:r,numberOfPoints:c.getNumberOfPoints(),primitiveType:i,representation:a};u=o.getBufferManager().getBuffer(e),l.setIndexBuffer(u)}else l.setIndexBuffer(null);if(c){const e=t.WebGPUActor.getBufferShift(t.WebGPURenderer),n={hash:`${c.getMTime()}I${u.getMTime()}${e.join()}float32x4`,usage:RN.PointArray,format:"float32x4",dataArray:c,indexBuffer:u,shift:e,packExtra:!0},r=o.getBufferManager().getBuffer(n);l.addBuffer(r,["vertexBC"])}else l.removeBufferIfPresent("vertexBC");const d=e.getUsage(a,i);if(t._usesCellNormals=!1,t.is2D||d!==RN.Triangles&&d!==RN.Strips)l.removeBufferIfPresent("normalMC");else{const e=n.getPointData().getNormals(),a={format:"snorm8x4",indexBuffer:u,packExtra:!0,shift:0,scale:127};if(e){a.hash=`${e.getMTime()}I${u.getMTime()}snorm8x4`,a.dataArray=e,a.usage=RN.PointArray;const t=o.getBufferManager().getBuffer(a);l.addBuffer(t,["normalMC"])}else if(i===LN.Triangles){t._usesCellNormals=!0,a.hash=`PFN${c.getMTime()}I${u.getMTime()}snorm8x4`,a.dataArray=c,a.cells=r,a.usage=RN.NormalsFromPoints;const e=o.getBufferManager().getBuffer(a);l.addBuffer(e,["normalMC"])}else l.removeBufferIfPresent("normalMC")}let f=!1;if(t.renderable.getScalarVisibility()){const e=t.renderable.getColorMapColors();if(e&&!s){const r=t.renderable.getScalarMode();let i=!1;r!==BN.USE_CELL_DATA&&r!==BN.USE_CELL_FIELD_DATA&&r!==BN.USE_FIELD_DATA&&n.getPointData().getScalars()||r===BN.USE_POINT_FIELD_DATA||!e||(i=!0);const a={usage:RN.PointArray,format:"unorm8x4",hash:`${i}${e.getMTime()}I${u.getMTime()}unorm8x4`,dataArray:e,indexBuffer:u,cellData:i,cellOffset:0},s=o.getBufferManager().getBuffer(a);l.addBuffer(s,["colorVI"]),f=!0}}f||l.removeBufferIfPresent("colorVI");let p=null;if(p=t.renderable.getInterpolateScalarsBeforeMapping?.()&&t.renderable.getColorCoordinates()?t.renderable.getColorCoordinates():n.getPointData().getTCoords(),p&&!s){const e=o.getBufferManager().getBufferForPointArray(p,l.getIndexBuffer());l.addBuffer(e,["tcoord"])}else l.removeBufferIfPresent("tcoord")},e.updateTextures=()=>{const e=[],n=[],r=t.renderable.getColorTextureMap?.();r&&(t.colorTexture||(t.colorTexture=eP.newInstance({label:"polyDataColor"})),t.colorTexture.setInputData(r),n.push(["Diffuse",t.colorTexture]));const i=t.WebGPUActor.getRenderable(),a=t.WebGPURenderer.getRenderable(),o=[];if(i.getProperty().getDiffuseTexture?.()){const e=["Diffuse",i.getProperty().getDiffuseTexture()];o.push(e)}if(i.getTextures()[0]){const e=["Diffuse",i.getTextures()[0]];o.push(e)}if(t.colorTexture){const e=["Diffuse",t.colorTexture];o.push(e)}if(i.getProperty().getRoughnessTexture?.()){const e=["Roughness",i.getProperty().getRoughnessTexture()];o.push(e)}if(i.getProperty().getMetallicTexture?.()){const e=["Metallic",i.getProperty().getMetallicTexture()];o.push(e)}if(i.getProperty().getNormalTexture?.()){const e=["Normal",i.getProperty().getNormalTexture()];o.push(e)}if(i.getProperty().getAmbientOcclusionTexture?.()){const e=["AmbientOcclusion",i.getProperty().getAmbientOcclusionTexture()];o.push(e)}if(i.getProperty().getEmissionTexture?.()){const e=["Emission",i.getProperty().getEmissionTexture()];o.push(e)}if(a.getEnvironmentTexture?.()){const e=["Environment",a.getEnvironmentTexture()];o.push(e)}for(let e=0;e<o.length;e++)(o[e][1].getInputData()||o[e][1].getJsImageData()||o[e][1].getCanvas())&&n.push(o[e]),o[e][1].getImage()&&o[e][1].getImageLoaded()&&n.push(o[e]);for(let r=0;r<n.length;r++){const i=n[r][1],a=n[r][0],o=t.device.getTextureManager().getTextureForVTKTexture(i);if(o.getReady()){let n=!1;for(let r=0;r<t.textures.length;r++)t.textures[r]===o&&(n=!0,e[r]=!0);if(!n){e[t.textures.length]=!0;const n=o.createView(`${a}Texture`);t.textures.push(o),t.textureViews.push(n);const r=i.getInterpolate()?"linear":"nearest";let s=null;!s&&i.getEdgeClamp()&&i.getRepeat()&&(s="mirror-repeat"),!s&&i.getEdgeClamp()&&(s="clamp-to-edge"),!s&&i.getRepeat()&&(s="repeat"),"Environment"!==a?n.addSampler(t.device,{addressModeU:s,addressModeV:s,addressModeW:s,minFilter:r,magFilter:r}):n.addSampler(t.device,{addressModeU:"repeat",addressModeV:"clamp-to-edge",addressModeW:"repeat",minFilter:r,magFilter:r,mipmapFilter:"linear"})}}}for(let n=t.textures.length-1;n>=0;n--)e[n]||(t.textures.splice(n,1),t.textureViews.splice(n,1))},e.computePipelineHash=()=>{let n=`pd${t.useRendererMatrix?"r":""}${t.forceZValue?"z":""}`;if(t.primitiveType===LN.TriangleEdges||t.primitiveType===LN.TriangleStripEdges)n+="edge";else{if(t.vertexInput.hasAttribute("normalMC")&&(n+="n"),t.vertexInput.hasAttribute("colorVI")&&(n+="c"),t.vertexInput.hasAttribute("tcoord")){const e=t.vertexInput.getBuffer("tcoord");n+=`t${AO.getNumberOfComponentsFromBufferFormat(e.getArrayInformation()[0].format)}`}t.textures.length&&(n+=`tx${t.textures.length}`)}t._usesCellNormals&&(n+="cn"),t.SSBO&&(n+="ssbo"),n+=e.getHashFromUsage(t.usage),n+=t.renderEncoder.getPipelineHash(),t.pipelineHash=n},e.updateBuffers=()=>{t.primitiveType!==LN.TriangleEdges&&t.primitiveType!==LN.TriangleStripEdges&&e.updateTextures();const n=t.WebGPUActor.getRenderable(),r=n.getProperty().getRepresentation();t.usage=e.getUsage(r,t.primitiveType),e.buildVertexInput();const i=t.vertexInput.getBuffer("vertexBC");if(e.setNumberOfVertices(i.getSizeInBytes()/i.getStrideInBytes()),e.setTopology(e.getTopologyFromUsage(t.usage)),e.updateUBO(),e.haveWideLines()){const t=n.getProperty();e.setNumberOfInstances(Math.ceil(2*t.getLineWidth()))}else e.setNumberOfInstances(1)}}(e,t)}var WN={newInstance:Vw(jN,"vtkWebGPUCellArrayMapper"),extend:jN};const{PrimitiveTypes:HN}=oN,$N={primitives:null};const XN=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,$N,n),iA.extend(e,t,n),t.primitives=[],function(e,t){t.classHierarchy.push("vtkWebGPUPolyDataMapper"),e.createCellArrayMapper=()=>WN.newInstance(),e.buildPass=n=>{if(n){t.WebGPUActor=e.getFirstAncestorOfType("vtkWebGPUActor"),t.renderable.getStatic()||t.renderable.update();const n=t.renderable.getInputData();t.renderable.mapScalars(n,1),e.updateCellArrayMappers(n)}},e.updateCellArrayMappers=n=>{const r=[n.getVerts(),n.getLines(),n.getPolys(),n.getStrips()],i=[];let a=0;for(let o=HN.Points;o<=HN.Triangles;o++)if(r[o].getNumberOfValues()>0){t.primitives[o]||(t.primitives[o]=e.createCellArrayMapper());const s=t.primitives[o];s.setCellArray(r[o]),s.setCurrentInput(n),s.setCellOffset(a),s.setPrimitiveType(o),s.setRenderable(t.renderable),a+=r[o].getNumberOfCells(),i.push(s)}else t.primitives[o]=null;if(t.WebGPUActor.getRenderable().getProperty().getEdgeVisibility())for(let a=HN.TriangleEdges;a<=HN.TriangleStripEdges;a++)if(r[a-2].getNumberOfValues()>0){t.primitives[a]||(t.primitives[a]=e.createCellArrayMapper());const o=t.primitives[a];o.setCellArray(r[a-2]),o.setCurrentInput(n),o.setCellOffset(t.primitives[a-2].getCellOffset()),o.setPrimitiveType(a),o.setRenderable(t.renderable),i.push(o)}else t.primitives[a]=null;e.prepareNodes(),e.addMissingChildren(i),e.removeUnusedNodes()}}(e,t)}),"vtkWebGPUPolyDataMapper");tO("vtkMapper",XN);const{PrimitiveTypes:qN}=oN;const KN=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,function(e){return{primitives:[],...e}}(n)),iA.extend(e,t,n),t.primitives=[],function(e,t){t.classHierarchy.push("vtkWebGPUPolyDataMapper2D"),e.createCellArrayMapper=()=>WN.newInstance(),e.buildPass=n=>{if(n){t.WebGPUActor=e.getFirstAncestorOfType("vtkWebGPUActor2D"),t.renderable.getStatic()||t.renderable.update();const n=t.renderable.getInputData();t.renderable.mapScalars(n,1),e.updateCellArrayMappers(n)}},e.updateCellArrayMappers=n=>{const r=[n.getVerts(),n.getLines(),n.getPolys(),n.getStrips()],i=[];let a=0;for(let o=qN.Points;o<=qN.Triangles;o++)if(r[o].getNumberOfValues()>0){t.primitives[o]||(t.primitives[o]=e.createCellArrayMapper());const s=t.primitives[o];s.setCellArray(r[o]),s.setCurrentInput(n),s.setCellOffset(a),s.setPrimitiveType(o),s.setRenderable(t.renderable),s.setIs2D(!0),a+=r[o].getNumberOfCells(),i.push(s)}else t.primitives[o]=null;e.prepareNodes(),e.addMissingChildren(i),e.removeUnusedNodes()}}(e,t)}),"vtkWebGPUPolyDataMapper2D");tO("vtkMapper2D",KN);const YN={};const JN=Vw((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,YN,n),iA.extend(e,t,n),t.scalarBarActorHelper=HI.newScalarBarActorHelper(),function(e,t){t.classHierarchy.push("vtkWebGPUScalarBarActor"),e.buildPass=n=>{n&&(t.WebGPURenderer=e.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getParent(),t.scalarBarActorHelper.getRenderable()||t.scalarBarActorHelper.setRenderable(t.renderable),e.prepareNodes(),e.addMissingNode(t.scalarBarActorHelper.getBarActor()),e.addMissingNode(t.scalarBarActorHelper.getTmActor()),e.removeUnusedNodes())},e.opaquePass=(e,n)=>{if(e){const e=t.WebGPURenderer?t.WebGPURenderer.getRenderable().getActiveCamera():null,n=t.WebGPURenderer.getTiledSizeAndOrigin();t.scalarBarActorHelper.updateAPISpecificData([n.usize,n.vsize],e,t.WebGPURenderWindow.getRenderable())}}}(e,t)}),"vtkWebGPUScalarBarActor");tO("vtkScalarBarActor",JN);const ZN={device:null,handle:null,label:null,options:null};function QN(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ZN,n),Qw.obj(e,t),t.options={},t.bindGroupLayoutEntry={visibility:GPUShaderStage.VERTEX|GPUShaderStage.FRAGMENT,sampler:{}},t.bindGroupTime={},Qw.obj(t.bindGroupTime,{mtime:0}),Qw.get(e,t,["bindGroupTime","handle","options"]),Qw.setGet(e,t,["bindGroupLayoutEntry","device","label"]),function(e,t){t.classHierarchy.push("vtkWebGPUSampler"),e.create=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};t.device=e,t.options.addressModeU=n.addressModeU?n.addressModeU:"clamp-to-edge",t.options.addressModeV=n.addressModeV?n.addressModeV:"clamp-to-edge",t.options.addressModeW=n.addressModeW?n.addressModeW:"clamp-to-edge",t.options.magFilter=n.magFilter?n.magFilter:"nearest",t.options.minFilter=n.minFilter?n.minFilter:"nearest",t.options.mipmapFilter=n.mipmapFilter?n.mipmapFilter:"nearest",t.options.label=t.label,t.handle=t.device.getHandle().createSampler(t.options),t.bindGroupTime.modified()},e.getShaderCode=(e,n)=>`@binding(${e}) @group(${n}) var ${t.label}: sampler;`,e.getBindGroupEntry=()=>({resource:t.handle})}(e,t)}var ek={newInstance:Qw.newInstance(QN),extend:QN};const tk={texture:null,handle:null,sampler:null,label:null};function nk(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,tk,n),Qw.obj(e,t),t.bindGroupLayoutEntry={visibility:GPUShaderStage.VERTEX|GPUShaderStage.FRAGMENT,texture:{sampleType:"float",viewDimension:"2d"}},t.bindGroupTime={},Qw.obj(t.bindGroupTime,{mtime:0}),Qw.get(e,t,["bindGroupTime","texture"]),Qw.setGet(e,t,["bindGroupLayoutEntry","label","sampler"]),function(e,t){t.classHierarchy.push("vtkWebGPUTextureView"),e.create=(e,n)=>{t.texture=e,t.options=n,t.options.dimension=t.options.dimension||"2d",t.options.label=t.label,t.textureHandle=e.getHandle(),t.handle=t.textureHandle.createView(t.options),t.bindGroupLayoutEntry.texture.viewDimension=t.options.dimension;const r=AO.getDetailsFromTextureFormat(t.texture.getFormat());t.bindGroupLayoutEntry.texture.sampleType=r.sampleType},e.createFromTextureHandle=(e,n)=>{t.texture=null,t.options=n,t.options.dimension=t.options.dimension||"2d",t.options.label=t.label,t.textureHandle=e,t.handle=t.textureHandle.createView(t.options),t.bindGroupLayoutEntry.texture.viewDimension=t.options.dimension;const r=AO.getDetailsFromTextureFormat(n.format);t.bindGroupLayoutEntry.texture.sampleType=r.sampleType,t.bindGroupTime.modified()},e.getBindGroupEntry=()=>({resource:e.getHandle()}),e.getShaderCode=(e,n)=>{let r="f32";"sint"===t.bindGroupLayoutEntry.texture.sampleType?r="i32":"uint"===t.bindGroupLayoutEntry.texture.sampleType&&(r="u32");let i=`@binding(${e}) @group(${n}) var ${t.label}: texture_${t.options.dimension}<${r}>;`;return"depth"===t.bindGroupLayoutEntry.texture.sampleType&&(i=`@binding(${e}) @group(${n}) var ${t.label}: texture_depth_${t.options.dimension};`),i},e.addSampler=(n,r)=>{const i=ek.newInstance({label:`${t.label}Sampler`});i.create(n,r),e.setSampler(i)},e.getBindGroupTime=()=>(t.texture&&t.texture.getHandle()!==t.textureHandle&&(t.textureHandle=t.texture.getHandle(),t.handle=t.textureHandle.createView(t.options),t.bindGroupTime.modified()),t.bindGroupTime),e.getHandle=()=>(t.texture&&t.texture.getHandle()!==t.textureHandle&&(t.textureHandle=t.texture.getHandle(),t.handle=t.textureHandle.createView(t.options),t.bindGroupTime.modified()),t.handle)}(e,t)}var rk={newInstance:Qw.newInstance(nk),extend:nk};const{BufferUsage:ik}=oN,ak={device:null,handle:null,buffer:null,ready:!1,label:null};function ok(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ak,n),Qw.obj(e,t),Qw.get(e,t,["handle","ready","width","height","depth","format","usage"]),Qw.setGet(e,t,["device","label"]),function(e,t){t.classHierarchy.push("vtkWebGPUTexture"),e.create=(e,n)=>{t.device=e,t.width=n.width,t.height=n.height,t.depth=n.depth?n.depth:1;const r=1===t.depth?"2d":"3d";t.format=n.format?n.format:"rgba8unorm",t.mipLevel=n.mipLevel?n.mipLevel:0,t.usage=n.usage?n.usage:GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_DST,t.handle=t.device.getHandle().createTexture({size:[t.width,t.height,t.depth],format:t.format,usage:t.usage,label:t.label,dimension:r,mipLevelCount:t.mipLevel+1})},e.assignFromHandle=(e,n,r)=>{t.device=e,t.handle=n,t.width=r.width,t.height=r.height,t.depth=r.depth?r.depth:1,t.format=r.format?r.format:"rgba8unorm",t.usage=r.usage?r.usage:GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_DST},e.writeImageData=n=>{let r=[];if(n.canvas)return t.device.getHandle().queue.copyExternalImageToTexture({source:n.canvas,flipY:n.flip},{texture:t.handle,premultipliedAlpha:!0},[t.width,t.height,t.depth]),void(t.ready=!0);n.jsImageData&&!n.nativeArray&&(n.width=n.jsImageData.width,n.height=n.jsImageData.height,n.depth=1,n.format="rgba8unorm",n.flip=!0,n.nativeArray=n.jsImageData.data);const i=AO.getDetailsFromTextureFormat(t.format);let a=t.width*i.stride;const o=(e,t,n)=>{const r=e.length/(t*n)*e.BYTES_PER_ELEMENT,a=2===i.elementSize&&"float"===i.sampleType;if(a||r%256){const o=e,s=r/o.BYTES_PER_ELEMENT,l=i.elementSize,c=256*Math.floor((s*l+255)/256),u=c/l,d=Qw.newTypedArray(a?"Uint16Array":o.constructor.name,u*t*n);for(let e=0;e<t*n;e++)if(a)for(let t=0;t<s;t++)d[e*u+t]=KP.toHalf(o[e*s+t]);else d.set(o.subarray(e*s,(e+1)*s),e*u);return[d,c]}return[e,r]};if(n.nativeArray&&(r=n.nativeArray),n.image){const e=document.createElement("canvas");e.width=n.image.width,e.height=n.image.height;const t=e.getContext("2d");t.translate(0,e.height),t.scale(1,-1),t.drawImage(n.image,0,0,n.image.width,n.image.height,0,0,e.width,e.height),r=t.getImageData(0,0,n.image.width,n.image.height).data}const s=t.device.createCommandEncoder();if(3!==e.getDimensionality()){const e=eP.generateMipmaps(r,t.width,t.height,t.mipLevel);let i=t.width,l=t.height;for(let r=0;r<=t.mipLevel;r++){const c=o(e[r],l,1);a=c[1];const u={dataArray:n.dataArray?n.dataArray:null,nativeArray:c[0],usage:ik.Texture},d=t.device.getBufferManager().getBuffer(u);s.copyBufferToTexture({buffer:d.getHandle(),offset:0,bytesPerRow:a,rowsPerImage:l},{texture:t.handle,mipLevel:r},[i,l,1]),i/=2,l/=2}t.device.submitCommandEncoder(s),t.ready=!0}else{const e=o(r,t.height,t.depth);a=e[1];const i={dataArray:n.dataArray?n.dataArray:null,usage:ik.Texture};i.nativeArray=e[0];const l=t.device.getBufferManager().getBuffer(i);s.copyBufferToTexture({buffer:l.getHandle(),offset:0,bytesPerRow:a,rowsPerImage:t.height},{texture:t.handle},[t.width,t.height,t.depth]),t.device.submitCommandEncoder(s),t.ready=!0}},e.getScale=()=>{const e=AO.getDetailsFromTextureFormat(t.format);return 2===e.elementSize&&"float"===e.sampleType?1:255},e.getNumberOfComponents=()=>AO.getDetailsFromTextureFormat(t.format).numComponents,e.getDimensionality=()=>{let e=0;return t.width>1&&e++,t.height>1&&e++,t.depth>1&&e++,e},e.resizeToMatch=e=>{e.getWidth()===t.width&&e.getHeight()===t.height&&e.getDepth()===t.depth||(t.width=e.getWidth(),t.height=e.getHeight(),t.depth=e.getDepth(),t.handle=t.device.getHandle().createTexture({size:[t.width,t.height,t.depth],format:t.format,usage:t.usage,label:t.label}))},e.resize=function(e,n){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;e===t.width&&n===t.height&&r===t.depth||(t.width=e,t.height=n,t.depth=r,t.handle=t.device.getHandle().createTexture({size:[t.width,t.height,t.depth],format:t.format,usage:t.usage,label:t.label}))},e.createView=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};r.dimension||(r.dimension=1===t.depth?"2d":"3d");const i=rk.newInstance({label:n});return i.create(e,r),i}}(e,t)}var sk={newInstance:Qw.newInstance(ok),extend:ok};const lk={};const ck=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,lk,n),iA.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkWebGPUPixelSpaceCallbackMapper"),e.opaquePass=(n,r)=>{t.WebGPURenderer=e.getFirstAncestorOfType("vtkWebGPURenderer"),t.WebGPURenderWindow=t.WebGPURenderer.getParent();const i=t.WebGPURenderer.getAspectRatio(),a=t.WebGPURenderer?t.WebGPURenderer.getRenderable().getActiveCamera():null,o=t.WebGPURenderer.getTiledSizeAndOrigin();t.renderable.getUseZValues(),t.renderable.invokeCallback(t.renderable.getInputData(),a,i,o,null)}}(e,t)}),"vtkWebGPUPixelSpaceCallbackMapper");tO("vtkPixelSpaceCallbackMapper",ck);var uk=Uint8Array,dk=Uint16Array,fk=Uint32Array,pk=new uk([0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0,0,0,0]),hk=new uk([0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,0,0]),mk=new uk([16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15]),gk=function(e,t){for(var n=new dk(31),r=0;r<31;++r)n[r]=t+=1<<e[r-1];var i=new fk(n[30]);for(r=1;r<30;++r)for(var a=n[r];a<n[r+1];++a)i[a]=a-n[r]<<5|r;return[n,i]},vk=gk(pk,2),yk=vk[0],bk=vk[1];yk[28]=258,bk[258]=28;for(var _k=gk(hk,0),xk=_k[0],wk=(_k[1],new dk(32768)),Ak=0;Ak<32768;++Ak){var Sk=(43690&Ak)>>>1|(21845&Ak)<<1;Sk=(61680&(Sk=(52428&Sk)>>>2|(13107&Sk)<<2))>>>4|(3855&Sk)<<4,wk[Ak]=((65280&Sk)>>>8|(255&Sk)<<8)>>>1}var Tk=function(e,t,n){for(var r=e.length,i=0,a=new dk(t);i<r;++i)e[i]&&++a[e[i]-1];var o,s=new dk(t);for(i=0;i<t;++i)s[i]=s[i-1]+a[i-1]<<1;if(n){o=new dk(1<<t);var l=15-t;for(i=0;i<r;++i)if(e[i])for(var c=i<<4|e[i],u=t-e[i],d=s[e[i]-1]++<<u,f=d|(1<<u)-1;d<=f;++d)o[wk[d]>>>l]=c}else for(o=new dk(r),i=0;i<r;++i)e[i]&&(o[i]=wk[s[e[i]-1]++]>>>15-e[i]);return o},Ck=new uk(288);for(Ak=0;Ak<144;++Ak)Ck[Ak]=8;for(Ak=144;Ak<256;++Ak)Ck[Ak]=9;for(Ak=256;Ak<280;++Ak)Ck[Ak]=7;for(Ak=280;Ak<288;++Ak)Ck[Ak]=8;var Ek=new uk(32);for(Ak=0;Ak<32;++Ak)Ek[Ak]=5;var Mk=Tk(Ck,9,1),Dk=Tk(Ek,5,1),Pk=function(e){for(var t=e[0],n=1;n<e.length;++n)e[n]>t&&(t=e[n]);return t},Ik=function(e,t,n){var r=t/8|0;return(e[r]|e[r+1]<<8)>>(7&t)&n},Ok=function(e,t){var n=t/8|0;return(e[n]|e[n+1]<<8|e[n+2]<<16)>>(7&t)},Nk=function(e){return(e+7)/8|0},kk=function(e,t,n){(null==t||t<0)&&(t=0),(null==n||n>e.length)&&(n=e.length);var r=new(2==e.BYTES_PER_ELEMENT?dk:4==e.BYTES_PER_ELEMENT?fk:uk)(n-t);return r.set(e.subarray(t,n)),r},Rk=["unexpected EOF","invalid block type","invalid length/literal","invalid distance","stream finished","no stream handler",,"no callback","invalid UTF-8 data","extra field too long","date not in range 1980-2099","filename too long","stream finishing","invalid zip data"],Lk=function(e,t,n){var r=new Error(t||Rk[e]);if(r.code=e,Error.captureStackTrace&&Error.captureStackTrace(r,Lk),!n)throw r;return r},Fk=function(e,t,n){var r=e.length;if(!r||n&&n.f&&!n.l)return t||new uk(0);var i=!t||n,a=!n||n.i;n||(n={}),t||(t=new uk(3*r));var o=function(e){var n=t.length;if(e>n){var r=new uk(Math.max(2*n,e));r.set(t),t=r}},s=n.f||0,l=n.p||0,c=n.b||0,u=n.l,d=n.d,f=n.m,p=n.n,h=8*r;do{if(!u){s=Ik(e,l,1);var m=Ik(e,l+1,3);if(l+=3,!m){var g=e[(E=Nk(l)+4)-4]|e[E-3]<<8,v=E+g;if(v>r){a&&Lk(0);break}i&&o(c+g),t.set(e.subarray(E,v),c),n.b=c+=g,n.p=l=8*v,n.f=s;continue}if(1==m)u=Mk,d=Dk,f=9,p=5;else if(2==m){var y=Ik(e,l,31)+257,b=Ik(e,l+10,15)+4,_=y+Ik(e,l+5,31)+1;l+=14;for(var x=new uk(_),w=new uk(19),A=0;A<b;++A)w[mk[A]]=Ik(e,l+3*A,7);l+=3*b;var S=Pk(w),T=(1<<S)-1,C=Tk(w,S,1);for(A=0;A<_;){var E,M=C[Ik(e,l,T)];if(l+=15&M,(E=M>>>4)<16)x[A++]=E;else{var D=0,P=0;for(16==E?(P=3+Ik(e,l,3),l+=2,D=x[A-1]):17==E?(P=3+Ik(e,l,7),l+=3):18==E&&(P=11+Ik(e,l,127),l+=7);P--;)x[A++]=D}}var I=x.subarray(0,y),O=x.subarray(y);f=Pk(I),p=Pk(O),u=Tk(I,f,1),d=Tk(O,p,1)}else Lk(1);if(l>h){a&&Lk(0);break}}i&&o(c+131072);for(var N=(1<<f)-1,k=(1<<p)-1,R=l;;R=l){var L=(D=u[Ok(e,l)&N])>>>4;if((l+=15&D)>h){a&&Lk(0);break}if(D||Lk(2),L<256)t[c++]=L;else{if(256==L){R=l,u=null;break}var F=L-254;if(L>264){var B=pk[A=L-257];F=Ik(e,l,(1<<B)-1)+yk[A],l+=B}var U=d[Ok(e,l)&k],V=U>>>4;if(U||Lk(3),l+=15&U,O=xk[V],V>3&&(B=hk[V],O+=Ok(e,l)&(1<<B)-1,l+=B),l>h){a&&Lk(0);break}i&&o(c+131072);for(var G=c+F;c<G;c+=4)t[c]=t[c-O],t[c+1]=t[c+1-O],t[c+2]=t[c+2-O],t[c+3]=t[c+3-O];c=G}}n.l=u,n.p=R,n.b=c,n.f=s,u&&(s=1,n.m=f,n.d=d,n.n=p)}while(!s);return c==t.length?t:kk(t,0,c)},Bk=new uk(0),Uk=function(e){31==e[0]&&139==e[1]&&8==e[2]||Lk(6,"invalid gzip data");var t=e[3],n=10;4&t&&(n+=e[10]|2+(e[11]<<8));for(var r=(t>>3&1)+(t>>4&1);r>0;r-=!e[n++]);return n+(2&t)},Vk=function(e){var t=e.length;return(e[t-4]|e[t-3]<<8|e[t-2]<<16|e[t-1]<<24)>>>0},Gk=function(e){(8!=(15&e[0])||e[0]>>>4>7||(e[0]<<8|e[1])%31)&&Lk(6,"invalid zlib data"),32&e[1]&&Lk(6,"invalid zlib data: preset dictionaries not supported")};function zk(e,t){return 31==e[0]&&139==e[1]&&8==e[2]?function(e,t){return Fk(e.subarray(Uk(e),-8),t||new uk(Vk(e)))}(e,t):8!=(15&e[0])||e[0]>>4>7||(e[0]<<8|e[1])%31?function(e,t){return Fk(e,t)}(e,t):function(e,t){return Fk((Gk(e),e.subarray(2,-4)),t)}(e,t)}var jk="undefined"!=typeof TextDecoder&&new TextDecoder;try{jk.decode(Bk,{stream:!0})}catch(e){}function Wk(e,t){if(t){for(var n="",r=0;r<e.length;r+=16384)n+=String.fromCharCode.apply(null,e.subarray(r,r+16384));return n}if(jk)return jk.decode(e);var i=function(e){for(var t="",n=0;;){var r=e[n++],i=(r>127)+(r>223)+(r>239);if(n+i>e.length)return[t,kk(e,n-1)];i?3==i?(r=((15&r)<<18|(63&e[n++])<<12|(63&e[n++])<<6|63&e[n++])-65536,t+=String.fromCharCode(55296|r>>10,56320|1023&r)):t+=1&i?String.fromCharCode((31&r)<<6|63&e[n++]):String.fromCharCode((15&r)<<12|(63&e[n++])<<6|63&e[n++]):t+=String.fromCharCode(r)}}(e),a=i[0];return i[1].length&&Lk(8),a}function Hk(){const e=new ArrayBuffer(4),t=new Uint8Array(e),n=new Uint32Array(e);return t[0]=161,t[1]=178,t[2]=195,t[3]=212,3569595041===n[0]?"LittleEndian":2712847316===n[0]?"BigEndian":null}"function"==typeof queueMicrotask?queueMicrotask:"function"==typeof setTimeout&&setTimeout;var $k=Hk(),Xk=function(e,t){if(t<2)return;const n=new Int8Array(e),r=n.length,i=[];for(let e=0;e<r;e+=t){for(let r=0;r<t;r++)i.push(n[e+r]);for(let r=0;r<t;r++)n[e+r]=i.pop()}};const qk={};function Kk(e){return!!qk[e]}function Yk(e,t){qk[e]=t}var Jk=function(){let e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return qk[arguments.length>0&&void 0!==arguments[0]?arguments[0]:"http"](e)};const{vtkErrorMacro:Zk,vtkDebugMacro:Qk}=Qw;let eR=0;function tR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const r=new XMLHttpRequest;return r.open(e,t,!0),n.headers&&Object.entries(n.headers).forEach((e=>{let[t,n]=e;return r.setRequestHeader(t,n)})),n.progressCallback&&r.addEventListener("progress",n.progressCallback),r}const nR={fetchArray:function(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return n.ref&&!n.ref.pending?new Promise(((i,a)=>{let o=null;o=n.ref.url?n.ref.url:[t,n.ref.basepath,r.compression?`${n.ref.id}.gz`:n.ref.id].join("/");const s=tR("GET",o,r);s.onreadystatechange=t=>{1===s.readyState&&(n.ref.pending=!0,1==++eR&&e?.invokeBusy&&e.invokeBusy(!0)),4===s.readyState&&(n.ref.pending=!1,200===s.status||0===s.status?(n.buffer=s.response,r.compression&&("string"===n.dataType||"JSON"===n.dataType?n.buffer=Wk(zk(new Uint8Array(n.buffer))):n.buffer=zk(new Uint8Array(n.buffer)).buffer),"JSON"===n.ref.encode?n.values=JSON.parse(n.buffer):($k!==n.ref.encode&&$k&&(Qk(`Swap bytes of ${n.name}`),Xk(n.buffer,_E[n.dataType])),n.values=Qw.newTypedArray(n.dataType,n.buffer)),n.values.length!==n.size&&Zk(`Error in FetchArray: ${n.name}, does not have the proper array size. Got ${n.values.length}, instead of ${n.size}`),delete n.ref,0==--eR&&e?.invokeBusy&&e.invokeBusy(!1),e?.modified&&e.modified(),i(n)):a({xhr:s,e:t}))},s.responseType=r.compression||"string"!==n.dataType?"arraybuffer":"text",s.send()})):Promise.resolve(n)},fetchJSON:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return new Promise(((r,i)=>{const a=tR("GET",t,n);a.onreadystatechange=t=>{1===a.readyState&&1==++eR&&e?.invokeBusy&&e.invokeBusy(!0),4===a.readyState&&(0==--eR&&e?.invokeBusy&&e.invokeBusy(!1),200===a.status||0===a.status?n.compression?r(JSON.parse(Wk(zk(new Uint8Array(a.response))))):r(JSON.parse(a.responseText)):i({xhr:a,e:t}))},a.responseType=n.compression?"arraybuffer":"text",a.send()}))},fetchText:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return n&&n.compression&&"gz"!==n.compression&&(Zk("Supported algorithms are: [gz]"),Zk(`Unkown compression algorithm: ${n.compression}`)),new Promise(((r,i)=>{const a=tR("GET",t,n);a.onreadystatechange=t=>{1===a.readyState&&1==++eR&&e?.invokeBusy&&e.invokeBusy(!0),4===a.readyState&&(0==--eR&&e?.invokeBusy&&e.invokeBusy(!1),200===a.status||0===a.status?n.compression?r(Wk(zk(new Uint8Array(a.response)))):r(a.responseText):i({xhr:a,e:t}))},a.responseType=n.compression?"arraybuffer":"text",a.send()}))},fetchBinary:function(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return t&&t.compression&&"gz"!==t.compression&&(Zk("Supported algorithms are: [gz]"),Zk(`Unkown compression algorithm: ${t.compression}`)),new Promise(((n,r)=>{const i=tR("GET",e,t);i.onreadystatechange=e=>{4===i.readyState&&(200===i.status||0===i.status?t.compression?n(zk(new Uint8Array(i.response)).buffer):n(i.response):r({xhr:i,e:e}))},i.responseType="arraybuffer",i.send()}))},fetchImage:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return new Promise(((e,r)=>{const i=new Image;n.crossOrigin&&(i.crossOrigin=n.crossOrigin),i.onload=()=>e(i),i.onerror=r,i.src=t}))}};Yk("http",(e=>nR));const rR=Object.create(null);[{Name:"KAAMS",IndexedColors:[1,1,1,1,0,0,0,1,0,0,0,1,1,1,0,1,0,1,0,1,1,.63,.63,1,.67,.5,.33,1,.5,.75,.53,.35,.7,1,.75,.5],Annotations:[0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11]},{ColorSpace:"Diverging",Name:"Cool to Warm",NanColor:[1,1,0],RGBPoints:[0,.23137254902,.298039215686,.752941176471,.5,.865,.865,.865,1,.705882352941,.0156862745098,.149019607843]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Cool to Warm (Extended)",NanColor:[.25,0,0],RGBPoints:[0,0,0,.34902,.03125,.039216,.062745,.380392,.0625,.062745,.117647,.411765,.09375,.090196,.184314,.45098,.125,.12549,.262745,.501961,.15625,.160784,.337255,.541176,.1875,.2,.396078,.568627,.21875,.239216,.454902,.6,.25,.286275,.521569,.65098,.28125,.337255,.592157,.701961,.3125,.388235,.654902,.74902,.34375,.466667,.737255,.819608,.375,.572549,.819608,.878431,.40625,.654902,.866667,.909804,.4375,.752941,.917647,.941176,.46875,.823529,.956863,.968627,.5,.988235,.960784,.901961,.5,.941176,.984314,.988235,.52,.988235,.945098,.85098,.54,.980392,.898039,.784314,.5625,.968627,.835294,.698039,.59375,.94902,.733333,.588235,.625,.929412,.65098,.509804,.65625,.909804,.564706,.435294,.6875,.878431,.458824,.352941,.71875,.839216,.388235,.286275,.75,.760784,.294118,.211765,.78125,.701961,.211765,.168627,.8125,.65098,.156863,.129412,.84375,.6,.094118,.094118,.875,.54902,.066667,.098039,.90625,.501961,.05098,.12549,.9375,.45098,.054902,.172549,.96875,.4,.054902,.192157,1,.34902,.070588,.211765]},{ColorSpace:"Diverging",Name:"Warm to Cool",NanColor:[1,1,0],RGBPoints:[0,.705882352941,.0156862745098,.149019607843,.5,.865,.865,.865,1,.23137254902,.298039215686,.752941176471]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Warm to Cool (Extended)",NanColor:[.250004,0,0],RGBPoints:[0,.34902,0,.129412,.025,.4,.00392157,.101961,.05,.470588,.0156863,.0901961,.075,.54902,.027451,.0705882,.1,.619608,.0627451,.0431373,.125,.690196,.12549,.0627451,.15,.741176,.184314,.0745098,.175,.788235,.266667,.0941176,.2,.811765,.345098,.113725,.225,.831373,.411765,.133333,.25,.85098,.47451,.145098,.275,.870588,.54902,.156863,.3,.878431,.619608,.168627,.325,.890196,.658824,.196078,.35,.909804,.717647,.235294,.375,.929412,.776471,.278431,.395522,.94902,.823529,.321569,.418905,.968627,.87451,.407843,.444278,.980392,.917647,.509804,.470149,.988235,.956863,.643137,.483582,.992157,.964706,.713725,.499,.988235,.980392,.870588,.5,1,1,1,.501,.913725,.988235,.937255,.516418,.827451,.980392,.886275,.531343,.764706,.980392,.866667,.546766,.658824,.980392,.843137,.564179,.572549,.964706,.835294,.587562,.423529,.941176,.87451,.60597,.262745,.901961,.862745,.629851,.0705882,.854902,.870588,.651741,.0509804,.8,.85098,.681592,.0235294,.709804,.831373,.712935,.0313725,.615686,.811765,.75,.0313725,.537255,.788235,.775,.0392157,.466667,.768627,.8,.0509804,.396078,.741176,.825,.054902,.317647,.709804,.85,.054902,.243137,.678431,.875,.0431373,.164706,.639216,.9,.0313725,.0980392,.6,.925,.0392157,.0392157,.560784,.95,.105882,.0509804,.509804,.975,.113725,.0235294,.45098,1,.12549,0,.380392]},{ColorSpace:"RGB",Name:"Rainbow Desaturated",NanColor:[1,1,0],RGBPoints:[0,.278431372549,.278431372549,.858823529412,.143,0,0,.360784313725,.285,0,1,1,.429,0,.501960784314,0,.571,1,1,0,.714,1,.380392156863,0,.857,.419607843137,0,0,1,.878431372549,.301960784314,.301960784314]},{ColorSpace:"RGB",Name:"Cold and Hot",NanColor:[1,1,0],RGBPoints:[0,0,1,1,.45,0,0,1,.5,0,0,.501960784314,.55,1,0,0,1,1,1,0]},{ColorSpace:"RGB",Name:"Black-Body Radiation",NanColor:[0,.498039215686,1],RGBPoints:[0,0,0,0,.4,.901960784314,0,0,.8,.901960784314,.901960784314,0,1,1,1,1]},{ColorSpace:"RGB",Name:"X Ray",NanColor:[1,0,0],RGBPoints:[0,1,1,1,1,0,0,0]},{ColorSpace:"RGB",Name:"Grayscale",NanColor:[1,0,0],RGBPoints:[0,0,0,0,1,1,1,1]},{ColorSpace:"RGB",Name:"BkRd",NanColor:[0,1,1],RGBPoints:[0,0,0,0,1,1,0,0]},{ColorSpace:"RGB",Name:"BkGn",NanColor:[1,0,1],RGBPoints:[0,0,0,0,1,0,1,0]},{ColorSpace:"RGB",Name:"BkBu",NanColor:[1,1,0],RGBPoints:[0,0,0,0,1,0,0,1]},{ColorSpace:"RGB",Name:"BkMa",NanColor:[0,1,0],RGBPoints:[0,0,0,0,1,1,0,1]},{ColorSpace:"RGB",Name:"BkCy",NanColor:[0,1,1],RGBPoints:[0,0,0,0,1,0,1,1]},{ColorSpace:"RGB",Name:"Black, Blue and White",NanColor:[1,1,0],RGBPoints:[0,0,0,0,.333,0,0,.501960784314,.666,0,.501960784314,1,1,1,1,1]},{ColorSpace:"RGB",Name:"Black, Orange and White",NanColor:[1,1,0],RGBPoints:[0,0,0,0,.333,.501960784314,0,0,.666,1,.501960784314,0,1,1,1,1]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Linear YGB 1211g",NanColor:[.25,0,0],RGBPoints:[0,1,.988235,.968627,.02,1,.952941,.878431,.05,.968627,.905882,.776471,.1,.94902,.898039,.647059,.15,.901961,.878431,.556863,.2,.847059,.858824,.482353,.25,.690196,.819608,.435294,.3,.513725,.768627,.384314,.35,.337255,.721569,.337255,.4,.278431,.658824,.392157,.45,.231373,.639216,.435294,.5,.203922,.6,.486275,.55,.172549,.568627,.537255,.6,.141176,.517647,.54902,.65,.133333,.458824,.541176,.7,.12549,.396078,.529412,.75,.117647,.321569,.521569,.8,.121569,.258824,.509804,.85,.133333,.227451,.501961,.9,.145098,.192157,.490196,.95,.188235,.164706,.470588,1,.258824,.196078,.439216]},{ColorSpace:"CIELAB",Creator:"Francesca Samsel",Name:"Linear Green (Gr4L)",NanColor:[.25,0,0],RGBPoints:[0,.054902,.109804,.121569,.05,.07451,.172549,.180392,.1,.086275,.231373,.219608,.15,.094118,.278431,.25098,.2,.109804,.34902,.278431,.25,.113725,.4,.278431,.3,.117647,.45098,.270588,.35,.117647,.490196,.243137,.4,.113725,.521569,.203922,.45,.109804,.54902,.152941,.5,.082353,.588235,.082353,.55,.109804,.631373,.05098,.6,.211765,.678431,.082353,.65,.317647,.721569,.113725,.7,.431373,.760784,.160784,.75,.556863,.8,.239216,.8,.666667,.839216,.294118,.85,.784314,.878431,.396078,.9,.886275,.921569,.533333,.95,.960784,.94902,.670588,1,1,.984314,.901961]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Linear Blue (8_31f)",NanColor:[.25,0,0],RGBPoints:[0,.960784,1,.980392,.05,.815686,.960784,.913725,.1,.670588,.929412,.870588,.15,.556863,.901961,.843137,.2,.478431,.870588,.823529,.25,.439216,.831373,.803922,.3,.4,.8,.788235,.35,.376471,.768627,.768627,.4,.34902,.709804,.729412,.45,.32549,.654902,.690196,.5,.301961,.607843,.658824,.55,.247059,.545098,.619608,.6,.239216,.494118,.580392,.65,.227451,.439216,.541176,.7,.227451,.403922,.521569,.75,.231373,.368627,.501961,.8,.227451,.321569,.470588,.85,.219608,.282353,.439216,.9,.192157,.235294,.4,.95,.160784,.184314,.34902,1,.133333,.12549,.301961]},{ColorSpace:"HSV",Name:"Blue to Red Rainbow",NanColor:[.498039215686,.498039215686,.498039215686],RGBPoints:[0,0,0,1,1,1,0,0]},{ColorSpace:"HSV",Name:"Red to Blue Rainbow",NanColor:[.498039215686,.498039215686,.498039215686],RGBPoints:[0,1,0,0,1,0,0,1]},{ColorSpace:"RGB",Name:"Rainbow Blended White",NanColor:[1,1,0],RGBPoints:[0,1,1,1,.17,0,0,1,.34,0,1,1,.5,0,1,0,.67,1,1,0,.84,1,0,0,1,.878431372549,0,1]},{ColorSpace:"RGB",Name:"Rainbow Blended Grey",NanColor:[1,1,0],RGBPoints:[0,.317647058824,.341176470588,.43137254902,.17,0,0,1,.34,0,1,1,.5,0,1,0,.67,1,1,0,.84,1,0,0,1,.878431372549,0,1]},{ColorSpace:"RGB",Name:"Rainbow Blended Black",NanColor:[1,1,0],RGBPoints:[0,0,0,0,.17,0,0,1,.34,0,1,1,.5,0,1,0,.67,1,1,0,.84,1,0,0,1,.878431372549,0,1]},{ColorSpace:"RGB",Name:"Blue to Yellow",NanColor:[1,0,0],RGBPoints:[0,.0392156862745,.0392156862745,.949019607843,1,.949019607843,.949019607843,.0392156862745]},{ColorSpace:"HSV",Name:"blot",RGBPoints:[0,0,0,1,.166,0,0,1,.167,1,0,1,.332,1,0,1,.333,0,1,1,.5,0,1,1,.501,0,1,0,.666,0,1,0,.667,1,1,0,.832,1,1,0,.833,1,0,0,1,1,0,0]},{ColorSpace:"Lab",Name:"CIELab Blue to Red",NanColor:[1,1,0],RGBPoints:[0,0,.6,.749019607843,1,.76862745098,.466666666667,.341176470588]},{ColorSpace:"RGB",Name:"jet",RGBPoints:[-1,0,0,.5625,-.777778,0,0,1,-.269841,0,1,1,-.015873,.5,1,.5,.238095,1,1,0,.746032,1,0,0,1,.5,0,0]},{ColorSpace:"RGB",Name:"rainbow",RGBPoints:[-1,0,0,1,-.5,0,1,1,0,0,1,0,.5,1,1,0,1,1,0,0]},{ColorSpace:"Lab",Name:"erdc_rainbow_bright",RGBPoints:[-1,.32549,.14902,.960784,-.866221,.297047,.375586,.963836,-.732441,.180302,.536818,.964627,-.598662,.1302,.649207,.929647,-.464883,.0445143,.749654,.855998,-.331104,.0271325,.830713,.721527,-.197324,.259504,.866145,.543555,-.0635452,.428364,.890725,.329819,.0702341,.568503,.898508,.187623,.204013,.738259,.890317,.0825461,.337793,.84546,.86136,.0147555,.471572,.912191,.808018,0,.605351,.962848,.710445,0,.73913,.999469,.600258,.0176284,.87291,.994156,.445975,.193912,1,.980407,.247105,.262699]},{ColorSpace:"Lab",Name:"erdc_rainbow_dark",RGBPoints:[-1,0,0,.423499,-.866221,0,.119346,.529237,-.732441,0,.238691,.634976,-.598662,0,.346852,.68788,-.464883,0,.45022,.718141,-.331104,0,.553554,.664839,-.197324,0,.651082,.519303,-.0635452,.115841,.72479,.352857,.0702341,.326771,.781195,.140187,.204013,.522765,.798524,.0284624,.337793,.703162,.788685,.00885756,.471572,.845118,.751133,0,.605351,.955734,.690825,0,.73913,.995402,.567916,.0618524,.87291,.987712,.403398,.164851,1,.980407,.247105,.262699]},{ColorSpace:"Lab",Name:"nic_CubicL",RGBPoints:[-1,.479965,.0118108,.5307,-.87451,.522213,.0551282,.706919,-.74902,.50839,.237278,.867764,-.623529,.451617,.373834,.987255,-.498039,.39365,.497255,.97506,-.372549,.328631,.599639,.891843,-.247059,.250043,.690286,.778553,-.121569,.249656,.764905,.645857,.00392157,.297954,.821466,.50449,.129412,.337509,.872595,.358447,.254902,.430011,.913789,.297079,.380392,.587191,.931381,.333353,.505882,.727937,.93591,.353742,.631373,.826403,.921081,.365066,.756863,.893201,.846317,.372662,.882353,.965347,.73884,.378506,1,.983235,.597451,.366856]},{ColorSpace:"Lab",Name:"nic_CubicYF",RGBPoints:[-1,.5151,.0482,.6697,-.87451,.520711,.168955,.800574,-.74902,.493694,.278596,.911824,-.623529,.440026,.369475,.984978,-.498039,.398932,.457593,.987053,-.372549,.350651,.540644,.929608,-.247059,.298827,.615625,.857729,-.121569,.239928,.685061,.769531,.00392157,.228832,.739349,.673287,.129412,.263297,.78608,.569988,.254902,.298107,.828337,.460214,.380392,.33092,.864071,.352674,.505882,.38306,.898169,.287309,.631373,.49023,.917481,.307961,.756863,.62372,.926026,.332309,.882353,.717458,.92527,.342476,1,.8,.9255,.3529]},{ColorSpace:"Lab",Name:"gist_earth",RGBPoints:[-1,0,0,0,-.87451,.239216,.027451,.415686,-.74902,.0901961,.254902,.556863,-.623529,.0941176,.352941,.54902,-.498039,.105882,.435294,.533333,-.372549,.12549,.52549,.501961,-.247059,.156863,.596078,.443137,-.121569,.196078,.65098,.380392,.00392157,.282353,.717647,.301961,.129412,.466667,.772549,.27451,.254902,.678431,.784314,.309804,.380392,.901961,.756863,.376471,.505882,.992157,.705882,.521569,.631373,1,.721569,.701961,.756863,1,.784314,.784314,.882353,1,.866667,.866667,1,1,1,1]},{ColorSpace:"Lab",Name:"2hot",RGBPoints:[-1,.0416667,0,0,-.873016,.208333,0,0,-.746032,.375,0,0,-.619048,.541667,0,0,-.492063,.708333,0,0,-.365079,.854137,0,0,-.238095,.937488,.039062,0,-.111111,1,.208333,0,.015873,1,.375,0,.142857,1,.541667,0,.269841,1,.708333,0,.396825,1,.858805,.03125,.52381,1,.947392,.15625,.650794,1,1,.3125,.777778,1,1,.5625,.904762,1,1,.8125,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_red2yellow_BW",RGBPoints:[-1,7.54296e-7,0,109827e-10,-.87451,.18285,.0264094,0,-.74902,.3066,0,0,-.623529,.422841,0,0,-.498039,.522945,0,0,-.372549,.605721,0,0,-.247059,.672502,.14168,0,-.121569,.728167,.244025,0,.00392157,.781215,.333454,0,.129412,.825,.423586,0,.254902,.855893,.516793,0,.380392,.880491,.608846,0,.505882,.910305,.695505,0,.631373,.94109,.779067,.223528,.756863,.967873,.858572,.473521,.882353,.986815,.933211,.751583,1,1,1,.999997]},{ColorSpace:"Lab",Name:"erdc_marine2gold_BW",RGBPoints:[-1,1.11641e-7,0,162551e-11,-.87451,.0413146,.0619808,.209857,-.74902,.0185557,.101341,.350684,-.623529,.00486405,.149847,.461054,-.498039,.0836345,.210845,.517906,-.372549,.173222,.276134,.541793,-.247059,.259857,.343877,.535869,-.121569,.362299,.408124,.504293,.00392157,.468266,.468276,.468257,.129412,.582781,.527545,.374914,.254902,.691591,.585251,.274266,.380392,.784454,.645091,.247332,.505882,.862299,.710383,.27518,.631373,.920863,.782923,.351563,.756863,.955792,.859699,.533541,.882353,.976162,.93433,.780671,1,1,1,.999983]},{ColorSpace:"Lab",Name:"erdc_blue2gold_BW",RGBPoints:[-1,0,0,0,-.87451,.0742735,.0440331,.230013,-.74902,.125276,.0258685,.415826,-.623529,.143879,.0163031,.591346,-.498039,.212261,.0627855,.705239,-.372549,.306048,.141178,.763636,-.247059,.391537,.232286,.773263,-.121569,.461734,.336633,.708321,.00392157,.54209,.427581,.590007,.129412,.61704,.508623,.460978,.254902,.702703,.579586,.309117,.380392,.790336,.644811,.170397,.505882,.870173,.710733,.117134,.631373,.93656,.781991,.157144,.756863,.965672,.862068,.409836,.882353,.985751,.936296,.714162,1,1,1,.999999]},{ColorSpace:"Lab",Name:"erdc_sapphire2gold_BW",RGBPoints:[-1,.107704,.107708,.107694,-.87451,.1851,.112354,.308554,-.74902,.236782,.114233,.48788,-.623529,.28296,.126187,.639464,-.498039,.344787,.171643,.739713,-.372549,.413325,.242371,.76913,-.247059,.481863,.3131,.719841,-.121569,.550402,.383829,.612222,.00392157,.61894,.454558,.51126,.129412,.687478,.525287,.39993,.254902,.756017,.596016,.289923,.380392,.824555,.666745,.255498,.505882,.892979,.736822,.27696,.631373,.938851,.804966,.351734,.756863,.966491,.874853,.53572,.882353,.982105,.94153,.782579,1,1,1,.999986]},{ColorSpace:"Lab",Name:"erdc_red2purple_BW",RGBPoints:[-1,0,0,0,-.87451,.167793,.0166271,.0431278,-.74902,.262608,.0107595,.0791181,-.623529,.351902,.0101858,.100926,-.498039,.441257,.0160835,.131919,-.372549,.5221,.0555972,.195625,-.247059,.593852,.104294,.310234,-.121569,.654628,.158115,.448486,.00392157,.707443,.220914,.570253,.129412,.749504,.293268,.67897,.254902,.781587,.370517,.779269,.380392,.809951,.451099,.855831,.505882,.84424,.531462,.900451,.631373,.865174,.620901,.91606,.756863,.875041,.714054,.910284,.882353,.880764,.80554,.896276,1,.887572,.887591,.887556]},{ColorSpace:"Lab",Name:"erdc_purple2pink_BW",RGBPoints:[-1,0,0,0,-.87451,.117562,.0291202,.175876,-.74902,.178368,.0458476,.285454,-.623529,.237731,.0680173,.387717,-.498039,.300877,.0956291,.484802,-.372549,.370929,.136858,.554985,-.247059,.449033,.189273,.58863,-.121569,.529971,.245796,.598587,.00392157,.609914,.300643,.610244,.129412,.697079,.351286,.616371,.254902,.785858,.401991,.617376,.380392,.862517,.45745,.64463,.505882,.91359,.525462,.705336,.631373,.932583,.61064,.767412,.756863,.922478,.706966,.817522,.882353,.901302,.803071,.856311,1,.887571,.887591,.887549]},{ColorSpace:"Lab",Name:"erdc_pbj_lin",RGBPoints:[-1,0,0,0,-.87451,.091821,.0611476,.10617,-.74902,.160311,.0900022,.192713,-.623529,.22484,.12126,.272128,-.498039,.291263,.157469,.340828,-.372549,.360015,.200388,.388903,-.247059,.437497,.250058,.387201,-.121569,.512636,.304969,.355955,.00392157,.582603,.360874,.33488,.129412,.655126,.416374,.306351,.254902,.725889,.473329,.279051,.380392,.778125,.537928,.302697,.505882,.815894,.606931,.382431,.631373,.839159,.679308,.497608,.756863,.854748,.751666,.631792,.882353,.869483,.822508,.768592,1,.887572,.887589,.887565]},{ColorSpace:"Lab",Name:"erdc_blue2green_muted",RGBPoints:[-1,.107704,.107708,.107695,-.87451,.141522,.13066,.270741,-.74902,.180123,.146119,.42308,-.623529,.210161,.169674,.551795,-.498039,.239701,.212939,.634969,-.372549,.253916,.282947,.653641,-.247059,.242791,.366933,.608521,-.121569,.226302,.446776,.52693,.00392157,.236237,.514689,.458798,.129412,.274641,.577589,.376069,.254902,.349625,.633993,.288131,.380392,.4437,.683677,.260497,.505882,.536247,.731214,.285424,.631373,.628472,.777128,.349151,.756863,.718259,.819287,.496825,.882353,.804768,.856164,.703299,1,.887571,.887591,.887548]},{ColorSpace:"Lab",Name:"erdc_blue2green_BW",RGBPoints:[-1,3.63578e-7,0,529374e-11,-.87451,.0539915,.0577948,.212806,-.74902,.0620393,.0758942,.388959,-.623529,.0697499,.102032,.54177,-.498039,.113295,.156156,.64334,-.372549,.152047,.243196,.670283,-.247059,.158096,.344084,.622864,-.121569,.151142,.43922,.532767,.00392157,.17155,.521588,.457719,.129412,.225861,.599141,.363997,.254902,.32328,.67007,.259083,.380392,.442344,.733697,.223754,.505882,.558409,.794941,.257411,.631373,.673875,.854344,.340822,.756863,.787244,.909326,.524717,.882353,.896483,.958063,.775914,1,1,1,.999982]},{ColorSpace:"Lab",Name:"GREEN-WHITE_LINEAR",RGBPoints:[-1,0,0,0,-.87451,0,.062745,0,-.74902,0,.12549,0,-.623529,0,.188235,0,-.498039,0,.25098,0,-.372549,0,.313725,0,-.247059,0,.376471,0,-.121569,.094118,.439216,0,.00392157,.196078,.501961,0,.129412,.294118,.564706,0,.254902,.396078,.627451,0,.380392,.498039,.690196,0,.505882,.6,.752941,.145098,.631373,.701961,.815686,.364706,.756863,.8,.878431,.580392,.882353,.901961,.941176,.796078,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_green2yellow_BW",RGBPoints:[-1,0,0,0,-.87451,0,.105542,.0603919,-.74902,0,.159454,.104148,-.623529,0,.219502,.15542,-.498039,0,.282276,.203811,-.372549,0,.346331,.235652,-.247059,0,.411765,.235428,-.121569,0,.477177,.217977,.00392157,.0593644,.541635,.21361,.129412,.233081,.604722,.210591,.254902,.369803,.664942,.226536,.380392,.498446,.722367,.288237,.505882,.601929,.782244,.380815,.631373,.703207,.840497,.512134,.756863,.803186,.896433,.674462,.882353,.903834,.950266,.846715,1,1,1,.999981]},{ColorSpace:"Lab",Name:"blue2cyan",RGBPoints:[-1,0,0,0,-.87451,0,.152941,.364706,-.74902,0,.254902,.470588,-.623529,0,.34902,.572549,-.498039,0,.443137,.670588,-.372549,0,.537255,.772549,-.247059,0,.627451,.870588,-.121569,0,.717647,.964706,.00392157,.0784314,.772549,1,.129412,.207843,.858824,1,.254902,.32549,.941176,1,.380392,.45098,1,1,.505882,.560784,1,1,.631373,.662745,1,1,.756863,.760784,1,1,.882353,.870588,1,1,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_blue2cyan_BW",RGBPoints:[-1,4.05298e-7,0,59012e-10,-.87451,.0207526,.0740933,.18093,-.74902,0,.121033,.30343,-.623529,0,.166892,.416095,-.498039,0,.216768,.524796,-.372549,.0164769,.275471,.608585,-.247059,.0544527,.344824,.659267,-.121569,.0880643,.419118,.688675,.00392157,.127938,.492556,.720256,.129412,.149476,.566946,.756918,.254902,.188961,.641333,.792122,.380392,.245482,.715336,.827609,.505882,.329216,.786235,.874761,.631373,.453558,.852803,.918466,.756863,.626281,.910493,.954,.882353,.82257,.958709,.980146,1,1,1,.999989]},{ColorSpace:"Lab",Name:"erdc_blue_BW",RGBPoints:[-1,0,0,0,-.87451,.0425591,.0763529,.150682,-.74902,.0569472,.119154,.275403,-.623529,.0635978,.164772,.395427,-.498039,.0774342,.213851,.510014,-.372549,.106815,.267034,.615102,-.247059,.122093,.324649,.720068,-.121569,.160851,.387068,.806956,.00392157,.213754,.453516,.878012,.129412,.26722,.524656,.932436,.254902,.326844,.599279,.968038,.380392,.403403,.674712,.984784,.505882,.499703,.745519,1,.631373,.615055,.813983,1,.756863,.74405,.879228,1,.882353,.877909,.941913,1,1,1,1,.999996]},{ColorSpace:"Lab",Name:"BLUE-WHITE",RGBPoints:[-1,0,0,0,-.87451,0,0,.082353,-.74902,0,0,.168627,-.623529,0,0,.254902,-.498039,0,0,.337255,-.372549,0,0,.423529,-.247059,0,0,.509804,-.121569,0,.101961,.592157,.00392157,0,.203922,.678431,.129412,0,.301961,.764706,.254902,0,.403922,.85098,.380392,0,.505882,.933333,.505882,0,.603922,1,.631373,.254902,.705882,1,.756863,.509804,.807843,1,.882353,.764706,.905882,1,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_purple_BW",RGBPoints:[-1,4.264e-8,0,6.20844e-7,-.87451,.100579,.0593111,.145666,-.74902,.167794,.0889224,.254953,-.623529,.231446,.123339,.360511,-.498039,.296699,.163027,.461278,-.372549,.363211,.209286,.55306,-.247059,.431136,.260776,.637195,-.121569,.498202,.320012,.705799,.00392157,.567456,.380459,.778091,.129412,.629381,.445284,.8448,.254902,.688373,.517374,.895694,.380392,.74891,.590906,.93976,.505882,.805017,.667956,.977626,.631373,.850914,.752618,.992396,.756863,.89724,.838454,.994093,.882353,.948461,.922603,.994449,1,1,1,.999967]},{ColorSpace:"Lab",Name:"erdc_magenta_BW",RGBPoints:[-1,0,0,254023e-10,-.87451,.128696,.0456782,.11635,-.74902,.228133,.0476299,.201452,-.623529,.327273,.0374065,.282107,-.498039,.420953,.0408166,.35709,-.372549,.511562,.0642203,.430511,-.247059,.599552,.102686,.504257,-.121569,.684646,.150536,.579429,.00392157,.765817,.205978,.656062,.129412,.839176,.27229,.731807,.254902,.89536,.357594,.797309,.380392,.930238,.457825,.846984,.505882,.945921,.564536,.880571,.631373,.948995,.670753,.902279,.756863,.947124,.772819,.918171,.882353,.947265,.869424,.934352,1,.954719,.95475,.954726]},{ColorSpace:"Lab",Name:"magenta",RGBPoints:[-1,0,0,0,-.87451,.364706,0,.152941,-.74902,.470588,0,.254902,-.623529,.572549,0,.34902,-.498039,.670588,0,.443137,-.372549,.772549,0,.537255,-.247059,.870588,0,.627451,-.121569,.964706,0,.717647,.00392157,1,.0784314,.772549,.129412,1,.207843,.858824,.254902,1,.32549,.941176,.380392,1,.45098,1,.505882,1,.560784,1,.631373,1,.662745,1,.756863,1,.760784,1,.882353,1,.870588,1,1,1,1,1]},{ColorSpace:"Lab",Name:"RED-PURPLE",RGBPoints:[-1,0,0,0,-.87451,.188235,0,.007843,-.74902,.345098,0,.035294,-.623529,.439216,0,.098039,-.498039,.533333,0,.152941,-.372549,.627451,.015686,.211765,-.247059,.721569,.031373,.266667,-.121569,.8,.047059,.329412,.00392157,.862745,.047059,.403922,.129412,.941176,.062745,.466667,.254902,.988235,.078431,.54902,.380392,.988235,.141176,.643137,.505882,.988235,.25098,.729412,.631373,.988235,.376471,.811765,.756863,.988235,.54902,.886275,.882353,.988235,.752941,.952941,1,.996078,.996078,.996078]},{ColorSpace:"Lab",Name:"erdc_red_BW",RGBPoints:[-1,0,0,0,-.87451,.147204,.0480135,.0401815,-.74902,.253411,.0617478,.0301333,-.623529,.356059,.0746331,.0446897,-.498039,.457731,.0934935,.0636931,-.372549,.557199,.122714,.0860013,-.247059,.665179,.144238,.105585,-.121569,.763833,.187056,.138326,.00392157,.847035,.254558,.189407,.129412,.905663,.345937,.258215,.254902,.941431,.447111,.346277,.380392,.962608,.546927,.457571,.505882,.987833,.637276,.569944,.631373,.994202,.732176,.687958,.756863,.993304,.826268,.800567,.882353,.994413,.917205,.906393,1,1,1,.999979]},{ColorSpace:"Lab",Name:"RED_TEMPERATURE",RGBPoints:[-1,0,0,0,-.87451,.090196,0,0,-.74902,.180392,0,0,-.623529,.270588,0,0,-.498039,.360784,0,0,-.372549,.45098,0,0,-.247059,.545098,0,0,-.121569,.635294,0,0,.00392157,.72549,.058824,0,.129412,.815686,.176471,0,.254902,.905882,.294118,0,.380392,1,.411765,0,.505882,1,.533333,.027451,.631373,1,.65098,.27451,.756863,1,.768627,.521569,.882353,1,.886275,.768627,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_orange_BW",RGBPoints:[-1,0,0,253806e-10,-.87451,.135871,.0593824,0,-.74902,.224328,.0907216,0,-.623529,.318083,.119647,0,-.498039,.414443,.150246,0,-.372549,.511077,.184884,0,-.247059,.605501,.226033,0,-.121569,.695274,.275491,0,.00392157,.777826,.334445,0,.129412,.851498,.402441,0,.254902,.915899,.47759,602975e-9,.380392,.971984,.557882,.0361443,.505882,1,.641287,.135967,.631373,1,.725198,.27997,.756863,1,.808205,.438135,.882353,1,.89306,.587036,1,1,.977928,.721599]},{ColorSpace:"Lab",Name:"heated_object",RGBPoints:[-1,0,0,0,-.87451,.34902,.0862745,0,-.74902,.45098,.172549,0,-.623529,.52549,.231373,0,-.498039,.580392,.278431,0,-.372549,.623529,.313725,0,-.247059,.670588,.352941,0,-.121569,.717647,.392157,0,.00392157,.772549,.439216,0,.129412,.839216,.494118,0,.254902,.901961,.541176,0,.380392,.968627,.6,0,.505882,1,.658824,0,.631373,1,.721569,0,.756863,1,.827451,.298039,.882353,1,.976471,.72549,1,1,1,1]},{ColorSpace:"Lab",Name:"erdc_gold_BW",RGBPoints:[-1,0,0,190933e-10,-.87451,.128363,.0636265,0,-.74902,.193795,.111057,0,-.623529,.25976,.15987,0,-.498039,.328546,.210589,0,-.372549,.399726,.26332,0,-.247059,.472969,.318261,0,-.121569,.546245,.375827,0,.00392157,.61745,.436719,0,.129412,.685545,.501113,0,.254902,.749578,.568799,0,.380392,.80962,.6394,0,.505882,.865572,.712699,.10257,.631373,.917709,.787569,.233665,.756863,.966914,.863138,.369608,.882353,1,.939405,.496104,1,.999225,1,.612275]},{ColorSpace:"Lab",Name:"erdc_brown_BW",RGBPoints:[-1,3.3216e-7,0,483629e-11,-.87451,.14693,.0518172,0,-.74902,.225806,.0814996,0,-.623529,.301681,.111452,0,-.498039,.370487,.150664,0,-.372549,.43108,.199477,0,-.247059,.4849,.255107,0,-.121569,.536798,.313486,0,.00392157,.59286,.371167,0,.129412,.653119,.428135,0,.254902,.714589,.485917,.0379541,.380392,.774667,.54565,.116634,.505882,.831222,.608047,.183895,.631373,.880305,.674199,.260298,.756863,.922314,.742472,.367086,.882353,.959408,.811222,.497258,1,.993548,.875183,.622093]},{ColorSpace:"Lab",Name:"copper_Matlab",RGBPoints:[-1,0,0,0,-.87451,.0784314,.0501961,.0313725,-.74902,.156863,.100392,.0627451,-.623529,.235294,.150588,.0941176,-.498039,.313725,.200784,.12549,-.372549,.392157,.25098,.156863,-.247059,.470588,.301176,.188235,-.121569,.54902,.351373,.219608,.00392157,.627451,.401569,.25098,.129412,.705882,.451765,.282353,.254902,.784314,.501961,.313725,.380392,.862745,.552157,.345098,.505882,.941176,.602353,.376471,.631373,1,.652549,.407843,.756863,1,.702745,.439216,.882353,1,.752941,.470588,1,1,.8,.5]},{ColorSpace:"Lab",Name:"pink_Matlab",RGBPoints:[-1,0,0,0,-.87451,.312416,.204524,.204524,-.74902,.441822,.289241,.289241,-.623529,.54112,.354246,.354246,-.498039,.624831,.409048,.409048,-.372549,.698582,.45733,.45733,-.247059,.764404,.502282,.500979,-.121569,.791292,.591516,.54112,.00392157,.817297,.66895,.578481,.129412,.842499,.738308,.613572,.254902,.866968,.801687,.646762,.380392,.890766,.86041,.678329,.505882,.913944,.913944,.711254,.631373,.936549,.936549,.79459,.756863,.958621,.958621,.869979,.882353,.980196,.980196,.939336,1,1,1,1]},{ColorSpace:"Lab",Name:"bone_Matlab",RGBPoints:[-1,0,0,0,-.87451,.054902,.054902,.075817,-.74902,.109804,.109804,.151634,-.623529,.164706,.164706,.227451,-.498039,.219608,.219608,.303268,-.372549,.27451,.27451,.379085,-.247059,.329412,.329902,.454412,-.121569,.384314,.405719,.509314,.00392157,.439216,.481536,.564216,.129412,.494118,.557353,.619118,.254902,.54902,.63317,.67402,.380392,.603922,.708987,.728922,.505882,.660294,.783824,.783824,.631373,.746569,.838725,.838725,.756863,.832843,.893627,.893627,.882353,.919118,.948529,.948529,1,1,1,1]},{ColorSpace:"Lab",Name:"gray_Matlab",RGBPoints:[-1,0,0,0,-.87451,.0627451,.0627451,.0627451,-.74902,.12549,.12549,.12549,-.623529,.188235,.188235,.188235,-.498039,.25098,.25098,.25098,-.372549,.313725,.313725,.313725,-.247059,.376471,.376471,.376471,-.121569,.439216,.439216,.439216,.00392157,.501961,.501961,.501961,.129412,.564706,.564706,.564706,.254902,.627451,.627451,.627451,.380392,.690196,.690196,.690196,.505882,.752941,.752941,.752941,.631373,.815686,.815686,.815686,.756863,.878431,.878431,.878431,.882353,.941176,.941176,.941176,1,1,1,1]},{ColorSpace:"Lab",Name:"Purples",RGBPoints:[-1,.247059,0,.490196,-.87451,.288397,.07677,.525629,-.74902,.32975,.153587,.561092,-.623529,.373057,.236263,.600461,-.498039,.416363,.319,.639923,-.372549,.459669,.405613,.685198,-.247059,.503345,.491534,.730058,-.121569,.562399,.54862,.757616,.00392157,.621453,.606075,.785544,.129412,.680508,.674971,.824914,.254902,.739562,.743406,.863899,.380392,.798616,.800492,.893426,.505882,.85684,.856655,.922491,.631373,.898178,.894056,.942176,.756863,.938654,.930919,.961646,.882353,.964245,.958478,.977393,1,.988235,.984314,.992157]},{ColorSpace:"Lab",Name:"Blues",RGBPoints:[-1,.031373,.188235,.419608,-.87451,.031373,.253195,.516063,-.74902,.031757,.318139,.612149,-.623529,.080969,.38113,.661361,-.498039,.130427,.444152,.710327,-.372549,.195386,.509112,.743791,-.247059,.260715,.573841,.777209,-.121569,.341423,.628958,.808704,.00392157,.422745,.684075,.839892,.129412,.523137,.739193,.861546,.254902,.622684,.793464,.883429,.380392,.701423,.826928,.910988,.505882,.778685,.8603,.937993,.631373,.825928,.891795,.953741,.756863,.87328,.923291,.969489,.882353,.922491,.954787,.985236,1,.968627,.984314,1]},{ColorSpace:"Lab",Name:"Greens",RGBPoints:[-1,0,.266667,.105882,-.87451,0,.347374,.139346,-.74902,538e-6,.427912,.172933,-.623529,.069435,.486967,.222145,-.498039,.138178,.546082,.271326,-.372549,.197232,.609073,.31857,-.247059,.257255,.671742,.365859,-.121569,.357647,.720953,.415071,.00392157,.45767,.769919,.465021,.129412,.546251,.811257,.537855,.254902,.634295,.852211,.610688,.380392,.709097,.883706,.683522,.505882,.78316,.914833,.755894,.631373,.842215,.938454,.818885,.756863,.899977,.961538,.880692,.882353,.935409,.975317,.92203,1,.968627,.988235,.960784]},{ColorSpace:"Lab",Name:"PuBu",RGBPoints:[-1,.301961,0,.294118,-.87451,.404321,.029527,.390573,-.74902,.50599,.059592,.486782,-.623529,.519769,.158016,.551742,-.498039,.533456,.256194,.616301,-.372549,.54133,.33887,.655671,-.247059,.54902,.421592,.695087,-.121569,.54902,.506236,.736424,.00392157,.550127,.590573,.777701,.129412,.585559,.665375,.81707,.254902,.622145,.739023,.855825,.380392,.687105,.784298,.879446,.505882,.752065,.829758,.903253,.631373,.817024,.87897,.930811,.756863,.880907,.927213,.957832,.882353,.926182,.958708,.975548,1,.968627,.988235,.992157]},{ColorSpace:"Lab",Name:"BuPu",RGBPoints:[-1,.007843,.219608,.345098,-.87451,.01178,.286536,.449427,-.74902,.015702,.35328,.553479,-.623529,.01767,.396586,.622376,-.498039,.021115,.4402,.690688,-.372549,.11757,.503191,.722184,-.247059,.214625,.565859,.753633,-.121569,.336671,.615071,.78316,.00392157,.457978,.663975,.812503,.129412,.556401,.703345,.836125,.254902,.65421,.742714,.859669,.380392,.736886,.782084,.881323,.505882,.81827,.821638,.903068,.631373,.873387,.864944,.92669,.756863,.927536,.907605,.949988,.882353,.964937,.9391,.967705,1,1,.968627,.984314]},{ColorSpace:"Lab",Name:"BuGn",RGBPoints:[-1,.031373,.25098,.505882,-.87451,.031373,.329719,.590527,-.74902,.031911,.408397,.674787,-.623529,.100807,.479262,.710219,-.498039,.169704,.550219,.745744,-.372549,.238601,.62699,.787082,-.247059,.307958,.703114,.826759,-.121569,.39654,.752326,.797232,.00392157,.485121,.801046,.767705,.129412,.573702,.83451,.738178,.254902,.661592,.867743,.711034,.380392,.732457,.895302,.74253,.505882,.801845,.922307,.774579,.631373,.841215,.938055,.817885,.756863,.880907,.95391,.861084,.882353,.926182,.971626,.902422,1,.968627,.988235,.941176]},{ColorSpace:"Lab",Name:"GnBu",RGBPoints:[-1,0,.266667,.105882,-.87451,0,.347374,.139346,-.74902,538e-6,.427912,.172933,-.623529,.069435,.486967,.222145,-.498039,.138178,.546175,.272095,-.372549,.197232,.615071,.368551,-.247059,.256609,.683276,.464867,-.121569,.329443,.722645,.555417,.00392157,.403137,.762138,.645413,.129412,.503529,.805444,.718247,.254902,.603922,.848597,.790465,.380392,.704314,.887966,.847551,.505882,.802307,.926321,.903714,.631373,.851519,.944037,.941115,.756863,.899977,.961538,.976901,.882353,.935409,.975317,.984775,1,.968627,.988235,.992157]},{ColorSpace:"Lab",Name:"GnBuPu",RGBPoints:[-1,.003922,.27451,.211765,-.87451,.003922,.349312,.280661,-.74902,.003937,.423852,.349773,-.623529,.005905,.46519,.446228,-.498039,.009443,.506344,.542837,-.372549,.111803,.535871,.649135,-.247059,.214025,.565859,.753633,-.121569,.310481,.615071,.78316,.00392157,.407797,.663975,.812503,.129412,.531811,.703345,.836125,.254902,.65421,.742714,.859669,.380392,.736886,.782084,.881323,.505882,.81827,.821176,.902884,.631373,.873387,.854641,.922568,.756863,.927536,.888535,.942361,.882353,.964937,.929873,.964014,1,1,.968627,.984314]},{ColorSpace:"Lab",Name:"BuGnYl",RGBPoints:[-1,.031373,.113725,.345098,-.87451,.088458,.159,.463206,-.74902,.145052,.204567,.5807,-.623529,.139146,.287243,.620069,-.498039,.13318,.370196,.659562,-.372549,.123337,.470588,.706805,-.247059,.115386,.570335,.753126,-.121569,.186251,.643168,.761,.00392157,.258716,.71514,.768074,.129412,.380761,.760415,.750358,.254902,.503576,.806075,.732795,.380392,.645306,.861192,.719016,.505882,.783899,.91511,.705606,.631373,.858701,.944637,.6997,.756863,.931349,.973303,.698424,.882353,.966782,.987082,.777163,1,1,1,.85098]},{ColorSpace:"Lab",Name:"PuRd",RGBPoints:[-1,.286275,0,.415686,-.87451,.38273,.001968,.441276,-.74902,.479231,.003922,.466774,-.623529,.581592,.003922,.480554,-.498039,.683799,.00549,.494887,-.372549,.776317,.105882,.544098,-.247059,.867866,.206321,.592618,-.121569,.919047,.308681,.612303,.00392157,.968812,.411226,.632603,.129412,.974717,.519493,.671972,.254902,.980546,.626451,.71065,.380392,.984483,.701253,.732303,.505882,.988328,.77504,.755617,.631373,.990296,.828189,.812703,.756863,.992372,.880907,.869035,.882353,.996309,.926182,.912341,1,1,.968627,.952941]},{ColorSpace:"Lab",Name:"RdPu",RGBPoints:[-1,.403922,0,.121569,-.87451,.500377,0,.192434,-.74902,.596909,277e-6,.263037,-.623529,.703206,.035709,.300438,-.498039,.808612,.071296,.338854,-.372549,.857824,.116571,.441215,-.247059,.905513,.163552,.54293,-.121569,.889765,.281661,.617732,.00392157,.873156,.39897,.691611,.129412,.82985,.491488,.736886,.254902,.789081,.583237,.781853,.380392,.810734,.656071,.819254,.505882,.833126,.729181,.85684,.631373,.870527,.80792,.898178,.756863,.907605,.884398,.938331,.882353,.9391,.921799,.958016,1,.968627,.956863,.976471]},{ColorSpace:"Lab",Name:"Oranges",RGBPoints:[-1,.498039,.152941,.015686,-.87451,.57481,.182468,.013718,-.74902,.651765,.212042,.011734,-.623529,.752157,.247474,.007797,-.498039,.851719,.283368,.004475,-.372549,.898962,.348328,.039908,-.247059,.945652,.413426,.076401,-.121569,.969273,.484291,.157109,.00392157,.992157,.554971,.238185,.129412,.992157,.619931,.330704,.254902,.992157,.684967,.423837,.380392,.992157,.751895,.532103,.505882,.992249,.817716,.639354,.631373,.994218,.861023,.725967,.756863,.996186,.903576,.810965,.882353,.998155,.933103,.868051,1,1,.960784,.921569]},{ColorSpace:"Lab",Name:"Reds",RGBPoints:[-1,.403922,0,.05098,-.87451,.525967,.029527,.066728,-.74902,.647643,.058962,.082476,-.623529,.722445,.076678,.098224,-.498039,.797186,.095194,.114187,-.372549,.868051,.164091,.143714,-.247059,.937809,.233541,.173933,-.121569,.96143,.326059,.232987,.00392157,.984375,.418147,.292657,.129412,.986344,.496886,.371396,.254902,.988235,.575702,.450673,.380392,.988235,.656409,.543191,.505882,.98842,.736747,.635894,.631373,.992357,.809581,.732349,.756863,.996186,.880692,.826759,.882353,.998155,.92203,.885813,1,1,.960784,.941176]},{ColorSpace:"Lab",Name:"RdOr",RGBPoints:[-1,.498039,0,0,-.87451,.6004,0,0,-.74902,.702514,738e-6,477e-6,-.623529,.773379,.095225,.061499,-.498039,.843875,.189865,.12283,-.372549,.891119,.294195,.203537,-.247059,.937855,.397924,.283137,-.121569,.963445,.476663,.316601,.00392157,.988297,.555771,.351665,.129412,.990265,.646321,.436309,.254902,.992157,.735256,.519646,.380392,.992157,.784468,.570827,.505882,.992249,.833218,.623483,.631373,.994218,.872587,.706159,.756863,.996186,.911419,.788189,.882353,.998155,.940946,.859054,1,1,.968627,.92549]},{ColorSpace:"Lab",Name:"BrOrYl",RGBPoints:[-1,.4,.145098,.023529,-.87451,.500392,.174625,.019592,-.74902,.600784,.204291,.015656,-.623529,.701176,.251534,.011719,-.498039,.800984,.299146,.008397,-.372549,.863975,.370012,.043829,-.247059,.926321,.441107,.0794,-.121569,.961753,.521815,.120738,.00392157,.996078,.602645,.163122,.129412,.996078,.68729,.237924,.254902,.996078,.771011,.314879,.380392,.996078,.832034,.444798,.505882,.996171,.892042,.572595,.631373,.998139,.931411,.65724,.756863,1,.969489,.741669,.882353,1,.985236,.822376,1,1,1,.898039]},{ColorSpace:"Lab",Name:"RdOrYl",RGBPoints:[-1,.501961,0,.14902,-.87451,.622038,0,.14902,-.74902,.741761,4e-4,.148866,-.623529,.816563,.05158,.129181,-.498039,.890965,.10356,.110235,-.372549,.940177,.205921,.137793,-.247059,.988281,.308789,.165536,-.121569,.99025,.432803,.200969,.00392157,.992218,.555217,.236278,.129412,.994187,.628051,.267774,.254902,.996078,.701038,.301269,.380392,.996078,.777809,.383945,.505882,.996171,.852826,.466621,.631373,.998139,.892195,.549296,.756863,1,.931349,.632188,.882353,1,.966782,.7188,1,1,1,.8]},{ColorSpace:"Lab",Name:"CIELab_blue2red",RGBPoints:[-1,0,.6,.74902,1,.76863,.46667,.34118]},{ColorSpace:"Lab",Name:"blue2yellow",RGBPoints:[-1,0,0,1,0,.5,.5,.5,1,1,1,0]},{ColorSpace:"Lab",Name:"erdc_blue2gold",RGBPoints:[-1,.175119,.0438468,1,-.874016,.22383,.159771,.94557,-.748031,.27254,.233611,.891216,-.622047,.321251,.296526,.836857,-.496063,.369962,.354296,.782359,-.370079,.418672,.409139,.72754,-.244094,.467383,.462152,.672148,-.11811,.51609,.51396,.615825,.00787402,.572863,.55452,.559172,.133858,.630269,.593822,.517729,.259843,.689588,.624668,.47446,.385827,.745394,.656113,.428638,.511811,.798624,.688104,.379105,.637795,.849926,.720593,.323834,.76378,.899765,.753543,.258657,.889764,.948487,.78692,.171778,1,.990413,.816451,.00729848]},{ColorSpace:"Lab",Name:"erdc_blue2yellow",RGBPoints:[-1,.0830122,0,.495617,-.87451,.141973,.0551288,.57363,-.74902,.193048,.110258,.604561,-.623529,.234231,.165386,.57643,-.498039,.275413,.220515,.548299,-.372549,.316596,.275644,.520169,-.247059,.357778,.330773,.492038,-.121569,.398961,.385901,.463908,.00392157,.449929,.438487,.426815,.129412,.511572,.488299,.379944,.254902,.581222,.53603,.325741,.380392,.650871,.583761,.271538,.505882,.720521,.631493,.217335,.631373,.79017,.679224,.163132,.756863,.85982,.726955,.108929,.882353,.910254,.774159,.14112,1,.927513,.81759,.306289]},{ColorSpace:"Lab",Name:"erdc_cyan2orange",RGBPoints:[-1,.0471513,.213874,.414329,-.87451,.0674702,.256648,.439027,-.74902,.0959957,.299331,.462089,-.623529,.132428,.341872,.483212,-.498039,.188743,.38277,.500597,-.372549,.268511,.420229,.512179,-.247059,.352945,.455602,.519101,-.121569,.43893,.489368,.521538,.00392157,.522445,.522495,.522436,.129412,.600089,.555682,.53205,.254902,.67988,.587981,.539163,.380392,.761011,.619586,.544439,.505882,.84278,.650741,.548567,.631373,.910713,.687347,.557822,.756863,.952232,.734972,.577775,.882353,.975642,.789858,.604868,1,.990752,.843643,.632857]},{ColorSpace:"Lab",Name:"erdc_purple2green",RGBPoints:[-1,.235006,.0483128,.530899,-.87451,.302968,.108419,.552391,-.74902,.360241,.166059,.569502,-.623529,.406746,.226782,.579373,-.498039,.444073,.28964,.582094,-.372549,.473648,.353774,.577947,-.247059,.497636,.418154,.567911,-.121569,.519086,.481741,.553968,.00392157,.542884,.542914,.542875,.129412,.566303,.603989,.527499,.254902,.595218,.662965,.516857,.380392,.628641,.720701,.510673,.505882,.665373,.777849,.508165,.631373,.704182,.834921,.508303,.756863,.743846,.892328,.50999,.882353,.783158,.950422,.512181,1,.818617,1,.513888]},{ColorSpace:"Lab",Name:"erdc_purple2green_dark",RGBPoints:[-1,.107656,0,.428682,-.87451,.1924,0,.449799,-.74902,.255118,.0648939,.466726,-.623529,.304256,.133066,.476703,-.498039,.343202,.19716,.479793,-.372549,.373876,.260353,.476241,-.247059,.398497,.322872,.466953,-.121569,.420016,.384252,.453785,.00392157,.44319,.443216,.443186,.129412,.465553,.502139,.428233,.254902,.492959,.559151,.417591,.380392,.524654,.615092,.411016,.505882,.55959,.670583,.40779,.631373,.596614,.726102,.406948,.756863,.634544,.782032,.407439,.882353,.672183,.838703,.408237,1,.706131,.892759,.408452]},{ColorSpace:"Lab",Name:"coolwarm",RGBPoints:[-1,.229806,.298718,.753683,-.875,.303869,.406535,.844959,-.75,.383013,.509419,.917388,-.625,.466667,.604563,.968155,-.5,.552953,.688929,.995376,-.375,.639176,.7596,.998151,-.25,.722193,.813953,.976575,-.125,.798692,.849786,.931689,0,.865395,.86541,.865396,.125,.924128,.827385,.774508,.25,.958853,.769768,.678008,.375,.969954,.694267,.579375,.5,.958003,.602842,.481776,.625,.923945,.497309,.38797,.75,.869187,.378313,.300267,.875,.795632,.241284,.220526,1,.705673,.0155562,.150233]},{ColorSpace:"Lab",Name:"BuRd",RGBPoints:[-1,.019608,.188235,.380392,-.87451,.088504,.321107,.564937,-.74902,.163399,.444983,.697501,-.623529,.247059,.555709,.754095,-.498039,.420684,.676432,.818685,-.372549,.606459,.789773,.880277,-.247059,.761476,.868512,.924567,-.121569,.878047,.925721,.951942,.00392157,.969089,.966474,.964937,.129412,.983852,.897578,.846828,.254902,.982468,.800692,.706113,.380392,.960323,.66782,.536332,.505882,.894579,.503806,.399769,.631373,.81707,.33218,.281046,.756863,.728489,.155017,.197386,.882353,.576932,.055363,.14925,1,.403922,0,.121569]},{ColorSpace:"Lab",Name:"Spectral_lowBlue",RGBPoints:[-1,.368627,.309804,.635294,-.87451,.260361,.450058,.70173,-.74902,.248058,.591311,.717186,-.623529,.376009,.734025,.658132,-.498039,.537947,.814764,.64506,-.372549,.702345,.879585,.636678,-.247059,.84752,.938639,.607151,-.121569,.940408,.976163,.656055,.00392157,.999923,.997616,.745021,.129412,.997463,.921338,.61707,.254902,.995002,.824606,.499885,.380392,.992541,.701576,.39654,.505882,.973472,.547405,.318108,.631373,.937793,.398539,.270127,.756863,.861515,.282891,.299654,.882353,.746482,.144637,.288812,1,.619608,.003922,.258824]},{ColorSpace:"Lab",Name:"GnRP",RGBPoints:[-1,0,.266667,.105882,-.87451,.066436,.394617,.174779,-.74902,.168858,.524567,.25767,-.623529,.323875,.657439,.361015,-.498039,.504883,.772318,.506344,-.372549,.678431,.870127,.654902,-.247059,.803922,.921799,.780392,-.121569,.897116,.951942,.882814,.00392157,.967397,.965936,.967474,.129412,.928028,.879815,.930565,.254902,.866052,.780777,.882891,.380392,.77501,.665129,.821376,.505882,.675663,.537024,.737024,.631373,.57847,.396155,.645982,.756863,.492349,.223914,.547559,.882353,.375548,.096886,.423299,1,.25098,0,.294118]},{ColorSpace:"Lab",Name:"GYPi",RGBPoints:[-1,.152941,.392157,.098039,-.87451,.246444,.505344,.117724,-.74902,.351942,.614533,.161399,-.623529,.474971,.717878,.240138,-.498039,.611995,.811226,.392849,-.372549,.746328,.893118,.565321,-.247059,.859516,.94233,.747405,-.121569,.928105,.96386,.875663,.00392157,.969089,.966859,.968012,.129412,.983852,.910265,.948328,.254902,.979239,.833218,.914648,.380392,.949712,.729873,.862976,.505882,.905652,.58293,.763552,.631373,.85521,.410073,.652211,.756863,.793695,.183699,.531642,.882353,.683737,.063899,.420761,1,.556863,.003922,.321569]},{ColorSpace:"Lab",Name:"GnYlRd",RGBPoints:[-1,0,.407843,.215686,-.87451,.063975,.525952,.277201,-.74902,.177932,.633064,.332718,-.623529,.364937,.724106,.379469,-.498039,.527951,.797155,.40223,-.372549,.678431,.862822,.433449,-.247059,.803922,.916955,.514648,-.121569,.909419,.961861,.625067,.00392157,.999923,.997616,.745021,.129412,.997463,.921338,.61707,.254902,.995002,.824606,.499885,.380392,.992541,.701576,.39654,.505882,.973472,.547405,.318108,.631373,.939023,.389927,.245521,.756863,.867666,.239831,.176624,.882353,.762399,.110727,.151326,1,.647059,0,.14902]},{ColorSpace:"Lab",Name:"GBBr",RGBPoints:[-1,0,.235294,.188235,-.87451,.002461,.338639,.301423,-.74902,.055902,.448981,.417609,-.623529,.183852,.56955,.538178,-.498039,.357785,.700115,.660746,-.372549,.540177,.819531,.77624,-.247059,.714879,.890888,.864821,-.121569,.851134,.934564,.922645,.00392157,.960861,.959785,.95694,.129412,.963322,.927797,.83391,.254902,.939946,.868897,.68935,.380392,.883353,.775394,.517109,.505882,.808074,.625836,.324106,.631373,.717647,.476355,.15494,.756863,.592157,.358247,.06882,.882353,.458593,.26436,.031142,1,.329412,.188235,.019608]},{ColorSpace:"Lab",Name:"PuOr",RGBPoints:[-1,.498039,.231373,.031373,-.87451,.62599,.30273,.026451,-.74902,.746943,.387082,.037524,-.623529,.85767,.490427,.071972,-.498039,.936409,.617762,.236371,-.372549,.992695,.743099,.43291,-.247059,.995156,.841523,.63714,-.121569,.985313,.913802,.813687,.00392157,.966244,.966398,.967705,.129412,.889965,.89504,.938178,.254902,.806151,.804306,.894656,.380392,.712649,.688658,.833141,.505882,.594233,.554325,.744637,.631373,.474894,.404229,.652364,.756863,.366628,.217224,.563783,.882353,.266436,.089965,.434833,1,.176471,0,.294118]},{ColorSpace:"Lab",Name:"PRGn",RGBPoints:[-1,.25098,0,.294118,-.87451,.383852,.103345,.431911,-.74902,.497732,.234679,.55371,-.623529,.583852,.40692,.652134,-.498039,.681968,.545175,.742561,-.372549,.7807,.672357,.825221,-.247059,.871742,.788005,.886736,-.121569,.930488,.885198,.932872,.00392157,.966321,.968089,.965859,.129412,.892503,.950865,.877278,.254902,.796078,.91857,.772549,.380392,.670588,.866897,.647059,.505882,.493195,.765398,.496655,.631373,.314187,.649135,.354556,.756863,.15917,.516263,.251211,.882353,.062284,.386621,.170473,1,0,.266667,.105882]},{ColorSpace:"Lab",Name:"PiYG",RGBPoints:[-1,.556863,.003922,.321569,-.87451,.692195,.067897,.427374,-.74902,.797539,.197847,.539177,-.623529,.859054,.424221,.659746,-.498039,.908574,.592618,.770319,-.372549,.951557,.736332,.866205,-.247059,.981084,.839677,.917878,-.121569,.98293,.913802,.949558,.00392157,.96732,.968474,.965629,.129412,.92549,.963552,.869666,.254902,.852441,.939254,.736025,.380392,.739254,.890042,.553941,.505882,.60323,.805536,.382238,.631373,.467282,.711419,.235217,.756863,.344252,.608074,.156478,.882353,.2406,.49827,.116494,1,.152941,.392157,.098039]},{ColorSpace:"Lab",Name:"OrPu",RGBPoints:[-1,.176471,0,.294118,-.87451,.272434,.095963,.444214,-.74902,.373395,.228912,.56932,-.623529,.481661,.415917,.657901,-.498039,.601922,.562937,.750481,-.372549,.718493,.695886,.836986,-.247059,.811995,.811534,.898501,-.121569,.894733,.8995,.940023,.00392157,.969166,.966859,.963629,.129412,.98639,.910265,.803691,.254902,.995002,.835371,.624375,.380392,.992541,.736947,.420146,.505882,.931949,.609458,.224221,.631373,.85075,.483968,.069819,.756863,.740023,.380623,.035371,.882353,.617993,.29827,.026759,1,.498039,.231373,.031373]},{ColorSpace:"Lab",Name:"BrBG",RGBPoints:[-1,.329412,.188235,.019608,-.87451,.467205,.269435,.031911,-.74902,.6,.365629,.074202,-.623529,.72549,.483737,.160323,-.498039,.812995,.635832,.336409,-.372549,.88689,.781238,.527874,-.247059,.943483,.87474,.700115,-.121569,.963168,.929796,.841599,.00392157,.957247,.959938,.959554,.129412,.84406,.932872,.920185,.254902,.70396,.886428,.859285,.380392,.529258,.815071,.770704,.505882,.346251,.691811,.653057,.631373,.175855,.562015,.530642,.756863,.047905,.441446,.410073,.882353,.002307,.33218,.294348,1,0,.235294,.188235]},{ColorSpace:"Lab",Name:"GyRd",RGBPoints:[-1,.101961,.101961,.101961,-.87451,.227451,.227451,.227451,-.74902,.359939,.359939,.359939,-.623529,.502653,.502653,.502653,-.498039,.631373,.631373,.631373,-.372549,.749865,.749865,.749865,-.247059,.843368,.843368,.843368,-.121569,.926105,.926105,.926105,.00392157,.999846,.997232,.995694,.129412,.994925,.908651,.857901,.254902,.982468,.800692,.706113,.380392,.960323,.66782,.536332,.505882,.894579,.503806,.399769,.631373,.81707,.33218,.281046,.756863,.728489,.155017,.197386,.882353,.576932,.055363,.14925,1,.403922,0,.121569]},{ColorSpace:"Lab",Name:"erdc_divHi_purpleGreen",RGBPoints:[-1,.297553,0,.489074,-.87451,.40259,.151146,.567754,-.74902,.516038,.284843,.658231,-.623529,.629783,.423646,.750938,-.498039,.735198,.563697,.835956,-.372549,.82408,.695541,.903582,-.247059,.889091,.807454,.944862,-.121569,.92334,.886917,.951839,.00392157,.921045,.921084,.921003,.129412,.877324,.907455,.845381,.254902,.797649,.849713,.734695,.380392,.691646,.75964,.600532,.505882,.568981,.649159,.453807,.631373,.438945,.529756,.304259,.756863,.30973,.412001,.158303,.882353,.187078,.305111,.00251458,1,.101655,.220836,0]},{ColorSpace:"Lab",Name:"erdc_divHi_purpleGreen_dim",RGBPoints:[-1,.404088,.131038,.592767,-.87451,.486469,.230957,.651243,-.74902,.575165,.339335,.717723,-.623529,.662741,.454332,.784263,-.498039,.742071,.570213,.842918,-.372549,.806935,.678992,.886227,-.247059,.852219,.771315,.90763,-.121569,.873345,.837327,.901572,.00392157,.866783,.86682,.866745,.129412,.82839,.858225,.796812,.254902,.762578,.814287,.700202,.380392,.676429,.744229,.585735,.505882,.577033,.65732,.461526,.631373,.47128,.562476,.33476,.756863,.365461,.467957,.21076,.882353,.264758,.381138,.0878313,1,.182591,.312249,0]},{ColorSpace:"Lab",Name:"erdc_divLow_icePeach",RGBPoints:[-1,.480048,.817441,.998056,-.87451,.425898,.726921,.883187,-.74902,.366682,.629445,.761936,-.623529,.308756,.531002,.640217,-.498039,.258021,.43705,.523433,-.372549,.219244,.352381,.416348,-.247059,.195127,.281032,.322979,-.121569,.186286,.22627,.246525,.00392157,.192352,.19236,.192364,.129412,.255927,.214469,.191756,.254902,.340459,.254426,.206666,.380392,.444655,.309315,.234029,.505882,.565353,.376004,.270969,.631373,.697917,.450748,.314293,.756863,.836657,.529064,.360227,.882353,.972695,.614884,.413123,1,1,.705904,.472699]},{ColorSpace:"Lab",Name:"erdc_divLow_purpleGreen",RGBPoints:[-1,.956034,.666487,.952663,-.87451,.874457,.572698,.936352,-.74902,.753465,.488253,.909063,-.623529,.63309,.413507,.763833,-.498039,.514491,.345878,.620015,-.372549,.405008,.288141,.484376,-.247059,.311388,.241986,.363556,-.121569,.238722,.209044,.263449,.00392157,.192352,.192366,.192362,.129412,.200379,.233201,.168618,.254902,.230151,.291737,.165227,.380392,.279481,.366076,.178607,.505882,.344927,.453267,.205703,.631373,.421554,.549449,.242643,.756863,.503334,.649999,.284377,.882353,.583497,.749672,.324969,1,.650705,.837228,.356264]},{ColorSpace:"Lab",Name:"Haze_green",RGBPoints:[-1,1,.835294,.886275,-.87451,.937255,.756863,.870443,-.74902,.875817,.666376,.857807,-.623529,.778359,.583007,.808134,-.498039,.676253,.494118,.745098,-.372549,.561365,.390123,.682353,-.247059,.438344,.262745,.621496,-.121569,.321133,.141031,.558751,.00392157,.203922,.0217865,.495861,.129412,.265505,.129412,.433261,.254902,.311692,.255338,.37008,.380392,.356282,.377342,.310821,.505882,.39971,.488889,.258243,.631373,.442556,.604357,.205519,.756863,.48671,.71968,.152941,.882353,.529847,.830356,.100944,1,.572549,.933333,.054902]},{ColorSpace:"Lab",Name:"Haze_lime",RGBPoints:[-1,.704034,.784196,1,-.87451,.633111,.691418,.956078,-.74902,.564021,.600606,.912157,-.623529,.496827,.51189,.868235,-.498039,.43157,.425416,.824314,-.372549,.368248,.341347,.780392,-.247059,.306767,.259855,.736471,-.121569,.246862,.181069,.692549,.00392157,.191619,.109542,.648627,.129412,.257404,.194031,.604706,.254902,.321794,.278775,.560784,.380392,.387909,.364617,.516863,.505882,.456569,.451881,.472941,.631373,.527424,.540773,.42902,.756863,.599759,.631427,.385098,.882353,.673065,.723898,.341176,1,.742751,.812252,.3]},{ColorSpace:"RGB",Name:"Haze",RGBPoints:[-1,1,.835294,.996078,-.00392157,.023529,.141176,.498039,.00392157,.015686,.137255,.494118,1,.984314,.764706,0]},{ColorSpace:"Lab",Name:"Haze_cyan",RGBPoints:[-1,.956863,1,.835294,-.87451,.933188,.921714,.760784,-.74902,.870588,.803486,.671605,-.623529,.807843,.684096,.583297,-.498039,.745098,.569208,.494118,-.372549,.682353,.437763,.390123,-.247059,.621496,.288163,.262745,-.121569,.558751,.144517,.141031,.00392157,.495861,.0217865,.0413943,.129412,.433261,.137255,.129412,.254902,.37008,.263181,.255338,.380392,.306318,.381845,.372694,.505882,.243137,.503994,.494263,.631373,.180392,.629484,.619753,.756863,.117647,.754975,.747131,.882353,.054902,.876398,.866812,1,0,.988235,.976471]},{ColorSpace:"Lab",Name:"nic_Edge",RGBPoints:[-1,.191208,.191208,.191208,-.87451,.239484,.00545035,.614821,-.74902,.220593,.0617459,.863547,-.623529,.17509,.278988,.97794,-.498039,.143526,.576069,.998553,-.372549,.166456,.871883,.96594,-.247059,.376202,.993555,.981833,-.121569,.681996,.991297,.999239,.00392157,.954172,.952734,.94374,.129412,.999735,.99301,.662896,.254902,.979399,.991466,.357973,.380392,.968771,.854967,.162659,.505882,.999245,.556697,.144323,.631373,.973959,.26223,.177946,.756863,.852358,.0526707,.222974,.882353,.593889,.00912724,.238855,1,.191208,.191208,.191208]},{ColorSpace:"Lab",Name:"erdc_iceFire_H",RGBPoints:[-1,4.05432e-7,0,590122e-11,-.87451,0,.120401,.302675,-.74902,0,.216583,.524574,-.623529,.0552475,.345025,.6595,-.498039,.128047,.492588,.720288,-.372549,.188955,.641309,.792092,-.247059,.327673,.784935,.873434,-.121569,.60824,.892164,.935547,.00392157,.881371,.912178,.818099,.129412,.951407,.835621,.449279,.254902,.904481,.690489,0,.380392,.85407,.510864,0,.505882,.777093,.33018,88199e-8,.631373,.672862,.139087,.00269398,.756863,.508815,0,0,.882353,.299417,366289e-9,547829e-9,1,.0157519,.00332021,4.55569e-8]},{ColorSpace:"Lab",Name:"erdc_iceFire_L",RGBPoints:[-1,.870485,.913768,.832905,-.87451,.586919,.887865,.934003,-.74902,.31583,.776442,.867858,-.623529,.18302,.632034,.787722,-.498039,.117909,.484134,.713825,-.372549,.0507239,.335979,.654741,-.247059,0,.209874,.511832,-.121569,0,.114689,.28935,.00392157,.0157519,.00332021,4.55569e-8,.129412,.312914,0,0,.254902,.520865,0,0,.380392,.680105,.15255,.0025996,.505882,.785109,.339479,797922e-9,.631373,.857354,.522494,0,.756863,.910974,.699774,0,.882353,.951921,.842817,.478545,1,.881371,.912178,.818099]},{ColorSpace:"RGB",Name:"hsv",RGBPoints:[-1,1,0,0,-.666666,1,0,1,-.333333,0,0,1,0,0,1,1,.33333,0,1,0,.66666,1,1,0,1,1,0,0]},{ColorSpace:"Lab",Name:"hue_L60",RGBPoints:[-1,.964784,.400592,.349549,-.87451,.964915,.372498,.53785,-.74902,.892353,.401039,.759569,-.623529,.79263,.446956,.903017,-.498039,.682208,.49954,.966673,-.372549,.56392,.553082,.968836,-.247059,.442031,.606396,.901601,-.121569,.305499,.65701,.765784,.00392157,.197251,.687914,.620914,.129412,.193882,.701887,.472654,.254902,.249866,.706123,.320005,.380392,.35132,.697417,.202919,.505882,.498097,.669467,.125232,.631373,.637477,.626239,.107431,.756863,.762115,.56872,.155812,.882353,.889434,.481116,.240445,1,.964784,.400592,.349549]},{IndexedColors:[0,0,0,.8941176470588236,.1019607843137255,.1098039215686274,.2156862745098039,.4941176470588236,.7215686274509804,.3019607843137255,.6862745098039216,.2901960784313726,.596078431372549,.3058823529411765,.6392156862745098,1,.4980392156862745,0,.6509803921568628,.3372549019607843,.1568627450980392],Name:"Spectrum",NanColor:[.6509803921568628,.3372549019607843,.1568627450980392]},{IndexedColors:[.4745098039215686,.09019607843137255,.09019607843137255,.7098039215686275,.00392156862745098,.00392156862745098,.9372549019607843,.2784313725490196,.09803921568627451,.9764705882352941,.5137254901960784,.1411764705882353,1,.7058823529411765,0,1,.8980392156862745,.02352941176470588],Name:"Warm",NanColor:[1,.8980392156862745,.02352941176470588]},{IndexedColors:[.4588235294117647,.6941176470588235,.00392156862745098,.3450980392156863,.5019607843137255,.1607843137254902,.3137254901960784,.8431372549019608,.7490196078431373,.1098039215686274,.5843137254901961,.803921568627451,.2313725490196079,.407843137254902,.6705882352941176,.6039215686274509,.407843137254902,1,.3725490196078431,.2,.5019607843137255],Name:"Cool",NanColor:[.3725490196078431,.2,.5019607843137255]},{IndexedColors:[.2313725490196079,.407843137254902,.6705882352941176,.1098039215686274,.5843137254901961,.803921568627451,.3058823529411765,.8509803921568627,.9176470588235294,.4509803921568628,.6039215686274509,.8352941176470589,.2588235294117647,.2392156862745098,.6627450980392157,.3137254901960784,.3294117647058823,.5294117647058824,.06274509803921569,.1647058823529412,.3215686274509804],Name:"Blues",NanColor:[.06274509803921569,.1647058823529412,.3215686274509804]},{IndexedColors:[.1098039215686274,.5843137254901961,.803921568627451,.2313725490196079,.407843137254902,.6705882352941176,.4,.2431372549019608,.7176470588235294,.6352941176470588,.3294117647058823,.8117647058823529,.8705882352941177,.3803921568627451,.807843137254902,.8627450980392157,.3803921568627451,.5843137254901961,.2392156862745098,.06274509803921569,.3215686274509804],Name:"Wild Flower",NanColor:[.2392156862745098,.06274509803921569,.3215686274509804]},{IndexedColors:[.396078431372549,.4862745098039216,.2156862745098039,.4588235294117647,.6941176470588235,.00392156862745098,.6980392156862745,.7294117647058823,.1882352941176471,1,.8980392156862745,.02352941176470588,1,.7058823529411765,0,.9764705882352941,.5137254901960784,.1411764705882353],Name:"Citrus",NanColor:[.9764705882352941,.5137254901960784,.1411764705882353]},{IndexedColors:[.4980392156862745,.2313725490196079,.03137254901960784,.7019607843137254,.3450980392156863,.02352941176470588,.8784313725490196,.5098039215686274,.0784313725490196,.9921568627450981,.7215686274509804,.3882352941176471,.996078431372549,.8784313725490196,.7137254901960784,.9686274509803922,.9686274509803922,.9686274509803922,.8470588235294118,.8549019607843137,.9215686274509803,.6980392156862745,.6705882352941176,.8235294117647058,.5019607843137255,.4509803921568628,.6745098039215687,.3294117647058823,.1529411764705882,.5333333333333333,.1764705882352941,0,.2941176470588235],Name:"Brewer Diverging Purple-Orange (11)",NanColor:[.1764705882352941,0,.2941176470588235]},{IndexedColors:[.4980392156862745,.2313725490196079,.03137254901960784,.7019607843137254,.3450980392156863,.02352941176470588,.8784313725490196,.5098039215686274,.0784313725490196,.9921568627450981,.7215686274509804,.3882352941176471,.996078431372549,.8784313725490196,.7137254901960784,.8470588235294118,.8549019607843137,.9215686274509803,.6980392156862745,.6705882352941176,.8235294117647058,.5019607843137255,.4509803921568628,.6745098039215687,.3294117647058823,.1529411764705882,.5333333333333333,.1764705882352941,0,.2941176470588235],Name:"Brewer Diverging Purple-Orange (10)",NanColor:[.1764705882352941,0,.2941176470588235]},{IndexedColors:[.7019607843137254,.3450980392156863,.02352941176470588,.8784313725490196,.5098039215686274,.0784313725490196,.9921568627450981,.7215686274509804,.3882352941176471,.996078431372549,.8784313725490196,.7137254901960784,.9686274509803922,.9686274509803922,.9686274509803922,.8470588235294118,.8549019607843137,.9215686274509803,.6980392156862745,.6705882352941176,.8235294117647058,.5019607843137255,.4509803921568628,.6745098039215687,.3294117647058823,.1529411764705882,.5333333333333333],Name:"Brewer Diverging Purple-Orange (9)",NanColor:[.3294117647058823,.1529411764705882,.5333333333333333]},{IndexedColors:[.7019607843137254,.3450980392156863,.02352941176470588,.8784313725490196,.5098039215686274,.0784313725490196,.9921568627450981,.7215686274509804,.3882352941176471,.996078431372549,.8784313725490196,.7137254901960784,.8470588235294118,.8549019607843137,.9215686274509803,.6980392156862745,.6705882352941176,.8235294117647058,.5019607843137255,.4509803921568628,.6745098039215687,.3294117647058823,.1529411764705882,.5333333333333333],Name:"Brewer Diverging Purple-Orange (8)",NanColor:[.3294117647058823,.1529411764705882,.5333333333333333]},{IndexedColors:[.7019607843137254,.3450980392156863,.02352941176470588,.9450980392156862,.6392156862745098,.2509803921568627,.996078431372549,.8784313725490196,.7137254901960784,.9686274509803922,.9686274509803922,.9686274509803922,.8470588235294118,.8549019607843137,.9215686274509803,.6,.5568627450980392,.7647058823529411,.3294117647058823,.1529411764705882,.5333333333333333],Name:"Brewer Diverging Purple-Orange (7)",NanColor:[.3294117647058823,.1529411764705882,.5333333333333333]},{IndexedColors:[.7019607843137254,.3450980392156863,.02352941176470588,.9450980392156862,.6392156862745098,.2509803921568627,.996078431372549,.8784313725490196,.7137254901960784,.8470588235294118,.8549019607843137,.9215686274509803,.6,.5568627450980392,.7647058823529411,.3294117647058823,.1529411764705882,.5333333333333333],Name:"Brewer Diverging Purple-Orange (6)",NanColor:[.3294117647058823,.1529411764705882,.5333333333333333]},{IndexedColors:[.9019607843137255,.3803921568627451,.00392156862745098,.9921568627450981,.7215686274509804,.3882352941176471,.9686274509803922,.9686274509803922,.9686274509803922,.6980392156862745,.6705882352941176,.8235294117647058,.3686274509803922,.2352941176470588,.6],Name:"Brewer Diverging Purple-Orange (5)",NanColor:[.3686274509803922,.2352941176470588,.6]},{IndexedColors:[.9019607843137255,.3803921568627451,.00392156862745098,.9921568627450981,.7215686274509804,.3882352941176471,.6980392156862745,.6705882352941176,.8235294117647058,.3686274509803922,.2352941176470588,.6],Name:"Brewer Diverging Purple-Orange (4)",NanColor:[.3686274509803922,.2352941176470588,.6]},{IndexedColors:[.9450980392156862,.6392156862745098,.2509803921568627,.9686274509803922,.9686274509803922,.9686274509803922,.6,.5568627450980392,.7647058823529411],Name:"Brewer Diverging Purple-Orange (3)",NanColor:[.6,.5568627450980392,.7647058823529411]},{IndexedColors:[.6196078431372549,.00392156862745098,.2588235294117647,.8352941176470589,.2431372549019608,.3098039215686275,.9568627450980393,.4274509803921568,.2627450980392157,.9921568627450981,.6823529411764706,.3803921568627451,.996078431372549,.8784313725490196,.5450980392156862,1,1,.7490196078431373,.9019607843137255,.9607843137254902,.596078431372549,.6705882352941176,.8666666666666667,.6431372549019608,.4,.7607843137254902,.6470588235294118,.196078431372549,.5333333333333333,.7411764705882353,.3686274509803922,.3098039215686275,.6352941176470588],Name:"Brewer Diverging Spectral (11)",NanColor:[.3686274509803922,.3098039215686275,.6352941176470588]},{IndexedColors:[.6196078431372549,.00392156862745098,.2588235294117647,.8352941176470589,.2431372549019608,.3098039215686275,.9568627450980393,.4274509803921568,.2627450980392157,.9921568627450981,.6823529411764706,.3803921568627451,.996078431372549,.8784313725490196,.5450980392156862,.9019607843137255,.9607843137254902,.596078431372549,.6705882352941176,.8666666666666667,.6431372549019608,.4,.7607843137254902,.6470588235294118,.196078431372549,.5333333333333333,.7411764705882353,.3686274509803922,.3098039215686275,.6352941176470588],Name:"Brewer Diverging Spectral (10)",NanColor:[.3686274509803922,.3098039215686275,.6352941176470588]},{IndexedColors:[.8352941176470589,.2431372549019608,.3098039215686275,.9568627450980393,.4274509803921568,.2627450980392157,.9921568627450981,.6823529411764706,.3803921568627451,.996078431372549,.8784313725490196,.5450980392156862,1,1,.7490196078431373,.9019607843137255,.9607843137254902,.596078431372549,.6705882352941176,.8666666666666667,.6431372549019608,.4,.7607843137254902,.6470588235294118,.196078431372549,.5333333333333333,.7411764705882353],Name:"Brewer Diverging Spectral (9)",NanColor:[.196078431372549,.5333333333333333,.7411764705882353]},{IndexedColors:[.8352941176470589,.2431372549019608,.3098039215686275,.9568627450980393,.4274509803921568,.2627450980392157,.9921568627450981,.6823529411764706,.3803921568627451,.996078431372549,.8784313725490196,.5450980392156862,.9019607843137255,.9607843137254902,.596078431372549,.6705882352941176,.8666666666666667,.6431372549019608,.4,.7607843137254902,.6470588235294118,.196078431372549,.5333333333333333,.7411764705882353],Name:"Brewer Diverging Spectral (8)",NanColor:[.196078431372549,.5333333333333333,.7411764705882353]},{IndexedColors:[.8352941176470589,.2431372549019608,.3098039215686275,.9882352941176471,.5529411764705883,.3490196078431372,.996078431372549,.8784313725490196,.5450980392156862,1,1,.7490196078431373,.9019607843137255,.9607843137254902,.596078431372549,.6,.8352941176470589,.5803921568627451,.196078431372549,.5333333333333333,.7411764705882353],Name:"Brewer Diverging Spectral (7)",NanColor:[.196078431372549,.5333333333333333,.7411764705882353]},{IndexedColors:[.8352941176470589,.2431372549019608,.3098039215686275,.9882352941176471,.5529411764705883,.3490196078431372,.996078431372549,.8784313725490196,.5450980392156862,.9019607843137255,.9607843137254902,.596078431372549,.6,.8352941176470589,.5803921568627451,.196078431372549,.5333333333333333,.7411764705882353],Name:"Brewer Diverging Spectral (6)",NanColor:[.196078431372549,.5333333333333333,.7411764705882353]},{IndexedColors:[.8431372549019608,.09803921568627451,.1098039215686274,.9921568627450981,.6823529411764706,.3803921568627451,1,1,.7490196078431373,.6705882352941176,.8666666666666667,.6431372549019608,.1686274509803922,.5137254901960784,.7294117647058823],Name:"Brewer Diverging Spectral (5)",NanColor:[.1686274509803922,.5137254901960784,.7294117647058823]},{IndexedColors:[.8431372549019608,.09803921568627451,.1098039215686274,.9921568627450981,.6823529411764706,.3803921568627451,.6705882352941176,.8666666666666667,.6431372549019608,.1686274509803922,.5137254901960784,.7294117647058823],Name:"Brewer Diverging Spectral (4)",NanColor:[.1686274509803922,.5137254901960784,.7294117647058823]},{IndexedColors:[.9882352941176471,.5529411764705883,.3490196078431372,1,1,.7490196078431373,.6,.8352941176470589,.5803921568627451],Name:"Brewer Diverging Spectral (3)",NanColor:[.6,.8352941176470589,.5803921568627451]},{IndexedColors:[.3294117647058823,.1882352941176471,.0196078431372549,.5490196078431373,.3176470588235294,.0392156862745098,.7490196078431373,.5058823529411764,.1764705882352941,.8745098039215686,.7607843137254902,.4901960784313725,.9647058823529412,.9098039215686274,.7647058823529411,.9607843137254902,.9607843137254902,.9607843137254902,.7803921568627451,.9176470588235294,.8980392156862745,.5019607843137255,.803921568627451,.7568627450980392,.207843137254902,.592156862745098,.5607843137254902,.00392156862745098,.4,.3686274509803922,0,.2352941176470588,.1882352941176471],Name:"Brewer Diverging Brown-Blue-Green (11)",NanColor:[0,.2352941176470588,.1882352941176471]},{IndexedColors:[.3294117647058823,.1882352941176471,.0196078431372549,.5490196078431373,.3176470588235294,.0392156862745098,.7490196078431373,.5058823529411764,.1764705882352941,.8745098039215686,.7607843137254902,.4901960784313725,.9647058823529412,.9098039215686274,.7647058823529411,.7803921568627451,.9176470588235294,.8980392156862745,.5019607843137255,.803921568627451,.7568627450980392,.207843137254902,.592156862745098,.5607843137254902,.00392156862745098,.4,.3686274509803922,0,.2352941176470588,.1882352941176471],Name:"Brewer Diverging Brown-Blue-Green (10)",NanColor:[0,.2352941176470588,.1882352941176471]},{IndexedColors:[.5490196078431373,.3176470588235294,.0392156862745098,.7490196078431373,.5058823529411764,.1764705882352941,.8745098039215686,.7607843137254902,.4901960784313725,.9647058823529412,.9098039215686274,.7647058823529411,.9607843137254902,.9607843137254902,.9607843137254902,.7803921568627451,.9176470588235294,.8980392156862745,.5019607843137255,.803921568627451,.7568627450980392,.207843137254902,.592156862745098,.5607843137254902,.00392156862745098,.4,.3686274509803922],Name:"Brewer Diverging Brown-Blue-Green (9)",NanColor:[.00392156862745098,.4,.3686274509803922]},{IndexedColors:[.5490196078431373,.3176470588235294,.0392156862745098,.7490196078431373,.5058823529411764,.1764705882352941,.8745098039215686,.7607843137254902,.4901960784313725,.9647058823529412,.9098039215686274,.7647058823529411,.7803921568627451,.9176470588235294,.8980392156862745,.5019607843137255,.803921568627451,.7568627450980392,.207843137254902,.592156862745098,.5607843137254902,.00392156862745098,.4,.3686274509803922],Name:"Brewer Diverging Brown-Blue-Green (8)",NanColor:[.00392156862745098,.4,.3686274509803922]},{IndexedColors:[.5490196078431373,.3176470588235294,.0392156862745098,.8470588235294118,.7019607843137254,.396078431372549,.9647058823529412,.9098039215686274,.7647058823529411,.9607843137254902,.9607843137254902,.9607843137254902,.7803921568627451,.9176470588235294,.8980392156862745,.3529411764705883,.7058823529411765,.6745098039215687,.00392156862745098,.4,.3686274509803922],Name:"Brewer Diverging Brown-Blue-Green (7)",NanColor:[.00392156862745098,.4,.3686274509803922]},{IndexedColors:[.5490196078431373,.3176470588235294,.0392156862745098,.8470588235294118,.7019607843137254,.396078431372549,.9647058823529412,.9098039215686274,.7647058823529411,.7803921568627451,.9176470588235294,.8980392156862745,.3529411764705883,.7058823529411765,.6745098039215687,.00392156862745098,.4,.3686274509803922],Name:"Brewer Diverging Brown-Blue-Green (6)",NanColor:[.00392156862745098,.4,.3686274509803922]},{IndexedColors:[.6509803921568628,.3803921568627451,.1019607843137255,.8745098039215686,.7607843137254902,.4901960784313725,.9607843137254902,.9607843137254902,.9607843137254902,.5019607843137255,.803921568627451,.7568627450980392,.00392156862745098,.5215686274509804,.4431372549019608],Name:"Brewer Diverging Brown-Blue-Green (5)",NanColor:[.00392156862745098,.5215686274509804,.4431372549019608]},{IndexedColors:[.6509803921568628,.3803921568627451,.1019607843137255,.8745098039215686,.7607843137254902,.4901960784313725,.5019607843137255,.803921568627451,.7568627450980392,.00392156862745098,.5215686274509804,.4431372549019608],Name:"Brewer Diverging Brown-Blue-Green (4)",NanColor:[.00392156862745098,.5215686274509804,.4431372549019608]},{IndexedColors:[.8470588235294118,.7019607843137254,.396078431372549,.9607843137254902,.9607843137254902,.9607843137254902,.3529411764705883,.7058823529411765,.6745098039215687],Name:"Brewer Diverging Brown-Blue-Green (3)",NanColor:[.3529411764705883,.7058823529411765,.6745098039215687]},{IndexedColors:[.9686274509803922,.9882352941176471,.9921568627450981,.8980392156862745,.9607843137254902,.9764705882352941,.8,.9254901960784314,.9019607843137255,.6,.8470588235294118,.788235294117647,.4,.7607843137254902,.6431372549019608,.2549019607843137,.6823529411764706,.4627450980392157,.1372549019607843,.5450980392156862,.2705882352941176,0,.4274509803921568,.1725490196078431,0,.2666666666666667,.1058823529411765],Name:"Brewer Sequential Blue-Green (9)",NanColor:[0,.2666666666666667,.1058823529411765]},{IndexedColors:[.9686274509803922,.9882352941176471,.9921568627450981,.8980392156862745,.9607843137254902,.9764705882352941,.8,.9254901960784314,.9019607843137255,.6,.8470588235294118,.788235294117647,.4,.7607843137254902,.6431372549019608,.2549019607843137,.6823529411764706,.4627450980392157,.1372549019607843,.5450980392156862,.2705882352941176,0,.3450980392156863,.1411764705882353],Name:"Brewer Sequential Blue-Green (8)",NanColor:[0,.3450980392156863,.1411764705882353]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.8,.9254901960784314,.9019607843137255,.8,.9254901960784314,.9019607843137255,.4,.7607843137254902,.6431372549019608,.2549019607843137,.6823529411764706,.4627450980392157,.1372549019607843,.5450980392156862,.2705882352941176,0,.3450980392156863,.1411764705882353],Name:"Brewer Sequential Blue-Green (7)",NanColor:[0,.3450980392156863,.1411764705882353]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.8,.9254901960784314,.9019607843137255,.6,.8470588235294118,.788235294117647,.4,.7607843137254902,.6431372549019608,.1725490196078431,.6352941176470588,.3725490196078431,0,.4274509803921568,.1725490196078431],Name:"Brewer Sequential Blue-Green (6)",NanColor:[0,.4274509803921568,.1725490196078431]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.6980392156862745,.8862745098039215,.8862745098039215,.4,.7607843137254902,.6431372549019608,.1725490196078431,.6352941176470588,.3725490196078431,0,.4274509803921568,.1725490196078431],Name:"Brewer Sequential Blue-Green (5)",NanColor:[0,.4274509803921568,.1725490196078431]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.6980392156862745,.8862745098039215,.8862745098039215,.4,.7607843137254902,.6431372549019608,.1372549019607843,.5450980392156862,.2705882352941176],Name:"Brewer Sequential Blue-Green (4)",NanColor:[.1372549019607843,.5450980392156862,.2705882352941176]},{IndexedColors:[.8980392156862745,.9607843137254902,.9764705882352941,.6,.8470588235294118,.788235294117647,.1725490196078431,.6352941176470588,.3725490196078431],Name:"Brewer Sequential Blue-Green (3)",NanColor:[.1725490196078431,.6352941176470588,.3725490196078431]},{IndexedColors:[1,1,.8980392156862745,1,.9686274509803922,.7372549019607844,.996078431372549,.8901960784313725,.5686274509803921,.996078431372549,.7686274509803922,.3098039215686275,.996078431372549,.6,.1607843137254902,.9254901960784314,.4392156862745098,.0784313725490196,.8,.2980392156862745,.00784313725490196,.6,.203921568627451,.01568627450980392,.4,.1450980392156863,.02352941176470588],Name:"Brewer Sequential Yellow-Orange-Brown (9)",NanColor:[.4,.1450980392156863,.02352941176470588]},{IndexedColors:[1,1,.8980392156862745,1,.9686274509803922,.7372549019607844,.996078431372549,.8901960784313725,.5686274509803921,.996078431372549,.7686274509803922,.3098039215686275,.996078431372549,.6,.1607843137254902,.9254901960784314,.4392156862745098,.0784313725490196,.8,.2980392156862745,.00784313725490196,.5490196078431373,.1764705882352941,.01568627450980392],Name:"Brewer Sequential Yellow-Orange-Brown (8)",NanColor:[.5490196078431373,.1764705882352941,.01568627450980392]},{IndexedColors:[1,1,.8313725490196079,.996078431372549,.8901960784313725,.5686274509803921,.996078431372549,.7686274509803922,.3098039215686275,.996078431372549,.6,.1607843137254902,.9254901960784314,.4392156862745098,.0784313725490196,.8,.2980392156862745,.00784313725490196,.5490196078431373,.1764705882352941,.01568627450980392],Name:"Brewer Sequential Yellow-Orange-Brown (7)",NanColor:[.5490196078431373,.1764705882352941,.01568627450980392]},{IndexedColors:[1,1,.8313725490196079,.996078431372549,.8901960784313725,.5686274509803921,.996078431372549,.7686274509803922,.3098039215686275,.996078431372549,.6,.1607843137254902,.8509803921568627,.3725490196078431,.05490196078431372,.6,.203921568627451,.01568627450980392],Name:"Brewer Sequential Yellow-Orange-Brown (6)",NanColor:[.6,.203921568627451,.01568627450980392]},{IndexedColors:[1,1,.8313725490196079,.996078431372549,.8509803921568627,.5568627450980392,.996078431372549,.6,.1607843137254902,.8509803921568627,.3725490196078431,.05490196078431372,.6,.203921568627451,.01568627450980392],Name:"Brewer Sequential Yellow-Orange-Brown (5)",NanColor:[.6,.203921568627451,.01568627450980392]},{IndexedColors:[1,1,.8313725490196079,.996078431372549,.8509803921568627,.5568627450980392,.996078431372549,.6,.1607843137254902,.8,.2980392156862745,.00784313725490196],Name:"Brewer Sequential Yellow-Orange-Brown (4)",NanColor:[.8,.2980392156862745,.00784313725490196]},{IndexedColors:[1,.9686274509803922,.7372549019607844,.996078431372549,.7686274509803922,.3098039215686275,.8509803921568627,.3725490196078431,.05490196078431372],Name:"Brewer Sequential Yellow-Orange-Brown (3)",NanColor:[.8509803921568627,.3725490196078431,.05490196078431372]},{IndexedColors:[.9686274509803922,.9882352941176471,.9921568627450981,.8784313725490196,.9254901960784314,.9568627450980393,.7490196078431373,.8274509803921568,.9019607843137255,.6196078431372549,.7372549019607844,.8549019607843137,.5490196078431373,.5882352941176471,.7764705882352941,.5490196078431373,.4196078431372549,.6941176470588235,.5333333333333333,.2549019607843137,.615686274509804,.5058823529411764,.05882352941176471,.4862745098039216,.3019607843137255,0,.2941176470588235],Name:"Brewer Sequential Blue-Purple (9)",NanColor:[.3019607843137255,0,.2941176470588235]},{IndexedColors:[.9686274509803922,.9882352941176471,.9921568627450981,.8784313725490196,.9254901960784314,.9568627450980393,.7490196078431373,.8274509803921568,.9019607843137255,.6196078431372549,.7372549019607844,.8549019607843137,.5490196078431373,.5882352941176471,.7764705882352941,.5490196078431373,.4196078431372549,.6941176470588235,.5333333333333333,.2549019607843137,.615686274509804,.4313725490196079,.00392156862745098,.4196078431372549],Name:"Brewer Sequential Blue-Purple (8)",NanColor:[.4313725490196079,.00392156862745098,.4196078431372549]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.7490196078431373,.8274509803921568,.9019607843137255,.6196078431372549,.7372549019607844,.8549019607843137,.5490196078431373,.5882352941176471,.7764705882352941,.5490196078431373,.4196078431372549,.6941176470588235,.5333333333333333,.2549019607843137,.615686274509804,.4313725490196079,.00392156862745098,.4196078431372549],Name:"Brewer Sequential Blue-Purple (7)",NanColor:[.4313725490196079,.00392156862745098,.4196078431372549]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.7490196078431373,.8274509803921568,.9019607843137255,.6196078431372549,.7372549019607844,.8549019607843137,.5490196078431373,.5882352941176471,.7764705882352941,.5333333333333333,.3372549019607843,.6549019607843137,.5058823529411764,.05882352941176471,.4862745098039216],Name:"Brewer Sequential Blue-Purple (6)",NanColor:[.5058823529411764,.05882352941176471,.4862745098039216]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.7019607843137254,.803921568627451,.8901960784313725,.5490196078431373,.5882352941176471,.7764705882352941,.5333333333333333,.3372549019607843,.6549019607843137,.5058823529411764,.05882352941176471,.4862745098039216],Name:"Brewer Sequential Blue-Purple (5)",NanColor:[.5058823529411764,.05882352941176471,.4862745098039216]},{IndexedColors:[.9294117647058824,.9725490196078431,.984313725490196,.7019607843137254,.803921568627451,.8901960784313725,.5490196078431373,.5882352941176471,.7764705882352941,.5333333333333333,.2549019607843137,.615686274509804],Name:"Brewer Sequential Blue-Purple (4)",NanColor:[.5333333333333333,.2549019607843137,.615686274509804]},{IndexedColors:[.8784313725490196,.9254901960784314,.9568627450980393,.6196078431372549,.7372549019607844,.8549019607843137,.5333333333333333,.3372549019607843,.6549019607843137],Name:"Brewer Sequential Blue-Purple (3)",NanColor:[.5333333333333333,.3372549019607843,.6549019607843137]},{IndexedColors:[.4980392156862745,.788235294117647,.4980392156862745,.7450980392156863,.6823529411764706,.8313725490196079,.9921568627450981,.7529411764705882,.5254901960784314,1,1,.6,.2196078431372549,.4235294117647059,.6901960784313725,.9411764705882353,.00784313725490196,.4980392156862745,.7490196078431373,.3568627450980392,.09019607843137255,.4,.4,.4],Name:"Brewer Qualitative Accent",NanColor:[.4,.4,.4]},{IndexedColors:[.1058823529411765,.6196078431372549,.4666666666666667,.8509803921568627,.3725490196078431,.00784313725490196,.4588235294117647,.4392156862745098,.7019607843137254,.9058823529411765,.1607843137254902,.5411764705882353,.4,.6509803921568628,.1176470588235294,.9019607843137255,.6705882352941176,.00784313725490196,.6509803921568628,.4627450980392157,.1137254901960784,.4,.4,.4],Name:"Brewer Qualitative Dark2",NanColor:[.4,.4,.4]},{IndexedColors:[.4,.7607843137254902,.6470588235294118,.9882352941176471,.5529411764705883,.3843137254901961,.5529411764705883,.6274509803921569,.796078431372549,.9058823529411765,.5411764705882353,.7647058823529411,.6509803921568628,.8470588235294118,.3294117647058823,1,.8509803921568627,.1843137254901961,.8980392156862745,.7686274509803922,.5803921568627451,.7019607843137254,.7019607843137254,.7019607843137254],Name:"Brewer Qualitative Set2",NanColor:[.7019607843137254,.7019607843137254,.7019607843137254]},{IndexedColors:[.7019607843137254,.8862745098039215,.803921568627451,.9921568627450981,.803921568627451,.6745098039215687,.796078431372549,.8352941176470589,.9098039215686274,.9568627450980393,.792156862745098,.8941176470588236,.9019607843137255,.9607843137254902,.788235294117647,1,.9490196078431372,.6823529411764706,.9450980392156862,.8862745098039215,.8,.8,.8,.8],Name:"Brewer Qualitative Pastel2",NanColor:[.8,.8,.8]},{IndexedColors:[.984313725490196,.7058823529411765,.6823529411764706,.7019607843137254,.803921568627451,.8901960784313725,.8,.9215686274509803,.7725490196078432,.8705882352941177,.796078431372549,.8941176470588236,.996078431372549,.8509803921568627,.6509803921568628,1,1,.8,.8980392156862745,.8470588235294118,.7411764705882353,.9921568627450981,.8549019607843137,.9254901960784314,.9490196078431372,.9490196078431372,.9490196078431372],Name:"Brewer Qualitative Pastel1",NanColor:[.9490196078431372,.9490196078431372,.9490196078431372]},{IndexedColors:[.8941176470588236,.1019607843137255,.1098039215686274,.2156862745098039,.4941176470588236,.7215686274509804,.3019607843137255,.6862745098039216,.2901960784313726,.596078431372549,.3058823529411765,.6392156862745098,1,.4980392156862745,0,1,1,.2,.6509803921568628,.3372549019607843,.1568627450980392,.9686274509803922,.5058823529411764,.7490196078431373,.6,.6,.6],Name:"Brewer Qualitative Set1",NanColor:[.6,.6,.6]},{IndexedColors:[.6509803921568628,.807843137254902,.8901960784313725,.1215686274509804,.4705882352941176,.7058823529411765,.6980392156862745,.8745098039215686,.5411764705882353,.2,.6274509803921569,.1725490196078431,.984313725490196,.6039215686274509,.6,.8901960784313725,.1019607843137255,.1098039215686274,.9921568627450981,.7490196078431373,.4352941176470588,1,.4980392156862745,0,.792156862745098,.6980392156862745,.8392156862745098,.4156862745098039,.2392156862745098,.6039215686274509,1,1,.6],Name:"Brewer Qualitative Paired",NanColor:[1,1,.6]},{IndexedColors:[.5529411764705883,.8274509803921568,.7803921568627451,1,1,.7019607843137254,.7450980392156863,.7294117647058823,.8549019607843137,.984313725490196,.5019607843137255,.4470588235294118,.5019607843137255,.6941176470588235,.8274509803921568,.9921568627450981,.7058823529411765,.3843137254901961,.7019607843137254,.8705882352941177,.4117647058823529,.9882352941176471,.803921568627451,.8980392156862745,.8509803921568627,.8509803921568627,.8509803921568627,.7372549019607844,.5019607843137255,.7411764705882353,.8,.9215686274509803,.7725490196078432,1,.9294117647058824,.4352941176470588],Name:"Brewer Qualitative Set3",NanColor:[1,.9294117647058824,.4352941176470588]},{IndexedColors:[1,0,0,1,.862745,0,0,.695201,0],Name:"Traffic Lights",NanColor:[.803922,0,.803922]},{IndexedColors:[.908659,.604013,.581857,1,.862745,0,0,.695201,0],Name:"Traffic Lights For Deuteranopes",NanColor:[.803922,0,.803922]},{IndexedColors:[.4196078431372549,0,.07058823529411765,.9019607843137255,.9411764705882353,.0196078431372549,.01568627450980392,.6196078431372549,.00784313725490196],Name:"Traffic Lights For Deuteranopes 2",NanColor:[.803922,0,.803922]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Muted Blue-Green",NanColor:[.25,0,0],RGBPoints:[0,.109804,.27451,.301961,.02,.129412,.309804,.341176,.05,.14902,.341176,.380392,.1,.188235,.403922,.458824,.15,.227451,.447059,.521569,.2,.290196,.494118,.588235,.25,.368627,.552941,.670588,.3,.458824,.619608,.74902,.35,.588235,.713725,.85098,.4,.72549,.815686,.941176,.45,.831373,.882353,.980392,.475,.909804,.933333,1,.5,.980392,.984314,1,.5,.996078,1,.94902,.5,1,1,.980392,.5,.980392,.984314,1,.525,.972549,.988235,.890196,.55,.917647,.960784,.835294,.6,.835294,.921569,.772549,.65,.768627,.901961,.737255,.7,.670588,.831373,.654902,.75,.576471,.760784,.584314,.8,.498039,.678431,.521569,.85,.392157,.560784,.427451,.9,.294118,.45098,.333333,.95,.211765,.34902,.254902,1,.152941,.278431,.196078]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Green-Blue Asymmetric Divergent (62Blbc)",NanColor:[.25,0,0],RGBPoints:[0,.121569,.2,.145098,.05,.196078,.301961,.223529,.1,.258824,.4,.278431,.2,.341176,.54902,.341176,.25,.419608,.619608,.376471,.3,.545098,.701961,.392157,.35,.643137,.780392,.403922,.4,.729412,.819608,.45098,.45,.811765,.870588,.521569,.5,.898039,.909804,.564706,.55,.941176,.92549,.686275,.6,.960784,.94902,.776471,.64,1,1,1,.65,.890196,.988235,.972549,.7,.721569,.894118,.901961,.75,.631373,.823529,.839216,.8,.517647,.662745,.701961,.85,.384314,.494118,.54902,.9,.298039,.360784,.45098,.95,.223529,.25098,.34902,.99,.156863,.172549,.25098,1,.137255,.137255,.188235]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Asymmtrical Earth Tones (6_21b)",NanColor:[.25,0,0],RGBPoints:[0,.141176,.14902,.2,.05,.215686,.258824,.321569,.1,.243137,.368627,.380392,.15,.27451,.439216,.4,.2,.32549,.501961,.384314,.25,.403922,.6,.419608,.3,.486275,.701961,.454902,.35,.556863,.74902,.494118,.4,.670588,.8,.545098,.5,.854902,.901961,.631373,.55,.92549,.941176,.694118,.6,.960784,.94902,.776471,.65,.988235,.968627,.909804,.7,.839216,.815686,.772549,.75,.701961,.662745,.615686,.8,.6,.529412,.478431,.85,.501961,.403922,.360784,.9,.439216,.313725,.290196,1,.301961,.164706,.176471]},{ColorSpace:"Lab",Creator:"Francesca Samsel",Name:"Yellow 15",NanColor:[.25,0,0],RGBPoints:[0,1,1,.988235,.002,1,1,.988235,.05,.984314,.988235,.843137,.1,.988235,.988235,.741176,.15,.980392,.968627,.654902,.2,.980392,.945098,.576471,.25,.968627,.905882,.486275,.3,.968627,.862745,.388235,.35,.960784,.803922,.286275,.4,.94902,.741176,.219608,.45,.941176,.678431,.14902,.5,.929412,.607843,.094118,.55,.921569,.545098,.054902,.6,.909804,.486275,.035294,.65,.890196,.411765,.019608,.7,.8,.305882,0,.75,.760784,.239216,0,.8,.678431,.180392,.011765,.85,.6,.121569,.023529,.9,.501961,.054902,.031373,.95,.4,.039216,.058824,1,.301961,.047059,.090196]},{ColorSpace:"Diverging",Name:"Magma (matplotlib)",NanColor:[0,1,0],Source:"https://github.com/BIDS/colormap/blob/master/colormaps.py",License:"CC0",Creator:"Nathaniel J. Smith & Stefan van der Walt",RGBPoints:[0,.001462,466e-6,.013866,.003922,.002258,.001295,.018331,.007843,.003279,.002305,.023708,.011765,.004512,.00349,.029965,.015686,.00595,.004843,.03713,.019608,.007588,.006356,.044973,.023529,.009426,.008022,.052844,.027451,.011465,.009828,.06075,.031373,.013708,.011771,.068667,.035294,.016156,.01384,.076603,.039216,.018815,.016026,.084584,.043137,.021692,.01832,.09261,.047059,.024792,.020715,.100676,.05098,.028123,.023201,.108787,.054902,.031696,.025765,.116965,.058824,.03552,.028397,.125209,.062745,.039608,.03109,.133515,.066667,.04383,.03383,.141886,.070588,.048062,.036607,.150327,.07451,.05232,.039407,.158841,.078431,.056615,.04216,.167446,.082353,.060949,.044794,.176129,.086275,.06533,.047318,.184892,.090196,.069764,.049726,.193735,.094118,.074257,.052017,.20266,.098039,.078815,.054184,.211667,.101961,.083446,.056225,.220755,.105882,.088155,.058133,.229922,.109804,.092949,.059904,.239164,.113725,.097833,.061531,.248477,.117647,.102815,.06301,.257854,.121569,.107899,.064335,.267289,.12549,.113094,.065492,.276784,.129412,.118405,.066479,.286321,.133333,.123833,.067295,.295879,.137255,.12938,.067935,.305443,.141176,.135053,.068391,.315,.145098,.140858,.068654,.324538,.14902,.146785,.068738,.334011,.152941,.152839,.068637,.343404,.156863,.159018,.068354,.352688,.160784,.165308,.067911,.361816,.164706,.171713,.067305,.370771,.168627,.178212,.066576,.379497,.172549,.184801,.065732,.387973,.176471,.19146,.064818,.396152,.180392,.198177,.063862,.404009,.184314,.204935,.062907,.411514,.188235,.211718,.061992,.418647,.192157,.218512,.061158,.425392,.196078,.225302,.060445,.431742,.2,.232077,.059889,.437695,.203922,.238826,.059517,.443256,.207843,.245543,.059352,.448436,.211765,.25222,.059415,.453248,.215686,.258857,.059706,.45771,.219608,.265447,.060237,.46184,.223529,.271994,.060994,.46566,.227451,.278493,.061978,.46919,.231373,.284951,.063168,.472451,.235294,.291366,.064553,.475462,.239216,.29774,.066117,.478243,.243137,.304081,.067835,.480812,.247059,.310382,.069702,.483186,.25098,.316654,.07169,.48538,.254902,.322899,.073782,.487408,.258824,.329114,.075972,.489287,.262745,.335308,.078236,.491024,.266667,.341482,.080564,.492631,.270588,.347636,.082946,.494121,.27451,.353773,.085373,.495501,.278431,.359898,.087831,.496778,.282353,.366012,.090314,.49796,.286275,.372116,.092816,.499053,.290196,.378211,.095332,.500067,.294118,.384299,.097855,.501002,.298039,.390384,.100379,.501864,.301961,.396467,.102902,.502658,.305882,.402548,.10542,.503386,.309804,.408629,.10793,.504052,.313725,.414709,.110431,.504662,.317647,.420791,.11292,.505215,.321569,.426877,.115395,.505714,.32549,.432967,.117855,.50616,.329412,.439062,.120298,.506555,.333333,.445163,.122724,.506901,.337255,.451271,.125132,.507198,.341176,.457386,.127522,.507448,.345098,.463508,.129893,.507652,.34902,.46964,.132245,.507809,.352941,.47578,.134577,.507921,.356863,.481929,.136891,.507989,.360784,.488088,.139186,.508011,.364706,.494258,.141462,.507988,.368627,.500438,.143719,.50792,.372549,.506629,.145958,.507806,.376471,.512831,.148179,.507648,.380392,.519045,.150383,.507443,.384314,.52527,.152569,.507192,.388235,.531507,.154739,.506895,.392157,.537755,.156894,.506551,.396078,.544015,.159033,.506159,.4,.550287,.161158,.505719,.403922,.556571,.163269,.50523,.407843,.562866,.165368,.504692,.411765,.569172,.167454,.504105,.415686,.57549,.16953,.503466,.419608,.581819,.171596,.502777,.423529,.588158,.173652,.502035,.427451,.594508,.175701,.501241,.431373,.600868,.177743,.500394,.435294,.607238,.179779,.499492,.439216,.613617,.181811,.498536,.443137,.620005,.18384,.497524,.447059,.626401,.185867,.496456,.45098,.632805,.187893,.495332,.454902,.639216,.189921,.49415,.458824,.645633,.191952,.49291,.462745,.652056,.193986,.491611,.466667,.658483,.196027,.490253,.470588,.664915,.198075,.488836,.47451,.671349,.200133,.487358,.478431,.677786,.202203,.485819,.482353,.684224,.204286,.484219,.486275,.690661,.206384,.482558,.490196,.697098,.208501,.480835,.494118,.703532,.210638,.479049,.498039,.709962,.212797,.477201,.501961,.716387,.214982,.47529,.505882,.722805,.217194,.473316,.509804,.729216,.219437,.471279,.513725,.735616,.221713,.46918,.517647,.742004,.224025,.467018,.521569,.748378,.226377,.464794,.52549,.754737,.228772,.462509,.529412,.761077,.231214,.460162,.533333,.767398,.233705,.457755,.537255,.773695,.236249,.455289,.541176,.779968,.238851,.452765,.545098,.786212,.241514,.450184,.54902,.792427,.244242,.447543,.552941,.798608,.24704,.444848,.556863,.804752,.249911,.442102,.560784,.810855,.252861,.439305,.564706,.816914,.255895,.436461,.568627,.822926,.259016,.433573,.572549,.828886,.262229,.430644,.576471,.834791,.26554,.427671,.580392,.840636,.268953,.424666,.584314,.846416,.272473,.421631,.588235,.852126,.276106,.418573,.592157,.857763,.279857,.415496,.596078,.86332,.283729,.412403,.6,.868793,.287728,.409303,.603922,.874176,.291859,.406205,.607843,.879464,.296125,.403118,.611765,.884651,.30053,.400047,.615686,.889731,.305079,.397002,.619608,.8947,.309773,.393995,.623529,.899552,.314616,.391037,.627451,.904281,.31961,.388137,.631373,.908884,.324755,.385308,.635294,.913354,.330052,.382563,.639216,.917689,.3355,.379915,.643137,.921884,.341098,.377376,.647059,.925937,.346844,.374959,.65098,.929845,.352734,.372677,.654902,.933606,.358764,.370541,.658824,.937221,.364929,.368567,.662745,.940687,.371224,.366762,.666667,.944006,.377643,.365136,.670588,.94718,.384178,.363701,.67451,.95021,.39082,.362468,.678431,.953099,.397563,.361438,.682353,.955849,.4044,.360619,.686275,.958464,.411324,.360014,.690196,.960949,.418323,.35963,.694118,.96331,.42539,.359469,.698039,.965549,.432519,.359529,.701961,.967671,.439703,.35981,.705882,.96968,.446936,.360311,.709804,.971582,.45421,.36103,.713725,.973381,.46152,.361965,.717647,.975082,.468861,.363111,.721569,.97669,.476226,.364466,.72549,.97821,.483612,.366025,.729412,.979645,.491014,.367783,.733333,.981,.498428,.369734,.737255,.982279,.505851,.371874,.741176,.983485,.51328,.374198,.745098,.984622,.520713,.376698,.74902,.985693,.528148,.379371,.752941,.9867,.535582,.38221,.756863,.987646,.543015,.38521,.760784,.988533,.550446,.388365,.764706,.989363,.557873,.391671,.768627,.990138,.565296,.395122,.772549,.990871,.572706,.398714,.776471,.991558,.580107,.402441,.780392,.992196,.587502,.406299,.784314,.992785,.594891,.410283,.788235,.993326,.602275,.41439,.792157,.993834,.609644,.418613,.796078,.994309,.616999,.42295,.8,.994738,.62435,.427397,.803922,.995122,.631696,.431951,.807843,.99548,.639027,.436607,.811765,.99581,.646344,.441361,.815686,.996096,.653659,.446213,.819608,.996341,.660969,.45116,.823529,.99658,.668256,.456192,.827451,.996775,.675541,.461314,.831373,.996925,.682828,.466526,.835294,.997077,.690088,.471811,.839216,.997186,.697349,.477182,.843137,.997254,.704611,.482635,.847059,.997325,.711848,.488154,.85098,.997351,.719089,.493755,.854902,.997351,.726324,.499428,.858824,.997341,.733545,.505167,.862745,.997285,.740772,.510983,.866667,.997228,.747981,.516859,.870588,.997138,.75519,.522806,.87451,.997019,.762398,.528821,.878431,.996898,.769591,.534892,.882353,.996727,.776795,.541039,.886275,.996571,.783977,.547233,.890196,.996369,.791167,.553499,.894118,.996162,.798348,.55982,.898039,.995932,.805527,.566202,.901961,.99568,.812706,.572645,.905882,.995424,.819875,.57914,.909804,.995131,.827052,.585701,.913725,.994851,.834213,.592307,.917647,.994524,.841387,.598983,.921569,.994222,.84854,.605696,.92549,.993866,.855711,.612482,.929412,.993545,.862859,.619299,.933333,.99317,.870024,.626189,.937255,.992831,.877168,.633109,.941176,.99244,.88433,.640099,.945098,.992089,.89147,.647116,.94902,.991688,.898627,.654202,.952941,.991332,.905763,.661309,.956863,.99093,.912915,.668481,.960784,.99057,.920049,.675675,.964706,.990175,.927196,.682926,.968627,.989815,.934329,.690198,.972549,.989434,.94147,.697519,.976471,.989077,.948604,.704863,.980392,.988717,.955742,.712242,.984314,.988367,.962878,.719649,.988235,.988033,.970012,.727077,.992157,.987691,.977154,.734536,.996078,.987387,.984288,.742002,1,.987053,.991438,.749504]},{ColorSpace:"Diverging",Name:"Inferno (matplotlib)",NanColor:[0,1,0],Source:"https://github.com/BIDS/colormap/blob/master/colormaps.py",License:"CC0",Creator:"Nathaniel J. Smith & Stefan van der Walt",RGBPoints:[0,.001462,466e-6,.013866,.003922,.002267,.00127,.01857,.007843,.003299,.002249,.024239,.011765,.004547,.003392,.030909,.015686,.006006,.004692,.038558,.019608,.007676,.006136,.046836,.023529,.009561,.007713,.055143,.027451,.011663,.009417,.06346,.031373,.013995,.011225,.071862,.035294,.016561,.013136,.080282,.039216,.019373,.015133,.088767,.043137,.022447,.017199,.097327,.047059,.025793,.019331,.10593,.05098,.029432,.021503,.114621,.054902,.033385,.023702,.123397,.058824,.037668,.025921,.132232,.062745,.042253,.028139,.141141,.066667,.046915,.030324,.150164,.070588,.051644,.032474,.159254,.07451,.056449,.034569,.168414,.078431,.06134,.03659,.177642,.082353,.066331,.038504,.186962,.086275,.071429,.040294,.196354,.090196,.076637,.041905,.205799,.094118,.081962,.043328,.215289,.098039,.087411,.044556,.224813,.101961,.09299,.045583,.234358,.105882,.098702,.046402,.243904,.109804,.104551,.047008,.25343,.113725,.110536,.047399,.262912,.117647,.116656,.047574,.272321,.121569,.122908,.047536,.281624,.12549,.129285,.047293,.290788,.129412,.135778,.046856,.299776,.133333,.142378,.046242,.308553,.137255,.149073,.045468,.317085,.141176,.15585,.044559,.325338,.145098,.162689,.043554,.333277,.14902,.169575,.042489,.340874,.152941,.176493,.041402,.348111,.156863,.183429,.040329,.354971,.160784,.190367,.039309,.361447,.164706,.197297,.0384,.367535,.168627,.204209,.037632,.373238,.172549,.211095,.03703,.378563,.176471,.217949,.036615,.383522,.180392,.224763,.036405,.388129,.184314,.231538,.036405,.3924,.188235,.238273,.036621,.396353,.192157,.244967,.037055,.400007,.196078,.25162,.037705,.403378,.2,.258234,.038571,.406485,.203922,.26481,.039647,.409345,.207843,.271347,.040922,.411976,.211765,.27785,.042353,.414392,.215686,.284321,.043933,.416608,.219608,.290763,.045644,.418637,.223529,.297178,.04747,.420491,.227451,.303568,.049396,.422182,.231373,.309935,.051407,.423721,.235294,.316282,.05349,.425116,.239216,.32261,.055634,.426377,.243137,.328921,.057827,.427511,.247059,.335217,.06006,.428524,.25098,.3415,.062325,.429425,.254902,.347771,.064616,.430217,.258824,.354032,.066925,.430906,.262745,.360284,.069247,.431497,.266667,.366529,.071579,.431994,.270588,.372768,.073915,.4324,.27451,.379001,.076253,.432719,.278431,.385228,.078591,.432955,.282353,.391453,.080927,.433109,.286275,.397674,.083257,.433183,.290196,.403894,.08558,.433179,.294118,.410113,.087896,.433098,.298039,.416331,.090203,.432943,.301961,.422549,.092501,.432714,.305882,.428768,.09479,.432412,.309804,.434987,.097069,.432039,.313725,.441207,.099338,.431594,.317647,.447428,.101597,.43108,.321569,.453651,.103848,.430498,.32549,.459875,.106089,.429846,.329412,.4661,.108322,.429125,.333333,.472328,.110547,.428334,.337255,.478558,.112764,.427475,.341176,.484789,.114974,.426548,.345098,.491022,.117179,.425552,.34902,.497257,.119379,.424488,.352941,.503493,.121575,.423356,.356863,.50973,.123769,.422156,.360784,.515967,.12596,.420887,.364706,.522206,.12815,.419549,.368627,.528444,.130341,.418142,.372549,.534683,.132534,.416667,.376471,.54092,.134729,.415123,.380392,.547157,.136929,.413511,.384314,.553392,.139134,.411829,.388235,.559624,.141346,.410078,.392157,.565854,.143567,.408258,.396078,.572081,.145797,.406369,.4,.578304,.148039,.404411,.403922,.584521,.150294,.402385,.407843,.590734,.152563,.40029,.411765,.59694,.154848,.398125,.415686,.603139,.157151,.395891,.419608,.60933,.159474,.393589,.423529,.615513,.161817,.391219,.427451,.621685,.164184,.388781,.431373,.627847,.166575,.386276,.435294,.633998,.168992,.383704,.439216,.640135,.171438,.381065,.443137,.64626,.173914,.378359,.447059,.652369,.176421,.375586,.45098,.658463,.178962,.372748,.454902,.66454,.181539,.369846,.458824,.670599,.184153,.366879,.462745,.676638,.186807,.363849,.466667,.682656,.189501,.360757,.470588,.688653,.192239,.357603,.47451,.694627,.195021,.354388,.478431,.700576,.197851,.351113,.482353,.7065,.200728,.347777,.486275,.712396,.203656,.344383,.490196,.718264,.206636,.340931,.494118,.724103,.20967,.337424,.498039,.729909,.212759,.333861,.501961,.735683,.215906,.330245,.505882,.741423,.219112,.326576,.509804,.747127,.222378,.322856,.513725,.752794,.225706,.319085,.517647,.758422,.229097,.315266,.521569,.76401,.232554,.311399,.52549,.769556,.236077,.307485,.529412,.775059,.239667,.303526,.533333,.780517,.243327,.299523,.537255,.785929,.247056,.295477,.541176,.791293,.250856,.29139,.545098,.796607,.254728,.287264,.54902,.801871,.258674,.283099,.552941,.807082,.262692,.278898,.556863,.812239,.266786,.274661,.560784,.817341,.270954,.27039,.564706,.822386,.275197,.266085,.568627,.827372,.279517,.26175,.572549,.832299,.283913,.257383,.576471,.837165,.288385,.252988,.580392,.841969,.292933,.248564,.584314,.846709,.297559,.244113,.588235,.851384,.30226,.239636,.592157,.855992,.307038,.235133,.596078,.860533,.311892,.230606,.6,.865006,.316822,.226055,.603922,.869409,.321827,.221482,.607843,.873741,.326906,.216886,.611765,.878001,.33206,.212268,.615686,.882188,.337287,.207628,.619608,.886302,.342586,.202968,.623529,.890341,.347957,.198286,.627451,.894305,.353399,.193584,.631373,.898192,.358911,.18886,.635294,.902003,.364492,.184116,.639216,.905735,.37014,.17935,.643137,.90939,.375856,.174563,.647059,.912966,.381636,.169755,.65098,.916462,.387481,.164924,.654902,.919879,.393389,.16007,.658824,.923215,.399359,.155193,.662745,.92647,.405389,.150292,.666667,.929644,.411479,.145367,.670588,.932737,.417627,.140417,.67451,.935747,.423831,.13544,.678431,.938675,.430091,.130438,.682353,.941521,.436405,.125409,.686275,.944285,.442772,.120354,.690196,.946965,.449191,.115272,.694118,.949562,.45566,.110164,.698039,.952075,.462178,.105031,.701961,.954506,.468744,.099874,.705882,.956852,.475356,.094695,.709804,.959114,.482014,.089499,.713725,.961293,.488716,.084289,.717647,.963387,.495462,.079073,.721569,.965397,.502249,.073859,.72549,.967322,.509078,.068659,.729412,.969163,.515946,.063488,.733333,.970919,.522853,.058367,.737255,.97259,.529798,.053324,.741176,.974176,.53678,.048392,.745098,.975677,.543798,.043618,.74902,.977092,.55085,.03905,.752941,.978422,.557937,.034931,.756863,.979666,.565057,.031409,.760784,.980824,.572209,.028508,.764706,.981895,.579392,.02625,.768627,.982881,.586606,.024661,.772549,.983779,.593849,.02377,.776471,.984591,.601122,.023606,.780392,.985315,.608422,.024202,.784314,.985952,.61575,.025592,.788235,.986502,.623105,.027814,.792157,.986964,.630485,.030908,.796078,.987337,.63789,.034916,.8,.987622,.64532,.039886,.803922,.987819,.652773,.045581,.807843,.987926,.66025,.05175,.811765,.987945,.667748,.058329,.815686,.987874,.675267,.065257,.819608,.987714,.682807,.072489,.823529,.987464,.690366,.07999,.827451,.987124,.697944,.087731,.831373,.986694,.70554,.095694,.835294,.986175,.713153,.103863,.839216,.985566,.720782,.112229,.843137,.984865,.728427,.120785,.847059,.984075,.736087,.129527,.85098,.983196,.743758,.138453,.854902,.982228,.751442,.147565,.858824,.981173,.759135,.156863,.862745,.980032,.766837,.166353,.866667,.978806,.774545,.176037,.870588,.977497,.782258,.185923,.87451,.976108,.789974,.196018,.878431,.974638,.797692,.206332,.882353,.973088,.805409,.216877,.886275,.971468,.813122,.227658,.890196,.969783,.820825,.238686,.894118,.968041,.828515,.249972,.898039,.966243,.836191,.261534,.901961,.964394,.843848,.273391,.905882,.962517,.851476,.285546,.909804,.960626,.859069,.29801,.913725,.95872,.866624,.31082,.917647,.956834,.874129,.323974,.921569,.954997,.881569,.337475,.92549,.953215,.888942,.351369,.929412,.951546,.896226,.365627,.933333,.950018,.903409,.380271,.937255,.948683,.910473,.395289,.941176,.947594,.917399,.410665,.945098,.946809,.924168,.426373,.94902,.946392,.930761,.442367,.952941,.946403,.937159,.458592,.956863,.946903,.943348,.47497,.960784,.947937,.949318,.491426,.964706,.949545,.955063,.50786,.968627,.95174,.960587,.524203,.972549,.954529,.965896,.540361,.976471,.957896,.971003,.556275,.980392,.961812,.975924,.571925,.984314,.966249,.980678,.587206,.988235,.971162,.985282,.602154,.992157,.976511,.989753,.61676,.996078,.982257,.994109,.631017,1,.988362,.998364,.644924]},{ColorSpace:"Diverging",Name:"Plasma (matplotlib)",NanColor:[0,1,0],Source:"https://github.com/BIDS/colormap/blob/master/colormaps.py",License:"CC0",Creator:"Nathaniel J. Smith & Stefan van der Walt",RGBPoints:[0,.050383,.029803,.527975,.003922,.063536,.028426,.533124,.007843,.075353,.027206,.538007,.011765,.086222,.026125,.542658,.015686,.096379,.025165,.547103,.019608,.10598,.024309,.551368,.023529,.115124,.023556,.555468,.027451,.123903,.022878,.559423,.031373,.132381,.022258,.56325,.035294,.140603,.021687,.566959,.039216,.148607,.021154,.570562,.043137,.156421,.020651,.574065,.047059,.16407,.020171,.577478,.05098,.171574,.019706,.580806,.054902,.17895,.019252,.584054,.058824,.186213,.018803,.587228,.062745,.193374,.018354,.59033,.066667,.200445,.017902,.593364,.070588,.207435,.017442,.596333,.07451,.21435,.016973,.599239,.078431,.221197,.016497,.602083,.082353,.227983,.016007,.604867,.086275,.234715,.015502,.607592,.090196,.241396,.014979,.610259,.094118,.248032,.014439,.612868,.098039,.254627,.013882,.615419,.101961,.261183,.013308,.617911,.105882,.267703,.012716,.620346,.109804,.274191,.012109,.622722,.113725,.280648,.011488,.625038,.117647,.287076,.010855,.627295,.121569,.293478,.010213,.62949,.12549,.299855,.009561,.631624,.129412,.30621,.008902,.633694,.133333,.312543,.008239,.6357,.137255,.318856,.007576,.63764,.141176,.32515,.006915,.639512,.145098,.331426,.006261,.641316,.14902,.337683,.005618,.643049,.152941,.343925,.004991,.64471,.156863,.35015,.004382,.646298,.160784,.356359,.003798,.64781,.164706,.362553,.003243,.649245,.168627,.368733,.002724,.650601,.172549,.374897,.002245,.651876,.176471,.381047,.001814,.653068,.180392,.387183,.001434,.654177,.184314,.393304,.001114,.655199,.188235,.399411,859e-6,.656133,.192157,.405503,678e-6,.656977,.196078,.41158,577e-6,.65773,.2,.417642,564e-6,.65839,.203922,.423689,646e-6,.658956,.207843,.429719,831e-6,.659425,.211765,.435734,.001127,.659797,.215686,.441732,.00154,.660069,.219608,.447714,.00208,.66024,.223529,.453677,.002755,.66031,.227451,.459623,.003574,.660277,.231373,.46555,.004545,.660139,.235294,.471457,.005678,.659897,.239216,.477344,.00698,.659549,.243137,.48321,.00846,.659095,.247059,.489055,.010127,.658534,.25098,.494877,.01199,.657865,.254902,.500678,.014055,.657088,.258824,.506454,.016333,.656202,.262745,.512206,.018833,.655209,.266667,.517933,.021563,.654109,.270588,.523633,.024532,.652901,.27451,.529306,.027747,.651586,.278431,.534952,.031217,.650165,.282353,.54057,.03495,.64864,.286275,.546157,.038954,.64701,.290196,.551715,.043136,.645277,.294118,.557243,.047331,.643443,.298039,.562738,.051545,.641509,.301961,.568201,.055778,.639477,.305882,.573632,.060028,.637349,.309804,.579029,.064296,.635126,.313725,.584391,.068579,.632812,.317647,.589719,.072878,.630408,.321569,.595011,.07719,.627917,.32549,.600266,.081516,.625342,.329412,.605485,.085854,.622686,.333333,.610667,.090204,.619951,.337255,.615812,.094564,.61714,.341176,.620919,.098934,.614257,.345098,.625987,.103312,.611305,.34902,.631017,.107699,.608287,.352941,.636008,.112092,.605205,.356863,.640959,.116492,.602065,.360784,.645872,.120898,.598867,.364706,.650746,.125309,.595617,.368627,.65558,.129725,.592317,.372549,.660374,.134144,.588971,.376471,.665129,.138566,.585582,.380392,.669845,.142992,.582154,.384314,.674522,.147419,.578688,.388235,.67916,.151848,.575189,.392157,.683758,.156278,.57166,.396078,.688318,.160709,.568103,.4,.69284,.165141,.564522,.403922,.697324,.169573,.560919,.407843,.701769,.174005,.557296,.411765,.706178,.178437,.553657,.415686,.710549,.182868,.550004,.419608,.714883,.187299,.546338,.423529,.719181,.191729,.542663,.427451,.723444,.196158,.538981,.431373,.72767,.200586,.535293,.435294,.731862,.205013,.531601,.439216,.736019,.209439,.527908,.443137,.740143,.213864,.524216,.447059,.744232,.218288,.520524,.45098,.748289,.222711,.516834,.454902,.752312,.227133,.513149,.458824,.756304,.231555,.509468,.462745,.760264,.235976,.505794,.466667,.764193,.240396,.502126,.470588,.76809,.244817,.498465,.47451,.771958,.249237,.494813,.478431,.775796,.253658,.491171,.482353,.779604,.258078,.487539,.486275,.783383,.2625,.483918,.490196,.787133,.266922,.480307,.494118,.790855,.271345,.476706,.498039,.794549,.27577,.473117,.501961,.798216,.280197,.469538,.505882,.801855,.284626,.465971,.509804,.805467,.289057,.462415,.513725,.809052,.293491,.45887,.517647,.812612,.297928,.455338,.521569,.816144,.302368,.451816,.52549,.819651,.306812,.448306,.529412,.823132,.311261,.444806,.533333,.826588,.315714,.441316,.537255,.830018,.320172,.437836,.541176,.833422,.324635,.434366,.545098,.836801,.329105,.430905,.54902,.840155,.33358,.427455,.552941,.843484,.338062,.424013,.556863,.846788,.342551,.420579,.560784,.850066,.347048,.417153,.564706,.853319,.351553,.413734,.568627,.856547,.356066,.410322,.572549,.85975,.360588,.406917,.576471,.862927,.365119,.403519,.580392,.866078,.36966,.400126,.584314,.869203,.374212,.396738,.588235,.872303,.378774,.393355,.592157,.875376,.383347,.389976,.596078,.878423,.387932,.3866,.6,.881443,.392529,.383229,.603922,.884436,.397139,.37986,.607843,.887402,.401762,.376494,.611765,.89034,.406398,.37313,.615686,.89325,.411048,.369768,.619608,.896131,.415712,.366407,.623529,.898984,.420392,.363047,.627451,.901807,.425087,.359688,.631373,.904601,.429797,.356329,.635294,.907365,.434524,.35297,.639216,.910098,.439268,.34961,.643137,.9128,.444029,.346251,.647059,.915471,.448807,.34289,.65098,.918109,.453603,.339529,.654902,.920714,.458417,.336166,.658824,.923287,.463251,.332801,.662745,.925825,.468103,.329435,.666667,.928329,.472975,.326067,.670588,.930798,.477867,.322697,.67451,.933232,.48278,.319325,.678431,.93563,.487712,.315952,.682353,.93799,.492667,.312575,.686275,.940313,.497642,.309197,.690196,.942598,.502639,.305816,.694118,.944844,.507658,.302433,.698039,.947051,.512699,.299049,.701961,.949217,.517763,.295662,.705882,.951344,.52285,.292275,.709804,.953428,.52796,.288883,.713725,.95547,.533093,.28549,.717647,.957469,.53825,.282096,.721569,.959424,.543431,.278701,.72549,.961336,.548636,.275305,.729412,.963203,.553865,.271909,.733333,.965024,.559118,.268513,.737255,.966798,.564396,.265118,.741176,.968526,.5697,.261721,.745098,.970205,.575028,.258325,.74902,.971835,.580382,.254931,.752941,.973416,.585761,.25154,.756863,.974947,.591165,.248151,.760784,.976428,.596595,.244767,.764706,.977856,.602051,.241387,.768627,.979233,.607532,.238013,.772549,.980556,.613039,.234646,.776471,.981826,.618572,.231287,.780392,.983041,.624131,.227937,.784314,.984199,.629718,.224595,.788235,.985301,.63533,.221265,.792157,.986345,.640969,.217948,.796078,.987332,.646633,.214648,.8,.98826,.652325,.211364,.803922,.989128,.658043,.2081,.807843,.989935,.663787,.204859,.811765,.990681,.669558,.201642,.815686,.991365,.675355,.198453,.819608,.991985,.681179,.195295,.823529,.992541,.68703,.19217,.827451,.993032,.692907,.189084,.831373,.993456,.69881,.186041,.835294,.993814,.704741,.183043,.839216,.994103,.710698,.180097,.843137,.994324,.716681,.177208,.847059,.994474,.722691,.174381,.85098,.994553,.728728,.171622,.854902,.994561,.734791,.168938,.858824,.994495,.74088,.166335,.862745,.994355,.746995,.163821,.866667,.994141,.753137,.161404,.870588,.993851,.759304,.159092,.87451,.993482,.765499,.156891,.878431,.993033,.77172,.154808,.882353,.992505,.777967,.152855,.886275,.991897,.784239,.151042,.890196,.991209,.790537,.149377,.894118,.990439,.796859,.14787,.898039,.989587,.803205,.146529,.901961,.988648,.809579,.145357,.905882,.987621,.815978,.144363,.909804,.986509,.822401,.143557,.913725,.985314,.828846,.142945,.917647,.984031,.835315,.142528,.921569,.982653,.841812,.142303,.92549,.98119,.848329,.142279,.929412,.979644,.854866,.142453,.933333,.977995,.861432,.142808,.937255,.976265,.868016,.143351,.941176,.974443,.874622,.144061,.945098,.97253,.88125,.144923,.94902,.970533,.887896,.145919,.952941,.968443,.894564,.147014,.956863,.966271,.901249,.14818,.960784,.964021,.90795,.14937,.964706,.961681,.914672,.15052,.968627,.959276,.921407,.151566,.972549,.956808,.928152,.152409,.976471,.954287,.934908,.152921,.980392,.951726,.941671,.152925,.984314,.949151,.948435,.152178,.988235,.946602,.95519,.150328,.992157,.944152,.961916,.146861,.996078,.941896,.96859,.140956,1,.940015,.975158,.131326]},{ColorSpace:"Diverging",Name:"Viridis (matplotlib)",NanColor:[1,0,0],Source:"https://github.com/BIDS/colormap/blob/master/colormaps.py",License:"CC0",Creator:"Eric Firing",RGBPoints:[0,.267004,.004874,.329415,.003922,.26851,.009605,.335427,.007843,.269944,.014625,.341379,.011765,.271305,.019942,.347269,.015686,.272594,.025563,.353093,.019608,.273809,.031497,.358853,.023529,.274952,.037752,.364543,.027451,.276022,.044167,.370164,.031373,.277018,.050344,.375715,.035294,.277941,.056324,.381191,.039216,.278791,.062145,.386592,.043137,.279566,.067836,.391917,.047059,.280267,.073417,.397163,.05098,.280894,.078907,.402329,.054902,.281446,.08432,.407414,.058824,.281924,.089666,.412415,.062745,.282327,.094955,.417331,.066667,.282656,.100196,.42216,.070588,.28291,.105393,.426902,.07451,.283091,.110553,.431554,.078431,.283197,.11568,.436115,.082353,.283229,.120777,.440584,.086275,.283187,.125848,.44496,.090196,.283072,.130895,.449241,.094118,.282884,.13592,.453427,.098039,.282623,.140926,.457517,.101961,.28229,.145912,.46151,.105882,.281887,.150881,.465405,.109804,.281412,.155834,.469201,.113725,.280868,.160771,.472899,.117647,.280255,.165693,.476498,.121569,.279574,.170599,.479997,.12549,.278826,.17549,.483397,.129412,.278012,.180367,.486697,.133333,.277134,.185228,.489898,.137255,.276194,.190074,.493001,.141176,.275191,.194905,.496005,.145098,.274128,.199721,.498911,.14902,.273006,.20452,.501721,.152941,.271828,.209303,.504434,.156863,.270595,.214069,.507052,.160784,.269308,.218818,.509577,.164706,.267968,.223549,.512008,.168627,.26658,.228262,.514349,.172549,.265145,.232956,.516599,.176471,.263663,.237631,.518762,.180392,.262138,.242286,.520837,.184314,.260571,.246922,.522828,.188235,.258965,.251537,.524736,.192157,.257322,.25613,.526563,.196078,.255645,.260703,.528312,.2,.253935,.265254,.529983,.203922,.252194,.269783,.531579,.207843,.250425,.27429,.533103,.211765,.248629,.278775,.534556,.215686,.246811,.283237,.535941,.219608,.244972,.287675,.53726,.223529,.243113,.292092,.538516,.227451,.241237,.296485,.539709,.231373,.239346,.300855,.540844,.235294,.237441,.305202,.541921,.239216,.235526,.309527,.542944,.243137,.233603,.313828,.543914,.247059,.231674,.318106,.544834,.25098,.229739,.322361,.545706,.254902,.227802,.326594,.546532,.258824,.225863,.330805,.547314,.262745,.223925,.334994,.548053,.266667,.221989,.339161,.548752,.270588,.220057,.343307,.549413,.27451,.21813,.347432,.550038,.278431,.21621,.351535,.550627,.282353,.214298,.355619,.551184,.286275,.212395,.359683,.55171,.290196,.210503,.363727,.552206,.294118,.208623,.367752,.552675,.298039,.206756,.371758,.553117,.301961,.204903,.375746,.553533,.305882,.203063,.379716,.553925,.309804,.201239,.38367,.554294,.313725,.19943,.387607,.554642,.317647,.197636,.391528,.554969,.321569,.19586,.395433,.555276,.32549,.1941,.399323,.555565,.329412,.192357,.403199,.555836,.333333,.190631,.407061,.556089,.337255,.188923,.41091,.556326,.341176,.187231,.414746,.556547,.345098,.185556,.41857,.556753,.34902,.183898,.422383,.556944,.352941,.182256,.426184,.55712,.356863,.180629,.429975,.557282,.360784,.179019,.433756,.55743,.364706,.177423,.437527,.557565,.368627,.175841,.44129,.557685,.372549,.174274,.445044,.557792,.376471,.172719,.448791,.557885,.380392,.171176,.45253,.557965,.384314,.169646,.456262,.55803,.388235,.168126,.459988,.558082,.392157,.166617,.463708,.558119,.396078,.165117,.467423,.558141,.4,.163625,.471133,.558148,.403922,.162142,.474838,.55814,.407843,.160665,.47854,.558115,.411765,.159194,.482237,.558073,.415686,.157729,.485932,.558013,.419608,.15627,.489624,.557936,.423529,.154815,.493313,.55784,.427451,.153364,.497,.557724,.431373,.151918,.500685,.557587,.435294,.150476,.504369,.55743,.439216,.149039,.508051,.55725,.443137,.147607,.511733,.557049,.447059,.14618,.515413,.556823,.45098,.144759,.519093,.556572,.454902,.143343,.522773,.556295,.458824,.141935,.526453,.555991,.462745,.140536,.530132,.555659,.466667,.139147,.533812,.555298,.470588,.13777,.537492,.554906,.47451,.136408,.541173,.554483,.478431,.135066,.544853,.554029,.482353,.133743,.548535,.553541,.486275,.132444,.552216,.553018,.490196,.131172,.555899,.552459,.494118,.129933,.559582,.551864,.498039,.128729,.563265,.551229,.501961,.127568,.566949,.550556,.505882,.126453,.570633,.549841,.509804,.125394,.574318,.549086,.513725,.124395,.578002,.548287,.517647,.123463,.581687,.547445,.521569,.122606,.585371,.546557,.52549,.121831,.589055,.545623,.529412,.121148,.592739,.544641,.533333,.120565,.596422,.543611,.537255,.120092,.600104,.54253,.541176,.119738,.603785,.5414,.545098,.119512,.607464,.540218,.54902,.119423,.611141,.538982,.552941,.119483,.614817,.537692,.556863,.119699,.61849,.536347,.560784,.120081,.622161,.534946,.564706,.120638,.625828,.533488,.568627,.12138,.629492,.531973,.572549,.122312,.633153,.530398,.576471,.123444,.636809,.528763,.580392,.12478,.640461,.527068,.584314,.126326,.644107,.525311,.588235,.128087,.647749,.523491,.592157,.130067,.651384,.521608,.596078,.132268,.655014,.519661,.6,.134692,.658636,.517649,.603922,.137339,.662252,.515571,.607843,.14021,.665859,.513427,.611765,.143303,.669459,.511215,.615686,.146616,.67305,.508936,.619608,.150148,.676631,.506589,.623529,.153894,.680203,.504172,.627451,.157851,.683765,.501686,.631373,.162016,.687316,.499129,.635294,.166383,.690856,.496502,.639216,.170948,.694384,.493803,.643137,.175707,.6979,.491033,.647059,.180653,.701402,.488189,.65098,.185783,.704891,.485273,.654902,.19109,.708366,.482284,.658824,.196571,.711827,.479221,.662745,.202219,.715272,.476084,.666667,.20803,.718701,.472873,.670588,.214,.722114,.469588,.67451,.220124,.725509,.466226,.678431,.226397,.728888,.462789,.682353,.232815,.732247,.459277,.686275,.239374,.735588,.455688,.690196,.24607,.73891,.452024,.694118,.252899,.742211,.448284,.698039,.259857,.745492,.444467,.701961,.266941,.748751,.440573,.705882,.274149,.751988,.436601,.709804,.281477,.755203,.432552,.713725,.288921,.758394,.428426,.717647,.296479,.761561,.424223,.721569,.304148,.764704,.419943,.72549,.311925,.767822,.415586,.729412,.319809,.770914,.411152,.733333,.327796,.77398,.40664,.737255,.335885,.777018,.402049,.741176,.344074,.780029,.397381,.745098,.35236,.783011,.392636,.74902,.360741,.785964,.387814,.752941,.369214,.788888,.382914,.756863,.377779,.791781,.377939,.760784,.386433,.794644,.372886,.764706,.395174,.797475,.367757,.768627,.404001,.800275,.362552,.772549,.412913,.803041,.357269,.776471,.421908,.805774,.35191,.780392,.430983,.808473,.346476,.784314,.440137,.811138,.340967,.788235,.449368,.813768,.335384,.792157,.458674,.816363,.329727,.796078,.468053,.818921,.323998,.8,.477504,.821444,.318195,.803922,.487026,.823929,.312321,.807843,.496615,.826376,.306377,.811765,.506271,.828786,.300362,.815686,.515992,.831158,.294279,.819608,.525776,.833491,.288127,.823529,.535621,.835785,.281908,.827451,.545524,.838039,.275626,.831373,.555484,.840254,.269281,.835294,.565498,.84243,.262877,.839216,.575563,.844566,.256415,.843137,.585678,.846661,.249897,.847059,.595839,.848717,.243329,.85098,.606045,.850733,.236712,.854902,.616293,.852709,.230052,.858824,.626579,.854645,.223353,.862745,.636902,.856542,.21662,.866667,.647257,.8584,.209861,.870588,.657642,.860219,.203082,.87451,.668054,.861999,.196293,.878431,.678489,.863742,.189503,.882353,.688944,.865448,.182725,.886275,.699415,.867117,.175971,.890196,.709898,.868751,.169257,.894118,.720391,.87035,.162603,.898039,.730889,.871916,.156029,.901961,.741388,.873449,.149561,.905882,.751884,.874951,.143228,.909804,.762373,.876424,.137064,.913725,.772852,.877868,.131109,.917647,.783315,.879285,.125405,.921569,.79376,.880678,.120005,.92549,.804182,.882046,.114965,.929412,.814576,.883393,.110347,.933333,.82494,.88472,.106217,.937255,.83527,.886029,.102646,.941176,.845561,.887322,.099702,.945098,.85581,.888601,.097452,.94902,.866013,.889868,.095953,.952941,.876168,.891125,.09525,.956863,.886271,.892374,.095374,.960784,.89632,.893616,.096335,.964706,.906311,.894855,.098125,.968627,.916242,.896091,.100717,.972549,.926106,.89733,.104071,.976471,.935904,.89857,.108131,.980392,.945636,.899815,.112838,.984314,.9553,.901065,.118128,.988235,.964894,.902323,.123941,.992157,.974417,.90359,.130215,.996078,.983868,.904867,.136897,1,.993248,.906157,.143936]},{ShowIndexedColorActiveValues:1,IndexedColors:[.07,.5,.7,1,1,1,.85,1,1,.8,.5,1,.76,1,0,1,.71,.71,.5,.5,.5,.05,.05,1,1,.05,.05,.7,1,1,.7,.89,.96,.67,.36,.95,.54,1,0,.75,.65,.65,.5,.6,.6,1,.5,0,1,1,.19,.12,.94,.12,.5,.82,.89,.56,.25,.83,.24,1,0,.9,.9,.9,.75,.76,.78,.65,.65,.67,.54,.6,.78,.61,.48,.78,.5,.48,.78,.44,.48,.78,.36,.48,.76,1,.48,.38,.49,.5,.69,.76,.56,.56,.4,.56,.56,.74,.5,.89,1,.63,0,.65,.16,.16,.36,.72,.82,.44,.18,.69,0,1,0,.58,1,1,.58,.88,.88,.45,.76,.79,.33,.71,.71,.23,.62,.62,.14,.56,.56,.04,.49,.55,0,.41,.52,.88,.88,1,1,.85,.56,.65,.46,.45,.4,.5,.5,.62,.39,.71,.83,.48,0,.58,0,.58,.26,.62,.69,.34,.09,.56,0,.79,0,.44,.83,1,1,1,.78,.85,1,.78,.78,1,.78,.64,1,.78,.56,1,.78,.38,1,.78,.27,1,.78,.19,1,.78,.12,1,.78,0,1,.61,0,.9,.46,0,.83,.32,0,.75,.22,0,.67,.14,.3,.76,1,.3,.65,1,.13,.58,.84,.15,.49,.67,.15,.4,.59,.09,.33,.53,.96,.93,.82,.8,.82,.12,.71,.71,.76,.65,.33,.3,.34,.35,.38,.62,.31,.71,.67,.36,0,.46,.31,.27,.26,.51,.59,.26,0,.4,0,.49,0,.44,.67,.98,0,.73,1,0,.63,1,0,.56,1,0,.5,1,0,.42,1,.33,.36,.95,.47,.36,.89,.54,.31,.89,.63,.21,.83,.7,.12,.83,.7,.12,.73,.7,.05,.65,.74,.05,.53,.78,0,.4,.8,0,.35,.82,0,.31,.85,0,.27,.88,0,.22,.9,0,.18,.91,0,.15,.92,0,.14,.93,0,.13,.94,0,.12,.95,0,.11,.96,0,.1,.97,0,.09,.98,0,.08,.99,0,.07,1,0,.06],Annotations:[0,"Xx",1,"H",2,"He",3,"Li",4,"Be",5,"B",6,"C",7,"N",8,"O",9,"F",10,"Ne",11,"Na",12,"Mg",13,"Al",14,"Si",15,"P",16,"S",17,"Cl",18,"Ar",19,"K",20,"Ca",21,"Sc",22,"Ti",23,"V",24,"Cr",25,"Mn",26,"Fe",27,"Co",28,"Ni",29,"Cu",30,"Zn",31,"Ga",32,"Ge",33,"As",34,"Se",35,"Br",36,"Kr",37,"Rb",38,"Sr",39,"Y",40,"Zr",41,"Nb",42,"Mo",43,"Tc",44,"Ru",45,"Rh",46,"Pd",47,"Ag",48,"Cd",49,"In",50,"Sn",51,"Sb",52,"Te",53,"I",54,"Xe",55,"Cs",56,"Ba",57,"La",58,"Ce",59,"Pr",60,"Nd",61,"Pm",62,"Sm",63,"Eu",64,"Gd",65,"Tb",66,"Dy",67,"Ho",68,"Er",69,"Tm",70,"Yb",71,"Lu",72,"Hf",73,"Ta",74,"W",75,"Re",76,"Os",77,"Ir",78,"Pt",79,"Au",80,"Hg",81,"Tl",82,"Pb",83,"Bi",84,"Po",85,"At",86,"Rn",87,"Fr",88,"Ra",89,"Ac",90,"Th",91,"Pa",92,"U",93,"Np",94,"Pu",95,"Am",96,"Cm",97,"Bk",98,"Cf",99,"Es",100,"Fm",101,"Md",102,"No",103,"Lr",104,"Rf",105,"Db",106,"Sg",107,"Bh",108,"Hs",109,"Mt",110,"Ds",111,"Rg",112,"Cn",113,"Uut",114,"Uuq",115,"Uup",116,"Uuh",117,"Uus",118,"Uuo"],Name:"BlueObeliskElements"}].filter((e=>e.RGBPoints)).filter((e=>"CIELAB"!==e.ColorSpace)).forEach((e=>{rR[e.Name]=e}));const iR=Object.keys(rR);iR.sort();var aR=function(e){return rR[e]},oR={ColorSpace:{RGB:0,HSV:1,LAB:2,DIVERGING:3},Scale:{LINEAR:0,LOG10:1}};const{ColorSpace:sR,Scale:lR}=oR,{ScalarMappingTarget:cR}=xM,{vtkDebugMacro:uR,vtkErrorMacro:dR,vtkWarningMacro:fR}=Qw;function pR(e,t){const n=e[0],r=e[1],i=e[2],a=Math.sqrt(n*n+r*r+i*i),o=a>.001?Math.acos(n/a):0,s=o>.001?Math.atan2(i,r):0;t[0]=a,t[1]=o,t[2]=s}function hR(e,t){if(e[0]>=t-.1)return e[2];const n=e[1]*Math.sqrt(t*t-e[0]*e[0])/(e[0]*Math.sin(e[1]));return e[2]>-.3*Math.PI?e[2]+n:e[2]-n}function mR(e,t,n,r){const i=[],a=[];UT(t,i),UT(n,a);const o=[],s=[];pR(i,o),pR(a,s);let l=e;if(o[1]>.05&&s[1]>.05&&function(e,t){let n=e-t;for(n<0&&(n=-n);n>=2*Math.PI;)n-=2*Math.PI;return n>Math.PI&&(n=2*Math.PI-n),n}(o[2],s[2])>.33*Math.PI){let t=Math.max(o[0],s[0]);t=Math.max(88,t),e<.5?(s[0]=t,s[1]=0,s[2]=0,l*=2):(o[0]=t,o[1]=0,o[2]=0,l=2*l-1)}o[1]<.05&&s[1]>.05?o[2]=hR(s,o[0]):s[1]<.05&&o[1]>.05&&(s[2]=hR(o,s[0]));const c=[];c[0]=(1-l)*o[0]+l*s[0],c[1]=(1-l)*o[1]+l*s[1],c[2]=(1-l)*o[2]+l*s[2];const u=[];!function(e,t){const n=e[0],r=e[1],i=e[2];t[0]=n*Math.cos(r),t[1]=n*Math.sin(r)*Math.cos(i),t[2]=n*Math.sin(r)*Math.sin(i)}(c,u),VT(u,r)}const gR={clamping:!0,colorSpace:sR.RGB,hSVWrap:!0,scale:lR.LINEAR,nanColor:null,belowRangeColor:null,aboveRangeColor:null,useAboveRangeColor:!1,useBelowRangeColor:!1,allowDuplicateScalars:!1,table:null,tableSize:0,buildTime:null,nodes:null,discretize:!1,numberOfValues:256};function vR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,gR,n),xM.extend(e,t,n),t.table=[],t.nodes=[],t.nanColor=[.5,0,0,1],t.belowRangeColor=[0,0,0,1],t.aboveRangeColor=[1,1,1,1],t.buildTime={},Qw.obj(t.buildTime),Qw.get(e,t,["buildTime","mappingRange"]),Qw.setGet(e,t,["useAboveRangeColor","useBelowRangeColor","discretize","numberOfValues",{type:"enum",name:"colorSpace",enum:sR},{type:"enum",name:"scale",enum:lR}]),Qw.setArray(e,t,["nanColor","belowRangeColor","aboveRangeColor"],4),Qw.getArray(e,t,["nanColor","belowRangeColor","aboveRangeColor"]),function(e,t){t.classHierarchy.push("vtkColorTransferFunction"),e.getSize=()=>t.nodes.length,e.addRGBPoint=(t,n,r,i)=>e.addRGBPointLong(t,n,r,i,.5,0),e.addRGBPointLong=function(n,r,i,a){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:.5,s=arguments.length>5&&void 0!==arguments[5]?arguments[5]:0;if(o<0||o>1)return dR("Midpoint outside range [0.0, 1.0]"),-1;if(s<0||s>1)return dR("Sharpness outside range [0.0, 1.0]"),-1;t.allowDuplicateScalars||e.removePoint(n);const l={x:n,r:r,g:i,b:a,midpoint:o,sharpness:s};t.nodes.push(l),e.sortAndUpdateRange();let c=0;for(;c<t.nodes.length&&t.nodes[c].x!==n;c++);return c<t.nodes.length?c:-1},e.addHSVPoint=(t,n,r,i)=>e.addHSVPointLong(t,n,r,i,.5,0),e.addHSVPointLong=function(t,n,r,i){let a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:.5,o=arguments.length>5&&void 0!==arguments[5]?arguments[5]:0;const s=[];return BT([n,r,i],s),e.addRGBPoint(t,s[0],s[1],s[2],a,o)},e.setNodes=n=>{if(t.nodes!==n){const r=JSON.stringify(t.nodes);t.nodes=n;const i=JSON.stringify(t.nodes);if(e.sortAndUpdateRange()||r!==i)return e.modified(),!0}return!1},e.sortAndUpdateRange=()=>{const n=JSON.stringify(t.nodes);t.nodes.sort(((e,t)=>e.x-t.x));const r=JSON.stringify(t.nodes),i=e.updateRange();return i||n===r?i:(e.modified(),!0)},e.updateRange=()=>{const n=[2];n[0]=t.mappingRange[0],n[1]=t.mappingRange[1];const r=t.nodes.length;return r?(t.mappingRange[0]=t.nodes[0].x,t.mappingRange[1]=t.nodes[r-1].x):(t.mappingRange[0]=0,t.mappingRange[1]=0),(n[0]!==t.mappingRange[0]||n[1]!==t.mappingRange[1])&&(e.modified(),!0)},e.removePoint=n=>{let r=0;for(;r<t.nodes.length&&t.nodes[r].x!==n;r++);const i=r;if(r>=t.nodes.length)return-1;let a=!1;return t.nodes.splice(r,1),0!==r&&r!==t.nodes.length||(a=e.updateRange()),a||e.modified(),i},e.movePoint=(n,r)=>{if(n!==r){e.removePoint(r);for(let i=0;i<t.nodes.length;i++)if(t.nodes[i].x===n){t.nodes[i].x=r,e.sortAndUpdateRange();break}}},e.removeAllPoints=()=>{t.nodes=[],e.sortAndUpdateRange()},e.addRGBSegment=(n,r,i,a,o,s,l,c)=>{e.sortAndUpdateRange();for(let e=0;e<t.nodes.length;)t.nodes[e].x>=n&&t.nodes[e].x<=o?t.nodes.splice(e,1):e++;e.addRGBPointLong(n,r,i,a,.5,0),e.addRGBPointLong(o,s,l,c,.5,0),e.modified()},e.addHSVSegment=(t,n,r,i,a,o,s,l)=>{const c=[o,s,l],u=[],d=[];BT([n,r,i],u),BT(c,d),e.addRGBSegment(t,u[0],u[1],u[2],a,d[0],d[1],d[2])},e.mapValue=t=>{const n=[];return e.getColor(t,n),[Math.floor(255*n[0]+.5),Math.floor(255*n[1]+.5),Math.floor(255*n[2]+.5),255]},e.getColor=(n,r)=>{if(t.indexedLookup){const t=e.getSize(),i=e.getAnnotatedValueIndexInternal(n);if(i<0||0===t){const t=e.getNanColorByReference();r[0]=t[0],r[1]=t[1],r[2]=t[2]}else{const n=[];e.getNodeValue(i%t,n),r[0]=n[1],r[1]=n[2],r[2]=n[3]}}else e.getTable(n,n,1,r)},e.getRedValue=t=>{const n=[];return e.getColor(t,n),n[0]},e.getGreenValue=t=>{const n=[];return e.getColor(t,n),n[1]},e.getBlueValue=t=>{const n=[];return e.getColor(t,n),n[2]},e.getTable=(n,r,i,a)=>{const o=Number(n),s=Number(r);if(qT(o)||qT(s)){for(let e=0;e<i;e++)a[3*e+0]=t.nanColor[0],a[3*e+1]=t.nanColor[1],a[3*e+2]=t.nanColor[2];return}let l=0;const c=t.nodes.length;let u=0,d=0,f=0;0!==c&&(u=t.nodes[c-1].r,d=t.nodes[c-1].g,f=t.nodes[c-1].b);let p=0,h=0,m=0;const g=[0,0,0],v=[0,0,0];let y=0,b=0;const _=[];let x=t.scale===lR.LOG10;x&&(x=t.mappingRange[0]>0);let w=0,A=0,S=0;x&&(w=Math.log10(o),A=Math.log10(s));for(let n=0;n<i;n++){const r=3*n;if(i>1?x?(S=w+n/(i-1)*(A-w),p=10**S):p=o+n/(i-1)*(s-o):x?(S=.5*(w+A),p=10**S):p=.5*(o+s),t.discretize){const e=t.mappingRange;if(p>=e[0]&&p<=e[1]){const n=t.numberOfValues,r=e[1]-e[0];if(n<=1)p=e[0]+r/2;else{const t=(p-e[0])/r,i=vT(n*t);p=e[0]+i/(n-1)*r}}}for(;l<c&&p>t.nodes[l].x;)l++,l<c&&(h=t.nodes[l-1].x,m=t.nodes[l].x,x&&(h=Math.log10(h),m=Math.log10(m)),g[0]=t.nodes[l-1].r,v[0]=t.nodes[l].r,g[1]=t.nodes[l-1].g,v[1]=t.nodes[l].g,g[2]=t.nodes[l-1].b,v[2]=t.nodes[l].b,y=t.nodes[l-1].midpoint,b=t.nodes[l-1].sharpness,y<1e-5&&(y=1e-5),y>.99999&&(y=.99999));if(p>t.mappingRange[1])a[r]=0,a[r+1]=0,a[r+2]=0,t.clamping&&(e.getUseAboveRangeColor()?(a[r]=t.aboveRangeColor[0],a[r+1]=t.aboveRangeColor[1],a[r+2]=t.aboveRangeColor[2]):(a[r]=u,a[r+1]=d,a[r+2]=f));else if(p<t.mappingRange[0]||HT(p)&&p<0)a[r]=0,a[r+1]=0,a[r+2]=0,t.clamping&&(e.getUseBelowRangeColor()?(a[r]=t.belowRangeColor[0],a[r+1]=t.belowRangeColor[1],a[r+2]=t.belowRangeColor[2]):c>0&&(a[r]=t.nodes[0].r,a[r+1]=t.nodes[0].g,a[r+2]=t.nodes[0].b));else if(0===l&&(Math.abs(p-o)<1e-6||t.discretize))c>0?(a[r]=t.nodes[0].r,a[r+1]=t.nodes[0].g,a[r+2]=t.nodes[0].b):(a[r]=0,a[r+1]=0,a[r+2]=0);else{let e=0;if(e=x?(S-h)/(m-h):(p-h)/(m-h),e=e<y?.5*e/y:.5+.5*(e-y)/(1-y),b>.99){if(e<.5){a[r]=g[0],a[r+1]=g[1],a[r+2]=g[2];continue}a[r]=v[0],a[r+1]=v[1],a[r+2]=v[2];continue}if(b<.01){if(t.colorSpace===sR.RGB)a[r]=(1-e)*g[0]+e*v[0],a[r+1]=(1-e)*g[1]+e*v[1],a[r+2]=(1-e)*g[2]+e*v[2];else if(t.colorSpace===sR.HSV){const n=[],i=[];FT(g,n),FT(v,i),t.hSVWrap&&(n[0]-i[0]>.5||i[0]-n[0]>.5)&&(n[0]>i[0]?n[0]-=1:i[0]-=1);const o=[];o[0]=(1-e)*n[0]+e*i[0],o[0]<0&&(o[0]+=1),o[1]=(1-e)*n[1]+e*i[1],o[2]=(1-e)*n[2]+e*i[2],BT(o,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]}else if(t.colorSpace===sR.LAB){const t=[],n=[];UT(g,t),UT(v,n);const i=[];i[0]=(1-e)*t[0]+e*n[0],i[1]=(1-e)*t[1]+e*n[1],i[2]=(1-e)*t[2]+e*n[2],VT(i,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]}else t.colorSpace===sR.DIVERGING?(mR(e,g,v,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]):dR("ColorSpace set to invalid value.",t.colorSpace);continue}e<.5?e=.5*(2*e)**(1+10*b):e>.5&&(e=1-.5*(2*(1-e))**(1+10*b));const n=e*e,i=n*e,o=2*i-3*n+1,s=-2*i+3*n,l=i-2*n+e,c=i-n;let u,d;if(t.colorSpace===sR.RGB)for(let e=0;e<3;e++)u=v[e]-g[e],d=(1-b)*u,a[r+e]=o*g[e]+s*v[e]+l*d+c*d;else if(t.colorSpace===sR.HSV){const e=[],n=[];FT(g,e),FT(v,n),t.hSVWrap&&(e[0]-n[0]>.5||n[0]-e[0]>.5)&&(e[0]>n[0]?e[0]-=1:n[0]-=1);const i=[];for(let t=0;t<3;t++)u=n[t]-e[t],d=(1-b)*u,i[t]=o*e[t]+s*n[t]+l*d+c*d,0===t&&i[t]<0&&(i[t]+=1);BT(i,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]}else if(t.colorSpace===sR.LAB){const e=[],t=[];UT(g,e),UT(v,t);const n=[];for(let r=0;r<3;r++)u=t[r]-e[r],d=(1-b)*u,n[r]=o*e[r]+s*t[r]+l*d+c*d;VT(n,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]}else t.colorSpace===sR.DIVERGING?(mR(e,g,v,_),a[r]=_[0],a[r+1]=_[1],a[r+2]=_[2]):dR("ColorSpace set to invalid value.");for(let e=0;e<3;e++)a[r+e]=a[r+e]<0?0:a[r+e],a[r+e]=a[r+e]>1?1:a[r+e]}}},e.getUint8Table=function(n,r,i){let a=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(e.getMTime()<=t.buildTime&&t.tableSize===i&&t.tableWithAlpha!==a)return t.table;if(0===t.nodes.length)return dR("Attempting to lookup a value with no points in the function"),t.table;const o=a?4:3;t.tableSize===i&&t.tableWithAlpha===a||(t.table=new Uint8Array(i*o),t.tableSize=i,t.tableWithAlpha=a);const s=[];e.getTable(n,r,i,s);for(let e=0;e<i;e++)t.table[e*o+0]=Math.floor(255*s[3*e+0]+.5),t.table[e*o+1]=Math.floor(255*s[3*e+1]+.5),t.table[e*o+2]=Math.floor(255*s[3*e+2]+.5),a&&(t.table[e*o+3]=255);return t.buildTime.modified(),t.table},e.buildFunctionFromArray=n=>{e.removeAllPoints();const r=n.getNumberOfComponents();for(let e=0;e<n.getNumberOfTuples();e++)switch(r){case 3:t.nodes.push({x:e,r:n.getComponent(e,0),g:n.getComponent(e,1),b:n.getComponent(e,2),midpoint:.5,sharpness:0});break;case 4:t.nodes.push({x:n.getComponent(e,0),r:n.getComponent(e,1),g:n.getComponent(e,2),b:n.getComponent(e,3),midpoint:.5,sharpness:0});break;case 5:t.nodes.push({x:e,r:n.getComponent(e,0),g:n.getComponent(e,1),b:n.getComponent(e,2),midpoint:n.getComponent(e,4),sharpness:n.getComponent(e,5)});break;case 6:t.nodes.push({x:n.getComponent(e,0),r:n.getComponent(e,1),g:n.getComponent(e,2),b:n.getComponent(e,3),midpoint:n.getComponent(e,4),sharpness:n.getComponent(e,5)})}e.sortAndUpdateRange()},e.buildFunctionFromTable=(n,r,i,a)=>{let o=0;e.removeAllPoints(),i>1&&(o=(r-n)/(i-1));for(let e=0;e<i;e++){const r={x:n+o*e,r:a[3*e],g:a[3*e+1],b:a[3*e+2],sharpness:0,midpoint:.5};t.nodes.push(r)}e.sortAndUpdateRange()},e.getNodeValue=(e,n)=>e<0||e>=t.nodes.length?(dR("Index out of range!"),-1):(n[0]=t.nodes[e].x,n[1]=t.nodes[e].r,n[2]=t.nodes[e].g,n[3]=t.nodes[e].b,n[4]=t.nodes[e].midpoint,n[5]=t.nodes[e].sharpness,1),e.setNodeValue=(n,r)=>{if(n<0||n>=t.nodes.length)return dR("Index out of range!"),-1;const i=t.nodes[n].x;return t.nodes[n].x=r[0],t.nodes[n].r=r[1],t.nodes[n].g=r[2],t.nodes[n].b=r[3],t.nodes[n].midpoint=r[4],t.nodes[n].sharpness=r[5],i!==r[0]?e.sortAndUpdateRange():e.modified(),1},e.getNumberOfAvailableColors=()=>t.indexedLookup&&e.getSize()?e.getSize():t.tableSize?t.tableSize:16777216,e.getIndexedColor=(t,n)=>{const r=e.getSize();if(r>0&&t>=0){const i=[];e.getNodeValue(t%r,i);for(let e=0;e<3;++e)n[e]=i[e+1];return void(n[3]=1)}const i=e.getNanColorByReference();n[0]=i[0],n[1]=i[1],n[2]=i[2],n[3]=1},e.fillFromDataPointer=(t,n)=>{if(!(t<=0)&&n){e.removeAllPoints();for(let r=0;r<t;r++)e.addRGBPoint(n[4*r],n[4*r+1],n[4*r+2],n[4*r+3])}},e.setMappingRange=(n,r)=>{const i=[n,r],a=e.getRange();if(a[1]===i[1]&&a[0]===i[0])return;if(i[1]===i[0])return void dR("attempt to set zero width color range");const o=(i[1]-i[0])/(a[1]-a[0]),s=i[0]-a[0]*o;for(let e=0;e<t.nodes.length;++e)t.nodes[e].x=t.nodes[e].x*o+s;t.mappingRange[0]=i[0],t.mappingRange[1]=i[1],e.modified()},e.adjustRange=n=>{const r=e.getRange(),i=[];r[0]<n[0]?(e.getColor(n[0],i),e.addRGBPoint(n[0],i[0],i[1],i[2])):(e.getColor(r[0],i),e.addRGBPoint(n[0],i[0],i[1],i[2])),r[1]>n[1]?(e.getColor(n[1],i),e.addRGBPoint(n[1],i[0],i[1],i[2])):(e.getColor(r[1],i),e.addRGBPoint(n[1],i[0],i[1],i[2])),e.sortAndUpdateRange();for(let e=0;e<t.nodes.length;)t.nodes[e].x>=n[0]&&t.nodes[e].x<=n[1]?t.nodes.splice(e,1):++e;return 1},e.estimateMinNumberOfSamples=(t,n)=>{const r=e.findMinimumXDistance();return Math.ceil((n-t)/r)},e.findMinimumXDistance=()=>{if(t.nodes.length<2)return-1;let e=Number.MAX_VALUE;for(let n=0;n<t.nodes.length-1;n++){const r=t.nodes[n+1].x-t.nodes[n].x;r<e&&(e=r)}return e},e.mapScalarsThroughTable=(n,r,i,a)=>{0!==e.getSize()?t.indexedLookup?e.mapDataIndexed(n,r,i,a):e.mapData(n,r,i,a):uR("Transfer Function Has No Points!")},e.mapData=(t,n,r,i)=>{if(0===e.getSize())return void fR("Transfer Function Has No Points!");const a=Math.floor(255*e.getAlpha()+.5),o=t.getNumberOfTuples(),s=t.getNumberOfComponents(),l=n.getData(),c=t.getData(),u=[];if(r===cR.RGBA)for(let t=0;t<o;t++){const n=c[t*s+i];e.getColor(n,u),l[4*t]=Math.floor(255*u[0]+.5),l[4*t+1]=Math.floor(255*u[1]+.5),l[4*t+2]=Math.floor(255*u[2]+.5),l[4*t+3]=a}if(r===cR.RGB)for(let t=0;t<o;t++){const n=c[t*s+i];e.getColor(n,u),l[3*t]=Math.floor(255*u[0]+.5),l[3*t+1]=Math.floor(255*u[1]+.5),l[3*t+2]=Math.floor(255*u[2]+.5)}if(r===cR.LUMINANCE)for(let t=0;t<o;t++){const n=c[t*s+i];e.getColor(n,u),l[t]=Math.floor(76.5*u[0]+150.45*u[1]+28.05*u[2]+.5)}if(r===cR.LUMINANCE_ALPHA)for(let t=0;t<o;t++){const n=c[t*s+i];e.getColor(n,u),l[2*t]=Math.floor(76.5*u[0]+150.45*u[1]+28.05*u[2]+.5),l[2*t+1]=a}},e.applyColorMap=n=>{const r=JSON.stringify(t.colorSpace);n.ColorSpace&&(t.colorSpace=sR[n.ColorSpace.toUpperCase()],void 0===t.colorSpace&&(dR(`ColorSpace ${n.ColorSpace} not supported, using RGB instead`),t.colorSpace=sR.RGB));let i=r!==JSON.stringify(t.colorSpace);const a=i||JSON.stringify(t.nanColor);if(n.NanColor)for(t.nanColor=[].concat(n.NanColor);t.nanColor.length<4;)t.nanColor.push(1);i=i||a!==JSON.stringify(t.nanColor);const o=i||JSON.stringify(t.nodes);if(n.RGBPoints){const e=n.RGBPoints.length;t.nodes=[];const r=.5,i=0;for(let a=0;a<e;a+=4)t.nodes.push({x:n.RGBPoints[a],r:n.RGBPoints[a+1],g:n.RGBPoints[a+2],b:n.RGBPoints[a+3],midpoint:r,sharpness:i})}const s=e.sortAndUpdateRange(),l=!s&&(i||o!==JSON.stringify(t.nodes));return l&&e.modified(),s||l}}(e,t)}var yR={newInstance:Qw.newInstance(vR,"vtkColorTransferFunction"),extend:vR,...oR};const{vtkDebugMacro:bR}=Qw,_R={position:[0,0,1],focalPoint:[0,0,0],viewUp:[0,1,0],directionOfProjection:[0,0,-1],parallelProjection:!1,useHorizontalViewAngle:!1,viewAngle:30,parallelScale:1,clippingRange:[.01,1000.01],windowCenter:[0,0],viewPlaneNormal:[0,0,1],useOffAxisProjection:!1,screenBottomLeft:[-.5,-.5,-.5],screenBottomRight:[.5,-.5,-.5],screenTopRight:[.5,.5,-.5],freezeFocalPoint:!1,projectionMatrix:null,viewMatrix:null,cameraLightTransform:b_(),physicalTranslation:[0,0,0],physicalScale:1,physicalViewUp:[0,1,0],physicalViewNorth:[0,0,-1]};function xR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,_R,n),Qw.obj(e,t),Qw.get(e,t,["distance"]),Qw.setGet(e,t,["parallelProjection","useHorizontalViewAngle","viewAngle","parallelScale","useOffAxisProjection","freezeFocalPoint","physicalScale"]),Qw.getArray(e,t,["directionOfProjection","viewPlaneNormal","position","focalPoint"]),Qw.setGetArray(e,t,["clippingRange","windowCenter"],2),Qw.setGetArray(e,t,["viewUp","screenBottomLeft","screenBottomRight","screenTopRight","physicalTranslation","physicalViewUp","physicalViewNorth"],3),function(e,t){t.classHierarchy.push("vtkCamera");const n=new Float64Array(3),r=new Float64Array([0,0,-1]),i=new Float64Array([0,1,0]),a=S_(new Float64Array(16)),o=S_(new Float64Array(16)),s=new Float64Array(3),l=new Float64Array(3),c=new Float64Array(3),u=S_(new Float64Array(16)),d=S_(new Float64Array(16)),f=new Float64Array(3),p=new Float64Array(3);function h(){t.viewPlaneNormal[0]=-t.directionOfProjection[0],t.viewPlaneNormal[1]=-t.directionOfProjection[1],t.viewPlaneNormal[2]=-t.directionOfProjection[2]}e.orthogonalizeViewUp=()=>{const n=e.getViewMatrix();t.viewUp[0]=n[4],t.viewUp[1]=n[5],t.viewUp[2]=n[6],e.modified()},e.setPosition=(n,r,i)=>{n===t.position[0]&&r===t.position[1]&&i===t.position[2]||(t.position[0]=n,t.position[1]=r,t.position[2]=i,e.computeDistance(),e.modified())},e.setFocalPoint=(n,r,i)=>{n===t.focalPoint[0]&&r===t.focalPoint[1]&&i===t.focalPoint[2]||(t.focalPoint[0]=n,t.focalPoint[1]=r,t.focalPoint[2]=i,e.computeDistance(),e.modified())},e.setDistance=n=>{if(t.distance===n)return;t.distance=n,t.distance<1e-20&&(t.distance=1e-20,bR("Distance is set to minimum."));const r=t.directionOfProjection;t.focalPoint[0]=t.position[0]+r[0]*t.distance,t.focalPoint[1]=t.position[1]+r[1]*t.distance,t.focalPoint[2]=t.position[2]+r[2]*t.distance,e.modified()},e.computeDistance=()=>{const e=t.focalPoint[0]-t.position[0],n=t.focalPoint[1]-t.position[1],r=t.focalPoint[2]-t.position[2];if(t.distance=Math.sqrt(e*e+n*n+r*r),t.distance<1e-20){t.distance=1e-20,bR("Distance is set to minimum.");const e=t.directionOfProjection;t.focalPoint[0]=t.position[0]+e[0]*t.distance,t.focalPoint[1]=t.position[1]+e[1]*t.distance,t.focalPoint[2]=t.position[2]+e[2]*t.distance}t.directionOfProjection[0]=e/t.distance,t.directionOfProjection[1]=n/t.distance,t.directionOfProjection[2]=r/t.distance,h()},e.dolly=n=>{if(n<=0)return;const r=t.distance/n;e.setPosition(t.focalPoint[0]-r*t.directionOfProjection[0],t.focalPoint[1]-r*t.directionOfProjection[1],t.focalPoint[2]-r*t.directionOfProjection[2])},e.roll=n=>{const r=t.position,i=t.focalPoint,a=t.viewUp,o=new Float64Array([a[0],a[1],a[2],0]);S_(u);const s=new Float64Array([i[0]-r[0],i[1]-r[1],i[2]-r[2]]);O_(u,u,hT(n),s),$C(o,o,u),t.viewUp[0]=o[0],t.viewUp[1]=o[1],t.viewUp[2]=o[2],e.modified()},e.azimuth=n=>{const r=t.focalPoint;S_(d),P_(d,d,r),O_(d,d,hT(n),t.viewUp),P_(d,d,[-r[0],-r[1],-r[2]]),DA(f,t.position,d),e.setPosition(f[0],f[1],f[2])},e.yaw=n=>{const r=t.position;S_(d),P_(d,d,r),O_(d,d,hT(n),t.viewUp),P_(d,d,[-r[0],-r[1],-r[2]]),DA(p,t.focalPoint,d),e.setFocalPoint(p[0],p[1],p[2])},e.elevation=n=>{const r=t.focalPoint,i=e.getViewMatrix(),a=[-i[0],-i[1],-i[2]];S_(d),P_(d,d,r),O_(d,d,hT(n),a),P_(d,d,[-r[0],-r[1],-r[2]]),DA(f,t.position,d),e.setPosition(f[0],f[1],f[2])},e.pitch=n=>{const r=t.position,i=e.getViewMatrix(),a=[i[0],i[1],i[2]];S_(d),P_(d,d,r),O_(d,d,hT(n),a),P_(d,d,[-r[0],-r[1],-r[2]]),DA(p,t.focalPoint,d),e.setFocalPoint(...p)},e.zoom=n=>{n<=0||(t.parallelProjection?t.parallelScale/=n:t.viewAngle/=n,e.modified())},e.translate=(n,r,i)=>{const a=[n,r,i];AT(t.position,a,t.position),AT(t.focalPoint,a,t.focalPoint),e.computeDistance(),e.modified()},e.applyTransform=n=>{const r=[...t.viewUp,1],i=[],a=[],o=[];r[0]+=t.position[0],r[1]+=t.position[1],r[2]+=t.position[2],$C(i,[...t.position,1],n),$C(a,[...t.focalPoint,1],n),$C(o,r,n),o[0]-=i[0],o[1]-=i[1],o[2]-=i[2],e.setPosition(...i.slice(0,3)),e.setFocalPoint(...a.slice(0,3)),e.setViewUp(...o.slice(0,3))},e.getThickness=()=>t.clippingRange[1]-t.clippingRange[0],e.setThickness=n=>{let r=n;r<1e-20&&(r=1e-20,bR("Thickness is set to minimum.")),e.setClippingRange(t.clippingRange[0],t.clippingRange[0]+r)},e.setThicknessFromFocalPoint=n=>{let r=n;r<1e-20&&(r=1e-20,bR("Thickness is set to minimum.")),e.setClippingRange(t.distance-r/2,t.distance+r/2)},e.setRoll=e=>{},e.getRoll=()=>{},e.setObliqueAngles=(e,t)=>{},e.getOrientation=()=>{},e.getOrientationWXYZ=()=>{},e.getFrustumPlanes=e=>{},e.getCameraLightTransformMatrix=e=>(x_(e,t.cameraLightTransform),e),e.computeCameraLightTransform=()=>{x_(a,e.getViewMatrix()),C_(a,a),F_(o,[t.distance,t.distance,t.distance]),D_(a,a,o),S_(t.cameraLightTransform),P_(t.cameraLightTransform,a,[0,0,-1])},e.deepCopy=e=>{},e.physicalOrientationToWorldDirection=e=>{const t=YC(e[0],e[1],e[2],e[3]),n=XC(),r=YC(0,0,1,0);var i,a;return a=t,(i=n)[0]=-a[0],i[1]=-a[1],i[2]=-a[2],i[3]=a[3],KC(r,t,r),KC(r,r,n),[r[0],r[1],r[2]]},e.getPhysicalToWorldMatrix=t=>{e.getWorldToPhysicalMatrix(t),C_(t,t)},e.getWorldToPhysicalMatrix=e=>{S_(e);const n=[3];ET(t.physicalViewNorth,t.physicalViewUp,n),e[0]=n[0],e[1]=n[1],e[2]=n[2],e[4]=t.physicalViewUp[0],e[5]=t.physicalViewUp[1],e[6]=t.physicalViewUp[2],e[8]=-t.physicalViewNorth[0],e[9]=-t.physicalViewNorth[1],e[10]=-t.physicalViewNorth[2],T_(e,e),SA(s,1/t.physicalScale,1/t.physicalScale,1/t.physicalScale),I_(e,e,s),P_(e,e,t.physicalTranslation)},e.computeViewParametersFromViewMatrix=o=>{C_(a,o),DA(s,n,a),e.computeDistance();const u=t.distance;e.setPosition(s[0],s[1],s[2]),DA(l,r,a),CA(l,l,s),MA(l,l),e.setDirectionOfProjection(l[0],l[1],l[2]),DA(c,i,a),CA(c,c,s),MA(c,c),e.setViewUp(c[0],c[1],c[2]),e.setDistance(u)},e.computeViewParametersFromPhysicalMatrix=t=>{e.getWorldToPhysicalMatrix(a),D_(a,t,a),e.computeViewParametersFromViewMatrix(a)},e.setViewMatrix=n=>{t.viewMatrix=n,t.viewMatrix&&(x_(a,t.viewMatrix),e.computeViewParametersFromViewMatrix(a),T_(t.viewMatrix,t.viewMatrix))},e.getViewMatrix=()=>{if(t.viewMatrix)return t.viewMatrix;ix(a,t.position,t.focalPoint,t.viewUp),T_(a,a);const e=new Float64Array(16);return x_(e,a),e},e.setProjectionMatrix=e=>{t.projectionMatrix=e},e.getProjectionMatrix=(e,n,r)=>{const i=new Float64Array(16);if(S_(i),t.projectionMatrix){const e=1/t.physicalScale;return SA(s,e,e,e),x_(i,t.projectionMatrix),I_(i,i,s),T_(i,i),i}S_(a);const o=t.clippingRange[1]-t.clippingRange[0],l=[t.clippingRange[0]+(n+1)*o/2,t.clippingRange[0]+(r+1)*o/2];if(t.parallelProjection){const n=t.parallelScale*e,r=t.parallelScale,i=(t.windowCenter[0]-1)*n,o=(t.windowCenter[0]+1)*n,s=(t.windowCenter[1]-1)*r,c=(t.windowCenter[1]+1)*r;nx(a,i,o,s,c,l[0],l[1]),T_(a,a)}else{if(t.useOffAxisProjection)throw new Error("Off-Axis projection is not supported at this time");{const n=Math.tan(hT(t.viewAngle)/2);let r,i;!0===t.useHorizontalViewAngle?(r=t.clippingRange[0]*n,i=t.clippingRange[0]*n/e):(r=t.clippingRange[0]*n*e,i=t.clippingRange[0]*n);const o=(t.windowCenter[0]-1)*r,s=(t.windowCenter[0]+1)*r,c=(t.windowCenter[1]-1)*i,u=(t.windowCenter[1]+1)*i,d=l[0],f=l[1];a[0]=2*d/(s-o),a[5]=2*d/(u-c),a[2]=(o+s)/(s-o),a[6]=(c+u)/(u-c),a[10]=-(d+f)/(f-d),a[14]=-1,a[11]=-2*d*f/(f-d),a[15]=0}}return x_(i,a),i},e.getCompositeProjectionMatrix=(t,n,r)=>{const i=e.getViewMatrix(),a=e.getProjectionMatrix(t,n,r);return D_(a,i,a),a},e.setDirectionOfProjection=(e,n,r)=>{if(t.directionOfProjection[0]===e&&t.directionOfProjection[1]===n&&t.directionOfProjection[2]===r)return;t.directionOfProjection[0]=e,t.directionOfProjection[1]=n,t.directionOfProjection[2]=r;const i=t.directionOfProjection;t.focalPoint[0]=t.position[0]+i[0]*t.distance,t.focalPoint[1]=t.position[1]+i[1]*t.distance,t.focalPoint[2]=t.position[2]+i[2]*t.distance,h()},e.setDeviceAngles=(n,r,i,a)=>{const o=[3];ET(t.physicalViewNorth,t.physicalViewUp,o);const s=S_(new Float64Array(16));O_(s,s,hT(n),t.physicalViewUp),O_(s,s,hT(r),o),O_(s,s,hT(i),t.physicalViewNorth),O_(s,s,hT(-a),t.physicalViewUp);const l=new Float64Array([-t.physicalViewUp[0],-t.physicalViewUp[1],-t.physicalViewUp[2]]),c=new Float64Array(t.physicalViewNorth);DA(l,l,s),DA(c,c,s),e.setDirectionOfProjection(l[0],l[1],l[2]),e.setViewUp(c[0],c[1],c[2]),e.modified()},e.setOrientationWXYZ=(t,n,r,i)=>{const a=S_(new Float64Array(16));if(0!==t&&(0!==n||0!==r||0!==i)){const e=hT(t),o=XC();qC(o,[n,r,i],e),K_(a,o)}const o=new Float64Array(3);DA(o,[0,0,-1],a);const s=new Float64Array(3);DA(s,[0,1,0],a),e.setDirectionOfProjection(...o),e.setViewUp(...s),e.modified()},e.computeClippingRange=e=>{let n=null,r=null;n=t.viewPlaneNormal,r=t.position;const i=-n[0],a=-n[1],o=-n[2],s=-(i*r[0]+a*r[1]+o*r[2]),l=[i*e[0]+a*e[2]+o*e[4]+s,1e-18];for(let t=0;t<2;t++)for(let n=0;n<2;n++)for(let r=0;r<2;r++){const c=i*e[r]+a*e[2+n]+o*e[4+t]+s;l[0]=c<l[0]?c:l[0],l[1]=c>l[1]?c:l[1]}return l}}(e,t)}var wR={newInstance:Qw.newInstance(xR,"vtkCamera"),extend:xR};const AR={switch:!0,intensity:1,color:[1,1,1],position:[0,0,1],focalPoint:[0,0,0],positional:!1,exponent:1,coneAngle:30,coneFalloff:5,attenuationValues:[1,0,0],transformMatrix:null,lightType:"SceneLight",shadowAttenuation:1,direction:[0,0,0],directionMTime:0};function SR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,AR,n),Qw.obj(e,t),Qw.setGet(e,t,["intensity","switch","positional","exponent","coneAngle","coneFalloff","transformMatrix","lightType","shadowAttenuation","attenuationValues"]),Qw.setGetArray(e,t,["color","position","focalPoint","attenuationValues"],3),function(e,t){t.classHierarchy.push("vtkLight");const n=new Float64Array(3);e.getTransformedPosition=()=>(t.transformMatrix?DA(n,t.position,t.transformMatrix):SA(n,t.position[0],t.position[1],t.position[2]),n),e.getTransformedFocalPoint=()=>(t.transformMatrix?DA(n,t.focalPoint,t.transformMatrix):SA(n,t.focalPoint[0],t.focalPoint[1],t.focalPoint[2]),n),e.getDirection=()=>(t.directionMTime<t.mtime&&(OA(t.direction,t.focalPoint,t.position),DT(t.direction),t.directionMTime=t.mtime),t.direction),e.setDirection=e=>{const n=new Float64Array(3);OA(n,t.position,e),t.focalPoint=n},e.setDirectionAngle=(t,n)=>{const r=hT(t),i=hT(n);e.setPosition(Math.cos(r)*Math.sin(i),Math.sin(r),Math.cos(r)*Math.cos(i)),e.setFocalPoint(0,0,0),e.setPositional(0)},e.setLightTypeToHeadLight=()=>{e.setLightType("HeadLight")},e.setLightTypeToCameraLight=()=>{e.setLightType("CameraLight")},e.setLightTypeToSceneLight=()=>{e.setTransformMatrix(null),e.setLightType("SceneLight")},e.lightTypeIsHeadLight=()=>"HeadLight"===t.lightType,e.lightTypeIsSceneLight=()=>"SceneLight"===t.lightType,e.lightTypeIsCameraLight=()=>"CameraLight"===t.lightType}(e,t)}var TR={newInstance:Qw.newInstance(SR,"vtkLight"),extend:SR,LIGHT_TYPES:["HeadLight","CameraLight","SceneLight"]};const{vtkErrorMacro:CR}=Qw;const ER={background:[0,0,0],background2:[.2,.2,.2],gradientBackground:!1,viewport:[0,0,1,1],aspect:[1,1],pixelAspect:[1,1],props:[],actors2D:[]};function MR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,ER,n),Qw.obj(e,t),Qw.event(e,t,"event"),Qw.setGetArray(e,t,["viewport"],4),Qw.setGetArray(e,t,["background","background2"],3),function(e,t){function n(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];t.push(e);const r=e.getNestedProps();if(r&&r.length)for(let e=0;e<r.length;e++)n(r[e],t);return t}t.classHierarchy.push("vtkViewport"),e.getViewProps=()=>t.props,e.hasViewProp=e=>t.props.includes(e),e.addViewProp=n=>{n&&!e.hasViewProp(n)&&t.props.push(n)},e.removeViewProp=e=>{const n=t.props.filter((t=>t!==e));t.props.length!==n.length&&(t.props=n)},e.removeAllViewProps=()=>{t.props=[]},e.getViewPropsWithNestedProps=()=>{const e=[];for(let r=0;r<t.props.length;r++)n(t.props[r],e);return e},e.addActor2D=e.addViewProp,e.removeActor2D=t=>{e.removeViewProp(t)},e.getActors2D=()=>(t.actors2D=[],t.props.forEach((e=>{t.actors2D=t.actors2D.concat(e.getActors2D())})),t.actors2D),e.displayToView=()=>CR("call displayToView on your view instead"),e.viewToDisplay=()=>CR("callviewtodisplay on your view instead"),e.getSize=()=>CR("call getSize on your View instead"),e.normalizedDisplayToProjection=(t,n,r)=>{const i=e.normalizedDisplayToNormalizedViewport(t,n,r);return e.normalizedViewportToProjection(i[0],i[1],i[2])},e.normalizedDisplayToNormalizedViewport=(e,n,r)=>{const i=[t.viewport[2]-t.viewport[0],t.viewport[3]-t.viewport[1]];return[(e-t.viewport[0])/i[0],(n-t.viewport[1])/i[1],r]},e.normalizedViewportToProjection=(e,t,n)=>[2*e-1,2*t-1,2*n-1],e.projectionToNormalizedDisplay=(t,n,r)=>{const i=e.projectionToNormalizedViewport(t,n,r);return e.normalizedViewportToNormalizedDisplay(i[0],i[1],i[2])},e.normalizedViewportToNormalizedDisplay=(e,n,r)=>{const i=[t.viewport[2]-t.viewport[0],t.viewport[3]-t.viewport[1]];return[e*i[0]+t.viewport[0],n*i[1]+t.viewport[1],r]},e.projectionToNormalizedViewport=(e,t,n)=>[.5*(e+1),.5*(t+1),.5*(n+1)],e.PickPropFrom=()=>CR("vtkViewport::PickPropFrom - NOT IMPLEMENTED")}(e,t)}var DR={newInstance:Qw.newInstance(MR,"vtkViewport"),extend:MR};const{vtkDebugMacro:PR,vtkErrorMacro:IR,vtkWarningMacro:OR}=eA;function NR(e){return()=>IR(`vtkRenderer::${e} - NOT IMPLEMENTED`)}const kR={pickedProp:null,activeCamera:null,allBounds:[],ambient:[1,1,1],allocatedRenderTime:100,timeFactor:1,automaticLightCreation:!0,twoSidedLighting:!0,lastRenderTimeInSeconds:-1,renderWindow:null,lights:[],actors:[],volumes:[],lightFollowCamera:!0,numberOfPropsRendered:0,propArray:null,pathArray:null,layer:0,preserveColorBuffer:!1,preserveDepthBuffer:!1,computeVisiblePropBounds:KT(),interactive:!0,nearClippingPlaneTolerance:0,clippingRangeExpansion:.05,erase:!0,draw:!0,useShadows:!1,useDepthPeeling:!1,occlusionRatio:0,maximumNumberOfPeels:4,selector:null,delegate:null,texturedBackground:!1,backgroundTexture:null,environmentTexture:null,environmentTextureDiffuseStrength:1,environmentTextureSpecularStrength:1,useEnvironmentTextureAsBackground:!1,pass:0};function RR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};for(Object.assign(t,kR,n),DR.extend(e,t,n),t.background||(t.background=[0,0,0,1]);t.background.length<3;)t.background.push(0);3===t.background.length&&t.background.push(1),Mw(e,t,["_renderWindow","allocatedRenderTime","timeFactor","lastRenderTimeInSeconds","numberOfPropsRendered","lastRenderingUsedDepthPeeling","selector"]),Ow(e,t,["twoSidedLighting","lightFollowCamera","automaticLightCreation","erase","draw","nearClippingPlaneTolerance","clippingRangeExpansion","backingStore","interactive","layer","preserveColorBuffer","preserveDepthBuffer","useDepthPeeling","occlusionRatio","maximumNumberOfPeels","delegate","backgroundTexture","texturedBackground","environmentTexture","environmentTextureDiffuseStrength","environmentTextureSpecularStrength","useEnvironmentTextureAsBackground","useShadows","pass"]),Nw(e,t,["actors","volumes","lights"]),Rw(e,t,["background"],4,1),Lw(0,t,["renderWindow"]),function(e,t){t.classHierarchy.push("vtkRenderer");const n={type:"ComputeVisiblePropBoundsEvent",renderer:e},r={type:"ResetCameraClippingRangeEvent",renderer:e},i={type:"ResetCameraEvent",renderer:e};e.updateCamera=()=>(t.activeCamera||(PR("No cameras are on, creating one."),e.getActiveCameraAndResetIfCreated()),t.activeCamera.render(e),!0),e.updateLightsGeometryToFollowCamera=()=>{const n=e.getActiveCameraAndResetIfCreated();t.lights.forEach((e=>{e.lightTypeIsSceneLight()||(e.lightTypeIsHeadLight()?(e.setPositionFrom(n.getPositionByReference()),e.setFocalPointFrom(n.getFocalPointByReference()),e.modified(n.getMTime())):e.lightTypeIsCameraLight()?e.setTransformMatrix(n.getCameraLightTransformMatrix(b_())):IR("light has unknown light type",e.get()))}))},e.updateLightGeometry=()=>!t.lightFollowCamera||e.updateLightsGeometryToFollowCamera(),e.allocateTime=NR("allocateTime"),e.updateGeometry=NR("updateGeometry"),e.getVTKWindow=()=>t._renderWindow,e.setLayer=n=>{PR(e.getClassName(),e,"setting Layer to ",n),t.layer!==n&&(t.layer=n,e.modified()),e.setPreserveColorBuffer(!!n)},e.setActiveCamera=n=>t.activeCamera!==n&&(t.activeCamera=n,e.modified(),e.invokeEvent({type:"ActiveCameraEvent",camera:n}),!0),e.makeCamera=()=>{const t=wR.newInstance();return e.invokeEvent({type:"CreateCameraEvent",camera:t}),t},e.getActiveCamera=()=>(t.activeCamera||(t.activeCamera=e.makeCamera()),t.activeCamera),e.getActiveCameraAndResetIfCreated=()=>(t.activeCamera||(e.getActiveCamera(),e.resetCamera()),t.activeCamera),e.getActors=()=>(t.actors=[],t.props.forEach((e=>{t.actors=t.actors.concat(e.getActors())})),t.actors),e.addActor=e.addViewProp,e.removeActor=n=>{t.actors=t.actors.filter((e=>e!==n)),e.removeViewProp(n),e.modified()},e.removeAllActors=()=>{e.getActors().forEach((t=>{e.removeViewProp(t)})),t.actors=[],e.modified()},e.getVolumes=()=>(t.volumes=[],t.props.forEach((e=>{t.volumes=t.volumes.concat(e.getVolumes())})),t.volumes),e.addVolume=e.addViewProp,e.removeVolume=n=>{t.volumes=t.volumes.filter((e=>e!==n)),e.removeViewProp(n),e.modified()},e.removeAllVolumes=()=>{e.getVolumes().forEach((t=>{e.removeViewProp(t)})),t.volumes=[],e.modified()},e.hasLight=e=>t.lights.includes(e),e.addLight=n=>{n&&!e.hasLight(n)&&(t.lights.push(n),e.modified())},e.removeLight=n=>{t.lights=t.lights.filter((e=>e!==n)),e.modified()},e.removeAllLights=()=>{t.lights=[],e.modified()},e.setLightCollection=n=>{t.lights=n,e.modified()},e.makeLight=TR.newInstance,e.createLight=()=>{t.automaticLightCreation&&(t._createdLight&&(e.removeLight(t._createdLight),t._createdLight.delete(),t._createdLight=null),t._createdLight=e.makeLight(),e.addLight(t._createdLight),t._createdLight.setLightTypeToHeadLight(),t._createdLight.setPosition(e.getActiveCamera().getPosition()),t._createdLight.setFocalPoint(e.getActiveCamera().getFocalPoint()))},e.normalizedDisplayToWorld=(t,n,r,i)=>{let a=e.normalizedDisplayToProjection(t,n,r);return a=e.projectionToView(a[0],a[1],a[2],i),e.viewToWorld(a[0],a[1],a[2])},e.worldToNormalizedDisplay=(t,n,r,i)=>{let a=e.worldToView(t,n,r);return a=e.viewToProjection(a[0],a[1],a[2],i),e.projectionToNormalizedDisplay(a[0],a[1],a[2])},e.viewToWorld=(e,n,r)=>{if(null===t.activeCamera)return IR("ViewToWorld: no active camera, cannot compute view to world, returning 0,0,0"),[0,0,0];const i=t.activeCamera.getViewMatrix();C_(i,i),T_(i,i);const a=new Float64Array([e,n,r]);return DA(a,a,i),a},e.projectionToView=(e,n,r,i)=>{if(null===t.activeCamera)return IR("ProjectionToView: no active camera, cannot compute projection to view, returning 0,0,0"),[0,0,0];const a=t.activeCamera.getProjectionMatrix(i,-1,1);C_(a,a),T_(a,a);const o=new Float64Array([e,n,r]);return DA(o,o,a),o},e.worldToView=(e,n,r)=>{if(null===t.activeCamera)return IR("WorldToView: no active camera, cannot compute view to world, returning 0,0,0"),[0,0,0];const i=t.activeCamera.getViewMatrix();T_(i,i);const a=new Float64Array([e,n,r]);return DA(a,a,i),a},e.viewToProjection=(e,n,r,i)=>{if(null===t.activeCamera)return IR("ViewToProjection: no active camera, cannot compute view to projection, returning 0,0,0"),[0,0,0];const a=t.activeCamera.getProjectionMatrix(i,-1,1);T_(a,a);const o=new Float64Array([e,n,r]);return DA(o,o,a),o},e.computeVisiblePropBounds=()=>{t.allBounds[0]=HC.INIT_BOUNDS[0],t.allBounds[1]=HC.INIT_BOUNDS[1],t.allBounds[2]=HC.INIT_BOUNDS[2],t.allBounds[3]=HC.INIT_BOUNDS[3],t.allBounds[4]=HC.INIT_BOUNDS[4],t.allBounds[5]=HC.INIT_BOUNDS[5];let r=!0;e.invokeEvent(n);for(let e=0;e<t.props.length;++e){const n=t.props[e];if(n.getVisibility()&&n.getUseBounds()){const e=n.getBounds();e&&zT(e)&&(r=!1,e[0]<t.allBounds[0]&&(t.allBounds[0]=e[0]),e[1]>t.allBounds[1]&&(t.allBounds[1]=e[1]),e[2]<t.allBounds[2]&&(t.allBounds[2]=e[2]),e[3]>t.allBounds[3]&&(t.allBounds[3]=e[3]),e[4]<t.allBounds[4]&&(t.allBounds[4]=e[4]),e[5]>t.allBounds[5]&&(t.allBounds[5]=e[5]))}}return r&&(GT(t.allBounds),PR("Can't compute bounds, no 3D props are visible")),t.allBounds},e.resetCamera=function(){const n=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:null)||e.computeVisiblePropBounds(),r=[0,0,0];if(!zT(n))return PR("Cannot reset camera!"),!1;let a=null;if(!e.getActiveCamera())return IR("Trying to reset non-existent camera"),!1;a=t.activeCamera.getViewPlaneNormal(),t.activeCamera.setViewAngle(30),r[0]=(n[0]+n[1])/2,r[1]=(n[2]+n[3])/2,r[2]=(n[4]+n[5])/2;let o=n[1]-n[0],s=n[3]-n[2],l=n[5]-n[4];o*=o,s*=s,l*=l;let c=o+s+l;c=0===c?1:c,c=.5*Math.sqrt(c);const u=hT(t.activeCamera.getViewAngle()),d=c,f=c/Math.sin(.5*u),p=t.activeCamera.getViewUp();return Math.abs(CT(p,a))>.999&&(OR("Resetting view-up since view plane normal is parallel"),t.activeCamera.setViewUp(-p[2],p[0],p[1])),t.activeCamera.setFocalPoint(r[0],r[1],r[2]),t.activeCamera.setPosition(r[0]+f*a[0],r[1]+f*a[1],r[2]+f*a[2]),e.resetCameraClippingRange(n),t.activeCamera.setParallelScale(d),t.activeCamera.setPhysicalScale(c),t.activeCamera.setPhysicalTranslation(-r[0],-r[1],-r[2]),e.invokeEvent(i),!0},e.resetCameraClippingRange=function(){const n=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:null)||e.computeVisiblePropBounds();if(!zT(n))return PR("Cannot reset camera clipping range!"),!1;if(e.getActiveCameraAndResetIfCreated(),!t.activeCamera)return IR("Trying to reset clipping range of non-existent camera"),!1;const i=t.activeCamera.computeClippingRange(n);let a=0;if(t.activeCamera.getParallelProjection())a=.2*t.activeCamera.getParallelScale();else{const e=hT(t.activeCamera.getViewAngle());a=.2*Math.tan(e/2)*i[1]}return i[1]-i[0]<a&&(a=a-i[1]+i[0],i[1]+=a/2,i[0]-=a/2),i[0]<0&&(i[0]=0),i[0]=.99*i[0]-(i[1]-i[0])*t.clippingRangeExpansion,i[1]=1.01*i[1]+(i[1]-i[0])*t.clippingRangeExpansion,i[0]=i[0]>=i[1]?.01*i[1]:i[0],t.nearClippingPlaneTolerance||(t.nearClippingPlaneTolerance=.01),i[0]<t.nearClippingPlaneTolerance*i[1]&&(i[0]=t.nearClippingPlaneTolerance*i[1]),t.activeCamera.setClippingRange(i[0],i[1]),e.invokeEvent(r),!1},e.setRenderWindow=e=>{e!==t._renderWindow&&(t._vtkWindow=e,t._renderWindow=e)},e.visibleActorCount=()=>t.props.filter((e=>e.getVisibility())).length,e.visibleVolumeCount=e.visibleActorCount,e.getMTime=()=>{let e=t.mtime;const n=t.activeCamera?t.activeCamera.getMTime():0;n>e&&(e=n);const r=t._createdLight?t._createdLight.getMTime():0;return r>e&&(e=r),e},e.getTransparent=()=>!!t.preserveColorBuffer,e.isActiveCameraCreated=()=>!!t.activeCamera}(e,t)}var LR={newInstance:Vw(RR,"vtkRenderer"),extend:RR};const FR=Object.create(null);function BR(e,t){FR[e]=t}function UR(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return FR[e]&&FR[e](t)}const VR={defaultViewAPI:"WebGL",renderers:[],views:[],interactor:null,neverRendered:!0,numberOfLayers:1,childRenderWindows:[]};function GR(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,VR,n),Qw.obj(e,t),Qw.setGet(e,t,["interactor","numberOfLayers","_views","defaultViewAPI"]),Qw.get(e,t,["neverRendered"]),Qw.getArray(e,t,["renderers","childRenderWindows"]),Qw.moveToProtected(e,t,["views"]),Qw.event(e,t,"completion"),function(e,t){t.classHierarchy.push("vtkRenderWindow"),e.addRenderer=n=>{e.hasRenderer(n)||(n.setRenderWindow(e),t.renderers.push(n),e.modified())},e.removeRenderer=n=>{t.renderers=t.renderers.filter((e=>e!==n)),e.modified()},e.hasRenderer=e=>-1!==t.renderers.indexOf(e),e.newAPISpecificView=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return UR(e||t.defaultViewAPI,n)},e.addView=n=>{e.hasView(n)||(n.setRenderable(e),t._views.push(n),e.modified())},e.removeView=n=>{t._views=t._views.filter((e=>e!==n)),e.modified()},e.hasView=e=>-1!==t._views.indexOf(e),e.preRender=()=>{t.renderers.forEach((e=>{e.isActiveCameraCreated()||e.resetCamera()}))},e.render=()=>{e.preRender(),t.interactor?t.interactor.render():t._views.forEach((e=>e.traverseAllPasses()))},e.getStatistics=()=>{const e={propCount:0,invisiblePropCount:0,gpuMemoryMB:0};return t._views.forEach((t=>{t.getGraphicsMemoryInfo&&(e.gpuMemoryMB+=t.getGraphicsMemoryInfo()/1e6)})),t.renderers.forEach((n=>{const r=n.getViewProps(),i=t._views[0].getViewNodeFor(n);r.forEach((t=>{if(t.getVisibility()){e.propCount+=1;const n=t.getMapper&&t.getMapper();if(n&&n.getPrimitiveCount){const t=i.getViewNodeFor(n);if(t){t.getAllocatedGPUMemoryInBytes&&(e.gpuMemoryMB+=t.getAllocatedGPUMemoryInBytes()/1e6);const r=n.getPrimitiveCount();Object.keys(r).forEach((t=>{e[t]||(e[t]=0),e[t]+=r[t]}))}}}else e.invisiblePropCount+=1}))})),e.str=Object.keys(e).map((t=>`${t}: ${e[t]}`)).join("\n"),e},e.captureImages=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"image/png",r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return Qw.setImmediate(e.render),t._views.map((e=>e.captureNextImage?e.captureNextImage(n,r):void 0)).filter((e=>!!e))},e.addRenderWindow=n=>!t.childRenderWindows.includes(n)&&(t.childRenderWindows.push(n),e.modified(),!0)}(e,t)}var zR={newInstance:Qw.newInstance(GR,"vtkRenderWindow"),extend:GR,registerViewConstructor:BR,listViewAPIs:function(){return Object.keys(FR)},newAPISpecificView:UR};const jR={Unknown:0,LeftController:1,RightController:2},WR={Unknown:0,Trigger:1,TrackPad:2,Grip:3,Thumbstick:4,A:5,B:6,ApplicationMenu:7};var HR={Device:jR,Input:WR,Axis:{Unknown:0,TouchpadX:1,TouchpadY:2,ThumbstickX:3,ThumbstickY:4}};const{Device:$R,Input:XR}=HR,{vtkWarningMacro:qR,vtkErrorMacro:KR,normalizeWheel:YR,vtkOnceErrorMacro:JR}=Qw,ZR={ctrlKey:!1,altKey:!1,shiftKey:!1},QR={"xr-standard":[XR.Trigger,XR.Grip,XR.TrackPad,XR.Thumbstick,XR.A,XR.B]},eL=["StartAnimation","Animation","EndAnimation","PointerEnter","PointerLeave","MouseEnter","MouseLeave","StartMouseMove","MouseMove","EndMouseMove","LeftButtonPress","LeftButtonRelease","MiddleButtonPress","MiddleButtonRelease","RightButtonPress","RightButtonRelease","KeyPress","KeyDown","KeyUp","StartMouseWheel","MouseWheel","EndMouseWheel","StartPinch","Pinch","EndPinch","StartPan","Pan","EndPan","StartRotate","Rotate","EndRotate","Button3D","Move3D","StartPointerLock","EndPointerLock","StartInteraction","Interaction","EndInteraction","AnimationFrameRateUpdate"];function tL(e){e.cancelable&&e.preventDefault()}function nL(e){const t=Object.create(null);return e.forEach((e=>{let{pointerId:n,position:r}=e;t[n]=r})),t}const rL={renderWindow:null,interactorStyle:null,picker:null,pickingManager:null,initialized:!1,enabled:!1,enableRender:!0,currentRenderer:null,lightFollowCamera:!0,desiredUpdateRate:30,stillUpdateRate:2,container:null,recognizeGestures:!0,currentGesture:"Start",animationRequest:null,lastFrameTime:.1,recentAnimationFrameRate:10,wheelTimeoutID:0,moveTimeoutID:0,lastGamepadValues:{},preventDefaultOnPointerDown:!1,preventDefaultOnPointerUp:!1,mouseScrollDebounceByPass:!1};function iL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,rL,n),Qw.obj(e,t),t._animationExtendedEnd=0,Qw.event(e,t,"RenderEvent"),eL.forEach((n=>Qw.event(e,t,n))),Qw.get(e,t,["initialized","interactorStyle","lastFrameTime","recentAnimationFrameRate","_view"]),Qw.setGet(e,t,["container","lightFollowCamera","enabled","enableRender","recognizeGestures","desiredUpdateRate","stillUpdateRate","picker","preventDefaultOnPointerDown","preventDefaultOnPointerUp","mouseScrollDebounceByPass"]),Qw.moveToProtected(e,t,["view"]),function(e,t){t.classHierarchy.push("vtkRenderWindowInteractor");const n={...e},r=new Set,i=new Map;let a=1;function o(n,r){t._forcedRenderer||(t.currentRenderer=e.findPokedRenderer(n,r))}e.start=()=>{(t.initialized||(e.initialize(),t.initialized))&&e.startEventLoop()},e.setRenderWindow=e=>{KR("you want to call setView(view) instead of setRenderWindow on a vtk.js interactor")},e.setInteractorStyle=n=>{t.interactorStyle!==n&&(null!=t.interactorStyle&&t.interactorStyle.setInteractor(null),t.interactorStyle=n,null!=t.interactorStyle&&t.interactorStyle.getInteractor()!==e&&t.interactorStyle.setInteractor(e))},e.initialize=()=>{t.initialized=!0,e.enable(),e.render()},e.enable=()=>e.setEnabled(!0),e.disable=()=>e.setEnabled(!1),e.startEventLoop=()=>qR("empty event loop"),e.getCurrentRenderer=()=>(t.currentRenderer||o(0,0),t.currentRenderer);const s=t._getScreenEventPositionFor||function(e){const n=t._view.getCanvas(),r=n.getBoundingClientRect(),a=n.width/r.width,s=n.height/r.height,l={x:a*(e.clientX-r.left),y:s*(r.height-e.clientY+r.top),z:0};return(i.size<=1||!t.currentRenderer)&&o(l.x,l.y),l};function l(e){return{controlKey:e.ctrlKey,altKey:e.altKey,shiftKey:e.shiftKey}}function c(e){const t=l(e);return{key:e.key,keyCode:e.charCode,...t}}function u(e){return e.pointerType||""}const d=()=>{if(null===t.container)return;const{container:n}=t;n.addEventListener("contextmenu",tL),n.addEventListener("wheel",e.handleWheel),n.addEventListener("DOMMouseScroll",e.handleWheel),n.addEventListener("pointerenter",e.handlePointerEnter),n.addEventListener("pointerleave",e.handlePointerLeave),n.addEventListener("pointermove",e.handlePointerMove,{passive:!1}),n.addEventListener("pointerdown",e.handlePointerDown,{passive:!1}),n.addEventListener("pointerup",e.handlePointerUp),n.addEventListener("pointercancel",e.handlePointerCancel),document.addEventListener("keypress",e.handleKeyPress),document.addEventListener("keydown",e.handleKeyDown),document.addEventListener("keyup",e.handleKeyUp),document.addEventListener("pointerlockchange",e.handlePointerLockChange),n.style.touchAction="none",n.style.userSelect="none",n.style.webkitTapHighlightColor="rgba(0,0,0,0)"};e.bindEvents=e=>{null!==e&&n.setContainer(e)&&d()};const f=()=>{clearTimeout(t.moveTimeoutID),clearTimeout(t.wheelTimeoutID),t.moveTimeoutID=0,t.wheelTimeoutID=0,a=1;const{container:n}=t;n&&(n.removeEventListener("contextmenu",tL),n.removeEventListener("wheel",e.handleWheel),n.removeEventListener("DOMMouseScroll",e.handleWheel),n.removeEventListener("pointerenter",e.handlePointerEnter),n.removeEventListener("pointerleave",e.handlePointerLeave),n.removeEventListener("pointermove",e.handlePointerMove,{passive:!1}),n.removeEventListener("pointerdown",e.handlePointerDown,{passive:!1}),n.removeEventListener("pointerup",e.handlePointerUp),n.removeEventListener("pointercancel",e.handlePointerCancel)),document.removeEventListener("keypress",e.handleKeyPress),document.removeEventListener("keydown",e.handleKeyDown),document.removeEventListener("keyup",e.handleKeyUp),document.removeEventListener("pointerlockchange",e.handlePointerLockChange),i.clear()};function p(){t._view&&t.enabled&&t.enableRender&&(t.inRender=!0,t._view.traverseAllPasses(),t.inRender=!1),e.invokeRenderEvent()}e.unbindEvents=()=>{f(),n.setContainer(null)},e.handleKeyPress=t=>{const n=c(t);e.keyPressEvent(n)},e.handleKeyDown=t=>{const n=c(t);e.keyDownEvent(n)},e.handleKeyUp=t=>{const n=c(t);e.keyUpEvent(n)},e.handlePointerEnter=t=>{const n={...l(t),position:s(t),deviceType:u(t)};e.pointerEnterEvent(n),"mouse"===n.deviceType&&e.mouseEnterEvent(n)},e.handlePointerLeave=t=>{const n={...l(t),position:s(t),deviceType:u(t)};e.pointerLeaveEvent(n),"mouse"===n.deviceType&&e.mouseLeaveEvent(n)},e.handlePointerDown=n=>{if(!(n.button>2||e.isPointerLocked()))switch(t.preventDefaultOnPointerDown&&tL(n),n.target.hasPointerCapture(n.pointerId)&&n.target.releasePointerCapture(n.pointerId),t.container.setPointerCapture(n.pointerId),i.has(n.pointerId)&&qR("[RenderWindowInteractor] duplicate pointerId detected"),i.set(n.pointerId,{pointerId:n.pointerId,position:s(n)}),n.pointerType){case"pen":case"touch":e.handleTouchStart(n);break;default:e.handleMouseDown(n)}},e.handlePointerUp=n=>{if(i.has(n.pointerId))switch(t.preventDefaultOnPointerUp&&tL(n),i.delete(n.pointerId),t.container.releasePointerCapture(n.pointerId),n.pointerType){case"pen":case"touch":e.handleTouchEnd(n);break;default:e.handleMouseUp(n)}},e.handlePointerCancel=t=>{if(i.has(t.pointerId))switch(i.delete(t.pointerId),t.pointerType){case"pen":case"touch":e.handleTouchEnd(t);break;default:e.handleMouseUp(t)}},e.handlePointerMove=t=>{switch(i.has(t.pointerId)&&(i.get(t.pointerId).position=s(t)),t.pointerType){case"pen":case"touch":e.handleTouchMove(t);break;default:e.handleMouseMove(t)}},e.handleMouseDown=t=>{const n={...l(t),position:s(t),deviceType:u(t)};switch(t.button){case 0:e.leftButtonPressEvent(n);break;case 1:e.middleButtonPressEvent(n);break;case 2:e.rightButtonPressEvent(n);break;default:KR(`Unknown mouse button pressed: ${t.button}`)}},e.requestPointerLock=()=>{t.container&&t.container.requestPointerLock()},e.exitPointerLock=()=>document.exitPointerLock?.(),e.isPointerLocked=()=>!!t.container&&document.pointerLockElement===t.container,e.handlePointerLockChange=()=>{e.isPointerLocked()?e.startPointerLockEvent():e.endPointerLockEvent()},e.requestAnimation=n=>{void 0!==n?r.has(n)?qR("requester is already registered for animating"):(r.add(n),t.animationRequest||1!==r.size||t.xrAnimation||(t._animationStartTime=Date.now(),t._animationFrameCount=0,t.animationRequest=requestAnimationFrame(e.handleAnimation),e.startAnimationEvent())):KR("undefined requester, can not start animating")},e.extendAnimation=n=>{const i=Date.now()+n;t._animationExtendedEnd=Math.max(t._animationExtendedEnd,i),t.animationRequest||0!==r.size||t.xrAnimation||(t._animationStartTime=Date.now(),t._animationFrameCount=0,t.animationRequest=requestAnimationFrame(e.handleAnimation),e.startAnimationEvent())},e.isAnimating=()=>t.xrAnimation||null!==t.animationRequest,e.cancelAnimation=function(n){let i=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(r.has(n))r.delete(n),t.animationRequest&&0===r.size&&Date.now()>t._animationExtendedEnd&&(cancelAnimationFrame(t.animationRequest),t.animationRequest=null,e.endAnimationEvent(),e.render());else if(!i){const e=n&&n.getClassName?n.getClassName():n;qR(`${e} did not request an animation`)}},e.switchToXRAnimation=()=>{t.animationRequest&&(cancelAnimationFrame(t.animationRequest),t.animationRequest=null),t.xrAnimation=!0},e.returnFromXRAnimation=()=>{t.xrAnimation=!1,0!==r.size&&(t.recentAnimationFrameRate=10,t.animationRequest=requestAnimationFrame(e.handleAnimation))},e.updateXRGamepads=(n,r,i)=>{n.inputSources.forEach((n=>{const a=null==n.gripSpace?null:r.getPose(n.gripSpace,i),o=null==n.gripSpace?null:r.getPose(n.targetRaySpace,i),s=n.gamepad,l=n.handedness;if(s){s.index in t.lastGamepadValues||(t.lastGamepadValues[s.index]={left:{buttons:{}},right:{buttons:{}},none:{buttons:{}}});for(let r=0;r<s.buttons.length;++r)r in t.lastGamepadValues[s.index][l].buttons||(t.lastGamepadValues[s.index][l].buttons[r]=!1),t.lastGamepadValues[s.index][l].buttons[r]!==s.buttons[r].pressed&&null!=a&&(e.button3DEvent({gamepad:s,position:a.transform.position,orientation:a.transform.orientation,targetPosition:o.transform.position,targetOrientation:o.transform.orientation,pressed:s.buttons[r].pressed,device:"left"===n.handedness?$R.LeftController:$R.RightController,input:QR[s.mapping]&&QR[s.mapping][r]?QR[s.mapping][r]:XR.Trigger}),t.lastGamepadValues[s.index][l].buttons[r]=s.buttons[r].pressed),t.lastGamepadValues[s.index][l].buttons[r]&&null!=a&&e.move3DEvent({gamepad:s,position:a.transform.position,orientation:a.transform.orientation,targetPosition:o.transform.position,targetOrientation:o.transform.orientation,device:"left"===n.handedness?$R.LeftController:$R.RightController})}}))},e.handleMouseMove=n=>{const r={...l(n),position:s(n),deviceType:u(n)};0===t.moveTimeoutID?e.startMouseMoveEvent(r):(e.mouseMoveEvent(r),clearTimeout(t.moveTimeoutID)),t.moveTimeoutID=setTimeout((()=>{e.endMouseMoveEvent(),t.moveTimeoutID=0}),200)},e.handleAnimation=()=>{const n=Date.now();t._animationFrameCount++,n-t._animationStartTime>1e3&&t._animationFrameCount>1&&(t.recentAnimationFrameRate=1e3*(t._animationFrameCount-1)/(n-t._animationStartTime),t.lastFrameTime=1/t.recentAnimationFrameRate,e.animationFrameRateUpdateEvent(),t._animationStartTime=n,t._animationFrameCount=1),e.animationEvent(),p(),r.size>0||Date.now()<t._animationExtendedEnd?t.animationRequest=requestAnimationFrame(e.handleAnimation):(cancelAnimationFrame(t.animationRequest),t.animationRequest=null,e.endAnimationEvent(),e.render())},e.handleWheel=n=>{tL(n);const r={...YR(n),...l(n),position:s(n),deviceType:u(n)};0===t.wheelTimeoutID&&(a=Math.abs(r.spinY)>=.3?Math.abs(r.spinY):1),r.spinY/=a,0===t.wheelTimeoutID?(e.startMouseWheelEvent(r),e.mouseWheelEvent(r)):(e.mouseWheelEvent(r),clearTimeout(t.wheelTimeoutID)),t.mouseScrollDebounceByPass?(e.extendAnimation(600),e.endMouseWheelEvent(),t.wheelTimeoutID=0):t.wheelTimeoutID=setTimeout((()=>{e.extendAnimation(600),e.endMouseWheelEvent(),t.wheelTimeoutID=0}),200)},e.handleMouseUp=t=>{const n={...l(t),position:s(t),deviceType:u(t)};switch(t.button){case 0:e.leftButtonReleaseEvent(n);break;case 1:e.middleButtonReleaseEvent(n);break;case 2:e.rightButtonReleaseEvent(n);break;default:KR(`Unknown mouse button released: ${t.button}`)}},e.handleTouchStart=n=>{const r=[...i.values()];if(t.recognizeGestures&&r.length>1){const t=nL(i);if(2===r.length){const t={...l(ZR),position:r[0].position,deviceType:u(n)};e.leftButtonReleaseEvent(t)}e.recognizeGesture("TouchStart",t)}else if(1===r.length){const t={...l(ZR),position:s(n),deviceType:u(n)};e.leftButtonPressEvent(t)}},e.handleTouchMove=n=>{const r=[...i.values()];if(t.recognizeGestures&&r.length>1){const t=nL(i);e.recognizeGesture("TouchMove",t)}else if(1===r.length){const t={...l(ZR),position:r[0].position,deviceType:u(n)};e.mouseMoveEvent(t)}},e.handleTouchEnd=n=>{const r=[...i.values()];if(t.recognizeGestures)if(0===r.length){const t={...l(ZR),position:s(n),deviceType:u(n)};e.leftButtonReleaseEvent(t)}else if(1===r.length){const t=nL(i);e.recognizeGesture("TouchEnd",t);const a={...l(ZR),position:r[0].position,deviceType:u(n)};e.leftButtonPressEvent(a)}else{const t=nL(i);e.recognizeGesture("TouchMove",t)}else if(1===r.length){const t={...l(ZR),position:r[0].position,deviceType:u(n)};e.leftButtonReleaseEvent(t)}},e.setView=n=>{t._view!==n&&(t._view=n,t._view.getRenderable().setInteractor(e),e.modified())},e.getFirstRenderer=()=>t._view?.getRenderable()?.getRenderersByReference()?.[0],e.findPokedRenderer=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;if(!t._view)return null;const r=t._view?.getRenderable()?.getRenderers();if(!r||0===r.length)return null;r.sort(((e,t)=>e.getLayer()-t.getLayer()));let i=null,a=null,o=null,s=r.length;for(;s--;){const l=r[s];if(t._view.isInViewport(e,n,l)&&l.getInteractive()){o=l;break}null===i&&l.getInteractive()&&(i=l),null===a&&t._view.isInViewport(e,n,l)&&(a=l)}return null===o&&(o=i),null===o&&(o=a),null==o&&(o=r[0]),o},e.render=()=>{e.isAnimating()||t.inRender||p()},eL.forEach((n=>{const r=n.charAt(0).toLowerCase()+n.slice(1);e[`${r}Event`]=r=>{if(!t.enabled)return;if(!e.getCurrentRenderer())return void JR("\n          Can not forward events without a current renderer on the interactor.\n        ");const i={type:n,pokedRenderer:t.currentRenderer,firstRenderer:e.getFirstRenderer(),...r};e[`invoke${n}`](i)}})),e.recognizeGesture=(n,r)=>{if(Object.keys(r).length>2)return;if(t.startingEventPositions||(t.startingEventPositions={}),"TouchStart"===n)return Object.keys(r).forEach((e=>{t.startingEventPositions[e]=r[e]})),void(t.currentGesture="Start");if("TouchEnd"===n)return"Pinch"===t.currentGesture&&(e.render(),e.endPinchEvent()),"Rotate"===t.currentGesture&&(e.render(),e.endRotateEvent()),"Pan"===t.currentGesture&&(e.render(),e.endPanEvent()),t.currentGesture="Start",void(t.startingEventPositions={});let i=0;const a=[],o=[];Object.keys(r).forEach((e=>{a[i]=r[e],o[i]=t.startingEventPositions[e],i++}));const s=Math.sqrt((o[0].x-o[1].x)*(o[0].x-o[1].x)+(o[0].y-o[1].y)*(o[0].y-o[1].y)),l=Math.sqrt((a[0].x-a[1].x)*(a[0].x-a[1].x)+(a[0].y-a[1].y)*(a[0].y-a[1].y));let c=mT(Math.atan2(o[1].y-o[0].y,o[1].x-o[0].x)),u=mT(Math.atan2(a[1].y-a[0].y,a[1].x-a[0].x)),d=u-c;u=u+180>=360?u-180:u+180,c=c+180>=360?c-180:c+180,Math.abs(u-c)<Math.abs(d)&&(d=u-c);const f=[];if(f[0]=(a[0].x-o[0].x+a[1].x-o[1].x)/2,f[1]=(a[0].y-o[0].y+a[1].y-o[1].y)/2,"TouchMove"===n)if("Start"===t.currentGesture){let n=.01*Math.sqrt(t.container.clientWidth*t.container.clientWidth+t.container.clientHeight*t.container.clientHeight);n<15&&(n=15);const i=Math.abs(l-s),a=3.1415926*l*Math.abs(d)/360,o=Math.sqrt(f[0]*f[0]+f[1]*f[1]);if(i>n&&i>a&&i>o){t.currentGesture="Pinch";const n={scale:1,touches:r};e.startPinchEvent(n)}else if(a>n&&a>o){t.currentGesture="Rotate";const n={rotation:0,touches:r};e.startRotateEvent(n)}else if(o>n){t.currentGesture="Pan";const n={translation:[0,0],touches:r};e.startPanEvent(n)}}else{if("Rotate"===t.currentGesture){const t={rotation:d,touches:r};e.rotateEvent(t)}if("Pinch"===t.currentGesture){const t={scale:l/s,touches:r};e.pinchEvent(t)}if("Pan"===t.currentGesture){const t={translation:f,touches:r};e.panEvent(t)}}},e.handleVisibilityChange=()=>{t._animationStartTime=Date.now(),t._animationFrameCount=0},e.setCurrentRenderer=e=>{t._forcedRenderer=!!e,t.currentRenderer=e},e.setContainer=e=>{f();const t=n.setContainer(e??null);return t&&d(),t},e.delete=()=>{for(;r.size;)e.cancelAnimation(r.values().next().value);void 0!==document.hidden&&document.removeEventListener("visibilitychange",e.handleVisibilityChange),t.container&&e.setContainer(null),n.delete()},void 0!==document.hidden&&document.addEventListener("visibilitychange",e.handleVisibilityChange,!1)}(e,t)}var aL={newInstance:Qw.newInstance(iL,"vtkRenderWindowInteractor"),extend:iL,handledEvents:eL,...HR};const{vtkErrorMacro:oL,VOID:sL}=Qw,lL={enabled:!0,priority:0,processEvents:!0,subscribedEvents:[]};function cL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,lL,n),Qw.obj(e,t),Qw.event(e,t,"InteractionEvent"),Qw.event(e,t,"StartInteractionEvent"),Qw.event(e,t,"EndInteractionEvent"),Qw.get(e,t,["_interactor","enabled"]),Qw.setGet(e,t,["priority","processEvents"]),Qw.moveToProtected(e,t,["interactor"]),function(e,t){t.classHierarchy.push("vtkInteractorObserver");const n={...e};function r(){for(;t.subscribedEvents.length;)t.subscribedEvents.pop().unsubscribe()}function i(){aL.handledEvents.forEach((n=>{e[`handle${n}`]&&t.subscribedEvents.push(t._interactor[`on${n}`]((r=>t.processEvents?e[`handle${n}`](r):sL),t.priority))}))}e.setInteractor=n=>{n!==t._interactor&&(r(),t._interactor=n,n&&t.enabled&&i(),e.modified())},e.setEnabled=n=>{n!==t.enabled&&(r(),n&&(t._interactor?i():oL("\n          The interactor must be set before subscribing to events\n        ")),t.enabled=n,e.modified())},e.computeDisplayToWorld=(e,n,r,i)=>e?t._interactor.getView().displayToWorld(n,r,i,e):null,e.computeWorldToDisplay=(e,n,r,i)=>e?t._interactor.getView().worldToDisplay(n,r,i,e):null,e.setPriority=e=>{n.setPriority(e)&&t._interactor&&(r(),i())}}(e,t)}var uL={newInstance:Qw.newInstance(cL,"vtkInteractorObserver"),extend:cL,computeWorldToDisplay:function(e,t,n,r){return e.getRenderWindow().getViews()[0].worldToDisplay(t,n,r,e)},computeDisplayToWorld:function(e,t,n,r){return e.getRenderWindow().getViews()[0].displayToWorld(t,n,r,e)}},dL={States:{IS_START:0,IS_NONE:0,IS_ROTATE:1,IS_PAN:2,IS_SPIN:3,IS_DOLLY:4,IS_CAMERA_POSE:11,IS_WINDOW_LEVEL:1024,IS_SLICE:1025}};const{States:fL}=dL,pL={Rotate:fL.IS_ROTATE,Pan:fL.IS_PAN,Spin:fL.IS_SPIN,Dolly:fL.IS_DOLLY,CameraPose:fL.IS_CAMERA_POSE,WindowLevel:fL.IS_WINDOW_LEVEL,Slice:fL.IS_SLICE},hL={state:fL.IS_NONE,handleObservers:1,autoAdjustCameraClippingRange:1};function mL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,hL,n),uL.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkInteractorStyle"),Object.keys(pL).forEach((n=>{Qw.event(e,t,`Start${n}Event`),e[`start${n}`]=()=>{t.state===fL.IS_NONE&&(t.state=pL[n],t._interactor.requestAnimation(e),e.invokeStartInteractionEvent({type:"StartInteractionEvent"}),e[`invokeStart${n}Event`]({type:`Start${n}Event`}))},Qw.event(e,t,`End${n}Event`),e[`end${n}`]=()=>{t.state===pL[n]&&(t.state=fL.IS_NONE,t._interactor.cancelAnimation(e),e.invokeEndInteractionEvent({type:"EndInteractionEvent"}),e[`invokeEnd${n}Event`]({type:`End${n}Event`}),t._interactor.render())}})),e.handleKeyPress=e=>{const n=t._interactor;let r=null;switch(e.key){case"r":case"R":e.pokedRenderer.resetCamera(),n.render();break;case"w":case"W":r=e.pokedRenderer.getActors(),r.forEach((e=>{const t=e.getProperty();t.setRepresentationToWireframe&&t.setRepresentationToWireframe()})),n.render();break;case"s":case"S":r=e.pokedRenderer.getActors(),r.forEach((e=>{const t=e.getProperty();t.setRepresentationToSurface&&t.setRepresentationToSurface()})),n.render();break;case"v":case"V":r=e.pokedRenderer.getActors(),r.forEach((e=>{const t=e.getProperty();t.setRepresentationToPoints&&t.setRepresentationToPoints()})),n.render()}}}(e,t)}var gL={newInstance:Qw.newInstance(mL,"vtkInteractorStyle"),extend:mL,...dL};const{States:vL}=dL,yL={motionFactor:10,zoomFactor:10};function bL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,yL,n),gL.extend(e,t,n),Qw.setGet(e,t,["motionFactor","zoomFactor"]),function(e,t){t.classHierarchy.push("vtkInteractorStyleTrackballCamera"),e.handleMouseMove=n=>{const r=n.position,i=n.pokedRenderer;switch(t.state){case vL.IS_ROTATE:e.handleMouseRotate(i,r),e.invokeInteractionEvent({type:"InteractionEvent"});break;case vL.IS_PAN:e.handleMousePan(i,r),e.invokeInteractionEvent({type:"InteractionEvent"});break;case vL.IS_DOLLY:e.handleMouseDolly(i,r),e.invokeInteractionEvent({type:"InteractionEvent"});break;case vL.IS_SPIN:e.handleMouseSpin(i,r),e.invokeInteractionEvent({type:"InteractionEvent"})}t.previousPosition=r},e.handleButton3D=n=>{!n||!n.pressed||n.device!==jR.RightController||n.input!==WR.Trigger&&n.input!==WR.TrackPad?!n||n.pressed||n.device!==jR.RightController||n.input!==WR.Trigger&&n.input!==WR.TrackPad||t.state!==vL.IS_CAMERA_POSE||e.endCameraPose():e.startCameraPose()},e.handleMove3D=n=>{t.state===vL.IS_CAMERA_POSE&&e.updateCameraPose(n)},e.updateCameraPose=e=>{const t=e.pokedRenderer.getActiveCamera(),n=t.getPhysicalTranslation(),r=.025*t.getPhysicalScale(),i=t.physicalOrientationToWorldDirection([e.orientation.x,e.orientation.y,e.orientation.z,e.orientation.w]);t.setPhysicalTranslation(n[0]+i[0]*r,n[1]+i[1]*r,n[2]+i[2]*r)},e.handleLeftButtonPress=n=>{const r=n.position;t.previousPosition=r,n.shiftKey?n.controlKey||n.altKey?e.startDolly():e.startPan():n.controlKey||n.altKey?e.startSpin():e.startRotate()},e.handleLeftButtonRelease=()=>{switch(t.state){case vL.IS_DOLLY:e.endDolly();break;case vL.IS_PAN:e.endPan();break;case vL.IS_SPIN:e.endSpin();break;case vL.IS_ROTATE:e.endRotate()}},e.handleStartMouseWheel=()=>{e.startDolly()},e.handleEndMouseWheel=()=>{e.endDolly()},e.handleStartPinch=n=>{t.previousScale=n.scale,e.startDolly()},e.handleEndPinch=()=>{e.endDolly()},e.handleStartRotate=n=>{t.previousRotation=n.rotation,e.startRotate()},e.handleEndRotate=()=>{e.endRotate()},e.handleStartPan=n=>{t.previousTranslation=n.translation,e.startPan()},e.handleEndPan=()=>{e.endPan()},e.handlePinch=n=>{e.dollyByFactor(n.pokedRenderer,n.scale/t.previousScale),t.previousScale=n.scale},e.handlePan=n=>{const r=n.pokedRenderer.getActiveCamera();let i=r.getFocalPoint();i=e.computeWorldToDisplay(n.pokedRenderer,i[0],i[1],i[2]);const a=i[2],o=n.translation,s=t.previousTranslation,l=e.computeDisplayToWorld(n.pokedRenderer,i[0]+o[0]-s[0],i[1]+o[1]-s[1],a),c=e.computeDisplayToWorld(n.pokedRenderer,i[0],i[1],a),u=[];u[0]=c[0]-l[0],u[1]=c[1]-l[1],u[2]=c[2]-l[2],i=r.getFocalPoint();const d=r.getPosition();r.setFocalPoint(u[0]+i[0],u[1]+i[1],u[2]+i[2]),r.setPosition(u[0]+d[0],u[1]+d[1],u[2]+d[2]),t._interactor.getLightFollowCamera()&&n.pokedRenderer.updateLightsGeometryToFollowCamera(),r.orthogonalizeViewUp(),t.previousTranslation=n.translation},e.handleRotate=e=>{const n=e.pokedRenderer.getActiveCamera();n.roll(e.rotation-t.previousRotation),n.orthogonalizeViewUp(),t.previousRotation=e.rotation},e.handleMouseRotate=(e,n)=>{if(!t.previousPosition)return;const r=t._interactor,i=n.x-t.previousPosition.x,a=n.y-t.previousPosition.y,o=r.getView().getViewportSize(e);let s=-.1,l=-.1;o[0]&&o[1]&&(s=-20/o[1],l=-20/o[0]);const c=i*l*t.motionFactor,u=a*s*t.motionFactor,d=e.getActiveCamera();Number.isNaN(c)||Number.isNaN(u)||(d.azimuth(c),d.elevation(u),d.orthogonalizeViewUp()),t.autoAdjustCameraClippingRange&&e.resetCameraClippingRange(),r.getLightFollowCamera()&&e.updateLightsGeometryToFollowCamera()},e.handleMouseSpin=(e,n)=>{if(!t.previousPosition)return;const r=t._interactor,i=e.getActiveCamera(),a=r.getView().getViewportCenter(e),o=mT(Math.atan2(t.previousPosition.y-a[1],t.previousPosition.x-a[0])),s=mT(Math.atan2(n.y-a[1],n.x-a[0]))-o;Number.isNaN(s)||(i.roll(s),i.orthogonalizeViewUp())},e.handleMousePan=(n,r)=>{if(!t.previousPosition)return;const i=n.getActiveCamera();let a=i.getFocalPoint();a=e.computeWorldToDisplay(n,a[0],a[1],a[2]);const o=a[2],s=e.computeDisplayToWorld(n,r.x,r.y,o),l=e.computeDisplayToWorld(n,t.previousPosition.x,t.previousPosition.y,o),c=[];c[0]=l[0]-s[0],c[1]=l[1]-s[1],c[2]=l[2]-s[2],a=i.getFocalPoint();const u=i.getPosition();i.setFocalPoint(c[0]+a[0],c[1]+a[1],c[2]+a[2]),i.setPosition(c[0]+u[0],c[1]+u[1],c[2]+u[2]),t._interactor.getLightFollowCamera()&&n.updateLightsGeometryToFollowCamera()},e.handleMouseDolly=(n,r)=>{if(!t.previousPosition)return;const i=r.y-t.previousPosition.y,a=t._interactor.getView().getViewportCenter(n),o=t.motionFactor*i/a[1];e.dollyByFactor(n,1.1**o)},e.handleMouseWheel=n=>{const r=1-n.spinY/t.zoomFactor;e.dollyByFactor(n.pokedRenderer,r)},e.dollyByFactor=(e,n)=>{if(Number.isNaN(n))return;const r=e.getActiveCamera();r.getParallelProjection()?r.setParallelScale(r.getParallelScale()/n):(r.dolly(n),t.autoAdjustCameraClippingRange&&e.resetCameraClippingRange()),t._interactor.getLightFollowCamera()&&e.updateLightsGeometryToFollowCamera()}}(e,t)}var _L={newInstance:Qw.newInstance(bL,"vtkInteractorStyleTrackballCamera"),extend:bL};function xL(e){return e}function wL(e){return null===e||"null"===e?null:"true"===e||"false"!==e&&(void 0!==e&&"undefined"!==e?"["===e[0]&&"]"===e[e.length-1]?e.substring(1,e.length-1).split(",").map((e=>wL(e.trim()))):""===e||Number.isNaN(Number(e))?e:Number(e):void 0)}var AL=function(){let e=!(arguments.length>0&&void 0!==arguments[0])||arguments[0],t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:window.location.search;const n={},r=e?wL:xL;return(t||"").replace(/#.*/,"").replace("?","").split("&").forEach((e=>{const[t,i]=e.split("=").map((e=>decodeURIComponent(e)));t&&(n[t]=!i||r(i))})),n};const SL={glFramebuffer:null,colorBuffers:null,depthTexture:null,previousDrawBinding:0,previousReadBinding:0,previousDrawBuffer:0,previousReadBuffer:0,previousActiveFramebuffer:null};function TL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,SL,n),Cw(e,t),t.colorBuffers&&uw("you cannot initialize colorBuffers through the constructor. You should call setColorBuffer() instead."),t.colorBuffers=[],Nw(e,t,["colorBuffers"]),function(e,t){t.classHierarchy.push("vtkFramebuffer"),e.getBothMode=()=>t.context.FRAMEBUFFER,e.saveCurrentBindingsAndBuffers=t=>{const n=void 0!==t?t:e.getBothMode();e.saveCurrentBindings(n),e.saveCurrentBuffers(n)},e.saveCurrentBindings=e=>{if(!t.context)return void uw("you must set the OpenGLRenderWindow before calling saveCurrentBindings");const n=t.context;t.previousDrawBinding=n.getParameter(t.context.FRAMEBUFFER_BINDING),t.previousActiveFramebuffer=t._openGLRenderWindow.getActiveFramebuffer()},e.saveCurrentBuffers=e=>{},e.restorePreviousBindingsAndBuffers=t=>{const n=void 0!==t?t:e.getBothMode();e.restorePreviousBindings(n),e.restorePreviousBuffers(n)},e.restorePreviousBindings=e=>{if(!t.context)return void uw("you must set the OpenGLRenderWindow before calling restorePreviousBindings");const n=t.context;n.bindFramebuffer(n.FRAMEBUFFER,t.previousDrawBinding),t._openGLRenderWindow.setActiveFramebuffer(t.previousActiveFramebuffer)},e.restorePreviousBuffers=e=>{},e.bind=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;null===n&&(n=t.context.FRAMEBUFFER),t.context.bindFramebuffer(n,t.glFramebuffer);for(let e=0;e<t.colorBuffers.length;e++)t.colorBuffers[e].bind();t._openGLRenderWindow.setActiveFramebuffer(e)},e.create=(e,n)=>{t.context?(t.glFramebuffer=t.context.createFramebuffer(),t.glFramebuffer.width=e,t.glFramebuffer.height=n):uw("you must set the OpenGLRenderWindow before calling create")},e.setColorBuffer=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;const r=t.context;if(!r)return void uw("you must set the OpenGLRenderWindow before calling setColorBuffer");let i=r.COLOR_ATTACHMENT0;if(n>0){if(!t._openGLRenderWindow.getWebgl2())return void uw("Using multiple framebuffer attachments requires WebGL 2");i+=n}t.colorBuffers[n]=e,r.framebufferTexture2D(r.FRAMEBUFFER,i,r.TEXTURE_2D,e.getHandle(),0)},e.removeColorBuffer=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;const n=t.context;if(!n)return void uw("you must set the OpenGLRenderWindow before calling removeColorBuffer");let r=n.COLOR_ATTACHMENT0;if(e>0){if(!t._openGLRenderWindow.getWebgl2())return void uw("Using multiple framebuffer attachments requires WebGL 2");r+=e}n.framebufferTexture2D(n.FRAMEBUFFER,r,n.TEXTURE_2D,null,0),t.colorBuffers=t.colorBuffers.splice(e,1)},e.setDepthBuffer=e=>{if(t.context)if(t._openGLRenderWindow.getWebgl2()){const n=t.context;n.framebufferTexture2D(n.FRAMEBUFFER,n.DEPTH_ATTACHMENT,n.TEXTURE_2D,e.getHandle(),0)}else uw("Attaching depth buffer textures to fbo requires WebGL 2");else uw("you must set the OpenGLRenderWindow before calling setDepthBuffer")},e.removeDepthBuffer=()=>{if(t.context)if(t._openGLRenderWindow.getWebgl2()){const e=t.context;e.framebufferTexture2D(e.FRAMEBUFFER,e.DEPTH_ATTACHMENT,e.TEXTURE_2D,null,0)}else uw("Attaching depth buffer textures to framebuffers requires WebGL 2");else uw("you must set the OpenGLRenderWindow before calling removeDepthBuffer")},e.getGLFramebuffer=()=>t.glFramebuffer,e.setOpenGLRenderWindow=n=>{t._openGLRenderWindow!==n&&(e.releaseGraphicsResources(),t._openGLRenderWindow=n,t.context=null,n&&(t.context=t._openGLRenderWindow.getContext()))},e.releaseGraphicsResources=()=>{t.glFramebuffer&&t.context.deleteFramebuffer(t.glFramebuffer)},e.getSize=()=>null==t.glFramebuffer?null:[t.glFramebuffer.width,t.glFramebuffer.height],e.populateFramebuffer=()=>{if(!t.context)return void uw("you must set the OpenGLRenderWindow before calling populateFrameBuffer");e.bind();const n=t.context,r=oI.newInstance();r.setOpenGLRenderWindow(t._openGLRenderWindow),r.setMinificationFilter(HP.LINEAR),r.setMagnificationFilter(HP.LINEAR),r.create2DFromRaw(t.glFramebuffer.width,t.glFramebuffer.height,4,xE.UNSIGNED_CHAR,null),e.setColorBuffer(r),t.depthTexture=n.createRenderbuffer(),n.bindRenderbuffer(n.RENDERBUFFER,t.depthTexture),n.renderbufferStorage(n.RENDERBUFFER,n.DEPTH_COMPONENT16,t.glFramebuffer.width,t.glFramebuffer.height),n.framebufferRenderbuffer(n.FRAMEBUFFER,n.DEPTH_ATTACHMENT,n.RENDERBUFFER,t.depthTexture)},e.getColorTexture=()=>t.colorBuffers[0]}(e,t)}var CL={newInstance:Vw(TL,"vtkFramebuffer"),extend:TL};const EL={delegates:[],currentOperation:null,preDelegateOperations:[],postDelegateOperations:[],currentParent:null};function ML(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,EL,n),Qw.obj(e,t),Qw.get(e,t,["currentOperation"]),Qw.setGet(e,t,["delegates","_currentParent","preDelegateOperations","postDelegateOperations"]),Qw.moveToProtected(e,t,["currentParent"]),function(e,t){t.classHierarchy.push("vtkRenderPass"),e.getOperation=()=>t.currentOperation,e.setCurrentOperation=e=>{t.currentOperation=e,t.currentTraverseOperation=`traverse${Qw.capitalize(t.currentOperation)}`},e.getTraverseOperation=()=>t.currentTraverseOperation,e.traverse=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;t.deleted||(t._currentParent=r,t.preDelegateOperations.forEach((t=>{e.setCurrentOperation(t),n.traverse(e)})),t.delegates.forEach((t=>{t.traverse(n,e)})),t.postDelegateOperations.forEach((t=>{e.setCurrentOperation(t),n.traverse(e)})))}}(e,t)}var DL={newInstance:Qw.newInstance(ML,"vtkRenderPass"),extend:ML};const{Representation:PL}=mE,{vtkErrorMacro:IL}=Qw;function OL(e){const t=FP.substitute(e.Fragment,"//VTK::RenderPassFragmentShader::Impl","\n      float weight = gl_FragData[0].a * pow(max(1.1 - gl_FragCoord.z, 0.0), 2.0);\n      gl_FragData[0] = vec4(gl_FragData[0].rgb*weight, gl_FragData[0].a);\n      gl_FragData[1].r = weight;\n    ",!1);e.Fragment=t.result}const NL={framebuffer:null,copyShader:null,tris:null};function kL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,NL,n),DL.extend(e,t,n),t.VBOBuildTime={},Qw.obj(t.VBOBuildTime,{mtime:0}),t.tris=WP.newInstance(),Qw.get(e,t,["framebuffer"]),function(e,t){t.classHierarchy.push("vtkOpenGLOrderIndependentTranslucentPass"),e.createVertexBuffer=()=>{const e=new Float32Array([-1,-1,-1,1,-1,-1,-1,1,-1,1,1,-1]),n=new Float32Array([0,0,1,0,0,1,1,1]),r=new Uint16Array([4,0,1,3,2]),i=NE.newInstance({numberOfComponents:3,values:e});i.setName("points");const a=NE.newInstance({numberOfComponents:2,values:n});a.setName("tcoords");const o=NE.newInstance({numberOfComponents:1,values:r});t.tris.getCABO().createVBO(o,"polys",PL.SURFACE,{points:i,tcoords:a,cellOffset:0}),t.VBOBuildTime.modified()},e.createFramebuffer=e=>{const n=e.getSize(),r=e.getContext();t.framebuffer=CL.newInstance(),t.framebuffer.setOpenGLRenderWindow(e),t.framebuffer.create(...n),t.framebuffer.saveCurrentBindingsAndBuffers(),t.framebuffer.bind(),t.translucentRGBATexture=oI.newInstance(),t.translucentRGBATexture.setInternalFormat(r.RGBA16F),t.translucentRGBATexture.setFormat(r.RGBA),t.translucentRGBATexture.setOpenGLDataType(r.HALF_FLOAT),t.translucentRGBATexture.setOpenGLRenderWindow(e),t.translucentRGBATexture.create2DFromRaw(n[0],n[1],4,"Float32Array",null),t.translucentRTexture=oI.newInstance(),t.translucentRTexture.setInternalFormat(r.R16F),t.translucentRTexture.setFormat(r.RED),t.translucentRTexture.setOpenGLDataType(r.HALF_FLOAT),t.translucentRTexture.setOpenGLRenderWindow(e),t.translucentRTexture.create2DFromRaw(n[0],n[1],1,"Float32Array",null),t.translucentZTexture=oI.newInstance(),t.translucentZTexture.setOpenGLRenderWindow(e),t.translucentZTexture.createDepthFromRaw(n[0],n[1],"Float32Array",null),t.framebuffer.setColorBuffer(t.translucentRGBATexture,0),t.framebuffer.setColorBuffer(t.translucentRTexture,1),t.framebuffer.setDepthBuffer(t.translucentZTexture)},e.createCopyShader=e=>{t.copyShader=e.getShaderCache().readyShaderProgramArray(["//VTK::System::Dec","attribute vec4 vertexDC;","attribute vec2 tcoordTC;","varying vec2 tcoord;","void main() { tcoord = tcoordTC; gl_Position = vertexDC; }"].join("\n"),"//VTK::System::Dec\n\nin vec2 tcoord;\n\nuniform sampler2D translucentRTexture;\nuniform sampler2D translucentRGBATexture;\n\n// the output of this shader\n//VTK::Output::Dec\n\nvoid main()\n{\n  vec4 t1Color = texture(translucentRGBATexture, tcoord);\n  float t2Color = texture(translucentRTexture, tcoord).r;\n  gl_FragData[0] = vec4(t1Color.rgb/max(t2Color,0.01), 1.0 - t1Color.a);\n}\n","")},e.createVBO=n=>{const r=n.getContext();t.tris.setOpenGLRenderWindow(n),e.createVertexBuffer();const i=t.copyShader;t.tris.getCABO().bind(),t.copyVAO.addAttributeArray(i,t.tris.getCABO(),"vertexDC",t.tris.getCABO().getVertexOffset(),t.tris.getCABO().getStride(),r.FLOAT,3,r.FALSE)||IL("Error setting vertexDC in copy shader VAO."),t.copyVAO.addAttributeArray(i,t.tris.getCABO(),"tcoordTC",t.tris.getCABO().getTCoordOffset(),t.tris.getCABO().getStride(),r.FLOAT,2,r.FALSE)||IL("Error setting vertexDC in copy shader VAO.")},e.traverse=(n,r,i)=>{if(t.deleted)return;const a=n.getSize(),o=n.getContext();if(t._supported=!1,r.getSelector()||!o||!n.getWebgl2()||!o.getExtension("EXT_color_buffer_half_float")&&!o.getExtension("EXT_color_buffer_float"))return e.setCurrentOperation("translucentPass"),void r.traverse(e);if(t._supported=!0,null===t.framebuffer)e.createFramebuffer(n);else{const r=t.framebuffer.getSize();null===r||r[0]!==a[0]||r[1]!==a[1]?(t.framebuffer.releaseGraphicsResources(),t.translucentRGBATexture.releaseGraphicsResources(n),t.translucentRTexture.releaseGraphicsResources(n),t.translucentZTexture.releaseGraphicsResources(n),e.createFramebuffer(n)):(t.framebuffer.saveCurrentBindingsAndBuffers(),t.framebuffer.bind())}o.drawBuffers([o.COLOR_ATTACHMENT0]),o.clearBufferfv(o.COLOR,0,[0,0,0,0]),o.clearBufferfv(o.DEPTH,0,[1]),o.colorMask(!1,!1,!1,!1),i.getOpaqueActorCount()>0&&(i.setCurrentOperation("opaqueZBufferPass"),r.traverse(i)),o.colorMask(!0,!0,!0,!0),o.drawBuffers([o.COLOR_ATTACHMENT0,o.COLOR_ATTACHMENT1]),o.viewport(0,0,a[0],a[1]),o.scissor(0,0,a[0],a[1]),o.clearBufferfv(o.COLOR,0,[0,0,0,1]),o.clearBufferfv(o.COLOR,1,[0,0,0,0]),o.enable(o.DEPTH_TEST),o.enable(o.BLEND),o.blendFuncSeparate(o.ONE,o.ONE,o.ZERO,o.ONE_MINUS_SRC_ALPHA),e.setCurrentOperation("translucentPass"),r.traverse(e),o.drawBuffers([o.NONE]),t.framebuffer.restorePreviousBindingsAndBuffers(),null===t.copyShader?e.createCopyShader(n):n.getShaderCache().readyShaderProgram(t.copyShader),t.copyVAO||(t.copyVAO=VP.newInstance(),t.copyVAO.setOpenGLRenderWindow(n)),t.copyVAO.bind(),t.VBOBuildTime.getMTime()<e.getMTime()&&e.createVBO(n),o.blendFuncSeparate(o.SRC_ALPHA,o.ONE_MINUS_SRC_ALPHA,o.ONE,o.ONE_MINUS_SRC_ALPHA),o.depthMask(!1),o.depthFunc(o.ALWAYS),o.viewport(0,0,a[0],a[1]),o.scissor(0,0,a[0],a[1]),t.translucentRGBATexture.activate(),t.copyShader.setUniformi("translucentRGBATexture",t.translucentRGBATexture.getTextureUnit()),t.translucentRTexture.activate(),t.copyShader.setUniformi("translucentRTexture",t.translucentRTexture.getTextureUnit()),o.drawArrays(o.TRIANGLES,0,t.tris.getCABO().getElementCount()),o.depthMask(!0),o.depthFunc(o.LEQUAL),t.translucentRGBATexture.deactivate(),t.translucentRTexture.deactivate();const s=r.getTiledSizeAndOrigin();o.scissor(s.lowerLeftU,s.lowerLeftV,s.usize,s.vsize),o.viewport(s.lowerLeftU,s.lowerLeftV,s.usize,s.vsize)},e.getShaderReplacement=()=>t._supported?OL:null,e.releaseGraphicsResources=n=>{t.framebuffer&&(t.framebuffer.releaseGraphicsResources(n),t.framebuffer=null),t.translucentRGBATexture&&(t.translucentRGBATexture.releaseGraphicsResources(n),t.translucentRGBATexture=null),t.translucentRTexture&&(t.translucentRTexture.releaseGraphicsResources(n),t.translucentRTexture=null),t.translucentZTexture&&(t.translucentZTexture.releaseGraphicsResources(n),t.translucentZTexture=null),t.copyVAO&&(t.copyVAO.releaseGraphicsResources(n),t.copyVAO=null),t.copyShader&&(t.copyShader.releaseGraphicsResources(n),t.copyShader=null),t.tris&&(t.tris.releaseGraphicsResources(n),t.tris=null),e.modified()}}(e,t)}var RL={newInstance:Qw.newInstance(kL,"vtkOpenGLOrderIndependentTranslucentPass"),extend:kL};const LL={opaqueActorCount:0,translucentActorCount:0,volumeCount:0,overlayActorCount:0,framebuffer:null,depthRequested:!1};function FL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,LL,n),DL.extend(e,t,n),Qw.get(e,t,["framebuffer","opaqueActorCount","translucentActorCount","volumeCount"]),function(e,t){t.classHierarchy.push("vtkForwardPass"),e.traverse=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(t.deleted)return;t._currentParent=r,e.setCurrentOperation("buildPass"),n.traverse(e);const i=n.getRenderable().getNumberOfLayers(),a=n.getRenderable().getRenderersByReference();for(let r=0;r<i;r++)for(let i=0;i<a.length;i++){const o=a[i],s=n.getViewNodeFor(o);if(o.getDraw()&&o.getLayer()===r){if(t.opaqueActorCount=0,t.translucentActorCount=0,t.volumeCount=0,t.overlayActorCount=0,e.setCurrentOperation("queryPass"),s.traverse(e),(t.opaqueActorCount>0||t.translucentActorCount>0)&&t.volumeCount>0||t.depthRequested){const r=n.getFramebufferSize();null===t.framebuffer&&(t.framebuffer=CL.newInstance()),t.framebuffer.setOpenGLRenderWindow(n),t.framebuffer.saveCurrentBindingsAndBuffers();const i=t.framebuffer.getSize();null!==i&&i[0]===r[0]&&i[1]===r[1]||(t.framebuffer.create(r[0],r[1]),t.framebuffer.populateFramebuffer()),t.framebuffer.bind(),e.setCurrentOperation("zBufferPass"),s.traverse(e),t.framebuffer.restorePreviousBindingsAndBuffers(),t.depthRequested=!1}e.setCurrentOperation("cameraPass"),s.traverse(e),t.opaqueActorCount>0&&(e.setCurrentOperation("opaquePass"),s.traverse(e)),t.translucentActorCount>0&&(t.translucentPass||(t.translucentPass=RL.newInstance()),t.translucentPass.traverse(n,s,e)),t.volumeCount>0&&(e.setCurrentOperation("volumePass"),s.traverse(e)),t.overlayActorCount>0&&(e.setCurrentOperation("overlayPass"),s.traverse(e))}}},e.getZBufferTexture=()=>t.framebuffer?t.framebuffer.getColorTexture():null,e.requestDepth=()=>{t.depthRequested=!0},e.incrementOpaqueActorCount=()=>t.opaqueActorCount++,e.incrementTranslucentActorCount=()=>t.translucentActorCount++,e.incrementVolumeCount=()=>t.volumeCount++,e.incrementOverlayActorCount=()=>t.overlayActorCount++}(e,t)}var BL={newInstance:Qw.newInstance(FL,"vtkForwardPass"),extend:FL};const{FieldAssociations:UL}=ZE,VL={fieldAssociation:UL.FIELD_ASSOCIATION_CELLS,captureZValues:!1};function GL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,VL,n),Qw.obj(e,t),Qw.setGet(e,t,["fieldAssociation","captureZValues"]),function(e,t){t.classHierarchy.push("vtkHardwareSelector"),e.getSourceDataAsync=async(e,t,n,r,i)=>{},e.selectAsync=async(t,n,r,i,a)=>{const o=await e.getSourceDataAsync(t,n,r,i,a);return o?o.generateSelection(n,r,i,a):[]}}(e,t)}var zL={newInstance:Qw.newInstance(GL,"vtkHardwareSelector"),extend:GL};const jL={contentType:-1,fieldType:-1,properties:null,selectionList:[]};function WL(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,jL,n),Qw.obj(e,t),t.properties={},Qw.setGet(e,t,["contentType","fieldType","properties","selectionList"]),function(e,t){t.classHierarchy.push("vtkSelectionNode"),e.getBounds=()=>t.points.getBounds()}(e,t)}var HL={newInstance:Qw.newInstance(WL,"vtkSelectionNode"),extend:WL,SelectionContent:{GLOBALIDS:0,PEDIGREEIDS:1,VALUES:2,INDICES:3,FRUSTUM:4,LOCATIONS:5,THRESHOLDS:6,BLOCKS:7,QUERY:8},SelectionField:{CELL:0,POINT:1,FIELD:2,VERTEX:3,EDGE:4,ROW:5}};const{PassTypes:$L}=LM,{SelectionContent:XL,SelectionField:qL}=HL,{FieldAssociations:KL}=ZE,{vtkErrorMacro:YL}=Qw,JL=1;function ZL(e){return`${e.propID} ${e.compositeID}`}function QL(e,t,n,r){return n?n[4*(t*(r[2]-r[0]+1)+e)+3]:0}function eF(e,t,n,r){if(!n)return 0;const i=4*(t*(r[2]-r[0]+1)+e),a=n[i],o=n[i+1];return 256*(256*n[i+2]+o)+a}function tF(e,t){let n=t;return n<<=24,n|=e,n}function nF(e,t,n,r){const i=n<0?0:n;if(0===i){if(r[0]=t[0],r[1]=t[1],t[0]<e.area[0]||t[0]>e.area[2]||t[1]<e.area[1]||t[1]>e.area[3])return null;const n=[t[0]-e.area[0],t[1]-e.area[1]],i=eF(n[0],n[1],e.pixBuffer[$L.ACTOR_PASS],e.area);if(i<=0||i-JL>=e.props.length)return null;const a={valid:!0};a.propID=i-JL,a.prop=e.props[a.propID];let o=eF(n[0],n[1],e.pixBuffer[$L.COMPOSITE_INDEX_PASS],e.area);if((o<0||o>16777215)&&(o=0),a.compositeID=o-JL,e.captureZValues){const r=4*(n[1]*(e.area[2]-e.area[0]+1)+n[0]);a.zValue=(256*e.zBuffer[r]+e.zBuffer[r+1])/65535,a.displayPosition=t}if(e.pixBuffer[$L.ID_LOW24]&&0===QL(n[0],n[1],e.pixBuffer[$L.ID_LOW24],e.area))return a;const s=eF(n[0],n[1],e.pixBuffer[$L.ID_LOW24],e.area),l=eF(n[0],n[1],e.pixBuffer[$L.ID_HIGH24],e.area);return a.attributeID=tF(s,l),a}const a=[t[0],t[1]],o=[0,0];let s=nF(e,t,0,r);if(s&&s.valid)return s;for(let t=1;t<i;++t){for(let n=a[1]>t?a[1]-t:0;n<=a[1]+t;++n){if(o[1]=n,a[0]>=t&&(o[0]=a[0]-t,s=nF(e,o,0,r),s&&s.valid))return s;if(o[0]=a[0]+t,s=nF(e,o,0,r),s&&s.valid)return s}for(let n=a[0]>=t?a[0]-(t-1):0;n<=a[0]+(t-1);++n){if(o[0]=n,a[1]>=t&&(o[1]=a[1]-t,s=nF(e,o,0,r),s&&s.valid))return s;if(o[1]=a[1]+t,s=nF(e,o,0,r),s&&s.valid)return s}}return r[0]=t[0],r[1]=t[1],null}function rF(e,t,n,r,i){const a=[];let o=0;return t.forEach(((t,s)=>{const l=HL.newInstance();switch(l.setContentType(XL.INDICES),e){case KL.FIELD_ASSOCIATION_CELLS:l.setFieldType(qL.CELL);break;case KL.FIELD_ASSOCIATION_POINTS:l.setFieldType(qL.POINT);break;default:YL("Unknown field association")}l.getProperties().propID=t.info.propID,l.getProperties().prop=t.info.prop,l.getProperties().compositeID=t.info.compositeID,l.getProperties().attributeID=t.info.attributeID,l.getProperties().pixelCount=t.pixelCount,n&&(l.getProperties().displayPosition=[t.info.displayPosition[0],t.info.displayPosition[1],t.info.zValue],l.getProperties().worldPosition=i.displayToWorld(t.info.displayPosition[0],t.info.displayPosition[1],t.info.zValue,r)),l.setSelectionList(t.attributeIDs),a[o]=l,o++})),a}const iF={area:void 0,currentPass:-1,propColorValue:null,props:null,maximumPointId:0,maximumCellId:0,idOffset:1};function aF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,iF,n),zL.extend(e,t,n),t.propColorValue=[0,0,0],t.props=[],t.area||(t.area=[0,0,0,0]),Qw.setGetArray(e,t,["area"],4),Qw.setGet(e,t,["_renderer","currentPass","_openGLRenderWindow","maximumPointId","maximumCellId"]),Qw.setGetArray(e,t,["propColorValue"],3),Qw.moveToProtected(e,t,["renderer","openGLRenderWindow"]),Qw.event(e,t,"event"),function(e,t){t.classHierarchy.push("vtkOpenGLHardwareSelector"),e.releasePixBuffers=()=>{t.rawPixBuffer=[],t.pixBuffer=[],t.zBuffer=null},e.beginSelection=()=>{t._openGLRenderer=t._openGLRenderWindow.getViewNodeFor(t._renderer),t.maxAttributeId=0;const n=t._openGLRenderWindow.getSize();if(t.framebuffer){t.framebuffer.setOpenGLRenderWindow(t._openGLRenderWindow),t.framebuffer.saveCurrentBindingsAndBuffers();const e=t.framebuffer.getSize();e&&e[0]===n[0]&&e[1]===n[1]?t.framebuffer.bind():(t.framebuffer.create(n[0],n[1]),t.framebuffer.populateFramebuffer())}else t.framebuffer=CL.newInstance(),t.framebuffer.setOpenGLRenderWindow(t._openGLRenderWindow),t.framebuffer.saveCurrentBindingsAndBuffers(),t.framebuffer.create(n[0],n[1]),t.framebuffer.populateFramebuffer();if(t._openGLRenderer.clear(),t._openGLRenderer.setSelector(e),t.hitProps={},t.propPixels={},t.props=[],e.releasePixBuffers(),t.fieldAssociation===KL.FIELD_ASSOCIATION_POINTS){const e=t._openGLRenderWindow.getContext(),n=e.isEnabled(e.BLEND);e.disable(e.BLEND),t._openGLRenderWindow.traverseAllPasses(),n&&e.enable(e.BLEND)}},e.endSelection=()=>{t.hitProps={},t._openGLRenderer.setSelector(null),t.framebuffer.restorePreviousBindingsAndBuffers()},e.preCapturePass=()=>{const e=t._openGLRenderWindow.getContext();t.originalBlending=e.isEnabled(e.BLEND),e.disable(e.BLEND)},e.postCapturePass=()=>{const e=t._openGLRenderWindow.getContext();t.originalBlending&&e.enable(e.BLEND)},e.select=()=>{let n=null;return e.captureBuffers()&&(n=e.generateSelection(t.area[0],t.area[1],t.area[2],t.area[3]),e.releasePixBuffers()),n},e.getSourceDataAsync=async(n,r,i,a,o)=>{if(t._renderer=n,void 0===r){const n=t._openGLRenderWindow.getSize();e.setArea(0,0,n[0]-1,n[1]-1)}else e.setArea(r,i,a,o);if(!e.captureBuffers())return!1;const s={area:[...t.area],pixBuffer:[...t.pixBuffer],captureZValues:t.captureZValues,zBuffer:t.zBuffer,props:[...t.props],fieldAssociation:t.fieldAssociation,renderer:n,openGLRenderWindow:t._openGLRenderWindow,generateSelection:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return function(e,t,n,r,i){const a=Math.floor(t),o=Math.floor(n),s=Math.floor(r),l=Math.floor(i),c=new Map,u=[0,0];for(let t=o;t<=l;t++)for(let n=a;n<=s;n++){const r=nF(e,[n,t],0,u);if(r&&r.valid){const t=ZL(r);if(c.has(t)){const n=c.get(t);n.pixelCount++,e.captureZValues&&r.zValue<n.info.zValue&&(n.info=r),-1===n.attributeIDs.indexOf(r.attributeID)&&n.attributeIDs.push(r.attributeID)}else c.set(t,{info:r,pixelCount:1,attributeIDs:[r.attributeID]})}}return rF(e.fieldAssociation,c,e.captureZValues,e.renderer,e.openGLRenderWindow)}(s,...t)}};return s},e.captureBuffers=()=>{if(!t._renderer||!t._openGLRenderWindow)return YL("Renderer and view must be set before calling Select."),!1;t._openGLRenderer=t._openGLRenderWindow.getViewNodeFor(t._renderer),t._openGLRenderWindow.getRenderable().preRender(),e.invokeEvent({type:"StartEvent"}),t.originalBackground=t._renderer.getBackgroundByReference(),t._renderer.setBackground(0,0,0,0);const n=t._openGLRenderWindow.getRenderPasses();for(e.beginSelection(),t.currentPass=$L.MIN_KNOWN_PASS;t.currentPass<=$L.MAX_KNOWN_PASS;t.currentPass++)e.passRequired(t.currentPass)&&(e.preCapturePass(t.currentPass),t.captureZValues&&t.currentPass===$L.ACTOR_PASS&&"function"==typeof n[0].requestDepth&&"function"==typeof n[0].getFramebuffer?(n[0].requestDepth(),t._openGLRenderWindow.traverseAllPasses()):t._openGLRenderWindow.traverseAllPasses(),e.postCapturePass(t.currentPass),e.savePixelBuffer(t.currentPass),e.processPixelBuffers());return e.endSelection(),t._renderer.setBackground(t.originalBackground),e.invokeEvent({type:"EndEvent"}),!0},e.processPixelBuffers=()=>{t.props.forEach(((n,r)=>{e.isPropHit(r)&&n.processSelectorPixelBuffers(e,t.propPixels[r])}))},e.passRequired=e=>{if(e===$L.ID_HIGH24){if(t.fieldAssociation===KL.FIELD_ASSOCIATION_POINTS)return t.maximumPointId>16777215;if(t.fieldAssociation===KL.FIELD_ASSOCIATION_CELLS)return t.maximumCellId>16777215}return!0},e.savePixelBuffer=n=>{if(t.pixBuffer[n]=t._openGLRenderWindow.getPixelData(t.area[0],t.area[1],t.area[2],t.area[3]),!t.rawPixBuffer[n]){const e=(t.area[2]-t.area[0]+1)*(t.area[3]-t.area[1]+1)*4;t.rawPixBuffer[n]=new Uint8Array(e),t.rawPixBuffer[n].set(t.pixBuffer[n])}if(n===$L.ACTOR_PASS){if(t.captureZValues){const e=t._openGLRenderWindow.getRenderPasses();if("function"==typeof e[0].requestDepth&&"function"==typeof e[0].getFramebuffer){const n=e[0].getFramebuffer();n.saveCurrentBindingsAndBuffers(),n.bind(),t.zBuffer=t._openGLRenderWindow.getPixelData(t.area[0],t.area[1],t.area[2],t.area[3]),n.restorePreviousBindingsAndBuffers()}}e.buildPropHitList(t.rawPixBuffer[n])}},e.buildPropHitList=e=>{let n=0;for(let r=0;r<=t.area[3]-t.area[1];r++)for(let i=0;i<=t.area[2]-t.area[0];i++){let a=eF(i,r,e,t.area);a>0&&(a--,a in t.hitProps||(t.hitProps[a]=!0,t.propPixels[a]=[]),t.propPixels[a].push(4*n)),++n}},e.renderProp=n=>{t.currentPass===$L.ACTOR_PASS&&(e.setPropColorValueFromInt(t.props.length+JL),t.props.push(n))},e.renderCompositeIndex=n=>{t.currentPass===$L.COMPOSITE_INDEX_PASS&&e.setPropColorValueFromInt(n+JL)},e.renderAttributeId=e=>{e<0||(t.maxAttributeId=e>t.maxAttributeId?e:t.maxAttributeId)},e.passTypeToString=e=>Qw.enumToString($L,e),e.isPropHit=e=>Boolean(t.hitProps[e]),e.setPropColorValueFromInt=e=>{t.propColorValue[0]=e%256/255,t.propColorValue[1]=Math.floor(e/256)%256/255,t.propColorValue[2]=Math.floor(e/65536)%256/255},e.getPixelInformation=(n,r,i)=>{const a=r<0?0:r;if(0===a){if(i[0]=n[0],i[1]=n[1],n[0]<t.area[0]||n[0]>t.area[2]||n[1]<t.area[1]||n[1]>t.area[3])return null;const e=[n[0]-t.area[0],n[1]-t.area[1]],r=eF(e[0],e[1],t.pixBuffer[$L.ACTOR_PASS],t.area);if(r<=0||r-JL>=t.props.length)return null;const a={valid:!0};a.propID=r-JL,a.prop=t.props[a.propID];let o=eF(e[0],e[1],t.pixBuffer[$L.COMPOSITE_INDEX_PASS],t.area);if((o<0||o>16777215)&&(o=0),a.compositeID=o-JL,t.captureZValues){const r=4*(e[1]*(t.area[2]-t.area[0]+1)+e[0]);a.zValue=(256*t.zBuffer[r]+t.zBuffer[r+1])/65535,a.displayPosition=n}if(t.pixBuffer[$L.ID_LOW24]&&0===QL(e[0],e[1],t.pixBuffer[$L.ID_LOW24],t.area))return a;const s=eF(e[0],e[1],t.pixBuffer[$L.ID_LOW24],t.area),l=eF(e[0],e[1],t.pixBuffer[$L.ID_HIGH24],t.area);return a.attributeID=tF(s,l),a}const o=[n[0],n[1]],s=[0,0];let l=e.getPixelInformation(n,0,i);if(l&&l.valid)return l;for(let t=1;t<a;++t){for(let n=o[1]>t?o[1]-t:0;n<=o[1]+t;++n){if(s[1]=n,o[0]>=t&&(s[0]=o[0]-t,l=e.getPixelInformation(s,0,i),l&&l.valid))return l;if(s[0]=o[0]+t,l=e.getPixelInformation(s,0,i),l&&l.valid)return l}for(let n=o[0]>=t?o[0]-(t-1):0;n<=o[0]+(t-1);++n){if(s[0]=n,o[1]>=t&&(s[1]=o[1]-t,l=e.getPixelInformation(s,0,i),l&&l.valid))return l;if(s[1]=o[1]+t,l=e.getPixelInformation(s,0,i),l&&l.valid)return l}}return i[0]=n[0],i[1]=n[1],null},e.generateSelection=(n,r,i,a)=>{const o=Math.floor(n),s=Math.floor(r),l=Math.floor(i),c=Math.floor(a),u=new Map,d=[0,0];for(let n=s;n<=c;n++)for(let r=o;r<=l;r++){const i=[r,n],a=e.getPixelInformation(i,0,d);if(a&&a.valid){const e=ZL(a);if(u.has(e)){const n=u.get(e);n.pixelCount++,t.captureZValues&&a.zValue<n.info.zValue&&(n.info=a),-1===n.attributeIDs.indexOf(a.attributeID)&&n.attributeIDs.push(a.attributeID)}else u.set(e,{info:a,pixelCount:1,attributeIDs:[a.attributeID]})}}return rF(t.fieldAssociation,u,t.captureZValues,t._renderer,t._openGLRenderWindow)},e.getRawPixelBuffer=e=>t.rawPixBuffer[e],e.getPixelBuffer=e=>t.pixBuffer[e],e.attach=(e,n)=>{t._openGLRenderWindow=e,t._renderer=n};const n=e.setArea;e.setArea=function(){return!!n(...arguments)&&(t.area[0]=Math.floor(t.area[0]),t.area[1]=Math.floor(t.area[1]),t.area[2]=Math.floor(t.area[2]),t.area[3]=Math.floor(t.area[3]),!0)}}(e,t)}var oF={newInstance:Qw.newInstance(aF,"vtkOpenGLHardwareSelector"),extend:aF,...LM},sF=n(5735),lF=n.n(sF);const cF=["lastShaderProgramBound","context","_openGLRenderWindow"],uF={lastShaderProgramBound:null,shaderPrograms:null,context:null};function dF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,uF,n),t.shaderPrograms={},Qw.obj(e,t),Qw.setGet(e,t,cF),Qw.moveToProtected(e,t,["openGLRenderWindow"]),function(e,t){t.classHierarchy.push("vtkShaderCache"),e.replaceShaderValues=(e,n,r)=>{let i=n;r.length>0&&(i=FP.substitute(i,"VSOut","GSOut").result);const a=t._openGLRenderWindow.getWebgl2();let o="\n",s="#version 100\n";a?s="#version 300 es\n#define attribute in\n#define textureCube texture\n#define texture2D texture\n#define textureCubeLod textureLod\n#define texture2DLod textureLod\n":(t.context.getExtension("OES_standard_derivatives"),t.context.getExtension("EXT_frag_depth")&&(o="#extension GL_EXT_frag_depth : enable\n"),t.context.getExtension("EXT_shader_texture_lod")&&(o+="#extension GL_EXT_shader_texture_lod : enable\n#define textureCubeLod textureCubeLodEXT\n#define texture2DLod texture2DLodEXT")),i=FP.substitute(i,"//VTK::System::Dec",[`${s}\n`,a?"":"#extension GL_OES_standard_derivatives : enable\n",o,"#ifdef GL_FRAGMENT_PRECISION_HIGH","precision highp float;","precision highp int;","#else","precision mediump float;","precision mediump int;","#endif"]).result;let l=FP.substitute(e,"//VTK::System::Dec",[`${s}\n`,"#ifdef GL_FRAGMENT_PRECISION_HIGH","precision highp float;","precision highp int;","#else","precision mediump float;","precision mediump int;","#endif"]).result;if(a){l=FP.substitute(l,"varying","out").result,i=FP.substitute(i,"varying","in").result;let e="",t=0;for(;i.includes(`gl_FragData[${t}]`);)i=FP.substitute(i,`gl_FragData\\[${t}\\]`,`fragOutput${t}`).result,e+=`layout(location = ${t}) out vec4 fragOutput${t};\n`,t++;i=FP.substitute(i,"//VTK::Output::Dec",e).result}return{VSSource:l,FSSource:i,GSSource:FP.substitute(r,"//VTK::System::Dec",s).result}},e.readyShaderProgramArray=(t,n,r)=>{const i=e.replaceShaderValues(t,n,r),a=e.getShaderProgram(i.VSSource,i.FSSource,i.GSSource);return e.readyShaderProgram(a)},e.readyShaderProgram=t=>t&&(t.getCompiled()||t.compileShader())&&e.bindShaderProgram(t)?t:null,e.getShaderProgram=(e,n,r)=>{const i=`${e}${n}${r}`,a=lF().hash(i);if(!(a in t.shaderPrograms)){const i=FP.newInstance();return i.setContext(t.context),i.getVertexShader().setSource(e),i.getFragmentShader().setSource(n),r&&i.getGeometryShader().setSource(r),i.setMd5Hash(a),t.shaderPrograms[a]=i,i}return t.shaderPrograms[a]},e.releaseGraphicsResources=n=>{e.releaseCurrentShaderProgram(),Object.keys(t.shaderPrograms).map((e=>t.shaderPrograms[e])).forEach((e=>e.cleanup())),t.shaderPrograms={}},e.releaseCurrentShaderProgram=()=>{t.lastShaderProgramBound&&(t.lastShaderProgramBound.cleanup(),t.lastShaderProgramBound=null)},e.bindShaderProgram=e=>(t.lastShaderProgramBound===e||(t.lastShaderProgramBound&&t.lastShaderProgramBound.release(),e.bind(),t.lastShaderProgramBound=e),1)}(e,t)}var fF={newInstance:Qw.newInstance(dF,"vtkShaderCache"),extend:dF};const{vtkErrorMacro:pF}=Qw,hF={context:null,numberOfTextureUnits:0,textureUnits:0};function mF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,hF,n),Qw.obj(e,t),t.textureUnits=[],Qw.get(e,t,["numberOfTextureUnits"]),Qw.setGet(e,t,["context"]),function(e,t){t.classHierarchy.push("vtkOpenGLTextureUnitManager"),e.deleteTable=()=>{for(let e=0;e<t.numberOfTextureUnits;++e)!0===t.textureUnits[e]&&pF("some texture units  were not properly released");t.textureUnits=[],t.numberOfTextureUnits=0},e.setContext=n=>{if(t.context!==n){if(0!==t.context&&e.deleteTable(),t.context=n,t.context){t.numberOfTextureUnits=n.getParameter(n.MAX_TEXTURE_IMAGE_UNITS);for(let e=0;e<t.numberOfTextureUnits;++e)t.textureUnits[e]=!1}e.modified()}},e.allocate=()=>{for(let n=0;n<t.numberOfTextureUnits;n++)if(!e.isAllocated(n))return t.textureUnits[n]=!0,n;return-1},e.allocateUnit=n=>e.isAllocated(n)?-1:(t.textureUnits[n]=!0,n),e.isAllocated=e=>t.textureUnits[e],e.free=e=>{t.textureUnits[e]=!1},e.freeAll=()=>{for(let e=0;e<t.numberOfTextureUnits;++e)t.textureUnits[e]=!1}}(e,t)}var gF={newInstance:Qw.newInstance(mF,"vtkOpenGLTextureUnitManager"),extend:mF};const vF={size:void 0,selector:void 0};function yF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,vF,n),t.size||(t.size=[300,300]),Qw.getArray(e,t,["size"],2),Qw.get(e,t,["selector"]),iA.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkRenderWindowViewNode"),e.getViewNodeFactory=()=>null,e.getAspectRatio=()=>t.size[0]/t.size[1],e.getAspectRatioForRenderer=e=>{const n=e.getViewportByReference();return t.size[0]*(n[2]-n[0])/((n[3]-n[1])*t.size[1])},e.isInViewport=(t,n,r)=>{const i=r.getViewportByReference(),a=e.getFramebufferSize();return i[0]*a[0]<=t&&i[2]*a[0]>=t&&i[1]*a[1]<=n&&i[3]*a[1]>=n},e.getViewportSize=t=>{const n=t.getViewportByReference(),r=e.getFramebufferSize();return[(n[2]-n[0])*r[0],(n[3]-n[1])*r[1]]},e.getViewportCenter=t=>{const n=e.getViewportSize(t);return[.5*n[0],.5*n[1]]},e.displayToNormalizedDisplay=(t,n,r)=>{const i=e.getFramebufferSize();return[t/i[0],n/i[1],r]},e.normalizedDisplayToDisplay=(t,n,r)=>{const i=e.getFramebufferSize();return[t*i[0],n*i[1],r]},e.worldToView=(e,t,n,r)=>r.worldToView(e,t,n),e.viewToWorld=(e,t,n,r)=>r.viewToWorld(e,t,n),e.worldToDisplay=(t,n,r,i)=>{const a=i.worldToView(t,n,r),o=e.getViewportSize(i),s=i.viewToProjection(a[0],a[1],a[2],o[0]/o[1]),l=i.projectionToNormalizedDisplay(s[0],s[1],s[2]);return e.normalizedDisplayToDisplay(l[0],l[1],l[2])},e.displayToWorld=(t,n,r,i)=>{const a=e.displayToNormalizedDisplay(t,n,r),o=i.normalizedDisplayToProjection(a[0],a[1],a[2]),s=e.getViewportSize(i),l=i.projectionToView(o[0],o[1],o[2],s[0]/s[1]);return i.viewToWorld(l[0],l[1],l[2])},e.normalizedDisplayToViewport=(t,n,r,i)=>{let a=i.getViewportByReference();a=e.normalizedDisplayToDisplay(a[0],a[1],0);const o=e.normalizedDisplayToDisplay(t,n,r);return[o[0]-a[0]-.5,o[1]-a[1]-.5,r]},e.viewportToNormalizedViewport=(t,n,r,i)=>{const a=e.getViewportSize(i);return a&&0!==a[0]&&0!==a[1]?[t/(a[0]-1),n/(a[1]-1),r]:[t,n,r]},e.normalizedViewportToViewport=(t,n,r,i)=>{const a=e.getViewportSize(i);return[t*(a[0]-1),n*(a[1]-1),r]},e.displayToLocalDisplay=(t,n,r)=>[t,e.getFramebufferSize()[1]-n-1,r],e.viewportToNormalizedDisplay=(t,n,r,i)=>{let a=i.getViewportByReference();a=e.normalizedDisplayToDisplay(a[0],a[1],0);const o=t+a[0]+.5,s=n+a[1]+.5;return e.displayToNormalizedDisplay(o,s,r)},e.getComputedDevicePixelRatio=()=>t.size[0]/e.getContainerSize()[0],e.getContainerSize=()=>{Qw.vtkErrorMacro("not implemented")},e.getPixelData=(e,t,n,r)=>{Qw.vtkErrorMacro("not implemented")},e.createSelector=()=>{Qw.vtkErrorMacro("not implemented")}}(e,t)}var bF={newInstance:Qw.newInstance(yF,"vtkRenderWindowViewNode"),extend:yF};const _F="__getUnderlyingContext";const{vtkDebugMacro:xF,vtkErrorMacro:wF}=Qw,AF={position:"absolute",top:0,left:0,width:"100%",height:"100%"},SF=["activateTexture","deactivateTexture","disableCullFace","enableCullFace","get3DContext","getActiveFramebuffer","getContext","getDefaultTextureByteSize","getDefaultTextureInternalFormat","getDefaultToWebgl2","getGLInformations","getGraphicsMemoryInfo","getGraphicsResourceForObject","getHardwareMaximumLineWidth","getPixelData","getShaderCache","getTextureUnitForTexture","getTextureUnitManager","getWebgl2","makeCurrent","releaseGraphicsResources","releaseGraphicsResourcesForObject","restoreContext","setActiveFramebuffer","setContext","setDefaultToWebgl2","setGraphicsResourceForObject"];function TF(e,t,n){const r=e.createFramebuffer(),i=e.createTexture();e.bindTexture(e.TEXTURE_2D,i),e.texImage2D(e.TEXTURE_2D,0,t,2,2,0,t,n,null),e.bindFramebuffer(e.FRAMEBUFFER,r),e.framebufferTexture2D(e.FRAMEBUFFER,e.COLOR_ATTACHMENT0,e.TEXTURE_2D,i,0);const a=e.checkFramebufferStatus(e.FRAMEBUFFER);return e.bindFramebuffer(e.FRAMEBUFFER,null),e.bindTexture(e.TEXTURE_2D,null),a===e.FRAMEBUFFER_COMPLETE}let CF=0;const EF=[];function MF(e){e.preventDefault()}function DF(e,t){let n;t.classHierarchy.push("vtkOpenGLRenderWindow"),e.getViewNodeFactory=()=>t.myFactory,t.canvas.addEventListener("webglcontextlost",MF,!1),t.canvas.addEventListener("webglcontextrestored",e.restoreContext,!1);const r=[0,0];let i;e.onModified((function(){t.renderable&&(t.size[0]===r[0]&&t.size[1]===r[1]||(r[0]=t.size[0],r[1]=t.size[1],t.canvas.setAttribute("width",t.size[0]),t.canvas.setAttribute("height",t.size[1]))),t.viewStream&&t.viewStream.setSize(t.size[0],t.size[1]),t.canvas.style.display=t.useOffScreen?"none":"block",t.el&&(t.el.style.cursor=t.cursorVisibility?t.cursor:"none"),t.containerSize=null})),e.buildPass=n=>{if(n){if(!t.renderable)return;e.prepareNodes(),e.addMissingNodes(t.renderable.getRenderersByReference()),e.addMissingNodes(t.renderable.getChildRenderWindowsByReference()),e.removeUnusedNodes(),e.initialize(),t.children.forEach((t=>{t.setOpenGLRenderWindow?.(e)}))}},e.initialize=()=>{if(!t.initialized){if(t.rootOpenGLRenderWindow=e.getLastAncestorOfType("vtkOpenGLRenderWindow"),t.rootOpenGLRenderWindow)t.context2D=e.get2DContext();else{t.context=e.get3DContext(),e.resizeFromChildRenderWindows(),t.context&&(CF++,EF.forEach((e=>e(CF)))),t.textureUnitManager=gF.newInstance(),t.textureUnitManager.setContext(t.context),t.shaderCache.setContext(t.context);const n=t.context;n.blendFuncSeparate(n.SRC_ALPHA,n.ONE_MINUS_SRC_ALPHA,n.ONE,n.ONE_MINUS_SRC_ALPHA),n.depthFunc(n.LEQUAL),n.enable(n.BLEND)}t.initialized=!0}},e.makeCurrent=()=>{t.context.makeCurrent()},e.setContainer=n=>{t.el&&t.el!==n&&(t.canvas.parentNode!==t.el&&wF("Error: canvas parent node does not match container"),t.el.removeChild(t.canvas),t.el.contains(t.bgImage)&&t.el.removeChild(t.bgImage)),t.el!==n&&(t.el=n,t.el&&(t.el.appendChild(t.canvas),t.useBackgroundImage&&t.el.appendChild(t.bgImage)),e.modified())},e.getContainer=()=>t.el,e.getContainerSize=()=>{if(!t.containerSize&&t.el){const{width:e,height:n}=t.el.getBoundingClientRect();t.containerSize=[e,n]}return t.containerSize||t.size},e.getFramebufferSize=()=>{const e=t.activeFramebuffer?.getSize();return e||t.size},e.getPixelData=(e,n,r,i)=>{const a=new Uint8Array((r-e+1)*(i-n+1)*4);return t.context.readPixels(e,n,r-e+1,i-n+1,t.context.RGBA,t.context.UNSIGNED_BYTE,a),a},e.get3DContext=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{preserveDrawingBuffer:!1,depth:!0,alpha:!0,powerPreference:"high-performance"},r=null;const i="undefined"!=typeof WebGL2RenderingContext;return t.webgl2=!1,t.defaultToWebgl2&&i&&(r=t.canvas.getContext("webgl2",e),r&&(t.webgl2=!0,xF("using webgl2"))),r||(xF("using webgl1"),r=t.canvas.getContext("webgl",e)||t.canvas.getContext("experimental-webgl",e)),new Proxy(r,(n||(n=function(){const e=new Map,t={apply(t,n,r){return e.has(r[0])?e.get(r[0]):t.apply(n,r)}},n=Object.create(null);return n.getParameter=(e,n,r,i)=>new Proxy(i.bind(e),t),n.depthMask=(t,n,r,i)=>{return new Proxy(i.bind(t),(a=t.DEPTH_WRITEMASK,{apply(t,n,r){return e.set(a,r[0]),t.apply(n,r)}}));var a},{get(e,t,r){if(t===_F)return()=>e;let i=Reflect.get(e,t,e);i instanceof Function&&(i=i.bind(e));const a=n[t];return a?a(e,t,r,i):i}}}()),n))},e.get2DContext=function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return t.canvas.getContext("2d",e)},e.restoreContext=()=>{const t=DL.newInstance();t.setCurrentOperation("Release"),t.traverse(e,null)},e.activateTexture=n=>{const r=t._textureResourceIds.get(n);if(void 0!==r)return void t.context.activeTexture(t.context.TEXTURE0+r);const i=e.getTextureUnitManager().allocate();i<0?wF("Hardware does not support the number of textures defined."):(t._textureResourceIds.set(n,i),t.context.activeTexture(t.context.TEXTURE0+i))},e.deactivateTexture=n=>{const r=t._textureResourceIds.get(n);void 0!==r&&(e.getTextureUnitManager().free(r),t._textureResourceIds.delete(n))},e.getTextureUnitForTexture=e=>{const n=t._textureResourceIds.get(e);return void 0!==n?n:-1},e.getDefaultTextureByteSize=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(t.webgl2)switch(e){case xE.CHAR:case xE.SIGNED_CHAR:case xE.UNSIGNED_CHAR:return 1;case n:case r:case xE.UNSIGNED_SHORT:case xE.SHORT:case xE.VOID:return 2;default:return 4}return 1},e.getDefaultTextureInternalFormat=function(e,n){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(t.webgl2)switch(e){case xE.UNSIGNED_CHAR:switch(n){case 1:return t.context.R8;case 2:return t.context.RG8;case 3:return t.context.RGB8;default:return t.context.RGBA8}case r&&!i&&xE.UNSIGNED_SHORT:switch(n){case 1:return r.R16_EXT;case 2:return r.RG16_EXT;case 3:return r.RGB16_EXT;default:return r.RGBA16_EXT}case r&&!i&&xE.SHORT:switch(n){case 1:return r.R16_SNORM_EXT;case 2:return r.RG16_SNORM_EXT;case 3:return r.RGB16_SNORM_EXT;default:return r.RGBA16_SNORM_EXT}case xE.UNSIGNED_SHORT:case xE.SHORT:case xE.FLOAT:default:switch(n){case 1:return i?t.context.R16F:t.context.R32F;case 2:return i?t.context.RG16F:t.context.RG32F;case 3:return i?t.context.RGB16F:t.context.RGB32F;default:return i?t.context.RGBA16F:t.context.RGBA32F}}switch(n){case 1:return t.context.LUMINANCE;case 2:return t.context.LUMINANCE_ALPHA;case 3:return t.context.RGB;default:return t.context.RGBA}},e.setBackgroundImage=e=>{t.bgImage.src=e.src},e.setUseBackgroundImage=e=>{t.useBackgroundImage=e,t.useBackgroundImage&&!t.el.contains(t.bgImage)?t.el.appendChild(t.bgImage):!t.useBackgroundImage&&t.el.contains(t.bgImage)&&t.el.removeChild(t.bgImage)},e.captureNextImage=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"image/png",{resetCamera:r=!1,size:i=null,scale:a=1}=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(t.deleted)return null;t.imageFormat=n;const o=t.notifyStartCaptureImage;return t.notifyStartCaptureImage=!0,t._screenshot={size:i||1!==a?i||t.size.map((e=>e*a)):null},new Promise(((n,i)=>{const a=e.onImageReady((i=>{if(null===t._screenshot.size)t.notifyStartCaptureImage=o,a.unsubscribe(),t._screenshot.placeHolder&&(t.size=t._screenshot.originalSize,e.modified(),t._screenshot.cameras&&t._screenshot.cameras.forEach((e=>{let{restoreParamsFn:t,arg:n}=e;return t(n)})),e.traverseAllPasses(),t.el.removeChild(t._screenshot.placeHolder),t._screenshot.placeHolder.remove(),t._screenshot=null),n(i);else{const n=document.createElement("img");if(n.style=AF,n.src=i,t._screenshot.placeHolder=t.el.appendChild(n),t.canvas.style.display="none",t._screenshot.originalSize=t.size,t.size=t._screenshot.size,t._screenshot.size=null,e.modified(),r){const e=!0!==r;t._screenshot.cameras=t.renderable.getRenderers().map((t=>{const n=t.getActiveCamera(),i=n.get("focalPoint","position","parallelScale");return{resetCameraArgs:e?{renderer:t}:void 0,resetCameraFn:e?r:t.resetCamera,restoreParamsFn:n.set,arg:JSON.parse(JSON.stringify(i))}})),t._screenshot.cameras.forEach((e=>{let{resetCameraFn:t,resetCameraArgs:n}=e;return t(n)}))}e.traverseAllPasses()}}))}))},e.getHardwareMaximumLineWidth=()=>{if(null!=i)return i;const t=e.get3DContext(),n=t.getParameter(t.ALIASED_LINE_WIDTH_RANGE);return i=n[1],n[1]},e.getGLInformations=()=>{if(t._glInformation)return t._glInformation;const n=e.get3DContext(),r=n.getExtension("OES_texture_float"),i=n.getExtension("OES_texture_half_float"),a=n.getExtension("WEBGL_debug_renderer_info"),o=n.getExtension("WEBGL_draw_buffers"),s=n.getExtension("EXT_texture_filter_anisotropic")||n.getExtension("WEBKIT_EXT_texture_filter_anisotropic"),l=[["Max Vertex Attributes","MAX_VERTEX_ATTRIBS",n.getParameter(n.MAX_VERTEX_ATTRIBS)],["Max Varying Vectors","MAX_VARYING_VECTORS",n.getParameter(n.MAX_VARYING_VECTORS)],["Max Vertex Uniform Vectors","MAX_VERTEX_UNIFORM_VECTORS",n.getParameter(n.MAX_VERTEX_UNIFORM_VECTORS)],["Max Fragment Uniform Vectors","MAX_FRAGMENT_UNIFORM_VECTORS",n.getParameter(n.MAX_FRAGMENT_UNIFORM_VECTORS)],["Max Fragment Texture Image Units","MAX_TEXTURE_IMAGE_UNITS",n.getParameter(n.MAX_TEXTURE_IMAGE_UNITS)],["Max Vertex Texture Image Units","MAX_VERTEX_TEXTURE_IMAGE_UNITS",n.getParameter(n.MAX_VERTEX_TEXTURE_IMAGE_UNITS)],["Max Combined Texture Image Units","MAX_COMBINED_TEXTURE_IMAGE_UNITS",n.getParameter(n.MAX_COMBINED_TEXTURE_IMAGE_UNITS)],["Max 2D Texture Size","MAX_TEXTURE_SIZE",n.getParameter(n.MAX_TEXTURE_SIZE)],["Max Cube Texture Size","MAX_CUBE_MAP_TEXTURE_SIZE",n.getParameter(n.MAX_CUBE_MAP_TEXTURE_SIZE)],["Max Texture Anisotropy","MAX_TEXTURE_MAX_ANISOTROPY_EXT",s&&n.getParameter(s.MAX_TEXTURE_MAX_ANISOTROPY_EXT)],["Point Size Range","ALIASED_POINT_SIZE_RANGE",n.getParameter(n.ALIASED_POINT_SIZE_RANGE).join(" - ")],["Line Width Range","ALIASED_LINE_WIDTH_RANGE",n.getParameter(n.ALIASED_LINE_WIDTH_RANGE).join(" - ")],["Max Viewport Dimensions","MAX_VIEWPORT_DIMS",n.getParameter(n.MAX_VIEWPORT_DIMS).join(" - ")],["Max Renderbuffer Size","MAX_RENDERBUFFER_SIZE",n.getParameter(n.MAX_RENDERBUFFER_SIZE)],["Framebuffer Red Bits","RED_BITS",n.getParameter(n.RED_BITS)],["Framebuffer Green Bits","GREEN_BITS",n.getParameter(n.GREEN_BITS)],["Framebuffer Blue Bits","BLUE_BITS",n.getParameter(n.BLUE_BITS)],["Framebuffer Alpha Bits","ALPHA_BITS",n.getParameter(n.ALPHA_BITS)],["Framebuffer Depth Bits","DEPTH_BITS",n.getParameter(n.DEPTH_BITS)],["Framebuffer Stencil Bits","STENCIL_BITS",n.getParameter(n.STENCIL_BITS)],["Framebuffer Subpixel Bits","SUBPIXEL_BITS",n.getParameter(n.SUBPIXEL_BITS)],["MSAA Samples","SAMPLES",n.getParameter(n.SAMPLES)],["MSAA Sample Buffers","SAMPLE_BUFFERS",n.getParameter(n.SAMPLE_BUFFERS)],["Supported Formats for UByte Render Targets     ","UNSIGNED_BYTE RENDER TARGET FORMATS",[r&&TF(n,n.RGBA,n.UNSIGNED_BYTE)?"RGBA":"",r&&TF(n,n.RGB,n.UNSIGNED_BYTE)?"RGB":"",r&&TF(n,n.LUMINANCE,n.UNSIGNED_BYTE)?"LUMINANCE":"",r&&TF(n,n.ALPHA,n.UNSIGNED_BYTE)?"ALPHA":"",r&&TF(n,n.LUMINANCE_ALPHA,n.UNSIGNED_BYTE)?"LUMINANCE_ALPHA":""].join(" ")],["Supported Formats for Half Float Render Targets","HALF FLOAT RENDER TARGET FORMATS",[i&&TF(n,n.RGBA,i.HALF_FLOAT_OES)?"RGBA":"",i&&TF(n,n.RGB,i.HALF_FLOAT_OES)?"RGB":"",i&&TF(n,n.LUMINANCE,i.HALF_FLOAT_OES)?"LUMINANCE":"",i&&TF(n,n.ALPHA,i.HALF_FLOAT_OES)?"ALPHA":"",i&&TF(n,n.LUMINANCE_ALPHA,i.HALF_FLOAT_OES)?"LUMINANCE_ALPHA":""].join(" ")],["Supported Formats for Full Float Render Targets","FLOAT RENDER TARGET FORMATS",[r&&TF(n,n.RGBA,n.FLOAT)?"RGBA":"",r&&TF(n,n.RGB,n.FLOAT)?"RGB":"",r&&TF(n,n.LUMINANCE,n.FLOAT)?"LUMINANCE":"",r&&TF(n,n.ALPHA,n.FLOAT)?"ALPHA":"",r&&TF(n,n.LUMINANCE_ALPHA,n.FLOAT)?"LUMINANCE_ALPHA":""].join(" ")],["Max Multiple Render Targets Buffers","MAX_DRAW_BUFFERS_WEBGL",o?n.getParameter(o.MAX_DRAW_BUFFERS_WEBGL):0],["High Float Precision in Vertex Shader","HIGH_FLOAT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_FLOAT).rangeMax,"</sup>)"].join("")],["Medium Float Precision in Vertex Shader","MEDIUM_FLOAT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_FLOAT).rangeMax,"</sup>)"].join("")],["Low Float Precision in Vertex Shader","LOW_FLOAT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_FLOAT).rangeMax,"</sup>)"].join("")],["High Float Precision in Fragment Shader","HIGH_FLOAT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_FLOAT).rangeMax,"</sup>)"].join("")],["Medium Float Precision in Fragment Shader","MEDIUM_FLOAT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_FLOAT).rangeMax,"</sup>)"].join("")],["Low Float Precision in Fragment Shader","LOW_FLOAT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_FLOAT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_FLOAT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_FLOAT).rangeMax,"</sup>)"].join("")],["High Int Precision in Vertex Shader","HIGH_INT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.HIGH_INT).rangeMax,"</sup>)"].join("")],["Medium Int Precision in Vertex Shader","MEDIUM_INT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.MEDIUM_INT).rangeMax,"</sup>)"].join("")],["Low Int Precision in Vertex Shader","LOW_INT VERTEX_SHADER",[n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.VERTEX_SHADER,n.LOW_INT).rangeMax,"</sup>)"].join("")],["High Int Precision in Fragment Shader","HIGH_INT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.HIGH_INT).rangeMax,"</sup>)"].join("")],["Medium Int Precision in Fragment Shader","MEDIUM_INT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.MEDIUM_INT).rangeMax,"</sup>)"].join("")],["Low Int Precision in Fragment Shader","LOW_INT FRAGMENT_SHADER",[n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_INT).precision," (-2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_INT).rangeMin,"</sup> - 2<sup>",n.getShaderPrecisionFormat(n.FRAGMENT_SHADER,n.LOW_INT).rangeMax,"</sup>)"].join("")],["Supported Extensions","EXTENSIONS",n.getSupportedExtensions().join("<br/>\t\t\t\t\t    ")],["WebGL Renderer","RENDERER",n.getParameter(n.RENDERER)],["WebGL Vendor","VENDOR",n.getParameter(n.VENDOR)],["WebGL Version","VERSION",n.getParameter(n.VERSION)],["Shading Language Version","SHADING_LANGUAGE_VERSION",n.getParameter(n.SHADING_LANGUAGE_VERSION)],["Unmasked Renderer","UNMASKED_RENDERER",a&&n.getParameter(a.UNMASKED_RENDERER_WEBGL)],["Unmasked Vendor","UNMASKED_VENDOR",a&&n.getParameter(a.UNMASKED_VENDOR_WEBGL)],["WebGL Version","WEBGL_VERSION",t.webgl2?2:1]],c={};for(;l.length;){const[e,t,n]=l.pop();t&&(c[t]={label:e,value:n})}return t._glInformation=c,c},e.traverseAllPasses=()=>{if(t.renderPasses)for(let n=0;n<t.renderPasses.length;++n)t.renderPasses[n].traverse(e,null);t.notifyStartCaptureImage&&function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:t.imageFormat;const r=document.createElement("canvas"),i=r.getContext("2d");r.width=t.canvas.width,r.height=t.canvas.height,i.drawImage(t.canvas,0,0);const a=t.canvas.getBoundingClientRect();t.renderable.getRenderers().forEach((e=>{e.getViewProps().forEach((e=>{if(e.getContainer){const t=e.getContainer().getElementsByTagName("canvas");for(let e=0;e<t.length;e++){const n=t[e],r=n.getBoundingClientRect(),o=r.x-a.x,s=r.y-a.y;i.drawImage(n,o,s)}}}))}));const o=r.toDataURL(n);r.remove(),e.invokeImageReady(o)}(),e.copyParentContent();const n=t.renderable.getChildRenderWindowsByReference();for(let t=0;t<n.length;++t)e.getViewNodeFor(n[t])?.traverseAllPasses()},e.copyParentContent=()=>{const e=t.rootOpenGLRenderWindow;if(!e||!t.context2D)return;const n=e.getCanvas(),r=t.canvas;t.context2D.drawImage(n,0,n.height-r.height,r.width,r.height,0,0,r.width,r.height)},e.resizeFromChildRenderWindows=()=>{const n=t.renderable.getChildRenderWindowsByReference();if(n.length>0){const t=[0,0];for(let r=0;r<n.length;++r){const i=e.getViewNodeFor(n[r])?.getSize();i&&(t[0]=i[0]>t[0]?i[0]:t[0],t[1]=i[1]>t[1]?i[1]:t[1])}e.setSize(...t)}},e.disableCullFace=()=>{t.cullFaceEnabled&&(t.context.disable(t.context.CULL_FACE),t.cullFaceEnabled=!1)},e.enableCullFace=()=>{t.cullFaceEnabled||(t.context.enable(t.context.CULL_FACE),t.cullFaceEnabled=!0)},e.setViewStream=n=>t.viewStream!==n&&(t.subscription&&(t.subscription.unsubscribe(),t.subscription=null),t.viewStream=n,t.viewStream&&(t.renderable.getRenderers()[0].getBackgroundByReference()[3]=0,e.setUseBackgroundImage(!0),t.subscription=t.viewStream.onImageReady((t=>e.setBackgroundImage(t.image))),t.viewStream.setSize(t.size[0],t.size[1]),t.viewStream.invalidateCache(),t.viewStream.render(),e.modified()),!0),e.createSelector=()=>{const t=oF.newInstance();return t.setOpenGLRenderWindow(e),t},e.delete=Qw.chain((()=>{t.context&&(CF--,EF.forEach((e=>e(CF))))}),(function(){t.canvas.removeEventListener("webglcontextlost",MF),t.canvas.removeEventListener("webglcontextrestored",e.restoreContext)}),e.delete,e.setViewStream),e.setActiveFramebuffer=e=>{t.activeFramebuffer=e};const a=e.setSize;e.setSize=(t,n)=>{const r=a(t,n);return r&&e.invokeWindowResizeEvent({width:t,height:n}),r},e.getGraphicsResourceForObject=e=>e?{vtkObj:t._graphicsResources.get(e),hash:t._graphicsResourceHash.get(e)}:null,e.setGraphicsResourceForObject=(e,n,r)=>{e&&(t._graphicsResources.set(e,n),t._graphicsResourceHash.set(e,r))},e.getGraphicsMemoryInfo=()=>{let e=0;return t._graphicsResources.forEach(((t,n)=>{e+=t.getAllocatedGPUMemoryInBytes()})),e},e.releaseGraphicsResourcesForObject=n=>!!n&&(t._graphicsResources.get(n)?.releaseGraphicsResources(e),t._graphicsResources.delete(n)&&t._graphicsResourceHash.delete(n)),e.releaseGraphicsResources=()=>{null!==t.shaderCache&&t.shaderCache.releaseGraphicsResources(e),t._graphicsResources.forEach(((t,n)=>{t.releaseGraphicsResources(e)})),t._graphicsResources.clear(),t._graphicsResourceHash.clear(),null!==t.textureUnitManager&&t.textureUnitManager.freeAll(),t.renderable.getRenderersByReference().forEach((t=>{const n=e.getViewNodeFor(t);n?.releaseGraphicsResources()}))};const o={...e};SF.forEach((n=>{e[n]=function(){return t.rootOpenGLRenderWindow?t.rootOpenGLRenderWindow[n](...arguments):o[n](...arguments)}}))}const PF={cullFaceEnabled:!1,shaderCache:null,initialized:!1,context:null,context2D:null,canvas:null,cursorVisibility:!0,cursor:"pointer",textureUnitManager:null,textureResourceIds:null,containerSize:null,renderPasses:[],notifyStartCaptureImage:!1,webgl2:!1,defaultToWebgl2:!0,activeFramebuffer:null,imageFormat:"image/png",useOffScreen:!1,useBackgroundImage:!1};const IF=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,PF,n),bF.extend(e,t,n),t.canvas||(t.canvas=document.createElement("canvas"),t.canvas.style.width="100%"),t.selector||(t.selector=oF.newInstance(),t.selector.setOpenGLRenderWindow(e)),t.bgImage=new Image,t.bgImage.style.position="absolute",t.bgImage.style.left="0",t.bgImage.style.top="0",t.bgImage.style.width="100%",t.bgImage.style.height="100%",t.bgImage.style.zIndex="-1",t._textureResourceIds=new Map,t._graphicsResources=new Map,t._graphicsResourceHash=new Map,t._glInformation=null,t.myFactory=fA.newInstance(),t.shaderCache=fF.newInstance(),t.shaderCache.setOpenGLRenderWindow(e),t.renderPasses[0]=BL.newInstance(),Qw.get(e,t,["shaderCache","textureUnitManager","webgl2","useBackgroundImage","activeFramebuffer","rootOpenGLRenderWindow"]),Qw.setGet(e,t,["initialized","context","context2D","canvas","renderPasses","notifyStartCaptureImage","defaultToWebgl2","cursor","useOffScreen"]),Qw.setGetArray(e,t,["size"],2),Qw.event(e,t,"imageReady"),Qw.event(e,t,"windowResizeEvent"),DF(e,t)}),"vtkOpenGLRenderWindow");BR("WebGL",IF),cA("vtkRenderWindow",IF);const OF=["setBindGroup","setIndexBuffer","setVertexBuffer","draw","drawIndexed"],NF={description:null,handle:null,boundPipeline:null,pipelineHash:null,pipelineSettings:null,replaceShaderCodeFunction:null,depthTextureView:null,label:null};function kF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,NF,n),Cw(e,t),t.description={colorAttachments:[{view:void 0,loadOp:"load",storeOp:"store"}],depthStencilAttachment:{view:void 0,depthLoadOp:"clear",depthClearValue:0,depthStoreOp:"store"}},t.replaceShaderCodeFunction=e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<f32>","outColor");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["output.outColor = computedColor;"]).result,t.setCode(n)},t.pipelineSettings={primitive:{cullMode:"none"},depthStencil:{depthWriteEnabled:!0,depthCompare:"greater-equal",format:"depth32float"},fragment:{targets:[{format:"rgba16float",blend:{color:{srcFactor:"src-alpha",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}},t.colorTextureViews=[],Mw(e,t,["boundPipeline","colorTextureViews"]),Ow(e,t,["depthTextureView","description","handle","label","pipelineHash","pipelineSettings","replaceShaderCodeFunction"]),function(e,t){t.classHierarchy.push("vtkWebGPURenderEncoder"),e.begin=e=>{t.drawCallbacks=[],t.handle=e.beginRenderPass(t.description),t.label&&t.handle.pushDebugGroup(t.label)},e.end=()=>{for(let n=0;n<t.drawCallbacks.length;n++){const r=t.drawCallbacks[n],i=r.pipeline;e.setPipeline(i);for(let t=0;t<r.callbacks.length;t++)r.callbacks[t](e)}t.label&&t.handle.popDebugGroup(),t.handle.end(),t.boundPipeline=null},e.setPipeline=e=>{if(t.boundPipeline===e)return;t.handle.setPipeline(e.getHandle());const n=e.getPipelineDescription();if(t.colorTextureViews.length!==n.fragment.targets.length)console.log(`mismatched attachment counts on pipeline ${n.fragment.targets.length} while encoder has ${t.colorTextureViews.length}`),console.trace();else for(let e=0;e<t.colorTextureViews.length;e++){const r=t.colorTextureViews[e].getTexture()?.getFormat();r&&r!==n.fragment.targets[e].format&&(console.log(`mismatched attachments for attachment ${e} on pipeline ${n.fragment.targets[e].format} while encoder has ${r}`),console.trace())}if(!t.depthTextureView!=!("depthStencil"in n))console.log("mismatched depth attachments"),console.trace();else if(t.depthTextureView){const e=t.depthTextureView.getTexture()?.getFormat();e&&e!==n.depthStencil.format&&(console.log(`mismatched depth attachments on pipeline ${n.depthStencil.format} while encoder has ${e}`),console.trace())}t.boundPipeline=e},e.replaceShaderCode=e=>{t.replaceShaderCodeFunction(e)},e.setColorTextureView=(e,n)=>{t.colorTextureViews[e]!==n&&(t.colorTextureViews[e]=n)},e.activateBindGroup=e=>{const n=t.boundPipeline.getDevice(),r=t.boundPipeline.getBindGroupLayoutCount(e.getLabel());t.handle.setBindGroup(r,e.getBindGroup(n));const i=n.getBindGroupLayoutDescription(e.getBindGroupLayout(n)),a=n.getBindGroupLayoutDescription(t.boundPipeline.getBindGroupLayout(r));i!==a&&(console.log(`renderEncoder ${t.pipelineHash} mismatched bind group layouts bind group has\n${i}\n versus pipeline\n${a}\n`),console.trace())},e.attachTextureViews=()=>{for(let e=0;e<t.colorTextureViews.length;e++)t.description.colorAttachments[e]?t.description.colorAttachments[e].view=t.colorTextureViews[e].getHandle():t.description.colorAttachments[e]={view:t.colorTextureViews[e].getHandle()};t.depthTextureView&&(t.description.depthStencilAttachment.view=t.depthTextureView.getHandle())},e.registerDrawCallback=(e,n)=>{for(let r=0;r<t.drawCallbacks.length;r++)if(t.drawCallbacks[r].pipeline===e)return void t.drawCallbacks[r].callbacks.push(n);t.drawCallbacks.push({pipeline:e,callbacks:[n]})};for(let n=0;n<OF.length;n++)e[OF[n]]=function(){return t.handle[OF[n]](...arguments)}}(e,t)}var RF={newInstance:Vw(kF,"vtkWebGPURenderEncoder"),extend:kF};const LF={renderEncoder:null,colorTexture:null,depthTexture:null};function FF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,LF,n),DL.extend(e,t,n),Qw.get(e,t,["colorTexture","depthTexture"]),function(e,t){t.classHierarchy.push("vtkWebGPUOpaquePass"),e.traverse=(n,r)=>{if(t.deleted)return;t._currentParent=r;const i=r.getDevice();if(t.renderEncoder)t.colorTexture.resize(r.getCanvas().width,r.getCanvas().height),t.depthTexture.resize(r.getCanvas().width,r.getCanvas().height);else{e.createRenderEncoder(),t.colorTexture=sk.newInstance({label:"opaquePassColor"}),t.colorTexture.create(i,{width:r.getCanvas().width,height:r.getCanvas().height,format:"rgba16float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_SRC});const n=t.colorTexture.createView("opaquePassColorTexture");t.renderEncoder.setColorTextureView(0,n),t.depthFormat="depth32float",t.depthTexture=sk.newInstance({label:"opaquePassDepth"}),t.depthTexture.create(i,{width:r.getCanvas().width,height:r.getCanvas().height,format:t.depthFormat,usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_SRC});const a=t.depthTexture.createView("opaquePassDepthTexture");t.renderEncoder.setDepthTextureView(a)}t.renderEncoder.attachTextureViews(),e.setCurrentOperation("opaquePass"),n.setRenderEncoder(t.renderEncoder),n.traverse(e)},e.getColorTextureView=()=>t.renderEncoder.getColorTextureViews()[0],e.getDepthTextureView=()=>t.renderEncoder.getDepthTextureView(),e.createRenderEncoder=()=>{t.renderEncoder=RF.newInstance({label:"OpaquePass"}),t.renderEncoder.setPipelineHash("op")}}(e,t)}var BF={newInstance:Qw.newInstance(FF,"vtkWebGPUOpaquePass"),extend:FF};const UF={colorTextureView:null,depthTextureView:null};function VF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,UF,n),DL.extend(e,t,n),Qw.setGet(e,t,["colorTextureView","depthTextureView"]),function(e,t){t.classHierarchy.push("vtkWebGPUOrderIndependentTranslucentPass"),e.traverse=(n,r)=>{if(t.deleted)return;t._currentParent=r;const i=r.getDevice();if(t.translucentRenderEncoder)t.translucentColorTexture.resizeToMatch(t.colorTextureView.getTexture()),t.translucentAccumulateTexture.resizeToMatch(t.colorTextureView.getTexture());else{e.createRenderEncoder(),e.createFinalEncoder(),t.translucentColorTexture=sk.newInstance({label:"translucentPassColor"}),t.translucentColorTexture.create(i,{width:r.getCanvas().width,height:r.getCanvas().height,format:"rgba16float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING});const n=t.translucentColorTexture.createView("oitpColorTexture");t.translucentRenderEncoder.setColorTextureView(0,n),t.translucentAccumulateTexture=sk.newInstance({label:"translucentPassAccumulate"}),t.translucentAccumulateTexture.create(i,{width:r.getCanvas().width,height:r.getCanvas().height,format:"r16float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING});const a=t.translucentAccumulateTexture.createView("oitpAccumTexture");t.translucentRenderEncoder.setColorTextureView(1,a),t.fullScreenQuad=NO.newInstance(),t.fullScreenQuad.setDevice(r.getDevice()),t.fullScreenQuad.setPipelineHash("oitpfsq"),t.fullScreenQuad.setTextureViews(t.translucentRenderEncoder.getColorTextureViews()),t.fullScreenQuad.setFragmentShaderTemplate("\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var tcoord: vec2<i32> = vec2<i32>(i32(input.fragPos.x), i32(input.fragPos.y));\n  var reveal: f32 = textureLoad(oitpAccumTexture, tcoord, 0).r;\n  if (reveal == 1.0) { discard; }\n  var tcolor: vec4<f32> = textureLoad(oitpColorTexture, tcoord, 0);\n  var total: f32 = max(tcolor.a, 0.01);\n  var computedColor: vec4<f32> = vec4<f32>(tcolor.r/total, tcolor.g/total, tcolor.b/total, 1.0 - reveal);\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n")}t.translucentRenderEncoder.setDepthTextureView(t.depthTextureView),t.translucentRenderEncoder.attachTextureViews(),e.setCurrentOperation("translucentPass"),n.setRenderEncoder(t.translucentRenderEncoder),n.traverse(e),e.finalPass(r,n)},e.finalPass=(e,n)=>{t.translucentFinalEncoder.setColorTextureView(0,t.colorTextureView),t.translucentFinalEncoder.attachTextureViews(),t.translucentFinalEncoder.begin(e.getCommandEncoder()),n.scissorAndViewport(t.translucentFinalEncoder),t.fullScreenQuad.prepareAndDraw(t.translucentFinalEncoder),t.translucentFinalEncoder.end()},e.getTextures=()=>[t.translucentColorTexture,t.translucentAccumulateTexture],e.createRenderEncoder=()=>{t.translucentRenderEncoder=RF.newInstance({label:"translucentRender"});const e=t.translucentRenderEncoder.getDescription();e.colorAttachments=[{view:void 0,clearValue:[0,0,0,0],loadOp:"clear",storeOp:"store"},{view:void 0,clearValue:[1,0,0,0],loadOp:"clear",storeOp:"store"}],e.depthStencilAttachment={view:void 0,depthLoadOp:"load",depthStoreOp:"store"},t.translucentRenderEncoder.setReplaceShaderCodeFunction((e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<f32>","outColor"),t.addOutput("f32","outAccum"),t.addBuiltinInput("vec4<f32>","@builtin(position) fragPos");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["var w: f32 = computedColor.a * pow(0.1 + input.fragPos.z, 2.0);","output.outColor = vec4<f32>(computedColor.rgb*w, w);","output.outAccum = computedColor.a;"]).result,t.setCode(n)})),t.translucentRenderEncoder.setPipelineHash("oitpr"),t.translucentRenderEncoder.setPipelineSettings({primitive:{cullMode:"none"},depthStencil:{depthWriteEnabled:!1,depthCompare:"greater",format:"depth32float"},fragment:{targets:[{format:"rgba16float",blend:{color:{srcFactor:"one",dstFactor:"one"},alpha:{srcfactor:"one",dstFactor:"one"}}},{format:"r16float",blend:{color:{srcFactor:"zero",dstFactor:"one-minus-src"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}})},e.createFinalEncoder=()=>{t.translucentFinalEncoder=RF.newInstance({label:"translucentFinal"}),t.translucentFinalEncoder.setDescription({colorAttachments:[{view:null,loadOp:"load",storeOp:"store"}]}),t.translucentFinalEncoder.setReplaceShaderCodeFunction((e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<f32>","outColor"),t.addBuiltinInput("vec4<f32>","@builtin(position) fragPos");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["output.outColor = vec4<f32>(computedColor.rgb, computedColor.a);"]).result,t.setCode(n)})),t.translucentFinalEncoder.setPipelineHash("oitpf"),t.translucentFinalEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:"rgba16float",blend:{color:{srcFactor:"src-alpha",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}})}}(e,t)}var GF={newInstance:Qw.newInstance(VF,"vtkWebGPUOrderIndependentTranslucentPass"),extend:VF};const zF=0,jF=1,WF=2,HF=3,$F=4,XF=new Float64Array(16),qF=new Float64Array(16),KF={volumes:null,rowLength:1024,lastVolumeLength:0};function YF(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,KF,n),NO.extend(e,t,n),t.fragmentShaderTemplate="\n//VTK::Renderer::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::Volume::TraverseDec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\nfn getTextureValue(vTex: texture_3d<f32>, tpos: vec4<f32>) -> f32\n{\n  // todo multicomponent support\n  return textureSampleLevel(vTex, clampSampler, tpos.xyz, 0.0).r;\n}\n\nfn getGradient(vTex: texture_3d<f32>, tpos: vec4<f32>, vNum: i32, scalar: f32) -> vec4<f32>\n{\n  var result: vec4<f32>;\n\n  var tstep: vec4<f32> = volumeSSBO.values[vNum].tstep;\n  result.x = getTextureValue(vTex, tpos + vec4<f32>(tstep.x, 0.0, 0.0, 1.0)) - scalar;\n  result.y = getTextureValue(vTex, tpos + vec4<f32>(0.0, tstep.y, 0.0, 1.0)) - scalar;\n  result.z = getTextureValue(vTex, tpos + vec4<f32>(0.0, 0.0, tstep.z, 1.0)) - scalar;\n  result.w = 0.0;\n\n  // divide by spacing as that is our delta\n  result = result / volumeSSBO.values[vNum].spacing;\n  // now we have a gradient in unit tcoords\n\n  var grad: f32 = length(result.xyz);\n  if (grad > 0.0)\n  {\n    // rotate to View Coords, needed for lighting and shading\n    var nMat: mat4x4<f32> = rendererUBO.SCVCMatrix * volumeSSBO.values[vNum].planeNormals;\n    result = nMat * result;\n    result = result / length(result);\n  }\n\n  // store gradient magnitude in .w\n  result.w = grad;\n\n  return result;\n}\n\nfn processVolume(vTex: texture_3d<f32>, vNum: i32, cNum: i32, posSC: vec4<f32>, tfunRows: f32) -> vec4<f32>\n{\n  var outColor: vec4<f32> = vec4<f32>(0.0, 0.0, 0.0, 0.0);\n\n  // convert to tcoords and reject if outside the volume\n  var tpos: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*posSC;\n  if (tpos.x < 0.0 || tpos.y < 0.0 || tpos.z < 0.0 ||\n      tpos.x > 1.0 || tpos.y > 1.0 || tpos.z > 1.0) { return outColor; }\n\n  var scalar: f32 = getTextureValue(vTex, tpos);\n\n  var coord: vec2<f32> =\n    vec2<f32>(scalar * componentSSBO.values[cNum].cScale + componentSSBO.values[cNum].cShift,\n      (0.5 + 2.0 * f32(vNum)) / tfunRows);\n  var color: vec4<f32> = textureSampleLevel(tfunTexture, clampSampler, coord, 0.0);\n\n  var gofactor: f32 = 1.0;\n  var normal: vec4<f32> = vec4<f32>(0.0,0.0,0.0,0.0);\n  if (componentSSBO.values[cNum].gomin <  1.0 || volumeSSBO.values[vNum].shade[0] > 0.0)\n  {\n    normal = getGradient(vTex, tpos, vNum, scalar);\n    if (componentSSBO.values[cNum].gomin <  1.0)\n    {\n      gofactor = clamp(normal.a*componentSSBO.values[cNum].goScale + componentSSBO.values[cNum].goShift,\n      componentSSBO.values[cNum].gomin, componentSSBO.values[cNum].gomax);\n    }\n  }\n\n  coord.x = (scalar * componentSSBO.values[cNum].oScale + componentSSBO.values[cNum].oShift);\n  var opacity: f32 = textureSampleLevel(ofunTexture, clampSampler, coord, 0.0).r;\n\n  if (volumeSSBO.values[vNum].shade[0] > 0.0)\n  {\n    color = color*abs(normal.z);\n  }\n\n  outColor = vec4<f32>(color.rgb, gofactor * opacity);\n\n  return outColor;\n}\n\n// adjust the start and end point of a raycast such that it intersects the unit cube.\n// This function is used to take a raycast starting point and step vector\n// and numSteps and return the startijng and ending steps for intersecting the\n// unit cube. Recall for a 3D texture, the unit cube is the range of texture coordsinates\n// that have valid values. So this funtion can be used to take a ray in texture coordinates\n// and bound it to intersecting the texture.\n//\nfn adjustBounds(tpos: vec4<f32>, tstep: vec4<f32>, numSteps: f32) -> vec2<f32>\n{\n  var result: vec2<f32> = vec2<f32>(0.0, numSteps);\n  var tpos2: vec4<f32> = tpos + tstep*numSteps;\n\n  // move tpos to the start of the volume\n  var adjust: f32 =\n    min(\n      max(tpos.x/tstep.x, (tpos.x - 1.0)/tstep.x),\n      min(\n        max((tpos.y - 1.0)/tstep.y, tpos.y/tstep.y),\n        max((tpos.z - 1.0)/tstep.z, tpos.z/tstep.z)));\n  if (adjust < 0.0)\n  {\n    result.x = result.x - adjust;\n  }\n\n  // adjust length to the end\n  adjust =\n    max(\n      min(tpos2.x/tstep.x, (tpos2.x - 1.0)/tstep.x),\n      max(\n        min((tpos2.y - 1.0)/tstep.y, tpos2.y/tstep.y),\n        min((tpos2.z - 1.0)/tstep.z, tpos2.z/tstep.z)));\n  if (adjust > 0.0)\n  {\n    result.y = result.y - adjust;\n  }\n\n  return result;\n}\n\nfn getSimpleColor(scalar: f32, vNum: i32, cNum: i32) -> vec4<f32>\n{\n  // how many rows (tfuns) do we have in our tfunTexture\n  var tfunRows: f32 = f32(textureDimensions(tfunTexture).y);\n\n  var coord: vec2<f32> =\n    vec2<f32>(scalar * componentSSBO.values[cNum].cScale + componentSSBO.values[cNum].cShift,\n      (0.5 + 2.0 * f32(vNum)) / tfunRows);\n  var color: vec4<f32> = textureSampleLevel(tfunTexture, clampSampler, coord, 0.0);\n  coord.x = (scalar * componentSSBO.values[cNum].oScale + componentSSBO.values[cNum].oShift);\n  var opacity: f32 = textureSampleLevel(ofunTexture, clampSampler, coord, 0.0).r;\n  return vec4<f32>(color.rgb, opacity);\n}\n\nfn traverseMax(vTex: texture_3d<f32>, vNum: i32, cNum: i32, rayLengthSC: f32, minPosSC: vec4<f32>, rayStepSC: vec4<f32>)\n{\n  // convert to tcoords and reject if outside the volume\n  var numSteps: f32 = rayLengthSC/mapperUBO.SampleDistance;\n  var tpos: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*minPosSC;\n  var tpos2: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*(minPosSC + rayStepSC);\n  var tstep: vec4<f32> = tpos2 - tpos;\n\n  var rayBounds: vec2<f32> = adjustBounds(tpos, tstep, numSteps);\n\n  // did we hit anything\n  if (rayBounds.x >= rayBounds.y)\n  {\n    traverseVals[vNum] = vec4<f32>(0.0,0.0,0.0,0.0);\n    return;\n  }\n\n  tpos = tpos + tstep*rayBounds.x;\n  var curDist: f32 = rayBounds.x;\n  var maxVal: f32 = -1.0e37;\n  loop\n  {\n    var scalar: f32 = getTextureValue(vTex, tpos);\n    if (scalar > maxVal)\n    {\n      maxVal = scalar;\n    }\n\n    // increment position\n    curDist = curDist + 1.0;\n    tpos = tpos + tstep;\n\n    // check if we have reached a terminating condition\n    if (curDist > rayBounds.y) { break; }\n  }\n\n  // process to get the color and opacity\n  traverseVals[vNum] = getSimpleColor(maxVal, vNum, cNum);\n}\n\nfn traverseMin(vTex: texture_3d<f32>, vNum: i32, cNum: i32, rayLengthSC: f32, minPosSC: vec4<f32>, rayStepSC: vec4<f32>)\n{\n  // convert to tcoords and reject if outside the volume\n  var numSteps: f32 = rayLengthSC/mapperUBO.SampleDistance;\n  var tpos: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*minPosSC;\n  var tpos2: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*(minPosSC + rayStepSC);\n  var tstep: vec4<f32> = tpos2 - tpos;\n\n  var rayBounds: vec2<f32> = adjustBounds(tpos, tstep, numSteps);\n\n  // did we hit anything\n  if (rayBounds.x >= rayBounds.y)\n  {\n    traverseVals[vNum] = vec4<f32>(0.0,0.0,0.0,0.0);\n    return;\n  }\n\n  tpos = tpos + tstep*rayBounds.x;\n  var curDist: f32 = rayBounds.x;\n  var minVal: f32 = 1.0e37;\n  loop\n  {\n    var scalar: f32 = getTextureValue(vTex, tpos);\n    if (scalar < minVal)\n    {\n      minVal = scalar;\n    }\n\n    // increment position\n    curDist = curDist + 1.0;\n    tpos = tpos + tstep;\n\n    // check if we have reached a terminating condition\n    if (curDist > rayBounds.y) { break; }\n  }\n\n  // process to get the color and opacity\n  traverseVals[vNum] = getSimpleColor(minVal, vNum, cNum);\n}\n\nfn traverseAverage(vTex: texture_3d<f32>, vNum: i32, cNum: i32, rayLengthSC: f32, minPosSC: vec4<f32>, rayStepSC: vec4<f32>)\n{\n  // convert to tcoords and reject if outside the volume\n  var numSteps: f32 = rayLengthSC/mapperUBO.SampleDistance;\n  var tpos: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*minPosSC;\n  var tpos2: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*(minPosSC + rayStepSC);\n  var tstep: vec4<f32> = tpos2 - tpos;\n\n  var rayBounds: vec2<f32> = adjustBounds(tpos, tstep, numSteps);\n\n  // did we hit anything\n  if (rayBounds.x >= rayBounds.y)\n  {\n    traverseVals[vNum] = vec4<f32>(0.0,0.0,0.0,0.0);\n    return;\n  }\n\n  let ipRange: vec4<f32> = volumeSSBO.values[vNum].ipScalarRange;\n  tpos = tpos + tstep*rayBounds.x;\n  var curDist: f32 = rayBounds.x;\n  var avgVal: f32 = 0.0;\n  var sampleCount: f32 = 0.0;\n  loop\n  {\n    var sample: f32 = getTextureValue(vTex, tpos);\n    // right now leave filtering off until WebGL changes get merged\n    // if (ipRange.z == 0.0 || sample >= ipRange.x && sample <= ipRange.y)\n    // {\n      avgVal = avgVal + sample;\n      sampleCount = sampleCount + 1.0;\n    // }\n\n    // increment position\n    curDist = curDist + 1.0;\n    tpos = tpos + tstep;\n\n    // check if we have reached a terminating condition\n    if (curDist > rayBounds.y) { break; }\n  }\n\n  if (sampleCount <= 0.0)\n  {\n    traverseVals[vNum] = vec4<f32>(0.0,0.0,0.0,0.0);\n  }\n\n  // process to get the color and opacity\n  traverseVals[vNum] = getSimpleColor(avgVal/sampleCount, vNum, cNum);\n}\n\nfn traverseAdditive(vTex: texture_3d<f32>, vNum: i32, cNum: i32, rayLengthSC: f32, minPosSC: vec4<f32>, rayStepSC: vec4<f32>)\n{\n  // convert to tcoords and reject if outside the volume\n  var numSteps: f32 = rayLengthSC/mapperUBO.SampleDistance;\n  var tpos: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*minPosSC;\n  var tpos2: vec4<f32> = volumeSSBO.values[vNum].SCTCMatrix*(minPosSC + rayStepSC);\n  var tstep: vec4<f32> = tpos2 - tpos;\n\n  var rayBounds: vec2<f32> = adjustBounds(tpos, tstep, numSteps);\n\n  // did we hit anything\n  if (rayBounds.x >= rayBounds.y)\n  {\n    traverseVals[vNum] = vec4<f32>(0.0,0.0,0.0,0.0);\n    return;\n  }\n\n  let ipRange: vec4<f32> = volumeSSBO.values[vNum].ipScalarRange;\n  tpos = tpos + tstep*rayBounds.x;\n  var curDist: f32 = rayBounds.x;\n  var sumVal: f32 = 0.0;\n  loop\n  {\n    var sample: f32 = getTextureValue(vTex, tpos);\n    // right now leave filtering off until WebGL changes get merged\n    // if (ipRange.z == 0.0 || sample >= ipRange.x && sample <= ipRange.y)\n    // {\n      sumVal = sumVal + sample;\n    // }\n\n    // increment position\n    curDist = curDist + 1.0;\n    tpos = tpos + tstep;\n\n    // check if we have reached a terminating condition\n    if (curDist > rayBounds.y) { break; }\n  }\n\n  // process to get the color and opacity\n  traverseVals[vNum] = getSimpleColor(sumVal, vNum, cNum);\n}\n\nfn composite(rayLengthSC: f32, minPosSC: vec4<f32>, rayStepSC: vec4<f32>) -> vec4<f32>\n{\n  // initial ray position is at the beginning\n  var rayPosSC: vec4<f32> = minPosSC;\n\n  // how many rows (tfuns) do we have in our tfunTexture\n  var tfunRows: f32 = f32(textureDimensions(tfunTexture).y);\n\n  var curDist: f32 = 0.0;\n  var computedColor: vec4<f32> = vec4<f32>(0.0, 0.0, 0.0, 0.0);\n  var sampleColor: vec4<f32>;\n//VTK::Volume::TraverseCalls\n\n  loop\n  {\n    // for each volume, sample and accumulate color\n//VTK::Volume::CompositeCalls\n\n    // increment position\n    curDist = curDist + mapperUBO.SampleDistance;\n    rayPosSC = rayPosSC + rayStepSC;\n\n    // check if we have reached a terminating condition\n    if (curDist > rayLengthSC) { break; }\n    if (computedColor.a > 0.98) { break; }\n  }\n  return computedColor;\n}\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var rayMax: f32 = textureSampleLevel(maxTexture, clampSampler, input.tcoordVS, 0.0).r;\n  var rayMin: f32 = textureSampleLevel(minTexture, clampSampler, input.tcoordVS, 0.0).r;\n\n  // discard empty rays\n  if (rayMax <= rayMin) { discard; }\n  else\n  {\n    // compute start and end ray positions in view coordinates\n    var minPosSC: vec4<f32> = rendererUBO.PCSCMatrix*vec4<f32>(2.0 * input.tcoordVS.x - 1.0, 1.0 - 2.0 * input.tcoordVS.y, rayMax, 1.0);\n    minPosSC = minPosSC * (1.0 / minPosSC.w);\n    var maxPosSC: vec4<f32> = rendererUBO.PCSCMatrix*vec4<f32>(2.0 * input.tcoordVS.x - 1.0, 1.0 - 2.0 * input.tcoordVS.y, rayMin, 1.0);\n    maxPosSC = maxPosSC * (1.0 / maxPosSC.w);\n\n    var rayLengthSC: f32 = distance(minPosSC.xyz, maxPosSC.xyz);\n    var rayStepSC: vec4<f32> = (maxPosSC - minPosSC)*(mapperUBO.SampleDistance/rayLengthSC);\n    rayStepSC.w = 0.0;\n\n    var computedColor: vec4<f32>;\n\n//VTK::Volume::Loop\n\n//VTK::RenderEncoder::Impl\n  }\n\n  return output;\n}\n",t.UBO=gN.newInstance({label:"mapperUBO"}),t.UBO.addEntry("SampleDistance","f32"),t.SSBO=dN.newInstance({label:"volumeSSBO"}),t.componentSSBO=dN.newInstance({label:"componentSSBO"}),t.lutBuildTime={},Qw.obj(t.lutBuildTime,{mtime:0}),function(e,t){t.classHierarchy.push("vtkWebGPUVolumePassFSQ"),e.replaceShaderPosition=(e,t,n)=>{const r=t.getShaderDescription("vertex");r.addBuiltinOutput("vec4<f32>","@builtin(position) Position");let i=r.getCode();i=mO.substitute(i,"//VTK::Position::Impl",["output.tcoordVS = vec2<f32>(vertexBC.x * 0.5 + 0.5, 1.0 - vertexBC.y * 0.5 - 0.5);","output.Position = vec4<f32>(vertexBC, 1.0);"]).result,r.setCode(i),t.getShaderDescription("fragment").addBuiltinInput("vec4<f32>","@builtin(position) fragPos")},t.shaderReplacements.set("replaceShaderPosition",e.replaceShaderPosition),e.replaceShaderVolume=(e,n,r)=>{const i=n.getShaderDescription("fragment");let a=i.getCode();const o=[],s=[];for(let e=0;e<t.volumes.length;e++)t.volumes[e].getRenderable().getMapper().getBlendMode()===zF?(o.push(`    sampleColor = processVolume(volTexture${e}, ${e}, ${t.rowStarts[e]}, rayPosSC, tfunRows);`),o.push("    computedColor = vec4<f32>(\n          sampleColor.a * sampleColor.rgb * (1.0 - computedColor.a) + computedColor.rgb,\n          (1.0 - computedColor.a)*sampleColor.a + computedColor.a);")):(s.push(`  sampleColor = traverseVals[${e}];`),s.push("  computedColor = vec4<f32>(\n          sampleColor.a * sampleColor.rgb * (1.0 - computedColor.a) + computedColor.rgb,\n          (1.0 - computedColor.a)*sampleColor.a + computedColor.a);"));a=mO.substitute(a,"//VTK::Volume::CompositeCalls",o).result,a=mO.substitute(a,"//VTK::Volume::TraverseCalls",s).result,a=mO.substitute(a,"//VTK::Volume::TraverseDec",[`var<private> traverseVals: array<vec4<f32>,${t.volumes.length}>;`]).result;let l=!1;for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable().getMapper().getBlendMode();n===zF?l=!0:n===jF?a=mO.substitute(a,"//VTK::Volume::Loop",[`    traverseMax(volTexture${e}, ${e}, ${e}, rayLengthSC, minPosSC, rayStepSC);`,`    computedColor = traverseVals[${e}];`,"//VTK::Volume::Loop"]).result:n===WF?a=mO.substitute(a,"//VTK::Volume::Loop",[`    traverseMin(volTexture${e}, ${e}, ${e}, rayLengthSC, minPosSC, rayStepSC);`,`    computedColor = traverseVals[${e}];`,"//VTK::Volume::Loop"]).result:n===HF?a=mO.substitute(a,"//VTK::Volume::Loop",[`    traverseAverage(volTexture${e}, ${e}, ${e}, rayLengthSC, minPosSC, rayStepSC);`,`    computedColor = traverseVals[${e}];`,"//VTK::Volume::Loop"]).result:n===$F&&(a=mO.substitute(a,"//VTK::Volume::Loop",[`    traverseAdditive(volTexture${e}, ${e}, ${e}, rayLengthSC, minPosSC, rayStepSC);`,`    computedColor = traverseVals[${e}];`,"//VTK::Volume::Loop"]).result)}l&&(a=mO.substitute(a,"//VTK::Volume::Loop",["    computedColor = composite(rayLengthSC, minPosSC, rayStepSC);"]).result),i.setCode(a)},t.shaderReplacements.set("replaceShaderVolume",e.replaceShaderVolume),e.updateLUTImage=n=>{let r=e.getMTime();for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable(),i=n.getMapper().getInputData();r=Math.max(r,n.getMTime(),i.getMTime())}if(r<t.lutBuildTime.getMTime())return;t.numRows=0,t.rowStarts=[];for(let e=0;e<t.volumes.length;e++){t.rowStarts.push(t.numRows);const n=t.volumes[e].getRenderable(),r=n.getMapper(),i=n.getProperty(),a=r.getInputData(),o=(a.getPointData()&&a.getPointData().getScalars()).getNumberOfComponents(),s=i.getIndependentComponents()?o:1;t.numRows+=s}const i=new Uint8ClampedArray(2*t.numRows*t.rowLength*4),a=new Float32Array(2*t.numRows*t.rowLength);let o=0;const s=new Float32Array(3*t.rowLength),l=t.rowLength;for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable(),r=n.getMapper(),c=n.getProperty(),u=r.getInputData(),d=(u.getPointData()&&u.getPointData().getScalars()).getNumberOfComponents(),f=c.getIndependentComponents()?d:1;for(let e=0;e<f;++e){const n=c.getRGBTransferFunction(e),r=n.getRange();n.getTable(r[0],r[1],l,s,1);let u=o*l*4;for(let e=0;e<l;++e){i[u+4*e]=255*s[3*e],i[u+4*e+1]=255*s[3*e+1],i[u+4*e+2]=255*s[3*e+2],i[u+4*e+3]=255;for(let t=0;t<4;t++)i[u+4*(l+e)+t]=i[u+4*e+t]}const d=c.getScalarOpacity(e),f=t.sampleDist/c.getScalarOpacityUnitDistance(e),p=d.getRange();d.getTable(p[0],p[1],l,s,1),u=o*l;for(let e=0;e<l;++e)a[u+e]=1-(1-s[e])**f,a[u+e+l]=a[u+e];o+=2}}{const e={nativeArray:i,width:t.rowLength,height:2*t.numRows,depth:1,format:"rgba8unorm"},r=n.getTextureManager().getTexture(e).createView("tfunTexture");t.textureViews[2]=r}{const e={nativeArray:a,width:t.rowLength,height:2*t.numRows,depth:1,format:"r16float"},r=n.getTextureManager().getTexture(e).createView("ofunTexture");t.textureViews[3]=r}t.lutBuildTime.modified()},e.updateSSBO=n=>{let r=Math.max(e.getMTime(),t.WebGPURenderer.getStabilizedTime());for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable(),i=n.getMapper(),a=i.getInputData();r=Math.max(r,n.getMTime(),a.getMTime(),i.getMTime())}if(r<t.SSBO.getSendTime())return;const i=t.WebGPURenderer.getStabilizedCenterByReference();t.SSBO.clearData(),t.SSBO.setNumberOfInstances(t.volumes.length);const a=new Float64Array(16*t.volumes.length),o=new Float64Array(16*t.volumes.length),s=new Float64Array(4*t.volumes.length),l=new Float64Array(4*t.volumes.length),c=new Float64Array(4*t.volumes.length),u=new Float64Array(4*t.volumes.length);for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable(),r=n.getMapper(),d=r.getInputData();S_(XF),P_(XF,XF,i);const f=n.getMatrix();T_(qF,f),C_(qF,qF),D_(XF,qF,XF);const p=d.getWorldToIndex();D_(XF,p,XF);const h=d.getDimensions();S_(qF),I_(qF,qF,[1/h[0],1/h[1],1/h[2]]),D_(XF,qF,XF);for(let t=0;t<16;t++)a[16*e+t]=XF[t];C_(XF,XF);for(let t=0;t<4;t++)o[16*e+4*t]=XF[4*t],o[16*e+4*t+1]=XF[4*t+1],o[16*e+4*t+2]=XF[4*t+2],o[16*e+4*t+3]=0;s[4*e]=1/h[0],s[4*e+1]=1/h[1],s[4*e+2]=1/h[2],s[4*e+3]=1,l[4*e]=n.getProperty().getShade()?1:0;const m=d.getSpacing();c[4*e]=m[0],c[4*e+1]=m[1],c[4*e+2]=m[2],c[4*e+3]=1;const g=t.textureViews[e+4].getTexture().getScale(),v=r.getIpScalarRange();u[4*e]=v[0]/g,u[4*e+1]=v[1]/g,u[4*e+2]=r.getFilterMode()}t.SSBO.addEntry("SCTCMatrix","mat4x4<f32>"),t.SSBO.addEntry("planeNormals","mat4x4<f32>"),t.SSBO.addEntry("shade","vec4<f32>"),t.SSBO.addEntry("tstep","vec4<f32>"),t.SSBO.addEntry("spacing","vec4<f32>"),t.SSBO.addEntry("ipScalarRange","vec4<f32>"),t.SSBO.setAllInstancesFromArray("SCTCMatrix",a),t.SSBO.setAllInstancesFromArray("planeNormals",o),t.SSBO.setAllInstancesFromArray("shade",l),t.SSBO.setAllInstancesFromArray("tstep",s),t.SSBO.setAllInstancesFromArray("spacing",c),t.SSBO.setAllInstancesFromArray("ipScalarRange",u),t.SSBO.send(n),t.componentSSBO.clearData(),t.componentSSBO.setNumberOfInstances(t.numRows);const d=new Float64Array(t.numRows),f=new Float64Array(t.numRows),p=new Float64Array(t.numRows),h=new Float64Array(t.numRows),m=new Float64Array(t.numRows),g=new Float64Array(t.numRows),v=new Float64Array(t.numRows),y=new Float64Array(t.numRows);let b=0;for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable(),r=n.getMapper(),i=n.getProperty(),a=r.getInputData(),o=(a.getPointData()&&a.getPointData().getScalars()).getNumberOfComponents(),s=i.getIndependentComponents(),l=t.textureViews[e+4].getTexture().getFormat(),c=AO.getDetailsFromTextureFormat(l),u={scale:[255],offset:[0]};2===c.elementSize&&"float"===c.sampleType&&(u.scale[0]=1);for(let e=0;e<o;e++){const t=s?e:0,n=u.scale[e],r=i.getScalarOpacity(t).getRange(),a=n/(r[1]-r[0]),o=(u.offset[e]-r[0])/(r[1]-r[0]);h[b]=o,p[b]=a;const l=i.getRGBTransferFunction(t).getRange();if(f[b]=(u.offset[e]-l[0])/(l[1]-l[0]),d[b]=n/(l[1]-l[0]),i.getUseGradientOpacity(t)){const e=i.getGradientOpacityMinimumOpacity(t),r=i.getGradientOpacityMaximumOpacity(t);m[b]=e,g[b]=r;const a=[i.getGradientOpacityMinimumValue(t),i.getGradientOpacityMaximumValue(t)];y[b]=n*(r-e)/(a[1]-a[0]),v[b]=-a[0]*(r-e)/(a[1]-a[0])+e}else m[b]=1,g[b]=1,y[b]=0,v[b]=1;b++}}t.componentSSBO.addEntry("cScale","f32"),t.componentSSBO.addEntry("cShift","f32"),t.componentSSBO.addEntry("oScale","f32"),t.componentSSBO.addEntry("oShift","f32"),t.componentSSBO.addEntry("goShift","f32"),t.componentSSBO.addEntry("goScale","f32"),t.componentSSBO.addEntry("gomin","f32"),t.componentSSBO.addEntry("gomax","f32"),t.componentSSBO.setAllInstancesFromArray("cScale",d),t.componentSSBO.setAllInstancesFromArray("cShift",f),t.componentSSBO.setAllInstancesFromArray("oScale",p),t.componentSSBO.setAllInstancesFromArray("oShift",h),t.componentSSBO.setAllInstancesFromArray("goScale",y),t.componentSSBO.setAllInstancesFromArray("goShift",v),t.componentSSBO.setAllInstancesFromArray("gomin",m),t.componentSSBO.setAllInstancesFromArray("gomax",g),t.componentSSBO.send(n)};const n=e.updateBuffers;e.updateBuffers=()=>{n();let r=t.volumes[0].getRenderable().getMapper().getSampleDistance();for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable().getMapper().getSampleDistance();n<r&&(r=n)}t.sampleDist!==r&&(t.sampleDist=r,t.UBO.setValue("SampleDistance",r),t.UBO.sendIfNeeded(t.device));for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable().getMapper().getInputData(),r=t.device.getTextureManager().getTextureForImageData(n);if(!t.textureViews[e+4]||t.textureViews[e+4].getTexture()!==r){const n=r.createView(`volTexture${e}`);t.textureViews[e+4]=n}}if(t.volumes.length<t.lastVolumeLength)for(let e=t.volumes.length;e<t.lastVolumeLength;e++)t.textureViews.pop();t.lastVolumeLength=t.volumes.length,e.updateLUTImage(t.device),e.updateSSBO(t.device),t.clampSampler||(t.clampSampler=ek.newInstance({label:"clampSampler"}),t.clampSampler.create(t.device,{minFilter:"linear",magFilter:"linear"}))},e.computePipelineHash=()=>{t.pipelineHash="volfsq";for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable().getMapper().getBlendMode();t.pipelineHash+=`${n}`}},e.setVolumes=n=>{if(!t.volumes||t.volumes.length!==n.length)return t.volumes=[...n],void e.modified();for(let r=0;r<n.length;r++)if(n[r]!==t.volumes[r])return t.volumes=[...n],void e.modified()};const r=e.getBindables;e.getBindables=()=>{const e=r();return e.push(t.componentSSBO),e.push(t.clampSampler),e}}(e,t)}var JF={newInstance:Qw.newInstance(YF,"vtkWebGPUVolumePassFSQ"),extend:YF};const{Representation:ZF}=mE,{BufferUsage:QF,PrimitiveTypes:eB}=oN,tB=[[0,4,6],[0,6,2],[1,3,7],[1,7,5],[0,5,4],[0,1,5],[2,6,7],[2,7,3],[0,3,1],[0,2,3],[4,5,7],[4,7,6]],nB={colorTextureView:null,depthTextureView:null,volumes:null};function rB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,nB,n),DL.extend(e,t,n),t._mapper=PO.newInstance(),t._mapper.setFragmentShaderTemplate("\n//VTK::Renderer::Dec\n\n//VTK::Select::Dec\n\n//VTK::VolumePass::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output : fragmentOutput;\n\n  //VTK::Select::Impl\n\n  //VTK::TCoord::Impl\n\n  //VTK::VolumePass::Impl\n\n  // use the maximum (closest) of the current value and the zbuffer\n  // the blend func will then take the min to find the farthest stop value\n  var stopval: f32 = max(input.fragPos.z, textureLoad(opaquePassDepthTexture, vec2<i32>(i32(input.fragPos.x), i32(input.fragPos.y)), 0));\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n"),t._mapper.getShaderReplacements().set("replaceShaderVolumePass",((e,t,n)=>{t.getShaderDescription("fragment").addBuiltinInput("vec4<f32>","@builtin(position) fragPos")})),t._boundsPoly=YD.newInstance(),t._lastMTimes=[],Qw.setGet(e,t,["colorTextureView","depthTextureView"]),function(e,t){t.classHierarchy.push("vtkWebGPUVolumePass"),e.initialize=n=>{t._clearEncoder||e.createClearEncoder(n),t._mergeEncoder||e.createMergeEncoder(n),t._copyEncoder||e.createCopyEncoder(n),t._depthRangeEncoder||e.createDepthRangeEncoder(n),t.fullScreenQuad||(t.fullScreenQuad=JF.newInstance(),t.fullScreenQuad.setDevice(n.getDevice()),t.fullScreenQuad.setTextureViews([...t._depthRangeEncoder.getColorTextureViews()])),t._volumeCopyQuad||(t._volumeCopyQuad=NO.newInstance(),t._volumeCopyQuad.setPipelineHash("volpassfsq"),t._volumeCopyQuad.setDevice(n.getDevice()),t._volumeCopyQuad.setFragmentShaderTemplate("\n//VTK::Renderer::Dec\n\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var computedColor: vec4<f32> = textureSample(volumePassColorTexture,\n    volumePassColorTextureSampler, mapperUBO.tscale*input.tcoordVS);\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n"),t._copyUBO=gN.newInstance({label:"mapperUBO"}),t._copyUBO.addEntry("tscale","vec2<f32>"),t._volumeCopyQuad.setUBO(t._copyUBO),t._volumeCopyQuad.setTextureViews([t._colorTextureView]))},e.traverse=(n,r)=>{if(t.deleted)return;t._currentParent=r,e.initialize(r),e.computeTiming(r),e.renderDepthBounds(n,r),t._firstGroup=!0;const i=r.getDevice(),a=i.getHandle().limits.maxSampledTexturesPerShaderStage-4;if(t.volumes.length>a){const i=n.getRenderable().getActiveCamera().getPosition(),o=[];for(let e=0;e<t.volumes.length;e++){const n=t.volumes[e].getRenderable().getBounds(),r=[.5*(n[1]+n[0]),.5*(n[3]+n[2]),.5*(n[5]+n[4])];o[e]=PT(r,i)}const s=[...Array(t.volumes.length).keys()];s.sort(((e,t)=>o[t]-o[e]));let l=[],c=s.length%a;for(let i=0;i<s.length;i++)l.push(t.volumes[s[i]]),l.length>=c&&(e.rayCastPass(r,n,l),l=[],c=a,t._firstGroup=!1)}else e.rayCastPass(r,n,t.volumes);if(t._volumeCopyQuad.setWebGPURenderer(n),t._useSmallViewport){const e=t._colorTextureView.getTexture().getWidth(),n=t._colorTextureView.getTexture().getHeight();t._copyUBO.setArray("tscale",[t._smallViewportWidth/e,t._smallViewportHeight/n])}else t._copyUBO.setArray("tscale",[1,1]);t._copyUBO.sendIfNeeded(i),t._copyEncoder.setColorTextureView(0,t.colorTextureView),t._copyEncoder.attachTextureViews(),t._copyEncoder.begin(r.getCommandEncoder()),n.scissorAndViewport(t._copyEncoder),t._volumeCopyQuad.prepareAndDraw(t._copyEncoder),t._copyEncoder.end()},e.delete=Qw.chain((()=>{t._animationRateSubscription&&(t._animationRateSubscription.unsubscribe(),t._animationRateSubscription=null)}),e.delete),e.computeTiming=e=>{const n=e.getRenderable().getInteractor();if(null==t._lastScale){const e=t.volumes[0].getRenderable().getMapper();t._lastScale=e.getInitialInteractionScale()||1}t._useSmallViewport=!1,n.isAnimating()&&t._lastScale>1.5&&(t._useSmallViewport=!0),t._colorTexture.resize(e.getCanvas().width,e.getCanvas().height),t._animationRateSubscription||(t._animationRateSubscription=n.onAnimationFrameRateUpdate((()=>{const e=t.volumes[0].getRenderable().getMapper();if(e.getAutoAdjustSampleDistances()){const e=n.getRecentAnimationFrameRate(),r=t._lastScale*n.getDesiredUpdateRate()/e;t._lastScale=r,t._lastScale>400&&(t._lastScale=400)}else t._lastScale=e.getImageSampleDistance()*e.getImageSampleDistance();t._lastScale<1.5&&(t._lastScale=1.5)})))},e.rayCastPass=(e,n,r)=>{const i=t._firstGroup?t._clearEncoder:t._mergeEncoder;i.attachTextureViews(),i.begin(e.getCommandEncoder());let a=t._colorTextureView.getTexture().getWidth(),o=t._colorTextureView.getTexture().getHeight();if(t._useSmallViewport){const n=e.getCanvas(),r=1/Math.sqrt(t._lastScale);t._smallViewportWidth=Math.ceil(r*n.width),t._smallViewportHeight=Math.ceil(r*n.height),a=t._smallViewportWidth,o=t._smallViewportHeight}i.getHandle().setViewport(0,0,a,o,0,1),i.getHandle().setScissorRect(0,0,a,o),t.fullScreenQuad.setWebGPURenderer(n),t.fullScreenQuad.setVolumes(r),t.fullScreenQuad.prepareAndDraw(i),i.end()},e.renderDepthBounds=(n,r)=>{e.updateDepthPolyData(n);const i=t._boundsPoly,a=i.getPoints(),o=i.getPolys();let s={hash:`vp${o.getMTime()}`,usage:QF.Index,cells:o,numberOfPoints:a.getNumberOfPoints(),primitiveType:eB.Triangles,representation:ZF.SURFACE};const l=r.getDevice().getBufferManager().getBuffer(s);t._mapper.getVertexInput().setIndexBuffer(l),s={usage:QF.PointArray,format:"float32x4",hash:`vp${a.getMTime()}${o.getMTime()}`,dataArray:a,indexBuffer:l,packExtra:!0};const c=r.getDevice().getBufferManager().getBuffer(s);t._mapper.getVertexInput().addBuffer(c,["vertexBC"]),t._mapper.setNumberOfVertices(c.getSizeInBytes()/c.getStrideInBytes()),e.drawDepthRange(n,r)},e.updateDepthPolyData=e=>{let n=!1;for(let e=0;e<t.volumes.length;e++){const r=t.volumes[e].getMTime();t._lastMTimes[e]&&r===t._lastMTimes[e]||(n=!0,t._lastMTimes[e]=r)}const r=e.getStabilizedTime();if((t._lastMTimes.length<=t.volumes.length||r!==t._lastMTimes[t.volumes.length])&&(n=!0,t._lastMTimes[t.volumes.length]=r),!n)return;const i=e.getStabilizedCenterByReference(),a=8*t.volumes.length,o=new Float64Array(3*a),s=12*t.volumes.length,l=new Uint16Array(4*s);for(let e=0;e<t.volumes.length;e++){t.volumes[e].getBoundingCubePoints(o,24*e);let n=12*e*4;const r=8*e;for(let e=0;e<12;e++)l[n++]=3,l[n++]=r+tB[e][0],l[n++]=r+tB[e][1],l[n++]=r+tB[e][2]}for(let e=0;e<o.length;e+=3)o[e]-=i[0],o[e+1]-=i[1],o[e+2]-=i[2];t._boundsPoly.getPoints().setData(o,3),t._boundsPoly.getPoints().modified(),t._boundsPoly.getPolys().setData(l,1),t._boundsPoly.getPolys().modified(),t._boundsPoly.modified()},e.drawDepthRange=(n,r)=>{t._depthRangeTexture.resizeToMatch(t.colorTextureView.getTexture()),t._depthRangeTexture2.resizeToMatch(t.colorTextureView.getTexture()),t._depthRangeEncoder.attachTextureViews(),e.setCurrentOperation("volumeDepthRangePass"),n.setRenderEncoder(t._depthRangeEncoder),n.volumeDepthRangePass(!0),t._mapper.setWebGPURenderer(n),t._mapper.prepareToDraw(t._depthRangeEncoder),t._mapper.registerDrawCallback(t._depthRangeEncoder),n.volumeDepthRangePass(!1)},e.createDepthRangeEncoder=e=>{const n=e.getDevice();t._depthRangeEncoder=RF.newInstance({label:"VolumePass DepthRange"}),t._depthRangeEncoder.setPipelineHash("volr"),t._depthRangeEncoder.setReplaceShaderCodeFunction((e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<f32>","outColor1"),t.addOutput("vec4<f32>","outColor2");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["output.outColor1 = vec4<f32>(input.fragPos.z, 0.0, 0.0, 0.0);","output.outColor2 = vec4<f32>(stopval, 0.0, 0.0, 0.0);"]).result,t.setCode(n)})),t._depthRangeEncoder.setDescription({colorAttachments:[{view:null,clearValue:[0,0,0,0],loadOp:"clear",storeOp:"store"},{view:null,clearValue:[1,1,1,1],loadOp:"clear",storeOp:"store"}]}),t._depthRangeEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:"r16float",blend:{color:{srcFactor:"one",dstFactor:"one",operation:"max"},alpha:{srcfactor:"one",dstFactor:"one",operation:"max"}}},{format:"r16float",blend:{color:{srcFactor:"one",dstFactor:"one",operation:"min"},alpha:{srcfactor:"one",dstFactor:"one",operation:"min"}}}]}}),t._depthRangeTexture=sk.newInstance({label:"volumePassMaxDepth"}),t._depthRangeTexture.create(n,{width:e.getCanvas().width,height:e.getCanvas().height,format:"r16float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING});const r=t._depthRangeTexture.createView("maxTexture");t._depthRangeEncoder.setColorTextureView(0,r),t._depthRangeTexture2=sk.newInstance({label:"volumePassDepthMin"}),t._depthRangeTexture2.create(n,{width:e.getCanvas().width,height:e.getCanvas().height,format:"r16float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING});const i=t._depthRangeTexture2.createView("minTexture");t._depthRangeEncoder.setColorTextureView(1,i),t._mapper.setDevice(e.getDevice()),t._mapper.setTextureViews([t.depthTextureView])},e.createClearEncoder=e=>{t._colorTexture=sk.newInstance({label:"volumePassColor"}),t._colorTexture.create(e.getDevice(),{width:e.getCanvas().width,height:e.getCanvas().height,format:"bgra8unorm",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_SRC}),t._colorTextureView=t._colorTexture.createView("volumePassColorTexture"),t._colorTextureView.addSampler(e.getDevice(),{minFilter:"linear",magFilter:"linear"}),t._clearEncoder=RF.newInstance({label:"VolumePass Clear"}),t._clearEncoder.setColorTextureView(0,t._colorTextureView),t._clearEncoder.setDescription({colorAttachments:[{view:null,clearValue:[0,0,0,0],loadOp:"clear",storeOp:"store"}]}),t._clearEncoder.setPipelineHash("volpf"),t._clearEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:"bgra8unorm",blend:{color:{srcFactor:"src-alpha",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}})},e.createCopyEncoder=e=>{t._copyEncoder=RF.newInstance({label:"volumePassCopy"}),t._copyEncoder.setDescription({colorAttachments:[{view:null,loadOp:"load",storeOp:"store"}]}),t._copyEncoder.setPipelineHash("volcopypf"),t._copyEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:"rgba16float",blend:{color:{srcFactor:"one",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}})},e.createMergeEncoder=e=>{t._mergeEncoder=RF.newInstance({label:"volumePassMerge"}),t._mergeEncoder.setColorTextureView(0,t._colorTextureView),t._mergeEncoder.setDescription({colorAttachments:[{view:null,loadOp:"load",storeOp:"store"}]}),t._mergeEncoder.setReplaceShaderCodeFunction((e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<f32>","outColor");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["output.outColor = vec4<f32>(computedColor.rgb, computedColor.a);"]).result,t.setCode(n)})),t._mergeEncoder.setPipelineHash("volpf"),t._mergeEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:"bgra8unorm",blend:{color:{srcFactor:"src-alpha",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}})},e.setVolumes=n=>{if(!t.volumes||t.volumes.length!==n.length)return t.volumes=[...n],void e.modified();for(let r=0;r<n.length;r++)if(n[r]!==t.volumes[r])return t.volumes=[...n],void e.modified()}}(e,t)}var iB={newInstance:Qw.newInstance(rB,"vtkWebGPUVolumePass"),extend:rB};const aB={opaqueActorCount:0,translucentActorCount:0,volumes:null,opaqueRenderEncoder:null,translucentPass:null,volumePass:null};function oB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,aB,n),DL.extend(e,t,n),Qw.setGet(e,t,["opaquePass","translucentPass","volumePass"]),function(e,t){t.classHierarchy.push("vtkForwardPass"),e.traverse=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(t.deleted)return;t._currentParent=r,e.setCurrentOperation("buildPass"),n.traverse(e),t.opaquePass||(t.opaquePass=BF.newInstance());const i=n.getRenderable().getNumberOfLayers(),a=n.getChildren();for(let r=0;r<i;r++)for(let i=0;i<a.length;i++){const o=a[i],s=n.getRenderable().getRenderers()[i];s.getDraw()&&s.getLayer()===r&&(t.opaqueActorCount=0,t.translucentActorCount=0,t.volumes=[],e.setCurrentOperation("queryPass"),o.traverse(e),e.setCurrentOperation("cameraPass"),o.traverse(e),t.opaquePass.traverse(o,n),t.translucentActorCount>0&&(t.translucentPass||(t.translucentPass=GF.newInstance()),t.translucentPass.setColorTextureView(t.opaquePass.getColorTextureView()),t.translucentPass.setDepthTextureView(t.opaquePass.getDepthTextureView()),t.translucentPass.traverse(o,n)),t.volumes.length>0&&(t.volumePass||(t.volumePass=iB.newInstance()),t.volumePass.setColorTextureView(t.opaquePass.getColorTextureView()),t.volumePass.setDepthTextureView(t.opaquePass.getDepthTextureView()),t.volumePass.setVolumes(t.volumes),t.volumePass.traverse(o,n)),e.finalPass(n,o))}},e.finalPass=(n,r)=>{t._finalBlitEncoder||e.createFinalBlitEncoder(n),t._finalBlitOutputTextureView.createFromTextureHandle(n.getCurrentTexture(),{depth:1,format:n.getPresentationFormat()}),t._finalBlitEncoder.attachTextureViews(),t._finalBlitEncoder.begin(n.getCommandEncoder()),r.scissorAndViewport(t._finalBlitEncoder),t._fullScreenQuad.prepareAndDraw(t._finalBlitEncoder),t._finalBlitEncoder.end()},e.createFinalBlitEncoder=e=>{t._finalBlitEncoder=RF.newInstance({label:"forwardPassBlit"}),t._finalBlitEncoder.setDescription({colorAttachments:[{view:null,loadOp:"load",storeOp:"store"}]}),t._finalBlitEncoder.setPipelineHash("fpf"),t._finalBlitEncoder.setPipelineSettings({primitive:{cullMode:"none"},fragment:{targets:[{format:e.getPresentationFormat(),blend:{color:{srcFactor:"src-alpha",dstFactor:"one-minus-src-alpha"},alpha:{srcfactor:"one",dstFactor:"one-minus-src-alpha"}}}]}}),t._fsqSampler=ek.newInstance({label:"finalPassSampler"}),t._fsqSampler.create(e.getDevice(),{minFilter:"linear",magFilter:"linear"}),t._fullScreenQuad=NO.newInstance(),t._fullScreenQuad.setDevice(e.getDevice()),t._fullScreenQuad.setPipelineHash("fpfsq"),t._fullScreenQuad.setTextureViews([t.opaquePass.getColorTextureView()]),t._fullScreenQuad.setAdditionalBindables([t._fsqSampler]),t._fullScreenQuad.setFragmentShaderTemplate("\n//VTK::Mapper::Dec\n\n//VTK::TCoord::Dec\n\n//VTK::RenderEncoder::Dec\n\n//VTK::IOStructs::Dec\n\n@fragment\nfn main(\n//VTK::IOStructs::Input\n)\n//VTK::IOStructs::Output\n{\n  var output: fragmentOutput;\n\n  var computedColor: vec4<f32> = clamp(textureSampleLevel(opaquePassColorTexture, finalPassSampler, input.tcoordVS, 0.0),vec4<f32>(0.0),vec4<f32>(1.0));\n\n  //VTK::RenderEncoder::Impl\n  return output;\n}\n"),t._finalBlitOutputTextureView=rk.newInstance(),t._finalBlitEncoder.setColorTextureView(0,t._finalBlitOutputTextureView)},e.incrementOpaqueActorCount=()=>t.opaqueActorCount++,e.incrementTranslucentActorCount=()=>t.translucentActorCount++,e.addVolume=e=>{t.volumes.push(e)}}(e,t)}var sB={newInstance:Qw.newInstance(oB,"vtkForwardPass"),extend:oB};const{VtkDataTypes:lB}=NE,cB={handle:null,device:null};function uB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,cB,n),Qw.obj(e,t),Qw.setGet(e,t,["device"]),function(e,t){function n(e){if(e.imageData){e.dataArray=e.imageData.getPointData().getScalars(),e.time=e.dataArray.getMTime(),e.nativeArray=e.dataArray.getData();const t=e.imageData.getDimensions();switch(e.width=t[0],e.height=t[1],e.depth=t[2],e.dataArray.getNumberOfComponents()){case 1:e.format="r";break;case 2:e.format="rg";break;default:e.format="rgba"}switch(e.dataArray.getDataType()){case lB.UNSIGNED_CHAR:e.format+="8unorm";break;case lB.FLOAT:case lB.UNSIGNED_INT:case lB.INT:case lB.DOUBLE:case lB.UNSIGNED_SHORT:case lB.SHORT:default:e.format+="16float"}}e.image&&(e.width=e.image.width,e.height=e.image.height,e.depth=1,e.format="rgba8unorm"),e.jsImageData&&(e.width=e.jsImageData.width,e.height=e.jsImageData.height,e.depth=1,e.format="rgba8unorm",e.flip=!0,e.nativeArray=e.jsImageData.data),e.canvas&&(e.width=e.canvas.width,e.height=e.canvas.height,e.depth=1,e.format="rgba8unorm",e.flip=!0,e.usage=GPUTextureUsage.TEXTURE_BINDING|GPUTextureUsage.COPY_DST|GPUTextureUsage.RENDER_ATTACHMENT)}function r(e){const n=sk.newInstance();return n.create(t.device,{width:e.width,height:e.height,depth:e.depth,format:e.format,usage:e.usage,mipLevel:e.mipLevel}),(e.nativeArray||e.image||e.canvas)&&n.writeImageData(e),n}t.classHierarchy.push("vtkWebGPUTextureManager"),e.getTexture=e=>e.hash?t.device.getCachedObject(e.hash,r,e):r(e),e.getTextureForImageData=e=>{const r={time:e.getMTime()};return r.imageData=e,n(r),r.hash=r.time+r.format+r.mipLevel,t.device.getTextureManager().getTexture(r)},e.getTextureForVTKTexture=e=>{const r={time:e.getMTime()};return e.getInputData()?r.imageData=e.getInputData():e.getImage()?r.image=e.getImage():e.getJsImageData()?r.jsImageData=e.getJsImageData():e.getCanvas()&&(r.canvas=e.getCanvas()),n(r),r.mipLevel=e.getMipLevel(),r.hash=r.time+r.format+r.mipLevel,t.device.getTextureManager().getTexture(r)}}(e,t)}var dB={newInstance:Qw.newInstance(uB),extend:uB};class fB extends Map{constructor(){super(),this.registry=new FinalizationRegistry((e=>{const t=super.get(e);t&&t.deref&&void 0===t.deref()&&super.delete(e)}))}getValue(e){const t=super.get(e);if(t){const n=t.deref();if(void 0!==n)return n;super.delete(e)}}setValue(e,t){let n;return t&&"object"==typeof t&&(n=new WeakRef(t),this.registry.register(t,e),super.set(e,n)),n}}const pB={handle:null,pipelines:null,shaderCache:null,bindGroupLayouts:null,bufferManager:null,textureManager:null};function hB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,pB,n),Cw(e,t),Ow(e,t,["handle"]),Mw(e,t,["bufferManager","shaderCache","textureManager"]),t.objectCache=new fB,t.shaderCache=mO.newInstance(),t.shaderCache.setDevice(e),t.bindGroupLayouts=[],t.bufferManager=oN.newInstance(),t.bufferManager.setDevice(e),t.textureManager=dB.newInstance(),t.textureManager.setDevice(e),t.pipelines={},function(e,t){t.classHierarchy.push("vtkWebGPUDevice"),e.initialize=e=>{t.handle=e},e.createCommandEncoder=()=>t.handle.createCommandEncoder(),e.submitCommandEncoder=e=>{t.handle.queue.submit([e.finish()])},e.getShaderModule=e=>t.shaderCache.getShaderModule(e),e.getBindGroupLayout=e=>{if(!e.entries)return null;for(let t=0;t<e.entries.length;t++){const n=e.entries[t];n.binding=n.binding||0,n.visibility=n.visibility||GPUShaderStage.VERTEX|GPUShaderStage.FRAGMENT}const n=JSON.stringify(e);for(let e=0;e<t.bindGroupLayouts.length;e++)if(t.bindGroupLayouts[e].sval===n)return t.bindGroupLayouts[e].layout;const r=t.handle.createBindGroupLayout(e);return t.bindGroupLayouts.push({sval:n,layout:r}),r},e.getBindGroupLayoutDescription=e=>{for(let n=0;n<t.bindGroupLayouts.length;n++)if(t.bindGroupLayouts[n].layout===e)return t.bindGroupLayouts[n].sval;return vtkErrorMacro("layout not found"),console.trace(),null},e.getPipeline=e=>e in t.pipelines?t.pipelines[e]:null,e.createPipeline=(n,r)=>{r.initialize(e,n),t.pipelines[n]=r},e.onSubmittedWorkDone=()=>t.handle.queue.onSubmittedWorkDone(),e.hasCachedObject=e=>t.objectCache.getValue(e),e.getCachedObject=function(e,n){if(!e)return vtkErrorMacro("attempt to cache an object without a hash"),null;const r=t.objectCache.getValue(e);if(r)return r;for(var i=arguments.length,a=new Array(i>2?i-2:0),o=2;o<i;o++)a[o-2]=arguments[o];const s=n(...a);return t.objectCache.setValue(e,s),s}}(e,t)}var mB={newInstance:Vw(hB,"vtkWebGPUDevice"),extend:hB};const gB={selectionRenderEncoder:null,colorTexture:null,depthTexture:null};function vB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,gB,n),DL.extend(e,t,n),Qw.get(e,t,["colorTexture","depthTexture"]),function(e,t){t.classHierarchy.push("vtkWebGPUHardwareSelectionPass"),e.traverse=(n,r)=>{if(t.deleted)return;t._currentParent=null,e.setCurrentOperation("buildPass"),n.traverse(e);const i=n.getDevice();if(t.selectionRenderEncoder)t.colorTexture.resize(n.getCanvas().width,n.getCanvas().height),t.depthTexture.resizeToMatch(t.colorTexture);else{e.createRenderEncoder(),t.colorTexture=sk.newInstance({label:"hardwareSelectorColor"}),t.colorTexture.create(i,{width:n.getCanvas().width,height:n.getCanvas().height,format:"rgba32uint",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.COPY_SRC});const r=t.colorTexture.createView("hardwareSelectColorTexture");t.selectionRenderEncoder.setColorTextureView(0,r),t.depthTexture=sk.newInstance({label:"hardwareSelectorDepth"}),t.depthTexture.create(i,{width:n.getCanvas().width,height:n.getCanvas().height,format:"depth32float",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.COPY_SRC});const a=t.depthTexture.createView("hardwareSelectDepthTexture");t.selectionRenderEncoder.setDepthTextureView(a)}t.selectionRenderEncoder.attachTextureViews(),r.setRenderEncoder(t.selectionRenderEncoder),e.setCurrentOperation("cameraPass"),r.traverse(e),e.setCurrentOperation("opaquePass"),r.traverse(e)},e.createRenderEncoder=()=>{t.selectionRenderEncoder=RF.newInstance({label:"HardwareSelectionPass"}),t.selectionRenderEncoder.setPipelineHash("sel"),t.selectionRenderEncoder.setReplaceShaderCodeFunction((e=>{const t=e.getShaderDescription("fragment");t.addOutput("vec4<u32>","outColor");let n=t.getCode();n=mO.substitute(n,"//VTK::RenderEncoder::Impl",["output.outColor = vec4<u32>(mapperUBO.PropID, compositeID, 0u, 0u);"]).result,t.setCode(n)})),t.selectionRenderEncoder.getDescription().colorAttachments[0].clearValue=[0,0,0,0],t.selectionRenderEncoder.setPipelineSettings({primitive:{cullMode:"none"},depthStencil:{depthWriteEnabled:!0,depthCompare:"greater",format:"depth32float"},fragment:{targets:[{format:"rgba32uint",blend:void 0}]}})}}(e,t)}var yB={newInstance:Qw.newInstance(vB,"vtkWebGPUHardwareSelectionPass"),extend:vB};const{SelectionContent:bB,SelectionField:_B}=HL,{FieldAssociations:xB}=ZE,{vtkErrorMacro:wB}=Qw;function AB(e){return`${e.propID} ${e.compositeID}`}function SB(e,t,n,r){const i=4*((n.height-t-1)*n.colorBufferWidth+e)+r;return n.colorValues[i]}function TB(e,t,n,r){const i=n<0?0:n;if(0===i){if(r[0]=t[0],r[1]=t[1],t[0]<0||t[0]>=e.width||t[1]<0||t[1]>=e.height)return null;const n=SB(t[0],t[1],e,0);if(n<=0)return null;const i={};i.propID=n;let a=SB(t[0],t[1],e,1);if((a<0||a>16777215)&&(a=0),i.compositeID=a,e.captureZValues){const n=(e.height-t[1]-1)*e.zbufferBufferWidth+t[0];i.zValue=e.depthValues[n],i.zValue=e.webGPURenderer.convertToOpenGLDepth(i.zValue),i.displayPosition=t}return i}const a=[t[0],t[1]],o=[0,0];let s=TB(e,t,0,r);if(s)return s;for(let t=1;t<i;++t){for(let n=a[1]>t?a[1]-t:0;n<=a[1]+t;++n){if(o[1]=n,a[0]>=t&&(o[0]=a[0]-t,s=TB(e,o,0,r),s))return s;if(o[0]=a[0]+t,s=TB(e,o,0,r),s)return s}for(let n=a[0]>=t?a[0]-(t-1):0;n<=a[0]+(t-1);++n){if(o[0]=n,a[1]>=t&&(o[1]=a[1]-t,s=TB(e,o,0,r),s))return s;if(o[1]=a[1]+t,s=TB(e,o,0,r),s)return s}}return r[0]=t[0],r[1]=t[1],null}const CB={};function EB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,CB,n),zL.extend(e,t,n),t._selectionPass=yB.newInstance(),Qw.setGet(e,t,["_WebGPURenderWindow"]),Qw.moveToProtected(e,t,["WebGPURenderWindow"]),function(e,t){t.classHierarchy.push("vtkWebGPUHardwareSelector"),e.endSelection=()=>{t.WebGPURenderer.setSelector(null)},e.getSourceDataAsync=async e=>{if(!e||!t._WebGPURenderWindow)return wB("Renderer and view must be set before calling Select."),!1;t._WebGPURenderWindow.getRenderable().preRender(),t._WebGPURenderWindow.getInitialized()||(t._WebGPURenderWindow.initialize(),await new Promise((e=>{t._WebGPURenderWindow.onInitialized(e)})));const n=t._WebGPURenderWindow.getViewNodeFor(e);if(!n)return!1;const r=n.getSuppressClear();n.setSuppressClear(!0),t._selectionPass.traverse(t._WebGPURenderWindow,n),n.setSuppressClear(r);const i=t._WebGPURenderWindow.getDevice(),a=t._selectionPass.getColorTexture(),o=t._selectionPass.getDepthTexture(),s={area:[0,0,a.getWidth()-1,a.getHeight()-1],captureZValues:t.captureZValues,fieldAssociation:t.fieldAssociation,renderer:e,webGPURenderer:n,webGPURenderWindow:t._WebGPURenderWindow,width:a.getWidth(),height:a.getHeight()};s.colorBufferWidth=16*Math.floor((s.width+15)/16),s.colorBufferSizeInBytes=s.colorBufferWidth*s.height*4*4;const l=BO.newInstance({label:"hardwareSelectColorBuffer"});l.setDevice(i),l.create(s.colorBufferSizeInBytes,GPUBufferUsage.MAP_READ|GPUBufferUsage.COPY_DST);const c=t._WebGPURenderWindow.getCommandEncoder();let u;c.copyTextureToBuffer({texture:a.getHandle()},{buffer:l.getHandle(),bytesPerRow:16*s.colorBufferWidth,rowsPerImage:s.height},{width:s.width,height:s.height,depthOrArrayLayers:1}),t.captureZValues&&(s.zbufferBufferWidth=64*Math.floor((s.width+63)/64),u=BO.newInstance({label:"hardwareSelectDepthBuffer"}),u.setDevice(i),s.zbufferSizeInBytes=s.height*s.zbufferBufferWidth*4,u.create(s.zbufferSizeInBytes,GPUBufferUsage.MAP_READ|GPUBufferUsage.COPY_DST),c.copyTextureToBuffer({texture:o.getHandle(),aspect:"depth-only"},{buffer:u.getHandle(),bytesPerRow:4*s.zbufferBufferWidth,rowsPerImage:s.height},{width:s.width,height:s.height,depthOrArrayLayers:1})),i.submitCommandEncoder(c);const d=l.mapAsync(GPUMapMode.READ);if(t.captureZValues){const e=u.mapAsync(GPUMapMode.READ);await Promise.all([d,e]),s.depthValues=new Float32Array(u.getMappedRange().slice()),u.unmap()}else await d;return s.colorValues=new Uint32Array(l.getMappedRange().slice()),l.unmap(),s.generateSelection=(e,t,n,r)=>function(e,t,n,r,i){const a=Math.floor(t),o=Math.floor(n),s=Math.floor(r),l=Math.floor(i),c=new Map,u=[0,0];for(let t=o;t<=l;t++)for(let n=a;n<=s;n++){const r=TB(e,[n,t],0,u);if(r){const t=AB(r);if(c.has(t)){const n=c.get(t);n.pixelCount++,e.captureZValues&&r.zValue<n.info.zValue&&(n.info=r),-1===n.attributeIDs.indexOf(r.attributeID)&&n.attributeIDs.push(r.attributeID)}else c.set(t,{info:r,pixelCount:1,attributeIDs:[r.attributeID]})}}return function(e,t,n){const r=[];let i=0;return t.forEach(((t,a)=>{const o=HL.newInstance();switch(o.setContentType(bB.INDICES),e){case xB.FIELD_ASSOCIATION_CELLS:o.setFieldType(_B.CELL);break;case xB.FIELD_ASSOCIATION_POINTS:o.setFieldType(_B.POINT);break;default:wB("Unknown field association")}o.getProperties().propID=t.info.propID;const s=n.webGPURenderer.getPropFromID(t.info.propID);o.getProperties().prop=s.getRenderable(),o.getProperties().compositeID=t.info.compositeID,o.getProperties().pixelCount=t.pixelCount,n.captureZValues&&(o.getProperties().displayPosition=[t.info.displayPosition[0],t.info.displayPosition[1],t.info.zValue],o.getProperties().worldPosition=n.webGPURenderWindow.displayToWorld(t.info.displayPosition[0],t.info.displayPosition[1],t.info.zValue,n.renderer)),o.setSelectionList(t.attributeIDs),r[i]=o,i++})),r}(e.fieldAssociation,c,e)}(s,e,t,n,r),s}}(e,t)}var MB={newInstance:Qw.newInstance(EB,"vtkWebGPUHardwareSelector"),extend:EB};const{vtkErrorMacro:DB}=Qw,PB={position:"absolute",top:0,left:0,width:"100%",height:"100%"};const IB={initialized:!1,context:null,adapter:null,device:null,canvas:null,cursorVisibility:!0,cursor:"pointer",containerSize:null,renderPasses:[],notifyStartCaptureImage:!1,imageFormat:"image/png",useOffScreen:!1,useBackgroundImage:!1,nextPropID:1,xrSupported:!1,presentationFormat:null};const OB=Qw.newInstance((function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,IB,n),t.canvas=document.createElement("canvas"),t.canvas.style.width="100%",t.bgImage=new Image,t.bgImage.style.position="absolute",t.bgImage.style.left="0",t.bgImage.style.top="0",t.bgImage.style.width="100%",t.bgImage.style.height="100%",t.bgImage.style.zIndex="-1",bF.extend(e,t,n),t.myFactory=iO.newInstance(),t.renderPasses[0]=sB.newInstance(),t.selector||(t.selector=MB.newInstance(),t.selector.setWebGPURenderWindow(e)),Qw.event(e,t,"imageReady"),Qw.event(e,t,"initialized"),Qw.get(e,t,["commandEncoder","device","presentationFormat","useBackgroundImage","xrSupported"]),Qw.setGet(e,t,["initialized","context","canvas","device","renderPasses","notifyStartCaptureImage","cursor","useOffScreen"]),Qw.setGetArray(e,t,["size"],2),Qw.event(e,t,"windowResizeEvent"),function(e,t){t.classHierarchy.push("vtkWebGPURenderWindow"),e.getViewNodeFactory=()=>t.myFactory;const n=[0,0];e.onModified((function(){t.renderable&&(t.size[0]===n[0]&&t.size[1]===n[1]||(n[0]=t.size[0],n[1]=t.size[1],t.canvas.setAttribute("width",t.size[0]),t.canvas.setAttribute("height",t.size[1]),e.recreateSwapChain())),t.viewStream&&t.viewStream.setSize(t.size[0],t.size[1]),t.canvas.style.display=t.useOffScreen?"none":"block",t.el&&(t.el.style.cursor=t.cursorVisibility?t.cursor:"none"),t.containerSize=null})),e.recreateSwapChain=()=>{t.context&&(t.context.unconfigure(),t.presentationFormat=navigator.gpu.getPreferredCanvasFormat(t.adapter),t.context.configure({device:t.device.getHandle(),format:t.presentationFormat,alphaMode:"premultiplied",usage:GPUTextureUsage.RENDER_ATTACHMENT|GPUTextureUsage.COPY_DST,width:t.size[0],height:t.size[1]}),t._configured=!0)},e.getCurrentTexture=()=>t.context.getCurrentTexture(),e.buildPass=n=>{if(n){if(!t.renderable)return;e.prepareNodes(),e.addMissingNodes(t.renderable.getRenderersByReference()),e.removeUnusedNodes(),e.initialize()}else t.initialized&&(t._configured||e.recreateSwapChain(),t.commandEncoder=t.device.createCommandEncoder())},e.initialize=()=>{if(!t.initializing){if(t.initializing=!0,!navigator.gpu)return void DB("WebGPU is not enabled.");e.create3DContextAsync().then((()=>{t.initialized=!0,t.deleted||e.invokeInitialized()}))}},e.setContainer=n=>{t.el&&t.el!==n&&(t.canvas.parentNode!==t.el&&DB("Error: canvas parent node does not match container"),t.el.removeChild(t.canvas),t.el.contains(t.bgImage)&&t.el.removeChild(t.bgImage)),t.el!==n&&(t.el=n,t.el&&(t.el.appendChild(t.canvas),t.useBackgroundImage&&t.el.appendChild(t.bgImage)),e.modified())},e.getContainer=()=>t.el,e.getContainerSize=()=>{if(!t.containerSize&&t.el){const{width:e,height:n}=t.el.getBoundingClientRect();t.containerSize=[e,n]}return t.containerSize||t.size},e.getFramebufferSize=()=>t.size,e.create3DContextAsync=async()=>{t.adapter=await navigator.gpu.requestAdapter({powerPreference:"high-performance"}),t.deleted||(t.device=mB.newInstance(),t.device.initialize(await t.adapter.requestDevice()),t.deleted?t.device=null:t.context=t.canvas.getContext("webgpu"))},e.releaseGraphicsResources=()=>{const n=DL.newInstance();n.setCurrentOperation("Release"),n.traverse(e,null),t.adapter=null,t.device=null,t.context=null,t.initialized=!1,t.initializing=!1},e.setBackgroundImage=e=>{t.bgImage.src=e.src},e.setUseBackgroundImage=e=>{t.useBackgroundImage=e,t.useBackgroundImage&&!t.el.contains(t.bgImage)?t.el.appendChild(t.bgImage):!t.useBackgroundImage&&t.el.contains(t.bgImage)&&t.el.removeChild(t.bgImage)},e.captureNextImage=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"image/png",{resetCamera:r=!1,size:i=null,scale:a=1}=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(t.deleted)return null;t.imageFormat=n;const o=t.notifyStartCaptureImage;return t.notifyStartCaptureImage=!0,t._screenshot={size:i||1!==a?i||t.size.map((e=>e*a)):null},new Promise(((n,i)=>{const a=e.onImageReady((i=>{if(null===t._screenshot.size)t.notifyStartCaptureImage=o,a.unsubscribe(),t._screenshot.placeHolder&&(t.size=t._screenshot.originalSize,e.modified(),t._screenshot.cameras&&t._screenshot.cameras.forEach((e=>{let{restoreParamsFn:t,arg:n}=e;return t(n)})),e.traverseAllPasses(),t.el.removeChild(t._screenshot.placeHolder),t._screenshot.placeHolder.remove(),t._screenshot=null),n(i);else{const n=document.createElement("img");if(n.style=PB,n.src=i,t._screenshot.placeHolder=t.el.appendChild(n),t.canvas.style.display="none",t._screenshot.originalSize=t.size,t.size=t._screenshot.size,t._screenshot.size=null,e.modified(),r){const e=!0!==r;t._screenshot.cameras=t.renderable.getRenderers().map((t=>{const n=t.getActiveCamera(),i=n.get("focalPoint","position","parallelScale");return{resetCameraArgs:e?{renderer:t}:void 0,resetCameraFn:e?r:t.resetCamera,restoreParamsFn:n.set,arg:JSON.parse(JSON.stringify(i))}})),t._screenshot.cameras.forEach((e=>{let{resetCameraFn:t,resetCameraArgs:n}=e;return t(n)}))}e.traverseAllPasses()}}))}))},e.traverseAllPasses=()=>{if(!t.deleted)if(t.initialized){if(t.renderPasses)for(let n=0;n<t.renderPasses.length;++n)t.renderPasses[n].traverse(e,null);t.commandEncoder&&(t.device.submitCommandEncoder(t.commandEncoder),t.commandEncoder=null,t.notifyStartCaptureImage&&t.device.onSubmittedWorkDone().then((()=>{!async function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:t.imageFormat;const r=document.createElement("canvas"),i=r.getContext("2d");r.width=t.canvas.width,r.height=t.canvas.height;const a=await e.getPixelsAsync(),o=new ImageData(a.colorValues,a.width,a.height);i.putImageData(o,0,0);const s=t.canvas.getBoundingClientRect();t.renderable.getRenderers().forEach((e=>{e.getViewProps().forEach((e=>{if(e.getContainer){const t=e.getContainer().getElementsByTagName("canvas");for(let e=0;e<t.length;e++){const n=t[e],r=n.getBoundingClientRect(),a=r.x-s.x,o=r.y-s.y;i.drawImage(n,a,o)}}}))}));const l=r.toDataURL(n);r.remove(),e.invokeImageReady(l)}()})))}else{e.initialize();const t=e.onInitialized((()=>{t.unsubscribe(),e.traverseAllPasses()}))}},e.setViewStream=n=>t.viewStream!==n&&(t.subscription&&(t.subscription.unsubscribe(),t.subscription=null),t.viewStream=n,t.viewStream&&(t.renderable.getRenderers()[0].getBackgroundByReference()[3]=0,e.setUseBackgroundImage(!0),t.subscription=t.viewStream.onImageReady((t=>e.setBackgroundImage(t.image))),t.viewStream.setSize(t.size[0],t.size[1]),t.viewStream.invalidateCache(),t.viewStream.render(),e.modified()),!0),e.getUniquePropID=()=>t.nextPropID++,e.getPropFromID=e=>{for(let n=0;n<t.children.length;n++){const r=t.children[n].getPropFromID(e);if(null!==r)return r}return null},e.getPixelsAsync=async()=>{const e=t.device,n=t.renderPasses[0].getOpaquePass().getColorTexture(),r={width:n.getWidth(),height:n.getHeight()};r.colorBufferWidth=32*Math.floor((r.width+31)/32),r.colorBufferSizeInBytes=r.colorBufferWidth*r.height*8;const i=BO.newInstance();i.setDevice(e),i.create(r.colorBufferSizeInBytes,GPUBufferUsage.MAP_READ|GPUBufferUsage.COPY_DST);const a=t.device.createCommandEncoder();a.copyTextureToBuffer({texture:n.getHandle()},{buffer:i.getHandle(),bytesPerRow:8*r.colorBufferWidth,rowsPerImage:r.height},{width:r.width,height:r.height,depthOrArrayLayers:1}),e.submitCommandEncoder(a);const o=i.mapAsync(GPUMapMode.READ);await o,r.colorValues=new Uint16Array(i.getMappedRange().slice()),i.unmap();const s=new Uint8ClampedArray(r.height*r.width*4);for(let e=0;e<r.height;e++)for(let t=0;t<r.width;t++){const n=4*(e*r.width+t),i=4*(e*r.colorBufferWidth+t);s[n]=255*KP.fromHalf(r.colorValues[i]),s[n+1]=255*KP.fromHalf(r.colorValues[i+1]),s[n+2]=255*KP.fromHalf(r.colorValues[i+2]),s[n+3]=255*KP.fromHalf(r.colorValues[i+3])}return r.colorValues=s,r},e.createSelector=()=>{const t=MB.newInstance();return t.setWebGPURenderWindow(e),t};const r=e.setSize;e.setSize=(t,n)=>{const i=r(t,n);return i&&e.invokeWindowResizeEvent({width:t,height:n}),i},e.delete=Qw.chain(e.delete,e.setViewStream)}(e,t)}),"vtkWebGPURenderWindow");BR("WebGPU",OB),tO("vtkRenderWindow",OB);const NB=AL(),kB={margin:"0",padding:"0",position:"absolute",top:"0",left:"0",width:"100%",height:"100%",overflow:"hidden"},RB={position:"absolute",left:"25px",top:"25px",backgroundColor:"white",borderRadius:"5px",listStyle:"none",padding:"5px 10px",margin:"0",display:"block",border:"solid 1px black",maxWidth:"calc(100% - 70px)",maxHeight:"calc(100% - 60px)",overflow:"auto"};function LB(e,t){Object.keys(t).forEach((n=>{e.style[n]=t[n]}))}const FB={background:[.32,.34,.43],containerStyle:null,controlPanelStyle:null,listenWindowResize:!0,resizeCallback:null,controllerVisibility:!0};function BB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,FB,n),Qw.obj(e,t),Qw.get(e,t,["renderWindow","renderer","apiSpecificRenderWindow","interactor","rootContainer","container","controlContainer"]),function(e,t){t.classHierarchy.push("vtkFullScreenRenderWindow");const n=document.querySelector("body");t.rootContainer||(t.rootContainer=n),t.container||(t.container=document.createElement("div"),LB(t.container,t.containerStyle||kB),t.rootContainer.appendChild(t.container)),t.rootContainer===n&&(document.documentElement.style.height="100%",n.style.height="100%",n.style.padding="0",n.style.margin="0"),t.renderWindow=zR.newInstance(),t.renderer=LR.newInstance(),t.renderWindow.addRenderer(t.renderer),t.apiSpecificRenderWindow=t.renderWindow.newAPISpecificView(NB.viewAPI??t.defaultViewAPI),t.apiSpecificRenderWindow.setContainer(t.container),t.renderWindow.addView(t.apiSpecificRenderWindow),t.interactor=aL.newInstance(),t.interactor.setInteractorStyle(_L.newInstance()),t.interactor.setView(t.apiSpecificRenderWindow),t.interactor.initialize(),t.interactor.bindEvents(t.container),e.setBackground=t.renderer.setBackground,e.removeController=()=>{const e=t.controlContainer;e&&e.parentNode.removeChild(e)},e.setControllerVisibility=e=>{t.controllerVisibility=e,t.controlContainer&&(t.controlContainer.style.display=e?"block":"none")},e.toggleControllerVisibility=()=>{e.setControllerVisibility(!t.controllerVisibility)},e.addController=n=>{t.controlContainer=document.createElement("div"),LB(t.controlContainer,t.controlPanelStyle||RB),t.rootContainer.appendChild(t.controlContainer),t.controlContainer.innerHTML=n,e.setControllerVisibility(t.controllerVisibility),t.rootContainer.addEventListener("keypress",(t=>{"c"===String.fromCharCode(t.charCode)&&e.toggleControllerVisibility()}))},e.setBackground(...t.background),e.addRepresentation=e=>{e.getActors().forEach((e=>{t.renderer.addActor(e)}))},e.removeRepresentation=e=>{e.getActors().forEach((e=>t.renderer.removeActor(e)))},e.delete=Qw.chain(e.setContainer,t.apiSpecificRenderWindow.delete,e.delete),e.resize=()=>{const e=t.container.getBoundingClientRect(),n=window.devicePixelRatio||1;t.apiSpecificRenderWindow.setSize(Math.floor(e.width*n),Math.floor(e.height*n)),t.resizeCallback&&t.resizeCallback(e),t.renderWindow.render()},e.setResizeCallback=n=>{t.resizeCallback=n,e.resize()},t.listenWindowResize&&window.addEventListener("resize",e.resize),e.resize()}(e,t)}var UB={newInstance:Qw.newInstance(BB),extend:BB},VB=n(9189);const GB=[];GB["-".charCodeAt(0)]=62,GB["_".charCodeAt(0)]=63;const zB="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";for(let e=0;e<64;e++)GB[zB.charCodeAt(e)]=e;function jB(e){return void 0!==GB[e.charCodeAt(0)]}function WB(e,t,n,r){const{start:i,count:a}=t,o=a%4,s=Math.floor(a/4);let l=i,c=null,u=n;for(let t=0;t<s;t++){for(;!jB(e[l]);)l++;for(c=GB[e.charCodeAt(l++)]<<18;!jB(e[l]);)l++;for(c|=GB[e.charCodeAt(l++)]<<12;!jB(e[l]);)l++;for(c|=GB[e.charCodeAt(l++)]<<6;!jB(e[l]);)l++;c|=GB[e.charCodeAt(l++)],r[u++]=c>>16&255,r[u++]=c>>8&255,r[u++]=255&c}switch(o){case 3:for(;!jB(e[l]);)l++;for(c=GB[e.charCodeAt(l++)]<<10;!jB(e[l]);)l++;for(c|=GB[e.charCodeAt(l++)]<<4;!jB(e[l]);)l++;c|=GB[e.charCodeAt(l++)]>>2,r[u++]=c>>8&255,r[u++]=255&c;break;case 2:for(;!jB(e[l]);)l++;for(c=GB[e.charCodeAt(l++)]<<2;!jB(e[l]);)l++;c|=GB[e.charCodeAt(l++)]>>4,r[u++]=255&c;break;case 1:throw new Error("BASE64: remain 1 should not happen")}return u}function HB(e,t,n){const r=(e<<16)+(t<<8)+n;return zB[r>>18]+zB[r>>12&63]+zB[r>>6&63]+zB[63&r]}var $B={toArrayBuffer:function(e){const t=function(e){const t=e.length,n=[];let r=null;for(let i=0;i<t;i++)jB(e[i])?(r||(r={start:i,count:0}),r.count++,r.end=i):"="===e[i]&&r&&(n.push(r),r=null);return r&&n.push(r),n}(e),n=t[t.length-1].end+1,r=(4-n%4)%4,i=new ArrayBuffer(3*(n+r)/4-r),a=new Uint8Array(i);let o=0;for(let n=0;n<t.length;n++)o+=WB(e,t[n],o,a),o+=(4-t[n].count%4)%4;return i},fromArrayBuffer:function(e){const t=new Uint8Array(e),n=e.byteLength%3,r=e.byteLength-n,i=Array(r/3);for(let e=0;e<i.length;e++){const n=3*e;i[e]=HB(t[n],t[n+1],t[n+2])}if(n>0){const e=HB(t[r],t[r+1]||0,t[r+2]||0);1===n?i.push(`${e.substr(0,2)}==`):2===n&&i.push(`${e.substr(0,3)}=`)}return i.join("")}};const XB={name:"",numberOfComponents:1,size:0,dataType:"string"};function qB(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};if(Object.assign(t,XB,n),!t.empty&&!t.values&&!t.size)throw new TypeError("Cannot create vtkStringArray object without: size > 0, values");t.values?Array.isArray(t.values)&&(t.values=[...t.values]):t.values=[],t.values&&(t.size=t.values.length),Qw.obj(e,t),Qw.set(e,t,["name"]),function(e,t){t.classHierarchy.push("vtkStringArray"),e.getComponent=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0;return t.values[e*t.numberOfComponents+n]},e.setComponent=(n,r,i)=>{i!==t.values[n*t.numberOfComponents+r]&&(t.values[n*t.numberOfComponents+r]=i,e.modified())},e.getData=()=>t.values,e.getTuple=function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[];const r=t.numberOfComponents||1;n.length&&(n.length=r);const i=e*r;for(let e=0;e<r;e++)n[e]=t.values[i+e];return n},e.getTupleLocation=function(){return(arguments.length>0&&void 0!==arguments[0]?arguments[0]:1)*t.numberOfComponents},e.getNumberOfComponents=()=>t.numberOfComponents,e.getNumberOfValues=()=>t.values.length,e.getNumberOfTuples=()=>t.values.length/t.numberOfComponents,e.getDataType=()=>t.dataType,e.newClone=()=>KB({name:t.name,numberOfComponents:t.numberOfComponents,empty:!0}),e.getName=()=>(t.name||e.setName(`vtkStringArray${e.getMTime()}`),t.name),e.setData=(n,r)=>{t.values=n,t.size=n.length,r&&(t.numberOfComponents=r),t.size%t.numberOfComponents!=0&&(t.numberOfComponents=1),e.modified()}}(e,t)}const KB=Qw.newInstance(qB,"vtkStringArray");var YB={newInstance:KB,extend:qB};function JB(e){return new TextDecoder("latin1").decode(e)}var ZB=function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;const r=JB(e),i=t.exec(r);if(!i)return{text:r};const a=i.index+i[0].length,o=r.substring(0,a);let s=null;const l=n?n.exec(r):null;return s=l?{text:o+r.substr(l.index),binaryBuffer:e.slice(a,l.index)}:{text:o,binaryBuffer:e.slice(a)},s};const{vtkErrorMacro:QB,vtkDebugMacro:eU}=Qw,tU=()=>(QB("LiteHttpDataAccessHelper does not support compression. Need to register HttpDataAccessHelper instead."),Promise.reject(new Error("LiteHttpDataAccessHelper does not support compression. Need to register HttpDataAccessHelper instead.")));let nU=0;function rU(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const r=new XMLHttpRequest;return r.open(e,t,!0),n.headers&&Object.entries(n.headers).forEach((e=>{let[t,n]=e;return r.setRequestHeader(t,n)})),n.progressCallback&&r.addEventListener("progress",n.progressCallback),r}const iU={fetchArray:function(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return r&&r.compression?tU():n.ref&&!n.ref.pending?new Promise(((i,a)=>{const o=rU("GET",[t,n.ref.basepath,n.ref.id].join("/"),r);o.onreadystatechange=t=>{1===o.readyState&&(n.ref.pending=!0,1==++nU&&e?.invokeBusy&&e.invokeBusy(!0)),4===o.readyState&&(n.ref.pending=!1,200===o.status||0===o.status?(n.buffer=o.response,"JSON"===n.ref.encode?n.values=JSON.parse(n.buffer):($k!==n.ref.encode&&$k&&(eU(`Swap bytes of ${n.name}`),Xk(n.buffer,_E[n.dataType])),n.values=Qw.newTypedArray(n.dataType,n.buffer)),n.values.length!==n.size&&QB(`Error in FetchArray: ${n.name}, does not have the proper array size. Got ${n.values.length}, instead of ${n.size}`),delete n.ref,0==--nU&&e?.invokeBusy&&e.invokeBusy(!1),e?.modified&&e.modified(),i(n)):a({xhr:o,e:t}))},o.responseType="string"!==n.dataType?"arraybuffer":"text",o.send()})):Promise.resolve(n)},fetchJSON:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return n&&n.compression?tU():new Promise(((r,i)=>{const a=rU("GET",t,n);a.onreadystatechange=t=>{1===a.readyState&&1==++nU&&e?.invokeBusy&&e.invokeBusy(!0),4===a.readyState&&(0==--nU&&e?.invokeBusy&&e.invokeBusy(!1),200===a.status||0===a.status?r(JSON.parse(a.responseText)):i({xhr:a,e:t}))},a.responseType="text",a.send()}))},fetchText:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return n&&n.compression?tU():new Promise(((r,i)=>{const a=rU("GET",t,n);a.onreadystatechange=t=>{1===a.readyState&&1==++nU&&e?.invokeBusy&&e.invokeBusy(!0),4===a.readyState&&(0==--nU&&e?.invokeBusy&&e.invokeBusy(!1),200===a.status||0===a.status?r(a.responseText):i({xhr:a,e:t}))},a.responseType="text",a.send()}))},fetchBinary:function(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return new Promise(((n,r)=>{const i=rU("GET",e,t);i.onreadystatechange=e=>{4===i.readyState&&(200===i.status||0===i.status?n(i.response):r({xhr:i,e:e}))},i.responseType="arraybuffer",i.send()}))},fetchImage:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return new Promise(((e,r)=>{const i=new Image;n.crossOrigin&&(i.crossOrigin=n.crossOrigin),i.onload=()=>e(i),i.onerror=r,i.src=t}))}};function aU(e,t){return function(e,t){return[...e.getElementsByTagName(t)]}(e,t)[0]}Kk("http")||Yk("http",(e=>iU));const oU={Int8:Int8Array,UInt8:Uint8Array,Int16:Int16Array,UInt16:Uint16Array,Int32:Int32Array,UInt32:Uint32Array,Int64:Int32Array,UInt64:Uint32Array,Float32:Float32Array,Float64:Float64Array},sU={Int8:1,UInt8:1,Int16:2,UInt16:2,Int32:4,UInt32:4,Int64:8,UInt64:8,Float32:4,Float64:8};function lU(e){const t=e.length-1;return e.filter(((e,n)=>n<t&&n%2==0))}function cU(e,t,n){if(!["UInt64","UInt32"].includes(n))throw new Error(`Cannot handle a header type of ${n}`);let r=oU[n],i=oU[t],a=!1;"UInt64"===n&&(r=oU.UInt32),/^U?Int64$/.test(t)&&(a=!0,i=oU[t.replace("64","32")]);const{byteOffset:o}=e,s=sU[t],l=sU[n];let c;c=o%l==0?new r(e.buffer,o,1):new r(e.buffer.slice(o,o+l));const u=Number(c[0]);let d,f=u/s;a&&(f*=2);const p=o+l;return d=p%s==0?new i(e.buffer,p,f):new i(e.buffer.slice(p,p+u)),a&&(d=lU(d)),d}function uU(e,t){const n=zk(e);t.uint8.set(n,t.offset),t.offset+=n.length}function dU(e,t){const n=function(e,t){if("UInt64"===t){const t=8;let n=new Uint32Array(e.buffer,0,6);const r=n[0],i=[t,r,n[2],n[4]];n=new Uint32Array(e.buffer,24,2*r);for(let e=0;e<r;e++)i.push(n[2*e]);return i}let n=new Uint32Array(e.buffer,0,3);const r=n[0],i=[4,r,n[1],n[2]];n=new Uint32Array(e.buffer,12,r);for(let e=0;e<r;e++)i.push(n[e]);return i}(e,t),r=n[1],i=n[2],a=n[3];let o=0;r>0&&(o=0===a?r*i:(r-1)*i+a);const s=new ArrayBuffer(o),l={offset:0,uint8:new Uint8Array(s)};let c=function(e,t){const[n]=e;return(e.length-1)*n}(n);for(;c<e.length&&120!==e[c];)c++;for(let t=0;t<r;t++){const r=n[4+t];uU(new Uint8Array(e.buffer,c,r),l),c+=r}return l.uint8}function fU(e,t,n,r,i,a){const o=t.getAttribute("type"),s=t.getAttribute("Name"),l=t.getAttribute("format"),c=Number(t.getAttribute("NumberOfComponents")||"1");let u=null;if("ascii"===l){u=new oU[o](e*c);let n=0;t.firstChild.nodeValue.split(/[\\t \\n]+/).forEach((e=>{e.trim().length&&(u[n++]=Number(e))}))}else if("binary"===l){const e=new Uint8Array($B.toArrayBuffer(t.firstChild.nodeValue.trim()));if("vtkZLibDataCompressor"===n){const t=dU(e,i);u=new oU[o](t.buffer),/^U?Int64$/.test(o)&&(u=lU(u))}else u=new oU[o](e.buffer,sU[i]),-1!==o.indexOf("Int64")&&(u=lU(u))}else if("appended"===l){const e=Number(t.getAttribute("offset"));u=cU(new Uint8Array(a,e),o,i)}else console.error("Format not supported",l);return{name:s,values:u,numberOfComponents:c}}function pU(e){return(new TextDecoder).decode(e).split("\0").slice(0,-1)}function hU(e,t){t.classHierarchy.push("vtkXMLReader"),t.dataAccessHelper||(t.dataAccessHelper=Jk("http")),e.setUrl=function(n){let r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};t.url=n;const i=n.split("/");return i.pop(),t.baseURL=i.join("/"),e.loadData(r)},e.loadData=function(){let n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return function(e){let n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return t.dataAccessHelper.fetchBinary(e,n)}(t.url,n).then(e.parseAsArrayBuffer)},e.parseAsArrayBuffer=n=>{if(!n)return!1;if(n===t.rawDataBuffer)return!0;e.modified();const{text:r,binaryBuffer:i}=ZB(n,/^\s*<AppendedData\s+encoding="raw">\s*_/m,/\n\s*<\/AppendedData>/m);var a;t.rawDataBuffer=n,t.binaryBuffer=i;const o=(a=r,(0,VB.create)(a)).root(),s=o.node,l=s.getAttribute("type"),c=s.getAttribute("compressor"),u=s.getAttribute("byte_order"),d=s.getAttribute("header_type")||"UInt32";if(c&&"vtkZLibDataCompressor"!==c)return console.error("Invalid compressor",c),!1;if(u&&"LittleEndian"!==u)return console.error("Only LittleEndian encoding is supported"),!1;if(l!==t.dataType)return console.error("Invalid data type",l,"expecting",t.dataType),!1;if(aU(s,"AppendedData")){const e=aU(s,"AppendedData"),n=e.getAttribute("encoding"),r=o.filter((e=>{const{node:t}=e;return t.nodeType===Node.ELEMENT_NODE&&"appended"===t.getAttribute("format")&&t.hasAttribute("offset")}),!1,!0).map((e=>({node:e.node,offset:Number(e.node.getAttribute("offset"))})));r.sort(((e,t)=>e.offset-t.offset));let i=t.binaryBuffer;"base64"===n&&(i=e.textContent.trim().substr(1));const a=[];for(let e=0;e<r.length;++e){const t=r[e].offset;let o=0;o=e===r.length-1?i.length||i.byteLength:r[e+1].offset,"base64"===n?a.push(new Uint8Array($B.toArrayBuffer(i.substring(t,o)))):a.push(new Uint8Array(i.slice(t,o)))}if("vtkZLibDataCompressor"===c)for(let e=0;e<a.length;++e){const t=dU(a[e],d),n=new Uint8Array(t.length+sU[d]);new oU[d](n.buffer,0,1)[0]=t.length,n.set(t,sU[d]),a[e]=n}const l=a.reduce(((e,t)=>e+t.length),0),u=new ArrayBuffer(l),f=new Uint8Array(u);for(let e=0,t=0;e<a.length;++e)r[e].node.setAttribute("offset",t),f.set(a[e],t),t+=a[e].length;if(t.binaryBuffer=u,!t.binaryBuffer)return console.error("Processing appended data format: requires binaryBuffer to parse"),!1}e.parseXML(s,l,c,u,d);const f=s.getElementsByTagName(l)[0].getElementsByTagName("FieldData")[0];if(f){const e=function(e,t,n,r,i){const a=[...e.getElementsByTagName("DataArray")].map((e=>NE.newInstance(fU(Number(e.getAttribute("NumberOfTuples")),e,t,0,r,i)))),o=[...e.getElementsByTagName("Array")].filter((e=>"String"===e.getAttribute("type"))).map((e=>{const n=YB.newInstance(function(e,t,n,r,i){const a=e.getAttribute("Name"),o=e.getAttribute("format"),s=Number(e.getAttribute("NumberOfComponents")||"1"),l=Number(e.getAttribute("NumberOfTuples")||"1")*s,c=[];if("ascii"===o){const t=e.firstChild.nodeValue.trim().split(/\s+/);let n=0;const r=[];for(;c.length<l;){const e=Number(t[n++]);0===e?(c.push(r.join("")),r.length=0):r.push(String.fromCharCode(e))}}else if("binary"===o){const n=new Uint8Array($B.toArrayBuffer(e.firstChild.nodeValue.trim()));if("vtkZLibDataCompressor"===t){const e=dU(n,r);c.push(...pU(e))}else{const e=cU(n,"UInt8",r);c.push(...pU(e))}}else if("appended"===o){const t=Number(e.getAttribute("offset")),n=cU(new Uint8Array(i,t),"UInt8",r);c.push(...pU(n))}else Qw.vtkErrorMacro(`Format not supported: ${o}`);return{name:a,values:c,numberOfComponents:s}}(e,t,0,r,i));return n}));return[...a,...o]}(f,c,0,d,t.binaryBuffer);for(let n=0;n<t.output.length;n++){const r=t.output[n].getFieldData();for(let t=0;t<e.length;t++)r.addArray(e[t])}}return!0},e.requestData=(n,r)=>{e.parseAsArrayBuffer(t.rawDataBuffer)}}const mU={};var gU={extend:function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,mU,n),Qw.obj(e,t),Qw.get(e,t,["url","baseURL"]),Qw.setGet(e,t,["dataAccessHelper"]),Qw.algo(e,t,0,1),hU(e,t)},processDataArray:fU,processFieldData:function(e,t,n,r,i,a,o){if(t){const i={};["Scalars","Vectors","Normals","Tensors","TCoords"].forEach((e=>{const r=t.getAttribute(e);r&&(i[r]=n[`set${e}`])}));const s=t.getElementsByTagName("DataArray"),l=s.length;for(let t=0;t<l;t++){const l=s[t],c=NE.newInstance(fU(e,l,r,0,a,o)),u=c.getName();(i[u]||n.addArray)(c)}}},processCells:function(e,t,n,r,i,a){const o={},s=t.getElementsByTagName("DataArray");for(let e=0;e<s.length;e++){const t=s[e];o[t.getAttribute("Name")]=t}const l=fU(e,o.offsets,n,0,i,a).values,c=l[l.length-1],u=fU(c,o.connectivity,n,0,i,a).values,d=new Uint32Array(e+c);let f=0,p=0;return l.forEach((e=>{const t=e-p;d[f++]=t;for(let e=0;e<t;e++)d[f++]=u[p+e];p=e})),d}};function vU(e,t,n,r,i,a,o){const s=Number(n.getAttribute(`NumberOf${t}`));if(s>0){const l=n.getElementsByTagName(t)[0].getElementsByTagName("DataArray")[0],{values:c,numberOfComponents:u}=gU.processDataArray(s,l,r,i,a,o);e[`get${t}`]().setData(c,u)}return s}function yU(e,t,n,r,i,a,o){const s=Number(n.getAttribute(`NumberOf${t}`));if(s>0){const l=gU.processCells(s,n.getElementsByTagName(t)[0],r,i,a,o);e[`get${t}`]().setData(l)}return s}const bU={dataType:"PolyData"};function _U(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};Object.assign(t,bU,n),gU.extend(e,t,n),function(e,t){t.classHierarchy.push("vtkXMLPolyDataReader"),e.parseXML=(e,n,r,i,a)=>{const o=e.getElementsByTagName(t.dataType)[0].getElementsByTagName("Piece"),s=o.length;for(let e=0;e<s;e++){const n=YD.newInstance(),s=o[e],l=vU(n,"Points",s,r,i,a,t.binaryBuffer);let c=0;["Verts","Lines","Strips","Polys"].forEach((e=>{c+=yU(n,e,s,r,i,a,t.binaryBuffer)})),gU.processFieldData(l,s.getElementsByTagName("PointData")[0],n.getPointData(),r,i,a,t.binaryBuffer),gU.processFieldData(c,s.getElementsByTagName("CellData")[0],n.getCellData(),r,i,a,t.binaryBuffer),t.output[e]=n}}}(e,t)}var xU={newInstance:Qw.newInstance(_U,"vtkXMLPolyDataReader"),extend:_U},wU={props:{url:String,fileSize:Number,maxFileSize:Number},data(){return{outputData:null,fullScreenRenderWindow:null,modelActor:null,scalarBarActor:null,activeArray:null,cameraPosition:null,cameraViewUp:null,colorByOptions:[],selectedColor:null,componentOptions:[],selectedComponent:null,opacity:100,loading:!0,forceLoad:!1,error:""}},computed:{toolbarBtnClasses(){return"btn btn-link text-primary my-1"}},watch:{selectedColor(){this.updateColorBy()},selectedComponent(){this.updateColorByComponent()},opacity(){this.modelActor.getProperty().setOpacity(this.opacity/100),this.renderView()}},mounted(){d_.isWebGLAvailable()?this.fileSize<=this.maxFileSize&&this.loadFile():this.error=$t("WebGL not available.")},beforeDestroy(){window.removeEventListener("resize",this.resizeView)},methods:{toggleWireframe(){const e=this.modelActor.getProperty(),t=2===e.getRepresentation()?1:2,n=e.getEdgeVisibility();e.set({representation:t,edgeVisibility:n}),this.renderView()},resetView(){const e=this.fullScreenRenderWindow.getRenderer(),t=e.getActiveCamera();t.setPosition(...this.cameraPosition),t.setViewUp(...this.cameraViewUp),e.resetCamera(),this.renderView()},toggleFullscreen(){kadi.utils.toggleFullscreen(this.$refs.container)},resizeView(){const e=this.$refs.toolbar,t=this.$refs.renderContainer;if(kadi.utils.isFullscreen()){const n=Math.round(e.getBoundingClientRect().height);t.style.height=`calc(100vh - ${n-1}px)`,e.style.borderTopLeftRadius=e.style.borderTopRightRadius="0"}else{const n=Math.round(t.getBoundingClientRect().width),r=Math.round(window.innerHeight/window.innerWidth*n);t.style.height=`${r}px`,e.style.borderTopLeftRadius=e.style.borderTopRightRadius="0.25rem"}this.fullScreenRenderWindow.resize()},renderView(){this.fullScreenRenderWindow.getRenderWindow().render()},updateColorBy(){const e=this.modelActor.getMapper(),[t,n]=this.selectedColor.split(":"),r=t.length>0,i="PointData"===t;let a=cM.DEFAULT,o=uM.DEFAULT;if(this.componentOptions=[],r){const r=e.getLookupTable();a=cM.MAP_SCALARS,o=i?uM.USE_POINT_FIELD_DATA:uM.USE_CELL_FIELD_DATA,this.activeArray=this.outputData[`get${t}`]().getArrayByName(n);const s=this.activeArray.getNumberOfComponents();if(s>1){r.setVectorModeToMagnitude(),this.componentOptions=[{value:-1,label:$t("Magnitude")}],this.selectedComponent=-1;for(let e=0;e<s;e++)this.componentOptions.push({value:e,label:`${$t("Component")} ${e+1}`});3!==s&&4!==s||this.componentOptions.push({value:-2,label:$t("Direct mapping")})}this.scalarBarActor.setAxisLabel(n),this.scalarBarActor.setVisibility(!0);const l=aR("jet"),c=this.activeArray.getRange();r.applyColorMap(l),r.setMappingRange(c[0],c[1]),r.updateRange()}else this.scalarBarActor.setVisibility(!1);e.set({colorByArrayName:n,colorMode:a,interpolateScalarsBeforeMapping:i,scalarMode:o,scalarVisibility:r}),this.renderView()},updateColorByComponent(){const e=this.modelActor.getMapper();e.setColorModeToMapScalars();const t=e.getLookupTable(),n=Number(this.selectedComponent),r=this.activeArray.getRange(n);-2===n?e.setColorModeToDirectScalars():-1===n?(t.setVectorModeToMagnitude(),t.setMappingRange(r[0],r[1]),t.updateRange()):(t.setVectorModeToComponent(),t.setVectorComponent(n),t.setMappingRange(r[0],r[1]),t.updateRange()),this.renderView()},initializeViewer(){this.colorByOptions.push({label:"",value:":"});for(const e of this.outputData.getPointData().getArrays())this.colorByOptions.push({label:`(p) ${e.getName()}`,value:`PointData:${e.getName()}`});for(const e of this.outputData.getCellData().getArrays())this.colorByOptions.push({label:`(c) ${e.getName()}`,value:`CellData:${e.getName()}`});this.selectedColor=this.colorByOptions[0].value;const e=.9686274509803922;this.fullScreenRenderWindow=UB.newInstance({background:[e,e,e],containerStyle:{height:"100%",width:"100%"},rootContainer:this.$refs.renderContainer});const t=yR.newInstance(),n=qM.newInstance({interpolateScalarsBeforeMapping:!1,lookupTable:t,scalarVisibility:!1,useLookupTableScalarRange:!0});n.setInputData(this.outputData),this.modelActor=bE.newInstance(),this.modelActor.setMapper(n),this.modelActor.getProperty().setColor([.8,.8,.8]),this.scalarBarActor=HI.newInstance(),this.scalarBarActor.setScalarsToColors(t),this.scalarBarActor.setVisibility(!1);const r={fontFamily:"Arial, sans-serif",fontColor:"black"};this.scalarBarActor.setAxisTextStyle(r),this.scalarBarActor.setTickTextStyle(r);const i=this.fullScreenRenderWindow.getRenderer();i.addActor(this.modelActor),i.addActor(this.scalarBarActor),i.resetCamera();const a=i.getActiveCamera();this.cameraPosition=a.getPosition(),this.cameraViewUp=a.getViewUp(),this.fullScreenRenderWindow.getRenderWindow().getInteractor().setDesiredUpdateRate(15),this.renderView()},async loadFile(){this.forceLoad=!0,await this.$nextTick();try{const e=await nR.fetchBinary(this.url),t=xU.newInstance();t.parseAsArrayBuffer(e),this.outputData=t.getOutputData(0),this.initializeViewer()}catch(e){return this.error=$t("Error loading model."),void console.error(e)}this.resizeView(),this.loading=!1,window.addEventListener("resize",this.resizeView)}}},AU=wU,SU=(n(1195),Ad(AU,g_,[],!1,null,"145f98a3",null).exports),TU=function(){var e=this,t=e._self._c;return t("div",{ref:"container"},[t("confirm-dialog",{ref:"dialog"}),e._v(" "),e.toolsEndpoint?t("div",[t("div",{ref:"toolDialog",staticClass:"modal",attrs:{tabindex:"-1"}},[t("div",{staticClass:"modal-dialog modal-dialog-centered modal-xl"},[t("div",{staticClass:"modal-content"},[e._m(0),e._v(" "),t("div",{staticClass:"modal-body"},[t("dynamic-pagination",{attrs:{placeholder:"No tools.","filter-placeholder":"Filter by filename or record identifier",endpoint:e.toolsEndpoint,"per-page":5,"enable-filter":!0},scopedSlots:e._u([{key:"default",fn:function(n){return[n.total>0?t("ul",{staticClass:"list-group"},[t("li",{staticClass:"list-group-item bg-light py-2"},[t("div",{staticClass:"row"},[t("div",{staticClass:"col-lg-5"},[e._v("Tool")]),e._v(" "),t("div",{staticClass:"col-lg-5"},[e._v("File")])])]),e._v(" "),e._l(n.items,(function(n){return t("li",{key:n.id,staticClass:"list-group-item py-2"},[t("div",{staticClass:"row align-items-center"},[t("div",{staticClass:"col-lg-5 mb-2 mb-lg-0"},[n.tool?t("div",[t("strong",[e._v(e._s(n.tool.name))]),e._v(" "),t("small",[e._v("["+e._s(n.tool.type)+"]")]),e._v(" "),n.tool.version?t("span",[t("br"),e._v("\n                            Version "+e._s(n.tool.version)+"\n                          ")]):e._e()]):t("div",[t("em",{staticClass:"text-muted"},[e._v("Invalid tool description.")])])]),e._v(" "),t("div",{staticClass:"col-lg-5 mb-2 mb-lg-0"},[t("strong",[e._v(e._s(n.file))]),e._v(" "),t("br"),e._v("\n                        @"+e._s(n.record)+"\n                      ")]),e._v(" "),t("div",{staticClass:"col-lg-2 d-lg-flex justify-content-end"},[t("div",[t("button",{staticClass:"btn btn-light btn-sm",attrs:{type:"button",disabled:!n.tool},on:{click:function(t){return e.addTool(n.tool)}}},[t("i",{staticClass:"fa-solid fa-plus"})])])])])])}))],2):e._e()]}}],null,!1,1516339178)})],1)])])])]):e._e(),e._v(" "),t("div",{ref:"toolbar",staticClass:"card toolbar"},[t("div",{staticClass:"card-body px-1 py-0"},[t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",title:"Reset view"},on:{click:e.resetView}},[t("i",{staticClass:"fa-solid fa-eye"})]),e._v(" "),t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",title:"Toggle fullscreen"},on:{click:e.toggleFullscreen}},[t("i",{staticClass:"fa-solid fa-expand"})]),e._v(" "),e.editable?t("button",{class:e.toolbarBtnClasses,attrs:{type:"button",title:"Reset editor"},on:{click:e.resetEditor}},[t("i",{staticClass:"fa-solid fa-broom"})]):e._e()])]),e._v(" "),t("div",{ref:"editorContainer",staticClass:"card editor-container",class:{"bg-light":!e.editable}},[t("div",{ref:"editor"})]),e._v(" "),e._t("default",null,{editor:e.editor})],2)};function CU(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function EU(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}function MU(e,t,n){return t&&EU(e.prototype,t),n&&EU(e,n),e}function DU(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=[],r=!0,i=!1,a=void 0;try{for(var o,s=e[Symbol.iterator]();!(r=(o=s.next()).done)&&(n.push(o.value),!t||n.length!==t);r=!0);}catch(e){i=!0,a=e}finally{try{r||null==s.return||s.return()}finally{if(i)throw a}}return n}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}()}function PU(e){return function(e){if(Array.isArray(e)){for(var t=0,n=new Array(e.length);t<e.length;t++)n[t]=e[t];return n}}(e)||function(e){if(Symbol.iterator in Object(e)||"[object Arguments]"===Object.prototype.toString.call(e))return Array.from(e)}(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance")}()}TU._withStripped=!0,n(7452),n(8948),function(e){if(e&&"undefined"!=typeof window){var t=document.createElement("style");t.setAttribute("type","text/css"),t.innerHTML=e,document.head.appendChild(t)}}(".rete-background {\n  display: table;\n  z-index: -1;\n  position: absolute;\n  top: -320000px;\n  left: -320000px;\n  width: 640000px;\n  height: 640000px;\n}\n.rete-background.default {\n  background-size: 32px 32px;\n  background-image: linear-gradient(to right, #ccc 1px, transparent 1px), linear-gradient(to bottom, #ccc 1px, transparent 1px);\n}");var IU=function e(t,n){if(CU(this,e),n){var r=n instanceof HTMLElement?n:document.createElement("div");r.classList+=" rete-background ".concat(!0===n?"default":""),t.view.area.appendChild(r)}},OU=function(){function e(t,n,r){CU(this,e),this.editor=t,this.scaleExtent=n,this.translateExtent=r,n&&t.on("zoom",this.restrictZoom.bind(this)),r&&t.on("translate",this.restrictTranslate.bind(this))}return MU(e,[{key:"restrictZoom",value:function(e){var t="boolean"==typeof this.scaleExtent?{min:.1,max:1}:this.scaleExtent;e.transform,e.zoom<t.min?e.zoom=t.min:e.zoom>t.max&&(e.zoom=t.max)}},{key:"restrictTranslate",value:function(e){var t="boolean"==typeof this.translateExtent?{width:5e3,height:4e3}:this.translateExtent,n=this.editor.view.container,r=e.transform.k,i=t.width*r,a=t.height*r,o=n.clientWidth/2,s=n.clientHeight/2;e.x-=o,e.y-=s,e.x>i?e.x=i:e.x<-i&&(e.x=-i),e.y>a?e.y=a:e.y<-a&&(e.y=-a),e.x+=o,e.y+=s}}]),e}(),NU=function(){function e(t,n){var r=this,i=n.size,a=void 0===i?16:i,o=n.dynamic,s=void 0===o||o;CU(this,e),this.editor=t,this.size=a,s?this.editor.on("nodetranslate",this.onTranslate.bind(this)):this.editor.on("rendernode",(function(e){var t=e.node,n=e.el;n.addEventListener("mouseup",r.onDrag.bind(r,t)),n.addEventListener("touchend",r.onDrag.bind(r,t)),n.addEventListener("touchcancel",r.onDrag.bind(r,t))}))}return MU(e,[{key:"onTranslate",value:function(e){var t=e.x,n=e.y;e.x=this.snap(t),e.y=this.snap(n)}},{key:"onDrag",value:function(e){var t=DU(e.position,2),n=t[0],r=t[1];e.position[0]=this.snap(n),e.position[1]=this.snap(r),console.log(this,n,r,e.position),this.editor.view.nodes.get(e).update(),this.editor.view.updateConnections({node:e})}},{key:"snap",value:function(e){return Math.round(e/this.size)*this.size}}]),e}(),kU=function(e){return 0===e.length?0:Math.min.apply(Math,PU(e))},RU=function(e){return 0===e.length?0:Math.max.apply(Math,PU(e))},LU={install:function(e,t){var n=t.background||!1,r=t.snap||!1,i=t.scaleExtent||!1,a=t.translateExtent||!1;n&&(this._background=new IU(e,n)),(i||a)&&(this._restrictor=new OU(e,i,a)),r&&(this._snap=new NU(e,r))},zoomAt:function(e){var t=function(e,t){var n=kU(t.map((function(e){return e.position[0]}))),r=kU(t.map((function(e){return e.position[1]}))),i=RU(t.map((function(t){return t.position[0]+e.view.nodes.get(t).el.clientWidth}))),a=RU(t.map((function(t){return t.position[1]+e.view.nodes.get(t).el.clientHeight})));return{left:n,right:i,top:r,bottom:a,width:Math.abs(n-i),height:Math.abs(r-a),getCenter:function(){return[(n+i)/2,(r+a)/2]}}}(e,arguments.length>1&&void 0!==arguments[1]?arguments[1]:e.nodes),n=DU(t.getCenter(),2),r=n[0],i=n[1],a=[e.view.container.clientWidth,e.view.container.clientHeight],o=a[0],s=a[1],l=e.view.area,c=o/t.width,u=s/t.height,d=Math.min(.9*u,.9*c,1);l.transform.x=l.container.clientWidth/2-r*d,l.transform.y=l.container.clientHeight/2-i*d,l.zoom(d,0,0),l.update()}},FU=LU;function BU(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function UU(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?BU(Object(n),!0).forEach((function(t){$U(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):BU(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function VU(){VU=function(){return e};var e={},t=Object.prototype,n=t.hasOwnProperty,r="function"==typeof Symbol?Symbol:{},i=r.iterator||"@@iterator",a=r.asyncIterator||"@@asyncIterator",o=r.toStringTag||"@@toStringTag";function s(e,t,n){return Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{s({},"")}catch(e){s=function(e,t,n){return e[t]=n}}function l(e,t,n,r){var i=t&&t.prototype instanceof d?t:d,a=Object.create(i.prototype),o=new A(r||[]);return a._invoke=function(e,t,n){var r="suspendedStart";return function(i,a){if("executing"===r)throw new Error("Generator is already running");if("completed"===r){if("throw"===i)throw a;return{value:void 0,done:!0}}for(n.method=i,n.arg=a;;){var o=n.delegate;if(o){var s=_(o,n);if(s){if(s===u)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if("suspendedStart"===r)throw r="completed",n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);r="executing";var l=c(e,t,n);if("normal"===l.type){if(r=n.done?"completed":"suspendedYield",l.arg===u)continue;return{value:l.arg,done:n.done}}"throw"===l.type&&(r="completed",n.method="throw",n.arg=l.arg)}}}(e,n,o),a}function c(e,t,n){try{return{type:"normal",arg:e.call(t,n)}}catch(e){return{type:"throw",arg:e}}}e.wrap=l;var u={};function d(){}function f(){}function p(){}var h={};s(h,i,(function(){return this}));var m=Object.getPrototypeOf,g=m&&m(m(S([])));g&&g!==t&&n.call(g,i)&&(h=g);var v=p.prototype=d.prototype=Object.create(h);function y(e){["next","throw","return"].forEach((function(t){s(e,t,(function(e){return this._invoke(t,e)}))}))}function b(e,t){function r(i,a,o,s){var l=c(e[i],e,a);if("throw"!==l.type){var u=l.arg,d=u.value;return d&&"object"==typeof d&&n.call(d,"__await")?t.resolve(d.__await).then((function(e){r("next",e,o,s)}),(function(e){r("throw",e,o,s)})):t.resolve(d).then((function(e){u.value=e,o(u)}),(function(e){return r("throw",e,o,s)}))}s(l.arg)}var i;this._invoke=function(e,n){function a(){return new t((function(t,i){r(e,n,t,i)}))}return i=i?i.then(a,a):a()}}function _(e,t){var n=e.iterator[t.method];if(void 0===n){if(t.delegate=null,"throw"===t.method){if(e.iterator.return&&(t.method="return",t.arg=void 0,_(e,t),"throw"===t.method))return u;t.method="throw",t.arg=new TypeError("The iterator does not provide a 'throw' method")}return u}var r=c(n,e.iterator,t.arg);if("throw"===r.type)return t.method="throw",t.arg=r.arg,t.delegate=null,u;var i=r.arg;return i?i.done?(t[e.resultName]=i.value,t.next=e.nextLoc,"return"!==t.method&&(t.method="next",t.arg=void 0),t.delegate=null,u):i:(t.method="throw",t.arg=new TypeError("iterator result is not an object"),t.delegate=null,u)}function x(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function w(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function A(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(x,this),this.reset(!0)}function S(e){if(e){var t=e[i];if(t)return t.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var r=-1,a=function t(){for(;++r<e.length;)if(n.call(e,r))return t.value=e[r],t.done=!1,t;return t.value=void 0,t.done=!0,t};return a.next=a}}return{next:T}}function T(){return{value:void 0,done:!0}}return f.prototype=p,s(v,"constructor",p),s(p,"constructor",f),f.displayName=s(p,o,"GeneratorFunction"),e.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===f||"GeneratorFunction"===(t.displayName||t.name))},e.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,p):(e.__proto__=p,s(e,o,"GeneratorFunction")),e.prototype=Object.create(v),e},e.awrap=function(e){return{__await:e}},y(b.prototype),s(b.prototype,a,(function(){return this})),e.AsyncIterator=b,e.async=function(t,n,r,i,a){void 0===a&&(a=Promise);var o=new b(l(t,n,r,i),a);return e.isGeneratorFunction(n)?o:o.next().then((function(e){return e.done?e.value:o.next()}))},y(v),s(v,o,"Generator"),s(v,i,(function(){return this})),s(v,"toString",(function(){return"[object Generator]"})),e.keys=function(e){var t=[];for(var n in e)t.push(n);return t.reverse(),function n(){for(;t.length;){var r=t.pop();if(r in e)return n.value=r,n.done=!1,n}return n.done=!0,n}},e.values=S,A.prototype={constructor:A,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=void 0,this.done=!1,this.delegate=null,this.method="next",this.arg=void 0,this.tryEntries.forEach(w),!e)for(var t in this)"t"===t.charAt(0)&&n.call(this,t)&&!isNaN(+t.slice(1))&&(this[t]=void 0)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var t=this;function r(n,r){return o.type="throw",o.arg=e,t.next=n,r&&(t.method="next",t.arg=void 0),!!r}for(var i=this.tryEntries.length-1;i>=0;--i){var a=this.tryEntries[i],o=a.completion;if("root"===a.tryLoc)return r("end");if(a.tryLoc<=this.prev){var s=n.call(a,"catchLoc"),l=n.call(a,"finallyLoc");if(s&&l){if(this.prev<a.catchLoc)return r(a.catchLoc,!0);if(this.prev<a.finallyLoc)return r(a.finallyLoc)}else if(s){if(this.prev<a.catchLoc)return r(a.catchLoc,!0)}else{if(!l)throw new Error("try statement without catch or finally");if(this.prev<a.finallyLoc)return r(a.finallyLoc)}}}},abrupt:function(e,t){for(var r=this.tryEntries.length-1;r>=0;--r){var i=this.tryEntries[r];if(i.tryLoc<=this.prev&&n.call(i,"finallyLoc")&&this.prev<i.finallyLoc){var a=i;break}}a&&("break"===e||"continue"===e)&&a.tryLoc<=t&&t<=a.finallyLoc&&(a=null);var o=a?a.completion:{};return o.type=e,o.arg=t,a?(this.method="next",this.next=a.finallyLoc,u):this.complete(o)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),u},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.finallyLoc===e)return this.complete(n.completion,n.afterLoc),w(n),u}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var n=this.tryEntries[t];if(n.tryLoc===e){var r=n.completion;if("throw"===r.type){var i=r.arg;w(n)}return i}}throw new Error("illegal catch attempt")},delegateYield:function(e,t,n){return this.delegate={iterator:S(e),resultName:t,nextLoc:n},"next"===this.method&&(this.arg=void 0),u}},e}function GU(e,t,n,r,i,a,o){try{var s=e[a](o),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,i)}function zU(e){return function(){var t=this,n=arguments;return new Promise((function(r,i){var a=e.apply(t,n);function o(e){GU(a,r,i,o,s,"next",e)}function s(e){GU(a,r,i,o,s,"throw",e)}o(void 0)}))}}function jU(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function WU(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}function HU(e,t,n){return t&&WU(e.prototype,t),n&&WU(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function $U(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function XU(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&KU(e,t)}function qU(e){return qU=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},qU(e)}function KU(e,t){return KU=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},KU(e,t)}function YU(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function JU(e){var t=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}();return function(){var n,r=qU(e);if(t){var i=qU(this).constructor;n=Reflect.construct(r,arguments,i)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==typeof t||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return YU(e)}(this,n)}}function ZU(){return ZU="undefined"!=typeof Reflect&&Reflect.get?Reflect.get.bind():function(e,t,n){var r=function(e,t){for(;!Object.prototype.hasOwnProperty.call(e,t)&&null!==(e=qU(e)););return e}(e,t);if(r){var i=Object.getOwnPropertyDescriptor(r,t);return i.get?i.get.call(arguments.length<3?e:n):i.value}},ZU.apply(this,arguments)}function QU(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,i,a=[],o=!0,s=!1;try{for(n=n.call(e);!(o=(r=n.next()).done)&&(a.push(r.value),!t||a.length!==t);o=!0);}catch(e){s=!0,i=e}finally{try{o||null==n.return||n.return()}finally{if(s)throw i}}return a}}(e,t)||tV(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function eV(e){return function(e){if(Array.isArray(e))return nV(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||tV(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function tV(e,t){if(e){if("string"==typeof e)return nV(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?nV(e,t):void 0}}function nV(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}function rV(e,t){var n="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!n){if(Array.isArray(e)||(n=tV(e))||t&&e&&"number"==typeof e.length){n&&(e=n);var r=0,i=function(){};return{s:i,n:function(){return r>=e.length?{done:!0}:{done:!1,value:e[r++]}},e:function(e){throw e},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var a,o=!0,s=!1;return{s:function(){n=n.call(e)},n:function(){var e=n.next();return o=e.done,e},e:function(e){s=!0,a=e},f:function(){try{o||null==n.return||n.return()}finally{if(s)throw a}}}}var iV=HU((function e(t){jU(this,e),$U(this,"name",void 0),$U(this,"data",{}),$U(this,"engine",null),this.name=t})),aV=function(){function e(t){jU(this,e),$U(this,"name",void 0),$U(this,"id",void 0),$U(this,"position",[0,0]),$U(this,"inputs",new Map),$U(this,"outputs",new Map),$U(this,"controls",new Map),$U(this,"data",{}),$U(this,"meta",{}),this.name=t,this.id=e.incrementId()}return HU(e,[{key:"_add",value:function(e,t,n){if(e.has(t.key))throw new Error("Item with key '".concat(t.key,"' already been added to the node"));if(null!==t[n])throw new Error("Item has already been added to some node");t[n]=this,e.set(t.key,t)}},{key:"addControl",value:function(e){return this._add(this.controls,e,"parent"),this}},{key:"removeControl",value:function(e){e.parent=null,this.controls.delete(e.key)}},{key:"addInput",value:function(e){return this._add(this.inputs,e,"node"),this}},{key:"removeInput",value:function(e){e.removeConnections(),e.node=null,this.inputs.delete(e.key)}},{key:"addOutput",value:function(e){return this._add(this.outputs,e,"node"),this}},{key:"removeOutput",value:function(e){e.removeConnections(),e.node=null,this.outputs.delete(e.key)}},{key:"setMeta",value:function(e){return this.meta=e,this}},{key:"getConnections",value:function(){return[].concat(eV(this.inputs.values()),eV(this.outputs.values())).reduce((function(e,t){return[].concat(eV(e),eV(t.connections))}),[])}},{key:"update",value:function(){}},{key:"toJSON",value:function(){var e=function(e){return Array.from(e).reduce((function(e,t){var n=QU(t,2),r=n[0],i=n[1];return e[r]=i.toJSON(),e}),{})};return{id:this.id,data:this.data,inputs:e(this.inputs),outputs:e(this.outputs),position:this.position,name:this.name}}}],[{key:"incrementId",value:function(){return this.latestId?this.latestId++:this.latestId=1,this.latestId}},{key:"resetId",value:function(){this.latestId=0}},{key:"fromJSON",value:function(t){var n=new e(t.name),r=QU(t.position,2),i=r[0],a=r[1];return n.id=t.id,n.data=t.data,n.position=[i,a],n.name=t.name,e.latestId=Math.max(n.id,e.latestId),n}}]),e}();$U(aV,"latestId",0);var oV=function(e){XU(r,e);var t,n=JU(r);function r(e){var t;return jU(this,r),$U(YU(t=n.call(this,e)),"editor",null),$U(YU(t),"data",{}),t}return HU(r,[{key:"build",value:(t=zU(VU().mark((function e(t){return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,this.builder(t);case 2:return e.abrupt("return",t);case 3:case"end":return e.stop()}}),e,this)}))),function(e){return t.apply(this,arguments)})},{key:"createNode",value:function(){var e=zU(VU().mark((function e(){var t,n,r=arguments;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return t=r.length>0&&void 0!==r[0]?r[0]:{},(n=new aV(this.name)).data=t,e.next=5,this.build(n);case 5:return e.abrupt("return",n);case 6:case"end":return e.stop()}}),e,this)})));return function(){return e.apply(this,arguments)}}()}]),r}(iV),sV=function(){function e(t,n){jU(this,e),$U(this,"output",void 0),$U(this,"input",void 0),$U(this,"data",{}),this.output=t,this.input=n,this.data={},this.input.addConnection(this)}return HU(e,[{key:"remove",value:function(){this.input.removeConnection(this),this.output.removeConnection(this)}}]),e}(),lV=function(){function e(t){if(jU(this,e),$U(this,"key",void 0),$U(this,"data",{}),$U(this,"parent",null),this.constructor===e)throw new TypeError("Can not construct abstract class");if(!t)throw new Error("The key parameter is missing in super() of Control ");this.key=t}return HU(e,[{key:"getNode",value:function(){if(null===this.parent)throw new Error("Control isn't added to Node/Input");if(this.parent instanceof aV)return this.parent;if(!this.parent.node)throw new Error("Control hasn't be added to Input or Node");return this.parent.node}},{key:"getData",value:function(e){return this.getNode().data[e]}},{key:"putData",value:function(e,t){this.getNode().data[e]=t}}]),e}(),cV=function(){function e(t){jU(this,e),$U(this,"events",{}),$U(this,"silent",!1),this.events=t instanceof e?t.events:t.handlers}return HU(e,[{key:"on",value:function(e,t){var n=this;return(e instanceof Array?e:e.split(" ")).forEach((function(e){if(!n.events[e])throw new Error("The event ".concat(e," does not exist"));n.events[e].push(t)})),this}},{key:"trigger",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!(e in this.events))throw new Error("The event ".concat(String(e)," cannot be triggered"));return this.events[e].reduce((function(e,n){return!1!==n(t)&&e}),!0)}},{key:"bind",value:function(e){if(this.events[e])throw new Error("The event ".concat(e," is already bound"));this.events[e]=[]}},{key:"exist",value:function(e){return Array.isArray(this.events[e])}}]),e}(),uV=function(){function e(t,n,r,i){jU(this,e),$U(this,"node",null),$U(this,"multipleConnections",void 0),$U(this,"connections",[]),$U(this,"key",void 0),$U(this,"name",void 0),$U(this,"socket",void 0),this.node=null,this.multipleConnections=i,this.connections=[],this.key=t,this.name=n,this.socket=r}return HU(e,[{key:"removeConnection",value:function(e){this.connections.splice(this.connections.indexOf(e),1)}},{key:"removeConnections",value:function(){var e=this;this.connections.forEach((function(t){return e.removeConnection(t)}))}}]),e}(),dV=function(e){XU(n,e);var t=JU(n);function n(e,r,i){var a,o=arguments.length>3&&void 0!==arguments[3]&&arguments[3];return jU(this,n),$U(YU(a=t.call(this,e,r,i,o)),"control",null),a}return HU(n,[{key:"hasConnection",value:function(){return this.connections.length>0}},{key:"addConnection",value:function(e){if(!this.multipleConnections&&this.hasConnection())throw new Error("Multiple connections not allowed");this.connections.push(e)}},{key:"addControl",value:function(e){this.control=e,e.parent=this}},{key:"showControl",value:function(){return!this.hasConnection()&&null!==this.control}},{key:"toJSON",value:function(){return{connections:this.connections.map((function(e){if(!e.output.node)throw new Error("Node not added to Output");return{node:e.output.node.id,output:e.output.key,data:e.data}}))}}}]),n}(uV),fV=function(){function e(){jU(this,e)}return HU(e,null,[{key:"isValidData",value:function(e){return"string"==typeof e.id&&this.isValidId(e.id)&&e.nodes instanceof Object&&!(e.nodes instanceof Array)}},{key:"isValidId",value:function(e){return/^[\w-]{3,}@[0-9]+\.[0-9]+\.[0-9]+$/.test(e)}},{key:"validate",value:function(e,t){var n=e.split("@"),r=t.id.split("@"),i=[];return this.isValidData(t)||i.push("Data is not suitable"),e!==t.id&&i.push("IDs not equal"),n[0]!==r[0]&&i.push("Names don't match"),n[1]!==r[1]&&i.push("Versions don't match"),{success:Boolean(!i.length),msg:i.join(". ")}}}]),e}(),pV=function(e){XU(n,e);var t=JU(n);function n(e,r){var i;if(jU(this,n),$U(YU(i=t.call(this,r)),"id",void 0),$U(YU(i),"plugins",void 0),$U(YU(i),"components",void 0),!fV.isValidId(e))throw new Error("ID should be valid to name@0.1.0 format");return i.id=e,i.plugins=new Map,i.components=new Map,i}return HU(n,[{key:"use",value:function(e,t){if(e.name&&this.plugins.has(e.name))throw new Error("Plugin ".concat(e.name," already in use"));e.install(this,t||{}),this.plugins.set(e.name,t)}},{key:"register",value:function(e){if(this.components.has(e.name))throw new Error("Component ".concat(e.name," already registered"));this.components.set(e.name,e),this.trigger("componentregister",e)}},{key:"destroy",value:function(){this.trigger("destroy")}}]),n}(cV);function hV(e,t){return window.addEventListener(e,t),function(){window.removeEventListener(e,t)}}var mV=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:function(e,t,n){},r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:function(e){},i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:function(e){};jU(this,e),this.onTranslate=n,this.onStart=r,this.onDrag=i,$U(this,"pointerStart",void 0),$U(this,"el",void 0),$U(this,"destroy",void 0),this.pointerStart=null,this.el=t,this.el.style.touchAction="none",this.el.addEventListener("pointerdown",this.down.bind(this));var a=hV("pointermove",this.move.bind(this)),o=hV("pointerup",this.up.bind(this));this.destroy=function(){a(),o()}}return HU(e,[{key:"down",value:function(e){"mouse"===e.pointerType&&0!==e.button||(e.stopPropagation(),this.pointerStart=[e.pageX,e.pageY],this.onStart(e))}},{key:"move",value:function(e){if(this.pointerStart){e.preventDefault();var t=[e.pageX,e.pageY],n=t[1],r=[t[0]-this.pointerStart[0],n-this.pointerStart[1]],i=this.el.getBoundingClientRect().width/this.el.offsetWidth;this.onTranslate(r[0]/i,r[1]/i,e)}}},{key:"up",value:function(e){this.pointerStart&&(this.pointerStart=null,this.onDrag(e))}}]),e}(),gV=function(){function e(t,n,r,i){jU(this,e),$U(this,"el",void 0),$U(this,"intensity",void 0),$U(this,"onzoom",void 0),$U(this,"previous",null),$U(this,"pointers",[]),$U(this,"destroy",void 0),this.el=n,this.intensity=r,this.onzoom=i,t.addEventListener("wheel",this.wheel.bind(this)),t.addEventListener("pointerdown",this.down.bind(this)),t.addEventListener("dblclick",this.dblclick.bind(this));var a=hV("pointermove",this.move.bind(this)),o=hV("pointerup",this.end.bind(this)),s=hV("pointercancel",this.end.bind(this));this.destroy=function(){a(),o(),s()}}return HU(e,[{key:"translating",get:function(){return this.pointers.length>=2}},{key:"wheel",value:function(e){e.preventDefault();var t=this.el.getBoundingClientRect(),n=e.deltaY<0?this.intensity:-this.intensity,r=(t.left-e.clientX)*n,i=(t.top-e.clientY)*n;this.onzoom(n,r,i,"wheel")}},{key:"touches",value:function(){var e={touches:this.pointers},t=[e.touches[0].clientX,e.touches[0].clientY],n=t[0],r=t[1],i=[e.touches[1].clientX,e.touches[1].clientY],a=i[0],o=i[1];return{cx:(n+a)/2,cy:(r+o)/2,distance:Math.sqrt(Math.pow(n-a,2)+Math.pow(r-o,2))}}},{key:"down",value:function(e){this.pointers.push(e)}},{key:"move",value:function(e){if(this.pointers=this.pointers.map((function(t){return t.pointerId===e.pointerId?e:t})),this.translating){var t=this.el.getBoundingClientRect(),n=this.touches(),r=n.cx,i=n.cy,a=n.distance;if(null!==this.previous){var o=a/this.previous.distance-1,s=(t.left-r)*o,l=(t.top-i)*o;this.onzoom(o,s-(this.previous.cx-r),l-(this.previous.cy-i),"touch")}this.previous={cx:r,cy:i,distance:a}}}},{key:"end",value:function(e){this.previous=null,this.pointers=this.pointers.filter((function(t){return t.pointerId!==e.pointerId}))}},{key:"dblclick",value:function(e){e.preventDefault();var t=this.el.getBoundingClientRect(),n=4*this.intensity,r=(t.left-e.clientX)*n,i=(t.top-e.clientY)*n;this.onzoom(n,r,i,"dblclick")}}]),e}(),vV=function(e){XU(n,e);var t=JU(n);function n(e,r){var i;jU(this,n),$U(YU(i=t.call(this,r)),"el",void 0),$U(YU(i),"container",void 0),$U(YU(i),"transform",{k:1,x:0,y:0}),$U(YU(i),"mouse",{x:0,y:0}),$U(YU(i),"_startPosition",null),$U(YU(i),"_zoom",void 0),$U(YU(i),"_drag",void 0);var a=i.el=document.createElement("div");return i.container=e,a.style.transformOrigin="0 0",i._zoom=new gV(e,a,.1,i.onZoom.bind(YU(i))),i._drag=new mV(e,i.onTranslate.bind(YU(i)),i.onStart.bind(YU(i))),r.on("destroy",(function(){i._zoom.destroy(),i._drag.destroy()})),i.container.addEventListener("pointermove",i.pointermove.bind(YU(i))),i.update(),i}return HU(n,[{key:"update",value:function(){var e=this.transform;this.el.style.transform="translate(".concat(e.x,"px, ").concat(e.y,"px) scale(").concat(e.k,")")}},{key:"pointermove",value:function(e){var t=e.clientX,n=e.clientY,r=this.el.getBoundingClientRect(),i=t-r.left,a=n-r.top,o=this.transform.k;this.mouse={x:i/o,y:a/o},this.trigger("mousemove",UU({},this.mouse))}},{key:"onStart",value:function(){this._startPosition=UU({},this.transform)}},{key:"onTranslate",value:function(e,t){this._zoom.translating||this._startPosition&&this.translate(this._startPosition.x+e,this._startPosition.y+t)}},{key:"onZoom",value:function(e,t,n,r){this.zoom(this.transform.k*(1+e),t,n,r),this.update()}},{key:"translate",value:function(e,t){var n={transform:this.transform,x:e,y:t};this.trigger("translate",n)&&(this.transform.x=n.x,this.transform.y=n.y,this.update(),this.trigger("translated"))}},{key:"zoom",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:0,r=arguments.length>3?arguments[3]:void 0,i=this.transform.k,a={transform:this.transform,zoom:e,source:r};if(this.trigger("zoom",a)){var o=(i-a.zoom)/(i-e||1);this.transform.k=a.zoom||1,this.transform.x+=t*o,this.transform.y+=n*o,this.update(),this.trigger("zoomed",{source:r})}}},{key:"appendChild",value:function(e){this.el.appendChild(e)}},{key:"removeChild",value:function(e){this.el.removeChild(e)}}]),n}(cV),yV=function(e){XU(n,e);var t=JU(n);function n(e,r,i,a){var o;return jU(this,n),$U(YU(o=t.call(this,a)),"connection",void 0),$U(YU(o),"inputNode",void 0),$U(YU(o),"outputNode",void 0),$U(YU(o),"el",void 0),o.connection=e,o.inputNode=r,o.outputNode=i,o.el=document.createElement("div"),o.el.style.position="absolute",o.el.style.zIndex="-1",o.trigger("renderconnection",{el:o.el,connection:o.connection,points:o.getPoints()}),o}return HU(n,[{key:"getPoints",value:function(){var e=this.connection,t=e.input,n=e.output;if(this.inputNode.hasSocket(t)&&this.outputNode.hasSocket(n)){var r=QU(this.outputNode.getSocketPosition(n),2),i=r[0],a=r[1],o=QU(this.inputNode.getSocketPosition(t),2);return[i,a,o[0],o[1]]}return[0,0,0,0]}},{key:"update",value:function(){this.trigger("updateconnection",{el:this.el,connection:this.connection,points:this.getPoints()})}}]),n}(cV),bV=function(e){XU(n,e);var t=JU(n);function n(e,r,i){var a;return jU(this,n),(a=t.call(this,i)).trigger("rendercontrol",{el:e,control:r}),a}return HU(n)}(cV),_V=function(e){XU(n,e);var t=JU(n);function n(e,r,i,a,o){var s,l;return jU(this,n),$U(YU(l=t.call(this,o)),"el",void 0),$U(YU(l),"type",void 0),$U(YU(l),"io",void 0),$U(YU(l),"node",void 0),l.el=e,l.type=r,l.io=i,l.node=a,l.trigger("rendersocket",($U(s={el:e},r,l.io),$U(s,"socket",i.socket),s)),l}return HU(n,[{key:"getPosition",value:function(e,t){var n=e.position,r=this.el,i=function(e,t){for(var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:8,r=e.offsetLeft,i=e.offsetTop,a=e.offsetParent;a&&a!==t&&n>0;)n--,r+=a.offsetLeft,i+=a.offsetTop,a=a.offsetParent;return{x:r,y:i}}(r,t),a=i.x,o=i.y;return[n[0]+a+r.offsetWidth/2,n[1]+o+r.offsetHeight/2]}}]),n}(cV),xV=function(e){XU(n,e);var t=JU(n);function n(e,r,i){var a;return jU(this,n),$U(YU(a=t.call(this,i)),"node",void 0),$U(YU(a),"component",void 0),$U(YU(a),"sockets",new Map),$U(YU(a),"controls",new Map),$U(YU(a),"el",void 0),$U(YU(a),"_startPosition",[]),$U(YU(a),"_drag",void 0),a.node=e,a.component=r,a.el=document.createElement("div"),a.el.style.position="absolute",a.el.addEventListener("contextmenu",(function(e){return a.trigger("contextmenu",{e:e,node:a.node})})),a._drag=new mV(a.el,a.onTranslate.bind(YU(a)),a.onSelect.bind(YU(a)),(function(){a.trigger("nodedraged",e),a.trigger("nodedragged",e)})),a.trigger("rendernode",{el:a.el,node:e,component:r.data,bindSocket:a.bindSocket.bind(YU(a)),bindControl:a.bindControl.bind(YU(a))}),a.update(),a}return HU(n,[{key:"clearSockets",value:function(){var e=this,t=[].concat(eV(this.node.inputs.values()),eV(this.node.outputs.values()));this.sockets.forEach((function(n){t.includes(n.io)||e.sockets.delete(n.io)}))}},{key:"bindSocket",value:function(e,t,n){this.clearSockets(),this.sockets.set(n,new _V(e,t,n,this.node,this))}},{key:"bindControl",value:function(e,t){this.controls.set(t,new bV(e,t,this))}},{key:"hasSocket",value:function(e){return this.sockets.has(e)}},{key:"getSocketPosition",value:function(e){var t=this.sockets.get(e);if(!t)throw new Error("Socket not found for ".concat(e.name," with key ").concat(e.key));return t.getPosition(this.node,this.el)}},{key:"onSelect",value:function(e){var t={node:this.node,accumulate:e.ctrlKey,e:e};this.onStart(),this.trigger("multiselectnode",t),this.trigger("selectnode",t)}},{key:"onStart",value:function(){this._startPosition=eV(this.node.position)}},{key:"onTranslate",value:function(e,t){this.trigger("translatenode",{node:this.node,dx:e,dy:t})}},{key:"onDrag",value:function(e,t){var n=this._startPosition[0]+e,r=this._startPosition[1]+t;this.translate(n,r)}},{key:"translate",value:function(e,t){var n=this.node,r={node:n,x:e,y:t};if(this.trigger("nodetranslate",r)){var i=QU(n.position,2),a=[i[0],i[1]];n.position[0]=r.x,n.position[1]=r.y,this.update(),this.trigger("nodetranslated",{node:n,prev:a})}}},{key:"update",value:function(){var e=QU(this.node.position,2),t=e[0],n=e[1];this.el.style.transform="translate(".concat(t,"px, ").concat(n,"px)")}},{key:"remove",value:function(){}},{key:"destroy",value:function(){this._drag.destroy()}}]),n}(cV),wV=function(e){XU(n,e);var t=JU(n);function n(e,r,i){var a;return jU(this,n),$U(YU(a=t.call(this,i)),"container",void 0),$U(YU(a),"components",void 0),$U(YU(a),"nodes",new Map),$U(YU(a),"connections",new Map),$U(YU(a),"area",void 0),a.container=e,a.components=r,a.container.style.overflow="hidden",a.container.addEventListener("click",a.click.bind(YU(a))),a.container.addEventListener("contextmenu",(function(e){return a.trigger("contextmenu",{e:e,view:YU(a)})})),i.on("destroy",hV("resize",a.resize.bind(YU(a)))),i.on("destroy",(function(){return a.nodes.forEach((function(e){return e.destroy()}))})),a.on("nodetranslated",a.updateConnections.bind(YU(a))),a.on("rendersocket",(function(e){var t=e.input,n=e.output;Array.from(a.connections.entries()).filter((function(e){var r=QU(e,1)[0];return r.input===t||r.output===n})).forEach((function(e){var t=QU(e,2);t[0];var n=t[1];return requestAnimationFrame((function(){return n.update()}))}))})),a.area=new vV(e,YU(a)),a.container.appendChild(a.area.el),a}return HU(n,[{key:"addNode",value:function(e){var t=this.components.get(e.name);if(!t)throw new Error("Component ".concat(e.name," not found"));var n=new xV(e,t,this);this.nodes.set(e,n),this.area.appendChild(n.el)}},{key:"removeNode",value:function(e){var t=this.nodes.get(e);this.nodes.delete(e),t&&(this.area.removeChild(t.el),t.destroy())}},{key:"addConnection",value:function(e){if(!e.input.node||!e.output.node)throw new Error("Connection input or output not added to node");var t=this.nodes.get(e.input.node),n=this.nodes.get(e.output.node);if(!t||!n)throw new Error("View node not found for input or output");var r=new yV(e,t,n,this);this.connections.set(e,r),this.area.appendChild(r.el)}},{key:"removeConnection",value:function(e){var t=this.connections.get(e);this.connections.delete(e),t&&this.area.removeChild(t.el)}},{key:"updateConnections",value:function(e){var t=this;e.node.getConnections().forEach((function(e){var n=t.connections.get(e);if(!n)throw new Error("Connection view not found");n.update()}))}},{key:"resize",value:function(){var e=this.container;if(!e.parentElement)throw new Error("Container doesn't have parent element");var t=e.parentElement.clientWidth,n=e.parentElement.clientHeight;e.style.width=t+"px",e.style.height=n+"px"}},{key:"click",value:function(e){var t=this.container;t===e.target&&this.trigger("click",{e:e,container:t})}}]),n}(cV),AV=function(){function e(){jU(this,e),$U(this,"list",[])}return HU(e,[{key:"add",value:function(e){arguments.length>1&&void 0!==arguments[1]&&arguments[1]?this.contains(e)||this.list.push(e):this.list=[e]}},{key:"clear",value:function(){this.list=[]}},{key:"remove",value:function(e){this.list.splice(this.list.indexOf(e),1)}},{key:"contains",value:function(e){return-1!==this.list.indexOf(e)}},{key:"each",value:function(e){this.list.forEach(e)}}]),e}(),SV=HU((function e(t){jU(this,e),$U(this,"handlers",void 0),this.handlers=UU({warn:[console.warn],error:[console.error],componentregister:[],destroy:[]},t)})),TV=function(e){XU(n,e);var t=JU(n);function n(){return jU(this,n),t.call(this,{nodecreate:[],nodecreated:[],noderemove:[],noderemoved:[],connectioncreate:[],connectioncreated:[],connectionremove:[],connectionremoved:[],translatenode:[],nodetranslate:[],nodetranslated:[],nodedraged:[],nodedragged:[],selectnode:[],multiselectnode:[],nodeselect:[],nodeselected:[],rendernode:[],rendersocket:[],rendercontrol:[],renderconnection:[],updateconnection:[],keydown:[],keyup:[],translate:[],translated:[],zoom:[],zoomed:[],click:[],mousemove:[],contextmenu:[],import:[],export:[],process:[],clear:[]})}return HU(n)}(SV),CV=function(e){XU(r,e);var t,n=JU(r);function r(e,t){var i;return jU(this,r),$U(YU(i=n.call(this,e,new TV)),"nodes",[]),$U(YU(i),"selected",new AV),$U(YU(i),"view",void 0),i.view=new wV(t,i.components,YU(i)),i.on("destroy",hV("keydown",(function(e){return i.trigger("keydown",e)}))),i.on("destroy",hV("keyup",(function(e){return i.trigger("keyup",e)}))),i.on("selectnode",(function(e){var t=e.node,n=e.accumulate;return i.selectNode(t,n)})),i.on("nodeselected",(function(){return i.selected.each((function(e){var t=i.view.nodes.get(e);t&&t.onStart()}))})),i.on("translatenode",(function(e){var t=e.dx,n=e.dy;return i.selected.each((function(e){var r=i.view.nodes.get(e);r&&r.onDrag(t,n)}))})),i}return HU(r,[{key:"addNode",value:function(e){this.trigger("nodecreate",e)&&(this.nodes.push(e),this.view.addNode(e),this.trigger("nodecreated",e))}},{key:"removeNode",value:function(e){var t=this;this.trigger("noderemove",e)&&(e.getConnections().forEach((function(e){return t.removeConnection(e)})),this.nodes.splice(this.nodes.indexOf(e),1),this.view.removeNode(e),this.trigger("noderemoved",e))}},{key:"connect",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};if(this.trigger("connectioncreate",{output:e,input:t}))try{var r=e.connectTo(t);r.data=n,this.view.addConnection(r),this.trigger("connectioncreated",r)}catch(e){this.trigger("warn",e)}}},{key:"removeConnection",value:function(e){this.trigger("connectionremove",e)&&(this.view.removeConnection(e),e.remove(),this.trigger("connectionremoved",e))}},{key:"selectNode",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(-1===this.nodes.indexOf(e))throw new Error("Node not exist in list");this.trigger("nodeselect",e)&&(this.selected.add(e,t),this.trigger("nodeselected",e))}},{key:"getComponent",value:function(e){var t=this.components.get(e);if(!t)throw"Component ".concat(e," not found");return t}},{key:"register",value:function(e){ZU(qU(r.prototype),"register",this).call(this,e),e.editor=this}},{key:"clear",value:function(){var e=this;eV(this.nodes).forEach((function(t){return e.removeNode(t)})),this.trigger("clear")}},{key:"toJSON",value:function(){var e={id:this.id,nodes:{}};return this.nodes.forEach((function(t){return e.nodes[t.id]=t.toJSON()})),this.trigger("export",e),e}},{key:"beforeImport",value:function(e){var t=fV.validate(this.id,e);return t.success?(this.silent=!0,this.clear(),this.trigger("import",e),!0):(this.trigger("warn",t.msg),!1)}},{key:"afterImport",value:function(){return this.silent=!1,!0}},{key:"fromJSON",value:(t=zU(VU().mark((function e(t){var n,r=this;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(this.beforeImport(t)){e.next=2;break}return e.abrupt("return",!1);case 2:return n={},e.prev=3,e.next=6,Promise.all(Object.keys(t.nodes).map(function(){var e=zU(VU().mark((function e(i){var a,o;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return a=t.nodes[i],o=r.getComponent(a.name),e.next=4,o.build(aV.fromJSON(a));case 4:n[i]=e.sent,r.addNode(n[i]);case 6:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}()));case 6:Object.keys(t.nodes).forEach((function(e){var i=t.nodes[e],a=n[e];Object.keys(i.outputs).forEach((function(e){i.outputs[e].connections.forEach((function(t){var i=t.node,o=t.data,s=a.outputs.get(e),l=n[i].inputs.get(t.input);if(!s||!l)return r.trigger("error","IO not found for node ".concat(a.id));r.connect(s,l,o)}))}))})),e.next=13;break;case 9:return e.prev=9,e.t0=e.catch(3),this.trigger("warn",e.t0),e.abrupt("return",!this.afterImport());case 13:return e.abrupt("return",this.afterImport());case 14:case"end":return e.stop()}}),e,this,[[3,9]])}))),function(e){return t.apply(this,arguments)})}]),r}(pV),EV=function(e){XU(n,e);var t=JU(n);function n(e,r,i){var a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3];return jU(this,n),t.call(this,e,r,i,a)}return HU(n,[{key:"hasConnection",value:function(){return this.connections.length>0}},{key:"connectTo",value:function(e){if(!this.socket.compatibleWith(e.socket))throw new Error("Sockets not compatible");if(!e.multipleConnections&&e.hasConnection())throw new Error("Input already has one connection");if(!this.multipleConnections&&this.hasConnection())throw new Error("Output already has one connection");var t=new sV(this,e);return this.connections.push(t),t}},{key:"connectedTo",value:function(e){return this.connections.some((function(t){return t.input===e}))}},{key:"toJSON",value:function(){return{connections:this.connections.map((function(e){if(!e.input.node)throw new Error("Node not added to Input");return{node:e.input.node.id,input:e.input.key,data:e.data}}))}}}]),n}(uV),MV=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};jU(this,e),$U(this,"name",void 0),$U(this,"data",void 0),$U(this,"compatible",[]),this.name=t,this.data=n,this.compatible=[]}return HU(e,[{key:"combineWith",value:function(e){this.compatible.push(e)}},{key:"compatibleWith",value:function(e){return this===e||this.compatible.includes(e)}}]),e}(),DV=function(){function e(t){jU(this,e),$U(this,"nodes",void 0),this.nodes=t}return HU(e,[{key:"extractInputNodes",value:function(e){var t=this;return Object.keys(e.inputs).reduce((function(n,r){var i=(e.inputs[r].connections||[]).reduce((function(e,n){return[].concat(eV(e),[t.nodes[n.node]])}),[]);return[].concat(eV(n),eV(i))}),[])}},{key:"findSelf",value:function(e,t){var n,r=(n=t,e.filter((function(e){return-1!==n.indexOf(e)})));if(r.length)return r[0];var i,a=rV(t);try{for(a.s();!(i=a.n()).done;){var o=i.value,s=[o].concat(eV(e)),l=this.findSelf(s,this.extractInputNodes(o));if(l)return l}}catch(e){a.e(e)}finally{a.f()}return null}},{key:"detect",value:function(){var e,t=this,n=rV(Object.keys(this.nodes).map((function(e){return t.nodes[e]})));try{for(n.s();!(e=n.n()).done;){var r=e.value,i=this.findSelf([r],this.extractInputNodes(r));if(i)return i}}catch(e){n.e(e)}finally{n.f()}return null}}]),e}(),PV=function(e){XU(n,e);var t=JU(n);function n(){return jU(this,n),t.call(this,{})}return HU(n)}(SV),IV=function(e){XU(p,e);var t,n,r,i,a,o,s,l,c,u,d,f=JU(p);function p(e){var t;return jU(this,p),$U(YU(t=f.call(this,e,new PV)),"args",[]),$U(YU(t),"data",null),$U(YU(t),"state",0),$U(YU(t),"forwarded",new Set),$U(YU(t),"onAbort",(function(){})),t}return HU(p,[{key:"clone",value:function(){var e=new p(this.id);return this.components.forEach((function(t){return e.register(t)})),e}},{key:"throwError",value:(d=zU(VU().mark((function e(t){var n,r=arguments;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return n=r.length>1&&void 0!==r[1]?r[1]:null,e.next=3,this.abort();case 3:return this.trigger("error",{message:t,data:n}),this.processDone(),e.abrupt("return","error");case 6:case"end":return e.stop()}}),e,this)}))),function(e){return d.apply(this,arguments)})},{key:"processStart",value:function(){return 0===this.state?(this.state=1,!0):(2===this.state||console.warn("The process is busy and has not been restarted.\n                Use abort() to force it to complete"),!1)}},{key:"processDone",value:function(){var e=2!==this.state;return this.state=0,e||(this.onAbort(),this.onAbort=function(){}),e}},{key:"abort",value:(u=zU(VU().mark((function e(){var t=this;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.abrupt("return",new Promise((function(e){1===t.state?(t.state=2,t.onAbort=e):2===t.state?(t.onAbort(),t.onAbort=e):e()})));case 1:case"end":return e.stop()}}),e)}))),function(){return u.apply(this,arguments)})},{key:"lock",value:(c=zU(VU().mark((function e(t){return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.abrupt("return",new Promise((function(e){t.unlockPool=t.unlockPool||[],t.busy&&!t.outputData?t.unlockPool.push(e):e(),t.busy=!0})));case 1:case"end":return e.stop()}}),e)}))),function(e){return c.apply(this,arguments)})},{key:"unlock",value:function(e){e.unlockPool.forEach((function(e){return e()})),e.unlockPool=[],e.busy=!1}},{key:"extractInputData",value:(l=zU(VU().mark((function e(t){var n,r,i,a,o,s,l,c=this;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:n={},r=0,i=Object.keys(t.inputs);case 2:if(!(r<i.length)){e.next=13;break}return a=i[r],o=t.inputs[a],s=o.connections,e.next=8,Promise.all(s.map(function(){var e=zU(VU().mark((function e(t){var n,r;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return n=c.data.nodes[t.node],e.next=3,c.processNode(n);case 3:if(r=e.sent){e.next=8;break}c.abort(),e.next=9;break;case 8:return e.abrupt("return",r[t.output]);case 9:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}()));case 8:l=e.sent,n[a]=l;case 10:r++,e.next=2;break;case 13:return e.abrupt("return",n);case 14:case"end":return e.stop()}}),e)}))),function(e){return l.apply(this,arguments)})},{key:"processWorker",value:(s=zU(VU().mark((function e(t){var n,r,i;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,this.extractInputData(t);case 2:return n=e.sent,r=this.components.get(t.name),i={},e.prev=5,e.next=8,r.worker.apply(r,[t,n,i].concat(eV(this.args)));case 8:e.next=14;break;case 10:e.prev=10,e.t0=e.catch(5),this.abort(),this.trigger("warn",e.t0);case 14:return e.abrupt("return",i);case 15:case"end":return e.stop()}}),e,this,[[5,10]])}))),function(e){return s.apply(this,arguments)})},{key:"processNode",value:(o=zU(VU().mark((function e(t){return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(2!==this.state&&t){e.next=2;break}return e.abrupt("return",null);case 2:return e.next=4,this.lock(t);case 4:if(t.outputData){e.next=8;break}return e.next=7,this.processWorker(t);case 7:t.outputData=e.sent;case 8:return this.unlock(t),e.abrupt("return",t.outputData);case 10:case"end":return e.stop()}}),e,this)}))),function(e){return o.apply(this,arguments)})},{key:"forwardProcess",value:(a=zU(VU().mark((function e(t){var n=this;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(2!==this.state){e.next=2;break}return e.abrupt("return",null);case 2:return e.next=4,Promise.all(Object.keys(t.outputs).map(function(){var e=zU(VU().mark((function e(r){var i;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return i=t.outputs[r],e.next=3,Promise.all(i.connections.map(function(){var e=zU(VU().mark((function e(t){var r;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(r=n.data.nodes[t.node],n.forwarded.has(r)){e.next=7;break}return n.forwarded.add(r),e.next=5,n.processNode(r);case 5:return e.next=7,n.forwardProcess(r);case 7:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}()));case 3:return e.abrupt("return",e.sent);case 4:case"end":return e.stop()}}),e)})));return function(t){return e.apply(this,arguments)}}()));case 4:return e.abrupt("return",e.sent);case 5:case"end":return e.stop()}}),e,this)}))),function(e){return a.apply(this,arguments)})},{key:"copy",value:function(e){return(e=Object.assign({},e)).nodes=Object.assign({},e.nodes),Object.keys(e.nodes).forEach((function(t){e.nodes[t]=Object.assign({},e.nodes[t])})),e}},{key:"validate",value:(i=zU(VU().mark((function e(t){var n,r,i;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(n=fV.validate(this.id,t),r=new DV(t.nodes),n.success){e.next=6;break}return e.next=5,this.throwError(n.msg);case 5:case 10:return e.abrupt("return",e.sent);case 6:if(!(i=r.detect())){e.next=11;break}return e.next=10,this.throwError("Recursion detected",i);case 11:return e.abrupt("return",!0);case 12:case"end":return e.stop()}}),e,this)}))),function(e){return i.apply(this,arguments)})},{key:"processStartNode",value:(r=zU(VU().mark((function e(t){var n;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(t){e.next=2;break}return e.abrupt("return");case 2:if(n=this.data.nodes[t]){e.next=7;break}return e.next=6,this.throwError("Node with such id not found");case 6:return e.abrupt("return",e.sent);case 7:return e.next=9,this.processNode(n);case 9:return e.next=11,this.forwardProcess(n);case 11:case"end":return e.stop()}}),e,this)}))),function(e){return r.apply(this,arguments)})},{key:"processUnreachable",value:(n=zU(VU().mark((function e(){var t,n,r;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:t=this.data,e.t0=VU().keys(t.nodes);case 2:if((e.t1=e.t0()).done){e.next=12;break}if(n=e.t1.value,void 0!==(r=t.nodes[n]).outputData){e.next=10;break}return e.next=8,this.processNode(r);case 8:return e.next=10,this.forwardProcess(r);case 10:e.next=2;break;case 12:case"end":return e.stop()}}),e,this)}))),function(){return n.apply(this,arguments)})},{key:"process",value:(t=zU(VU().mark((function e(t){var n,r,i,a,o=arguments;return VU().wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(n=o.length>1&&void 0!==o[1]?o[1]:null,this.processStart()){e.next=3;break}return e.abrupt("return");case 3:if(this.validate(t)){e.next=5;break}return e.abrupt("return");case 5:for(this.data=this.copy(t),r=o.length,i=new Array(r>2?r-2:0),a=2;a<r;a++)i[a-2]=o[a];return this.args=i,this.forwarded=new Set,e.next=11,this.processStartNode(n);case 11:return e.next=13,this.processUnreachable();case 13:return e.abrupt("return",this.processDone()?"success":"aborted");case 14:case"end":return e.stop()}}),e,this)}))),function(e){return t.apply(this,arguments)})}]),p}(pV),OV={Engine:IV,Recursion:DV,Component:oV,Control:lV,Connection:sV,Emitter:cV,Input:dV,IO:uV,Node:aV,NodeEditor:CV,Output:EV,Socket:MV};function NV(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function kV(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}function RV(e,t,n){return t&&kV(e.prototype,t),n&&kV(e,n),e}function LV(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function FV(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=[],r=!0,i=!1,a=void 0;try{for(var o,s=e[Symbol.iterator]();!(r=(o=s.next()).done)&&(n.push(o.value),!t||n.length!==t);r=!0);}catch(e){i=!0,a=e}finally{try{r||null==s.return||s.return()}finally{if(i)throw a}}return n}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}()}function BV(e){return e.toLowerCase().replace(/ /g,"-")}function UV(e,t){return e.get(t)||(t.parentElement?UV(e,t.parentElement):null)}function VV(e,t,n){var r={points:t,connection:n,d:""};return e.trigger("connectionpath",r),r.d||function(e,t){var n=FV(e,4),r=n[0],i=n[1],a=n[2],o=n[3],s=r+.4*Math.abs(a-r),l=a-.4*Math.abs(a-r);return"M ".concat(r," ").concat(i," C ").concat(s," ").concat(i," ").concat(l," ").concat(o," ").concat(a," ").concat(o)}(t)}function GV(e){var t=e.el,n=e.d,r=t.querySelector(".connection path");if(!r)throw new Error("Path of connection was broken");r.setAttribute("d",n)}function zV(e){var t,n=e.el,r=e.d,i=e.connection,a=i?["input-"+BV(i.input.name),"output-"+BV(i.output.name),"socket-input-"+BV(i.input.socket.name),"socket-output-"+BV(i.output.socket.name)]:[],o=document.createElementNS("http://www.w3.org/2000/svg","svg"),s=document.createElementNS("http://www.w3.org/2000/svg","path");(t=o.classList).add.apply(t,["connection"].concat(a)),s.classList.add("main-path"),s.setAttribute("d",r),o.appendChild(s),n.appendChild(o),GV({el:n,d:r})}var jV=function(){function e(t,n){NV(this,e),this.emitter=t,this.editorView=n,LV(this,"el",void 0),this.el=document.createElement("div"),this.el.style.position="absolute",this.editorView.area.appendChild(this.el)}return RV(e,[{key:"updatePseudoConnection",value:function(e){null!==e?this.renderConnection(e):this.el.parentElement&&(this.el.innerHTML="")}},{key:"getPoints",value:function(e){var t=this.editorView.area.mouse;if(!e.node)throw new Error("Node in output/input not found");var n=this.editorView.nodes.get(e.node);if(!n)throw new Error("Node view not found");var r=FV(n.getSocketPosition(e),2),i=r[0],a=r[1];return e instanceof EV?[i,a,t.x,t.y]:[t.x,t.y,i,a]}},{key:"updateConnection",value:function(e){var t=VV(this.emitter,this.getPoints(e));GV({el:this.el,d:t})}},{key:"renderConnection",value:function(e){var t=VV(this.emitter,this.getPoints(e));zV({el:this.el,d:t})}}]),e}(),WV=function(){function e(t){var n=this;NV(this,e),LV(this,"editor",void 0),LV(this,"_io",null),LV(this,"view",void 0),this.editor=t,this.view=new jV(t,t.view),t.on("mousemove",(function(){return n.io&&n.view.updateConnection(n.io)}))}return RV(e,[{key:"reset",value:function(){this.io=null}},{key:"pickOutput",value:function(e){if(this.editor.trigger("connectionpick",e)){if(this.io instanceof dV)return!e.multipleConnections&&e.hasConnection()&&this.editor.removeConnection(e.connections[0]),this.editor.connect(e,this.io),void this.reset();this.io&&this.reset(),this.io=e}}},{key:"pickInput",value:function(e){var t=this;if(this.editor.trigger("connectionpick",e)){if(null===this.io)return e.hasConnection()?(this.io=e.connections[0].output,this.editor.removeConnection(e.connections[0])):this.io=e,!0;if(!e.multipleConnections&&e.hasConnection()&&this.editor.removeConnection(e.connections[0]),!this.io.multipleConnections&&this.io.hasConnection()&&this.editor.removeConnection(this.io.connections[0]),this.io instanceof EV&&this.io.connectedTo(e)){var n=e.connections.find((function(e){return e.output===t.io}));n&&this.editor.removeConnection(n)}this.io instanceof EV&&(this.editor.connect(this.io,e),this.reset())}}},{key:"pickConnection",value:function(e){var t=e.output;this.editor.removeConnection(e),this.io=t}},{key:"io",get:function(){return this._io},set:function(e){this._io=e,this.view.updatePseudoConnection(e)}}]),e}(),HV=function(){function e(t){NV(this,e),LV(this,"picker",void 0),LV(this,"target",void 0),this.picker=t,this.target=null}return RV(e,[{key:"act",value:function(e){var t=e.input,n=e.output;this.unlock(t||n)||(t?this.picker.pickInput(t):n?this.picker.pickOutput(n):this.picker.reset())}},{key:"start",value:function(e,t){this.act(e),this.target=t}},{key:"complete",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.act(e)}},{key:"hasTarget",value:function(){return Boolean(this.target)}},{key:"unlock",value:function(e){var t=this.target;return this.target=null,t&&t===e}}]),e}();!function(e){if(e&&"undefined"!=typeof window){var t=document.createElement("style");t.setAttribute("type","text/css"),t.innerHTML=e,document.head.appendChild(t)}}(".connection {\n  overflow: visible !important;\n  position: absolute;\n  z-index: -1;\n  pointer-events: none; }\n  .connection > * {\n    pointer-events: all; }\n  .connection .main-path {\n    fill: none;\n    stroke-width: 5px;\n    stroke: steelblue; }\n");var $V={name:"connection",install:function(e){e.bind("connectionpath"),e.bind("connectiondrop"),e.bind("connectionpick"),e.bind("resetconnection");var t=new WV(e),n=new HV(t),r=new WeakMap;function i(t){var i=r.get(this);if(i){var a=i.input,o=i.output;e.view.container.dispatchEvent(new PointerEvent("pointermove",t)),t.preventDefault(),t.stopPropagation(),n.start({input:a,output:o},a||o)}}function a(i){var a=document.elementFromPoint(i.clientX,i.clientY);t.io&&e.trigger("connectiondrop",t.io),a&&n.complete(UV(r,a)||{})}e.on("resetconnection",(function(){return n.complete()})),e.on("rendersocket",(function(e){var t=e.el,n=e.input,a=e.output;r.set(t,{input:n,output:a}),t.removeEventListener("pointerdown",i),t.addEventListener("pointerdown",i)})),window.addEventListener("pointerup",a),e.on("renderconnection",(function(t){var n=t.el,r=t.connection,i=t.points;zV({el:n,d:VV(e,i,r),connection:r})})),e.on("updateconnection",(function(t){var n=t.el,r=t.connection,i=t.points;GV({el:n,d:VV(e,i,r)})})),e.on("destroy",(function(){window.removeEventListener("pointerup",a)}))}},XV=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)},qV="object"==typeof n.g&&n.g&&n.g.Object===Object&&n.g,KV="object"==typeof self&&self&&self.Object===Object&&self,YV=qV||KV||Function("return this")(),JV=function(){return YV.Date.now()},ZV=YV.Symbol,QV=Object.prototype,eG=QV.hasOwnProperty,tG=QV.toString,nG=ZV?ZV.toStringTag:void 0,rG=Object.prototype.toString,iG=ZV?ZV.toStringTag:void 0,aG=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":iG&&iG in Object(e)?function(e){var t=eG.call(e,nG),n=e[nG];try{e[nG]=void 0;var r=!0}catch(e){}var i=tG.call(e);return r&&(t?e[nG]=n:delete e[nG]),i}(e):function(e){return rG.call(e)}(e)},oG=/^\s+|\s+$/g,sG=/^[-+]0x[0-9a-f]+$/i,lG=/^0b[01]+$/i,cG=/^0o[0-7]+$/i,uG=parseInt,dG=function(e){if("number"==typeof e)return e;if(function(e){return"symbol"==typeof e||function(e){return null!=e&&"object"==typeof e}(e)&&"[object Symbol]"==aG(e)}(e))return NaN;if(XV(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=XV(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=e.replace(oG,"");var n=lG.test(e);return n||cG.test(e)?uG(e.slice(2),n?2:8):sG.test(e)?NaN:+e},fG=Math.max,pG=Math.min,hG=Object.freeze({});function mG(e){return null==e}function gG(e){return null!=e}function vG(e){return!0===e}function yG(e){return"string"==typeof e||"number"==typeof e||"symbol"==typeof e||"boolean"==typeof e}function bG(e){return null!==e&&"object"==typeof e}var _G=Object.prototype.toString;function xG(e){return"[object Object]"===_G.call(e)}function wG(e){var t=parseFloat(String(e));return t>=0&&Math.floor(t)===t&&isFinite(e)}function AG(e){return null==e?"":"object"==typeof e?JSON.stringify(e,null,2):String(e)}function SG(e){var t=parseFloat(e);return isNaN(t)?e:t}function TG(e,t){for(var n=Object.create(null),r=e.split(","),i=0;i<r.length;i++)n[r[i]]=!0;return t?function(e){return n[e.toLowerCase()]}:function(e){return n[e]}}var CG=TG("slot,component",!0),EG=TG("key,ref,slot,slot-scope,is");function MG(e,t){if(e.length){var n=e.indexOf(t);if(n>-1)return e.splice(n,1)}}var DG=Object.prototype.hasOwnProperty;function PG(e,t){return DG.call(e,t)}function IG(e){var t=Object.create(null);return function(n){return t[n]||(t[n]=e(n))}}var OG=/-(\w)/g,NG=IG((function(e){return e.replace(OG,(function(e,t){return t?t.toUpperCase():""}))})),kG=IG((function(e){return e.charAt(0).toUpperCase()+e.slice(1)})),RG=/\B([A-Z])/g,LG=IG((function(e){return e.replace(RG,"-$1").toLowerCase()})),FG=Function.prototype.bind?function(e,t){return e.bind(t)}:function(e,t){function n(n){var r=arguments.length;return r?r>1?e.apply(t,arguments):e.call(t,n):e.call(t)}return n._length=e.length,n};function BG(e,t){t=t||0;for(var n=e.length-t,r=new Array(n);n--;)r[n]=e[n+t];return r}function UG(e,t){for(var n in t)e[n]=t[n];return e}function VG(e){for(var t={},n=0;n<e.length;n++)e[n]&&UG(t,e[n]);return t}function GG(e,t,n){}var zG=function(e,t,n){return!1},jG=function(e){return e};function WG(e,t){if(e===t)return!0;var n=bG(e),r=bG(t);if(!n||!r)return!n&&!r&&String(e)===String(t);try{var i=Array.isArray(e),a=Array.isArray(t);if(i&&a)return e.length===t.length&&e.every((function(e,n){return WG(e,t[n])}));if(i||a)return!1;var o=Object.keys(e),s=Object.keys(t);return o.length===s.length&&o.every((function(n){return WG(e[n],t[n])}))}catch(e){return!1}}function HG(e,t){for(var n=0;n<e.length;n++)if(WG(e[n],t))return n;return-1}function $G(e){var t=!1;return function(){t||(t=!0,e.apply(this,arguments))}}var XG="data-server-rendered",qG=["component","directive","filter"],KG=["beforeCreate","created","beforeMount","mounted","beforeUpdate","updated","beforeDestroy","destroyed","activated","deactivated","errorCaptured"],YG={optionMergeStrategies:Object.create(null),silent:!1,productionTip:!1,devtools:!1,performance:!1,errorHandler:null,warnHandler:null,ignoredElements:[],keyCodes:Object.create(null),isReservedTag:zG,isReservedAttr:zG,isUnknownElement:zG,getTagNamespace:GG,parsePlatformTagName:jG,mustUseProp:zG,_lifecycleHooks:KG};function JG(e){var t=(e+"").charCodeAt(0);return 36===t||95===t}function ZG(e,t,n,r){Object.defineProperty(e,t,{value:n,enumerable:!!r,writable:!0,configurable:!0})}var QG,ez=/[^\w.$]/,tz="__proto__"in{},nz="undefined"!=typeof window,rz="undefined"!=typeof WXEnvironment&&!!WXEnvironment.platform,iz=rz&&WXEnvironment.platform.toLowerCase(),az=nz&&window.navigator.userAgent.toLowerCase(),oz=az&&/msie|trident/.test(az),sz=az&&az.indexOf("msie 9.0")>0,lz=az&&az.indexOf("edge/")>0,cz=(az&&az.indexOf("android"),az&&/iphone|ipad|ipod|ios/.test(az)||"ios"===iz),uz=(az&&/chrome\/\d+/.test(az),{}.watch),dz=!1;if(nz)try{var fz={};Object.defineProperty(fz,"passive",{get:function(){dz=!0}}),window.addEventListener("test-passive",null,fz)}catch(e){}var pz=function(){return void 0===QG&&(QG=!nz&&!rz&&void 0!==n.g&&"server"===n.g.process.env.VUE_ENV),QG},hz=nz&&window.__VUE_DEVTOOLS_GLOBAL_HOOK__;function mz(e){return"function"==typeof e&&/native code/.test(e.toString())}var gz,vz="undefined"!=typeof Symbol&&mz(Symbol)&&"undefined"!=typeof Reflect&&mz(Reflect.ownKeys);gz="undefined"!=typeof Set&&mz(Set)?Set:function(){function e(){this.set=Object.create(null)}return e.prototype.has=function(e){return!0===this.set[e]},e.prototype.add=function(e){this.set[e]=!0},e.prototype.clear=function(){this.set=Object.create(null)},e}();var yz=GG,bz=0,_z=function(){this.id=bz++,this.subs=[]};_z.prototype.addSub=function(e){this.subs.push(e)},_z.prototype.removeSub=function(e){MG(this.subs,e)},_z.prototype.depend=function(){_z.target&&_z.target.addDep(this)},_z.prototype.notify=function(){for(var e=this.subs.slice(),t=0,n=e.length;t<n;t++)e[t].update()},_z.target=null;var xz=[];function wz(e){_z.target&&xz.push(_z.target),_z.target=e}function Az(){_z.target=xz.pop()}var Sz=function(e,t,n,r,i,a,o,s){this.tag=e,this.data=t,this.children=n,this.text=r,this.elm=i,this.ns=void 0,this.context=a,this.fnContext=void 0,this.fnOptions=void 0,this.fnScopeId=void 0,this.key=t&&t.key,this.componentOptions=o,this.componentInstance=void 0,this.parent=void 0,this.raw=!1,this.isStatic=!1,this.isRootInsert=!0,this.isComment=!1,this.isCloned=!1,this.isOnce=!1,this.asyncFactory=s,this.asyncMeta=void 0,this.isAsyncPlaceholder=!1},Tz={child:{configurable:!0}};Tz.child.get=function(){return this.componentInstance},Object.defineProperties(Sz.prototype,Tz);var Cz=function(e){void 0===e&&(e="");var t=new Sz;return t.text=e,t.isComment=!0,t};function Ez(e){return new Sz(void 0,void 0,void 0,String(e))}function Mz(e){var t=new Sz(e.tag,e.data,e.children,e.text,e.elm,e.context,e.componentOptions,e.asyncFactory);return t.ns=e.ns,t.isStatic=e.isStatic,t.key=e.key,t.isComment=e.isComment,t.fnContext=e.fnContext,t.fnOptions=e.fnOptions,t.fnScopeId=e.fnScopeId,t.isCloned=!0,t}var Dz=Array.prototype,Pz=Object.create(Dz);["push","pop","shift","unshift","splice","sort","reverse"].forEach((function(e){var t=Dz[e];ZG(Pz,e,(function(){for(var n=[],r=arguments.length;r--;)n[r]=arguments[r];var i,a=t.apply(this,n),o=this.__ob__;switch(e){case"push":case"unshift":i=n;break;case"splice":i=n.slice(2)}return i&&o.observeArray(i),o.dep.notify(),a}))}));var Iz=Object.getOwnPropertyNames(Pz),Oz=!0;function Nz(e){Oz=e}var kz=function(e){this.value=e,this.dep=new _z,this.vmCount=0,ZG(e,"__ob__",this),Array.isArray(e)?((tz?Rz:Lz)(e,Pz,Iz),this.observeArray(e)):this.walk(e)};function Rz(e,t,n){e.__proto__=t}function Lz(e,t,n){for(var r=0,i=n.length;r<i;r++){var a=n[r];ZG(e,a,t[a])}}function Fz(e,t){var n;if(bG(e)&&!(e instanceof Sz))return PG(e,"__ob__")&&e.__ob__ instanceof kz?n=e.__ob__:Oz&&!pz()&&(Array.isArray(e)||xG(e))&&Object.isExtensible(e)&&!e._isVue&&(n=new kz(e)),t&&n&&n.vmCount++,n}function Bz(e,t,n,r,i){var a=new _z,o=Object.getOwnPropertyDescriptor(e,t);if(!o||!1!==o.configurable){var s=o&&o.get;s||2!==arguments.length||(n=e[t]);var l=o&&o.set,c=!i&&Fz(n);Object.defineProperty(e,t,{enumerable:!0,configurable:!0,get:function(){var t=s?s.call(e):n;return _z.target&&(a.depend(),c&&(c.dep.depend(),Array.isArray(t)&&Gz(t))),t},set:function(t){var r=s?s.call(e):n;t===r||t!=t&&r!=r||(l?l.call(e,t):n=t,c=!i&&Fz(t),a.notify())}})}}function Uz(e,t,n){if(Array.isArray(e)&&wG(t))return e.length=Math.max(e.length,t),e.splice(t,1,n),n;if(t in e&&!(t in Object.prototype))return e[t]=n,n;var r=e.__ob__;return e._isVue||r&&r.vmCount?n:r?(Bz(r.value,t,n),r.dep.notify(),n):(e[t]=n,n)}function Vz(e,t){if(Array.isArray(e)&&wG(t))e.splice(t,1);else{var n=e.__ob__;e._isVue||n&&n.vmCount||PG(e,t)&&(delete e[t],n&&n.dep.notify())}}function Gz(e){for(var t=void 0,n=0,r=e.length;n<r;n++)(t=e[n])&&t.__ob__&&t.__ob__.dep.depend(),Array.isArray(t)&&Gz(t)}kz.prototype.walk=function(e){for(var t=Object.keys(e),n=0;n<t.length;n++)Bz(e,t[n])},kz.prototype.observeArray=function(e){for(var t=0,n=e.length;t<n;t++)Fz(e[t])};var zz=YG.optionMergeStrategies;function jz(e,t){if(!t)return e;for(var n,r,i,a=Object.keys(t),o=0;o<a.length;o++)r=e[n=a[o]],i=t[n],PG(e,n)?xG(r)&&xG(i)&&jz(r,i):Uz(e,n,i);return e}function Wz(e,t,n){return n?function(){var r="function"==typeof t?t.call(n,n):t,i="function"==typeof e?e.call(n,n):e;return r?jz(r,i):i}:t?e?function(){return jz("function"==typeof t?t.call(this,this):t,"function"==typeof e?e.call(this,this):e)}:t:e}function Hz(e,t){return t?e?e.concat(t):Array.isArray(t)?t:[t]:e}function $z(e,t,n,r){var i=Object.create(e||null);return t?UG(i,t):i}zz.data=function(e,t,n){return n?Wz(e,t,n):t&&"function"!=typeof t?e:Wz(e,t)},KG.forEach((function(e){zz[e]=Hz})),qG.forEach((function(e){zz[e+"s"]=$z})),zz.watch=function(e,t,n,r){if(e===uz&&(e=void 0),t===uz&&(t=void 0),!t)return Object.create(e||null);if(!e)return t;var i={};for(var a in UG(i,e),t){var o=i[a],s=t[a];o&&!Array.isArray(o)&&(o=[o]),i[a]=o?o.concat(s):Array.isArray(s)?s:[s]}return i},zz.props=zz.methods=zz.inject=zz.computed=function(e,t,n,r){if(!e)return t;var i=Object.create(null);return UG(i,e),t&&UG(i,t),i},zz.provide=Wz;var Xz=function(e,t){return void 0===t?e:t};function qz(e,t,n){"function"==typeof t&&(t=t.options),function(e,t){var n=e.props;if(n){var r,i,a={};if(Array.isArray(n))for(r=n.length;r--;)"string"==typeof(i=n[r])&&(a[NG(i)]={type:null});else if(xG(n))for(var o in n)i=n[o],a[NG(o)]=xG(i)?i:{type:i};e.props=a}}(t),function(e,t){var n=e.inject;if(n){var r=e.inject={};if(Array.isArray(n))for(var i=0;i<n.length;i++)r[n[i]]={from:n[i]};else if(xG(n))for(var a in n){var o=n[a];r[a]=xG(o)?UG({from:a},o):{from:o}}}}(t),function(e){var t=e.directives;if(t)for(var n in t){var r=t[n];"function"==typeof r&&(t[n]={bind:r,update:r})}}(t);var r=t.extends;if(r&&(e=qz(e,r,n)),t.mixins)for(var i=0,a=t.mixins.length;i<a;i++)e=qz(e,t.mixins[i],n);var o,s={};for(o in e)l(o);for(o in t)PG(e,o)||l(o);function l(r){var i=zz[r]||Xz;s[r]=i(e[r],t[r],n,r)}return s}function Kz(e,t,n,r){if("string"==typeof n){var i=e[t];if(PG(i,n))return i[n];var a=NG(n);if(PG(i,a))return i[a];var o=kG(a);return PG(i,o)?i[o]:i[n]||i[a]||i[o]}}function Yz(e,t,n,r){var i=t[e],a=!PG(n,e),o=n[e],s=Qz(Boolean,i.type);if(s>-1)if(a&&!PG(i,"default"))o=!1;else if(""===o||o===LG(e)){var l=Qz(String,i.type);(l<0||s<l)&&(o=!0)}if(void 0===o){o=function(e,t,n){if(PG(t,"default")){var r=t.default;return e&&e.$options.propsData&&void 0===e.$options.propsData[n]&&void 0!==e._props[n]?e._props[n]:"function"==typeof r&&"Function"!==Jz(t.type)?r.call(e):r}}(r,i,e);var c=Oz;Nz(!0),Fz(o),Nz(c)}return o}function Jz(e){var t=e&&e.toString().match(/^\s*function (\w+)/);return t?t[1]:""}function Zz(e,t){return Jz(e)===Jz(t)}function Qz(e,t){if(!Array.isArray(t))return Zz(t,e)?0:-1;for(var n=0,r=t.length;n<r;n++)if(Zz(t[n],e))return n;return-1}function ej(e,t,n){if(t)for(var r=t;r=r.$parent;){var i=r.$options.errorCaptured;if(i)for(var a=0;a<i.length;a++)try{if(!1===i[a].call(r,e,t,n))return}catch(e){tj(e,r,"errorCaptured hook")}}tj(e,t,n)}function tj(e,t,n){if(YG.errorHandler)try{return YG.errorHandler.call(null,e,t,n)}catch(e){nj(e)}nj(e)}function nj(e,t,n){if(!nz&&!rz||"undefined"==typeof console)throw e;console.error(e)}var rj,ij,aj=[],oj=!1;function sj(){oj=!1;var e=aj.slice(0);aj.length=0;for(var t=0;t<e.length;t++)e[t]()}var lj=!1;if("undefined"!=typeof setImmediate&&mz(setImmediate))ij=function(){setImmediate(sj)};else if("undefined"==typeof MessageChannel||!mz(MessageChannel)&&"[object MessageChannelConstructor]"!==MessageChannel.toString())ij=function(){setTimeout(sj,0)};else{var cj=new MessageChannel,uj=cj.port2;cj.port1.onmessage=sj,ij=function(){uj.postMessage(1)}}if("undefined"!=typeof Promise&&mz(Promise)){var dj=Promise.resolve();rj=function(){dj.then(sj),cz&&setTimeout(GG)}}else rj=ij;function fj(e,t){var n;if(aj.push((function(){if(e)try{e.call(t)}catch(e){ej(e,t,"nextTick")}else n&&n(t)})),oj||(oj=!0,lj?ij():rj()),!e&&"undefined"!=typeof Promise)return new Promise((function(e){n=e}))}var pj=new gz;function hj(e){mj(e,pj),pj.clear()}function mj(e,t){var n,r,i=Array.isArray(e);if(!(!i&&!bG(e)||Object.isFrozen(e)||e instanceof Sz)){if(e.__ob__){var a=e.__ob__.dep.id;if(t.has(a))return;t.add(a)}if(i)for(n=e.length;n--;)mj(e[n],t);else for(n=(r=Object.keys(e)).length;n--;)mj(e[r[n]],t)}}var gj,vj=IG((function(e){var t="&"===e.charAt(0),n="~"===(e=t?e.slice(1):e).charAt(0),r="!"===(e=n?e.slice(1):e).charAt(0);return{name:e=r?e.slice(1):e,once:n,capture:r,passive:t}}));function yj(e){function t(){var e=arguments,n=t.fns;if(!Array.isArray(n))return n.apply(null,arguments);for(var r=n.slice(),i=0;i<r.length;i++)r[i].apply(null,e)}return t.fns=e,t}function bj(e,t,n,r,i){var a,o,s,l;for(a in e)o=e[a],s=t[a],l=vj(a),mG(o)||(mG(s)?(mG(o.fns)&&(o=e[a]=yj(o)),n(l.name,o,l.once,l.capture,l.passive,l.params)):o!==s&&(s.fns=o,e[a]=s));for(a in t)mG(e[a])&&r((l=vj(a)).name,t[a],l.capture)}function _j(e,t,n){var r;e instanceof Sz&&(e=e.data.hook||(e.data.hook={}));var i=e[t];function a(){n.apply(this,arguments),MG(r.fns,a)}mG(i)?r=yj([a]):gG(i.fns)&&vG(i.merged)?(r=i).fns.push(a):r=yj([i,a]),r.merged=!0,e[t]=r}function xj(e,t,n,r,i){if(gG(t)){if(PG(t,n))return e[n]=t[n],i||delete t[n],!0;if(PG(t,r))return e[n]=t[r],i||delete t[r],!0}return!1}function wj(e){return yG(e)?[Ez(e)]:Array.isArray(e)?Sj(e):void 0}function Aj(e){return gG(e)&&gG(e.text)&&!1===e.isComment}function Sj(e,t){var n,r,i,a,o=[];for(n=0;n<e.length;n++)mG(r=e[n])||"boolean"==typeof r||(a=o[i=o.length-1],Array.isArray(r)?r.length>0&&(Aj((r=Sj(r,(t||"")+"_"+n))[0])&&Aj(a)&&(o[i]=Ez(a.text+r[0].text),r.shift()),o.push.apply(o,r)):yG(r)?Aj(a)?o[i]=Ez(a.text+r):""!==r&&o.push(Ez(r)):Aj(r)&&Aj(a)?o[i]=Ez(a.text+r.text):(vG(e._isVList)&&gG(r.tag)&&mG(r.key)&&gG(t)&&(r.key="__vlist"+t+"_"+n+"__"),o.push(r)));return o}function Tj(e,t){return(e.__esModule||vz&&"Module"===e[Symbol.toStringTag])&&(e=e.default),bG(e)?t.extend(e):e}function Cj(e){return e.isComment&&e.asyncFactory}function Ej(e){if(Array.isArray(e))for(var t=0;t<e.length;t++){var n=e[t];if(gG(n)&&(gG(n.componentOptions)||Cj(n)))return n}}function Mj(e,t,n){n?gj.$once(e,t):gj.$on(e,t)}function Dj(e,t){gj.$off(e,t)}function Pj(e,t,n){gj=e,bj(t,n||{},Mj,Dj),gj=void 0}function Ij(e,t){var n={};if(!e)return n;for(var r=0,i=e.length;r<i;r++){var a=e[r],o=a.data;if(o&&o.attrs&&o.attrs.slot&&delete o.attrs.slot,a.context!==t&&a.fnContext!==t||!o||null==o.slot)(n.default||(n.default=[])).push(a);else{var s=o.slot,l=n[s]||(n[s]=[]);"template"===a.tag?l.push.apply(l,a.children||[]):l.push(a)}}for(var c in n)n[c].every(Oj)&&delete n[c];return n}function Oj(e){return e.isComment&&!e.asyncFactory||" "===e.text}function Nj(e,t){t=t||{};for(var n=0;n<e.length;n++)Array.isArray(e[n])?Nj(e[n],t):t[e[n].key]=e[n].fn;return t}var kj=null;function Rj(e){for(;e&&(e=e.$parent);)if(e._inactive)return!0;return!1}function Lj(e,t){if(t){if(e._directInactive=!1,Rj(e))return}else if(e._directInactive)return;if(e._inactive||null===e._inactive){e._inactive=!1;for(var n=0;n<e.$children.length;n++)Lj(e.$children[n]);Bj(e,"activated")}}function Fj(e,t){if(!(t&&(e._directInactive=!0,Rj(e))||e._inactive)){e._inactive=!0;for(var n=0;n<e.$children.length;n++)Fj(e.$children[n]);Bj(e,"deactivated")}}function Bj(e,t){wz();var n=e.$options[t];if(n)for(var r=0,i=n.length;r<i;r++)try{n[r].call(e)}catch(n){ej(n,e,t+" hook")}e._hasHookEvent&&e.$emit("hook:"+t),Az()}var Uj=[],Vj=[],Gj={},zj=!1,jj=!1,Wj=0;function Hj(){var e,t;for(jj=!0,Uj.sort((function(e,t){return e.id-t.id})),Wj=0;Wj<Uj.length;Wj++)t=(e=Uj[Wj]).id,Gj[t]=null,e.run();var n=Vj.slice(),r=Uj.slice();Wj=Uj.length=Vj.length=0,Gj={},zj=jj=!1,function(e){for(var t=0;t<e.length;t++)e[t]._inactive=!0,Lj(e[t],!0)}(n),function(e){for(var t=e.length;t--;){var n=e[t],r=n.vm;r._watcher===n&&r._isMounted&&Bj(r,"updated")}}(r),hz&&YG.devtools&&hz.emit("flush")}var $j=0,Xj=function(e,t,n,r,i){this.vm=e,i&&(e._watcher=this),e._watchers.push(this),r?(this.deep=!!r.deep,this.user=!!r.user,this.lazy=!!r.lazy,this.sync=!!r.sync):this.deep=this.user=this.lazy=this.sync=!1,this.cb=n,this.id=++$j,this.active=!0,this.dirty=this.lazy,this.deps=[],this.newDeps=[],this.depIds=new gz,this.newDepIds=new gz,this.expression="","function"==typeof t?this.getter=t:(this.getter=function(e){if(!ez.test(e)){var t=e.split(".");return function(e){for(var n=0;n<t.length;n++){if(!e)return;e=e[t[n]]}return e}}}(t),this.getter||(this.getter=function(){})),this.value=this.lazy?void 0:this.get()};Xj.prototype.get=function(){var e;wz(this);var t=this.vm;try{e=this.getter.call(t,t)}catch(e){if(!this.user)throw e;ej(e,t,'getter for watcher "'+this.expression+'"')}finally{this.deep&&hj(e),Az(),this.cleanupDeps()}return e},Xj.prototype.addDep=function(e){var t=e.id;this.newDepIds.has(t)||(this.newDepIds.add(t),this.newDeps.push(e),this.depIds.has(t)||e.addSub(this))},Xj.prototype.cleanupDeps=function(){for(var e=this,t=this.deps.length;t--;){var n=e.deps[t];e.newDepIds.has(n.id)||n.removeSub(e)}var r=this.depIds;this.depIds=this.newDepIds,this.newDepIds=r,this.newDepIds.clear(),r=this.deps,this.deps=this.newDeps,this.newDeps=r,this.newDeps.length=0},Xj.prototype.update=function(){this.lazy?this.dirty=!0:this.sync?this.run():function(e){var t=e.id;if(null==Gj[t]){if(Gj[t]=!0,jj){for(var n=Uj.length-1;n>Wj&&Uj[n].id>e.id;)n--;Uj.splice(n+1,0,e)}else Uj.push(e);zj||(zj=!0,fj(Hj))}}(this)},Xj.prototype.run=function(){if(this.active){var e=this.get();if(e!==this.value||bG(e)||this.deep){var t=this.value;if(this.value=e,this.user)try{this.cb.call(this.vm,e,t)}catch(e){ej(e,this.vm,'callback for watcher "'+this.expression+'"')}else this.cb.call(this.vm,e,t)}}},Xj.prototype.evaluate=function(){this.value=this.get(),this.dirty=!1},Xj.prototype.depend=function(){for(var e=this.deps.length;e--;)this.deps[e].depend()},Xj.prototype.teardown=function(){if(this.active){this.vm._isBeingDestroyed||MG(this.vm._watchers,this);for(var e=this.deps.length;e--;)this.deps[e].removeSub(this);this.active=!1}};var qj={enumerable:!0,configurable:!0,get:GG,set:GG};function Kj(e,t,n){qj.get=function(){return this[t][n]},qj.set=function(e){this[t][n]=e},Object.defineProperty(e,n,qj)}var Yj={lazy:!0};function Jj(e,t,n){var r=!pz();"function"==typeof n?(qj.get=r?Zj(t):n,qj.set=GG):(qj.get=n.get?r&&!1!==n.cache?Zj(t):n.get:GG,qj.set=n.set?n.set:GG),Object.defineProperty(e,t,qj)}function Zj(e){return function(){var t=this._computedWatchers&&this._computedWatchers[e];if(t)return t.dirty&&t.evaluate(),_z.target&&t.depend(),t.value}}function Qj(e,t,n,r){return xG(n)&&(r=n,n=n.handler),"string"==typeof n&&(n=e[n]),e.$watch(t,n,r)}function eW(e,t){if(e){for(var n=Object.create(null),r=vz?Reflect.ownKeys(e).filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable})):Object.keys(e),i=0;i<r.length;i++){for(var a=r[i],o=e[a].from,s=t;s;){if(s._provided&&PG(s._provided,o)){n[a]=s._provided[o];break}s=s.$parent}if(!s&&"default"in e[a]){var l=e[a].default;n[a]="function"==typeof l?l.call(t):l}}return n}}function tW(e,t){var n,r,i,a,o;if(Array.isArray(e)||"string"==typeof e)for(n=new Array(e.length),r=0,i=e.length;r<i;r++)n[r]=t(e[r],r);else if("number"==typeof e)for(n=new Array(e),r=0;r<e;r++)n[r]=t(r+1,r);else if(bG(e))for(a=Object.keys(e),n=new Array(a.length),r=0,i=a.length;r<i;r++)o=a[r],n[r]=t(e[o],o,r);return gG(n)&&(n._isVList=!0),n}function nW(e,t,n,r){var i,a=this.$scopedSlots[e];if(a)n=n||{},r&&(n=UG(UG({},r),n)),i=a(n)||t;else{var o=this.$slots[e];o&&(o._rendered=!0),i=o||t}var s=n&&n.slot;return s?this.$createElement("template",{slot:s},i):i}function rW(e){return Kz(this.$options,"filters",e)||jG}function iW(e,t){return Array.isArray(e)?-1===e.indexOf(t):e!==t}function aW(e,t,n,r,i){var a=YG.keyCodes[t]||n;return i&&r&&!YG.keyCodes[t]?iW(i,r):a?iW(a,e):r?LG(r)!==t:void 0}function oW(e,t,n,r,i){if(n&&bG(n)){var a;Array.isArray(n)&&(n=VG(n));var o=function(o){if("class"===o||"style"===o||EG(o))a=e;else{var s=e.attrs&&e.attrs.type;a=r||YG.mustUseProp(t,s,o)?e.domProps||(e.domProps={}):e.attrs||(e.attrs={})}o in a||(a[o]=n[o],i&&((e.on||(e.on={}))["update:"+o]=function(e){n[o]=e}))};for(var s in n)o(s)}return e}function sW(e,t){var n=this._staticTrees||(this._staticTrees=[]),r=n[e];return r&&!t||cW(r=n[e]=this.$options.staticRenderFns[e].call(this._renderProxy,null,this),"__static__"+e,!1),r}function lW(e,t,n){return cW(e,"__once__"+t+(n?"_"+n:""),!0),e}function cW(e,t,n){if(Array.isArray(e))for(var r=0;r<e.length;r++)e[r]&&"string"!=typeof e[r]&&uW(e[r],t+"_"+r,n);else uW(e,t,n)}function uW(e,t,n){e.isStatic=!0,e.key=t,e.isOnce=n}function dW(e,t){if(t&&xG(t)){var n=e.on=e.on?UG({},e.on):{};for(var r in t){var i=n[r],a=t[r];n[r]=i?[].concat(i,a):a}}return e}function fW(e){e._o=lW,e._n=SG,e._s=AG,e._l=tW,e._t=nW,e._q=WG,e._i=HG,e._m=sW,e._f=rW,e._k=aW,e._b=oW,e._v=Ez,e._e=Cz,e._u=Nj,e._g=dW}function pW(e,t,n,r,i){var a,o=i.options;PG(r,"_uid")?(a=Object.create(r))._original=r:(a=r,r=r._original);var s=vG(o._compiled),l=!s;this.data=e,this.props=t,this.children=n,this.parent=r,this.listeners=e.on||hG,this.injections=eW(o.inject,r),this.slots=function(){return Ij(n,r)},s&&(this.$options=o,this.$slots=this.slots(),this.$scopedSlots=e.scopedSlots||hG),o._scopeId?this._c=function(e,t,n,i){var s=xW(a,e,t,n,i,l);return s&&!Array.isArray(s)&&(s.fnScopeId=o._scopeId,s.fnContext=r),s}:this._c=function(e,t,n,r){return xW(a,e,t,n,r,l)}}function hW(e,t,n,r){var i=Mz(e);return i.fnContext=n,i.fnOptions=r,t.slot&&((i.data||(i.data={})).slot=t.slot),i}function mW(e,t){for(var n in t)e[NG(n)]=t[n]}fW(pW.prototype);var gW={init:function(e,t,n,r){if(e.componentInstance&&!e.componentInstance._isDestroyed&&e.data.keepAlive){var i=e;gW.prepatch(i,i)}else{var a=e.componentInstance=function(e,t,n,r){var i={_isComponent:!0,parent:t,_parentVnode:e,_parentElm:n||null,_refElm:r||null},a=e.data.inlineTemplate;return gG(a)&&(i.render=a.render,i.staticRenderFns=a.staticRenderFns),new e.componentOptions.Ctor(i)}(e,kj,n,r);a.$mount(t?e.elm:void 0,t)}},prepatch:function(e,t){var n=t.componentOptions;!function(e,t,n,r,i){var a=!!(i||e.$options._renderChildren||r.data.scopedSlots||e.$scopedSlots!==hG);if(e.$options._parentVnode=r,e.$vnode=r,e._vnode&&(e._vnode.parent=r),e.$options._renderChildren=i,e.$attrs=r.data.attrs||hG,e.$listeners=n||hG,t&&e.$options.props){Nz(!1);for(var o=e._props,s=e.$options._propKeys||[],l=0;l<s.length;l++){var c=s[l],u=e.$options.props;o[c]=Yz(c,u,t,e)}Nz(!0),e.$options.propsData=t}n=n||hG;var d=e.$options._parentListeners;e.$options._parentListeners=n,Pj(e,n,d),a&&(e.$slots=Ij(i,r.context),e.$forceUpdate())}(t.componentInstance=e.componentInstance,n.propsData,n.listeners,t,n.children)},insert:function(e){var t,n=e.context,r=e.componentInstance;r._isMounted||(r._isMounted=!0,Bj(r,"mounted")),e.data.keepAlive&&(n._isMounted?((t=r)._inactive=!1,Vj.push(t)):Lj(r,!0))},destroy:function(e){var t=e.componentInstance;t._isDestroyed||(e.data.keepAlive?Fj(t,!0):t.$destroy())}},vW=Object.keys(gW);function yW(e,t,n,r,i){if(!mG(e)){var a=n.$options._base;if(bG(e)&&(e=a.extend(e)),"function"==typeof e){var o;if(mG(e.cid)&&(e=function(e,t,n){if(vG(e.error)&&gG(e.errorComp))return e.errorComp;if(gG(e.resolved))return e.resolved;if(vG(e.loading)&&gG(e.loadingComp))return e.loadingComp;if(!gG(e.contexts)){var r=e.contexts=[n],i=!0,a=function(){for(var e=0,t=r.length;e<t;e++)r[e].$forceUpdate()},o=$G((function(n){e.resolved=Tj(n,t),i||a()})),s=$G((function(t){gG(e.errorComp)&&(e.error=!0,a())})),l=e(o,s);return bG(l)&&("function"==typeof l.then?mG(e.resolved)&&l.then(o,s):gG(l.component)&&"function"==typeof l.component.then&&(l.component.then(o,s),gG(l.error)&&(e.errorComp=Tj(l.error,t)),gG(l.loading)&&(e.loadingComp=Tj(l.loading,t),0===l.delay?e.loading=!0:setTimeout((function(){mG(e.resolved)&&mG(e.error)&&(e.loading=!0,a())}),l.delay||200)),gG(l.timeout)&&setTimeout((function(){mG(e.resolved)&&s(null)}),l.timeout))),i=!1,e.loading?e.loadingComp:e.resolved}e.contexts.push(n)}(o=e,a,n),void 0===e))return function(e,t,n,r,i){var a=Cz();return a.asyncFactory=e,a.asyncMeta={data:t,context:n,children:r,tag:i},a}(o,t,n,r,i);t=t||{},SW(e),gG(t.model)&&function(e,t){var n=e.model&&e.model.prop||"value",r=e.model&&e.model.event||"input";(t.props||(t.props={}))[n]=t.model.value;var i=t.on||(t.on={});gG(i[r])?i[r]=[t.model.callback].concat(i[r]):i[r]=t.model.callback}(e.options,t);var s=function(e,t,n){var r=t.options.props;if(!mG(r)){var i={},a=e.attrs,o=e.props;if(gG(a)||gG(o))for(var s in r){var l=LG(s);xj(i,o,s,l,!0)||xj(i,a,s,l,!1)}return i}}(t,e);if(vG(e.options.functional))return function(e,t,n,r,i){var a=e.options,o={},s=a.props;if(gG(s))for(var l in s)o[l]=Yz(l,s,t||hG);else gG(n.attrs)&&mW(o,n.attrs),gG(n.props)&&mW(o,n.props);var c=new pW(n,o,i,r,e),u=a.render.call(null,c._c,c);if(u instanceof Sz)return hW(u,n,c.parent,a);if(Array.isArray(u)){for(var d=wj(u)||[],f=new Array(d.length),p=0;p<d.length;p++)f[p]=hW(d[p],n,c.parent,a);return f}}(e,s,t,n,r);var l=t.on;if(t.on=t.nativeOn,vG(e.options.abstract)){var c=t.slot;t={},c&&(t.slot=c)}!function(e){for(var t=e.hook||(e.hook={}),n=0;n<vW.length;n++){var r=vW[n];t[r]=gW[r]}}(t);var u=e.options.name||i;return new Sz("vue-component-"+e.cid+(u?"-"+u:""),t,void 0,void 0,void 0,n,{Ctor:e,propsData:s,listeners:l,tag:i,children:r},o)}}}var bW=1,_W=2;function xW(e,t,n,r,i,a){return(Array.isArray(n)||yG(n))&&(i=r,r=n,n=void 0),vG(a)&&(i=_W),function(e,t,n,r,i){if(gG(n)&&gG(n.__ob__))return Cz();if(gG(n)&&gG(n.is)&&(t=n.is),!t)return Cz();var a,o,s;(Array.isArray(r)&&"function"==typeof r[0]&&((n=n||{}).scopedSlots={default:r[0]},r.length=0),i===_W?r=wj(r):i===bW&&(r=function(e){for(var t=0;t<e.length;t++)if(Array.isArray(e[t]))return Array.prototype.concat.apply([],e);return e}(r)),"string"==typeof t)?(o=e.$vnode&&e.$vnode.ns||YG.getTagNamespace(t),a=YG.isReservedTag(t)?new Sz(YG.parsePlatformTagName(t),n,r,void 0,void 0,e):gG(s=Kz(e.$options,"components",t))?yW(s,n,e,r,t):new Sz(t,n,r,void 0,void 0,e)):a=yW(t,n,e,r);return Array.isArray(a)?a:gG(a)?(gG(o)&&wW(a,o),gG(n)&&function(e){bG(e.style)&&hj(e.style),bG(e.class)&&hj(e.class)}(n),a):Cz()}(e,t,n,r,i)}function wW(e,t,n){if(e.ns=t,"foreignObject"===e.tag&&(t=void 0,n=!0),gG(e.children))for(var r=0,i=e.children.length;r<i;r++){var a=e.children[r];gG(a.tag)&&(mG(a.ns)||vG(n)&&"svg"!==a.tag)&&wW(a,t,n)}}var AW=0;function SW(e){var t=e.options;if(e.super){var n=SW(e.super);if(n!==e.superOptions){e.superOptions=n;var r=function(e){var t,n=e.options,r=e.extendOptions,i=e.sealedOptions;for(var a in n)n[a]!==i[a]&&(t||(t={}),t[a]=TW(n[a],r[a],i[a]));return t}(e);r&&UG(e.extendOptions,r),(t=e.options=qz(n,e.extendOptions)).name&&(t.components[t.name]=e)}}return t}function TW(e,t,n){if(Array.isArray(e)){var r=[];n=Array.isArray(n)?n:[n],t=Array.isArray(t)?t:[t];for(var i=0;i<e.length;i++)(t.indexOf(e[i])>=0||n.indexOf(e[i])<0)&&r.push(e[i]);return r}return e}function CW(e){this._init(e)}function EW(e){return e&&(e.Ctor.options.name||e.tag)}function MW(e,t){return Array.isArray(e)?e.indexOf(t)>-1:"string"==typeof e?e.split(",").indexOf(t)>-1:(n=e,!("[object RegExp]"!==_G.call(n))&&e.test(t));var n}function DW(e,t){var n=e.cache,r=e.keys,i=e._vnode;for(var a in n){var o=n[a];if(o){var s=EW(o.componentOptions);s&&!t(s)&&PW(n,a,r,i)}}}function PW(e,t,n,r){var i=e[t];!i||r&&i.tag===r.tag||i.componentInstance.$destroy(),e[t]=null,MG(n,t)}!function(e){e.prototype._init=function(e){var t=this;t._uid=AW++,t._isVue=!0,e&&e._isComponent?function(e,t){var n=e.$options=Object.create(e.constructor.options),r=t._parentVnode;n.parent=t.parent,n._parentVnode=r,n._parentElm=t._parentElm,n._refElm=t._refElm;var i=r.componentOptions;n.propsData=i.propsData,n._parentListeners=i.listeners,n._renderChildren=i.children,n._componentTag=i.tag,t.render&&(n.render=t.render,n.staticRenderFns=t.staticRenderFns)}(t,e):t.$options=qz(SW(t.constructor),e||{},t),t._renderProxy=t,t._self=t,function(e){var t=e.$options,n=t.parent;if(n&&!t.abstract){for(;n.$options.abstract&&n.$parent;)n=n.$parent;n.$children.push(e)}e.$parent=n,e.$root=n?n.$root:e,e.$children=[],e.$refs={},e._watcher=null,e._inactive=null,e._directInactive=!1,e._isMounted=!1,e._isDestroyed=!1,e._isBeingDestroyed=!1}(t),function(e){e._events=Object.create(null),e._hasHookEvent=!1;var t=e.$options._parentListeners;t&&Pj(e,t)}(t),function(e){e._vnode=null,e._staticTrees=null;var t=e.$options,n=e.$vnode=t._parentVnode,r=n&&n.context;e.$slots=Ij(t._renderChildren,r),e.$scopedSlots=hG,e._c=function(t,n,r,i){return xW(e,t,n,r,i,!1)},e.$createElement=function(t,n,r,i){return xW(e,t,n,r,i,!0)};var i=n&&n.data;Bz(e,"$attrs",i&&i.attrs||hG,null,!0),Bz(e,"$listeners",t._parentListeners||hG,null,!0)}(t),Bj(t,"beforeCreate"),function(e){var t=eW(e.$options.inject,e);t&&(Nz(!1),Object.keys(t).forEach((function(n){Bz(e,n,t[n])})),Nz(!0))}(t),function(e){e._watchers=[];var t=e.$options;t.props&&function(e,t){var n=e.$options.propsData||{},r=e._props={},i=e.$options._propKeys=[];!e.$parent||Nz(!1);var a=function(a){i.push(a);var o=Yz(a,t,n,e);Bz(r,a,o),a in e||Kj(e,"_props",a)};for(var o in t)a(o);Nz(!0)}(e,t.props),t.methods&&function(e,t){for(var n in e.$options.props,t)e[n]=null==t[n]?GG:FG(t[n],e)}(e,t.methods),t.data?function(e){var t=e.$options.data;xG(t=e._data="function"==typeof t?function(e,t){wz();try{return e.call(t,t)}catch(e){return ej(e,t,"data()"),{}}finally{Az()}}(t,e):t||{})||(t={});for(var n=Object.keys(t),r=e.$options.props,i=(e.$options.methods,n.length);i--;){var a=n[i];r&&PG(r,a)||JG(a)||Kj(e,"_data",a)}Fz(t,!0)}(e):Fz(e._data={},!0),t.computed&&function(e,t){var n=e._computedWatchers=Object.create(null),r=pz();for(var i in t){var a=t[i],o="function"==typeof a?a:a.get;r||(n[i]=new Xj(e,o||GG,GG,Yj)),i in e||Jj(e,i,a)}}(e,t.computed),t.watch&&t.watch!==uz&&function(e,t){for(var n in t){var r=t[n];if(Array.isArray(r))for(var i=0;i<r.length;i++)Qj(e,n,r[i]);else Qj(e,n,r)}}(e,t.watch)}(t),function(e){var t=e.$options.provide;t&&(e._provided="function"==typeof t?t.call(e):t)}(t),Bj(t,"created"),t.$options.el&&t.$mount(t.$options.el)}}(CW),function(e){Object.defineProperty(e.prototype,"$data",{get:function(){return this._data}}),Object.defineProperty(e.prototype,"$props",{get:function(){return this._props}}),e.prototype.$set=Uz,e.prototype.$delete=Vz,e.prototype.$watch=function(e,t,n){var r=this;if(xG(t))return Qj(r,e,t,n);(n=n||{}).user=!0;var i=new Xj(r,e,t,n);return n.immediate&&t.call(r,i.value),function(){i.teardown()}}}(CW),function(e){var t=/^hook:/;e.prototype.$on=function(e,n){var r=this;if(Array.isArray(e))for(var i=0,a=e.length;i<a;i++)this.$on(e[i],n);else(r._events[e]||(r._events[e]=[])).push(n),t.test(e)&&(r._hasHookEvent=!0);return r},e.prototype.$once=function(e,t){var n=this;function r(){n.$off(e,r),t.apply(n,arguments)}return r.fn=t,n.$on(e,r),n},e.prototype.$off=function(e,t){var n=this;if(!arguments.length)return n._events=Object.create(null),n;if(Array.isArray(e)){for(var r=0,i=e.length;r<i;r++)this.$off(e[r],t);return n}var a=n._events[e];if(!a)return n;if(!t)return n._events[e]=null,n;if(t)for(var o,s=a.length;s--;)if((o=a[s])===t||o.fn===t){a.splice(s,1);break}return n},e.prototype.$emit=function(e){var t=this,n=t._events[e];if(n){n=n.length>1?BG(n):n;for(var r=BG(arguments,1),i=0,a=n.length;i<a;i++)try{n[i].apply(t,r)}catch(n){ej(n,t,'event handler for "'+e+'"')}}return t}}(CW),function(e){e.prototype._update=function(e,t){var n=this;n._isMounted&&Bj(n,"beforeUpdate");var r=n.$el,i=n._vnode,a=kj;kj=n,n._vnode=e,i?n.$el=n.__patch__(i,e):(n.$el=n.__patch__(n.$el,e,t,!1,n.$options._parentElm,n.$options._refElm),n.$options._parentElm=n.$options._refElm=null),kj=a,r&&(r.__vue__=null),n.$el&&(n.$el.__vue__=n),n.$vnode&&n.$parent&&n.$vnode===n.$parent._vnode&&(n.$parent.$el=n.$el)},e.prototype.$forceUpdate=function(){this._watcher&&this._watcher.update()},e.prototype.$destroy=function(){var e=this;if(!e._isBeingDestroyed){Bj(e,"beforeDestroy"),e._isBeingDestroyed=!0;var t=e.$parent;!t||t._isBeingDestroyed||e.$options.abstract||MG(t.$children,e),e._watcher&&e._watcher.teardown();for(var n=e._watchers.length;n--;)e._watchers[n].teardown();e._data.__ob__&&e._data.__ob__.vmCount--,e._isDestroyed=!0,e.__patch__(e._vnode,null),Bj(e,"destroyed"),e.$off(),e.$el&&(e.$el.__vue__=null),e.$vnode&&(e.$vnode.parent=null)}}}(CW),function(e){fW(e.prototype),e.prototype.$nextTick=function(e){return fj(e,this)},e.prototype._render=function(){var e,t=this,n=t.$options,r=n.render,i=n._parentVnode;i&&(t.$scopedSlots=i.data.scopedSlots||hG),t.$vnode=i;try{e=r.call(t._renderProxy,t.$createElement)}catch(n){ej(n,t,"render"),e=t._vnode}return e instanceof Sz||(e=Cz()),e.parent=i,e}}(CW);var IW=[String,RegExp,Array],OW={name:"keep-alive",abstract:!0,props:{include:IW,exclude:IW,max:[String,Number]},created:function(){this.cache=Object.create(null),this.keys=[]},destroyed:function(){var e=this;for(var t in e.cache)PW(e.cache,t,e.keys)},mounted:function(){var e=this;this.$watch("include",(function(t){DW(e,(function(e){return MW(t,e)}))})),this.$watch("exclude",(function(t){DW(e,(function(e){return!MW(t,e)}))}))},render:function(){var e=this.$slots.default,t=Ej(e),n=t&&t.componentOptions;if(n){var r=EW(n),i=this.include,a=this.exclude;if(i&&(!r||!MW(i,r))||a&&r&&MW(a,r))return t;var o=this.cache,s=this.keys,l=null==t.key?n.Ctor.cid+(n.tag?"::"+n.tag:""):t.key;o[l]?(t.componentInstance=o[l].componentInstance,MG(s,l),s.push(l)):(o[l]=t,s.push(l),this.max&&s.length>parseInt(this.max)&&PW(o,s[0],s,this._vnode)),t.data.keepAlive=!0}return t||e&&e[0]}},NW={KeepAlive:OW};!function(e){var t={get:function(){return YG}};Object.defineProperty(e,"config",t),e.util={warn:yz,extend:UG,mergeOptions:qz,defineReactive:Bz},e.set=Uz,e.delete=Vz,e.nextTick=fj,e.options=Object.create(null),qG.forEach((function(t){e.options[t+"s"]=Object.create(null)})),e.options._base=e,UG(e.options.components,NW),function(e){e.use=function(e){var t=this._installedPlugins||(this._installedPlugins=[]);if(t.indexOf(e)>-1)return this;var n=BG(arguments,1);return n.unshift(this),"function"==typeof e.install?e.install.apply(e,n):"function"==typeof e&&e.apply(null,n),t.push(e),this}}(e),function(e){e.mixin=function(e){return this.options=qz(this.options,e),this}}(e),function(e){e.cid=0;var t=1;e.extend=function(e){e=e||{};var n=this,r=n.cid,i=e._Ctor||(e._Ctor={});if(i[r])return i[r];var a=e.name||n.options.name,o=function(e){this._init(e)};return(o.prototype=Object.create(n.prototype)).constructor=o,o.cid=t++,o.options=qz(n.options,e),o.super=n,o.options.props&&function(e){var t=e.options.props;for(var n in t)Kj(e.prototype,"_props",n)}(o),o.options.computed&&function(e){var t=e.options.computed;for(var n in t)Jj(e.prototype,n,t[n])}(o),o.extend=n.extend,o.mixin=n.mixin,o.use=n.use,qG.forEach((function(e){o[e]=n[e]})),a&&(o.options.components[a]=o),o.superOptions=n.options,o.extendOptions=e,o.sealedOptions=UG({},o.options),i[r]=o,o}}(e),function(e){qG.forEach((function(t){e[t]=function(e,n){return n?("component"===t&&xG(n)&&(n.name=n.name||e,n=this.options._base.extend(n)),"directive"===t&&"function"==typeof n&&(n={bind:n,update:n}),this.options[t+"s"][e]=n,n):this.options[t+"s"][e]}}))}(e)}(CW),Object.defineProperty(CW.prototype,"$isServer",{get:pz}),Object.defineProperty(CW.prototype,"$ssrContext",{get:function(){return this.$vnode&&this.$vnode.ssrContext}}),Object.defineProperty(CW,"FunctionalRenderContext",{value:pW}),CW.version="2.5.17";var kW=TG("style,class"),RW=TG("input,textarea,option,select,progress"),LW=function(e,t,n){return"value"===n&&RW(e)&&"button"!==t||"selected"===n&&"option"===e||"checked"===n&&"input"===e||"muted"===n&&"video"===e},FW=TG("contenteditable,draggable,spellcheck"),BW=TG("allowfullscreen,async,autofocus,autoplay,checked,compact,controls,declare,default,defaultchecked,defaultmuted,defaultselected,defer,disabled,enabled,formnovalidate,hidden,indeterminate,inert,ismap,itemscope,loop,multiple,muted,nohref,noresize,noshade,novalidate,nowrap,open,pauseonexit,readonly,required,reversed,scoped,seamless,selected,sortable,translate,truespeed,typemustmatch,visible"),UW="http://www.w3.org/1999/xlink",VW=function(e){return":"===e.charAt(5)&&"xlink"===e.slice(0,5)},GW=function(e){return VW(e)?e.slice(6,e.length):""},zW=function(e){return null==e||!1===e};function jW(e,t){return{staticClass:WW(e.staticClass,t.staticClass),class:gG(e.class)?[e.class,t.class]:t.class}}function WW(e,t){return e?t?e+" "+t:e:t||""}function HW(e){return Array.isArray(e)?function(e){for(var t,n="",r=0,i=e.length;r<i;r++)gG(t=HW(e[r]))&&""!==t&&(n&&(n+=" "),n+=t);return n}(e):bG(e)?function(e){var t="";for(var n in e)e[n]&&(t&&(t+=" "),t+=n);return t}(e):"string"==typeof e?e:""}var $W={svg:"http://www.w3.org/2000/svg",math:"http://www.w3.org/1998/Math/MathML"},XW=TG("html,body,base,head,link,meta,style,title,address,article,aside,footer,header,h1,h2,h3,h4,h5,h6,hgroup,nav,section,div,dd,dl,dt,figcaption,figure,picture,hr,img,li,main,ol,p,pre,ul,a,b,abbr,bdi,bdo,br,cite,code,data,dfn,em,i,kbd,mark,q,rp,rt,rtc,ruby,s,samp,small,span,strong,sub,sup,time,u,var,wbr,area,audio,map,track,video,embed,object,param,source,canvas,script,noscript,del,ins,caption,col,colgroup,table,thead,tbody,td,th,tr,button,datalist,fieldset,form,input,label,legend,meter,optgroup,option,output,progress,select,textarea,details,dialog,menu,menuitem,summary,content,element,shadow,template,blockquote,iframe,tfoot"),qW=TG("svg,animate,circle,clippath,cursor,defs,desc,ellipse,filter,font-face,foreignObject,g,glyph,image,line,marker,mask,missing-glyph,path,pattern,polygon,polyline,rect,switch,symbol,text,textpath,tspan,use,view",!0),KW=function(e){return XW(e)||qW(e)};function YW(e){return qW(e)?"svg":"math"===e?"math":void 0}var JW=Object.create(null),ZW=TG("text,number,password,search,email,tel,url");function QW(e){return"string"==typeof e?document.querySelector(e)||document.createElement("div"):e}var eH=Object.freeze({createElement:function(e,t){var n=document.createElement(e);return"select"!==e||t.data&&t.data.attrs&&void 0!==t.data.attrs.multiple&&n.setAttribute("multiple","multiple"),n},createElementNS:function(e,t){return document.createElementNS($W[e],t)},createTextNode:function(e){return document.createTextNode(e)},createComment:function(e){return document.createComment(e)},insertBefore:function(e,t,n){e.insertBefore(t,n)},removeChild:function(e,t){e.removeChild(t)},appendChild:function(e,t){e.appendChild(t)},parentNode:function(e){return e.parentNode},nextSibling:function(e){return e.nextSibling},tagName:function(e){return e.tagName},setTextContent:function(e,t){e.textContent=t},setStyleScope:function(e,t){e.setAttribute(t,"")}}),tH={create:function(e,t){nH(t)},update:function(e,t){e.data.ref!==t.data.ref&&(nH(e,!0),nH(t))},destroy:function(e){nH(e,!0)}};function nH(e,t){var n=e.data.ref;if(gG(n)){var r=e.context,i=e.componentInstance||e.elm,a=r.$refs;t?Array.isArray(a[n])?MG(a[n],i):a[n]===i&&(a[n]=void 0):e.data.refInFor?Array.isArray(a[n])?a[n].indexOf(i)<0&&a[n].push(i):a[n]=[i]:a[n]=i}}var rH=new Sz("",{},[]),iH=["create","activate","update","remove","destroy"];function aH(e,t){return e.key===t.key&&(e.tag===t.tag&&e.isComment===t.isComment&&gG(e.data)===gG(t.data)&&function(e,t){if("input"!==e.tag)return!0;var n,r=gG(n=e.data)&&gG(n=n.attrs)&&n.type,i=gG(n=t.data)&&gG(n=n.attrs)&&n.type;return r===i||ZW(r)&&ZW(i)}(e,t)||vG(e.isAsyncPlaceholder)&&e.asyncFactory===t.asyncFactory&&mG(t.asyncFactory.error))}function oH(e,t,n){var r,i,a={};for(r=t;r<=n;++r)gG(i=e[r].key)&&(a[i]=r);return a}var sH={create:lH,update:lH,destroy:function(e){lH(e,rH)}};function lH(e,t){(e.data.directives||t.data.directives)&&function(e,t){var n,r,i,a=e===rH,o=t===rH,s=uH(e.data.directives,e.context),l=uH(t.data.directives,t.context),c=[],u=[];for(n in l)r=s[n],i=l[n],r?(i.oldValue=r.value,fH(i,"update",t,e),i.def&&i.def.componentUpdated&&u.push(i)):(fH(i,"bind",t,e),i.def&&i.def.inserted&&c.push(i));if(c.length){var d=function(){for(var n=0;n<c.length;n++)fH(c[n],"inserted",t,e)};a?_j(t,"insert",d):d()}if(u.length&&_j(t,"postpatch",(function(){for(var n=0;n<u.length;n++)fH(u[n],"componentUpdated",t,e)})),!a)for(n in s)l[n]||fH(s[n],"unbind",e,e,o)}(e,t)}var cH=Object.create(null);function uH(e,t){var n,r,i=Object.create(null);if(!e)return i;for(n=0;n<e.length;n++)(r=e[n]).modifiers||(r.modifiers=cH),i[dH(r)]=r,r.def=Kz(t.$options,"directives",r.name);return i}function dH(e){return e.rawName||e.name+"."+Object.keys(e.modifiers||{}).join(".")}function fH(e,t,n,r,i){var a=e.def&&e.def[t];if(a)try{a(n.elm,e,n,r,i)}catch(r){ej(r,n.context,"directive "+e.name+" "+t+" hook")}}var pH=[tH,sH];function hH(e,t){var n=t.componentOptions;if(!(gG(n)&&!1===n.Ctor.options.inheritAttrs||mG(e.data.attrs)&&mG(t.data.attrs))){var r,i,a=t.elm,o=e.data.attrs||{},s=t.data.attrs||{};for(r in gG(s.__ob__)&&(s=t.data.attrs=UG({},s)),s)i=s[r],o[r]!==i&&mH(a,r,i);for(r in(oz||lz)&&s.value!==o.value&&mH(a,"value",s.value),o)mG(s[r])&&(VW(r)?a.removeAttributeNS(UW,GW(r)):FW(r)||a.removeAttribute(r))}}function mH(e,t,n){e.tagName.indexOf("-")>-1?gH(e,t,n):BW(t)?zW(n)?e.removeAttribute(t):(n="allowfullscreen"===t&&"EMBED"===e.tagName?"true":t,e.setAttribute(t,n)):FW(t)?e.setAttribute(t,zW(n)||"false"===n?"false":"true"):VW(t)?zW(n)?e.removeAttributeNS(UW,GW(t)):e.setAttributeNS(UW,t,n):gH(e,t,n)}function gH(e,t,n){if(zW(n))e.removeAttribute(t);else{if(oz&&!sz&&"TEXTAREA"===e.tagName&&"placeholder"===t&&!e.__ieph){var r=function(t){t.stopImmediatePropagation(),e.removeEventListener("input",r)};e.addEventListener("input",r),e.__ieph=!0}e.setAttribute(t,n)}}var vH={create:hH,update:hH};function yH(e,t){var n=t.elm,r=t.data,i=e.data;if(!(mG(r.staticClass)&&mG(r.class)&&(mG(i)||mG(i.staticClass)&&mG(i.class)))){var a=function(e){for(var t=e.data,n=e,r=e;gG(r.componentInstance);)(r=r.componentInstance._vnode)&&r.data&&(t=jW(r.data,t));for(;gG(n=n.parent);)n&&n.data&&(t=jW(t,n.data));return i=t.staticClass,a=t.class,gG(i)||gG(a)?WW(i,HW(a)):"";var i,a}(t),o=n._transitionClasses;gG(o)&&(a=WW(a,HW(o))),a!==n._prevClass&&(n.setAttribute("class",a),n._prevClass=a)}}var bH,_H,xH,wH,AH,SH,TH={create:yH,update:yH},CH=/[\w).+\-_$\]]/;function EH(e){var t,n,r,i,a,o=!1,s=!1,l=!1,c=!1,u=0,d=0,f=0,p=0;for(r=0;r<e.length;r++)if(n=t,t=e.charCodeAt(r),o)39===t&&92!==n&&(o=!1);else if(s)34===t&&92!==n&&(s=!1);else if(l)96===t&&92!==n&&(l=!1);else if(c)47===t&&92!==n&&(c=!1);else if(124!==t||124===e.charCodeAt(r+1)||124===e.charCodeAt(r-1)||u||d||f){switch(t){case 34:s=!0;break;case 39:o=!0;break;case 96:l=!0;break;case 40:f++;break;case 41:f--;break;case 91:d++;break;case 93:d--;break;case 123:u++;break;case 125:u--}if(47===t){for(var h=r-1,m=void 0;h>=0&&" "===(m=e.charAt(h));h--);m&&CH.test(m)||(c=!0)}}else void 0===i?(p=r+1,i=e.slice(0,r).trim()):g();function g(){(a||(a=[])).push(e.slice(p,r).trim()),p=r+1}if(void 0===i?i=e.slice(0,r).trim():0!==p&&g(),a)for(r=0;r<a.length;r++)i=MH(i,a[r]);return i}function MH(e,t){var n=t.indexOf("(");if(n<0)return'_f("'+t+'")('+e+")";var r=t.slice(0,n),i=t.slice(n+1);return'_f("'+r+'")('+e+(")"!==i?","+i:i)}function DH(e){console.error("[Vue compiler]: "+e)}function PH(e,t){return e?e.map((function(e){return e[t]})).filter((function(e){return e})):[]}function IH(e,t,n){(e.props||(e.props=[])).push({name:t,value:n}),e.plain=!1}function OH(e,t,n){(e.attrs||(e.attrs=[])).push({name:t,value:n}),e.plain=!1}function NH(e,t,n){e.attrsMap[t]=n,e.attrsList.push({name:t,value:n})}function kH(e,t,n,r,i,a){(e.directives||(e.directives=[])).push({name:t,rawName:n,value:r,arg:i,modifiers:a}),e.plain=!1}function RH(e,t,n,r,i,a){var o;(r=r||hG).capture&&(delete r.capture,t="!"+t),r.once&&(delete r.once,t="~"+t),r.passive&&(delete r.passive,t="&"+t),"click"===t&&(r.right?(t="contextmenu",delete r.right):r.middle&&(t="mouseup")),r.native?(delete r.native,o=e.nativeEvents||(e.nativeEvents={})):o=e.events||(e.events={});var s={value:n.trim()};r!==hG&&(s.modifiers=r);var l=o[t];Array.isArray(l)?i?l.unshift(s):l.push(s):o[t]=l?i?[s,l]:[l,s]:s,e.plain=!1}function LH(e,t,n){var r=FH(e,":"+t)||FH(e,"v-bind:"+t);if(null!=r)return EH(r);if(!1!==n){var i=FH(e,t);if(null!=i)return JSON.stringify(i)}}function FH(e,t,n){var r;if(null!=(r=e.attrsMap[t]))for(var i=e.attrsList,a=0,o=i.length;a<o;a++)if(i[a].name===t){i.splice(a,1);break}return n&&delete e.attrsMap[t],r}function BH(e,t,n){var r=n||{},i=r.number,a="$$v";r.trim&&(a="(typeof $$v === 'string'? $$v.trim(): $$v)"),i&&(a="_n("+a+")");var o=UH(t,a);e.model={value:"("+t+")",expression:'"'+t+'"',callback:"function ($$v) {"+o+"}"}}function UH(e,t){var n=function(e){if(e=e.trim(),bH=e.length,e.indexOf("[")<0||e.lastIndexOf("]")<bH-1)return(wH=e.lastIndexOf("."))>-1?{exp:e.slice(0,wH),key:'"'+e.slice(wH+1)+'"'}:{exp:e,key:null};for(_H=e,wH=AH=SH=0;!GH();)zH(xH=VH())?WH(xH):91===xH&&jH(xH);return{exp:e.slice(0,AH),key:e.slice(AH+1,SH)}}(e);return null===n.key?e+"="+t:"$set("+n.exp+", "+n.key+", "+t+")"}function VH(){return _H.charCodeAt(++wH)}function GH(){return wH>=bH}function zH(e){return 34===e||39===e}function jH(e){var t=1;for(AH=wH;!GH();)if(zH(e=VH()))WH(e);else if(91===e&&t++,93===e&&t--,0===t){SH=wH;break}}function WH(e){for(var t=e;!GH()&&(e=VH())!==t;);}var HH,$H="__r",XH="__c";function qH(e,t,n,r,i){var a;t=(a=t)._withTask||(a._withTask=function(){lj=!0;var e=a.apply(null,arguments);return lj=!1,e}),n&&(t=function(e,t,n){var r=HH;return function i(){null!==e.apply(null,arguments)&&KH(t,i,n,r)}}(t,e,r)),HH.addEventListener(e,t,dz?{capture:r,passive:i}:r)}function KH(e,t,n,r){(r||HH).removeEventListener(e,t._withTask||t,n)}function YH(e,t){if(!mG(e.data.on)||!mG(t.data.on)){var n=t.data.on||{},r=e.data.on||{};HH=t.elm,function(e){if(gG(e[$H])){var t=oz?"change":"input";e[t]=[].concat(e[$H],e[t]||[]),delete e[$H]}gG(e[XH])&&(e.change=[].concat(e[XH],e.change||[]),delete e[XH])}(n),bj(n,r,qH,KH,t.context),HH=void 0}}var JH={create:YH,update:YH};function ZH(e,t){if(!mG(e.data.domProps)||!mG(t.data.domProps)){var n,r,i=t.elm,a=e.data.domProps||{},o=t.data.domProps||{};for(n in gG(o.__ob__)&&(o=t.data.domProps=UG({},o)),a)mG(o[n])&&(i[n]="");for(n in o){if(r=o[n],"textContent"===n||"innerHTML"===n){if(t.children&&(t.children.length=0),r===a[n])continue;1===i.childNodes.length&&i.removeChild(i.childNodes[0])}if("value"===n){i._value=r;var s=mG(r)?"":String(r);QH(i,s)&&(i.value=s)}else i[n]=r}}}function QH(e,t){return!e.composing&&("OPTION"===e.tagName||function(e,t){var n=!0;try{n=document.activeElement!==e}catch(e){}return n&&e.value!==t}(e,t)||function(e,t){var n=e.value,r=e._vModifiers;if(gG(r)){if(r.lazy)return!1;if(r.number)return SG(n)!==SG(t);if(r.trim)return n.trim()!==t.trim()}return n!==t}(e,t))}var e$={create:ZH,update:ZH},t$=IG((function(e){var t={},n=/:(.+)/;return e.split(/;(?![^(]*\))/g).forEach((function(e){if(e){var r=e.split(n);r.length>1&&(t[r[0].trim()]=r[1].trim())}})),t}));function n$(e){var t=r$(e.style);return e.staticStyle?UG(e.staticStyle,t):t}function r$(e){return Array.isArray(e)?VG(e):"string"==typeof e?t$(e):e}var i$,a$=/^--/,o$=/\s*!important$/,s$=function(e,t,n){if(a$.test(t))e.style.setProperty(t,n);else if(o$.test(n))e.style.setProperty(t,n.replace(o$,""),"important");else{var r=c$(t);if(Array.isArray(n))for(var i=0,a=n.length;i<a;i++)e.style[r]=n[i];else e.style[r]=n}},l$=["Webkit","Moz","ms"],c$=IG((function(e){if(i$=i$||document.createElement("div").style,"filter"!==(e=NG(e))&&e in i$)return e;for(var t=e.charAt(0).toUpperCase()+e.slice(1),n=0;n<l$.length;n++){var r=l$[n]+t;if(r in i$)return r}}));function u$(e,t){var n=t.data,r=e.data;if(!(mG(n.staticStyle)&&mG(n.style)&&mG(r.staticStyle)&&mG(r.style))){var i,a,o=t.elm,s=r.staticStyle,l=r.normalizedStyle||r.style||{},c=s||l,u=r$(t.data.style)||{};t.data.normalizedStyle=gG(u.__ob__)?UG({},u):u;var d=function(e,t){for(var n,r={},i=e;i.componentInstance;)(i=i.componentInstance._vnode)&&i.data&&(n=n$(i.data))&&UG(r,n);(n=n$(e.data))&&UG(r,n);for(var a=e;a=a.parent;)a.data&&(n=n$(a.data))&&UG(r,n);return r}(t);for(a in c)mG(d[a])&&s$(o,a,"");for(a in d)(i=d[a])!==c[a]&&s$(o,a,null==i?"":i)}}var d$={create:u$,update:u$};function f$(e,t){if(t&&(t=t.trim()))if(e.classList)t.indexOf(" ")>-1?t.split(/\s+/).forEach((function(t){return e.classList.add(t)})):e.classList.add(t);else{var n=" "+(e.getAttribute("class")||"")+" ";n.indexOf(" "+t+" ")<0&&e.setAttribute("class",(n+t).trim())}}function p$(e,t){if(t&&(t=t.trim()))if(e.classList)t.indexOf(" ")>-1?t.split(/\s+/).forEach((function(t){return e.classList.remove(t)})):e.classList.remove(t),e.classList.length||e.removeAttribute("class");else{for(var n=" "+(e.getAttribute("class")||"")+" ",r=" "+t+" ";n.indexOf(r)>=0;)n=n.replace(r," ");(n=n.trim())?e.setAttribute("class",n):e.removeAttribute("class")}}function h$(e){if(e){if("object"==typeof e){var t={};return!1!==e.css&&UG(t,m$(e.name||"v")),UG(t,e),t}return"string"==typeof e?m$(e):void 0}}var m$=IG((function(e){return{enterClass:e+"-enter",enterToClass:e+"-enter-to",enterActiveClass:e+"-enter-active",leaveClass:e+"-leave",leaveToClass:e+"-leave-to",leaveActiveClass:e+"-leave-active"}})),g$=nz&&!sz,v$="transition",y$="animation",b$="transition",_$="transitionend",x$="animation",w$="animationend";g$&&(void 0===window.ontransitionend&&void 0!==window.onwebkittransitionend&&(b$="WebkitTransition",_$="webkitTransitionEnd"),void 0===window.onanimationend&&void 0!==window.onwebkitanimationend&&(x$="WebkitAnimation",w$="webkitAnimationEnd"));var A$=nz?window.requestAnimationFrame?window.requestAnimationFrame.bind(window):setTimeout:function(e){return e()};function S$(e){A$((function(){A$(e)}))}function T$(e,t){var n=e._transitionClasses||(e._transitionClasses=[]);n.indexOf(t)<0&&(n.push(t),f$(e,t))}function C$(e,t){e._transitionClasses&&MG(e._transitionClasses,t),p$(e,t)}function E$(e,t,n){var r=D$(e,t),i=r.type,a=r.timeout,o=r.propCount;if(!i)return n();var s=i===v$?_$:w$,l=0,c=function(){e.removeEventListener(s,u),n()},u=function(t){t.target===e&&++l>=o&&c()};setTimeout((function(){l<o&&c()}),a+1),e.addEventListener(s,u)}var M$=/\b(transform|all)(,|$)/;function D$(e,t){var n,r=window.getComputedStyle(e),i=r[b$+"Delay"].split(", "),a=r[b$+"Duration"].split(", "),o=P$(i,a),s=r[x$+"Delay"].split(", "),l=r[x$+"Duration"].split(", "),c=P$(s,l),u=0,d=0;return t===v$?o>0&&(n=v$,u=o,d=a.length):t===y$?c>0&&(n=y$,u=c,d=l.length):d=(n=(u=Math.max(o,c))>0?o>c?v$:y$:null)?n===v$?a.length:l.length:0,{type:n,timeout:u,propCount:d,hasTransform:n===v$&&M$.test(r[b$+"Property"])}}function P$(e,t){for(;e.length<t.length;)e=e.concat(e);return Math.max.apply(null,t.map((function(t,n){return I$(t)+I$(e[n])})))}function I$(e){return 1e3*Number(e.slice(0,-1))}function O$(e,t){var n=e.elm;gG(n._leaveCb)&&(n._leaveCb.cancelled=!0,n._leaveCb());var r=h$(e.data.transition);if(!mG(r)&&!gG(n._enterCb)&&1===n.nodeType){for(var i=r.css,a=r.type,o=r.enterClass,s=r.enterToClass,l=r.enterActiveClass,c=r.appearClass,u=r.appearToClass,d=r.appearActiveClass,f=r.beforeEnter,p=r.enter,h=r.afterEnter,m=r.enterCancelled,g=r.beforeAppear,v=r.appear,y=r.afterAppear,b=r.appearCancelled,_=r.duration,x=kj,w=kj.$vnode;w&&w.parent;)x=(w=w.parent).context;var A=!x._isMounted||!e.isRootInsert;if(!A||v||""===v){var S=A&&c?c:o,T=A&&d?d:l,C=A&&u?u:s,E=A&&g||f,M=A&&"function"==typeof v?v:p,D=A&&y||h,P=A&&b||m,I=SG(bG(_)?_.enter:_),O=!1!==i&&!sz,N=R$(M),k=n._enterCb=$G((function(){O&&(C$(n,C),C$(n,T)),k.cancelled?(O&&C$(n,S),P&&P(n)):D&&D(n),n._enterCb=null}));e.data.show||_j(e,"insert",(function(){var t=n.parentNode,r=t&&t._pending&&t._pending[e.key];r&&r.tag===e.tag&&r.elm._leaveCb&&r.elm._leaveCb(),M&&M(n,k)})),E&&E(n),O&&(T$(n,S),T$(n,T),S$((function(){C$(n,S),k.cancelled||(T$(n,C),N||(k$(I)?setTimeout(k,I):E$(n,a,k)))}))),e.data.show&&(t&&t(),M&&M(n,k)),O||N||k()}}}function N$(e,t){var n=e.elm;gG(n._enterCb)&&(n._enterCb.cancelled=!0,n._enterCb());var r=h$(e.data.transition);if(mG(r)||1!==n.nodeType)return t();if(!gG(n._leaveCb)){var i=r.css,a=r.type,o=r.leaveClass,s=r.leaveToClass,l=r.leaveActiveClass,c=r.beforeLeave,u=r.leave,d=r.afterLeave,f=r.leaveCancelled,p=r.delayLeave,h=r.duration,m=!1!==i&&!sz,g=R$(u),v=SG(bG(h)?h.leave:h),y=n._leaveCb=$G((function(){n.parentNode&&n.parentNode._pending&&(n.parentNode._pending[e.key]=null),m&&(C$(n,s),C$(n,l)),y.cancelled?(m&&C$(n,o),f&&f(n)):(t(),d&&d(n)),n._leaveCb=null}));p?p(b):b()}function b(){y.cancelled||(e.data.show||((n.parentNode._pending||(n.parentNode._pending={}))[e.key]=e),c&&c(n),m&&(T$(n,o),T$(n,l),S$((function(){C$(n,o),y.cancelled||(T$(n,s),g||(k$(v)?setTimeout(y,v):E$(n,a,y)))}))),u&&u(n,y),m||g||y())}}function k$(e){return"number"==typeof e&&!isNaN(e)}function R$(e){if(mG(e))return!1;var t=e.fns;return gG(t)?R$(Array.isArray(t)?t[0]:t):(e._length||e.length)>1}function L$(e,t){!0!==t.data.show&&O$(t)}var F$=function(e){var t,n,r={},i=e.modules,a=e.nodeOps;for(t=0;t<iH.length;++t)for(r[iH[t]]=[],n=0;n<i.length;++n)gG(i[n][iH[t]])&&r[iH[t]].push(i[n][iH[t]]);function o(e){var t=a.parentNode(e);gG(t)&&a.removeChild(t,e)}function s(e,t,n,i,o,s,d){if(gG(e.elm)&&gG(s)&&(e=s[d]=Mz(e)),e.isRootInsert=!o,!function(e,t,n,i){var a=e.data;if(gG(a)){var o=gG(e.componentInstance)&&a.keepAlive;if(gG(a=a.hook)&&gG(a=a.init)&&a(e,!1,n,i),gG(e.componentInstance))return l(e,t),vG(o)&&function(e,t,n,i){for(var a,o=e;o.componentInstance;)if(gG(a=(o=o.componentInstance._vnode).data)&&gG(a=a.transition)){for(a=0;a<r.activate.length;++a)r.activate[a](rH,o);t.push(o);break}c(n,e.elm,i)}(e,t,n,i),!0}}(e,t,n,i)){var h=e.data,m=e.children,g=e.tag;gG(g)?(e.elm=e.ns?a.createElementNS(e.ns,g):a.createElement(g,e),p(e),u(e,m,t),gG(h)&&f(e,t),c(n,e.elm,i)):vG(e.isComment)?(e.elm=a.createComment(e.text),c(n,e.elm,i)):(e.elm=a.createTextNode(e.text),c(n,e.elm,i))}}function l(e,t){gG(e.data.pendingInsert)&&(t.push.apply(t,e.data.pendingInsert),e.data.pendingInsert=null),e.elm=e.componentInstance.$el,d(e)?(f(e,t),p(e)):(nH(e),t.push(e))}function c(e,t,n){gG(e)&&(gG(n)?n.parentNode===e&&a.insertBefore(e,t,n):a.appendChild(e,t))}function u(e,t,n){if(Array.isArray(t))for(var r=0;r<t.length;++r)s(t[r],n,e.elm,null,!0,t,r);else yG(e.text)&&a.appendChild(e.elm,a.createTextNode(String(e.text)))}function d(e){for(;e.componentInstance;)e=e.componentInstance._vnode;return gG(e.tag)}function f(e,n){for(var i=0;i<r.create.length;++i)r.create[i](rH,e);gG(t=e.data.hook)&&(gG(t.create)&&t.create(rH,e),gG(t.insert)&&n.push(e))}function p(e){var t;if(gG(t=e.fnScopeId))a.setStyleScope(e.elm,t);else for(var n=e;n;)gG(t=n.context)&&gG(t=t.$options._scopeId)&&a.setStyleScope(e.elm,t),n=n.parent;gG(t=kj)&&t!==e.context&&t!==e.fnContext&&gG(t=t.$options._scopeId)&&a.setStyleScope(e.elm,t)}function h(e,t,n,r,i,a){for(;r<=i;++r)s(n[r],a,e,t,!1,n,r)}function m(e){var t,n,i=e.data;if(gG(i))for(gG(t=i.hook)&&gG(t=t.destroy)&&t(e),t=0;t<r.destroy.length;++t)r.destroy[t](e);if(gG(t=e.children))for(n=0;n<e.children.length;++n)m(e.children[n])}function g(e,t,n,r){for(;n<=r;++n){var i=t[n];gG(i)&&(gG(i.tag)?(v(i),m(i)):o(i.elm))}}function v(e,t){if(gG(t)||gG(e.data)){var n,i=r.remove.length+1;for(gG(t)?t.listeners+=i:t=function(e,t){function n(){0==--n.listeners&&o(e)}return n.listeners=t,n}(e.elm,i),gG(n=e.componentInstance)&&gG(n=n._vnode)&&gG(n.data)&&v(n,t),n=0;n<r.remove.length;++n)r.remove[n](e,t);gG(n=e.data.hook)&&gG(n=n.remove)?n(e,t):t()}else o(e.elm)}function y(e,t,n,r){for(var i=n;i<r;i++){var a=t[i];if(gG(a)&&aH(e,a))return i}}function b(e,t,n,i){if(e!==t){var o=t.elm=e.elm;if(vG(e.isAsyncPlaceholder))gG(t.asyncFactory.resolved)?w(e.elm,t,n):t.isAsyncPlaceholder=!0;else if(vG(t.isStatic)&&vG(e.isStatic)&&t.key===e.key&&(vG(t.isCloned)||vG(t.isOnce)))t.componentInstance=e.componentInstance;else{var l,c=t.data;gG(c)&&gG(l=c.hook)&&gG(l=l.prepatch)&&l(e,t);var u=e.children,f=t.children;if(gG(c)&&d(t)){for(l=0;l<r.update.length;++l)r.update[l](e,t);gG(l=c.hook)&&gG(l=l.update)&&l(e,t)}mG(t.text)?gG(u)&&gG(f)?u!==f&&function(e,t,n,r,i){for(var o,l,c,u=0,d=0,f=t.length-1,p=t[0],m=t[f],v=n.length-1,_=n[0],x=n[v],w=!i;u<=f&&d<=v;)mG(p)?p=t[++u]:mG(m)?m=t[--f]:aH(p,_)?(b(p,_,r),p=t[++u],_=n[++d]):aH(m,x)?(b(m,x,r),m=t[--f],x=n[--v]):aH(p,x)?(b(p,x,r),w&&a.insertBefore(e,p.elm,a.nextSibling(m.elm)),p=t[++u],x=n[--v]):aH(m,_)?(b(m,_,r),w&&a.insertBefore(e,m.elm,p.elm),m=t[--f],_=n[++d]):(mG(o)&&(o=oH(t,u,f)),mG(l=gG(_.key)?o[_.key]:y(_,t,u,f))?s(_,r,e,p.elm,!1,n,d):aH(c=t[l],_)?(b(c,_,r),t[l]=void 0,w&&a.insertBefore(e,c.elm,p.elm)):s(_,r,e,p.elm,!1,n,d),_=n[++d]);u>f?h(e,mG(n[v+1])?null:n[v+1].elm,n,d,v,r):d>v&&g(0,t,u,f)}(o,u,f,n,i):gG(f)?(gG(e.text)&&a.setTextContent(o,""),h(o,null,f,0,f.length-1,n)):gG(u)?g(0,u,0,u.length-1):gG(e.text)&&a.setTextContent(o,""):e.text!==t.text&&a.setTextContent(o,t.text),gG(c)&&gG(l=c.hook)&&gG(l=l.postpatch)&&l(e,t)}}}function _(e,t,n){if(vG(n)&&gG(e.parent))e.parent.data.pendingInsert=t;else for(var r=0;r<t.length;++r)t[r].data.hook.insert(t[r])}var x=TG("attrs,class,staticClass,staticStyle,key");function w(e,t,n,r){var i,a=t.tag,o=t.data,s=t.children;if(r=r||o&&o.pre,t.elm=e,vG(t.isComment)&&gG(t.asyncFactory))return t.isAsyncPlaceholder=!0,!0;if(gG(o)&&(gG(i=o.hook)&&gG(i=i.init)&&i(t,!0),gG(i=t.componentInstance)))return l(t,n),!0;if(gG(a)){if(gG(s))if(e.hasChildNodes())if(gG(i=o)&&gG(i=i.domProps)&&gG(i=i.innerHTML)){if(i!==e.innerHTML)return!1}else{for(var c=!0,d=e.firstChild,p=0;p<s.length;p++){if(!d||!w(d,s[p],n,r)){c=!1;break}d=d.nextSibling}if(!c||d)return!1}else u(t,s,n);if(gG(o)){var h=!1;for(var m in o)if(!x(m)){h=!0,f(t,n);break}!h&&o.class&&hj(o.class)}}else e.data!==t.text&&(e.data=t.text);return!0}return function(e,t,n,i,o,l){if(!mG(t)){var c,u=!1,f=[];if(mG(e))u=!0,s(t,f,o,l);else{var p=gG(e.nodeType);if(!p&&aH(e,t))b(e,t,f,i);else{if(p){if(1===e.nodeType&&e.hasAttribute(XG)&&(e.removeAttribute(XG),n=!0),vG(n)&&w(e,t,f))return _(t,f,!0),e;c=e,e=new Sz(a.tagName(c).toLowerCase(),{},[],void 0,c)}var h=e.elm,v=a.parentNode(h);if(s(t,f,h._leaveCb?null:v,a.nextSibling(h)),gG(t.parent))for(var y=t.parent,x=d(t);y;){for(var A=0;A<r.destroy.length;++A)r.destroy[A](y);if(y.elm=t.elm,x){for(var S=0;S<r.create.length;++S)r.create[S](rH,y);var T=y.data.hook.insert;if(T.merged)for(var C=1;C<T.fns.length;C++)T.fns[C]()}else nH(y);y=y.parent}gG(v)?g(0,[e],0,0):gG(e.tag)&&m(e)}}return _(t,f,u),t.elm}gG(e)&&m(e)}}({nodeOps:eH,modules:[vH,TH,JH,e$,d$,nz?{create:L$,activate:L$,remove:function(e,t){!0!==e.data.show?N$(e,t):t()}}:{}].concat(pH)});sz&&document.addEventListener("selectionchange",(function(){var e=document.activeElement;e&&e.vmodel&&H$(e,"input")}));var B$={inserted:function(e,t,n,r){"select"===n.tag?(r.elm&&!r.elm._vOptions?_j(n,"postpatch",(function(){B$.componentUpdated(e,t,n)})):U$(e,t,n.context),e._vOptions=[].map.call(e.options,z$)):("textarea"===n.tag||ZW(e.type))&&(e._vModifiers=t.modifiers,t.modifiers.lazy||(e.addEventListener("compositionstart",j$),e.addEventListener("compositionend",W$),e.addEventListener("change",W$),sz&&(e.vmodel=!0)))},componentUpdated:function(e,t,n){if("select"===n.tag){U$(e,t,n.context);var r=e._vOptions,i=e._vOptions=[].map.call(e.options,z$);i.some((function(e,t){return!WG(e,r[t])}))&&(e.multiple?t.value.some((function(e){return G$(e,i)})):t.value!==t.oldValue&&G$(t.value,i))&&H$(e,"change")}}};function U$(e,t,n){V$(e,t),(oz||lz)&&setTimeout((function(){V$(e,t)}),0)}function V$(e,t,n){var r=t.value,i=e.multiple;if(!i||Array.isArray(r)){for(var a,o,s=0,l=e.options.length;s<l;s++)if(o=e.options[s],i)a=HG(r,z$(o))>-1,o.selected!==a&&(o.selected=a);else if(WG(z$(o),r))return void(e.selectedIndex!==s&&(e.selectedIndex=s));i||(e.selectedIndex=-1)}}function G$(e,t){return t.every((function(t){return!WG(t,e)}))}function z$(e){return"_value"in e?e._value:e.value}function j$(e){e.target.composing=!0}function W$(e){e.target.composing&&(e.target.composing=!1,H$(e.target,"input"))}function H$(e,t){var n=document.createEvent("HTMLEvents");n.initEvent(t,!0,!0),e.dispatchEvent(n)}function $$(e){return!e.componentInstance||e.data&&e.data.transition?e:$$(e.componentInstance._vnode)}var X$={bind:function(e,t,n){var r=t.value,i=(n=$$(n)).data&&n.data.transition,a=e.__vOriginalDisplay="none"===e.style.display?"":e.style.display;r&&i?(n.data.show=!0,O$(n,(function(){e.style.display=a}))):e.style.display=r?a:"none"},update:function(e,t,n){var r=t.value;!r!=!t.oldValue&&((n=$$(n)).data&&n.data.transition?(n.data.show=!0,r?O$(n,(function(){e.style.display=e.__vOriginalDisplay})):N$(n,(function(){e.style.display="none"}))):e.style.display=r?e.__vOriginalDisplay:"none")},unbind:function(e,t,n,r,i){i||(e.style.display=e.__vOriginalDisplay)}},q$={model:B$,show:X$},K$={name:String,appear:Boolean,css:Boolean,mode:String,type:String,enterClass:String,leaveClass:String,enterToClass:String,leaveToClass:String,enterActiveClass:String,leaveActiveClass:String,appearClass:String,appearActiveClass:String,appearToClass:String,duration:[Number,String,Object]};function Y$(e){var t=e&&e.componentOptions;return t&&t.Ctor.options.abstract?Y$(Ej(t.children)):e}function J$(e){var t={},n=e.$options;for(var r in n.propsData)t[r]=e[r];var i=n._parentListeners;for(var a in i)t[NG(a)]=i[a];return t}function Z$(e,t){if(/\d-keep-alive$/.test(t.tag))return e("keep-alive",{props:t.componentOptions.propsData})}var Q$={name:"transition",props:K$,abstract:!0,render:function(e){var t=this,n=this.$slots.default;if(n&&(n=n.filter((function(e){return e.tag||Cj(e)}))).length){var r=this.mode,i=n[0];if(function(e){for(;e=e.parent;)if(e.data.transition)return!0}(this.$vnode))return i;var a=Y$(i);if(!a)return i;if(this._leaving)return Z$(e,i);var o="__transition-"+this._uid+"-";a.key=null==a.key?a.isComment?o+"comment":o+a.tag:yG(a.key)?0===String(a.key).indexOf(o)?a.key:o+a.key:a.key;var s=(a.data||(a.data={})).transition=J$(this),l=this._vnode,c=Y$(l);if(a.data.directives&&a.data.directives.some((function(e){return"show"===e.name}))&&(a.data.show=!0),c&&c.data&&!function(e,t){return t.key===e.key&&t.tag===e.tag}(a,c)&&!Cj(c)&&(!c.componentInstance||!c.componentInstance._vnode.isComment)){var u=c.data.transition=UG({},s);if("out-in"===r)return this._leaving=!0,_j(u,"afterLeave",(function(){t._leaving=!1,t.$forceUpdate()})),Z$(e,i);if("in-out"===r){if(Cj(a))return l;var d,f=function(){d()};_j(s,"afterEnter",f),_j(s,"enterCancelled",f),_j(u,"delayLeave",(function(e){d=e}))}}return i}}},eX=UG({tag:String,moveClass:String},K$);delete eX.mode;var tX={props:eX,render:function(e){for(var t=this.tag||this.$vnode.data.tag||"span",n=Object.create(null),r=this.prevChildren=this.children,i=this.$slots.default||[],a=this.children=[],o=J$(this),s=0;s<i.length;s++){var l=i[s];l.tag&&null!=l.key&&0!==String(l.key).indexOf("__vlist")&&(a.push(l),n[l.key]=l,(l.data||(l.data={})).transition=o)}if(r){for(var c=[],u=[],d=0;d<r.length;d++){var f=r[d];f.data.transition=o,f.data.pos=f.elm.getBoundingClientRect(),n[f.key]?c.push(f):u.push(f)}this.kept=e(t,null,c),this.removed=u}return e(t,null,a)},beforeUpdate:function(){this.__patch__(this._vnode,this.kept,!1,!0),this._vnode=this.kept},updated:function(){var e=this.prevChildren,t=this.moveClass||(this.name||"v")+"-move";e.length&&this.hasMove(e[0].elm,t)&&(e.forEach(nX),e.forEach(rX),e.forEach(iX),this._reflow=document.body.offsetHeight,e.forEach((function(e){if(e.data.moved){var n=e.elm,r=n.style;T$(n,t),r.transform=r.WebkitTransform=r.transitionDuration="",n.addEventListener(_$,n._moveCb=function e(r){r&&!/transform$/.test(r.propertyName)||(n.removeEventListener(_$,e),n._moveCb=null,C$(n,t))})}})))},methods:{hasMove:function(e,t){if(!g$)return!1;if(this._hasMove)return this._hasMove;var n=e.cloneNode();e._transitionClasses&&e._transitionClasses.forEach((function(e){p$(n,e)})),f$(n,t),n.style.display="none",this.$el.appendChild(n);var r=D$(n);return this.$el.removeChild(n),this._hasMove=r.hasTransform}}};function nX(e){e.elm._moveCb&&e.elm._moveCb(),e.elm._enterCb&&e.elm._enterCb()}function rX(e){e.data.newPos=e.elm.getBoundingClientRect()}function iX(e){var t=e.data.pos,n=e.data.newPos,r=t.left-n.left,i=t.top-n.top;if(r||i){e.data.moved=!0;var a=e.elm.style;a.transform=a.WebkitTransform="translate("+r+"px,"+i+"px)",a.transitionDuration="0s"}}var aX={Transition:Q$,TransitionGroup:tX};CW.config.mustUseProp=LW,CW.config.isReservedTag=KW,CW.config.isReservedAttr=kW,CW.config.getTagNamespace=YW,CW.config.isUnknownElement=function(e){if(!nz)return!0;if(KW(e))return!1;if(e=e.toLowerCase(),null!=JW[e])return JW[e];var t=document.createElement(e);return e.indexOf("-")>-1?JW[e]=t.constructor===window.HTMLUnknownElement||t.constructor===window.HTMLElement:JW[e]=/HTMLUnknownElement/.test(t.toString())},UG(CW.options.directives,q$),UG(CW.options.components,aX),CW.prototype.__patch__=nz?F$:GG,CW.prototype.$mount=function(e,t){return function(e,t,n){var r;return e.$el=t,e.$options.render||(e.$options.render=Cz),Bj(e,"beforeMount"),r=function(){e._update(e._render(),n)},new Xj(e,r,GG,null,!0),n=!1,null==e.$vnode&&(e._isMounted=!0,Bj(e,"mounted")),e}(this,e=e&&nz?QW(e):void 0,t)},nz&&setTimeout((function(){YG.devtools&&hz&&hz.emit("init",CW)}),0);var oX,sX=/\{\{((?:.|\n)+?)\}\}/g,lX=/[-.*+?^${}()|[\]\/\\]/g,cX=IG((function(e){var t=e[0].replace(lX,"\\$&"),n=e[1].replace(lX,"\\$&");return new RegExp(t+"((?:.|\\n)+?)"+n,"g")})),uX={staticKeys:["staticClass"],transformNode:function(e,t){t.warn;var n=FH(e,"class");n&&(e.staticClass=JSON.stringify(n));var r=LH(e,"class",!1);r&&(e.classBinding=r)},genData:function(e){var t="";return e.staticClass&&(t+="staticClass:"+e.staticClass+","),e.classBinding&&(t+="class:"+e.classBinding+","),t}},dX={staticKeys:["staticStyle"],transformNode:function(e,t){t.warn;var n=FH(e,"style");n&&(e.staticStyle=JSON.stringify(t$(n)));var r=LH(e,"style",!1);r&&(e.styleBinding=r)},genData:function(e){var t="";return e.staticStyle&&(t+="staticStyle:"+e.staticStyle+","),e.styleBinding&&(t+="style:("+e.styleBinding+"),"),t}},fX=TG("area,base,br,col,embed,frame,hr,img,input,isindex,keygen,link,meta,param,source,track,wbr"),pX=TG("colgroup,dd,dt,li,options,p,td,tfoot,th,thead,tr,source"),hX=TG("address,article,aside,base,blockquote,body,caption,col,colgroup,dd,details,dialog,div,dl,dt,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,head,header,hgroup,hr,html,legend,li,menuitem,meta,optgroup,option,param,rp,rt,source,style,summary,tbody,td,tfoot,th,thead,title,tr,track"),mX=/^\s*([^\s"'<>\/=]+)(?:\s*(=)\s*(?:"([^"]*)"+|'([^']*)'+|([^\s"'=<>`]+)))?/,gX="[a-zA-Z_][\\w\\-\\.]*",vX="((?:"+gX+"\\:)?"+gX+")",yX=new RegExp("^<"+vX),bX=/^\s*(\/?)>/,_X=new RegExp("^<\\/"+vX+"[^>]*>"),xX=/^<!DOCTYPE [^>]+>/i,wX=/^<!\--/,AX=/^<!\[/,SX=!1;"x".replace(/x(.)?/g,(function(e,t){SX=""===t}));var TX=TG("script,style,textarea",!0),CX={},EX={"&lt;":"<","&gt;":">","&quot;":'"',"&amp;":"&","&#10;":"\n","&#9;":"\t"},MX=/&(?:lt|gt|quot|amp);/g,DX=/&(?:lt|gt|quot|amp|#10|#9);/g,PX=TG("pre,textarea",!0),IX=function(e,t){return e&&PX(e)&&"\n"===t[0]};function OX(e,t){var n=t?DX:MX;return e.replace(n,(function(e){return EX[e]}))}var NX,kX,RX,LX,FX,BX,UX,VX,GX=/^@|^v-on:/,zX=/^v-|^@|^:/,jX=/([^]*?)\s+(?:in|of)\s+([^]*)/,WX=/,([^,\}\]]*)(?:,([^,\}\]]*))?$/,HX=/^\(|\)$/g,$X=/:(.*)$/,XX=/^:|^v-bind:/,qX=/\.[^.]+/g,KX=IG((function(e){return(oX=oX||document.createElement("div")).innerHTML=e,oX.textContent}));function YX(e,t,n){return{type:1,tag:e,attrsList:t,attrsMap:tq(t),parent:n,children:[]}}function JX(e,t){var n,r;(r=LH(n=e,"key"))&&(n.key=r),e.plain=!e.key&&!e.attrsList.length,function(e){var t=LH(e,"ref");t&&(e.ref=t,e.refInFor=function(e){for(var t=e;t;){if(void 0!==t.for)return!0;t=t.parent}return!1}(e))}(e),function(e){if("slot"===e.tag)e.slotName=LH(e,"name");else{var t;"template"===e.tag?(t=FH(e,"scope"),e.slotScope=t||FH(e,"slot-scope")):(t=FH(e,"slot-scope"))&&(e.slotScope=t);var n=LH(e,"slot");n&&(e.slotTarget='""'===n?'"default"':n,"template"===e.tag||e.slotScope||OH(e,"slot",n))}}(e),function(e){var t;(t=LH(e,"is"))&&(e.component=t),null!=FH(e,"inline-template")&&(e.inlineTemplate=!0)}(e);for(var i=0;i<RX.length;i++)e=RX[i](e,t)||e;!function(e){var t,n,r,i,a,o,s,l=e.attrsList;for(t=0,n=l.length;t<n;t++)if(r=i=l[t].name,a=l[t].value,zX.test(r))if(e.hasBindings=!0,(o=eq(r))&&(r=r.replace(qX,"")),XX.test(r))r=r.replace(XX,""),a=EH(a),s=!1,o&&(o.prop&&(s=!0,"innerHtml"===(r=NG(r))&&(r="innerHTML")),o.camel&&(r=NG(r)),o.sync&&RH(e,"update:"+NG(r),UH(a,"$event"))),s||!e.component&&UX(e.tag,e.attrsMap.type,r)?IH(e,r,a):OH(e,r,a);else if(GX.test(r))RH(e,r=r.replace(GX,""),a,o,!1);else{var c=(r=r.replace(zX,"")).match($X),u=c&&c[1];u&&(r=r.slice(0,-(u.length+1))),kH(e,r,i,a,u,o)}else OH(e,r,JSON.stringify(a)),!e.component&&"muted"===r&&UX(e.tag,e.attrsMap.type,r)&&IH(e,r,"true")}(e)}function ZX(e){var t;if(t=FH(e,"v-for")){var n=function(e){var t=e.match(jX);if(t){var n={};n.for=t[2].trim();var r=t[1].trim().replace(HX,""),i=r.match(WX);return i?(n.alias=r.replace(WX,""),n.iterator1=i[1].trim(),i[2]&&(n.iterator2=i[2].trim())):n.alias=r,n}}(t);n&&UG(e,n)}}function QX(e,t){e.ifConditions||(e.ifConditions=[]),e.ifConditions.push(t)}function eq(e){var t=e.match(qX);if(t){var n={};return t.forEach((function(e){n[e.slice(1)]=!0})),n}}function tq(e){for(var t={},n=0,r=e.length;n<r;n++)t[e[n].name]=e[n].value;return t}var nq=/^xmlns:NS\d+/,rq=/^NS\d+:/;function iq(e){return YX(e.tag,e.attrsList.slice(),e.parent)}var aq,oq,sq,lq={preTransformNode:function(e,t){if("input"===e.tag){var n,r=e.attrsMap;if(!r["v-model"])return;if((r[":type"]||r["v-bind:type"])&&(n=LH(e,"type")),r.type||n||!r["v-bind"]||(n="("+r["v-bind"]+").type"),n){var i=FH(e,"v-if",!0),a=i?"&&("+i+")":"",o=null!=FH(e,"v-else",!0),s=FH(e,"v-else-if",!0),l=iq(e);ZX(l),NH(l,"type","checkbox"),JX(l,t),l.processed=!0,l.if="("+n+")==='checkbox'"+a,QX(l,{exp:l.if,block:l});var c=iq(e);FH(c,"v-for",!0),NH(c,"type","radio"),JX(c,t),QX(l,{exp:"("+n+")==='radio'"+a,block:c});var u=iq(e);return FH(u,"v-for",!0),NH(u,":type",n),JX(u,t),QX(l,{exp:i,block:u}),o?l.else=!0:s&&(l.elseif=s),l}}}},cq=[uX,dX,lq],uq={model:function(e,t,n){var r=t.value,i=t.modifiers,a=e.tag,o=e.attrsMap.type;if(e.component)return BH(e,r,i),!1;if("select"===a)!function(e,t,n){var r="var $$selectedVal = "+('Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;return '+(n&&n.number?"_n(val)":"val")+"})")+";";RH(e,"change",r=r+" "+UH(t,"$event.target.multiple ? $$selectedVal : $$selectedVal[0]"),null,!0)}(e,r,i);else if("input"===a&&"checkbox"===o)!function(e,t,n){var r=n&&n.number,i=LH(e,"value")||"null",a=LH(e,"true-value")||"true",o=LH(e,"false-value")||"false";IH(e,"checked","Array.isArray("+t+")?_i("+t+","+i+")>-1"+("true"===a?":("+t+")":":_q("+t+","+a+")")),RH(e,"change","var $$a="+t+",$$el=$event.target,$$c=$$el.checked?("+a+"):("+o+");if(Array.isArray($$a)){var $$v="+(r?"_n("+i+")":i)+",$$i=_i($$a,$$v);if($$el.checked){$$i<0&&("+UH(t,"$$a.concat([$$v])")+")}else{$$i>-1&&("+UH(t,"$$a.slice(0,$$i).concat($$a.slice($$i+1))")+")}}else{"+UH(t,"$$c")+"}",null,!0)}(e,r,i);else if("input"===a&&"radio"===o)!function(e,t,n){var r=n&&n.number,i=LH(e,"value")||"null";IH(e,"checked","_q("+t+","+(i=r?"_n("+i+")":i)+")"),RH(e,"change",UH(t,i),null,!0)}(e,r,i);else if("input"===a||"textarea"===a)!function(e,t,n){var r=e.attrsMap.type,i=n||{},a=i.lazy,o=i.number,s=i.trim,l=!a&&"range"!==r,c=a?"change":"range"===r?$H:"input",u="$event.target.value";s&&(u="$event.target.value.trim()"),o&&(u="_n("+u+")");var d=UH(t,u);l&&(d="if($event.target.composing)return;"+d),IH(e,"value","("+t+")"),RH(e,c,d,null,!0),(s||o)&&RH(e,"blur","$forceUpdate()")}(e,r,i);else if(!YG.isReservedTag(a))return BH(e,r,i),!1;return!0},text:function(e,t){t.value&&IH(e,"textContent","_s("+t.value+")")},html:function(e,t){t.value&&IH(e,"innerHTML","_s("+t.value+")")}},dq={expectHTML:!0,modules:cq,directives:uq,isPreTag:function(e){return"pre"===e},isUnaryTag:fX,mustUseProp:LW,canBeLeftOpenTag:pX,isReservedTag:KW,getTagNamespace:YW,staticKeys:(sq=cq,sq.reduce((function(e,t){return e.concat(t.staticKeys||[])}),[]).join(","))},fq=IG((function(e){return TG("type,tag,attrsList,attrsMap,plain,parent,children,attrs"+(e?","+e:""))}));function pq(e,t){e&&(aq=fq(t.staticKeys||""),oq=t.isReservedTag||zG,hq(e),mq(e,!1))}function hq(e){if(e.static=function(e){return 2!==e.type&&(3===e.type||!(!e.pre&&(e.hasBindings||e.if||e.for||CG(e.tag)||!oq(e.tag)||function(e){for(;e.parent;){if("template"!==(e=e.parent).tag)return!1;if(e.for)return!0}return!1}(e)||!Object.keys(e).every(aq))))}(e),1===e.type){if(!oq(e.tag)&&"slot"!==e.tag&&null==e.attrsMap["inline-template"])return;for(var t=0,n=e.children.length;t<n;t++){var r=e.children[t];hq(r),r.static||(e.static=!1)}if(e.ifConditions)for(var i=1,a=e.ifConditions.length;i<a;i++){var o=e.ifConditions[i].block;hq(o),o.static||(e.static=!1)}}}function mq(e,t){if(1===e.type){if((e.static||e.once)&&(e.staticInFor=t),e.static&&e.children.length&&(1!==e.children.length||3!==e.children[0].type))return void(e.staticRoot=!0);if(e.staticRoot=!1,e.children)for(var n=0,r=e.children.length;n<r;n++)mq(e.children[n],t||!!e.for);if(e.ifConditions)for(var i=1,a=e.ifConditions.length;i<a;i++)mq(e.ifConditions[i].block,t)}}var gq=/^([\w$_]+|\([^)]*?\))\s*=>|^function\s*\(/,vq=/^[A-Za-z_$][\w$]*(?:\.[A-Za-z_$][\w$]*|\['[^']*?']|\["[^"]*?"]|\[\d+]|\[[A-Za-z_$][\w$]*])*$/,yq={esc:27,tab:9,enter:13,space:32,up:38,left:37,right:39,down:40,delete:[8,46]},bq={esc:"Escape",tab:"Tab",enter:"Enter",space:" ",up:["Up","ArrowUp"],left:["Left","ArrowLeft"],right:["Right","ArrowRight"],down:["Down","ArrowDown"],delete:["Backspace","Delete"]},_q=function(e){return"if("+e+")return null;"},xq={stop:"$event.stopPropagation();",prevent:"$event.preventDefault();",self:_q("$event.target !== $event.currentTarget"),ctrl:_q("!$event.ctrlKey"),shift:_q("!$event.shiftKey"),alt:_q("!$event.altKey"),meta:_q("!$event.metaKey"),left:_q("'button' in $event && $event.button !== 0"),middle:_q("'button' in $event && $event.button !== 1"),right:_q("'button' in $event && $event.button !== 2")};function wq(e,t,n){var r=t?"nativeOn:{":"on:{";for(var i in e)r+='"'+i+'":'+Aq(i,e[i])+",";return r.slice(0,-1)+"}"}function Aq(e,t){if(!t)return"function(){}";if(Array.isArray(t))return"["+t.map((function(t){return Aq(e,t)})).join(",")+"]";var n=vq.test(t.value),r=gq.test(t.value);if(t.modifiers){var i="",a="",o=[];for(var s in t.modifiers)if(xq[s])a+=xq[s],yq[s]&&o.push(s);else if("exact"===s){var l=t.modifiers;a+=_q(["ctrl","shift","alt","meta"].filter((function(e){return!l[e]})).map((function(e){return"$event."+e+"Key"})).join("||"))}else o.push(s);return o.length&&(i+=function(e){return"if(!('button' in $event)&&"+e.map(Sq).join("&&")+")return null;"}(o)),a&&(i+=a),"function($event){"+i+(n?"return "+t.value+"($event)":r?"return ("+t.value+")($event)":t.value)+"}"}return n||r?t.value:"function($event){"+t.value+"}"}function Sq(e){var t=parseInt(e,10);if(t)return"$event.keyCode!=="+t;var n=yq[e],r=bq[e];return"_k($event.keyCode,"+JSON.stringify(e)+","+JSON.stringify(n)+",$event.key,"+JSON.stringify(r)+")"}var Tq={on:function(e,t){e.wrapListeners=function(e){return"_g("+e+","+t.value+")"}},bind:function(e,t){e.wrapData=function(n){return"_b("+n+",'"+e.tag+"',"+t.value+","+(t.modifiers&&t.modifiers.prop?"true":"false")+(t.modifiers&&t.modifiers.sync?",true":"")+")"}},cloak:GG},Cq=function(e){this.options=e,this.warn=e.warn||DH,this.transforms=PH(e.modules,"transformCode"),this.dataGenFns=PH(e.modules,"genData"),this.directives=UG(UG({},Tq),e.directives);var t=e.isReservedTag||zG;this.maybeComponent=function(e){return!t(e.tag)},this.onceId=0,this.staticRenderFns=[]};function Eq(e,t){var n=new Cq(t);return{render:"with(this){return "+(e?Mq(e,n):'_c("div")')+"}",staticRenderFns:n.staticRenderFns}}function Mq(e,t){if(e.staticRoot&&!e.staticProcessed)return Dq(e,t);if(e.once&&!e.onceProcessed)return Pq(e,t);if(e.for&&!e.forProcessed)return function(e,t,n,r){var i=e.for,a=e.alias,o=e.iterator1?","+e.iterator1:"",s=e.iterator2?","+e.iterator2:"";return e.forProcessed=!0,"_l(("+i+"),function("+a+o+s+"){return "+Mq(e,t)+"})"}(e,t);if(e.if&&!e.ifProcessed)return Iq(e,t);if("template"!==e.tag||e.slotTarget){if("slot"===e.tag)return function(e,t){var n=e.slotName||'"default"',r=Rq(e,t),i="_t("+n+(r?","+r:""),a=e.attrs&&"{"+e.attrs.map((function(e){return NG(e.name)+":"+e.value})).join(",")+"}",o=e.attrsMap["v-bind"];return!a&&!o||r||(i+=",null"),a&&(i+=","+a),o&&(i+=(a?"":",null")+","+o),i+")"}(e,t);var n;if(e.component)n=function(e,t,n){var r=t.inlineTemplate?null:Rq(t,n,!0);return"_c("+e+","+Nq(t,n)+(r?","+r:"")+")"}(e.component,e,t);else{var r=e.plain?void 0:Nq(e,t),i=e.inlineTemplate?null:Rq(e,t,!0);n="_c('"+e.tag+"'"+(r?","+r:"")+(i?","+i:"")+")"}for(var a=0;a<t.transforms.length;a++)n=t.transforms[a](e,n);return n}return Rq(e,t)||"void 0"}function Dq(e,t){return e.staticProcessed=!0,t.staticRenderFns.push("with(this){return "+Mq(e,t)+"}"),"_m("+(t.staticRenderFns.length-1)+(e.staticInFor?",true":"")+")"}function Pq(e,t){if(e.onceProcessed=!0,e.if&&!e.ifProcessed)return Iq(e,t);if(e.staticInFor){for(var n="",r=e.parent;r;){if(r.for){n=r.key;break}r=r.parent}return n?"_o("+Mq(e,t)+","+t.onceId+++","+n+")":Mq(e,t)}return Dq(e,t)}function Iq(e,t,n,r){return e.ifProcessed=!0,Oq(e.ifConditions.slice(),t,n,r)}function Oq(e,t,n,r){if(!e.length)return r||"_e()";var i=e.shift();return i.exp?"("+i.exp+")?"+a(i.block)+":"+Oq(e,t,n,r):""+a(i.block);function a(e){return n?n(e,t):e.once?Pq(e,t):Mq(e,t)}}function Nq(e,t){var n="{",r=function(e,t){var n=e.directives;if(n){var r,i,a,o,s="directives:[",l=!1;for(r=0,i=n.length;r<i;r++){a=n[r],o=!0;var c=t.directives[a.name];c&&(o=!!c(e,a,t.warn)),o&&(l=!0,s+='{name:"'+a.name+'",rawName:"'+a.rawName+'"'+(a.value?",value:("+a.value+"),expression:"+JSON.stringify(a.value):"")+(a.arg?',arg:"'+a.arg+'"':"")+(a.modifiers?",modifiers:"+JSON.stringify(a.modifiers):"")+"},")}return l?s.slice(0,-1)+"]":void 0}}(e,t);r&&(n+=r+","),e.key&&(n+="key:"+e.key+","),e.ref&&(n+="ref:"+e.ref+","),e.refInFor&&(n+="refInFor:true,"),e.pre&&(n+="pre:true,"),e.component&&(n+='tag:"'+e.tag+'",');for(var i=0;i<t.dataGenFns.length;i++)n+=t.dataGenFns[i](e);if(e.attrs&&(n+="attrs:{"+Bq(e.attrs)+"},"),e.props&&(n+="domProps:{"+Bq(e.props)+"},"),e.events&&(n+=wq(e.events,!1,t.warn)+","),e.nativeEvents&&(n+=wq(e.nativeEvents,!0,t.warn)+","),e.slotTarget&&!e.slotScope&&(n+="slot:"+e.slotTarget+","),e.scopedSlots&&(n+=function(e,t){return"scopedSlots:_u(["+Object.keys(e).map((function(n){return kq(n,e[n],t)})).join(",")+"])"}(e.scopedSlots,t)+","),e.model&&(n+="model:{value:"+e.model.value+",callback:"+e.model.callback+",expression:"+e.model.expression+"},"),e.inlineTemplate){var a=function(e,t){var n=e.children[0];if(1===n.type){var r=Eq(n,t.options);return"inlineTemplate:{render:function(){"+r.render+"},staticRenderFns:["+r.staticRenderFns.map((function(e){return"function(){"+e+"}"})).join(",")+"]}"}}(e,t);a&&(n+=a+",")}return n=n.replace(/,$/,"")+"}",e.wrapData&&(n=e.wrapData(n)),e.wrapListeners&&(n=e.wrapListeners(n)),n}function kq(e,t,n){return t.for&&!t.forProcessed?function(e,t,n){var r=t.for,i=t.alias,a=t.iterator1?","+t.iterator1:"",o=t.iterator2?","+t.iterator2:"";return t.forProcessed=!0,"_l(("+r+"),function("+i+a+o+"){return "+kq(e,t,n)+"})"}(e,t,n):"{key:"+e+",fn:function("+String(t.slotScope)+"){return "+("template"===t.tag?t.if?t.if+"?"+(Rq(t,n)||"undefined")+":undefined":Rq(t,n)||"undefined":Mq(t,n))+"}}"}function Rq(e,t,n,r,i){var a=e.children;if(a.length){var o=a[0];if(1===a.length&&o.for&&"template"!==o.tag&&"slot"!==o.tag)return(r||Mq)(o,t);var s=n?function(e,t){for(var n=0,r=0;r<e.length;r++){var i=e[r];if(1===i.type){if(Lq(i)||i.ifConditions&&i.ifConditions.some((function(e){return Lq(e.block)}))){n=2;break}(t(i)||i.ifConditions&&i.ifConditions.some((function(e){return t(e.block)})))&&(n=1)}}return n}(a,t.maybeComponent):0,l=i||Fq;return"["+a.map((function(e){return l(e,t)})).join(",")+"]"+(s?","+s:"")}}function Lq(e){return void 0!==e.for||"template"===e.tag||"slot"===e.tag}function Fq(e,t){return 1===e.type?Mq(e,t):3===e.type&&e.isComment?function(e){return"_e("+JSON.stringify(e.text)+")"}(e):"_v("+(2===(n=e).type?n.expression:Uq(JSON.stringify(n.text)))+")";var n}function Bq(e){for(var t="",n=0;n<e.length;n++){var r=e[n];t+='"'+r.name+'":'+Uq(r.value)+","}return t.slice(0,-1)}function Uq(e){return e.replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}function Vq(e,t){try{return new Function(e)}catch(n){return t.push({err:n,code:e}),GG}}function Gq(e){var t=Object.create(null);return function(n,r,i){(r=UG({},r)).warn,delete r.warn;var a=r.delimiters?String(r.delimiters)+n:n;if(t[a])return t[a];var o=e(n,r),s={},l=[];return s.render=Vq(o.render,l),s.staticRenderFns=o.staticRenderFns.map((function(e){return Vq(e,l)})),t[a]=s}}new RegExp("\\b"+"do,if,for,let,new,try,var,case,else,with,await,break,catch,class,const,super,throw,while,yield,delete,export,import,return,switch,default,extends,finally,continue,debugger,function,arguments".split(",").join("\\b|\\b")+"\\b"),new RegExp("\\b"+"delete,typeof,void".split(",").join("\\s*\\([^\\)]*\\)|\\b")+"\\s*\\([^\\)]*\\)");var zq,jq,Wq=(zq=function(e,t){var n=function(e,t){NX=t.warn||DH,BX=t.isPreTag||zG,UX=t.mustUseProp||zG,VX=t.getTagNamespace||zG,RX=PH(t.modules,"transformNode"),LX=PH(t.modules,"preTransformNode"),FX=PH(t.modules,"postTransformNode"),kX=t.delimiters;var n,r,i=[],a=!1!==t.preserveWhitespace,o=!1,s=!1;function l(e){e.pre&&(o=!1),BX(e.tag)&&(s=!1);for(var n=0;n<FX.length;n++)FX[n](e,t)}return function(e,t){for(var n,r,i=[],a=t.expectHTML,o=t.isUnaryTag||zG,s=t.canBeLeftOpenTag||zG,l=0;e;){if(n=e,r&&TX(r)){var c=0,u=r.toLowerCase(),d=CX[u]||(CX[u]=new RegExp("([\\s\\S]*?)(</"+u+"[^>]*>)","i")),f=e.replace(d,(function(e,n,r){return c=r.length,TX(u)||"noscript"===u||(n=n.replace(/<!\--([\s\S]*?)-->/g,"$1").replace(/<!\[CDATA\[([\s\S]*?)]]>/g,"$1")),IX(u,n)&&(n=n.slice(1)),t.chars&&t.chars(n),""}));l+=e.length-f.length,e=f,C(u,l-c,l)}else{var p=e.indexOf("<");if(0===p){if(wX.test(e)){var h=e.indexOf("--\x3e");if(h>=0){t.shouldKeepComment&&t.comment(e.substring(4,h)),A(h+3);continue}}if(AX.test(e)){var m=e.indexOf("]>");if(m>=0){A(m+2);continue}}var g=e.match(xX);if(g){A(g[0].length);continue}var v=e.match(_X);if(v){var y=l;A(v[0].length),C(v[1],y,l);continue}var b=S();if(b){T(b),IX(r,e)&&A(1);continue}}var _=void 0,x=void 0,w=void 0;if(p>=0){for(x=e.slice(p);!(_X.test(x)||yX.test(x)||wX.test(x)||AX.test(x)||(w=x.indexOf("<",1))<0);)p+=w,x=e.slice(p);_=e.substring(0,p),A(p)}p<0&&(_=e,e=""),t.chars&&_&&t.chars(_)}if(e===n){t.chars&&t.chars(e);break}}function A(t){l+=t,e=e.substring(t)}function S(){var t=e.match(yX);if(t){var n,r,i={tagName:t[1],attrs:[],start:l};for(A(t[0].length);!(n=e.match(bX))&&(r=e.match(mX));)A(r[0].length),i.attrs.push(r);if(n)return i.unarySlash=n[1],A(n[0].length),i.end=l,i}}function T(e){var n=e.tagName,l=e.unarySlash;a&&("p"===r&&hX(n)&&C(r),s(n)&&r===n&&C(n));for(var c=o(n)||!!l,u=e.attrs.length,d=new Array(u),f=0;f<u;f++){var p=e.attrs[f];SX&&-1===p[0].indexOf('""')&&(""===p[3]&&delete p[3],""===p[4]&&delete p[4],""===p[5]&&delete p[5]);var h=p[3]||p[4]||p[5]||"",m="a"===n&&"href"===p[1]?t.shouldDecodeNewlinesForHref:t.shouldDecodeNewlines;d[f]={name:p[1],value:OX(h,m)}}c||(i.push({tag:n,lowerCasedTag:n.toLowerCase(),attrs:d}),r=n),t.start&&t.start(n,d,c,e.start,e.end)}function C(e,n,a){var o,s;if(null==n&&(n=l),null==a&&(a=l),e&&(s=e.toLowerCase()),e)for(o=i.length-1;o>=0&&i[o].lowerCasedTag!==s;o--);else o=0;if(o>=0){for(var c=i.length-1;c>=o;c--)t.end&&t.end(i[c].tag,n,a);i.length=o,r=o&&i[o-1].tag}else"br"===s?t.start&&t.start(e,[],!0,n,a):"p"===s&&(t.start&&t.start(e,[],!1,n,a),t.end&&t.end(e,n,a))}C()}(e,{warn:NX,expectHTML:t.expectHTML,isUnaryTag:t.isUnaryTag,canBeLeftOpenTag:t.canBeLeftOpenTag,shouldDecodeNewlines:t.shouldDecodeNewlines,shouldDecodeNewlinesForHref:t.shouldDecodeNewlinesForHref,shouldKeepComment:t.comments,start:function(e,a,c){var u=r&&r.ns||VX(e);oz&&"svg"===u&&(a=function(e){for(var t=[],n=0;n<e.length;n++){var r=e[n];nq.test(r.name)||(r.name=r.name.replace(rq,""),t.push(r))}return t}(a));var d,f=YX(e,a,r);u&&(f.ns=u),"style"!==(d=f).tag&&("script"!==d.tag||d.attrsMap.type&&"text/javascript"!==d.attrsMap.type)||pz()||(f.forbidden=!0);for(var p=0;p<LX.length;p++)f=LX[p](f,t)||f;if(o||(function(e){null!=FH(e,"v-pre")&&(e.pre=!0)}(f),f.pre&&(o=!0)),BX(f.tag)&&(s=!0),o?function(e){var t=e.attrsList.length;if(t)for(var n=e.attrs=new Array(t),r=0;r<t;r++)n[r]={name:e.attrsList[r].name,value:JSON.stringify(e.attrsList[r].value)};else e.pre||(e.plain=!0)}(f):f.processed||(ZX(f),function(e){var t=FH(e,"v-if");if(t)e.if=t,QX(e,{exp:t,block:e});else{null!=FH(e,"v-else")&&(e.else=!0);var n=FH(e,"v-else-if");n&&(e.elseif=n)}}(f),function(e){null!=FH(e,"v-once")&&(e.once=!0)}(f),JX(f,t)),n?i.length||n.if&&(f.elseif||f.else)&&QX(n,{exp:f.elseif,block:f}):n=f,r&&!f.forbidden)if(f.elseif||f.else)!function(e,t){var n=function(e){for(var t=e.length;t--;){if(1===e[t].type)return e[t];e.pop()}}(t.children);n&&n.if&&QX(n,{exp:e.elseif,block:e})}(f,r);else if(f.slotScope){r.plain=!1;var h=f.slotTarget||'"default"';(r.scopedSlots||(r.scopedSlots={}))[h]=f}else r.children.push(f),f.parent=r;c?l(f):(r=f,i.push(f))},end:function(){var e=i[i.length-1],t=e.children[e.children.length-1];t&&3===t.type&&" "===t.text&&!s&&e.children.pop(),i.length-=1,r=i[i.length-1],l(e)},chars:function(e){if(r&&(!oz||"textarea"!==r.tag||r.attrsMap.placeholder!==e)){var t,n,i=r.children;(e=s||e.trim()?"script"===(t=r).tag||"style"===t.tag?e:KX(e):a&&i.length?" ":"")&&(!o&&" "!==e&&(n=function(e,t){var n=t?cX(t):sX;if(n.test(e)){for(var r,i,a,o=[],s=[],l=n.lastIndex=0;r=n.exec(e);){(i=r.index)>l&&(s.push(a=e.slice(l,i)),o.push(JSON.stringify(a)));var c=EH(r[1].trim());o.push("_s("+c+")"),s.push({"@binding":c}),l=i+r[0].length}return l<e.length&&(s.push(a=e.slice(l)),o.push(JSON.stringify(a))),{expression:o.join("+"),tokens:s}}}(e,kX))?i.push({type:2,expression:n.expression,tokens:n.tokens,text:e}):" "===e&&i.length&&" "===i[i.length-1].text||i.push({type:3,text:e}))}},comment:function(e){r.children.push({type:3,text:e,isComment:!0})}}),n}(e.trim(),t);!1!==t.optimize&&pq(n,t);var r=Eq(n,t);return{ast:n,render:r.render,staticRenderFns:r.staticRenderFns}},function(e){function t(t,n){var r=Object.create(e),i=[],a=[];if(r.warn=function(e,t){(t?a:i).push(e)},n)for(var o in n.modules&&(r.modules=(e.modules||[]).concat(n.modules)),n.directives&&(r.directives=UG(Object.create(e.directives||null),n.directives)),n)"modules"!==o&&"directives"!==o&&(r[o]=n[o]);var s=zq(t,r);return s.errors=i,s.tips=a,s}return{compile:t,compileToFunctions:Gq(t)}}),Hq=Wq(dq).compileToFunctions;function $q(e){return(jq=jq||document.createElement("div")).innerHTML=e?'<a href="\n"/>':'<div a="\n"/>',jq.innerHTML.indexOf("&#10;")>0}var Xq=!!nz&&$q(!1),qq=!!nz&&$q(!0),Kq=IG((function(e){var t=QW(e);return t&&t.innerHTML})),Yq=CW.prototype.$mount;CW.prototype.$mount=function(e,t){if((e=e&&QW(e))===document.body||e===document.documentElement)return this;var n=this.$options;if(!n.render){var r=n.template;if(r)if("string"==typeof r)"#"===r.charAt(0)&&(r=Kq(r));else{if(!r.nodeType)return this;r=r.innerHTML}else e&&(r=function(e){if(e.outerHTML)return e.outerHTML;var t=document.createElement("div");return t.appendChild(e.cloneNode(!0)),t.innerHTML}(e));if(r){var i=Hq(r,{shouldDecodeNewlines:Xq,shouldDecodeNewlinesForHref:qq,delimiters:n.delimiters,comments:n.comments},this),a=i.render,o=i.staticRenderFns;n.render=a,n.staticRenderFns=o}}return Yq.call(this,e,t)},CW.compile=Hq;var Jq=CW;function Zq(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function Qq(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?Zq(Object(n),!0).forEach((function(t){aK(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):Zq(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function eK(e){return eK="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},eK(e)}function tK(e,t,n,r,i,a,o){try{var s=e[a](o),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,i)}function nK(e){return function(){var t=this,n=arguments;return new Promise((function(r,i){var a=e.apply(t,n);function o(e){tK(a,r,i,o,s,"next",e)}function s(e){tK(a,r,i,o,s,"throw",e)}o(void 0)}))}}function rK(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function iK(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}function aK(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function oK(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),t&&lK(e,t)}function sK(e){return sK=Object.setPrototypeOf?Object.getPrototypeOf:function(e){return e.__proto__||Object.getPrototypeOf(e)},sK(e)}function lK(e,t){return lK=Object.setPrototypeOf||function(e,t){return e.__proto__=t,e},lK(e,t)}function cK(e,t){if(null==e)return{};var n,r,i=function(e,t){if(null==e)return{};var n,r,i={},a=Object.keys(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||(i[n]=e[n]);return i}(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(r=0;r<a.length;r++)n=a[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(i[n]=e[n])}return i}function uK(e){var t=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}();return function(){var n,r=sK(e);if(t){var i=sK(this).constructor;n=Reflect.construct(r,arguments,i)}else n=r.apply(this,arguments);return function(e,t){if(t&&("object"==typeof t||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return function(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}(e)}(this,n)}}function dK(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,i,a=[],o=!0,s=!1;try{for(n=n.call(e);!(o=(r=n.next()).done)&&(a.push(r.value),!t||a.length!==t);o=!0);}catch(e){s=!0,i=e}finally{try{o||null==n.return||n.return()}finally{if(s)throw i}}return a}}(e,t)||pK(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function fK(e){return function(e){if(Array.isArray(e))return hK(e)}(e)||function(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}(e)||pK(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function pK(e,t){if(e){if("string"==typeof e)return hK(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?hK(e,t):void 0}}function hK(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}function mK(e,t){var n="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!n){if(Array.isArray(e)||(n=pK(e))||t&&e&&"number"==typeof e.length){n&&(e=n);var r=0,i=function(){};return{s:i,n:function(){return r>=e.length?{done:!0}:{done:!1,value:e[r++]}},e:function(e){throw e},f:i}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var a,o=!0,s=!1;return{s:function(){n=n.call(e)},n:function(){var e=n.next();return o=e.done,e},e:function(e){s=!0,a=e},f:function(){try{o||null==n.return||n.return()}finally{if(s)throw a}}}}function gK(e){return JSON.parse(JSON.stringify(e))}function vK(e,t){return yK.apply(this,arguments)}function yK(){return yK=nK(regeneratorRuntime.mark((function e(t,n){var r,i,a,o,s,l,c,u,d;return regeneratorRuntime.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return r=n.data,i=void 0===r?{}:r,a=n.meta,o=void 0===a?{}:a,s=n.x,l=void 0===s?0:s,c=n.y,u=void 0===c?0:c,e.next=3,t.createNode(gK(i));case 3:return(d=e.sent).meta=Object.assign(gK(o),d.meta),d.position[0]=l,d.position[1]=u,e.abrupt("return",d);case 8:case"end":return e.stop()}}),e)}))),yK.apply(this,arguments)}function bK(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];"object"===eK(e)&&Object.keys(e).map((function(r){"function"==typeof e[r]?t(r,e[r],n):bK(e[r],t,[].concat(fK(n),[r]))}))}var _K=function(e){return{props:{delay:{type:Number,required:!0}},data:function(){return{timeoutHide:function(){}}},methods:{cancelHide:function(){var e=this.timeoutHide;e&&e.cancel&&this.timeoutHide.cancel()}},mounted:function(){this.timeoutHide=function(e,t,n){var r,i,a,o,s,l,c=0,u=!1,d=!1,f=!0;if("function"!=typeof e)throw new TypeError("Expected a function");function p(t){var n=r,a=i;return r=i=void 0,c=t,o=e.apply(a,n)}function h(e){var n=e-l;return void 0===l||n>=t||n<0||d&&e-c>=a}function m(){var e=JV();if(h(e))return g(e);s=setTimeout(m,function(e){var n=t-(e-l);return d?pG(n,a-(e-c)):n}(e))}function g(e){return s=void 0,f&&r?p(e):(r=i=void 0,o)}function v(){var e=JV(),n=h(e);if(r=arguments,i=this,l=e,n){if(void 0===s)return function(e){return c=e,s=setTimeout(m,t),u?p(e):o}(l);if(d)return clearTimeout(s),s=setTimeout(m,t),p(l)}return void 0===s&&(s=setTimeout(m,t)),o}return t=dG(t)||0,XV(n)&&(u=!!n.leading,a=(d="maxWait"in n)?fG(dG(n.maxWait)||0,t):a,f="trailing"in n?!!n.trailing:f),v.cancel=function(){void 0!==s&&clearTimeout(s),c=0,r=l=i=s=void 0},v.flush=function(){return void 0===s?o:g(JV())},v}(this[e],this.delay)}}};const xK={name:"Item",mixins:[_K("hideSubitems")],props:{item:Object,args:Object},data:function(){return{visibleSubitems:!1}},computed:{hasSubitems:function(){return this.item.subitems}},methods:{showSubitems:function(){this.visibleSubitems=!0,this.cancelHide()},hideSubitems:function(){this.visibleSubitems=!1},onClick:function(e){e.stopPropagation(),this.item.onClick&&this.item.onClick(this.args),this.$root.$emit("hide")}}};var wK=function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"item",class:{hasSubitems:e.hasSubitems},on:{click:function(t){e.onClick(t)},mouseover:function(t){e.showSubitems()},mouseleave:function(t){e.timeoutHide()}}},[e._v(e._s(e.item.title)),n("div",{directives:[{name:"show",rawName:"v-show",value:e.hasSubitems&&this.visibleSubitems,expression:"hasSubitems && this.visibleSubitems"}],staticClass:"subitems"},e._l(e.item.subitems,(function(t){return n("Item",{key:t.title,attrs:{item:t,args:e.args,delay:e.delay}})})))])};wK._withStripped=!0;var AK=function(e,t,n,r,i,a,o,s){const l=("function"==typeof n?n.options:n)||{};l.__file="/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Item.vue",l.render||(l.render=e.render,l.staticRenderFns=e.staticRenderFns,l._compiled=!0),l._scopeId="data-v-3092298f";{let e;if(t&&(e=function(e){t.call(this,o())}),void 0!==e)if(l.functional){const t=l.render;l.render=function(n,r){return e.call(r),t(n,r)}}else{const t=l.beforeCreate;l.beforeCreate=t?[].concat(t,e):[e]}}return l}({render:wK,staticRenderFns:[]},(function(e){e&&e("data-v-3092298f_0",{source:"@charset \"UTF-8\";\n.item[data-v-3092298f], .item .subitems .subitem[data-v-3092298f] {\n  color: #fff;\n  padding: 4px;\n  border-bottom: 1px solid rgba(69, 103, 255, 0.8);\n  background-color: rgba(110, 136, 255, 0.8);\n  cursor: pointer;\n  width: 100%;\n  position: relative;\n}\n.item[data-v-3092298f]:first-child, .item .subitems .subitem[data-v-3092298f]:first-child {\n    border-top-left-radius: 5px;\n    border-top-right-radius: 5px;\n}\n.item[data-v-3092298f]:last-child, .item .subitems .subitem[data-v-3092298f]:last-child {\n    border-bottom-left-radius: 5px;\n    border-bottom-right-radius: 5px;\n}\n.item[data-v-3092298f]:hover, .item .subitems .subitem[data-v-3092298f]:hover {\n    background-color: rgba(130, 153, 255, 0.8);\n}\n.hasSubitems.item[data-v-3092298f]:after, .item .subitems .hasSubitems.subitem[data-v-3092298f]:after {\n  content: '►';\n  position: absolute;\n  opacity: 0.6;\n  right: 5px;\n  top: 5px;\n}\n.item .subitems[data-v-3092298f], .item .subitems .subitem .subitems[data-v-3092298f] {\n  position: absolute;\n  top: 0;\n  left: 100%;\n  width: 120px;\n}\n\n/*# sourceMappingURL=Item.vue.map */",map:{version:3,sources:["Item.vue","/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Item.vue"],names:[],mappings:"AAAA,gBAAgB;ACyDhB;EDvDE,WAAW;EACX,YAAY;EACZ,gDAAgD;EAChD,0CAA0C;EAC1C,eAAe;EACf,WAAW;EACX,kBAAkB;AAAE;ACiDtB;ID/CI,2BAA2B;IAC3B,4BAA4B;AAAE;AC8ClC;ID5CI,8BAA8B;IAC9B,+BAA+B;AAAE;AC2CrC;IDzCI,0CAA0C;AAAE;AC2ChD;EACA,YAAA;EACA,kBAAA;EACA,YAAA;EACA,UAAA;EACA,QAAA;AAAA;AAPA;EASA,kBAAA;EACA,MAAA;EACA,UAAA;EACA,YAAA;AAAA;;ADtCA,mCAAmC",file:"Item.vue",sourcesContent:["@charset \"UTF-8\";\n.item, .item .subitems .subitem {\n  color: #fff;\n  padding: 4px;\n  border-bottom: 1px solid rgba(69, 103, 255, 0.8);\n  background-color: rgba(110, 136, 255, 0.8);\n  cursor: pointer;\n  width: 100%;\n  position: relative; }\n  .item:first-child, .item .subitems .subitem:first-child {\n    border-top-left-radius: 5px;\n    border-top-right-radius: 5px; }\n  .item:last-child, .item .subitems .subitem:last-child {\n    border-bottom-left-radius: 5px;\n    border-bottom-right-radius: 5px; }\n  .item:hover, .item .subitems .subitem:hover {\n    background-color: rgba(130, 153, 255, 0.8); }\n\n.hasSubitems.item:after, .item .subitems .hasSubitems.subitem:after {\n  content: '►';\n  position: absolute;\n  opacity: 0.6;\n  right: 5px;\n  top: 5px; }\n\n.item .subitems, .item .subitems .subitem .subitems {\n  position: absolute;\n  top: 0;\n  left: 100%;\n  width: 120px; }\n\n/*# sourceMappingURL=Item.vue.map */",'<template lang="pug">\n.item(\n  @click="onClick($event)"\n  @mouseover="showSubitems()"\n  @mouseleave="timeoutHide()"\n  :class="{ hasSubitems }"\n) {{item.title}}\n  .subitems(v-show="hasSubitems && this.visibleSubitems")\n    Item(v-for="subitem in item.subitems"\n      :key="subitem.title"\n      :item="subitem"\n      :args="args"\n      :delay="delay"\n      )\n</template>\n\n<script>\nimport hideMixin from \'./debounceHide\'\n\nexport default {\n  name: \'Item\',\n  mixins: [hideMixin(\'hideSubitems\')],\n  props: { item: Object, args: Object },\n  data() {\n    return {\n      visibleSubitems: false, \n    }\n  },\n  computed: {\n    hasSubitems() {\n      return this.item.subitems\n    }\n  },\n  methods: {\n    showSubitems() {\n      this.visibleSubitems = true;\n      this.cancelHide();\n    },\n    hideSubitems() {\n      this.visibleSubitems = false;\n    },\n    onClick(e) {\n      e.stopPropagation();\n      \n      if(this.item.onClick)\n        this.item.onClick(this.args);\n      this.$root.$emit(\'hide\');\n    }\n  }\n}\n<\/script>\n\n\n<style lang="sass" scoped>\n@import \'../vars.sass\'\n@import \'../common.sass\'\n\n.item\n  @extend .item\n  &.hasSubitems:after\n    content: \'►\'\n    position: absolute\n    opacity: 0.6\n    right: 5px\n    top: 5px\n  .subitems\n    position: absolute\n    top: 0\n    left: 100%\n    width: $width\n    .subitem\n      @extend .item\n</style>\n']},media:void 0})}),xK,0,0,0,(function e(){const t=document.head||document.getElementsByTagName("head")[0],n=e.styles||(e.styles={}),r="undefined"!=typeof navigator&&/msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());return function(e,i){if(document.querySelector('style[data-vue-ssr-id~="'+e+'"]'))return;const a=r?i.media||"default":e,o=n[a]||(n[a]={ids:[],parts:[],element:void 0});if(!o.ids.includes(e)){let n=i.source,s=o.ids.length;if(o.ids.push(e),r&&(o.element=o.element||document.querySelector("style[data-group="+a+"]")),!o.element){const e=o.element=document.createElement("style");e.type="text/css",i.media&&e.setAttribute("media",i.media),r&&(e.setAttribute("data-group",a),e.setAttribute("data-next-index","0")),t.appendChild(e)}if(r&&(s=parseInt(o.element.getAttribute("data-next-index")),o.element.setAttribute("data-next-index",s+1)),o.element.styleSheet)o.parts.push(n),o.element.styleSheet.cssText=o.parts.filter(Boolean).join("\n");else{const e=document.createTextNode(n),t=o.element.childNodes;t[s]&&o.element.removeChild(t[s]),t.length?o.element.insertBefore(e,t[s]):o.element.appendChild(e)}}}}));var SK=function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"search"},[n("input",{directives:[{name:"model",rawName:"v-model",value:e.value,expression:"value"}],domProps:{value:e.value},on:{input:function(t){t.target.composing||(e.value=t.target.value)}}})])};SK._withStripped=!0;var TK=function(e,t,n,r,i,a,o,s){const l=("function"==typeof n?n.options:n)||{};l.__file="/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Search.vue",l.render||(l.render=e.render,l.staticRenderFns=e.staticRenderFns,l._compiled=!0),l._scopeId="data-v-149fa19e";{let e;if(t&&(e=function(e){t.call(this,o())}),void 0!==e)if(l.functional){const t=l.render;l.render=function(n,r){return e.call(r),t(n,r)}}else{const t=l.beforeCreate;l.beforeCreate=t?[].concat(t,e):[e]}}return l}({render:SK,staticRenderFns:[]},(function(e){e&&e("data-v-149fa19e_0",{source:".search input[data-v-149fa19e] {\n  color: white;\n  padding: 1px 8px;\n  border: 1px solid white;\n  border-radius: 10px;\n  font-size: 16px;\n  font-family: serif;\n  width: 100%;\n  box-sizing: border-box;\n  background: transparent;\n}\n\n/*# sourceMappingURL=Search.vue.map */",map:{version:3,sources:["/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Search.vue","Search.vue"],names:[],mappings:"AAkBA;EAEA,YAAA;EACA,gBAAA;EACA,uBAAA;EACA,mBAAA;EACA,eAAA;EACA,kBAAA;EACA,WAAA;EACA,sBAAA;EACA,uBAAA;AAAA;;ACjBA,qCAAqC",file:"Search.vue",sourcesContent:["<template lang=\"pug\">\n.search\n  input(v-model=\"value\")\n</template>\n\n<script>\nexport default {\n  props: ['value', 'search'],\n  watch: {\n    value() {\n      this.$emit('search', this.value);\n    }\n  }\n}\n<\/script>\n\n\n<style lang=\"sass\" scoped>\n.search\n  input    \n    color: white\n    padding: 1px 8px\n    border: 1px solid white\n    border-radius: 10px\n    font-size: 16px\n    font-family: serif\n    width: 100%\n    box-sizing: border-box\n    background: transparent\n</style>\n",".search input {\n  color: white;\n  padding: 1px 8px;\n  border: 1px solid white;\n  border-radius: 10px;\n  font-size: 16px;\n  font-family: serif;\n  width: 100%;\n  box-sizing: border-box;\n  background: transparent; }\n\n/*# sourceMappingURL=Search.vue.map */"]},media:void 0})}),{props:["value","search"],watch:{value:function(){this.$emit("search",this.value)}}},0,0,0,(function e(){const t=document.head||document.getElementsByTagName("head")[0],n=e.styles||(e.styles={}),r="undefined"!=typeof navigator&&/msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());return function(e,i){if(document.querySelector('style[data-vue-ssr-id~="'+e+'"]'))return;const a=r?i.media||"default":e,o=n[a]||(n[a]={ids:[],parts:[],element:void 0});if(!o.ids.includes(e)){let n=i.source,s=o.ids.length;if(o.ids.push(e),r&&(o.element=o.element||document.querySelector("style[data-group="+a+"]")),!o.element){const e=o.element=document.createElement("style");e.type="text/css",i.media&&e.setAttribute("media",i.media),r&&(e.setAttribute("data-group",a),e.setAttribute("data-next-index","0")),t.appendChild(e)}if(r&&(s=parseInt(o.element.getAttribute("data-next-index")),o.element.setAttribute("data-next-index",s+1)),o.element.styleSheet)o.parts.push(n),o.element.styleSheet.cssText=o.parts.filter(Boolean).join("\n");else{const e=document.createTextNode(n),t=o.element.childNodes;t[s]&&o.element.removeChild(t[s]),t.length?o.element.insertBefore(e,t[s]):o.element.appendChild(e)}}}})),CK={props:{searchBar:Boolean,searchKeep:Function},mixins:[_K("hide")],data:function(){return{x:0,y:0,visible:!1,args:{},filter:"",items:[]}},computed:{style:function(){return{top:this.y+"px",left:this.x+"px"}},filtered:function(){var e=this;if(!this.filter)return this.items;var t=new RegExp(this.filter,"i");return this.extractLeafs(this.items).filter((function(n){var r=n.title;return e.searchKeep(r)||r.match(t)}))}},methods:{extractLeafs:function(e){var t=this;if(!e)return[];var n=[];return e.map((function(e){e.subitems||n.push(e),n.push.apply(n,fK(t.extractLeafs(e.subitems)))})),n},onSearch:function(e){this.filter=e},show:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};this.visible=!0,this.x=e,this.y=t,this.args=n,this.cancelHide()},hide:function(){this.visible=!1},additem:function(e,t){var n,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[],i=this.items,a=mK(r);try{var o=function(){var e=n.value,t=i.find((function(t){return t.title===e}));t||(t={title:e,subitems:[]},i.push(t)),i=t.subitems||(t.subitems=[])};for(a.s();!(n=a.n()).done;)o()}catch(e){a.e(e)}finally{a.f()}i.push({title:e,onClick:t})}},updated:function(){if(this.$refs.menu){var e=function(e,t){var n=dK(e,2),r=n[0],i=n[1];return[Math.min(r,window.innerWidth-t.clientWidth),Math.min(i,window.innerHeight-t.clientHeight)]}([this.x,this.y],this.$refs.menu),t=dK(e,2);this.x=t[0],this.y=t[1]}},mounted:function(){this.$root.$on("show",this.show),this.$root.$on("hide",this.hide),this.$root.$on("additem",this.additem)},components:{Item:AK,Search:TK}};const EK=CK;var MK=function(){var e=this,t=e.$createElement,n=e._self._c||t;return e.visible?n("div",{ref:"menu",staticClass:"context-menu",style:e.style,on:{mouseleave:function(t){e.timeoutHide()},mouseover:function(t){e.cancelHide()},contextmenu:function(e){e.preventDefault()},wheel:function(e){e.stopPropagation()}}},[e.searchBar?n("Search",{on:{search:e.onSearch},model:{value:e.filter,callback:function(t){e.filter=t},expression:"filter"}}):e._e(),e._l(e.filtered,(function(t){return n("Item",{key:t.title,attrs:{item:t,args:e.args,delay:e.delay/2}})}))],2):e._e()};MK._withStripped=!0;var DK=function(e,t,n,r,i,a,o,s){const l=("function"==typeof n?n.options:n)||{};l.__file="/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Menu.vue",l.render||(l.render=e.render,l.staticRenderFns=e.staticRenderFns,l._compiled=!0),l._scopeId="data-v-4da435cc";{let e;if(t&&(e=function(e){t.call(this,o())}),void 0!==e)if(l.functional){const t=l.render;l.render=function(n,r){return e.call(r),t(n,r)}}else{const t=l.beforeCreate;l.beforeCreate=t?[].concat(t,e):[e]}}return l}({render:MK,staticRenderFns:[]},(function(e){e&&e("data-v-4da435cc_0",{source:".item[data-v-4da435cc], .context-menu .search[data-v-4da435cc] {\n  color: #fff;\n  padding: 4px;\n  border-bottom: 1px solid rgba(69, 103, 255, 0.8);\n  background-color: rgba(110, 136, 255, 0.8);\n  cursor: pointer;\n  width: 100%;\n  position: relative;\n}\n.item[data-v-4da435cc]:first-child, .context-menu .search[data-v-4da435cc]:first-child {\n    border-top-left-radius: 5px;\n    border-top-right-radius: 5px;\n}\n.item[data-v-4da435cc]:last-child, .context-menu .search[data-v-4da435cc]:last-child {\n    border-bottom-left-radius: 5px;\n    border-bottom-right-radius: 5px;\n}\n.item[data-v-4da435cc]:hover, .context-menu .search[data-v-4da435cc]:hover {\n    background-color: rgba(130, 153, 255, 0.8);\n}\n.context-menu[data-v-4da435cc] {\n  left: 0;\n  top: 0;\n  position: fixed;\n  padding: 10px;\n  width: 120px;\n  margin-top: -20px;\n  margin-left: -60px;\n}\n\n/*# sourceMappingURL=Menu.vue.map */",map:{version:3,sources:["Menu.vue","/home/ni55an/Workflow/retejs/context-menu-plugin/src/menu/Menu.vue"],names:[],mappings:"AAAA;EACE,WAAW;EACX,YAAY;EACZ,gDAAgD;EAChD,0CAA0C;EAC1C,eAAe;EACf,WAAW;EACX,kBAAkB;AAAE;AACpB;IACE,2BAA2B;IAC3B,4BAA4B;AAAE;AAChC;IACE,8BAA8B;IAC9B,+BAA+B;AAAE;AACnC;IACE,0CAA0C;AAAE;ACwGhD;EACA,OAAA;EACA,MAAA;EACA,eAAA;EACA,aAAA;EACA,YAAA;EACA,iBAAA;EACA,kBAAA;AAAA;;ADpGA,mCAAmC",file:"Menu.vue",sourcesContent:[".item, .context-menu .search {\n  color: #fff;\n  padding: 4px;\n  border-bottom: 1px solid rgba(69, 103, 255, 0.8);\n  background-color: rgba(110, 136, 255, 0.8);\n  cursor: pointer;\n  width: 100%;\n  position: relative; }\n  .item:first-child, .context-menu .search:first-child {\n    border-top-left-radius: 5px;\n    border-top-right-radius: 5px; }\n  .item:last-child, .context-menu .search:last-child {\n    border-bottom-left-radius: 5px;\n    border-bottom-right-radius: 5px; }\n  .item:hover, .context-menu .search:hover {\n    background-color: rgba(130, 153, 255, 0.8); }\n\n.context-menu {\n  left: 0;\n  top: 0;\n  position: fixed;\n  padding: 10px;\n  width: 120px;\n  margin-top: -20px;\n  margin-left: -60px; }\n\n/*# sourceMappingURL=Menu.vue.map */","<template lang=\"pug\">\n.context-menu(\n  ref=\"menu\"\n  v-if=\"visible\"\n  v-bind:style=\"style\",\n  @mouseleave='timeoutHide()',\n  @mouseover=\"cancelHide()\"\n  @contextmenu.prevent=\"\"\n  @wheel.stop=\"\"\n)\n  Search(v-if=\"searchBar\", v-model=\"filter\", @search=\"onSearch\")\n  Item(v-for='item in filtered'\n    :key=\"item.title\"\n    :item=\"item\"\n    :args=\"args\"\n    :delay=\"delay / 2\"\n  )\n</template>\n\n<script>\nimport hideMixin from './debounceHide'\nimport Item from './Item.vue';\nimport Search from './Search.vue';\nimport { fitViewport } from '../utils';\n\nexport default {\n  props: { searchBar: Boolean, searchKeep: Function },\n  mixins: [hideMixin('hide')],\n  data() {\n    return {\n      x: 0,\n      y: 0,\n      visible: false,\n      args: {},\n      filter: '',\n      items: [],\n    }\n  },\n  computed: {\n    style() {\n      return {\n        top: this.y+'px', \n        left: this.x+'px'\n      }\n    },\n    filtered() {\n      if(!this.filter) return this.items;\n      const regex = new RegExp(this.filter, 'i');\n      \n      return this.extractLeafs(this.items)\n        .filter(({ title }) => {\n          return this.searchKeep(title) || title.match(regex)\n        });\n    }\n  },\n  methods: {\n    extractLeafs(items) {\n      if(!items) return [];\n      let leafs = [];\n      items.map(item => {\n        if(!item.subitems) leafs.push(item)\n\n        leafs.push(...this.extractLeafs(item.subitems))\n      })\n\n      return leafs;\n    },\n    onSearch(e) {\n      this.filter = e;\n    },\n    show(x, y, args = {}) {\n      this.visible = true;\n      this.x = x;\n      this.y = y;\n      this.args = args;\n  \n      this.cancelHide();\n    },\n    hide() {\n      this.visible = false;\n    },\n    additem(title, onClick, path = []) {\n      let items = this.items;\n      for(let level of path) {\n        let exist = items.find(i => i.title === level);\n\n        if(!exist) {\n          exist = { title: level, subitems: [] };\n          items.push(exist)\n        }\n\n        items = exist.subitems || (exist.subitems = []);\n      }\n\n      items.push({ title, onClick });\n    },\n  },\n  updated() {\n    if(this.$refs.menu) {\n      [this.x, this.y] = fitViewport([this.x, this.y], this.$refs.menu)\n    } \n  },\n  mounted() {\n    this.$root.$on('show', this.show);\n    this.$root.$on('hide', this.hide);\n    this.$root.$on('additem', this.additem);\n  },\n  components: {\n    Item,\n    Search\n  }\n}\n<\/script>\n\n\n<style lang=\"sass\" scoped>\n@import '../vars.sass'\n@import '../common.sass'\n\n.context-menu\n  left: 0\n  top: 0\n  position: fixed\n  padding: 10px\n  width: $width\n  margin-top: -20px\n  margin-left: -$width/2\n  .search\n    @extend .item\n</style>\n"]},media:void 0})}),EK,0,0,0,(function e(){const t=document.head||document.getElementsByTagName("head")[0],n=e.styles||(e.styles={}),r="undefined"!=typeof navigator&&/msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());return function(e,i){if(document.querySelector('style[data-vue-ssr-id~="'+e+'"]'))return;const a=r?i.media||"default":e,o=n[a]||(n[a]={ids:[],parts:[],element:void 0});if(!o.ids.includes(e)){let n=i.source,s=o.ids.length;if(o.ids.push(e),r&&(o.element=o.element||document.querySelector("style[data-group="+a+"]")),!o.element){const e=o.element=document.createElement("style");e.type="text/css",i.media&&e.setAttribute("media",i.media),r&&(e.setAttribute("data-group",a),e.setAttribute("data-next-index","0")),t.appendChild(e)}if(r&&(s=parseInt(o.element.getAttribute("data-next-index")),o.element.setAttribute("data-next-index",s+1)),o.element.styleSheet)o.parts.push(n),o.element.styleSheet.cssText=o.parts.filter(Boolean).join("\n");else{const e=document.createTextNode(n),t=o.element.childNodes;t[s]&&o.element.removeChild(t[s]),t.length?o.element.insertBefore(e,t[s]):o.element.appendChild(e)}}}})),PK=function(){function e(t,n,r){rK(this,e);var i=document.createElement("div");t.view.container.appendChild(i),this.menu=new Jq({render:function(e){return e(r||DK,{props:n})}}).$mount(i)}var t,n;return t=e,n=[{key:"addItem",value:function(){for(var e,t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];(e=this.menu).$emit.apply(e,["additem"].concat(n))}},{key:"show",value:function(){for(var e,t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];(e=this.menu).$emit.apply(e,["show"].concat(n))}},{key:"hide",value:function(){this.menu.$emit("hide")}}],n&&iK(t.prototype,n),e}(),IK=function(e){oK(n,e);var t=uK(n);function n(e,r,i,a){var o,s=a.items,l=a.allocate,c=a.rename;rK(this,n),o=t.call(this,e,r,i);var u={x:0,y:0};e.on("mousemove",(function(e){var t=e.x,n=e.y;u.x=t,u.y=n}));var d,f=mK(e.components.values());try{var p=function(){var t=d.value,n=l(t);Array.isArray(n)&&o.addItem(c(t),nK(regeneratorRuntime.mark((function n(){return regeneratorRuntime.wrap((function(n){for(;;)switch(n.prev=n.next){case 0:return n.t0=e,n.next=3,vK(t,u);case 3:n.t1=n.sent,n.t0.addNode.call(n.t0,n.t1);case 5:case"end":return n.stop()}}),n)}))),n)};for(f.s();!(d=f.n()).done;)p()}catch(e){f.e(e)}finally{f.f()}return bK(s,(function(e,t,n){return o.addItem(e,t,n)})),o}return n}(PK),OK=["name","position"],NK=function(e){oK(n,e);var t=uK(n);function n(e,r,i,a){var o;return rK(this,n),o=t.call(this,e,r,i),!1!==a.Delete&&o.addItem("Delete",(function(t){var n=t.node;-1!==e.selected.list.indexOf(n)&&e.selected.remove(n),e.removeNode(n)})),!1!==a.Clone&&o.addItem("Clone",function(){var t=nK(regeneratorRuntime.mark((function t(n){var r,i,a,o,s,l,c,u;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return r=n.node,i=r.name,a=dK(r.position,2),o=a[0],s=a[1],l=cK(r,OK),c=e.components.get(i),t.next=4,vK(c,Qq(Qq({},l),{},{x:o+10,y:s+10}));case 4:u=t.sent,e.addNode(u);case 6:case"end":return t.stop()}}),t)})));return function(e){return t.apply(this,arguments)}}()),bK(a,(function(e,t,n){return o.addItem(e,t,n)})),o}return n}(PK),kK=DK,RK=AK,LK=TK,FK={name:"context-menu",install:function(e,t){var n=t.searchBar,r=void 0===n||n,i=t.searchKeep,a=void 0===i?function(){return!1}:i,o=t.delay,s=void 0===o?1e3:o,l=t.items,c=void 0===l?{}:l,u=t.nodeItems,d=void 0===u?{}:u,f=t.allocate,p=void 0===f?function(){return[]}:f,h=t.rename,m=void 0===h?function(e){return e.name}:h,g=t.vueComponent,v=void 0===g?null:g;e.bind("hidecontextmenu"),e.bind("showcontextmenu");var y=null;e.on("hidecontextmenu",(function(){y&&y.hide()})),e.on("click contextmenu",(function(){e.trigger("hidecontextmenu")})),e.on("contextmenu",(function(t){var n=t.e,i=t.node;if(n.preventDefault(),n.stopPropagation(),e.trigger("showcontextmenu",{e:n,node:i})){var o=[n.clientX,n.clientY],l=o[0],u=o[1];i?(y=new NK(e,{searchBar:!1,delay:s},v,function(e){if(!XV(e))return!1;var t=aG(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}(d)?d(i):d)).show(l,u,{node:i}):(y=new IK(e,{searchBar:r,searchKeep:a,delay:s},v,{items:c,allocate:p,rename:m})).show(l,u)}}))}},BK=FK,UK=Object.freeze({}),VK=Array.isArray;function GK(e){return null==e}function zK(e){return null!=e}function jK(e){return!0===e}function WK(e){return"string"==typeof e||"number"==typeof e||"symbol"==typeof e||"boolean"==typeof e}function HK(e){return"function"==typeof e}function $K(e){return null!==e&&"object"==typeof e}var XK=Object.prototype.toString;function qK(e){return"[object Object]"===XK.call(e)}function KK(e){var t=parseFloat(String(e));return t>=0&&Math.floor(t)===t&&isFinite(e)}function YK(e){return zK(e)&&"function"==typeof e.then&&"function"==typeof e.catch}function JK(e){return null==e?"":Array.isArray(e)||qK(e)&&e.toString===XK?JSON.stringify(e,ZK,2):String(e)}function ZK(e,t){return t&&t.__v_isRef?t.value:t}function QK(e){var t=parseFloat(e);return isNaN(t)?e:t}function eY(e,t){for(var n=Object.create(null),r=e.split(","),i=0;i<r.length;i++)n[r[i]]=!0;return t?function(e){return n[e.toLowerCase()]}:function(e){return n[e]}}var tY=eY("slot,component",!0),nY=eY("key,ref,slot,slot-scope,is");function rY(e,t){var n=e.length;if(n){if(t===e[n-1])return void(e.length=n-1);var r=e.indexOf(t);if(r>-1)return e.splice(r,1)}}var iY=Object.prototype.hasOwnProperty;function aY(e,t){return iY.call(e,t)}function oY(e){var t=Object.create(null);return function(n){return t[n]||(t[n]=e(n))}}var sY=/-(\w)/g,lY=oY((function(e){return e.replace(sY,(function(e,t){return t?t.toUpperCase():""}))})),cY=oY((function(e){return e.charAt(0).toUpperCase()+e.slice(1)})),uY=/\B([A-Z])/g,dY=oY((function(e){return e.replace(uY,"-$1").toLowerCase()})),fY=Function.prototype.bind?function(e,t){return e.bind(t)}:function(e,t){function n(n){var r=arguments.length;return r?r>1?e.apply(t,arguments):e.call(t,n):e.call(t)}return n._length=e.length,n};function pY(e,t){t=t||0;for(var n=e.length-t,r=new Array(n);n--;)r[n]=e[n+t];return r}function hY(e,t){for(var n in t)e[n]=t[n];return e}function mY(e){for(var t={},n=0;n<e.length;n++)e[n]&&hY(t,e[n]);return t}function gY(e,t,n){}var vY=function(e,t,n){return!1},yY=function(e){return e};function bY(e,t){if(e===t)return!0;var n=$K(e),r=$K(t);if(!n||!r)return!n&&!r&&String(e)===String(t);try{var i=Array.isArray(e),a=Array.isArray(t);if(i&&a)return e.length===t.length&&e.every((function(e,n){return bY(e,t[n])}));if(e instanceof Date&&t instanceof Date)return e.getTime()===t.getTime();if(i||a)return!1;var o=Object.keys(e),s=Object.keys(t);return o.length===s.length&&o.every((function(n){return bY(e[n],t[n])}))}catch(e){return!1}}function _Y(e,t){for(var n=0;n<e.length;n++)if(bY(e[n],t))return n;return-1}function xY(e){var t=!1;return function(){t||(t=!0,e.apply(this,arguments))}}var wY="data-server-rendered",AY=["component","directive","filter"],SY=["beforeCreate","created","beforeMount","mounted","beforeUpdate","updated","beforeDestroy","destroyed","activated","deactivated","errorCaptured","serverPrefetch","renderTracked","renderTriggered"],TY={optionMergeStrategies:Object.create(null),silent:!1,productionTip:!1,devtools:!1,performance:!1,errorHandler:null,warnHandler:null,ignoredElements:[],keyCodes:Object.create(null),isReservedTag:vY,isReservedAttr:vY,isUnknownElement:vY,getTagNamespace:gY,parsePlatformTagName:yY,mustUseProp:vY,async:!0,_lifecycleHooks:SY},CY=/a-zA-Z\u00B7\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u037D\u037F-\u1FFF\u200C-\u200D\u203F-\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD/;function EY(e){var t=(e+"").charCodeAt(0);return 36===t||95===t}function MY(e,t,n,r){Object.defineProperty(e,t,{value:n,enumerable:!!r,writable:!0,configurable:!0})}var DY=new RegExp("[^".concat(CY.source,".$_\\d]")),PY="__proto__"in{},IY="undefined"!=typeof window,OY=IY&&window.navigator.userAgent.toLowerCase(),NY=OY&&/msie|trident/.test(OY),kY=OY&&OY.indexOf("msie 9.0")>0,RY=OY&&OY.indexOf("edge/")>0;OY&&OY.indexOf("android");var LY=OY&&/iphone|ipad|ipod|ios/.test(OY);OY&&/chrome\/\d+/.test(OY),OY&&/phantomjs/.test(OY);var FY,BY=OY&&OY.match(/firefox\/(\d+)/),UY={}.watch,VY=!1;if(IY)try{var GY={};Object.defineProperty(GY,"passive",{get:function(){VY=!0}}),window.addEventListener("test-passive",null,GY)}catch(e){}var zY=function(){return void 0===FY&&(FY=!IY&&void 0!==n.g&&n.g.process&&"server"===n.g.process.env.VUE_ENV),FY},jY=IY&&window.__VUE_DEVTOOLS_GLOBAL_HOOK__;function WY(e){return"function"==typeof e&&/native code/.test(e.toString())}var HY,$Y="undefined"!=typeof Symbol&&WY(Symbol)&&"undefined"!=typeof Reflect&&WY(Reflect.ownKeys);HY="undefined"!=typeof Set&&WY(Set)?Set:function(){function e(){this.set=Object.create(null)}return e.prototype.has=function(e){return!0===this.set[e]},e.prototype.add=function(e){this.set[e]=!0},e.prototype.clear=function(){this.set=Object.create(null)},e}();var XY=null;function qY(e){void 0===e&&(e=null),e||XY&&XY._scope.off(),XY=e,e&&e._scope.on()}var KY=function(){function e(e,t,n,r,i,a,o,s){this.tag=e,this.data=t,this.children=n,this.text=r,this.elm=i,this.ns=void 0,this.context=a,this.fnContext=void 0,this.fnOptions=void 0,this.fnScopeId=void 0,this.key=t&&t.key,this.componentOptions=o,this.componentInstance=void 0,this.parent=void 0,this.raw=!1,this.isStatic=!1,this.isRootInsert=!0,this.isComment=!1,this.isCloned=!1,this.isOnce=!1,this.asyncFactory=s,this.asyncMeta=void 0,this.isAsyncPlaceholder=!1}return Object.defineProperty(e.prototype,"child",{get:function(){return this.componentInstance},enumerable:!1,configurable:!0}),e}(),YY=function(e){void 0===e&&(e="");var t=new KY;return t.text=e,t.isComment=!0,t};function JY(e){return new KY(void 0,void 0,void 0,String(e))}function ZY(e){var t=new KY(e.tag,e.data,e.children&&e.children.slice(),e.text,e.elm,e.context,e.componentOptions,e.asyncFactory);return t.ns=e.ns,t.isStatic=e.isStatic,t.key=e.key,t.isComment=e.isComment,t.fnContext=e.fnContext,t.fnOptions=e.fnOptions,t.fnScopeId=e.fnScopeId,t.asyncMeta=e.asyncMeta,t.isCloned=!0,t}"function"==typeof SuppressedError&&SuppressedError;var QY=0,eJ=[],tJ=function(){for(var e=0;e<eJ.length;e++){var t=eJ[e];t.subs=t.subs.filter((function(e){return e})),t._pending=!1}eJ.length=0},nJ=function(){function e(){this._pending=!1,this.id=QY++,this.subs=[]}return e.prototype.addSub=function(e){this.subs.push(e)},e.prototype.removeSub=function(e){this.subs[this.subs.indexOf(e)]=null,this._pending||(this._pending=!0,eJ.push(this))},e.prototype.depend=function(t){e.target&&e.target.addDep(this)},e.prototype.notify=function(e){for(var t=this.subs.filter((function(e){return e})),n=0,r=t.length;n<r;n++)t[n].update()},e}();nJ.target=null;var rJ=[];function iJ(e){rJ.push(e),nJ.target=e}function aJ(){rJ.pop(),nJ.target=rJ[rJ.length-1]}var oJ=Array.prototype,sJ=Object.create(oJ);["push","pop","shift","unshift","splice","sort","reverse"].forEach((function(e){var t=oJ[e];MY(sJ,e,(function(){for(var n=[],r=0;r<arguments.length;r++)n[r]=arguments[r];var i,a=t.apply(this,n),o=this.__ob__;switch(e){case"push":case"unshift":i=n;break;case"splice":i=n.slice(2)}return i&&o.observeArray(i),o.dep.notify(),a}))}));var lJ=Object.getOwnPropertyNames(sJ),cJ={},uJ=!0;function dJ(e){uJ=e}var fJ={notify:gY,depend:gY,addSub:gY,removeSub:gY},pJ=function(){function e(e,t,n){if(void 0===t&&(t=!1),void 0===n&&(n=!1),this.value=e,this.shallow=t,this.mock=n,this.dep=n?fJ:new nJ,this.vmCount=0,MY(e,"__ob__",this),VK(e)){if(!n)if(PY)e.__proto__=sJ;else for(var r=0,i=lJ.length;r<i;r++)MY(e,o=lJ[r],sJ[o]);t||this.observeArray(e)}else{var a=Object.keys(e);for(r=0;r<a.length;r++){var o;mJ(e,o=a[r],cJ,void 0,t,n)}}}return e.prototype.observeArray=function(e){for(var t=0,n=e.length;t<n;t++)hJ(e[t],!1,this.mock)},e}();function hJ(e,t,n){return e&&aY(e,"__ob__")&&e.__ob__ instanceof pJ?e.__ob__:!uJ||!n&&zY()||!VK(e)&&!qK(e)||!Object.isExtensible(e)||e.__v_skip||xJ(e)||e instanceof KY?void 0:new pJ(e,t,n)}function mJ(e,t,n,r,i,a,o){void 0===o&&(o=!1);var s=new nJ,l=Object.getOwnPropertyDescriptor(e,t);if(!l||!1!==l.configurable){var c=l&&l.get,u=l&&l.set;c&&!u||n!==cJ&&2!==arguments.length||(n=e[t]);var d=i?n&&n.__ob__:hJ(n,!1,a);return Object.defineProperty(e,t,{enumerable:!0,configurable:!0,get:function(){var t=c?c.call(e):n;return nJ.target&&(s.depend(),d&&(d.dep.depend(),VK(t)&&yJ(t))),xJ(t)&&!i?t.value:t},set:function(t){var r=c?c.call(e):n;if(function(e,t){return e===t?0===e&&1/e!=1/t:e==e||t==t}(r,t)){if(u)u.call(e,t);else{if(c)return;if(!i&&xJ(r)&&!xJ(t))return void(r.value=t);n=t}d=i?t&&t.__ob__:hJ(t,!1,a),s.notify()}}}),s}}function gJ(e,t,n){if(!_J(e)){var r=e.__ob__;return VK(e)&&KK(t)?(e.length=Math.max(e.length,t),e.splice(t,1,n),r&&!r.shallow&&r.mock&&hJ(n,!1,!0),n):t in e&&!(t in Object.prototype)?(e[t]=n,n):e._isVue||r&&r.vmCount?n:r?(mJ(r.value,t,n,void 0,r.shallow,r.mock),r.dep.notify(),n):(e[t]=n,n)}}function vJ(e,t){if(VK(e)&&KK(t))e.splice(t,1);else{var n=e.__ob__;e._isVue||n&&n.vmCount||_J(e)||aY(e,t)&&(delete e[t],n&&n.dep.notify())}}function yJ(e){for(var t=void 0,n=0,r=e.length;n<r;n++)(t=e[n])&&t.__ob__&&t.__ob__.dep.depend(),VK(t)&&yJ(t)}function bJ(e){return function(e,t){_J(e)||hJ(e,t,zY())}(e,!0),MY(e,"__v_isShallow",!0),e}function _J(e){return!(!e||!e.__v_isReadonly)}function xJ(e){return!(!e||!0!==e.__v_isRef)}function wJ(e,t,n){Object.defineProperty(e,n,{enumerable:!0,configurable:!0,get:function(){var e=t[n];if(xJ(e))return e.value;var r=e&&e.__ob__;return r&&r.dep.depend(),e},set:function(e){var r=t[n];xJ(r)&&!xJ(e)?r.value=e:t[n]=e}})}var AJ=oY((function(e){var t="&"===e.charAt(0),n="~"===(e=t?e.slice(1):e).charAt(0),r="!"===(e=n?e.slice(1):e).charAt(0);return{name:e=r?e.slice(1):e,once:n,capture:r,passive:t}}));function SJ(e,t){function n(){var e=n.fns;if(!VK(e))return kZ(e,null,arguments,t,"v-on handler");for(var r=e.slice(),i=0;i<r.length;i++)kZ(r[i],null,arguments,t,"v-on handler")}return n.fns=e,n}function TJ(e,t,n,r,i,a){var o,s,l,c;for(o in e)s=e[o],l=t[o],c=AJ(o),GK(s)||(GK(l)?(GK(s.fns)&&(s=e[o]=SJ(s,a)),jK(c.once)&&(s=e[o]=i(c.name,s,c.capture)),n(c.name,s,c.capture,c.passive,c.params)):s!==l&&(l.fns=s,e[o]=l));for(o in t)GK(e[o])&&r((c=AJ(o)).name,t[o],c.capture)}function CJ(e,t,n){var r;e instanceof KY&&(e=e.data.hook||(e.data.hook={}));var i=e[t];function a(){n.apply(this,arguments),rY(r.fns,a)}GK(i)?r=SJ([a]):zK(i.fns)&&jK(i.merged)?(r=i).fns.push(a):r=SJ([i,a]),r.merged=!0,e[t]=r}function EJ(e,t,n,r,i){if(zK(t)){if(aY(t,n))return e[n]=t[n],i||delete t[n],!0;if(aY(t,r))return e[n]=t[r],i||delete t[r],!0}return!1}function MJ(e){return WK(e)?[JY(e)]:VK(e)?PJ(e):void 0}function DJ(e){return zK(e)&&zK(e.text)&&!1===e.isComment}function PJ(e,t){var n,r,i,a,o=[];for(n=0;n<e.length;n++)GK(r=e[n])||"boolean"==typeof r||(a=o[i=o.length-1],VK(r)?r.length>0&&(DJ((r=PJ(r,"".concat(t||"","_").concat(n)))[0])&&DJ(a)&&(o[i]=JY(a.text+r[0].text),r.shift()),o.push.apply(o,r)):WK(r)?DJ(a)?o[i]=JY(a.text+r):""!==r&&o.push(JY(r)):DJ(r)&&DJ(a)?o[i]=JY(a.text+r.text):(jK(e._isVList)&&zK(r.tag)&&GK(r.key)&&zK(t)&&(r.key="__vlist".concat(t,"_").concat(n,"__")),o.push(r)));return o}var IJ=1,OJ=2;function NJ(e,t,n,r,i,a){return(VK(n)||WK(n))&&(i=r,r=n,n=void 0),jK(a)&&(i=OJ),function(e,t,n,r,i){if(zK(n)&&zK(n.__ob__))return YY();if(zK(n)&&zK(n.is)&&(t=n.is),!t)return YY();var a,o;if(VK(r)&&HK(r[0])&&((n=n||{}).scopedSlots={default:r[0]},r.length=0),i===OJ?r=MJ(r):i===IJ&&(r=function(e){for(var t=0;t<e.length;t++)if(VK(e[t]))return Array.prototype.concat.apply([],e);return e}(r)),"string"==typeof t){var s=void 0;o=e.$vnode&&e.$vnode.ns||TY.getTagNamespace(t),a=TY.isReservedTag(t)?new KY(TY.parsePlatformTagName(t),n,r,void 0,void 0,e):n&&n.pre||!zK(s=CQ(e.$options,"components",t))?new KY(t,n,r,void 0,void 0,e):gQ(s,n,e,r,t)}else a=gQ(t,n,e,r);return VK(a)?a:zK(a)?(zK(o)&&kJ(a,o),zK(n)&&function(e){$K(e.style)&&KZ(e.style),$K(e.class)&&KZ(e.class)}(n),a):YY()}(e,t,n,r,i)}function kJ(e,t,n){if(e.ns=t,"foreignObject"===e.tag&&(t=void 0,n=!0),zK(e.children))for(var r=0,i=e.children.length;r<i;r++){var a=e.children[r];zK(a.tag)&&(GK(a.ns)||jK(n)&&"svg"!==a.tag)&&kJ(a,t,n)}}function RJ(e,t){var n,r,i,a,o=null;if(VK(e)||"string"==typeof e)for(o=new Array(e.length),n=0,r=e.length;n<r;n++)o[n]=t(e[n],n);else if("number"==typeof e)for(o=new Array(e),n=0;n<e;n++)o[n]=t(n+1,n);else if($K(e))if($Y&&e[Symbol.iterator]){o=[];for(var s=e[Symbol.iterator](),l=s.next();!l.done;)o.push(t(l.value,o.length)),l=s.next()}else for(i=Object.keys(e),o=new Array(i.length),n=0,r=i.length;n<r;n++)a=i[n],o[n]=t(e[a],a,n);return zK(o)||(o=[]),o._isVList=!0,o}function LJ(e,t,n,r){var i,a=this.$scopedSlots[e];a?(n=n||{},r&&(n=hY(hY({},r),n)),i=a(n)||(HK(t)?t():t)):i=this.$slots[e]||(HK(t)?t():t);var o=n&&n.slot;return o?this.$createElement("template",{slot:o},i):i}function FJ(e){return CQ(this.$options,"filters",e)||yY}function BJ(e,t){return VK(e)?-1===e.indexOf(t):e!==t}function UJ(e,t,n,r,i){var a=TY.keyCodes[t]||n;return i&&r&&!TY.keyCodes[t]?BJ(i,r):a?BJ(a,e):r?dY(r)!==t:void 0===e}function VJ(e,t,n,r,i){if(n&&$K(n)){VK(n)&&(n=mY(n));var a=void 0,o=function(o){if("class"===o||"style"===o||nY(o))a=e;else{var s=e.attrs&&e.attrs.type;a=r||TY.mustUseProp(t,s,o)?e.domProps||(e.domProps={}):e.attrs||(e.attrs={})}var l=lY(o),c=dY(o);l in a||c in a||(a[o]=n[o],i&&((e.on||(e.on={}))["update:".concat(o)]=function(e){n[o]=e}))};for(var s in n)o(s)}return e}function GJ(e,t){var n=this._staticTrees||(this._staticTrees=[]),r=n[e];return r&&!t||jJ(r=n[e]=this.$options.staticRenderFns[e].call(this._renderProxy,this._c,this),"__static__".concat(e),!1),r}function zJ(e,t,n){return jJ(e,"__once__".concat(t).concat(n?"_".concat(n):""),!0),e}function jJ(e,t,n){if(VK(e))for(var r=0;r<e.length;r++)e[r]&&"string"!=typeof e[r]&&WJ(e[r],"".concat(t,"_").concat(r),n);else WJ(e,t,n)}function WJ(e,t,n){e.isStatic=!0,e.key=t,e.isOnce=n}function HJ(e,t){if(t&&qK(t)){var n=e.on=e.on?hY({},e.on):{};for(var r in t){var i=n[r],a=t[r];n[r]=i?[].concat(i,a):a}}return e}function $J(e,t,n,r){t=t||{$stable:!n};for(var i=0;i<e.length;i++){var a=e[i];VK(a)?$J(a,t,n):a&&(a.proxy&&(a.fn.proxy=!0),t[a.key]=a.fn)}return r&&(t.$key=r),t}function XJ(e,t){for(var n=0;n<t.length;n+=2){var r=t[n];"string"==typeof r&&r&&(e[t[n]]=t[n+1])}return e}function qJ(e,t){return"string"==typeof e?t+e:e}function KJ(e){e._o=zJ,e._n=QK,e._s=JK,e._l=RJ,e._t=LJ,e._q=bY,e._i=_Y,e._m=GJ,e._f=FJ,e._k=UJ,e._b=VJ,e._v=JY,e._e=YY,e._u=$J,e._g=HJ,e._d=XJ,e._p=qJ}function YJ(e,t){if(!e||!e.length)return{};for(var n={},r=0,i=e.length;r<i;r++){var a=e[r],o=a.data;if(o&&o.attrs&&o.attrs.slot&&delete o.attrs.slot,a.context!==t&&a.fnContext!==t||!o||null==o.slot)(n.default||(n.default=[])).push(a);else{var s=o.slot,l=n[s]||(n[s]=[]);"template"===a.tag?l.push.apply(l,a.children||[]):l.push(a)}}for(var c in n)n[c].every(JJ)&&delete n[c];return n}function JJ(e){return e.isComment&&!e.asyncFactory||" "===e.text}function ZJ(e){return e.isComment&&e.asyncFactory}function QJ(e,t,n,r){var i,a=Object.keys(n).length>0,o=t?!!t.$stable:!a,s=t&&t.$key;if(t){if(t._normalized)return t._normalized;if(o&&r&&r!==UK&&s===r.$key&&!a&&!r.$hasNormal)return r;for(var l in i={},t)t[l]&&"$"!==l[0]&&(i[l]=eZ(e,n,l,t[l]))}else i={};for(var c in n)c in i||(i[c]=tZ(n,c));return t&&Object.isExtensible(t)&&(t._normalized=i),MY(i,"$stable",o),MY(i,"$key",s),MY(i,"$hasNormal",a),i}function eZ(e,t,n,r){var i=function(){var t=XY;qY(e);var n=arguments.length?r.apply(null,arguments):r({}),i=(n=n&&"object"==typeof n&&!VK(n)?[n]:MJ(n))&&n[0];return qY(t),n&&(!i||1===n.length&&i.isComment&&!ZJ(i))?void 0:n};return r.proxy&&Object.defineProperty(t,n,{get:i,enumerable:!0,configurable:!0}),i}function tZ(e,t){return function(){return e[t]}}function nZ(e,t,n,r,i){var a=!1;for(var o in t)o in e?t[o]!==n[o]&&(a=!0):(a=!0,rZ(e,o,r,i));for(var o in e)o in t||(a=!0,delete e[o]);return a}function rZ(e,t,n,r){Object.defineProperty(e,t,{enumerable:!0,configurable:!0,get:function(){return n[r][t]}})}function iZ(e,t){for(var n in t)e[n]=t[n];for(var n in e)n in t||delete e[n]}var aZ,oZ,sZ=null;function lZ(e,t){return(e.__esModule||$Y&&"Module"===e[Symbol.toStringTag])&&(e=e.default),$K(e)?t.extend(e):e}function cZ(e){if(VK(e))for(var t=0;t<e.length;t++){var n=e[t];if(zK(n)&&(zK(n.componentOptions)||ZJ(n)))return n}}function uZ(e,t){aZ.$on(e,t)}function dZ(e,t){aZ.$off(e,t)}function fZ(e,t){var n=aZ;return function r(){null!==t.apply(null,arguments)&&n.$off(e,r)}}function pZ(e,t,n){aZ=e,TJ(t,n||{},uZ,dZ,fZ,e),aZ=void 0}var hZ=function(){function e(e){void 0===e&&(e=!1),this.detached=e,this.active=!0,this.effects=[],this.cleanups=[],this.parent=oZ,!e&&oZ&&(this.index=(oZ.scopes||(oZ.scopes=[])).push(this)-1)}return e.prototype.run=function(e){if(this.active){var t=oZ;try{return oZ=this,e()}finally{oZ=t}}},e.prototype.on=function(){oZ=this},e.prototype.off=function(){oZ=this.parent},e.prototype.stop=function(e){if(this.active){var t=void 0,n=void 0;for(t=0,n=this.effects.length;t<n;t++)this.effects[t].teardown();for(t=0,n=this.cleanups.length;t<n;t++)this.cleanups[t]();if(this.scopes)for(t=0,n=this.scopes.length;t<n;t++)this.scopes[t].stop(!0);if(!this.detached&&this.parent&&!e){var r=this.parent.scopes.pop();r&&r!==this&&(this.parent.scopes[this.index]=r,r.index=this.index)}this.parent=void 0,this.active=!1}},e}(),mZ=null;function gZ(e){var t=mZ;return mZ=e,function(){mZ=t}}function vZ(e){for(;e&&(e=e.$parent);)if(e._inactive)return!0;return!1}function yZ(e,t){if(t){if(e._directInactive=!1,vZ(e))return}else if(e._directInactive)return;if(e._inactive||null===e._inactive){e._inactive=!1;for(var n=0;n<e.$children.length;n++)yZ(e.$children[n]);_Z(e,"activated")}}function bZ(e,t){if(!(t&&(e._directInactive=!0,vZ(e))||e._inactive)){e._inactive=!0;for(var n=0;n<e.$children.length;n++)bZ(e.$children[n]);_Z(e,"deactivated")}}function _Z(e,t,n,r){void 0===r&&(r=!0),iJ();var i=XY,a=oZ;r&&qY(e);var o=e.$options[t],s="".concat(t," hook");if(o)for(var l=0,c=o.length;l<c;l++)kZ(o[l],e,n||null,e,s);e._hasHookEvent&&e.$emit("hook:"+t),r&&(qY(i),a&&a.on()),aJ()}var xZ=[],wZ=[],AZ={},SZ=!1,TZ=!1,CZ=0,EZ=0,MZ=Date.now;if(IY&&!NY){var DZ=window.performance;DZ&&"function"==typeof DZ.now&&MZ()>document.createEvent("Event").timeStamp&&(MZ=function(){return DZ.now()})}var PZ=function(e,t){if(e.post){if(!t.post)return 1}else if(t.post)return-1;return e.id-t.id};function IZ(){var e,t;for(EZ=MZ(),TZ=!0,xZ.sort(PZ),CZ=0;CZ<xZ.length;CZ++)(e=xZ[CZ]).before&&e.before(),t=e.id,AZ[t]=null,e.run();var n=wZ.slice(),r=xZ.slice();CZ=xZ.length=wZ.length=0,AZ={},SZ=TZ=!1,function(e){for(var t=0;t<e.length;t++)e[t]._inactive=!0,yZ(e[t],!0)}(n),function(e){for(var t=e.length;t--;){var n=e[t],r=n.vm;r&&r._watcher===n&&r._isMounted&&!r._isDestroyed&&_Z(r,"updated")}}(r),tJ(),jY&&TY.devtools&&jY.emit("flush")}var OZ="watcher";function NZ(e,t,n){iJ();try{if(t)for(var r=t;r=r.$parent;){var i=r.$options.errorCaptured;if(i)for(var a=0;a<i.length;a++)try{if(!1===i[a].call(r,e,t,n))return}catch(e){RZ(e,r,"errorCaptured hook")}}RZ(e,t,n)}finally{aJ()}}function kZ(e,t,n,r,i){var a;try{(a=n?e.apply(t,n):e.call(t))&&!a._isVue&&YK(a)&&!a._handled&&(a.catch((function(e){return NZ(e,r,i+" (Promise/async)")})),a._handled=!0)}catch(e){NZ(e,r,i)}return a}function RZ(e,t,n){if(TY.errorHandler)try{return TY.errorHandler.call(null,e,t,n)}catch(t){t!==e&&LZ(t)}LZ(e)}function LZ(e,t,n){if(!IY||"undefined"==typeof console)throw e;console.error(e)}"".concat(OZ," callback"),"".concat(OZ," getter"),"".concat(OZ," cleanup");var FZ,BZ=!1,UZ=[],VZ=!1;function GZ(){VZ=!1;var e=UZ.slice(0);UZ.length=0;for(var t=0;t<e.length;t++)e[t]()}if("undefined"!=typeof Promise&&WY(Promise)){var zZ=Promise.resolve();FZ=function(){zZ.then(GZ),LY&&setTimeout(gY)},BZ=!0}else if(NY||"undefined"==typeof MutationObserver||!WY(MutationObserver)&&"[object MutationObserverConstructor]"!==MutationObserver.toString())FZ="undefined"!=typeof setImmediate&&WY(setImmediate)?function(){setImmediate(GZ)}:function(){setTimeout(GZ,0)};else{var jZ=1,WZ=new MutationObserver(GZ),HZ=document.createTextNode(String(jZ));WZ.observe(HZ,{characterData:!0}),FZ=function(){jZ=(jZ+1)%2,HZ.data=String(jZ)},BZ=!0}function $Z(e,t){var n;if(UZ.push((function(){if(e)try{e.call(t)}catch(e){NZ(e,t,"nextTick")}else n&&n(t)})),VZ||(VZ=!0,FZ()),!e&&"undefined"!=typeof Promise)return new Promise((function(e){n=e}))}function XZ(e){return function(t,n){if(void 0===n&&(n=XY),n)return function(e,t,n){var r=e.$options;r[t]=wQ(r[t],n)}(n,e,t)}}XZ("beforeMount"),XZ("mounted"),XZ("beforeUpdate"),XZ("updated"),XZ("beforeDestroy"),XZ("destroyed"),XZ("activated"),XZ("deactivated"),XZ("serverPrefetch"),XZ("renderTracked"),XZ("renderTriggered"),XZ("errorCaptured");var qZ=new HY;function KZ(e){return YZ(e,qZ),qZ.clear(),e}function YZ(e,t){var n,r,i=VK(e);if(!(!i&&!$K(e)||e.__v_skip||Object.isFrozen(e)||e instanceof KY)){if(e.__ob__){var a=e.__ob__.dep.id;if(t.has(a))return;t.add(a)}if(i)for(n=e.length;n--;)YZ(e[n],t);else if(xJ(e))YZ(e.value,t);else for(n=(r=Object.keys(e)).length;n--;)YZ(e[r[n]],t)}}var JZ=0,ZZ=function(){function e(e,t,n,r,i){var a;void 0===(a=oZ&&!oZ._vm?oZ:e?e._scope:void 0)&&(a=oZ),a&&a.active&&a.effects.push(this),(this.vm=e)&&i&&(e._watcher=this),r?(this.deep=!!r.deep,this.user=!!r.user,this.lazy=!!r.lazy,this.sync=!!r.sync,this.before=r.before):this.deep=this.user=this.lazy=this.sync=!1,this.cb=n,this.id=++JZ,this.active=!0,this.post=!1,this.dirty=this.lazy,this.deps=[],this.newDeps=[],this.depIds=new HY,this.newDepIds=new HY,this.expression="",HK(t)?this.getter=t:(this.getter=function(e){if(!DY.test(e)){var t=e.split(".");return function(e){for(var n=0;n<t.length;n++){if(!e)return;e=e[t[n]]}return e}}}(t),this.getter||(this.getter=gY)),this.value=this.lazy?void 0:this.get()}return e.prototype.get=function(){var e;iJ(this);var t=this.vm;try{e=this.getter.call(t,t)}catch(e){if(!this.user)throw e;NZ(e,t,'getter for watcher "'.concat(this.expression,'"'))}finally{this.deep&&KZ(e),aJ(),this.cleanupDeps()}return e},e.prototype.addDep=function(e){var t=e.id;this.newDepIds.has(t)||(this.newDepIds.add(t),this.newDeps.push(e),this.depIds.has(t)||e.addSub(this))},e.prototype.cleanupDeps=function(){for(var e=this.deps.length;e--;){var t=this.deps[e];this.newDepIds.has(t.id)||t.removeSub(this)}var n=this.depIds;this.depIds=this.newDepIds,this.newDepIds=n,this.newDepIds.clear(),n=this.deps,this.deps=this.newDeps,this.newDeps=n,this.newDeps.length=0},e.prototype.update=function(){this.lazy?this.dirty=!0:this.sync?this.run():function(e){var t=e.id;if(null==AZ[t]&&(e!==nJ.target||!e.noRecurse)){if(AZ[t]=!0,TZ){for(var n=xZ.length-1;n>CZ&&xZ[n].id>e.id;)n--;xZ.splice(n+1,0,e)}else xZ.push(e);SZ||(SZ=!0,$Z(IZ))}}(this)},e.prototype.run=function(){if(this.active){var e=this.get();if(e!==this.value||$K(e)||this.deep){var t=this.value;if(this.value=e,this.user){var n='callback for watcher "'.concat(this.expression,'"');kZ(this.cb,this.vm,[e,t],this.vm,n)}else this.cb.call(this.vm,e,t)}}},e.prototype.evaluate=function(){this.value=this.get(),this.dirty=!1},e.prototype.depend=function(){for(var e=this.deps.length;e--;)this.deps[e].depend()},e.prototype.teardown=function(){if(this.vm&&!this.vm._isBeingDestroyed&&rY(this.vm._scope.effects,this),this.active){for(var e=this.deps.length;e--;)this.deps[e].removeSub(this);this.active=!1,this.onStop&&this.onStop()}},e}(),QZ={enumerable:!0,configurable:!0,get:gY,set:gY};function eQ(e,t,n){QZ.get=function(){return this[t][n]},QZ.set=function(e){this[t][n]=e},Object.defineProperty(e,n,QZ)}function tQ(e){var t=e.$options;if(t.props&&function(e,t){var n=e.$options.propsData||{},r=e._props=bJ({}),i=e.$options._propKeys=[];!e.$parent||dJ(!1);var a=function(a){i.push(a);var o=EQ(a,t,n,e);mJ(r,a,o,void 0,!0),a in e||eQ(e,"_props",a)};for(var o in t)a(o);dJ(!0)}(e,t.props),function(e){var t=e.$options,n=t.setup;if(n){var r=e._setupContext=function(e){return{get attrs(){if(!e._attrsProxy){var t=e._attrsProxy={};MY(t,"_v_attr_proxy",!0),nZ(t,e.$attrs,UK,e,"$attrs")}return e._attrsProxy},get listeners(){return e._listenersProxy||nZ(e._listenersProxy={},e.$listeners,UK,e,"$listeners"),e._listenersProxy},get slots(){return function(e){return e._slotsProxy||iZ(e._slotsProxy={},e.$scopedSlots),e._slotsProxy}(e)},emit:fY(e.$emit,e),expose:function(t){t&&Object.keys(t).forEach((function(n){return wJ(e,t,n)}))}}}(e);qY(e),iJ();var i=kZ(n,null,[e._props||bJ({}),r],e,"setup");if(aJ(),qY(),HK(i))t.render=i;else if($K(i))if(e._setupState=i,i.__sfc){var a=e._setupProxy={};for(var o in i)"__sfc"!==o&&wJ(a,i,o)}else for(var o in i)EY(o)||wJ(e,i,o)}}(e),t.methods&&function(e,t){for(var n in e.$options.props,t)e[n]="function"!=typeof t[n]?gY:fY(t[n],e)}(e,t.methods),t.data)!function(e){var t=e.$options.data;qK(t=e._data=HK(t)?function(e,t){iJ();try{return e.call(t,t)}catch(e){return NZ(e,t,"data()"),{}}finally{aJ()}}(t,e):t||{})||(t={});for(var n=Object.keys(t),r=e.$options.props,i=(e.$options.methods,n.length);i--;){var a=n[i];r&&aY(r,a)||EY(a)||eQ(e,"_data",a)}var o=hJ(t);o&&o.vmCount++}(e);else{var n=hJ(e._data={});n&&n.vmCount++}t.computed&&function(e,t){var n=e._computedWatchers=Object.create(null),r=zY();for(var i in t){var a=t[i],o=HK(a)?a:a.get;r||(n[i]=new ZZ(e,o||gY,gY,nQ)),i in e||rQ(e,i,a)}}(e,t.computed),t.watch&&t.watch!==UY&&function(e,t){for(var n in t){var r=t[n];if(VK(r))for(var i=0;i<r.length;i++)oQ(e,n,r[i]);else oQ(e,n,r)}}(e,t.watch)}var nQ={lazy:!0};function rQ(e,t,n){var r=!zY();HK(n)?(QZ.get=r?iQ(t):aQ(n),QZ.set=gY):(QZ.get=n.get?r&&!1!==n.cache?iQ(t):aQ(n.get):gY,QZ.set=n.set||gY),Object.defineProperty(e,t,QZ)}function iQ(e){return function(){var t=this._computedWatchers&&this._computedWatchers[e];if(t)return t.dirty&&t.evaluate(),nJ.target&&t.depend(),t.value}}function aQ(e){return function(){return e.call(this,this)}}function oQ(e,t,n,r){return qK(n)&&(r=n,n=n.handler),"string"==typeof n&&(n=e[n]),e.$watch(t,n,r)}function sQ(e,t){if(e){for(var n=Object.create(null),r=$Y?Reflect.ownKeys(e):Object.keys(e),i=0;i<r.length;i++){var a=r[i];if("__ob__"!==a){var o=e[a].from;if(o in t._provided)n[a]=t._provided[o];else if("default"in e[a]){var s=e[a].default;n[a]=HK(s)?s.call(t):s}}}return n}}var lQ=0;function cQ(e){var t=e.options;if(e.super){var n=cQ(e.super);if(n!==e.superOptions){e.superOptions=n;var r=function(e){var t,n=e.options,r=e.sealedOptions;for(var i in n)n[i]!==r[i]&&(t||(t={}),t[i]=n[i]);return t}(e);r&&hY(e.extendOptions,r),(t=e.options=TQ(n,e.extendOptions)).name&&(t.components[t.name]=e)}}return t}function uQ(e,t,n,r,i){var a,o=this,s=i.options;aY(r,"_uid")?(a=Object.create(r))._original=r:(a=r,r=r._original);var l=jK(s._compiled),c=!l;this.data=e,this.props=t,this.children=n,this.parent=r,this.listeners=e.on||UK,this.injections=sQ(s.inject,r),this.slots=function(){return o.$slots||QJ(r,e.scopedSlots,o.$slots=YJ(n,r)),o.$slots},Object.defineProperty(this,"scopedSlots",{enumerable:!0,get:function(){return QJ(r,e.scopedSlots,this.slots())}}),l&&(this.$options=s,this.$slots=this.slots(),this.$scopedSlots=QJ(r,e.scopedSlots,this.$slots)),s._scopeId?this._c=function(e,t,n,i){var o=NJ(a,e,t,n,i,c);return o&&!VK(o)&&(o.fnScopeId=s._scopeId,o.fnContext=r),o}:this._c=function(e,t,n,r){return NJ(a,e,t,n,r,c)}}function dQ(e,t,n,r,i){var a=ZY(e);return a.fnContext=n,a.fnOptions=r,t.slot&&((a.data||(a.data={})).slot=t.slot),a}function fQ(e,t){for(var n in t)e[lY(n)]=t[n]}function pQ(e){return e.name||e.__name||e._componentTag}KJ(uQ.prototype);var hQ={init:function(e,t){if(e.componentInstance&&!e.componentInstance._isDestroyed&&e.data.keepAlive){var n=e;hQ.prepatch(n,n)}else(e.componentInstance=function(e,t){var n={_isComponent:!0,_parentVnode:e,parent:t},r=e.data.inlineTemplate;return zK(r)&&(n.render=r.render,n.staticRenderFns=r.staticRenderFns),new e.componentOptions.Ctor(n)}(e,mZ)).$mount(t?e.elm:void 0,t)},prepatch:function(e,t){var n=t.componentOptions;!function(e,t,n,r,i){var a=r.data.scopedSlots,o=e.$scopedSlots,s=!!(a&&!a.$stable||o!==UK&&!o.$stable||a&&e.$scopedSlots.$key!==a.$key||!a&&e.$scopedSlots.$key),l=!!(i||e.$options._renderChildren||s),c=e.$vnode;e.$options._parentVnode=r,e.$vnode=r,e._vnode&&(e._vnode.parent=r),e.$options._renderChildren=i;var u=r.data.attrs||UK;e._attrsProxy&&nZ(e._attrsProxy,u,c.data&&c.data.attrs||UK,e,"$attrs")&&(l=!0),e.$attrs=u,n=n||UK;var d=e.$options._parentListeners;if(e._listenersProxy&&nZ(e._listenersProxy,n,d||UK,e,"$listeners"),e.$listeners=e.$options._parentListeners=n,pZ(e,n,d),t&&e.$options.props){dJ(!1);for(var f=e._props,p=e.$options._propKeys||[],h=0;h<p.length;h++){var m=p[h],g=e.$options.props;f[m]=EQ(m,g,t,e)}dJ(!0),e.$options.propsData=t}l&&(e.$slots=YJ(i,r.context),e.$forceUpdate())}(t.componentInstance=e.componentInstance,n.propsData,n.listeners,t,n.children)},insert:function(e){var t,n=e.context,r=e.componentInstance;r._isMounted||(r._isMounted=!0,_Z(r,"mounted")),e.data.keepAlive&&(n._isMounted?((t=r)._inactive=!1,wZ.push(t)):yZ(r,!0))},destroy:function(e){var t=e.componentInstance;t._isDestroyed||(e.data.keepAlive?bZ(t,!0):t.$destroy())}},mQ=Object.keys(hQ);function gQ(e,t,n,r,i){if(!GK(e)){var a=n.$options._base;if($K(e)&&(e=a.extend(e)),"function"==typeof e){var o;if(GK(e.cid)&&(e=function(e,t){if(jK(e.error)&&zK(e.errorComp))return e.errorComp;if(zK(e.resolved))return e.resolved;var n=sZ;if(n&&zK(e.owners)&&-1===e.owners.indexOf(n)&&e.owners.push(n),jK(e.loading)&&zK(e.loadingComp))return e.loadingComp;if(n&&!zK(e.owners)){var r=e.owners=[n],i=!0,a=null,o=null;n.$on("hook:destroyed",(function(){return rY(r,n)}));var s=function(e){for(var t=0,n=r.length;t<n;t++)r[t].$forceUpdate();e&&(r.length=0,null!==a&&(clearTimeout(a),a=null),null!==o&&(clearTimeout(o),o=null))},l=xY((function(n){e.resolved=lZ(n,t),i?r.length=0:s(!0)})),c=xY((function(t){zK(e.errorComp)&&(e.error=!0,s(!0))})),u=e(l,c);return $K(u)&&(YK(u)?GK(e.resolved)&&u.then(l,c):YK(u.component)&&(u.component.then(l,c),zK(u.error)&&(e.errorComp=lZ(u.error,t)),zK(u.loading)&&(e.loadingComp=lZ(u.loading,t),0===u.delay?e.loading=!0:a=setTimeout((function(){a=null,GK(e.resolved)&&GK(e.error)&&(e.loading=!0,s(!1))}),u.delay||200)),zK(u.timeout)&&(o=setTimeout((function(){o=null,GK(e.resolved)&&c(null)}),u.timeout)))),i=!1,e.loading?e.loadingComp:e.resolved}}(o=e,a),void 0===e))return function(e,t,n,r,i){var a=YY();return a.asyncFactory=e,a.asyncMeta={data:t,context:n,children:r,tag:i},a}(o,t,n,r,i);t=t||{},cQ(e),zK(t.model)&&function(e,t){var n=e.model&&e.model.prop||"value",r=e.model&&e.model.event||"input";(t.attrs||(t.attrs={}))[n]=t.model.value;var i=t.on||(t.on={}),a=i[r],o=t.model.callback;zK(a)?(VK(a)?-1===a.indexOf(o):a!==o)&&(i[r]=[o].concat(a)):i[r]=o}(e.options,t);var s=function(e,t,n){var r=t.options.props;if(!GK(r)){var i={},a=e.attrs,o=e.props;if(zK(a)||zK(o))for(var s in r){var l=dY(s);EJ(i,o,s,l,!0)||EJ(i,a,s,l,!1)}return i}}(t,e);if(jK(e.options.functional))return function(e,t,n,r,i){var a=e.options,o={},s=a.props;if(zK(s))for(var l in s)o[l]=EQ(l,s,t||UK);else zK(n.attrs)&&fQ(o,n.attrs),zK(n.props)&&fQ(o,n.props);var c=new uQ(n,o,i,r,e),u=a.render.call(null,c._c,c);if(u instanceof KY)return dQ(u,n,c.parent,a);if(VK(u)){for(var d=MJ(u)||[],f=new Array(d.length),p=0;p<d.length;p++)f[p]=dQ(d[p],n,c.parent,a);return f}}(e,s,t,n,r);var l=t.on;if(t.on=t.nativeOn,jK(e.options.abstract)){var c=t.slot;t={},c&&(t.slot=c)}!function(e){for(var t=e.hook||(e.hook={}),n=0;n<mQ.length;n++){var r=mQ[n],i=t[r],a=hQ[r];i===a||i&&i._merged||(t[r]=i?vQ(a,i):a)}}(t);var u=pQ(e.options)||i;return new KY("vue-component-".concat(e.cid).concat(u?"-".concat(u):""),t,void 0,void 0,void 0,n,{Ctor:e,propsData:s,listeners:l,tag:i,children:r},o)}}}function vQ(e,t){var n=function(n,r){e(n,r),t(n,r)};return n._merged=!0,n}var yQ=gY,bQ=TY.optionMergeStrategies;function _Q(e,t,n){if(void 0===n&&(n=!0),!t)return e;for(var r,i,a,o=$Y?Reflect.ownKeys(t):Object.keys(t),s=0;s<o.length;s++)"__ob__"!==(r=o[s])&&(i=e[r],a=t[r],n&&aY(e,r)?i!==a&&qK(i)&&qK(a)&&_Q(i,a):gJ(e,r,a));return e}function xQ(e,t,n){return n?function(){var r=HK(t)?t.call(n,n):t,i=HK(e)?e.call(n,n):e;return r?_Q(r,i):i}:t?e?function(){return _Q(HK(t)?t.call(this,this):t,HK(e)?e.call(this,this):e)}:t:e}function wQ(e,t){var n=t?e?e.concat(t):VK(t)?t:[t]:e;return n?function(e){for(var t=[],n=0;n<e.length;n++)-1===t.indexOf(e[n])&&t.push(e[n]);return t}(n):n}function AQ(e,t,n,r){var i=Object.create(e||null);return t?hY(i,t):i}bQ.data=function(e,t,n){return n?xQ(e,t,n):t&&"function"!=typeof t?e:xQ(e,t)},SY.forEach((function(e){bQ[e]=wQ})),AY.forEach((function(e){bQ[e+"s"]=AQ})),bQ.watch=function(e,t,n,r){if(e===UY&&(e=void 0),t===UY&&(t=void 0),!t)return Object.create(e||null);if(!e)return t;var i={};for(var a in hY(i,e),t){var o=i[a],s=t[a];o&&!VK(o)&&(o=[o]),i[a]=o?o.concat(s):VK(s)?s:[s]}return i},bQ.props=bQ.methods=bQ.inject=bQ.computed=function(e,t,n,r){if(!e)return t;var i=Object.create(null);return hY(i,e),t&&hY(i,t),i},bQ.provide=function(e,t){return e?function(){var n=Object.create(null);return _Q(n,HK(e)?e.call(this):e),t&&_Q(n,HK(t)?t.call(this):t,!1),n}:t};var SQ=function(e,t){return void 0===t?e:t};function TQ(e,t,n){if(HK(t)&&(t=t.options),function(e,t){var n=e.props;if(n){var r,i,a={};if(VK(n))for(r=n.length;r--;)"string"==typeof(i=n[r])&&(a[lY(i)]={type:null});else if(qK(n))for(var o in n)i=n[o],a[lY(o)]=qK(i)?i:{type:i};e.props=a}}(t),function(e,t){var n=e.inject;if(n){var r=e.inject={};if(VK(n))for(var i=0;i<n.length;i++)r[n[i]]={from:n[i]};else if(qK(n))for(var a in n){var o=n[a];r[a]=qK(o)?hY({from:a},o):{from:o}}}}(t),function(e){var t=e.directives;if(t)for(var n in t){var r=t[n];HK(r)&&(t[n]={bind:r,update:r})}}(t),!t._base&&(t.extends&&(e=TQ(e,t.extends,n)),t.mixins))for(var r=0,i=t.mixins.length;r<i;r++)e=TQ(e,t.mixins[r],n);var a,o={};for(a in e)s(a);for(a in t)aY(e,a)||s(a);function s(r){var i=bQ[r]||SQ;o[r]=i(e[r],t[r],n,r)}return o}function CQ(e,t,n,r){if("string"==typeof n){var i=e[t];if(aY(i,n))return i[n];var a=lY(n);if(aY(i,a))return i[a];var o=cY(a);return aY(i,o)?i[o]:i[n]||i[a]||i[o]}}function EQ(e,t,n,r){var i=t[e],a=!aY(n,e),o=n[e],s=IQ(Boolean,i.type);if(s>-1)if(a&&!aY(i,"default"))o=!1;else if(""===o||o===dY(e)){var l=IQ(String,i.type);(l<0||s<l)&&(o=!0)}if(void 0===o){o=function(e,t,n){if(aY(t,"default")){var r=t.default;return e&&e.$options.propsData&&void 0===e.$options.propsData[n]&&void 0!==e._props[n]?e._props[n]:HK(r)&&"Function"!==DQ(t.type)?r.call(e):r}}(r,i,e);var c=uJ;dJ(!0),hJ(o),dJ(c)}return o}var MQ=/^\s*function (\w+)/;function DQ(e){var t=e&&e.toString().match(MQ);return t?t[1]:""}function PQ(e,t){return DQ(e)===DQ(t)}function IQ(e,t){if(!VK(t))return PQ(t,e)?0:-1;for(var n=0,r=t.length;n<r;n++)if(PQ(t[n],e))return n;return-1}function OQ(e){this._init(e)}function NQ(e){return e&&(pQ(e.Ctor.options)||e.tag)}function kQ(e,t){return VK(e)?e.indexOf(t)>-1:"string"==typeof e?e.split(",").indexOf(t)>-1:(n=e,!("[object RegExp]"!==XK.call(n))&&e.test(t));var n}function RQ(e,t){var n=e.cache,r=e.keys,i=e._vnode,a=e.$vnode;for(var o in n){var s=n[o];if(s){var l=s.name;l&&!t(l)&&LQ(n,o,r,i)}}a.componentOptions.children=void 0}function LQ(e,t,n,r){var i=e[t];!i||r&&i.tag===r.tag||i.componentInstance.$destroy(),e[t]=null,rY(n,t)}!function(e){e.prototype._init=function(e){var t=this;t._uid=lQ++,t._isVue=!0,t.__v_skip=!0,t._scope=new hZ(!0),t._scope.parent=void 0,t._scope._vm=!0,e&&e._isComponent?function(e,t){var n=e.$options=Object.create(e.constructor.options),r=t._parentVnode;n.parent=t.parent,n._parentVnode=r;var i=r.componentOptions;n.propsData=i.propsData,n._parentListeners=i.listeners,n._renderChildren=i.children,n._componentTag=i.tag,t.render&&(n.render=t.render,n.staticRenderFns=t.staticRenderFns)}(t,e):t.$options=TQ(cQ(t.constructor),e||{},t),t._renderProxy=t,t._self=t,function(e){var t=e.$options,n=t.parent;if(n&&!t.abstract){for(;n.$options.abstract&&n.$parent;)n=n.$parent;n.$children.push(e)}e.$parent=n,e.$root=n?n.$root:e,e.$children=[],e.$refs={},e._provided=n?n._provided:Object.create(null),e._watcher=null,e._inactive=null,e._directInactive=!1,e._isMounted=!1,e._isDestroyed=!1,e._isBeingDestroyed=!1}(t),function(e){e._events=Object.create(null),e._hasHookEvent=!1;var t=e.$options._parentListeners;t&&pZ(e,t)}(t),function(e){e._vnode=null,e._staticTrees=null;var t=e.$options,n=e.$vnode=t._parentVnode,r=n&&n.context;e.$slots=YJ(t._renderChildren,r),e.$scopedSlots=n?QJ(e.$parent,n.data.scopedSlots,e.$slots):UK,e._c=function(t,n,r,i){return NJ(e,t,n,r,i,!1)},e.$createElement=function(t,n,r,i){return NJ(e,t,n,r,i,!0)};var i=n&&n.data;mJ(e,"$attrs",i&&i.attrs||UK,null,!0),mJ(e,"$listeners",t._parentListeners||UK,null,!0)}(t),_Z(t,"beforeCreate",void 0,!1),function(e){var t=sQ(e.$options.inject,e);t&&(dJ(!1),Object.keys(t).forEach((function(n){mJ(e,n,t[n])})),dJ(!0))}(t),tQ(t),function(e){var t=e.$options.provide;if(t){var n=HK(t)?t.call(e):t;if(!$K(n))return;for(var r=function(e){var t=e._provided,n=e.$parent&&e.$parent._provided;return n===t?e._provided=Object.create(n):t}(e),i=$Y?Reflect.ownKeys(n):Object.keys(n),a=0;a<i.length;a++){var o=i[a];Object.defineProperty(r,o,Object.getOwnPropertyDescriptor(n,o))}}}(t),_Z(t,"created"),t.$options.el&&t.$mount(t.$options.el)}}(OQ),function(e){Object.defineProperty(e.prototype,"$data",{get:function(){return this._data}}),Object.defineProperty(e.prototype,"$props",{get:function(){return this._props}}),e.prototype.$set=gJ,e.prototype.$delete=vJ,e.prototype.$watch=function(e,t,n){var r=this;if(qK(t))return oQ(r,e,t,n);(n=n||{}).user=!0;var i=new ZZ(r,e,t,n);if(n.immediate){var a='callback for immediate watcher "'.concat(i.expression,'"');iJ(),kZ(t,r,[i.value],r,a),aJ()}return function(){i.teardown()}}}(OQ),function(e){var t=/^hook:/;e.prototype.$on=function(e,n){var r=this;if(VK(e))for(var i=0,a=e.length;i<a;i++)r.$on(e[i],n);else(r._events[e]||(r._events[e]=[])).push(n),t.test(e)&&(r._hasHookEvent=!0);return r},e.prototype.$once=function(e,t){var n=this;function r(){n.$off(e,r),t.apply(n,arguments)}return r.fn=t,n.$on(e,r),n},e.prototype.$off=function(e,t){var n=this;if(!arguments.length)return n._events=Object.create(null),n;if(VK(e)){for(var r=0,i=e.length;r<i;r++)n.$off(e[r],t);return n}var a,o=n._events[e];if(!o)return n;if(!t)return n._events[e]=null,n;for(var s=o.length;s--;)if((a=o[s])===t||a.fn===t){o.splice(s,1);break}return n},e.prototype.$emit=function(e){var t=this,n=t._events[e];if(n){n=n.length>1?pY(n):n;for(var r=pY(arguments,1),i='event handler for "'.concat(e,'"'),a=0,o=n.length;a<o;a++)kZ(n[a],t,r,t,i)}return t}}(OQ),function(e){e.prototype._update=function(e,t){var n=this,r=n.$el,i=n._vnode,a=gZ(n);n._vnode=e,n.$el=i?n.__patch__(i,e):n.__patch__(n.$el,e,t,!1),a(),r&&(r.__vue__=null),n.$el&&(n.$el.__vue__=n);for(var o=n;o&&o.$vnode&&o.$parent&&o.$vnode===o.$parent._vnode;)o.$parent.$el=o.$el,o=o.$parent},e.prototype.$forceUpdate=function(){this._watcher&&this._watcher.update()},e.prototype.$destroy=function(){var e=this;if(!e._isBeingDestroyed){_Z(e,"beforeDestroy"),e._isBeingDestroyed=!0;var t=e.$parent;!t||t._isBeingDestroyed||e.$options.abstract||rY(t.$children,e),e._scope.stop(),e._data.__ob__&&e._data.__ob__.vmCount--,e._isDestroyed=!0,e.__patch__(e._vnode,null),_Z(e,"destroyed"),e.$off(),e.$el&&(e.$el.__vue__=null),e.$vnode&&(e.$vnode.parent=null)}}}(OQ),function(e){KJ(e.prototype),e.prototype.$nextTick=function(e){return $Z(e,this)},e.prototype._render=function(){var e=this,t=e.$options,n=t.render,r=t._parentVnode;r&&e._isMounted&&(e.$scopedSlots=QJ(e.$parent,r.data.scopedSlots,e.$slots,e.$scopedSlots),e._slotsProxy&&iZ(e._slotsProxy,e.$scopedSlots)),e.$vnode=r;var i,a=XY,o=sZ;try{qY(e),sZ=e,i=n.call(e._renderProxy,e.$createElement)}catch(t){NZ(t,e,"render"),i=e._vnode}finally{sZ=o,qY(a)}return VK(i)&&1===i.length&&(i=i[0]),i instanceof KY||(i=YY()),i.parent=r,i}}(OQ);var FQ=[String,RegExp,Array],BQ={name:"keep-alive",abstract:!0,props:{include:FQ,exclude:FQ,max:[String,Number]},methods:{cacheVNode:function(){var e=this,t=e.cache,n=e.keys,r=e.vnodeToCache,i=e.keyToCache;if(r){var a=r.tag,o=r.componentInstance,s=r.componentOptions;t[i]={name:NQ(s),tag:a,componentInstance:o},n.push(i),this.max&&n.length>parseInt(this.max)&&LQ(t,n[0],n,this._vnode),this.vnodeToCache=null}}},created:function(){this.cache=Object.create(null),this.keys=[]},destroyed:function(){for(var e in this.cache)LQ(this.cache,e,this.keys)},mounted:function(){var e=this;this.cacheVNode(),this.$watch("include",(function(t){RQ(e,(function(e){return kQ(t,e)}))})),this.$watch("exclude",(function(t){RQ(e,(function(e){return!kQ(t,e)}))}))},updated:function(){this.cacheVNode()},render:function(){var e=this.$slots.default,t=cZ(e),n=t&&t.componentOptions;if(n){var r=NQ(n),i=this.include,a=this.exclude;if(i&&(!r||!kQ(i,r))||a&&r&&kQ(a,r))return t;var o=this.cache,s=this.keys,l=null==t.key?n.Ctor.cid+(n.tag?"::".concat(n.tag):""):t.key;o[l]?(t.componentInstance=o[l].componentInstance,rY(s,l),s.push(l)):(this.vnodeToCache=t,this.keyToCache=l),t.data.keepAlive=!0}return t||e&&e[0]}},UQ={KeepAlive:BQ};!function(e){var t={get:function(){return TY}};Object.defineProperty(e,"config",t),e.util={warn:yQ,extend:hY,mergeOptions:TQ,defineReactive:mJ},e.set=gJ,e.delete=vJ,e.nextTick=$Z,e.observable=function(e){return hJ(e),e},e.options=Object.create(null),AY.forEach((function(t){e.options[t+"s"]=Object.create(null)})),e.options._base=e,hY(e.options.components,UQ),function(e){e.use=function(e){var t=this._installedPlugins||(this._installedPlugins=[]);if(t.indexOf(e)>-1)return this;var n=pY(arguments,1);return n.unshift(this),HK(e.install)?e.install.apply(e,n):HK(e)&&e.apply(null,n),t.push(e),this}}(e),function(e){e.mixin=function(e){return this.options=TQ(this.options,e),this}}(e),function(e){e.cid=0;var t=1;e.extend=function(e){e=e||{};var n=this,r=n.cid,i=e._Ctor||(e._Ctor={});if(i[r])return i[r];var a=pQ(e)||pQ(n.options),o=function(e){this._init(e)};return(o.prototype=Object.create(n.prototype)).constructor=o,o.cid=t++,o.options=TQ(n.options,e),o.super=n,o.options.props&&function(e){var t=e.options.props;for(var n in t)eQ(e.prototype,"_props",n)}(o),o.options.computed&&function(e){var t=e.options.computed;for(var n in t)rQ(e.prototype,n,t[n])}(o),o.extend=n.extend,o.mixin=n.mixin,o.use=n.use,AY.forEach((function(e){o[e]=n[e]})),a&&(o.options.components[a]=o),o.superOptions=n.options,o.extendOptions=e,o.sealedOptions=hY({},o.options),i[r]=o,o}}(e),function(e){AY.forEach((function(t){e[t]=function(e,n){return n?("component"===t&&qK(n)&&(n.name=n.name||e,n=this.options._base.extend(n)),"directive"===t&&HK(n)&&(n={bind:n,update:n}),this.options[t+"s"][e]=n,n):this.options[t+"s"][e]}}))}(e)}(OQ),Object.defineProperty(OQ.prototype,"$isServer",{get:zY}),Object.defineProperty(OQ.prototype,"$ssrContext",{get:function(){return this.$vnode&&this.$vnode.ssrContext}}),Object.defineProperty(OQ,"FunctionalRenderContext",{value:uQ}),OQ.version="2.7.16";var VQ=eY("style,class"),GQ=eY("input,textarea,option,select,progress"),zQ=function(e,t,n){return"value"===n&&GQ(e)&&"button"!==t||"selected"===n&&"option"===e||"checked"===n&&"input"===e||"muted"===n&&"video"===e},jQ=eY("contenteditable,draggable,spellcheck"),WQ=eY("events,caret,typing,plaintext-only"),HQ=function(e,t){return YQ(t)||"false"===t?"false":"contenteditable"===e&&WQ(t)?t:"true"},$Q=eY("allowfullscreen,async,autofocus,autoplay,checked,compact,controls,declare,default,defaultchecked,defaultmuted,defaultselected,defer,disabled,enabled,formnovalidate,hidden,indeterminate,inert,ismap,itemscope,loop,multiple,muted,nohref,noresize,noshade,novalidate,nowrap,open,pauseonexit,readonly,required,reversed,scoped,seamless,selected,sortable,truespeed,typemustmatch,visible"),XQ="http://www.w3.org/1999/xlink",qQ=function(e){return":"===e.charAt(5)&&"xlink"===e.slice(0,5)},KQ=function(e){return qQ(e)?e.slice(6,e.length):""},YQ=function(e){return null==e||!1===e};function JQ(e,t){return{staticClass:ZQ(e.staticClass,t.staticClass),class:zK(e.class)?[e.class,t.class]:t.class}}function ZQ(e,t){return e?t?e+" "+t:e:t||""}function QQ(e){return Array.isArray(e)?function(e){for(var t,n="",r=0,i=e.length;r<i;r++)zK(t=QQ(e[r]))&&""!==t&&(n&&(n+=" "),n+=t);return n}(e):$K(e)?function(e){var t="";for(var n in e)e[n]&&(t&&(t+=" "),t+=n);return t}(e):"string"==typeof e?e:""}var e0={svg:"http://www.w3.org/2000/svg",math:"http://www.w3.org/1998/Math/MathML"},t0=eY("html,body,base,head,link,meta,style,title,address,article,aside,footer,header,h1,h2,h3,h4,h5,h6,hgroup,nav,section,div,dd,dl,dt,figcaption,figure,picture,hr,img,li,main,ol,p,pre,ul,a,b,abbr,bdi,bdo,br,cite,code,data,dfn,em,i,kbd,mark,q,rp,rt,rtc,ruby,s,samp,small,span,strong,sub,sup,time,u,var,wbr,area,audio,map,track,video,embed,object,param,source,canvas,script,noscript,del,ins,caption,col,colgroup,table,thead,tbody,td,th,tr,button,datalist,fieldset,form,input,label,legend,meter,optgroup,option,output,progress,select,textarea,details,dialog,menu,menuitem,summary,content,element,shadow,template,blockquote,iframe,tfoot"),n0=eY("svg,animate,circle,clippath,cursor,defs,desc,ellipse,filter,font-face,foreignobject,g,glyph,image,line,marker,mask,missing-glyph,path,pattern,polygon,polyline,rect,switch,symbol,text,textpath,tspan,use,view",!0),r0=function(e){return t0(e)||n0(e)};function i0(e){return n0(e)?"svg":"math"===e?"math":void 0}var a0=Object.create(null),o0=eY("text,number,password,search,email,tel,url");function s0(e){return"string"==typeof e?document.querySelector(e)||document.createElement("div"):e}var l0=Object.freeze({__proto__:null,createElement:function(e,t){var n=document.createElement(e);return"select"!==e||t.data&&t.data.attrs&&void 0!==t.data.attrs.multiple&&n.setAttribute("multiple","multiple"),n},createElementNS:function(e,t){return document.createElementNS(e0[e],t)},createTextNode:function(e){return document.createTextNode(e)},createComment:function(e){return document.createComment(e)},insertBefore:function(e,t,n){e.insertBefore(t,n)},removeChild:function(e,t){e.removeChild(t)},appendChild:function(e,t){e.appendChild(t)},parentNode:function(e){return e.parentNode},nextSibling:function(e){return e.nextSibling},tagName:function(e){return e.tagName},setTextContent:function(e,t){e.textContent=t},setStyleScope:function(e,t){e.setAttribute(t,"")}}),c0={create:function(e,t){u0(t)},update:function(e,t){e.data.ref!==t.data.ref&&(u0(e,!0),u0(t))},destroy:function(e){u0(e,!0)}};function u0(e,t){var n=e.data.ref;if(zK(n)){var r=e.context,i=e.componentInstance||e.elm,a=t?null:i,o=t?void 0:i;if(HK(n))kZ(n,r,[a],r,"template ref function");else{var s=e.data.refInFor,l="string"==typeof n||"number"==typeof n,c=xJ(n),u=r.$refs;if(l||c)if(s){var d=l?u[n]:n.value;t?VK(d)&&rY(d,i):VK(d)?d.includes(i)||d.push(i):l?(u[n]=[i],d0(r,n,u[n])):n.value=[i]}else if(l){if(t&&u[n]!==i)return;u[n]=o,d0(r,n,a)}else if(c){if(t&&n.value!==i)return;n.value=a}}}}function d0(e,t,n){var r=e._setupState;r&&aY(r,t)&&(xJ(r[t])?r[t].value=n:r[t]=n)}var f0=new KY("",{},[]),p0=["create","activate","update","remove","destroy"];function h0(e,t){return e.key===t.key&&e.asyncFactory===t.asyncFactory&&(e.tag===t.tag&&e.isComment===t.isComment&&zK(e.data)===zK(t.data)&&function(e,t){if("input"!==e.tag)return!0;var n,r=zK(n=e.data)&&zK(n=n.attrs)&&n.type,i=zK(n=t.data)&&zK(n=n.attrs)&&n.type;return r===i||o0(r)&&o0(i)}(e,t)||jK(e.isAsyncPlaceholder)&&GK(t.asyncFactory.error))}function m0(e,t,n){var r,i,a={};for(r=t;r<=n;++r)zK(i=e[r].key)&&(a[i]=r);return a}var g0={create:v0,update:v0,destroy:function(e){v0(e,f0)}};function v0(e,t){(e.data.directives||t.data.directives)&&function(e,t){var n,r,i,a=e===f0,o=t===f0,s=b0(e.data.directives,e.context),l=b0(t.data.directives,t.context),c=[],u=[];for(n in l)r=s[n],i=l[n],r?(i.oldValue=r.value,i.oldArg=r.arg,x0(i,"update",t,e),i.def&&i.def.componentUpdated&&u.push(i)):(x0(i,"bind",t,e),i.def&&i.def.inserted&&c.push(i));if(c.length){var d=function(){for(var n=0;n<c.length;n++)x0(c[n],"inserted",t,e)};a?CJ(t,"insert",d):d()}if(u.length&&CJ(t,"postpatch",(function(){for(var n=0;n<u.length;n++)x0(u[n],"componentUpdated",t,e)})),!a)for(n in s)l[n]||x0(s[n],"unbind",e,e,o)}(e,t)}var y0=Object.create(null);function b0(e,t){var n,r,i=Object.create(null);if(!e)return i;for(n=0;n<e.length;n++){if((r=e[n]).modifiers||(r.modifiers=y0),i[_0(r)]=r,t._setupState&&t._setupState.__sfc){var a=r.def||CQ(t,"_setupState","v-"+r.name);r.def="function"==typeof a?{bind:a,update:a}:a}r.def=r.def||CQ(t.$options,"directives",r.name)}return i}function _0(e){return e.rawName||"".concat(e.name,".").concat(Object.keys(e.modifiers||{}).join("."))}function x0(e,t,n,r,i){var a=e.def&&e.def[t];if(a)try{a(n.elm,e,n,r,i)}catch(r){NZ(r,n.context,"directive ".concat(e.name," ").concat(t," hook"))}}var w0=[c0,g0];function A0(e,t){var n=t.componentOptions;if(!(zK(n)&&!1===n.Ctor.options.inheritAttrs||GK(e.data.attrs)&&GK(t.data.attrs))){var r,i,a=t.elm,o=e.data.attrs||{},s=t.data.attrs||{};for(r in(zK(s.__ob__)||jK(s._v_attr_proxy))&&(s=t.data.attrs=hY({},s)),s)i=s[r],o[r]!==i&&S0(a,r,i,t.data.pre);for(r in(NY||RY)&&s.value!==o.value&&S0(a,"value",s.value),o)GK(s[r])&&(qQ(r)?a.removeAttributeNS(XQ,KQ(r)):jQ(r)||a.removeAttribute(r))}}function S0(e,t,n,r){r||e.tagName.indexOf("-")>-1?T0(e,t,n):$Q(t)?YQ(n)?e.removeAttribute(t):(n="allowfullscreen"===t&&"EMBED"===e.tagName?"true":t,e.setAttribute(t,n)):jQ(t)?e.setAttribute(t,HQ(t,n)):qQ(t)?YQ(n)?e.removeAttributeNS(XQ,KQ(t)):e.setAttributeNS(XQ,t,n):T0(e,t,n)}function T0(e,t,n){if(YQ(n))e.removeAttribute(t);else{if(NY&&!kY&&"TEXTAREA"===e.tagName&&"placeholder"===t&&""!==n&&!e.__ieph){var r=function(t){t.stopImmediatePropagation(),e.removeEventListener("input",r)};e.addEventListener("input",r),e.__ieph=!0}e.setAttribute(t,n)}}var C0={create:A0,update:A0};function E0(e,t){var n=t.elm,r=t.data,i=e.data;if(!(GK(r.staticClass)&&GK(r.class)&&(GK(i)||GK(i.staticClass)&&GK(i.class)))){var a=function(e){for(var t=e.data,n=e,r=e;zK(r.componentInstance);)(r=r.componentInstance._vnode)&&r.data&&(t=JQ(r.data,t));for(;zK(n=n.parent);)n&&n.data&&(t=JQ(t,n.data));return i=t.staticClass,a=t.class,zK(i)||zK(a)?ZQ(i,QQ(a)):"";var i,a}(t),o=n._transitionClasses;zK(o)&&(a=ZQ(a,QQ(o))),a!==n._prevClass&&(n.setAttribute("class",a),n._prevClass=a)}}var M0,D0,P0,I0,O0,N0,k0={create:E0,update:E0},R0=/[\w).+\-_$\]]/;function L0(e){var t,n,r,i,a,o=!1,s=!1,l=!1,c=!1,u=0,d=0,f=0,p=0;for(r=0;r<e.length;r++)if(n=t,t=e.charCodeAt(r),o)39===t&&92!==n&&(o=!1);else if(s)34===t&&92!==n&&(s=!1);else if(l)96===t&&92!==n&&(l=!1);else if(c)47===t&&92!==n&&(c=!1);else if(124!==t||124===e.charCodeAt(r+1)||124===e.charCodeAt(r-1)||u||d||f){switch(t){case 34:s=!0;break;case 39:o=!0;break;case 96:l=!0;break;case 40:f++;break;case 41:f--;break;case 91:d++;break;case 93:d--;break;case 123:u++;break;case 125:u--}if(47===t){for(var h=r-1,m=void 0;h>=0&&" "===(m=e.charAt(h));h--);m&&R0.test(m)||(c=!0)}}else void 0===i?(p=r+1,i=e.slice(0,r).trim()):g();function g(){(a||(a=[])).push(e.slice(p,r).trim()),p=r+1}if(void 0===i?i=e.slice(0,r).trim():0!==p&&g(),a)for(r=0;r<a.length;r++)i=F0(i,a[r]);return i}function F0(e,t){var n=t.indexOf("(");if(n<0)return'_f("'.concat(t,'")(').concat(e,")");var r=t.slice(0,n),i=t.slice(n+1);return'_f("'.concat(r,'")(').concat(e).concat(")"!==i?","+i:i)}function B0(e,t){console.error("[Vue compiler]: ".concat(e))}function U0(e,t){return e?e.map((function(e){return e[t]})).filter((function(e){return e})):[]}function V0(e,t,n,r,i){(e.props||(e.props=[])).push(K0({name:t,value:n,dynamic:i},r)),e.plain=!1}function G0(e,t,n,r,i){(i?e.dynamicAttrs||(e.dynamicAttrs=[]):e.attrs||(e.attrs=[])).push(K0({name:t,value:n,dynamic:i},r)),e.plain=!1}function z0(e,t,n,r){e.attrsMap[t]=n,e.attrsList.push(K0({name:t,value:n},r))}function j0(e,t,n,r,i,a,o,s){(e.directives||(e.directives=[])).push(K0({name:t,rawName:n,value:r,arg:i,isDynamicArg:a,modifiers:o},s)),e.plain=!1}function W0(e,t,n){return n?"_p(".concat(t,',"').concat(e,'")'):e+t}function H0(e,t,n,r,i,a,o,s){var l;(r=r||UK).right?s?t="(".concat(t,")==='click'?'contextmenu':(").concat(t,")"):"click"===t&&(t="contextmenu",delete r.right):r.middle&&(s?t="(".concat(t,")==='click'?'mouseup':(").concat(t,")"):"click"===t&&(t="mouseup")),r.capture&&(delete r.capture,t=W0("!",t,s)),r.once&&(delete r.once,t=W0("~",t,s)),r.passive&&(delete r.passive,t=W0("&",t,s)),r.native?(delete r.native,l=e.nativeEvents||(e.nativeEvents={})):l=e.events||(e.events={});var c=K0({value:n.trim(),dynamic:s},o);r!==UK&&(c.modifiers=r);var u=l[t];Array.isArray(u)?i?u.unshift(c):u.push(c):l[t]=u?i?[c,u]:[u,c]:c,e.plain=!1}function $0(e,t,n){var r=X0(e,":"+t)||X0(e,"v-bind:"+t);if(null!=r)return L0(r);if(!1!==n){var i=X0(e,t);if(null!=i)return JSON.stringify(i)}}function X0(e,t,n){var r;if(null!=(r=e.attrsMap[t]))for(var i=e.attrsList,a=0,o=i.length;a<o;a++)if(i[a].name===t){i.splice(a,1);break}return n&&delete e.attrsMap[t],r}function q0(e,t){for(var n=e.attrsList,r=0,i=n.length;r<i;r++){var a=n[r];if(t.test(a.name))return n.splice(r,1),a}}function K0(e,t){return t&&(null!=t.start&&(e.start=t.start),null!=t.end&&(e.end=t.end)),e}function Y0(e,t,n){var r=n||{},i=r.number,a="$$v",o=a;r.trim&&(o="(typeof ".concat(a," === 'string'")+"? ".concat(a,".trim()")+": ".concat(a,")")),i&&(o="_n(".concat(o,")"));var s=J0(t,o);e.model={value:"(".concat(t,")"),expression:JSON.stringify(t),callback:"function (".concat(a,") {").concat(s,"}")}}function J0(e,t){var n=function(e){if(e=e.trim(),M0=e.length,e.indexOf("[")<0||e.lastIndexOf("]")<M0-1)return(I0=e.lastIndexOf("."))>-1?{exp:e.slice(0,I0),key:'"'+e.slice(I0+1)+'"'}:{exp:e,key:null};for(D0=e,I0=O0=N0=0;!Q0();)e1(P0=Z0())?n1(P0):91===P0&&t1(P0);return{exp:e.slice(0,O0),key:e.slice(O0+1,N0)}}(e);return null===n.key?"".concat(e,"=").concat(t):"$set(".concat(n.exp,", ").concat(n.key,", ").concat(t,")")}function Z0(){return D0.charCodeAt(++I0)}function Q0(){return I0>=M0}function e1(e){return 34===e||39===e}function t1(e){var t=1;for(O0=I0;!Q0();)if(e1(e=Z0()))n1(e);else if(91===e&&t++,93===e&&t--,0===t){N0=I0;break}}function n1(e){for(var t=e;!Q0()&&(e=Z0())!==t;);}var r1,i1="__r",a1="__c";function o1(e,t,n){var r=r1;return function i(){null!==t.apply(null,arguments)&&c1(e,i,n,r)}}var s1=BZ&&!(BY&&Number(BY[1])<=53);function l1(e,t,n,r){if(s1){var i=EZ,a=t;t=a._wrapper=function(e){if(e.target===e.currentTarget||e.timeStamp>=i||e.timeStamp<=0||e.target.ownerDocument!==document)return a.apply(this,arguments)}}r1.addEventListener(e,t,VY?{capture:n,passive:r}:n)}function c1(e,t,n,r){(r||r1).removeEventListener(e,t._wrapper||t,n)}function u1(e,t){if(!GK(e.data.on)||!GK(t.data.on)){var n=t.data.on||{},r=e.data.on||{};r1=t.elm||e.elm,function(e){if(zK(e[i1])){var t=NY?"change":"input";e[t]=[].concat(e[i1],e[t]||[]),delete e[i1]}zK(e[a1])&&(e.change=[].concat(e[a1],e.change||[]),delete e[a1])}(n),TJ(n,r,l1,c1,o1,t.context),r1=void 0}}var d1,f1={create:u1,update:u1,destroy:function(e){return u1(e,f0)}};function p1(e,t){if(!GK(e.data.domProps)||!GK(t.data.domProps)){var n,r,i=t.elm,a=e.data.domProps||{},o=t.data.domProps||{};for(n in(zK(o.__ob__)||jK(o._v_attr_proxy))&&(o=t.data.domProps=hY({},o)),a)n in o||(i[n]="");for(n in o){if(r=o[n],"textContent"===n||"innerHTML"===n){if(t.children&&(t.children.length=0),r===a[n])continue;1===i.childNodes.length&&i.removeChild(i.childNodes[0])}if("value"===n&&"PROGRESS"!==i.tagName){i._value=r;var s=GK(r)?"":String(r);h1(i,s)&&(i.value=s)}else if("innerHTML"===n&&n0(i.tagName)&&GK(i.innerHTML)){(d1=d1||document.createElement("div")).innerHTML="<svg>".concat(r,"</svg>");for(var l=d1.firstChild;i.firstChild;)i.removeChild(i.firstChild);for(;l.firstChild;)i.appendChild(l.firstChild)}else if(r!==a[n])try{i[n]=r}catch(e){}}}}function h1(e,t){return!e.composing&&("OPTION"===e.tagName||function(e,t){var n=!0;try{n=document.activeElement!==e}catch(e){}return n&&e.value!==t}(e,t)||function(e,t){var n=e.value,r=e._vModifiers;if(zK(r)){if(r.number)return QK(n)!==QK(t);if(r.trim)return n.trim()!==t.trim()}return n!==t}(e,t))}var m1={create:p1,update:p1},g1=oY((function(e){var t={},n=/:(.+)/;return e.split(/;(?![^(]*\))/g).forEach((function(e){if(e){var r=e.split(n);r.length>1&&(t[r[0].trim()]=r[1].trim())}})),t}));function v1(e){var t=y1(e.style);return e.staticStyle?hY(e.staticStyle,t):t}function y1(e){return Array.isArray(e)?mY(e):"string"==typeof e?g1(e):e}var b1,_1=/^--/,x1=/\s*!important$/,w1=function(e,t,n){if(_1.test(t))e.style.setProperty(t,n);else if(x1.test(n))e.style.setProperty(dY(t),n.replace(x1,""),"important");else{var r=S1(t);if(Array.isArray(n))for(var i=0,a=n.length;i<a;i++)e.style[r]=n[i];else e.style[r]=n}},A1=["Webkit","Moz","ms"],S1=oY((function(e){if(b1=b1||document.createElement("div").style,"filter"!==(e=lY(e))&&e in b1)return e;for(var t=e.charAt(0).toUpperCase()+e.slice(1),n=0;n<A1.length;n++){var r=A1[n]+t;if(r in b1)return r}}));function T1(e,t){var n=t.data,r=e.data;if(!(GK(n.staticStyle)&&GK(n.style)&&GK(r.staticStyle)&&GK(r.style))){var i,a,o=t.elm,s=r.staticStyle,l=r.normalizedStyle||r.style||{},c=s||l,u=y1(t.data.style)||{};t.data.normalizedStyle=zK(u.__ob__)?hY({},u):u;var d=function(e,t){for(var n,r={},i=e;i.componentInstance;)(i=i.componentInstance._vnode)&&i.data&&(n=v1(i.data))&&hY(r,n);(n=v1(e.data))&&hY(r,n);for(var a=e;a=a.parent;)a.data&&(n=v1(a.data))&&hY(r,n);return r}(t);for(a in c)GK(d[a])&&w1(o,a,"");for(a in d)i=d[a],w1(o,a,null==i?"":i)}}var C1={create:T1,update:T1},E1=/\s+/;function M1(e,t){if(t&&(t=t.trim()))if(e.classList)t.indexOf(" ")>-1?t.split(E1).forEach((function(t){return e.classList.add(t)})):e.classList.add(t);else{var n=" ".concat(e.getAttribute("class")||""," ");n.indexOf(" "+t+" ")<0&&e.setAttribute("class",(n+t).trim())}}function D1(e,t){if(t&&(t=t.trim()))if(e.classList)t.indexOf(" ")>-1?t.split(E1).forEach((function(t){return e.classList.remove(t)})):e.classList.remove(t),e.classList.length||e.removeAttribute("class");else{for(var n=" ".concat(e.getAttribute("class")||""," "),r=" "+t+" ";n.indexOf(r)>=0;)n=n.replace(r," ");(n=n.trim())?e.setAttribute("class",n):e.removeAttribute("class")}}function P1(e){if(e){if("object"==typeof e){var t={};return!1!==e.css&&hY(t,I1(e.name||"v")),hY(t,e),t}return"string"==typeof e?I1(e):void 0}}var I1=oY((function(e){return{enterClass:"".concat(e,"-enter"),enterToClass:"".concat(e,"-enter-to"),enterActiveClass:"".concat(e,"-enter-active"),leaveClass:"".concat(e,"-leave"),leaveToClass:"".concat(e,"-leave-to"),leaveActiveClass:"".concat(e,"-leave-active")}})),O1=IY&&!kY,N1="transition",k1="animation",R1="transition",L1="transitionend",F1="animation",B1="animationend";O1&&(void 0===window.ontransitionend&&void 0!==window.onwebkittransitionend&&(R1="WebkitTransition",L1="webkitTransitionEnd"),void 0===window.onanimationend&&void 0!==window.onwebkitanimationend&&(F1="WebkitAnimation",B1="webkitAnimationEnd"));var U1=IY?window.requestAnimationFrame?window.requestAnimationFrame.bind(window):setTimeout:function(e){return e()};function V1(e){U1((function(){U1(e)}))}function G1(e,t){var n=e._transitionClasses||(e._transitionClasses=[]);n.indexOf(t)<0&&(n.push(t),M1(e,t))}function z1(e,t){e._transitionClasses&&rY(e._transitionClasses,t),D1(e,t)}function j1(e,t,n){var r=H1(e,t),i=r.type,a=r.timeout,o=r.propCount;if(!i)return n();var s=i===N1?L1:B1,l=0,c=function(){e.removeEventListener(s,u),n()},u=function(t){t.target===e&&++l>=o&&c()};setTimeout((function(){l<o&&c()}),a+1),e.addEventListener(s,u)}var W1=/\b(transform|all)(,|$)/;function H1(e,t){var n,r=window.getComputedStyle(e),i=(r[R1+"Delay"]||"").split(", "),a=(r[R1+"Duration"]||"").split(", "),o=$1(i,a),s=(r[F1+"Delay"]||"").split(", "),l=(r[F1+"Duration"]||"").split(", "),c=$1(s,l),u=0,d=0;return t===N1?o>0&&(n=N1,u=o,d=a.length):t===k1?c>0&&(n=k1,u=c,d=l.length):d=(n=(u=Math.max(o,c))>0?o>c?N1:k1:null)?n===N1?a.length:l.length:0,{type:n,timeout:u,propCount:d,hasTransform:n===N1&&W1.test(r[R1+"Property"])}}function $1(e,t){for(;e.length<t.length;)e=e.concat(e);return Math.max.apply(null,t.map((function(t,n){return X1(t)+X1(e[n])})))}function X1(e){return 1e3*Number(e.slice(0,-1).replace(",","."))}function q1(e,t){var n=e.elm;zK(n._leaveCb)&&(n._leaveCb.cancelled=!0,n._leaveCb());var r=P1(e.data.transition);if(!GK(r)&&!zK(n._enterCb)&&1===n.nodeType){for(var i=r.css,a=r.type,o=r.enterClass,s=r.enterToClass,l=r.enterActiveClass,c=r.appearClass,u=r.appearToClass,d=r.appearActiveClass,f=r.beforeEnter,p=r.enter,h=r.afterEnter,m=r.enterCancelled,g=r.beforeAppear,v=r.appear,y=r.afterAppear,b=r.appearCancelled,_=r.duration,x=mZ,w=mZ.$vnode;w&&w.parent;)x=w.context,w=w.parent;var A=!x._isMounted||!e.isRootInsert;if(!A||v||""===v){var S=A&&c?c:o,T=A&&d?d:l,C=A&&u?u:s,E=A&&g||f,M=A&&HK(v)?v:p,D=A&&y||h,P=A&&b||m,I=QK($K(_)?_.enter:_),O=!1!==i&&!kY,N=J1(M),k=n._enterCb=xY((function(){O&&(z1(n,C),z1(n,T)),k.cancelled?(O&&z1(n,S),P&&P(n)):D&&D(n),n._enterCb=null}));e.data.show||CJ(e,"insert",(function(){var t=n.parentNode,r=t&&t._pending&&t._pending[e.key];r&&r.tag===e.tag&&r.elm._leaveCb&&r.elm._leaveCb(),M&&M(n,k)})),E&&E(n),O&&(G1(n,S),G1(n,T),V1((function(){z1(n,S),k.cancelled||(G1(n,C),N||(Y1(I)?setTimeout(k,I):j1(n,a,k)))}))),e.data.show&&(t&&t(),M&&M(n,k)),O||N||k()}}}function K1(e,t){var n=e.elm;zK(n._enterCb)&&(n._enterCb.cancelled=!0,n._enterCb());var r=P1(e.data.transition);if(GK(r)||1!==n.nodeType)return t();if(!zK(n._leaveCb)){var i=r.css,a=r.type,o=r.leaveClass,s=r.leaveToClass,l=r.leaveActiveClass,c=r.beforeLeave,u=r.leave,d=r.afterLeave,f=r.leaveCancelled,p=r.delayLeave,h=r.duration,m=!1!==i&&!kY,g=J1(u),v=QK($K(h)?h.leave:h),y=n._leaveCb=xY((function(){n.parentNode&&n.parentNode._pending&&(n.parentNode._pending[e.key]=null),m&&(z1(n,s),z1(n,l)),y.cancelled?(m&&z1(n,o),f&&f(n)):(t(),d&&d(n)),n._leaveCb=null}));p?p(b):b()}function b(){y.cancelled||(!e.data.show&&n.parentNode&&((n.parentNode._pending||(n.parentNode._pending={}))[e.key]=e),c&&c(n),m&&(G1(n,o),G1(n,l),V1((function(){z1(n,o),y.cancelled||(G1(n,s),g||(Y1(v)?setTimeout(y,v):j1(n,a,y)))}))),u&&u(n,y),m||g||y())}}function Y1(e){return"number"==typeof e&&!isNaN(e)}function J1(e){if(GK(e))return!1;var t=e.fns;return zK(t)?J1(Array.isArray(t)?t[0]:t):(e._length||e.length)>1}function Z1(e,t){!0!==t.data.show&&q1(t)}var Q1=function(e){var t,n,r={},i=e.modules,a=e.nodeOps;for(t=0;t<p0.length;++t)for(r[p0[t]]=[],n=0;n<i.length;++n)zK(i[n][p0[t]])&&r[p0[t]].push(i[n][p0[t]]);function o(e){var t=a.parentNode(e);zK(t)&&a.removeChild(t,e)}function s(e,t,n,i,o,s,d){if(zK(e.elm)&&zK(s)&&(e=s[d]=ZY(e)),e.isRootInsert=!o,!function(e,t,n,i){var a=e.data;if(zK(a)){var o=zK(e.componentInstance)&&a.keepAlive;if(zK(a=a.hook)&&zK(a=a.init)&&a(e,!1),zK(e.componentInstance))return l(e,t),c(n,e.elm,i),jK(o)&&function(e,t,n,i){for(var a,o=e;o.componentInstance;)if(zK(a=(o=o.componentInstance._vnode).data)&&zK(a=a.transition)){for(a=0;a<r.activate.length;++a)r.activate[a](f0,o);t.push(o);break}c(n,e.elm,i)}(e,t,n,i),!0}}(e,t,n,i)){var h=e.data,m=e.children,g=e.tag;zK(g)?(e.elm=e.ns?a.createElementNS(e.ns,g):a.createElement(g,e),p(e),u(e,m,t),zK(h)&&f(e,t),c(n,e.elm,i)):jK(e.isComment)?(e.elm=a.createComment(e.text),c(n,e.elm,i)):(e.elm=a.createTextNode(e.text),c(n,e.elm,i))}}function l(e,t){zK(e.data.pendingInsert)&&(t.push.apply(t,e.data.pendingInsert),e.data.pendingInsert=null),e.elm=e.componentInstance.$el,d(e)?(f(e,t),p(e)):(u0(e),t.push(e))}function c(e,t,n){zK(e)&&(zK(n)?a.parentNode(n)===e&&a.insertBefore(e,t,n):a.appendChild(e,t))}function u(e,t,n){if(VK(t))for(var r=0;r<t.length;++r)s(t[r],n,e.elm,null,!0,t,r);else WK(e.text)&&a.appendChild(e.elm,a.createTextNode(String(e.text)))}function d(e){for(;e.componentInstance;)e=e.componentInstance._vnode;return zK(e.tag)}function f(e,n){for(var i=0;i<r.create.length;++i)r.create[i](f0,e);zK(t=e.data.hook)&&(zK(t.create)&&t.create(f0,e),zK(t.insert)&&n.push(e))}function p(e){var t;if(zK(t=e.fnScopeId))a.setStyleScope(e.elm,t);else for(var n=e;n;)zK(t=n.context)&&zK(t=t.$options._scopeId)&&a.setStyleScope(e.elm,t),n=n.parent;zK(t=mZ)&&t!==e.context&&t!==e.fnContext&&zK(t=t.$options._scopeId)&&a.setStyleScope(e.elm,t)}function h(e,t,n,r,i,a){for(;r<=i;++r)s(n[r],a,e,t,!1,n,r)}function m(e){var t,n,i=e.data;if(zK(i))for(zK(t=i.hook)&&zK(t=t.destroy)&&t(e),t=0;t<r.destroy.length;++t)r.destroy[t](e);if(zK(t=e.children))for(n=0;n<e.children.length;++n)m(e.children[n])}function g(e,t,n){for(;t<=n;++t){var r=e[t];zK(r)&&(zK(r.tag)?(v(r),m(r)):o(r.elm))}}function v(e,t){if(zK(t)||zK(e.data)){var n,i=r.remove.length+1;for(zK(t)?t.listeners+=i:t=function(e,t){function n(){0==--n.listeners&&o(e)}return n.listeners=t,n}(e.elm,i),zK(n=e.componentInstance)&&zK(n=n._vnode)&&zK(n.data)&&v(n,t),n=0;n<r.remove.length;++n)r.remove[n](e,t);zK(n=e.data.hook)&&zK(n=n.remove)?n(e,t):t()}else o(e.elm)}function y(e,t,n,r){for(var i=n;i<r;i++){var a=t[i];if(zK(a)&&h0(e,a))return i}}function b(e,t,n,i,o,l){if(e!==t){zK(t.elm)&&zK(i)&&(t=i[o]=ZY(t));var c=t.elm=e.elm;if(jK(e.isAsyncPlaceholder))zK(t.asyncFactory.resolved)?w(e.elm,t,n):t.isAsyncPlaceholder=!0;else if(jK(t.isStatic)&&jK(e.isStatic)&&t.key===e.key&&(jK(t.isCloned)||jK(t.isOnce)))t.componentInstance=e.componentInstance;else{var u,f=t.data;zK(f)&&zK(u=f.hook)&&zK(u=u.prepatch)&&u(e,t);var p=e.children,m=t.children;if(zK(f)&&d(t)){for(u=0;u<r.update.length;++u)r.update[u](e,t);zK(u=f.hook)&&zK(u=u.update)&&u(e,t)}GK(t.text)?zK(p)&&zK(m)?p!==m&&function(e,t,n,r,i){for(var o,l,c,u=0,d=0,f=t.length-1,p=t[0],m=t[f],v=n.length-1,_=n[0],x=n[v],w=!i;u<=f&&d<=v;)GK(p)?p=t[++u]:GK(m)?m=t[--f]:h0(p,_)?(b(p,_,r,n,d),p=t[++u],_=n[++d]):h0(m,x)?(b(m,x,r,n,v),m=t[--f],x=n[--v]):h0(p,x)?(b(p,x,r,n,v),w&&a.insertBefore(e,p.elm,a.nextSibling(m.elm)),p=t[++u],x=n[--v]):h0(m,_)?(b(m,_,r,n,d),w&&a.insertBefore(e,m.elm,p.elm),m=t[--f],_=n[++d]):(GK(o)&&(o=m0(t,u,f)),GK(l=zK(_.key)?o[_.key]:y(_,t,u,f))?s(_,r,e,p.elm,!1,n,d):h0(c=t[l],_)?(b(c,_,r,n,d),t[l]=void 0,w&&a.insertBefore(e,c.elm,p.elm)):s(_,r,e,p.elm,!1,n,d),_=n[++d]);u>f?h(e,GK(n[v+1])?null:n[v+1].elm,n,d,v,r):d>v&&g(t,u,f)}(c,p,m,n,l):zK(m)?(zK(e.text)&&a.setTextContent(c,""),h(c,null,m,0,m.length-1,n)):zK(p)?g(p,0,p.length-1):zK(e.text)&&a.setTextContent(c,""):e.text!==t.text&&a.setTextContent(c,t.text),zK(f)&&zK(u=f.hook)&&zK(u=u.postpatch)&&u(e,t)}}}function _(e,t,n){if(jK(n)&&zK(e.parent))e.parent.data.pendingInsert=t;else for(var r=0;r<t.length;++r)t[r].data.hook.insert(t[r])}var x=eY("attrs,class,staticClass,staticStyle,key");function w(e,t,n,r){var i,a=t.tag,o=t.data,s=t.children;if(r=r||o&&o.pre,t.elm=e,jK(t.isComment)&&zK(t.asyncFactory))return t.isAsyncPlaceholder=!0,!0;if(zK(o)&&(zK(i=o.hook)&&zK(i=i.init)&&i(t,!0),zK(i=t.componentInstance)))return l(t,n),!0;if(zK(a)){if(zK(s))if(e.hasChildNodes())if(zK(i=o)&&zK(i=i.domProps)&&zK(i=i.innerHTML)){if(i!==e.innerHTML)return!1}else{for(var c=!0,d=e.firstChild,p=0;p<s.length;p++){if(!d||!w(d,s[p],n,r)){c=!1;break}d=d.nextSibling}if(!c||d)return!1}else u(t,s,n);if(zK(o)){var h=!1;for(var m in o)if(!x(m)){h=!0,f(t,n);break}!h&&o.class&&KZ(o.class)}}else e.data!==t.text&&(e.data=t.text);return!0}return function(e,t,n,i){if(!GK(t)){var o,l=!1,c=[];if(GK(e))l=!0,s(t,c);else{var u=zK(e.nodeType);if(!u&&h0(e,t))b(e,t,c,null,null,i);else{if(u){if(1===e.nodeType&&e.hasAttribute(wY)&&(e.removeAttribute(wY),n=!0),jK(n)&&w(e,t,c))return _(t,c,!0),e;o=e,e=new KY(a.tagName(o).toLowerCase(),{},[],void 0,o)}var f=e.elm,p=a.parentNode(f);if(s(t,c,f._leaveCb?null:p,a.nextSibling(f)),zK(t.parent))for(var h=t.parent,v=d(t);h;){for(var y=0;y<r.destroy.length;++y)r.destroy[y](h);if(h.elm=t.elm,v){for(var x=0;x<r.create.length;++x)r.create[x](f0,h);var A=h.data.hook.insert;if(A.merged)for(var S=A.fns.slice(1),T=0;T<S.length;T++)S[T]()}else u0(h);h=h.parent}zK(p)?g([e],0,0):zK(e.tag)&&m(e)}}return _(t,c,l),t.elm}zK(e)&&m(e)}}({nodeOps:l0,modules:[C0,k0,f1,m1,C1,IY?{create:Z1,activate:Z1,remove:function(e,t){!0!==e.data.show?K1(e,t):t()}}:{}].concat(w0)});kY&&document.addEventListener("selectionchange",(function(){var e=document.activeElement;e&&e.vmodel&&s2(e,"input")}));var e2={inserted:function(e,t,n,r){"select"===n.tag?(r.elm&&!r.elm._vOptions?CJ(n,"postpatch",(function(){e2.componentUpdated(e,t,n)})):t2(e,t,n.context),e._vOptions=[].map.call(e.options,i2)):("textarea"===n.tag||o0(e.type))&&(e._vModifiers=t.modifiers,t.modifiers.lazy||(e.addEventListener("compositionstart",a2),e.addEventListener("compositionend",o2),e.addEventListener("change",o2),kY&&(e.vmodel=!0)))},componentUpdated:function(e,t,n){if("select"===n.tag){t2(e,t,n.context);var r=e._vOptions,i=e._vOptions=[].map.call(e.options,i2);i.some((function(e,t){return!bY(e,r[t])}))&&(e.multiple?t.value.some((function(e){return r2(e,i)})):t.value!==t.oldValue&&r2(t.value,i))&&s2(e,"change")}}};function t2(e,t,n){n2(e,t),(NY||RY)&&setTimeout((function(){n2(e,t)}),0)}function n2(e,t,n){var r=t.value,i=e.multiple;if(!i||Array.isArray(r)){for(var a,o,s=0,l=e.options.length;s<l;s++)if(o=e.options[s],i)a=_Y(r,i2(o))>-1,o.selected!==a&&(o.selected=a);else if(bY(i2(o),r))return void(e.selectedIndex!==s&&(e.selectedIndex=s));i||(e.selectedIndex=-1)}}function r2(e,t){return t.every((function(t){return!bY(t,e)}))}function i2(e){return"_value"in e?e._value:e.value}function a2(e){e.target.composing=!0}function o2(e){e.target.composing&&(e.target.composing=!1,s2(e.target,"input"))}function s2(e,t){var n=document.createEvent("HTMLEvents");n.initEvent(t,!0,!0),e.dispatchEvent(n)}function l2(e){return!e.componentInstance||e.data&&e.data.transition?e:l2(e.componentInstance._vnode)}var c2={bind:function(e,t,n){var r=t.value,i=(n=l2(n)).data&&n.data.transition,a=e.__vOriginalDisplay="none"===e.style.display?"":e.style.display;r&&i?(n.data.show=!0,q1(n,(function(){e.style.display=a}))):e.style.display=r?a:"none"},update:function(e,t,n){var r=t.value;!r!=!t.oldValue&&((n=l2(n)).data&&n.data.transition?(n.data.show=!0,r?q1(n,(function(){e.style.display=e.__vOriginalDisplay})):K1(n,(function(){e.style.display="none"}))):e.style.display=r?e.__vOriginalDisplay:"none")},unbind:function(e,t,n,r,i){i||(e.style.display=e.__vOriginalDisplay)}},u2={model:e2,show:c2},d2={name:String,appear:Boolean,css:Boolean,mode:String,type:String,enterClass:String,leaveClass:String,enterToClass:String,leaveToClass:String,enterActiveClass:String,leaveActiveClass:String,appearClass:String,appearActiveClass:String,appearToClass:String,duration:[Number,String,Object]};function f2(e){var t=e&&e.componentOptions;return t&&t.Ctor.options.abstract?f2(cZ(t.children)):e}function p2(e){var t={},n=e.$options;for(var r in n.propsData)t[r]=e[r];var i=n._parentListeners;for(var r in i)t[lY(r)]=i[r];return t}function h2(e,t){if(/\d-keep-alive$/.test(t.tag))return e("keep-alive",{props:t.componentOptions.propsData})}var m2=function(e){return e.tag||ZJ(e)},g2=function(e){return"show"===e.name},v2={name:"transition",props:d2,abstract:!0,render:function(e){var t=this,n=this.$slots.default;if(n&&(n=n.filter(m2)).length){var r=this.mode,i=n[0];if(function(e){for(;e=e.parent;)if(e.data.transition)return!0}(this.$vnode))return i;var a=f2(i);if(!a)return i;if(this._leaving)return h2(e,i);var o="__transition-".concat(this._uid,"-");a.key=null==a.key?a.isComment?o+"comment":o+a.tag:WK(a.key)?0===String(a.key).indexOf(o)?a.key:o+a.key:a.key;var s=(a.data||(a.data={})).transition=p2(this),l=this._vnode,c=f2(l);if(a.data.directives&&a.data.directives.some(g2)&&(a.data.show=!0),c&&c.data&&!function(e,t){return t.key===e.key&&t.tag===e.tag}(a,c)&&!ZJ(c)&&(!c.componentInstance||!c.componentInstance._vnode.isComment)){var u=c.data.transition=hY({},s);if("out-in"===r)return this._leaving=!0,CJ(u,"afterLeave",(function(){t._leaving=!1,t.$forceUpdate()})),h2(e,i);if("in-out"===r){if(ZJ(a))return l;var d,f=function(){d()};CJ(s,"afterEnter",f),CJ(s,"enterCancelled",f),CJ(u,"delayLeave",(function(e){d=e}))}}return i}}},y2=hY({tag:String,moveClass:String},d2);delete y2.mode;var b2={props:y2,beforeMount:function(){var e=this,t=this._update;this._update=function(n,r){var i=gZ(e);e.__patch__(e._vnode,e.kept,!1,!0),e._vnode=e.kept,i(),t.call(e,n,r)}},render:function(e){for(var t=this.tag||this.$vnode.data.tag||"span",n=Object.create(null),r=this.prevChildren=this.children,i=this.$slots.default||[],a=this.children=[],o=p2(this),s=0;s<i.length;s++)(u=i[s]).tag&&null!=u.key&&0!==String(u.key).indexOf("__vlist")&&(a.push(u),n[u.key]=u,(u.data||(u.data={})).transition=o);if(r){var l=[],c=[];for(s=0;s<r.length;s++){var u;(u=r[s]).data.transition=o,u.data.pos=u.elm.getBoundingClientRect(),n[u.key]?l.push(u):c.push(u)}this.kept=e(t,null,l),this.removed=c}return e(t,null,a)},updated:function(){var e=this.prevChildren,t=this.moveClass||(this.name||"v")+"-move";e.length&&this.hasMove(e[0].elm,t)&&(e.forEach(_2),e.forEach(x2),e.forEach(w2),this._reflow=document.body.offsetHeight,e.forEach((function(e){if(e.data.moved){var n=e.elm,r=n.style;G1(n,t),r.transform=r.WebkitTransform=r.transitionDuration="",n.addEventListener(L1,n._moveCb=function e(r){r&&r.target!==n||r&&!/transform$/.test(r.propertyName)||(n.removeEventListener(L1,e),n._moveCb=null,z1(n,t))})}})))},methods:{hasMove:function(e,t){if(!O1)return!1;if(this._hasMove)return this._hasMove;var n=e.cloneNode();e._transitionClasses&&e._transitionClasses.forEach((function(e){D1(n,e)})),M1(n,t),n.style.display="none",this.$el.appendChild(n);var r=H1(n);return this.$el.removeChild(n),this._hasMove=r.hasTransform}}};function _2(e){e.elm._moveCb&&e.elm._moveCb(),e.elm._enterCb&&e.elm._enterCb()}function x2(e){e.data.newPos=e.elm.getBoundingClientRect()}function w2(e){var t=e.data.pos,n=e.data.newPos,r=t.left-n.left,i=t.top-n.top;if(r||i){e.data.moved=!0;var a=e.elm.style;a.transform=a.WebkitTransform="translate(".concat(r,"px,").concat(i,"px)"),a.transitionDuration="0s"}}var A2={Transition:v2,TransitionGroup:b2};OQ.config.mustUseProp=zQ,OQ.config.isReservedTag=r0,OQ.config.isReservedAttr=VQ,OQ.config.getTagNamespace=i0,OQ.config.isUnknownElement=function(e){if(!IY)return!0;if(r0(e))return!1;if(e=e.toLowerCase(),null!=a0[e])return a0[e];var t=document.createElement(e);return e.indexOf("-")>-1?a0[e]=t.constructor===window.HTMLUnknownElement||t.constructor===window.HTMLElement:a0[e]=/HTMLUnknownElement/.test(t.toString())},hY(OQ.options.directives,u2),hY(OQ.options.components,A2),OQ.prototype.__patch__=IY?Q1:gY,OQ.prototype.$mount=function(e,t){return function(e,t,n){var r;e.$el=t,e.$options.render||(e.$options.render=YY),_Z(e,"beforeMount"),r=function(){e._update(e._render(),n)},new ZZ(e,r,gY,{before:function(){e._isMounted&&!e._isDestroyed&&_Z(e,"beforeUpdate")}},!0),n=!1;var i=e._preWatchers;if(i)for(var a=0;a<i.length;a++)i[a].run();return null==e.$vnode&&(e._isMounted=!0,_Z(e,"mounted")),e}(this,e=e&&IY?s0(e):void 0,t)},IY&&setTimeout((function(){TY.devtools&&jY&&jY.emit("init",OQ)}),0);var S2,T2=/\{\{((?:.|\r?\n)+?)\}\}/g,C2=/[-.*+?^${}()|[\]\/\\]/g,E2=oY((function(e){var t=e[0].replace(C2,"\\$&"),n=e[1].replace(C2,"\\$&");return new RegExp(t+"((?:.|\\n)+?)"+n,"g")})),M2={staticKeys:["staticClass"],transformNode:function(e,t){t.warn;var n=X0(e,"class");n&&(e.staticClass=JSON.stringify(n.replace(/\s+/g," ").trim()));var r=$0(e,"class",!1);r&&(e.classBinding=r)},genData:function(e){var t="";return e.staticClass&&(t+="staticClass:".concat(e.staticClass,",")),e.classBinding&&(t+="class:".concat(e.classBinding,",")),t}},D2={staticKeys:["staticStyle"],transformNode:function(e,t){t.warn;var n=X0(e,"style");n&&(e.staticStyle=JSON.stringify(g1(n)));var r=$0(e,"style",!1);r&&(e.styleBinding=r)},genData:function(e){var t="";return e.staticStyle&&(t+="staticStyle:".concat(e.staticStyle,",")),e.styleBinding&&(t+="style:(".concat(e.styleBinding,"),")),t}},P2=eY("area,base,br,col,embed,frame,hr,img,input,isindex,keygen,link,meta,param,source,track,wbr"),I2=eY("colgroup,dd,dt,li,options,p,td,tfoot,th,thead,tr,source"),O2=eY("address,article,aside,base,blockquote,body,caption,col,colgroup,dd,details,dialog,div,dl,dt,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,head,header,hgroup,hr,html,legend,li,menuitem,meta,optgroup,option,param,rp,rt,source,style,summary,tbody,td,tfoot,th,thead,title,tr,track"),N2=/^\s*([^\s"'<>\/=]+)(?:\s*(=)\s*(?:"([^"]*)"+|'([^']*)'+|([^\s"'=<>`]+)))?/,k2=/^\s*((?:v-[\w-]+:|@|:|#)\[[^=]+?\][^\s"'<>\/=]*)(?:\s*(=)\s*(?:"([^"]*)"+|'([^']*)'+|([^\s"'=<>`]+)))?/,R2="[a-zA-Z_][\\-\\.0-9_a-zA-Z".concat(CY.source,"]*"),L2="((?:".concat(R2,"\\:)?").concat(R2,")"),F2=new RegExp("^<".concat(L2)),B2=/^\s*(\/?)>/,U2=new RegExp("^<\\/".concat(L2,"[^>]*>")),V2=/^<!DOCTYPE [^>]+>/i,G2=/^<!\--/,z2=/^<!\[/,j2=eY("script,style,textarea",!0),W2={},H2={"&lt;":"<","&gt;":">","&quot;":'"',"&amp;":"&","&#10;":"\n","&#9;":"\t","&#39;":"'"},$2=/&(?:lt|gt|quot|amp|#39);/g,X2=/&(?:lt|gt|quot|amp|#39|#10|#9);/g,q2=eY("pre,textarea",!0),K2=function(e,t){return e&&q2(e)&&"\n"===t[0]};function Y2(e,t){var n=t?X2:$2;return e.replace(n,(function(e){return H2[e]}))}var J2,Z2,Q2,e3,t3,n3,r3,i3,a3=/^@|^v-on:/,o3=/^v-|^@|^:|^#/,s3=/([\s\S]*?)\s+(?:in|of)\s+([\s\S]*)/,l3=/,([^,\}\]]*)(?:,([^,\}\]]*))?$/,c3=/^\(|\)$/g,u3=/^\[.*\]$/,d3=/:(.*)$/,f3=/^:|^\.|^v-bind:/,p3=/\.[^.\]]+(?=[^\]]*$)/g,h3=/^v-slot(:|$)|^#/,m3=/[\r\n]/,g3=/[ \f\t\r\n]+/g,v3=oY((function(e){return(S2=S2||document.createElement("div")).innerHTML=e,S2.textContent})),y3="_empty_";function b3(e,t,n){return{type:1,tag:e,attrsList:t,attrsMap:C3(t),rawAttrsMap:{},parent:n,children:[]}}function _3(e,t){J2=t.warn||B0,n3=t.isPreTag||vY,r3=t.mustUseProp||vY,i3=t.getTagNamespace||vY;t.isReservedTag;Q2=U0(t.modules,"transformNode"),e3=U0(t.modules,"preTransformNode"),t3=U0(t.modules,"postTransformNode"),Z2=t.delimiters;var n,r,i=[],a=!1!==t.preserveWhitespace,o=t.whitespace,s=!1,l=!1;function c(e){if(u(e),s||e.processed||(e=x3(e,t)),i.length||e===n||n.if&&(e.elseif||e.else)&&A3(n,{exp:e.elseif,block:e}),r&&!e.forbidden)if(e.elseif||e.else)o=e,c=function(e){for(var t=e.length;t--;){if(1===e[t].type)return e[t];e.pop()}}(r.children),c&&c.if&&A3(c,{exp:o.elseif,block:o});else{if(e.slotScope){var a=e.slotTarget||'"default"';(r.scopedSlots||(r.scopedSlots={}))[a]=e}r.children.push(e),e.parent=r}var o,c;e.children=e.children.filter((function(e){return!e.slotScope})),u(e),e.pre&&(s=!1),n3(e.tag)&&(l=!1);for(var d=0;d<t3.length;d++)t3[d](e,t)}function u(e){if(!l)for(var t=void 0;(t=e.children[e.children.length-1])&&3===t.type&&" "===t.text;)e.children.pop()}return function(e,t){for(var n,r,i=[],a=t.expectHTML,o=t.isUnaryTag||vY,s=t.canBeLeftOpenTag||vY,l=0,c=function(){if(n=e,r&&j2(r)){var c=0,f=r.toLowerCase(),p=W2[f]||(W2[f]=new RegExp("([\\s\\S]*?)(</"+f+"[^>]*>)","i"));w=e.replace(p,(function(e,n,r){return c=r.length,j2(f)||"noscript"===f||(n=n.replace(/<!\--([\s\S]*?)-->/g,"$1").replace(/<!\[CDATA\[([\s\S]*?)]]>/g,"$1")),K2(f,n)&&(n=n.slice(1)),t.chars&&t.chars(n),""})),l+=e.length-w.length,e=w,d(f,l-c,l)}else{var h=e.indexOf("<");if(0===h){if(G2.test(e)){var m=e.indexOf("--\x3e");if(m>=0)return t.shouldKeepComment&&t.comment&&t.comment(e.substring(4,m),l,l+m+3),u(m+3),"continue"}if(z2.test(e)){var g=e.indexOf("]>");if(g>=0)return u(g+2),"continue"}var v=e.match(V2);if(v)return u(v[0].length),"continue";var y=e.match(U2);if(y){var b=l;return u(y[0].length),d(y[1],b,l),"continue"}var _=function(){var t=e.match(F2);if(t){var n={tagName:t[1],attrs:[],start:l};u(t[0].length);for(var r=void 0,i=void 0;!(r=e.match(B2))&&(i=e.match(k2)||e.match(N2));)i.start=l,u(i[0].length),i.end=l,n.attrs.push(i);if(r)return n.unarySlash=r[1],u(r[0].length),n.end=l,n}}();if(_)return function(e){var n=e.tagName,l=e.unarySlash;a&&("p"===r&&O2(n)&&d(r),s(n)&&r===n&&d(n));for(var c=o(n)||!!l,u=e.attrs.length,f=new Array(u),p=0;p<u;p++){var h=e.attrs[p],m=h[3]||h[4]||h[5]||"",g="a"===n&&"href"===h[1]?t.shouldDecodeNewlinesForHref:t.shouldDecodeNewlines;f[p]={name:h[1],value:Y2(m,g)}}c||(i.push({tag:n,lowerCasedTag:n.toLowerCase(),attrs:f,start:e.start,end:e.end}),r=n),t.start&&t.start(n,f,c,e.start,e.end)}(_),K2(_.tagName,e)&&u(1),"continue"}var x=void 0,w=void 0,A=void 0;if(h>=0){for(w=e.slice(h);!(U2.test(w)||F2.test(w)||G2.test(w)||z2.test(w)||(A=w.indexOf("<",1))<0);)h+=A,w=e.slice(h);x=e.substring(0,h)}h<0&&(x=e),x&&u(x.length),t.chars&&x&&t.chars(x,l-x.length,l)}if(e===n)return t.chars&&t.chars(e),"break"};e&&"break"!==c(););function u(t){l+=t,e=e.substring(t)}function d(e,n,a){var o,s;if(null==n&&(n=l),null==a&&(a=l),e)for(s=e.toLowerCase(),o=i.length-1;o>=0&&i[o].lowerCasedTag!==s;o--);else o=0;if(o>=0){for(var c=i.length-1;c>=o;c--)t.end&&t.end(i[c].tag,n,a);i.length=o,r=o&&i[o-1].tag}else"br"===s?t.start&&t.start(e,[],!0,n,a):"p"===s&&(t.start&&t.start(e,[],!1,n,a),t.end&&t.end(e,n,a))}d()}(e,{warn:J2,expectHTML:t.expectHTML,isUnaryTag:t.isUnaryTag,canBeLeftOpenTag:t.canBeLeftOpenTag,shouldDecodeNewlines:t.shouldDecodeNewlines,shouldDecodeNewlinesForHref:t.shouldDecodeNewlinesForHref,shouldKeepComment:t.comments,outputSourceRange:t.outputSourceRange,start:function(e,a,o,u,d){var f=r&&r.ns||i3(e);NY&&"svg"===f&&(a=function(e){for(var t=[],n=0;n<e.length;n++){var r=e[n];E3.test(r.name)||(r.name=r.name.replace(M3,""),t.push(r))}return t}(a));var p,h=b3(e,a,r);f&&(h.ns=f),"style"!==(p=h).tag&&("script"!==p.tag||p.attrsMap.type&&"text/javascript"!==p.attrsMap.type)||zY()||(h.forbidden=!0);for(var m=0;m<e3.length;m++)h=e3[m](h,t)||h;s||(function(e){null!=X0(e,"v-pre")&&(e.pre=!0)}(h),h.pre&&(s=!0)),n3(h.tag)&&(l=!0),s?function(e){var t=e.attrsList,n=t.length;if(n)for(var r=e.attrs=new Array(n),i=0;i<n;i++)r[i]={name:t[i].name,value:JSON.stringify(t[i].value)},null!=t[i].start&&(r[i].start=t[i].start,r[i].end=t[i].end);else e.pre||(e.plain=!0)}(h):h.processed||(w3(h),function(e){var t=X0(e,"v-if");if(t)e.if=t,A3(e,{exp:t,block:e});else{null!=X0(e,"v-else")&&(e.else=!0);var n=X0(e,"v-else-if");n&&(e.elseif=n)}}(h),function(e){null!=X0(e,"v-once")&&(e.once=!0)}(h)),n||(n=h),o?c(h):(r=h,i.push(h))},end:function(e,t,n){var a=i[i.length-1];i.length-=1,r=i[i.length-1],c(a)},chars:function(e,t,n){if(r&&(!NY||"textarea"!==r.tag||r.attrsMap.placeholder!==e)){var i,c=r.children;if(e=l||e.trim()?"script"===(i=r).tag||"style"===i.tag?e:v3(e):c.length?o?"condense"===o&&m3.test(e)?"":" ":a?" ":"":""){l||"condense"!==o||(e=e.replace(g3," "));var u=void 0,d=void 0;!s&&" "!==e&&(u=function(e,t){var n=t?E2(t):T2;if(n.test(e)){for(var r,i,a,o=[],s=[],l=n.lastIndex=0;r=n.exec(e);){(i=r.index)>l&&(s.push(a=e.slice(l,i)),o.push(JSON.stringify(a)));var c=L0(r[1].trim());o.push("_s(".concat(c,")")),s.push({"@binding":c}),l=i+r[0].length}return l<e.length&&(s.push(a=e.slice(l)),o.push(JSON.stringify(a))),{expression:o.join("+"),tokens:s}}}(e,Z2))?d={type:2,expression:u.expression,tokens:u.tokens,text:e}:" "===e&&c.length&&" "===c[c.length-1].text||(d={type:3,text:e}),d&&c.push(d)}}},comment:function(e,t,n){if(r){var i={type:3,text:e,isComment:!0};r.children.push(i)}}}),n}function x3(e,t){var n;!function(e){var t=$0(e,"key");t&&(e.key=t)}(e),e.plain=!e.key&&!e.scopedSlots&&!e.attrsList.length,function(e){var t=$0(e,"ref");t&&(e.ref=t,e.refInFor=function(e){for(var t=e;t;){if(void 0!==t.for)return!0;t=t.parent}return!1}(e))}(e),function(e){var t;"template"===e.tag?(t=X0(e,"scope"),e.slotScope=t||X0(e,"slot-scope")):(t=X0(e,"slot-scope"))&&(e.slotScope=t);var n,r=$0(e,"slot");if(r&&(e.slotTarget='""'===r?'"default"':r,e.slotTargetDynamic=!(!e.attrsMap[":slot"]&&!e.attrsMap["v-bind:slot"]),"template"===e.tag||e.slotScope||G0(e,"slot",r,function(e,t){return e.rawAttrsMap[":"+t]||e.rawAttrsMap["v-bind:"+t]||e.rawAttrsMap[t]}(e,"slot"))),"template"===e.tag){if(n=q0(e,h3)){var i=S3(n),a=i.name,o=i.dynamic;e.slotTarget=a,e.slotTargetDynamic=o,e.slotScope=n.value||y3}}else if(n=q0(e,h3)){var s=e.scopedSlots||(e.scopedSlots={}),l=S3(n),c=l.name,u=(o=l.dynamic,s[c]=b3("template",[],e));u.slotTarget=c,u.slotTargetDynamic=o,u.children=e.children.filter((function(e){if(!e.slotScope)return e.parent=u,!0})),u.slotScope=n.value||y3,e.children=[],e.plain=!1}}(e),"slot"===(n=e).tag&&(n.slotName=$0(n,"name")),function(e){var t;(t=$0(e,"is"))&&(e.component=t),null!=X0(e,"inline-template")&&(e.inlineTemplate=!0)}(e);for(var r=0;r<Q2.length;r++)e=Q2[r](e,t)||e;return function(e){var t,n,r,i,a,o,s,l,c=e.attrsList;for(t=0,n=c.length;t<n;t++)if(r=i=c[t].name,a=c[t].value,o3.test(r))if(e.hasBindings=!0,(o=T3(r.replace(o3,"")))&&(r=r.replace(p3,"")),f3.test(r))r=r.replace(f3,""),a=L0(a),(l=u3.test(r))&&(r=r.slice(1,-1)),o&&(o.prop&&!l&&"innerHtml"===(r=lY(r))&&(r="innerHTML"),o.camel&&!l&&(r=lY(r)),o.sync&&(s=J0(a,"$event"),l?H0(e,'"update:"+('.concat(r,")"),s,null,!1,0,c[t],!0):(H0(e,"update:".concat(lY(r)),s,null,!1,0,c[t]),dY(r)!==lY(r)&&H0(e,"update:".concat(dY(r)),s,null,!1,0,c[t])))),o&&o.prop||!e.component&&r3(e.tag,e.attrsMap.type,r)?V0(e,r,a,c[t],l):G0(e,r,a,c[t],l);else if(a3.test(r))r=r.replace(a3,""),(l=u3.test(r))&&(r=r.slice(1,-1)),H0(e,r,a,o,!1,0,c[t],l);else{var u=(r=r.replace(o3,"")).match(d3),d=u&&u[1];l=!1,d&&(r=r.slice(0,-(d.length+1)),u3.test(d)&&(d=d.slice(1,-1),l=!0)),j0(e,r,i,a,d,l,o,c[t])}else G0(e,r,JSON.stringify(a),c[t]),!e.component&&"muted"===r&&r3(e.tag,e.attrsMap.type,r)&&V0(e,r,"true",c[t])}(e),e}function w3(e){var t;if(t=X0(e,"v-for")){var n=function(e){var t=e.match(s3);if(t){var n={};n.for=t[2].trim();var r=t[1].trim().replace(c3,""),i=r.match(l3);return i?(n.alias=r.replace(l3,"").trim(),n.iterator1=i[1].trim(),i[2]&&(n.iterator2=i[2].trim())):n.alias=r,n}}(t);n&&hY(e,n)}}function A3(e,t){e.ifConditions||(e.ifConditions=[]),e.ifConditions.push(t)}function S3(e){var t=e.name.replace(h3,"");return t||"#"!==e.name[0]&&(t="default"),u3.test(t)?{name:t.slice(1,-1),dynamic:!0}:{name:'"'.concat(t,'"'),dynamic:!1}}function T3(e){var t=e.match(p3);if(t){var n={};return t.forEach((function(e){n[e.slice(1)]=!0})),n}}function C3(e){for(var t={},n=0,r=e.length;n<r;n++)t[e[n].name]=e[n].value;return t}var E3=/^xmlns:NS\d+/,M3=/^NS\d+:/;function D3(e){return b3(e.tag,e.attrsList.slice(),e.parent)}var P3,I3,O3={preTransformNode:function(e,t){if("input"===e.tag){var n=e.attrsMap;if(!n["v-model"])return;var r=void 0;if((n[":type"]||n["v-bind:type"])&&(r=$0(e,"type")),n.type||r||!n["v-bind"]||(r="(".concat(n["v-bind"],").type")),r){var i=X0(e,"v-if",!0),a=i?"&&(".concat(i,")"):"",o=null!=X0(e,"v-else",!0),s=X0(e,"v-else-if",!0),l=D3(e);w3(l),z0(l,"type","checkbox"),x3(l,t),l.processed=!0,l.if="(".concat(r,")==='checkbox'")+a,A3(l,{exp:l.if,block:l});var c=D3(e);X0(c,"v-for",!0),z0(c,"type","radio"),x3(c,t),A3(l,{exp:"(".concat(r,")==='radio'")+a,block:c});var u=D3(e);return X0(u,"v-for",!0),z0(u,":type",r),x3(u,t),A3(l,{exp:i,block:u}),o?l.else=!0:s&&(l.elseif=s),l}}}},N3=[M2,D2,O3],k3={model:function(e,t,n){var r=t.value,i=t.modifiers,a=e.tag,o=e.attrsMap.type;if(e.component)return Y0(e,r,i),!1;if("select"===a)!function(e,t,n){var r=n&&n.number,i='Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;'+"return ".concat(r?"_n(val)":"val","})"),a="var $$selectedVal = ".concat(i,";");H0(e,"change",a="".concat(a," ").concat(J0(t,"$event.target.multiple ? $$selectedVal : $$selectedVal[0]")),null,!0)}(e,r,i);else if("input"===a&&"checkbox"===o)!function(e,t,n){var r=n&&n.number,i=$0(e,"value")||"null",a=$0(e,"true-value")||"true",o=$0(e,"false-value")||"false";V0(e,"checked","Array.isArray(".concat(t,")")+"?_i(".concat(t,",").concat(i,")>-1")+("true"===a?":(".concat(t,")"):":_q(".concat(t,",").concat(a,")"))),H0(e,"change","var $$a=".concat(t,",")+"$$el=$event.target,"+"$$c=$$el.checked?(".concat(a,"):(").concat(o,");")+"if(Array.isArray($$a)){"+"var $$v=".concat(r?"_n("+i+")":i,",")+"$$i=_i($$a,$$v);"+"if($$el.checked){$$i<0&&(".concat(J0(t,"$$a.concat([$$v])"),")}")+"else{$$i>-1&&(".concat(J0(t,"$$a.slice(0,$$i).concat($$a.slice($$i+1))"),")}")+"}else{".concat(J0(t,"$$c"),"}"),null,!0)}(e,r,i);else if("input"===a&&"radio"===o)!function(e,t,n){var r=n&&n.number,i=$0(e,"value")||"null";i=r?"_n(".concat(i,")"):i,V0(e,"checked","_q(".concat(t,",").concat(i,")")),H0(e,"change",J0(t,i),null,!0)}(e,r,i);else if("input"===a||"textarea"===a)!function(e,t,n){var r=e.attrsMap.type,i=n||{},a=i.lazy,o=i.number,s=i.trim,l=!a&&"range"!==r,c=a?"change":"range"===r?i1:"input",u="$event.target.value";s&&(u="$event.target.value.trim()"),o&&(u="_n(".concat(u,")"));var d=J0(t,u);l&&(d="if($event.target.composing)return;".concat(d)),V0(e,"value","(".concat(t,")")),H0(e,c,d,null,!0),(s||o)&&H0(e,"blur","$forceUpdate()")}(e,r,i);else if(!TY.isReservedTag(a))return Y0(e,r,i),!1;return!0},text:function(e,t){t.value&&V0(e,"textContent","_s(".concat(t.value,")"),t)},html:function(e,t){t.value&&V0(e,"innerHTML","_s(".concat(t.value,")"),t)}},R3={expectHTML:!0,modules:N3,directives:k3,isPreTag:function(e){return"pre"===e},isUnaryTag:P2,mustUseProp:zQ,canBeLeftOpenTag:I2,isReservedTag:r0,getTagNamespace:i0,staticKeys:function(e){return e.reduce((function(e,t){return e.concat(t.staticKeys||[])}),[]).join(",")}(N3)},L3=oY((function(e){return eY("type,tag,attrsList,attrsMap,plain,parent,children,attrs,start,end,rawAttrsMap"+(e?","+e:""))}));function F3(e,t){e&&(P3=L3(t.staticKeys||""),I3=t.isReservedTag||vY,B3(e),U3(e,!1))}function B3(e){if(e.static=function(e){return 2!==e.type&&(3===e.type||!(!e.pre&&(e.hasBindings||e.if||e.for||tY(e.tag)||!I3(e.tag)||function(e){for(;e.parent;){if("template"!==(e=e.parent).tag)return!1;if(e.for)return!0}return!1}(e)||!Object.keys(e).every(P3))))}(e),1===e.type){if(!I3(e.tag)&&"slot"!==e.tag&&null==e.attrsMap["inline-template"])return;for(var t=0,n=e.children.length;t<n;t++){var r=e.children[t];B3(r),r.static||(e.static=!1)}if(e.ifConditions)for(t=1,n=e.ifConditions.length;t<n;t++){var i=e.ifConditions[t].block;B3(i),i.static||(e.static=!1)}}}function U3(e,t){if(1===e.type){if((e.static||e.once)&&(e.staticInFor=t),e.static&&e.children.length&&(1!==e.children.length||3!==e.children[0].type))return void(e.staticRoot=!0);if(e.staticRoot=!1,e.children)for(var n=0,r=e.children.length;n<r;n++)U3(e.children[n],t||!!e.for);if(e.ifConditions)for(n=1,r=e.ifConditions.length;n<r;n++)U3(e.ifConditions[n].block,t)}}var V3=/^([\w$_]+|\([^)]*?\))\s*=>|^function(?:\s+[\w$]+)?\s*\(/,G3=/\([^)]*?\);*$/,z3=/^[A-Za-z_$][\w$]*(?:\.[A-Za-z_$][\w$]*|\['[^']*?']|\["[^"]*?"]|\[\d+]|\[[A-Za-z_$][\w$]*])*$/,j3={esc:27,tab:9,enter:13,space:32,up:38,left:37,right:39,down:40,delete:[8,46]},W3={esc:["Esc","Escape"],tab:"Tab",enter:"Enter",space:[" ","Spacebar"],up:["Up","ArrowUp"],left:["Left","ArrowLeft"],right:["Right","ArrowRight"],down:["Down","ArrowDown"],delete:["Backspace","Delete","Del"]},H3=function(e){return"if(".concat(e,")return null;")},$3={stop:"$event.stopPropagation();",prevent:"$event.preventDefault();",self:H3("$event.target !== $event.currentTarget"),ctrl:H3("!$event.ctrlKey"),shift:H3("!$event.shiftKey"),alt:H3("!$event.altKey"),meta:H3("!$event.metaKey"),left:H3("'button' in $event && $event.button !== 0"),middle:H3("'button' in $event && $event.button !== 1"),right:H3("'button' in $event && $event.button !== 2")};function X3(e,t){var n=t?"nativeOn:":"on:",r="",i="";for(var a in e){var o=q3(e[a]);e[a]&&e[a].dynamic?i+="".concat(a,",").concat(o,","):r+='"'.concat(a,'":').concat(o,",")}return r="{".concat(r.slice(0,-1),"}"),i?n+"_d(".concat(r,",[").concat(i.slice(0,-1),"])"):n+r}function q3(e){if(!e)return"function(){}";if(Array.isArray(e))return"[".concat(e.map((function(e){return q3(e)})).join(","),"]");var t=z3.test(e.value),n=V3.test(e.value),r=z3.test(e.value.replace(G3,""));if(e.modifiers){var i="",a="",o=[],s=function(t){if($3[t])a+=$3[t],j3[t]&&o.push(t);else if("exact"===t){var n=e.modifiers;a+=H3(["ctrl","shift","alt","meta"].filter((function(e){return!n[e]})).map((function(e){return"$event.".concat(e,"Key")})).join("||"))}else o.push(t)};for(var l in e.modifiers)s(l);o.length&&(i+=function(e){return"if(!$event.type.indexOf('key')&&"+"".concat(e.map(K3).join("&&"),")return null;")}(o)),a&&(i+=a);var c=t?"return ".concat(e.value,".apply(null, arguments)"):n?"return (".concat(e.value,").apply(null, arguments)"):r?"return ".concat(e.value):e.value;return"function($event){".concat(i).concat(c,"}")}return t||n?e.value:"function($event){".concat(r?"return ".concat(e.value):e.value,"}")}function K3(e){var t=parseInt(e,10);if(t)return"$event.keyCode!==".concat(t);var n=j3[e],r=W3[e];return"_k($event.keyCode,"+"".concat(JSON.stringify(e),",")+"".concat(JSON.stringify(n),",")+"$event.key,"+"".concat(JSON.stringify(r))+")"}var Y3={on:function(e,t){e.wrapListeners=function(e){return"_g(".concat(e,",").concat(t.value,")")}},bind:function(e,t){e.wrapData=function(n){return"_b(".concat(n,",'").concat(e.tag,"',").concat(t.value,",").concat(t.modifiers&&t.modifiers.prop?"true":"false").concat(t.modifiers&&t.modifiers.sync?",true":"",")")}},cloak:gY},J3=function(e){this.options=e,this.warn=e.warn||B0,this.transforms=U0(e.modules,"transformCode"),this.dataGenFns=U0(e.modules,"genData"),this.directives=hY(hY({},Y3),e.directives);var t=e.isReservedTag||vY;this.maybeComponent=function(e){return!!e.component||!t(e.tag)},this.onceId=0,this.staticRenderFns=[],this.pre=!1};function Z3(e,t){var n=new J3(t),r=e?"script"===e.tag?"null":Q3(e,n):'_c("div")';return{render:"with(this){return ".concat(r,"}"),staticRenderFns:n.staticRenderFns}}function Q3(e,t){if(e.parent&&(e.pre=e.pre||e.parent.pre),e.staticRoot&&!e.staticProcessed)return e4(e,t);if(e.once&&!e.onceProcessed)return t4(e,t);if(e.for&&!e.forProcessed)return i4(e,t);if(e.if&&!e.ifProcessed)return n4(e,t);if("template"!==e.tag||e.slotTarget||t.pre){if("slot"===e.tag)return function(e,t){var n=e.slotName||'"default"',r=l4(e,t),i="_t(".concat(n).concat(r?",function(){return ".concat(r,"}"):""),a=e.attrs||e.dynamicAttrs?d4((e.attrs||[]).concat(e.dynamicAttrs||[]).map((function(e){return{name:lY(e.name),value:e.value,dynamic:e.dynamic}}))):null,o=e.attrsMap["v-bind"];return!a&&!o||r||(i+=",null"),a&&(i+=",".concat(a)),o&&(i+="".concat(a?"":",null",",").concat(o)),i+")"}(e,t);var n=void 0;if(e.component)n=function(e,t,n){var r=t.inlineTemplate?null:l4(t,n,!0);return"_c(".concat(e,",").concat(a4(t,n)).concat(r?",".concat(r):"",")")}(e.component,e,t);else{var r=void 0,i=t.maybeComponent(e);(!e.plain||e.pre&&i)&&(r=a4(e,t));var a=void 0,o=t.options.bindings;i&&o&&!1!==o.__isScriptSetup&&(a=function(e,t){var n=lY(t),r=cY(n),i=function(i){return e[t]===i?t:e[n]===i?n:e[r]===i?r:void 0},a=i("setup-const")||i("setup-reactive-const");if(a)return a;var o=i("setup-let")||i("setup-ref")||i("setup-maybe-ref");return o||void 0}(o,e.tag)),a||(a="'".concat(e.tag,"'"));var s=e.inlineTemplate?null:l4(e,t,!0);n="_c(".concat(a).concat(r?",".concat(r):"").concat(s?",".concat(s):"",")")}for(var l=0;l<t.transforms.length;l++)n=t.transforms[l](e,n);return n}return l4(e,t)||"void 0"}function e4(e,t){e.staticProcessed=!0;var n=t.pre;return e.pre&&(t.pre=e.pre),t.staticRenderFns.push("with(this){return ".concat(Q3(e,t),"}")),t.pre=n,"_m(".concat(t.staticRenderFns.length-1).concat(e.staticInFor?",true":"",")")}function t4(e,t){if(e.onceProcessed=!0,e.if&&!e.ifProcessed)return n4(e,t);if(e.staticInFor){for(var n="",r=e.parent;r;){if(r.for){n=r.key;break}r=r.parent}return n?"_o(".concat(Q3(e,t),",").concat(t.onceId++,",").concat(n,")"):Q3(e,t)}return e4(e,t)}function n4(e,t,n,r){return e.ifProcessed=!0,r4(e.ifConditions.slice(),t,n,r)}function r4(e,t,n,r){if(!e.length)return r||"_e()";var i=e.shift();return i.exp?"(".concat(i.exp,")?").concat(a(i.block),":").concat(r4(e,t,n,r)):"".concat(a(i.block));function a(e){return n?n(e,t):e.once?t4(e,t):Q3(e,t)}}function i4(e,t,n,r){var i=e.for,a=e.alias,o=e.iterator1?",".concat(e.iterator1):"",s=e.iterator2?",".concat(e.iterator2):"";return e.forProcessed=!0,"".concat(r||"_l","((").concat(i,"),")+"function(".concat(a).concat(o).concat(s,"){")+"return ".concat((n||Q3)(e,t))+"})"}function a4(e,t){var n="{",r=function(e,t){var n=e.directives;if(n){var r,i,a,o,s="directives:[",l=!1;for(r=0,i=n.length;r<i;r++){a=n[r],o=!0;var c=t.directives[a.name];c&&(o=!!c(e,a,t.warn)),o&&(l=!0,s+='{name:"'.concat(a.name,'",rawName:"').concat(a.rawName,'"').concat(a.value?",value:(".concat(a.value,"),expression:").concat(JSON.stringify(a.value)):"").concat(a.arg?",arg:".concat(a.isDynamicArg?a.arg:'"'.concat(a.arg,'"')):"").concat(a.modifiers?",modifiers:".concat(JSON.stringify(a.modifiers)):"","},"))}return l?s.slice(0,-1)+"]":void 0}}(e,t);r&&(n+=r+","),e.key&&(n+="key:".concat(e.key,",")),e.ref&&(n+="ref:".concat(e.ref,",")),e.refInFor&&(n+="refInFor:true,"),e.pre&&(n+="pre:true,"),e.component&&(n+='tag:"'.concat(e.tag,'",'));for(var i=0;i<t.dataGenFns.length;i++)n+=t.dataGenFns[i](e);if(e.attrs&&(n+="attrs:".concat(d4(e.attrs),",")),e.props&&(n+="domProps:".concat(d4(e.props),",")),e.events&&(n+="".concat(X3(e.events,!1),",")),e.nativeEvents&&(n+="".concat(X3(e.nativeEvents,!0),",")),e.slotTarget&&!e.slotScope&&(n+="slot:".concat(e.slotTarget,",")),e.scopedSlots&&(n+="".concat(function(e,t,n){var r=e.for||Object.keys(t).some((function(e){var n=t[e];return n.slotTargetDynamic||n.if||n.for||o4(n)})),i=!!e.if;if(!r)for(var a=e.parent;a;){if(a.slotScope&&a.slotScope!==y3||a.for){r=!0;break}a.if&&(i=!0),a=a.parent}var o=Object.keys(t).map((function(e){return s4(t[e],n)})).join(",");return"scopedSlots:_u([".concat(o,"]").concat(r?",null,true":"").concat(!r&&i?",null,false,".concat(function(e){for(var t=5381,n=e.length;n;)t=33*t^e.charCodeAt(--n);return t>>>0}(o)):"",")")}(e,e.scopedSlots,t),",")),e.model&&(n+="model:{value:".concat(e.model.value,",callback:").concat(e.model.callback,",expression:").concat(e.model.expression,"},")),e.inlineTemplate){var a=function(e,t){var n=e.children[0];if(n&&1===n.type){var r=Z3(n,t.options);return"inlineTemplate:{render:function(){".concat(r.render,"},staticRenderFns:[").concat(r.staticRenderFns.map((function(e){return"function(){".concat(e,"}")})).join(","),"]}")}}(e,t);a&&(n+="".concat(a,","))}return n=n.replace(/,$/,"")+"}",e.dynamicAttrs&&(n="_b(".concat(n,',"').concat(e.tag,'",').concat(d4(e.dynamicAttrs),")")),e.wrapData&&(n=e.wrapData(n)),e.wrapListeners&&(n=e.wrapListeners(n)),n}function o4(e){return 1===e.type&&("slot"===e.tag||e.children.some(o4))}function s4(e,t){var n=e.attrsMap["slot-scope"];if(e.if&&!e.ifProcessed&&!n)return n4(e,t,s4,"null");if(e.for&&!e.forProcessed)return i4(e,t,s4);var r=e.slotScope===y3?"":String(e.slotScope),i="function(".concat(r,"){")+"return ".concat("template"===e.tag?e.if&&n?"(".concat(e.if,")?").concat(l4(e,t)||"undefined",":undefined"):l4(e,t)||"undefined":Q3(e,t),"}"),a=r?"":",proxy:true";return"{key:".concat(e.slotTarget||'"default"',",fn:").concat(i).concat(a,"}")}function l4(e,t,n,r,i){var a=e.children;if(a.length){var o=a[0];if(1===a.length&&o.for&&"template"!==o.tag&&"slot"!==o.tag){var s=n?t.maybeComponent(o)?",1":",0":"";return"".concat((r||Q3)(o,t)).concat(s)}var l=n?function(e,t){for(var n=0,r=0;r<e.length;r++){var i=e[r];if(1===i.type){if(c4(i)||i.ifConditions&&i.ifConditions.some((function(e){return c4(e.block)}))){n=2;break}(t(i)||i.ifConditions&&i.ifConditions.some((function(e){return t(e.block)})))&&(n=1)}}return n}(a,t.maybeComponent):0,c=i||u4;return"[".concat(a.map((function(e){return c(e,t)})).join(","),"]").concat(l?",".concat(l):"")}}function c4(e){return void 0!==e.for||"template"===e.tag||"slot"===e.tag}function u4(e,t){return 1===e.type?Q3(e,t):3===e.type&&e.isComment?function(e){return"_e(".concat(JSON.stringify(e.text),")")}(e):"_v(".concat(2===(n=e).type?n.expression:f4(JSON.stringify(n.text)),")");var n}function d4(e){for(var t="",n="",r=0;r<e.length;r++){var i=e[r],a=f4(i.value);i.dynamic?n+="".concat(i.name,",").concat(a,","):t+='"'.concat(i.name,'":').concat(a,",")}return t="{".concat(t.slice(0,-1),"}"),n?"_d(".concat(t,",[").concat(n.slice(0,-1),"])"):t}function f4(e){return e.replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}function p4(e,t){try{return new Function(e)}catch(n){return t.push({err:n,code:e}),gY}}function h4(e){var t=Object.create(null);return function(n,r,i){(r=hY({},r)).warn,delete r.warn;var a=r.delimiters?String(r.delimiters)+n:n;if(t[a])return t[a];var o=e(n,r),s={},l=[];return s.render=p4(o.render,l),s.staticRenderFns=o.staticRenderFns.map((function(e){return p4(e,l)})),t[a]=s}}new RegExp("\\b"+"do,if,for,let,new,try,var,case,else,with,await,break,catch,class,const,super,throw,while,yield,delete,export,import,return,switch,default,extends,finally,continue,debugger,function,arguments".split(",").join("\\b|\\b")+"\\b"),new RegExp("\\b"+"delete,typeof,void".split(",").join("\\s*\\([^\\)]*\\)|\\b")+"\\s*\\([^\\)]*\\)");var m4,g4=function(e){function t(t,n){var r=Object.create(e),i=[],a=[];if(n)for(var o in n.modules&&(r.modules=(e.modules||[]).concat(n.modules)),n.directives&&(r.directives=hY(Object.create(e.directives||null),n.directives)),n)"modules"!==o&&"directives"!==o&&(r[o]=n[o]);r.warn=function(e,t,n){(n?a:i).push(e)};var s=function(e,t){var n=_3(e.trim(),t);!1!==t.optimize&&F3(n,t);var r=Z3(n,t);return{ast:n,render:r.render,staticRenderFns:r.staticRenderFns}}(t.trim(),r);return s.errors=i,s.tips=a,s}return{compile:t,compileToFunctions:h4(t)}},v4=g4(R3).compileToFunctions;function y4(e){return(m4=m4||document.createElement("div")).innerHTML=e?'<a href="\n"/>':'<div a="\n"/>',m4.innerHTML.indexOf("&#10;")>0}var b4=!!IY&&y4(!1),_4=!!IY&&y4(!0),x4=oY((function(e){var t=s0(e);return t&&t.innerHTML})),w4=OQ.prototype.$mount;function A4(e,t,n,r,i,a,o){try{var s=e[a](o),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,i)}function S4(e){return function(){var t=this,n=arguments;return new Promise((function(r,i){var a=e.apply(t,n);function o(e){A4(a,r,i,o,s,"next",e)}function s(e){A4(a,r,i,o,s,"throw",e)}o(void 0)}))}}function T4(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function C4(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){T4(e,t,n[t])}))}return e}OQ.prototype.$mount=function(e,t){if((e=e&&s0(e))===document.body||e===document.documentElement)return this;var n=this.$options;if(!n.render){var r=n.template;if(r)if("string"==typeof r)"#"===r.charAt(0)&&(r=x4(r));else{if(!r.nodeType)return this;r=r.innerHTML}else e&&(r=function(e){if(e.outerHTML)return e.outerHTML;var t=document.createElement("div");return t.appendChild(e.cloneNode(!0)),t.innerHTML}(e));if(r){var i=v4(r,{outputSourceRange:!1,shouldDecodeNewlines:b4,shouldDecodeNewlinesForHref:_4,delimiters:n.delimiters,comments:n.comments},this),a=i.render,o=i.staticRenderFns;n.render=a,n.staticRenderFns=o}}return w4.call(this,e,t)},OQ.compile=v4,OQ.filter("kebab",(function(e){var t=function(e){return e.toLowerCase().replace(/ /g,"-")};return Array.isArray(e)?e.map(t):t(e)}));var E4={props:["node","editor","bindSocket","bindControl"],methods:{inputs:function(){return Array.from(this.node.inputs.values())},outputs:function(){return Array.from(this.node.outputs.values())},controls:function(){return Array.from(this.node.controls.values())},selected:function(){return this.editor.selected.contains(this.node)?"selected":""}},directives:{socket:{bind:function(e,t,n){n.context.bindSocket(e,t.arg,t.value)},update:function(e,t,n){n.context.bindSocket(e,t.arg,t.value)}},control:{bind:function(e,t,n){t.value&&n.context.bindControl(e,t.value)}}}},M4=function(e,t,n,r,i,a,o,s,l,c){"boolean"!=typeof o&&(l=s,s=o,o=!1);var u,d="function"==typeof n?n.options:n;if(e&&e.render&&(d.render=e.render,d.staticRenderFns=e.staticRenderFns,d._compiled=!0,i&&(d.functional=!0)),r&&(d._scopeId=r),a?(u=function(e){(e=e||this.$vnode&&this.$vnode.ssrContext||this.parent&&this.parent.$vnode&&this.parent.$vnode.ssrContext)||"undefined"==typeof __VUE_SSR_CONTEXT__||(e=__VUE_SSR_CONTEXT__),t&&t.call(this,l(e)),e&&e._registeredComponents&&e._registeredComponents.add(a)},d._ssrRegister=u):t&&(u=o?function(){t.call(this,c(this.$root.$options.shadowRoot))}:function(e){t.call(this,s(e))}),u)if(d.functional){var f=d.render;d.render=function(e,t){return u.call(t),f(e,t)}}else{var p=d.beforeCreate;d.beforeCreate=p?[].concat(p,u):[u]}return n},D4="undefined"!=typeof navigator&&/msie [6-9]\\b/.test(navigator.userAgent.toLowerCase()),P4=document.head||document.getElementsByTagName("head")[0],I4={},O4=function(e){return function(e,t){return function(e,t){var n=D4?t.media||"default":e,r=I4[n]||(I4[n]={ids:new Set,styles:[]});if(!r.ids.has(e)){r.ids.add(e);var i=t.source;if(t.map&&(i+="\n/*# sourceURL="+t.map.sources[0]+" */",i+="\n/*# sourceMappingURL=data:application/json;base64,"+btoa(unescape(encodeURIComponent(JSON.stringify(t.map))))+" */"),r.element||(r.element=document.createElement("style"),r.element.type="text/css",t.media&&r.element.setAttribute("media",t.media),P4.appendChild(r.element)),"styleSheet"in r.element)r.styles.push(i),r.element.styleSheet.cssText=r.styles.filter(Boolean).join("\n");else{var a=r.ids.size-1,o=document.createTextNode(i),s=r.element.childNodes;s[a]&&r.element.removeChild(s[a]),s.length?r.element.insertBefore(o,s[a]):r.element.appendChild(o)}}}(e,t)}};var N4=function(){var e=this,t=e.$createElement;return(e._self._c||t)("div",{staticClass:"socket",class:e._f("kebab")([e.type,e.socket.name]),attrs:{title:e.socket.name}})};N4._withStripped=!0;var k4=M4({render:N4,staticRenderFns:[]},(function(e){e&&e("data-v-1d52cca4_0",{source:".socket[data-v-1d52cca4] {\n  display: inline-block;\n  cursor: pointer;\n  border: 1px solid white;\n  border-radius: 12px;\n  width: 24px;\n  height: 24px;\n  margin: 6px;\n  vertical-align: middle;\n  background: #96b38a;\n  z-index: 2;\n  box-sizing: border-box;\n}\n.socket[data-v-1d52cca4]:hover {\n    border-width: 4px;\n}\n.socket.multiple[data-v-1d52cca4] {\n    border-color: yellow;\n}\n.socket.output[data-v-1d52cca4] {\n    margin-right: -12px;\n}\n.socket.input[data-v-1d52cca4] {\n    margin-left: -12px;\n}\n\n/*# sourceMappingURL=Socket.vue.map */",map:{version:3,sources:["/home/ni55an/Workflow/retejs/_issues/retejs-react-render-forked/src/vue-render-plugin/src/Socket.vue","Socket.vue"],names:[],mappings:"AAgBA;EACA,qBAAA;EACA,eAAA;EACA,uBAAA;EACA,mBAAA;EACA,WAAA;EACA,YAAA;EACA,WAAA;EACA,sBAAA;EACA,mBAAA;EACA,UAAA;EACA,sBAAA;AAAA;AAXA;IAaA,iBAAA;AAAA;AAbA;IAeA,oBAAA;AAAA;AAfA;IAiBA,mBAAA;AAAA;AAjBA;IAmBA,kBAAA;AAAA;;ACdA,qCAAqC",file:"Socket.vue",sourcesContent:['<template lang="pug">\n.socket(\n  :class="[type, socket.name] | kebab",\n  :title="socket.name"\n)\n</template>\n\n<script>\nexport default {\n  props: [\'type\', \'socket\']\n}\n<\/script>\n\n<style lang="sass" scoped>\n@import "./vars"\n\n.socket\n  display: inline-block\n  cursor: pointer\n  border: 1px solid white\n  border-radius: $socket-size/2.0\n  width: $socket-size\n  height: $socket-size\n  margin: $socket-margin\n  vertical-align: middle\n  background: $socket-color\n  z-index: 2\n  box-sizing: border-box\n  &:hover\n    border-width: 4px\n  &.multiple\n    border-color: yellow\n  &.output\n    margin-right: - $socket-size / 2\n  &.input\n    margin-left: - $socket-size / 2\n</style>\n',".socket {\n  display: inline-block;\n  cursor: pointer;\n  border: 1px solid white;\n  border-radius: 12px;\n  width: 24px;\n  height: 24px;\n  margin: 6px;\n  vertical-align: middle;\n  background: #96b38a;\n  z-index: 2;\n  box-sizing: border-box; }\n  .socket:hover {\n    border-width: 4px; }\n  .socket.multiple {\n    border-color: yellow; }\n  .socket.output {\n    margin-right: -12px; }\n  .socket.input {\n    margin-left: -12px; }\n\n/*# sourceMappingURL=Socket.vue.map */"]},media:void 0})}),{props:["type","socket"]},"data-v-1d52cca4",!1,void 0,O4,void 0);const R4={mixins:[E4],components:{Socket:k4}};var L4=function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"node",class:e._f("kebab")([e.selected(),e.node.name])},[n("div",{staticClass:"title"},[e._v(e._s(e.node.name))]),e._l(e.outputs(),(function(t){return n("div",{key:t.key,staticClass:"output"},[n("div",{staticClass:"output-title"},[e._v(e._s(t.name))]),n("Socket",{directives:[{name:"socket",rawName:"v-socket:output",value:t,expression:"output",arg:"output"}],attrs:{type:"output",socket:t.socket}})],1)})),e._l(e.controls(),(function(e){return n("div",{directives:[{name:"control",rawName:"v-control",value:e,expression:"control"}],key:e.key,staticClass:"control"})})),e._l(e.inputs(),(function(t){return n("div",{key:t.key,staticClass:"input"},[n("Socket",{directives:[{name:"socket",rawName:"v-socket:input",value:t,expression:"input",arg:"input"}],attrs:{type:"input",socket:t.socket}}),n("div",{directives:[{name:"show",rawName:"v-show",value:!t.showControl(),expression:"!input.showControl()"}],staticClass:"input-title"},[e._v(e._s(t.name))]),n("div",{directives:[{name:"show",rawName:"v-show",value:t.showControl(),expression:"input.showControl()"},{name:"control",rawName:"v-control",value:t.control,expression:"input.control"}],staticClass:"input-control"})],1)}))],2)};L4._withStripped=!0;var F4=M4({render:L4,staticRenderFns:[]},(function(e){e&&e("data-v-61501374_0",{source:".node[data-v-61501374] {\n  background: rgba(110, 136, 255, 0.8);\n  border: 2px solid #4e58bf;\n  border-radius: 10px;\n  cursor: pointer;\n  min-width: 180px;\n  height: auto;\n  padding-bottom: 6px;\n  box-sizing: content-box;\n  position: relative;\n  user-select: none;\n}\n.node[data-v-61501374]:hover {\n    background: rgba(130, 153, 255, 0.8);\n}\n.node.selected[data-v-61501374] {\n    background: #ffd92c;\n    border-color: #e3c000;\n}\n.node .title[data-v-61501374] {\n    color: white;\n    font-family: sans-serif;\n    font-size: 18px;\n    padding: 8px;\n}\n.node .output[data-v-61501374] {\n    text-align: right;\n}\n.node .input[data-v-61501374] {\n    text-align: left;\n}\n.node .input-title[data-v-61501374], .node .output-title[data-v-61501374] {\n    vertical-align: middle;\n    color: white;\n    display: inline-block;\n    font-family: sans-serif;\n    font-size: 14px;\n    margin: 6px;\n    line-height: 24px;\n}\n.node .input-control[data-v-61501374] {\n    z-index: 1;\n    width: calc(100% - 36px);\n    vertical-align: middle;\n    display: inline-block;\n}\n.node .control[data-v-61501374] {\n    padding: 6px 18px;\n}\n\n/*# sourceMappingURL=Node.vue.map */",map:{version:3,sources:["/home/ni55an/Workflow/retejs/_issues/retejs-react-render-forked/src/vue-render-plugin/src/Node.vue","Node.vue"],names:[],mappings:"AAyCA;EACA,oCAAA;EACA,yBAAA;EACA,mBAAA;EACA,eAAA;EACA,gBAAA;EACA,YAAA;EACA,mBAAA;EACA,uBAAA;EACA,kBAAA;EACA,iBAAA;AAAA;AAVA;IAYA,oCAAA;AAAA;AAZA;IAcA,mBAAA;IACA,qBAAA;AAAA;AAfA;IAiBA,YAAA;IACA,uBAAA;IACA,eAAA;IACA,YAAA;AAAA;AApBA;IAsBA,iBAAA;AAAA;AAtBA;IAwBA,gBAAA;AAAA;AAxBA;IA0BA,sBAAA;IACA,YAAA;IACA,qBAAA;IACA,uBAAA;IACA,eAAA;IACA,WAAA;IACA,iBAAA;AAAA;AAhCA;IAkCA,UAAA;IACA,wBAAA;IACA,sBAAA;IACA,qBAAA;AAAA;AArCA;IAuCA,iBAAA;AAAA;;ACvCA,mCAAmC",file:"Node.vue",sourcesContent:['<template lang="pug">\n.node(:class="[selected(), node.name] | kebab")\n  .title {{node.name}}\n\n  // Outputs\n  .output(v-for=\'output in outputs()\' :key="output.key")\n    .output-title {{output.name}}\n    Socket(v-socket:output="output", type="output", :socket="output.socket")\n\n  // Controls\n  .control(\n    v-for=\'control in controls()\',\n    :key="control.key",\n    v-control="control"\n  )\n\n  // Inputs\n  .input(v-for=\'input in inputs()\' :key="input.key")\n    Socket(v-socket:input="input", type="input", :socket="input.socket")\n    .input-title(v-show=\'!input.showControl()\') {{input.name}}\n    .input-control(\n      v-show=\'input.showControl()\'\n      v-control="input.control"\n    )\n</template>\n\n<script>\nimport mixin from \'./mixin\';\nimport Socket from \'./Socket.vue\';\n\nexport default {\n  mixins: [mixin],\n  components: {\n    Socket\n  }\n}\n<\/script>\n\n<style lang="sass" scoped>\n@import "./vars"\n\n.node\n  background: $node-color\n  border: 2px solid #4e58bf\n  border-radius: 10px\n  cursor: pointer\n  min-width: $node-width\n  height: auto\n  padding-bottom: 6px\n  box-sizing: content-box\n  position: relative\n  user-select: none\n  &:hover\n    background: lighten($node-color,4%)\n  &.selected\n    background: $node-color-selected\n    border-color: #e3c000\n  .title\n    color: white\n    font-family: sans-serif\n    font-size: 18px\n    padding: 8px\n  .output\n    text-align: right\n  .input\n    text-align: left\n  .input-title,.output-title\n    vertical-align: middle\n    color: white\n    display: inline-block\n    font-family: sans-serif\n    font-size: 14px\n    margin: $socket-margin\n    line-height: $socket-size\n  .input-control\n    z-index: 1\n    width: calc(100% - #{$socket-size + 2*$socket-margin})\n    vertical-align: middle\n    display: inline-block\n  .control\n    padding: $socket-margin $socket-size/2 + $socket-margin\n</style>',".node {\n  background: rgba(110, 136, 255, 0.8);\n  border: 2px solid #4e58bf;\n  border-radius: 10px;\n  cursor: pointer;\n  min-width: 180px;\n  height: auto;\n  padding-bottom: 6px;\n  box-sizing: content-box;\n  position: relative;\n  user-select: none; }\n  .node:hover {\n    background: rgba(130, 153, 255, 0.8); }\n  .node.selected {\n    background: #ffd92c;\n    border-color: #e3c000; }\n  .node .title {\n    color: white;\n    font-family: sans-serif;\n    font-size: 18px;\n    padding: 8px; }\n  .node .output {\n    text-align: right; }\n  .node .input {\n    text-align: left; }\n  .node .input-title, .node .output-title {\n    vertical-align: middle;\n    color: white;\n    display: inline-block;\n    font-family: sans-serif;\n    font-size: 14px;\n    margin: 6px;\n    line-height: 24px; }\n  .node .input-control {\n    z-index: 1;\n    width: calc(100% - 36px);\n    vertical-align: middle;\n    display: inline-block; }\n  .node .control {\n    padding: 6px 18px; }\n\n/*# sourceMappingURL=Node.vue.map */"]},media:void 0})}),R4,"data-v-61501374",!1,void 0,O4,void 0);function B4(e,t,n){var r=new OQ(C4({render:function(e){return e(t,{props:n})}},arguments.length>3&&void 0!==arguments[3]?arguments[3]:{})),i=document.createElement("div");return e.appendChild(i),r.$mount(i),r}var U4=function(e){return new Promise((function(t){if(!e.vueContext)return t();e.vueContext.$forceUpdate(),e.vueContext.$nextTick(t)}))},V4={name:"vue-render",install:function(e,t){var n=t.component,r=t.options;e.on("rendernode",(function(t){var i=t.el,a=t.node,o=t.component,s=t.bindSocket,l=t.bindControl;o.render&&"vue"!==o.render||(a._vue=function(e,t,n,r){var i=n.node,a=n.component,o=n.bindSocket,s=n.bindControl,l=B4(n.el,a.component||t||F4,C4({},a.props,{node:i,editor:e,bindSocket:o,bindControl:s}),r);return i.vueContext=l.$children[0],l}(e,n,{el:i,node:a,component:o,bindSocket:s,bindControl:l},r),a.update=S4(regeneratorRuntime.mark((function e(){return regeneratorRuntime.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,U4(a);case 2:return e.abrupt("return",e.sent);case 3:case"end":return e.stop()}}),e)}))))})),e.on("rendercontrol",(function(e){var t=e.el,n=e.control;n.render&&"vue"!==n.render||(n._vue=function(e,t,n){var r=t.control,i=B4(t.el,r.component,C4({},r.props,{getData:r.getData.bind(r),putData:r.putData.bind(r)}),n);return r.vueContext=i.$children[0],i}(0,{el:t,control:n},r),n.update=S4(regeneratorRuntime.mark((function e(){return regeneratorRuntime.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:return e.next=2,U4(n);case 2:return e.abrupt("return",e.sent);case 3:case"end":return e.stop()}}),e)}))))})),e.on("connectioncreated connectionremoved",(function(e){U4(e.output.node),U4(e.input.node)}));var i=[];e.on("nodeselected",(function(t){var n,r=function(e){if(Array.isArray(e)){for(var t=0,n=new Array(e.length);t<e.length;t++)n[t]=e[t];return n}}(n=e.selected.list)||function(e){if(Symbol.iterator in Object(e)||"[object Arguments]"===Object.prototype.toString.call(e))return Array.from(e)}(n)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance")}();i.filter((function(e){return!r.includes(e)})).forEach(U4),U4(t),i=r}))},mixin:E4,Node:F4,Socket:k4},G4=V4,z4=function(){var e=this,t=e._self._c;return t("div",{ref:"node",staticClass:"node",class:[e.selected(),e.node.type],attrs:{title:e.node.name}},["source"!==e.node.type?t("div",{staticClass:"mx-3 mb-3 text-center"},[t("div",{staticClass:"d-flex justify-content-between align-items-center"},[t("strong",[e._v(e._s(e.node.name))]),e._v(" "),t("div",{staticClass:"dropdown ml-4",on:{pointerdown:function(e){e.stopPropagation()}}},[t("button",{staticClass:"btn btn-sm dropdown-btn",attrs:{type:"button","data-toggle":"dropdown","data-display":"static",title:e.executionProfile}},[t("i",{class:e.getExecutionProfileIcon(e.executionProfile)})]),e._v(" "),t("div",{staticClass:"dropdown-menu m-0 p-0"},[t("div",{staticClass:"dropdown-header text-default px-2 py-1"},[e._v("Execution profile")]),e._v(" "),t("div",{staticClass:"dropdown-divider my-0"}),e._v(" "),e._l(e.executionProfiles,(function(n){return t("button",{key:n,staticClass:"dropdown-item px-2",class:{active:n===e.executionProfile},attrs:{type:"button"},on:{click:function(t){return e.updateExecutionProfile(n)}}},[t("small",[t("i",{class:e.getExecutionProfileIcon(n)}),e._v(" "+e._s(n)+"\n            ")])])}))],2)])])]):e._e(),e._v(" "),t("div",{staticClass:"content"},[e.node.inputs.size>0?t("div",{staticClass:"column"},e._l(e.inputs(),(function(n){return t("div",{key:n.key,staticClass:"input"},[t("socket",{directives:[{name:"socket",rawName:"v-socket:input",value:n,expression:"input",arg:"input"}],attrs:{type:"input",title:n.name,editor:e.editor,socket:n.socket,used:n.connections.length>0,multi:n.multipleConnections}}),e._v(" "),t("span",{attrs:{title:n.name}},[e._v("\n          "+e._s(n.name)+" "),n.required?t("strong",[e._v("*")]):e._e()])],1)})),0):e._e(),e._v(" "),e.node.controls.size>0?t("div",{staticClass:"column"},e._l(e.controls(),(function(n){return t("div",{key:n.key,staticClass:"control"},[n.title?t("div",{staticClass:"form-row align-items-center"},[t("div",{staticClass:"col-auto title",attrs:{title:n.title}},[t("span",{staticClass:"ws-normal"},[e._v(e._s(n.title))])]),e._v(" "),t("div",{directives:[{name:"control",rawName:"v-control",value:n,expression:"control"}],staticClass:"col-auto"})]):t("div",{directives:[{name:"control",rawName:"v-control",value:n,expression:"control"}]})])})),0):e._e(),e._v(" "),e.node.outputs.size>0?t("div",{staticClass:"column"},e._l(e.outputs(),(function(n){return t("div",{key:n.key,staticClass:"output"},[t("span",{attrs:{title:n.name}},[e._v(e._s(n.name))]),e._v(" "),t("socket",{directives:[{name:"socket",rawName:"v-socket:output",value:n,expression:"output",arg:"output"}],attrs:{type:"output",editor:e.editor,socket:n.socket,used:n.connections.length>0,multi:n.multipleConnections}})],1)})),0):e._e()]),e._v(" "),e.validationClass?t("div",{staticClass:"validation",class:e.validationClass,style:{width:`${e.nodeWidth}px`}},[e._v("\n    "+e._s(e.validationMessage)+"\n  ")]):e._e()])};z4._withStripped=!0;var j4=function(){var e=this,t=e._self._c;return t("div",{staticClass:"socket",class:[e.type,e.socket.name,e.used?"used":"",e.compatible?"":"incompatible"],on:{mouseenter:function(t){return t.stopPropagation(),e.mouseenter.apply(null,arguments)},mouseleave:function(t){return t.stopPropagation(),e.mouseleave.apply(null,arguments)}}},[e.multi?t("div",[e._v("+")]):e._e()])};j4._withStripped=!0;var W4={extends:G4.Socket,props:{editor:Object,used:Boolean,multi:Boolean},data(){return{id:kadi.utils.randomAlnum(),compatible:!0}},mounted(){this.editor.on("socketenter",(({id:e,socket:t,type:n})=>{this.id===e?this.compatible=!0:this.type===n?this.compatible=!1:"input"===this.type?this.compatible=t.compatibleWith(this.socket):this.compatible=this.socket.compatibleWith(t)})),this.editor.on("socketleave",(()=>this.compatible=!0))},methods:{mouseenter(){this.editor.trigger("socketenter",{id:this.id,socket:this.socket,type:this.type})},mouseleave(){this.editor.trigger("socketleave")}}},H4=W4,$4=(n(7860),{components:{Socket:Ad(H4,j4,[],!1,null,"174d237b",null).exports},mixins:[G4.mixin],props:{executionProfiles:Array,validationState:{type:String,default:null},validationMessage:{type:String,default:null}},data(){return{nodeWidth:0,executionProfile:this.node.executionProfile,executionProfileIcons:{Default:"fa-solid fa-play",Skip:"fa-solid fa-ban",Detached:"fa-solid fa-link-slash"},validationStateClasses:{info:"bg-info",success:"bg-success",warning:"bg-warning",danger:"bg-danger"}}},computed:{validationClass(){return this.validationState in this.validationStateClasses?this.validationStateClasses[this.validationState]:""}},async mounted(){for(const e of this.controls()){e.vueContext.$on("change-value",(()=>this.editor.trigger("controlchanged",e)));for(const[t,n]of Object.entries(e.events))this.editor.on(t,n)}await this.$nextTick(),this.nodeWidth=this.$refs.node.getBoundingClientRect().width},methods:{getExecutionProfileIcon(e){return this.executionProfileIcons[e]||"fa-solid fa-question"},updateExecutionProfile(e){this.executionProfile!==e&&(this.executionProfile=this.node.executionProfile=e,this.editor.trigger("unsavedchanges"))}}}),X4=$4,q4=(n(2813),Ad(X4,z4,[],!1,null,"9f2aa2e4",null).exports);const K4={str:new OV.Socket("str"),int:new OV.Socket("int"),float:new OV.Socket("float"),bool:new OV.Socket("bool"),dep:new OV.Socket("dep"),pipe:new OV.Socket("pipe"),env:new OV.Socket("env")},Y4={str:["int","float","bool"],int:["str","float"],float:["str","int"],bool:["str"],pipe:["str","int","float","bool"]};for(const[e,t]of Object.entries(Y4))for(const n of t)K4[e].combineWith(K4[n]);const J4={dep:{key:"dependency",title:"Dependencies",socket:K4.dep,multi:!0},pipe:{key:"pipe",title:"stdin",socket:K4.pipe},env:{key:"env",title:"env",socket:K4.env}},Z4={dep:{key:"dependency",title:"Dependents",socket:K4.dep,multi:!0},pipe:{key:"pipe",title:"stdout",socket:K4.pipe},env:{key:"env",title:"env",socket:K4.env}},Q4=["Default","Skip","Detached"],e5=[J4.dep.key,J4.pipe.key,J4.env.key];class t5 extends OV.Component{constructor(e,t){super(e),this.data.component=q4,this.data.props={executionProfiles:Q4},this.type=t}static makeInput(e){const t=e.title||kadi.utils.capitalize(e.key),n=e.socket||K4.str,r=e.multi||!1,i=new OV.Input(e.key,t,n,r);return i.required=e.required||!1,i}static makeOutput(e){const t=e.title||kadi.utils.capitalize(e.key),n=e.socket||K4.str,r=e.multi||!1;return new OV.Output(e.key,t,n,r)}builder(e){if(e.type=this.type,"number"==typeof e.id&&(e.id=`{${window.crypto.randomUUID()}}`),e.data._meta){for(const[t,n]of Object.entries(e.data._meta))e[t]=n;delete e.data._meta}e.executionProfile||(e.executionProfile=Q4[0])}fromFlow(e){return{id:e.id,name:e.model.name,data:{_meta:{executionProfile:e.model.executionProfile}},inputs:new Map,outputs:new Map,position:[e.position.x,e.position.y]}}toFlow(e){return{id:e.id,model:{name:e.name,executionProfile:e.executionProfile},position:{x:e.position[0],y:e.position[1]}}}}class n5 extends t5{constructor(e,t,n=null,r=[],i=[],a={}){super(e,t),this.data.props={...this.data.props,...a},this.menu=n,this.inputs=r,this.outputs=i}builder(e){super.builder(e);for(const t of this.inputs)e.addInput(n5.makeInput(t));for(const t of this.outputs)e.addOutput(n5.makeOutput(t))}fromFlow(e){const t=super.fromFlow(e);for(const e of this.inputs)t.inputs.set(e.key,{connections:[]});for(const e of this.outputs)t.outputs.set(e.key,{connections:[]});return t}}class r5 extends t5{constructor(e){super(r5.nameFromTool(e),e.type),this.tool=e}static nameFromTool(e){return null!==e.version?`${e.name} ${e.version}`:e.name}static toolFromFlow(e){const t=e.model.tool,n={type:"ToolNode"===e.model.name?"program":"env",name:t.name,version:t.version,path:t.path,params:[]};for(const t of e.model.tool.ports)if(!e5.includes(t.type)){const e={name:t.name,char:t.shortName,type:t.type,required:t.required||!1};n.params.push(e)}return n}static inputFromParam(e,t){const n=e.name||`arg${t}`;let r=null,i=null;switch(e.type){case"string":r=`String: ${n}`,i=K4.str;break;case"int":case"long":r=`Integer: ${n}`,i=K4.int;break;case"float":case"real":r=`Float: ${n}`,i=K4.float;break;case"bool":case"flag":r=`Boolean: ${n}`,i=K4.bool;break;default:r=`${kadi.utils.capitalize(e.type)}: ${n}`,i=K4.str}const a=t5.makeInput({key:`in${t}`,title:r,socket:i,required:e.required});return a.param=e,a}static makeFlowPort(e,t,n){return e.param?{name:e.param.name,shortName:e.param.char,type:e.param.type,required:e.param.required,port_direction:t,port_index:n}:{name:e.name,shortName:null,type:e.key,required:!1,port_direction:t,port_index:n}}builder(e){super.builder(e),"program"===this.type&&e.addInput(r5.makeInput(J4.dep));for(let t=0;t<this.tool.params.length;t++)e.addInput(r5.inputFromParam(this.tool.params[t],t));"program"===this.type&&(e.addInput(r5.makeInput(J4.env)),e.addInput(r5.makeInput(J4.pipe))),"program"===this.type?(e.addOutput(r5.makeOutput(Z4.dep)),e.addOutput(r5.makeOutput(Z4.pipe))):"env"===this.type&&e.addOutput(r5.makeOutput(Z4.env))}fromFlow(e){const t=super.fromFlow(e);t.name=r5.nameFromTool(e.model.tool);let n=0;for(const r of e.model.tool.ports)"in"===r.port_direction?e5.includes(r.type)?t.inputs.set(r.type,{connections:[]}):t.inputs.set("in"+n++,{connections:[]}):t.outputs.set(r.type,{connections:[]});return t}toFlow(e){const t=super.toFlow(e);t.model.name="program"===this.type?"ToolNode":"EnvNode",t.model.tool={name:this.tool.name,version:this.tool.version,path:this.tool.path||this.tool.name,ports:[]};let n=e.inputs.values();for(let r=0;r<e.inputs.size;r++){const e=n.next().value,i=r5.makeFlowPort(e,"in",r);t.model.tool.ports.push(i)}n=e.outputs.values();for(let r=0;r<e.outputs.size;r++){const e=n.next().value,i=r5.makeFlowPort(e,"out",r);t.model.tool.ports.push(i)}return t}}var i5=function(){var e=this,t=e._self._c;return e.visible?t("div",{ref:"menu",staticClass:"context-menu",style:e.style,on:{mouseleave:function(e){e.preventDefault()},mouseover:function(e){e.preventDefault()},contextmenu:function(e){e.preventDefault()},wheel:function(e){e.stopPropagation()}}},[e.searchBar?t("search",{on:{search:e.onSearch},model:{value:e.filter,callback:function(t){e.filter=t},expression:"filter"}}):e._e(),e._v(" "),e._l(e.filtered,(function(n){return t("item",{key:n.title,attrs:{item:n,args:e.args,delay:e.delay/2}})}))],2):e._e()};i5._withStripped=!0;var a5={name:"Item",extends:RK,methods:{onClick(e){e.stopPropagation(),this.item.onClick&&this.item.onClick(this.args),this.item.keepOpen||this.$root.$emit("hide")}}},o5=(n(3121),Ad(a5,void 0,void 0,!1,null,"53035494",null).exports),s5=function(){var e=this,t=e._self._c;return t("div",{staticClass:"search"},[t("input",{directives:[{name:"model",rawName:"v-model",value:e.value_,expression:"value_"}],ref:"input",staticClass:"form-control form-control-sm",attrs:{placeholder:"Filter"},domProps:{value:e.value_},on:{pointerdown:function(e){e.stopPropagation()},input:function(t){t.target.composing||(e.value_=t.target.value)}}})])};s5._withStripped=!0;var l5={extends:LK,data(){return{value_:""}},watch:{value(){this.value_=this.value},value_(){this.$emit("search",this.value_)}},mounted(){this.$refs.input.focus()}},c5=(n(8549),{components:{Item:o5,Search:Ad(l5,s5,[],!1,null,"69e0aebd",null).exports},extends:kK,data(){return{maxItems:5}},computed:{filtered(){if(!this.filter)return this.items;const e=new RegExp(this.filter,"i"),t=[];for(const n of this.extractLeafs(this.items))if(this.searchKeep(n.title)||n.title.match(e)){if(t.length===this.maxItems){t.push({title:"...",onClick:()=>this.maxItems+=5,keepOpen:!0});break}t.push(n)}return t}},watch:{filter(){this.maxItems=5}}}),u5=(n(7298),Ad(c5,i5,[],!1,null,"0518a99a",null).exports);class d5 extends OV.NodeEditor{constructor(e,t){super(e,t),this.bind("controlchanged"),this.bind("socketenter"),this.bind("socketleave"),this.bind("unsavedchanges"),this.on("click",(()=>{this.selected.clear(),this.nodes.map((e=>e.update()))})),this.on("zoom",(({source:e})=>"dblclick"!==e)),this.on("nodeselected",(e=>{const t=this.view.nodes.get(e).el,n=t.parentElement;n.lastElementChild!==t&&n.lastElementChild.after(t)}))}static iterValueAt(e,t){let n=t;for(const t of e)if(--n<0)return t;return null}fromFlow(e){const t={id:e.id||this.id,nodes:{}};let n=null;for(const r of e.nodes){if(["ToolNode","EnvNode"].includes(r.model.name)){const e=r5.nameFromTool(r.model.tool);if(!this.components.has(e)){const e=r5.toolFromFlow(r);this.register(new r5(e))}n=this.components.get(e).fromFlow(r)}else{const e=this.components.get(r.model.name);if(!e)continue;n=e.fromFlow(r)}t.nodes[r.id]=n}for(const n of e.connections){const e=t.nodes[n.out_id],r=t.nodes[n.in_id];if(e&&r){const t=d5.iterValueAt(e.outputs.keys(),n.out_index),i=d5.iterValueAt(r.inputs.keys(),n.in_index),a=e.outputs.get(t),o=r.inputs.get(i);a&&o&&(a.connections.push({node:r.id,input:i,data:{}}),o.connections.push({node:e.id,output:t,data:{}}))}}for(const e in t.nodes)t.nodes[e].outputs=Object.fromEntries(t.nodes[e].outputs),t.nodes[e].inputs=Object.fromEntries(t.nodes[e].inputs);return this.fromJSON(t)}toFlow(){const e={id:this.id,connections:[],nodes:[]};for(const t of this.nodes){const n=this.components.get(t.name).toFlow(t),r=t.outputs.values();for(let n=0;n<t.outputs.size;n++){const i=r.next().value;for(const r of i.connections){const i=[...r.input.node.inputs.keys()],a={in_id:r.input.node.id,in_index:i.findIndex((e=>e===r.input.key)),out_id:t.id,out_index:n};e.connections.push(a)}}e.nodes.push(n)}return e}}var f5=function(){var e=this,t=e._self._c;return t("div",{staticClass:"node",class:e.selected(),attrs:{title:e.node.name}},[t("textarea",{directives:[{name:"model",rawName:"v-model",value:e.text,expression:"text"}],ref:"textarea",staticClass:"content form-control",attrs:{spellcheck:"false"},domProps:{value:e.text},on:{pointerdown:function(e){e.stopPropagation()},input:function(t){t.target.composing||(e.text=t.target.value)}}})])};f5._withStripped=!0;var p5={mixins:[G4.mixin],data(){return{text:this.node.data.text}},watch:{async text(){this.node.data.text=this.text,this.editor.trigger("unsavedchanges"),await this.$nextTick();const e=this.$refs.textarea;e.style.height="0",e.style.height=`${e.scrollHeight}px`}}},h5=(n(7543),Ad(p5,f5,[],!1,null,"6370a337",null).exports),m5=[new class extends n5{constructor(){super("Note","note","Annotation"),this.data.component=h5}builder(e){super.builder(e),e.data.text||(e.data.text="")}fromFlow(e){const t=super.fromFlow(e);return t.data.text=e.model.text,t}toFlow(e){const t=super.toFlow(e);return t.model.text=e.data.text,delete t.model.executionProfile,t}}];class g5 extends OV.Control{constructor(e,t,n,r=null){super(e),this.props={ikey:e,defaultValue:n},this.component=t,this.title=r,this.events={}}}var v5=function(){var e=this,t=e._self._c;return t("div",{staticClass:"input-group",on:{pointerdown:function(e){e.stopPropagation()}}},[t("input",{directives:[{name:"model",rawName:"v-model.number",value:e.value,expression:"value",modifiers:{number:!0}}],staticClass:"form-control input",attrs:{title:e.value},domProps:{value:e.value},on:{input:function(t){t.target.composing||(e.value=e._n(t.target.value))},blur:function(t){return e.$forceUpdate()}}}),e._v(" "),t("div",{staticClass:"input-group-append"},[t("button",{staticClass:"btn btn-light",attrs:{type:"button",title:"Remove port"},on:{click:function(t){e.value--}}},[t("i",{staticClass:"fa-solid fa-minus"})]),e._v(" "),t("button",{staticClass:"btn btn-light",attrs:{type:"button",title:"Add port"},on:{click:function(t){e.value++}}},[t("i",{staticClass:"fa-solid fa-plus"})])])])};v5._withStripped=!0;var y5={props:{ikey:String,getData:Function,putData:Function},data(){return{value:null}},watch:{value(){this.convertValue(),this.putData(this.ikey,this.value),this.$emit("change-value")}},mounted(){this.value=this.getData(this.ikey),void 0===this.value&&(void 0!==this.defaultValue?this.value=this.defaultValue:this.value=null),this.putData(this.ikey,this.value)},methods:{updateValue(e){this.value=e},convertValue(){}}},b5={mixins:[y5],props:{defaultValue:Number},methods:{convertValue(){const e=Number(this.value);window.isNaN(e)?this.value=this.defaultValue:this.value=e>99?99:e<0?0:Math.floor(e)}}},_5=b5,x5=(n(6160),Ad(_5,v5,[],!1,null,"161a2d4c",null).exports);class w5 extends g5{constructor(e,t=null){super(e,x5,3,t)}}const A5="control",S5="Control";var T5=[new n5("Variable",A5,S5,[J4.dep,{key:"name"},{key:"value"}],[Z4.dep]),new n5("VariableList",A5,S5,[J4.dep,{key:"names"},{key:"values"},{key:"delimiter",title:"Delimiter [;]"}],[Z4.dep]),new n5("VariableJson",A5,S5,[J4.dep,{key:"jsonString",title:"JSON String"},{key:"key",title:"Key [data]"}],[Z4.dep]),new n5("IfBranch",A5,S5,[J4.dep,{key:"condition",socket:K4.bool}],[Z4.dep,{key:"true",socket:K4.dep,multi:!0},{key:"false",socket:K4.dep,multi:!0}]),new n5("Loop",A5,S5,[J4.dep,{key:"condition",socket:K4.bool},{key:"startIndex",title:"Start Index [0]",socket:K4.int},{key:"endIndex",title:"End Index",socket:K4.int},{key:"step",title:"Step [1]",socket:K4.int},{key:"indexVarName",title:"Index Variable Name"}],[Z4.dep,{key:"loop",socket:K4.dep,multi:!0},{key:"index",socket:K4.int,multi:!0}]),new class extends n5{constructor(){super("BranchSelect",A5,S5,[J4.dep,{key:"selected",socket:K4.int}],[Z4.dep])}builder(e){super.builder(e),e.meta.prevBranches=0;const t=new w5("branches","Branches");e.addControl(t),this.editor.on("controlchanged",(n=>{if(n!==t)return;const r=e.data.branches;if(r>e.meta.prevBranches)for(let t=e.meta.prevBranches;t<r;t++)e.addOutput(new OV.Output(`branch${t}`,`Branch ${t+1}`,K4.dep,!0));else for(let t=r;t<e.meta.prevBranches;t++){const n=e.outputs.get(`branch${t}`);for(let e=n.connections.length-1;e>=0;e--)this.editor.removeConnection(n.connections[e]);e.removeOutput(n)}e.vueContext.$forceUpdate(),e.meta.prevBranches=r}))}fromFlow(e){const t=super.fromFlow(e);t.data.branches=e.model.nBranches;for(let e=0;e<t.data.branches;e++)t.outputs.set(`branch${e}`,{connections:[]});return t}toFlow(e){const t=super.toFlow(e);return t.model.nBranches=e.data.branches,t}}],C5=function(){var e=this;return(0,e._self._c)("input",{directives:[{name:"model",rawName:"v-model",value:e.value,expression:"value"}],staticClass:"align-middle",attrs:{type:"checkbox"},domProps:{checked:Array.isArray(e.value)?e._i(e.value,null)>-1:e.value},on:{pointerdown:function(e){e.stopPropagation()},change:function(t){var n=e.value,r=t.target,i=!!r.checked;if(Array.isArray(n)){var a=e._i(n,null);r.checked?a<0&&(e.value=n.concat([null])):a>-1&&(e.value=n.slice(0,a).concat(n.slice(a+1)))}else e.value=i}}})};C5._withStripped=!0;var E5=Ad({mixins:[y5],props:{defaultValue:Boolean},methods:{convertValue(){"false"===this.value?this.value=!1:"true"===this.value?this.value=!0:this.value=Boolean(this.value)}}},C5,[],!1,null,null,null).exports;class M5 extends g5{constructor(e,t=null){super(e,E5,!1,t)}}const D5="File I/O";var P5=[new n5("FileInput","io",D5,[J4.dep,{key:"path",title:"File Path"}],[Z4.dep,Z4.pipe]),new class extends n5{constructor(){super("FileOutput","io",D5,[J4.dep,{key:"path",title:"File Path"},{key:"append",socket:K4.bool},J4.pipe],[Z4.dep])}builder(e){super.builder(e),e.addControl(new M5("shortcut","Shortcut"))}fromFlow(e){const t=super.fromFlow(e);return t.data.shortcut=e.model.createShortcut,t}toFlow(e){const t=super.toFlow(e);return t.model.createShortcut=e.data.shortcut,t}}],I5=function(){var e=this,t=e._self._c;return t("div",{staticClass:"input-group",on:{pointerdown:function(e){e.stopPropagation()}}},[t("input",{directives:[{name:"model",rawName:"v-model",value:e.value,expression:"value"}],staticClass:"form-control input",attrs:{title:e.value},domProps:{value:e.value},on:{input:function(t){t.target.composing||(e.value=t.target.value)}}}),e._v(" "),t("div",{staticClass:"input-group-append"},[t("button",{staticClass:"btn btn-light",attrs:{type:"button",title:"Revert to default"},on:{click:function(t){e.value=e.defaultFormat}}},[t("i",{staticClass:"fa-solid fa-rotate"})])])])};I5._withStripped=!0;var O5={mixins:[y5],props:{defaultValue:String},data(){return{defaultFormat:""}},methods:{updateDefaultFormat(e){this.defaultFormat=e}}},N5=(n(7484),Ad(O5,I5,[],!1,null,"33241005",null).exports);class k5 extends g5{constructor(e,t=null){super(e,N5,"",t)}}var R5=[new class extends n5{constructor(){super("FormatString","misc","Miscellaneous",[J4.dep],[Z4.dep,{key:"formattedString",title:"Formatted String",multi:!0}])}builder(e){super.builder(e),e.meta.prevInputs=0;const t=new w5("inputs","Inputs"),n=new k5("format","Format");e.addControl(t),e.addControl(n),this.editor.on("controlchanged",(r=>{if(r!==t)return;const i=e.data.inputs;if(i>e.meta.prevInputs)for(let t=e.meta.prevInputs;t<i;t++)e.addInput(new OV.Input(`input${t}`,`%${t}`,K4.str));else for(let t=i;t<e.meta.prevInputs;t++){const n=e.inputs.get(`input${t}`);for(let e=n.connections.length-1;e>=0;e--)this.editor.removeConnection(n.connections[e]);e.removeInput(n)}const a=[];for(let e=0;e<i;e++)a.push(`%${e}`);const o=`[${a.join(", ")}]`;n.vueContext.updateDefaultFormat(o),e.data.format||n.vueContext.updateValue(o),e.vueContext.$forceUpdate(),e.meta.prevInputs=i}))}fromFlow(e){const t=super.fromFlow(e);t.data.inputs=e.model.nInputs,t.data.format=e.model.value;for(let e=0;e<t.data.inputs;e++)t.inputs.set(`input${e}`,{connections:[]});return t}toFlow(e){const t=super.toFlow(e);return t.model.nInputs=e.data.inputs,t.model.value=e.data.format,t}}],L5=function(){var e=this;return(0,e._self._c)("input",{directives:[{name:"model",rawName:"v-model.number",value:e.value,expression:"value",modifiers:{number:!0}}],staticClass:"form-control d-inline",attrs:{title:e.value},domProps:{value:e.value},on:{pointerdown:function(e){e.stopPropagation()},input:function(t){t.target.composing||(e.value=e._n(t.target.value))},blur:function(t){return e.$forceUpdate()}}})};L5._withStripped=!0;var F5={mixins:[y5],props:{defaultValue:Number},methods:{convertValue(){const e=Number(this.value);window.isNaN(e)?this.value=this.defaultValue:this.value=e}}},B5=Ad(F5,L5,[],!1,null,null,null).exports,U5=function(){var e=this;return(0,e._self._c)("input",{directives:[{name:"model",rawName:"v-model.number",value:e.value,expression:"value",modifiers:{number:!0}}],staticClass:"form-control d-inline",attrs:{title:e.value},domProps:{value:e.value},on:{pointerdown:function(e){e.stopPropagation()},input:function(t){t.target.composing||(e.value=e._n(t.target.value))},blur:function(t){return e.$forceUpdate()}}})};U5._withStripped=!0;var V5={mixins:[y5],props:{defaultValue:Number},methods:{convertValue(){const e=Number(this.value);window.isNaN(e)?this.value=this.defaultValue:this.value=Math.floor(e)}}},G5=Ad(V5,U5,[],!1,null,null,null).exports,z5=function(){var e=this;return(0,e._self._c)("input",{directives:[{name:"model",rawName:"v-model",value:e.value,expression:"value"}],staticClass:"form-control d-inline",attrs:{title:e.value},domProps:{value:e.value},on:{pointerdown:function(e){e.stopPropagation()},input:function(t){t.target.composing||(e.value=t.target.value)}}})};z5._withStripped=!0;var j5=Ad({mixins:[y5],props:{defaultValue:String}},z5,[],!1,null,null,null).exports;class W5 extends n5{constructor(e,t,n){super(e,"source","Source",[],[{key:"out",title:e,socket:t,multi:!0}]),this.widget=n}builder(e){super.builder(e),e.addControl(new this.widget("value"))}fromFlow(e){const t=super.fromFlow(e);return t.data.value=e.model.value,t}toFlow(e){const t=super.toFlow(e);return null===e.data.value?t.model.value="":t.model.value=String(e.data.value),delete t.model.executionProfile,t}}var H5=[new W5("String",K4.str,class extends g5{constructor(e,t=null){super(e,j5,"",t)}}),new W5("Integer",K4.int,class extends g5{constructor(e,t=null){super(e,G5,0,t)}}),new W5("Float",K4.float,class extends g5{constructor(e,t=null){super(e,B5,0,t)}}),new W5("Boolean",K4.bool,M5)];const $5="user-input",X5="User Input";var q5=[new n5("UserInputText",$5,X5,[J4.dep,{key:"prompt"},{key:"default"},{key:"multiline",socket:K4.bool}],[Z4.dep,{key:"value",multi:!0}]),new n5("UserInputInteger",$5,X5,[J4.dep,{key:"prompt"},{key:"default",socket:K4.int}],[Z4.dep,{key:"value",multi:!0,socket:K4.int}]),new n5("UserInputFloat",$5,X5,[J4.dep,{key:"prompt"},{key:"default",socket:K4.float}],[Z4.dep,{key:"value",multi:!0,socket:K4.float}]),new n5("UserInputBool",$5,X5,[J4.dep,{key:"prompt"},{key:"default",socket:K4.bool}],[Z4.dep,{key:"value",multi:!0,socket:K4.bool}]),new n5("UserInputFile",$5,X5,[J4.dep,{key:"prompt"},{key:"default"}],[Z4.dep,{key:"value",multi:!0}]),new n5("UserInputSelect",$5,X5,[J4.dep,{key:"prompt"},{key:"values"},{key:"default"},{key:"delimiter",title:"Delimiter [,]"}],[Z4.dep,{key:"value",multi:!0}]),new n5("UserInputSelectBoundingBox",$5,X5,[J4.dep,{key:"prompt"},{key:"imagePath",title:"Image Path"}],[Z4.dep,{key:"x",socket:K4.int,multi:!0},{key:"y",socket:K4.int,multi:!0},{key:"width",socket:K4.int,multi:!0},{key:"height",socket:K4.int,multi:!0}]),new n5("UserInputPeriodicTable",$5,X5,[J4.dep,{key:"prompt"},{key:"default"}],[Z4.dep,{key:"selectedElements",title:"Selected Elements",multi:!0}]),new n5("UserInputForm",$5,X5,[J4.dep,{key:"jsonFile",title:"JSON File"}],[Z4.dep,{key:"jsonString",title:"JSON String",multi:!0}]),new n5("UserInputCropImages",$5,null,[J4.dep,{key:"prompt"},{key:"imagePath",title:"Image Path"}],[Z4.dep,{key:"cropInfo",title:"Crop Info",multi:!0}],{validationState:"warning",validationMessage:'Deprecated in favor of "UserInputSelectBoundingBox".'}),new class extends n5{constructor(){super("UserInputChoose",$5,X5,[J4.dep,{key:"prompt"},{key:"default",socket:K4.int}],[Z4.dep,{key:"selected",socket:K4.int,multi:!0},{key:"value",multi:!0}])}builder(e){super.builder(e),e.meta.prevOptions=0;const t=new w5("options","Options");e.addControl(t),this.editor.on("controlchanged",(n=>{if(n!==t)return;const r=e.data.options;if(r>e.meta.prevOptions)for(let t=e.meta.prevOptions;t<r;t++)e.addInput(new OV.Input(`option${t}`,`Option ${t+1}`,K4.str));else for(let t=r;t<e.meta.prevOptions;t++){const n=e.inputs.get(`option${t}`);for(let e=n.connections.length-1;e>=0;e--)this.editor.removeConnection(n.connections[e]);e.removeInput(n)}e.vueContext.$forceUpdate(),e.meta.prevOptions=r}))}fromFlow(e){const t=super.fromFlow(e);t.data.options=e.model.nOptions;for(let e=0;e<t.data.options;e++)t.inputs.set(`option${e}`,{connections:[]});return t}toFlow(e){const t=super.toFlow(e);return t.model.nOptions=e.data.options,t}}];const K5="user-output",Y5="User Output";var J5=[new n5("UserOutputText",K5,Y5,[J4.dep,{key:"file",title:"Text File",required:!0}],[Z4.dep]),new n5("UserOutputWebView",K5,Y5,[J4.dep,{key:"description"},{key:"url",title:"URL"}],[Z4.dep])],Z5={props:{editable:{type:Boolean,default:!0},workflowUrl:{type:String,default:null},toolsEndpoint:{type:String,default:null},unsavedChanges:{type:Boolean,default:!1},isRendered:{type:Boolean,default:!0}},data(){return{version:"kadi@0.1.0",editor:null,area:null,unsavedChanges_:!1,menuItems:{},currX:0,currY:0}},computed:{toolbarBtnClasses(){return"btn btn-link text-primary my-1"}},watch:{workflowUrl(){this.loadWorkflow(this.workflowUrl)},unsavedChanges(){this.unsavedChanges_=this.unsavedChanges},unsavedChanges_(){this.$emit("unsaved-changes",this.unsavedChanges_)},isRendered(){this.resizeView(!1)}},mounted(){if(this.editor=new d5(this.version,this.$refs.editor),this.area=FU,!this.editable){const e=e=>{e.preventDefault(),e.stopPropagation()};for(const t of["click","dblclick","contextmenu"])this.$refs.editorContainer.addEventListener(t,e,{capture:!0});const t=e=>{e.target!==this.$refs.editor&&(e.preventDefault(),e.stopPropagation())};for(const e of["pointerdown","pointerup"])this.$refs.editorContainer.addEventListener(e,t,{capture:!0})}this.editor.use(FU,{snap:{size:16,dynamic:!0}}),this.editor.use($V),this.editor.use(G4),this.editor.use(BK,{vueComponent:u5,searchBar:!0,delay:0,items:this.menuItems,allocate:()=>null}),[...m5,...T5,...P5,...H5,...q5,...J5,...R5].forEach((e=>this.editor.register(e))),this.toolsEndpoint&&(this.menuItems["Select tools..."]=()=>$(this.$refs.toolDialog).modal());for(const e of this.editor.components.values())e.menu&&(this.menuItems[e.menu]||(this.menuItems[e.menu]={}),this.menuItems[e.menu][e.name]=()=>this.addNode(e));"development"===kadi.globals.environment&&(this.menuItems.Debug={"Dump Flow":()=>console.info(this.editor.toFlow()),"Dump JSON":()=>console.info(this.editor.toJSON())}),this.editor.on("showcontextmenu",(({e:e})=>{const t=this.editor.view.area,n=t.el.getBoundingClientRect();this.currX=(e.clientX-n.left)/t.transform.k,this.currY=(e.clientY-n.top)/t.transform.k})),this.editor.on(["nodecreated","noderemoved","nodetranslated","connectioncreated","connectionremoved","controlchanged","unsavedchanges"].join(" "),(()=>{this.editor.silent||(this.unsavedChanges_=!0)})),this.resizeView(),this.workflowUrl&&this.loadWorkflow(this.workflowUrl),window.addEventListener("resize",this.resizeView),window.addEventListener("beforeunload",this.beforeUnload)},beforeDestroy(){window.removeEventListener("resize",this.resizeView),window.removeEventListener("beforeunload",this.beforeUnload),$(this.$refs.toolDialog).modal("dispose")},methods:{resetView(){this.area.zoomAt(this.editor)},toggleFullscreen(){kadi.utils.toggleFullscreen(this.$refs.container)},async resetEditor(){(await this.$refs.dialog.open("Are you sure you want to reset the editor?")).status&&(this.editor.clear(),this.unsavedChanges_=!1)},resizeView(e=!0){if(!this.isRendered)return;const t=this.$refs.toolbar,n=this.$refs.editorContainer;if(kadi.utils.isFullscreen()){const e=Math.round(t.getBoundingClientRect().height);n.style.height=`calc(100vh - ${e-1}px)`,t.style.borderTopLeftRadius=t.style.borderTopRightRadius="0"}else{const e=Math.round(n.getBoundingClientRect().width),r=Math.round(window.innerHeight/window.innerWidth*e);n.style.height=`${r}px`,t.style.borderTopLeftRadius=t.style.borderTopRightRadius="0.25rem"}this.editor.view.resize(),e&&this.resetView()},async loadWorkflow(e){try{const t=await axios.get(e);try{await this.editor.fromFlow(t.data)||kadi.base.flashWarning("Could not fully reconstruct workflow.")}catch(e){console.error(e),kadi.base.flashDanger("Error parsing workflow data.")}finally{this.resetView()}}catch(e){kadi.base.flashDanger("Error loading workflow.",{request:e.request})}},addTool(e){const t=r5.nameFromTool(e);this.editor.components.has(t)||this.editor.register(new r5(e)),this.addNode(this.editor.components.get(t))},async addNode(e){const t=await e.createNode();t.position[0]=this.currX,t.position[1]=this.currY,this.editor.addNode(t)},beforeUnload(e){return this.unsavedChanges_?(e.preventDefault(),""):null}}},Q5=(n(1537),Ad(Z5,TU,[function(){var e=this,t=e._self._c;return t("div",{staticClass:"modal-header"},[t("strong",{staticClass:"modal-title"},[e._v("Add tools")]),e._v(" "),t("button",{staticClass:"close",attrs:{type:"button","data-dismiss":"modal"}},[t("i",{staticClass:"fa-solid fa-xmark fa-xs"})])])}],!1,null,"40fb82d8",null).exports);kadi.base.newVue({components:{ExcelViewer:Sd,ModelViewer:m_,VtpViewer:SU,WorkflowEditor:Q5},data(){return{previewData:null,initialized:!1}},async mounted(){try{const e=await axios.get(kadi.context.get_file_preview_endpoint);this.previewData=e.data,this.initialized=!0}catch(e){404===e.request.status?this.initialized=!0:kadi.base.flashDanger($t("Error loading file preview."),{request:e.request})}}})}()}();
//# sourceMappingURL=view-file.js.map